import 'i18n.dart';

/// The translations for Hungarian (`hu`).
class I18nHu extends I18n {
  I18nHu([String locale = 'hu']) : super(locale);

  @override
  String get numSb404 => 'Ez az oldal nem létezik.';

  @override
  String about250Sbblock8722Sb18722Sbtext(Object appName) {
    return 'Az $appName-nél az a célunk, hogy egy biztonságos és könnyen használható személyes platformot hozzunk létre, amely lehetővé teszi, hogy bárki, bárhol elcserélje helyi valutáját Moneróra. Felhasználóink hirdetést adnak fel, amelyben megadják az általuk preferált fizetési módot (pl. banki átutalás, készpénz, online fizetési processzor, mint a PayPal, ajándékkártyák stb.), más felhasználók válaszolnak ezekre a hirdetésekre, $appName választottbírósági kötvényt vesz fel a kereskedés összegével megegyezően attól a felhasználótól, aki egy adott kereskedésben a Monero eladó, és az eladó elküldi a Monero-t a vevőnek, amikor az eladó megerősíti, hogy megkapta a vevőtől a fizetést, amelyre a választottbírósági kötvény visszakerül az eladóhoz. Az $appName az esetlegesen felmerülő viták közvetítéseként is közbeléphet.';
  }

  @override
  String about250Sbblock8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return 'Az $appName-nél az a célunk, hogy egy biztonságos és könnyen használható személyes platformot hozzunk létre, amely lehetővé teszi bárki számára, hogy a helyi valutáját bárhol kriptovalutára cserélje. Felhasználóink hirdetést adnak fel, amelyben megadják az általuk preferált fizetési módot (pl. banki átutalás, készpénz, online fizetési processzor, mint a PayPal, ajándékkártyák stb.), más felhasználók válaszolnak ezekre a hirdetésekre, $appName választottbírósági kötvényt vesz fel a kereskedés összegével megegyezően attól a felhasználótól, aki egy adott kereskedésben a kriptovaluta eladó, és az eladó elküldi a kriptovalutát a vevőnek, amikor az eladó megerősíti, hogy megkapta a vevőtől a fizetést, amelyre a választottbírósági kötvény visszakerül az eladóhoz. Az $appName az esetlegesen felmerülő viták közvetítéseként is közbeléphet.';
  }

  @override
  String get about250Sbblock8722Sb18722Sbtitle => 'Küldetésünk';

  @override
  String about250Sbblock8722Sb28722Sbtext(Object appName) {
    return 'A $appName oldalon emberekkel üzletelsz. A központosított kriptovaluta tőzsdéktől eltérően közvetlenül egy másik személlyel kötsz üzletet. Ez a folyamatot egyszerűsíti és gyorsítja, mivel nincs fölösleges aktatologatás. Azonnal megkapja a Monerót. Ezenkívül a $appName minden olyan fizetési módot támogat, amelyet a felhasználói közösség támogat, lehetővé téve a hagyományos banki szolgáltatásokhoz hozzá nem férő felhasználók számára is, hogy Monerót adjanak-vegyenek . A $appName minden tranzakció esetén megköveteli az eladótól, hogy letétet helyezzen el a vevő védelmének érdekében.';
  }

  @override
  String about250Sbblock8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'A $appName oldalon emberekkel üzletelsz. A központosított kriptovaluta tőzsdéktől eltérően közvetlenül egy másik személlyel kötsz üzletet. Ez a folyamatot egyszerűsíti és gyorsítja, mivel nincs fölösleges aktatologatás. Azonnal megkapja a Monerót. Ezenkívül a $appName minden olyan fizetési módot támogat, amelyet a felhasználói közösség támogat, lehetővé téve a hagyományos banki szolgáltatásokhoz hozzá nem férő felhasználók számára is, hogy Monerót adjanak-vegyenek . A $appName minden tranzakció esetén megköveteli az eladótól, hogy letétet helyezzen el a vevő védelmének érdekében.';
  }

  @override
  String get about250Sbblock8722Sb28722Sbtitle => 'Miben vagyunk mások';

  @override
  String get about250Sbcontact8722Sbbtn => 'Lépj kapcsolatba velünk';

  @override
  String get about250Sbtitle => 'Rólunk';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuy8722Sbbtn => 'Vétel';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuyer => 'Vevő';

  @override
  String get ad8722Sblisting8722Sbtable250Sbdistance => 'Távolság';

  @override
  String get ad8722Sblisting8722Sbtable250Sblimits => 'Limitek';

  @override
  String get ad8722Sblisting8722Sbtable250Sblocation => 'Hely';

  @override
  String get ad8722Sblisting8722Sbtable250Sbmethod => 'Fizetési mód';

  @override
  String ad8722Sblisting8722Sbtable250Sbprice(Object assetSymbol) {
    return 'Ár/$assetSymbol';
  }

  @override
  String get ad8722Sblisting8722Sbtable250Sbsell8722Sbbtn => 'Eladás';

  @override
  String get ad8722Sblisting8722Sbtable250Sbseller => 'Eladó';

  @override
  String get ad8722Sblisting8722Sbtable250Sbshow8722Sbmore => 'Mutass többet...';

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore8722Sbby8722Sbuser(Object user) {
    return 'További ilyen típusú hirdetések megjelenítése a következőtől: $user...';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore250Sball8722Sbin8722Sbcountry8722Sbor8722Sbcurrency(Object countryOrcurrency) {
    return 'Minden in $countryOrcurrency';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbhide(Object username) {
    return '$username hasonló hirdetéseinek elrejtése';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbshow(Object numberOfSimilarAds, Object username) {
    return '$numberOfSimilarAds további hasonló hirdetés megjelenítése $username felhasználótól';
  }

  @override
  String get ad8722Sbpage250Sbcant8722Sbsend8722Sbtrade8722Sbrequest => 'Jelenleg nem kérhető csere erre a hirdetésre';

  @override
  String get ad8722Sbpage250Sbedit8722Sbad8722Sbbtn => 'Hirdetés szerkesztése';

  @override
  String get ad8722Sbpage250Sberror250Sbtitle => 'Kereskedési kérelem hiba';

  @override
  String ad8722Sbpage250Sbfirst8722Sbtime8722Sblimit8722Sbtip(Object firstTimelimitxmr) {
    return 'Ez a kereskedő maximum $firstTimelimitxmr összeget engedélyez az első kereskedésnél.';
  }

  @override
  String ad8722Sbpage250Sbfluctuations8722Sbtip(Object assetSymbol) {
    return 'Felhívjuk figyelmed, hogy az ügylet tényleges $assetSymbol összege az ár- és árfolyamingadozások miatt kissé eltérhet a jelenleg megjelenített összegtől.';
  }

  @override
  String ad8722Sbpage250Sbfor8722Sbtrusted(Object username) {
    return 'Csak $username által megbízhatónak tartott felhasználóknak';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location, Object user, Object currency) {
    return '$assetName eladása készpénzért $location helyen $user számára $currency pénznemben';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location, Object user, Object currency) {
    return 'Vásárolj $assetName-t készpénzzel a következő helyen: $location $user-től $currency-ért';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return '$assetName eladása $paymentMethod${detail} használatával $currency-ért';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbsell(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Vásárolj $assetName terméket a $paymentMethod${detail} használatával a következővel: $currency';
  }

  @override
  String ad8722Sbpage250Sbhidden8722Sbwarning8722Sb0(Object editAd) {
    return 'Ez a hirdetés a rejtettre lett állítva. Ezt a $editAd oldalon módosíthatod.';
  }

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb08722Sbedit8722Sbad => 'Hirdetés szerkesztése';

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb1 => 'Ez a hirdetés jelenleg nem aktív. Keress további ajánlatokat, vagy térj vissza később.';

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy => 'vétel';

  @override
  String ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy57Sbsell(Object buyOrsell) {
    return 'Mennyit szeretnél $buyOrsell?';
  }

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbsell => 'eladás';

  @override
  String get ad8722Sbpage250Sbinfo250Sbpayment8722Sbwindow => 'Fizetési ablak';

  @override
  String get ad8722Sbpage250Sbinfo250Sbtrade8722Sblimits => 'Kereskedési limitek';

  @override
  String get ad8722Sbpage250Sbinfo250Sbuser => 'Felhasználó';

  @override
  String ad8722Sbpage250Sblimit8722Sbto8722Sbamounts(Object amounts, Object currency) {
    return 'Ez a kereskedő $amounts $currency értékre korlátozta a lehetséges kereskedési összegeket';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbamount8722Sbtip(Object minimumAmount) {
    return 'Ennél a hirdetésnél legalább $minimumAmount értékben kell üzletet kötni.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbfeedback8722Sbtip(Object minimumFeedbackscore) {
    return 'Ennek a kereskedőnek legalább $minimumFeedbackscore pontszám szükséges a kereskedéshez.';
  }

  @override
  String get ad8722Sbpage250Sbreport8722Sbad => 'Jelentsd ezt a hirdetést egy hibajegy megnyitásával';

  @override
  String ad8722Sbpage250Sbrequest8722Sbtrade250Sbmin8722Sbrequired8722Sbbalance(Object amount, Object appName) {
    return '$appName letétjében $amount-nak kell lennie, hogy fedezze az ügylet 1%-os védelmi díját.';
  }

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbaccept8722Sbprice => 'Ár elfogadása és folytatás';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbamount => 'Új kereskedési összeg';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbprice => 'Új ár';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbold8722Sbprice => 'Régi ár';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbselect8722Sbadjustment => 'Állítsd be a kereskedési összeget';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbtitle => 'Az ár megváltozott';

  @override
  String get ad8722Sbpage250Sbselect8722Sbamount => 'Válaszd ki az összeget...';

  @override
  String get ad8722Sbpage250Sbsend8722Sbtrade8722Sbrequest8722Sbbtn => 'Kereskedési kérelem küldése';

  @override
  String get ad8722Sbpage250Sbshow8722Sbon8722Sbmap => 'Megjelenítés a térképen';

  @override
  String get ad8722Sbpage250Sbsign8722Sbup8722Sbbtn => 'Regisztrálj a kereskedés megkezdéséhez';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbbtn => 'Fogadd el a feltételeket és kezdd el a kereskedést';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbsubtitle => 'Elfogadod ennek a kereskedőnek a feltételeit?';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbtitle => 'Olvassa el a feltételeket';

  @override
  String ad8722Sbpage250Sbterms8722Sbof8722Sbtrade(Object username) {
    return 'Kereskedési feltételek a következővel: $username';
  }

  @override
  String get ad8722Sbpage250Sbtips => 'Tippek';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb0 => 'Olvassa el a hirdetést, és ellenőrizze a feltételeket.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb1 => 'Javasoljon találkozási helyet és kapcsolattartási időt, ha fizikai készpénzzel kereskednek.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb2 => 'Vigyázz a csalókra! Nézze meg a profil visszajelzését, és legyen fokozott óvatosság a nemrég létrehozott fiókokkal.';

  @override
  String ad8722Sbpage250Sbtips8722Sbtext8722Sb3(Object assetName) {
    return 'Vegye figyelembe, hogy a kerekítés és az áringadozások megváltoztathatják a végső $assetName összeget. Az $assetName összeg az Ön által megadott kereskedelmi pénznem összege alapján kerül kiszámításra.';
  }

  @override
  String get ad250Sbconfirmation250Sbaccept8722Sbterms8722Sbbtn => 'Fogadja el a feltételeket';

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress(Object asset) {
    return 'Adja meg a település $asset pénztárca címét';
  }

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbsubtitile(Object asset) {
    return 'A címet a megvásárolt $asset fogadására fogjuk használni. Győződjön meg arról, hogy a cím helyes, és hozzáfér-e a pénztárcához, különben az érmék helyrehozhatatlanul elveszhetnek.';
  }

  @override
  String get ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbyou8722Sbown => 'A kereskedés megkezdésével megerősíti, hogy a fogadó pénztárca az Öné';

  @override
  String get ad250Sbdeleted => 'Ezt a hirdetést törölték';

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Adjon el $assetName-et készpénzért $country-ben';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Vásároljon $assetName-et készpénzzel $country-ben';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return '$assetName eladása online az $country-ben';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Vásároljon $assetName-et online $country-ben';
  }

  @override
  String ad250Sblinks250Sbsubtitle(Object appName, Object assetName) {
    return 'Nem találta meg a keresett ajánlatot? Ezeken az $appName listákon több ehhez hasonló $assetName kereskedelmi ügylet található:';
  }

  @override
  String get ad250Sblinks250Sbtitle => 'Hirdetés ezzel a hirdetéssel';

  @override
  String get ad250Sblisting250Sbinsufficient8722Sbbalance => 'A kereskedőnek nincs elegendő egyenlege';

  @override
  String get ad250Sbno8722Sbmax8722Sbamount => 'bármennyi ';

  @override
  String get ad250Sbno8722Sbmin8722Sbamount => 'Akár ';

  @override
  String get ad250Sbno8722Sbterms => 'Kereskedelmi feltételek nincsenek megadva. ';

  @override
  String ad250Sbnotice250Sbprotected(Object link) {
    return 'Ezt a kereskedést egy $link védi';
  }

  @override
  String get ad250Sbnotice250Sbprotected250Sblink => 'választottbírósági kötvény';

  @override
  String get ad250Sbself8722Sbvacation8722Sbnotice => 'Ez a hirdetés nem látható a nyilvánosság számára, mert Ön jelenleg szabadságon van. Ezt a beállításokban vagy a műszerfalon módosíthatja.';

  @override
  String get ad250Sbverified8722Sbemail => 'Az e-mail-címét ellenőrizni kell, ha kereskedést szeretne nyitni ezzel a hirdetéssel';

  @override
  String address8722Sbinput250Sbbuyer8722Sbsettlement8722Sbaddress250Sblabel(Object asset) {
    return 'Elszámolási $asset pénztárca címe';
  }

  @override
  String get affiliate250Sbbanner250Sbcode => 'Banner kód:';

  @override
  String affiliate250Sbbanner250Sbtext(Object appName, Object linebreak, Object iframe) {
    return 'A szalaghirdetések az $appName-et népszerűsítik az Ön leányvállalatával. HTML-szalaghirdetéseket adhat hozzá blogjaihoz és webhelyeihez. $linebreak  $iframe banner a hirdetéséhez (234 x 60 pixel méret, fél banner egység):';
  }

  @override
  String get affiliate250Sbbanner250Sbtitle => 'Transzparens';

  @override
  String get affiliate250Sbenable8722Sbbtn => 'A társult program engedélyezése';

  @override
  String affiliate250Sbenabled(Object refCode, Object appName) {
    return 'Társprogramja engedélyezve van, és jutalékot kereshet, ha hozzáadja az $refCode affiliate címkét bármely $appName URL-hez.';
  }

  @override
  String affiliate250Sbexample250Sbtext(Object assetName, Object appName, Object assetSymbol, Object linebreak, Object support) {
    return 'Két felhasználót kap, az $assetName vevőjét és eladóját az $appName-en regisztrálva, és ők egy 100 $assetSymbol értékű kereskedést bonyolítanak le. Mindkét résztvevőtől 20% jutalékot kap az $appName kereskedési díj után, összesen az $appName díj 40%-át. Megkeresett összege 0,4 $assetSymbol. Csak a tranzakciós folyamatunkon átmenő, véglegesített értékesítés számít. A kifizetések naponta történnek. Az $linebreak  $appName $support készséggel segít bármilyen kérdésben.';
  }

  @override
  String get affiliate250Sbexample250Sbtext8722Sbsupport => 'támogatás';

  @override
  String get affiliate250Sbexample250Sbtitle => 'Bizottsági példa';

  @override
  String get affiliate250Sbinstructions8722Sb0 => 'A társulás akkor kerül regisztrálásra, ha bármely felhasználó regisztrál, miután az Ön hivatkozási kódját tartalmazó linkről az oldalra került.';

  @override
  String get affiliate250Sbinstructions8722Sblink8722Sbtype8722Sbregular8722Sbsubtitle => 'Szabályos:';

  @override
  String affiliate250Sbinstructions8722Sbtext(Object appName) {
    return 'Használhatja bármelyik $appName hivatkozást, például:';
  }

  @override
  String get affiliate250Sbinstructions8722Sbtitle => 'Példa linkek';

  @override
  String affiliate250Sblogged8722Sbout(Object signUp, Object logIn) {
    return 'A társult programot az $signUp vagy $logIn után engedélyezheti.';
  }

  @override
  String get affiliate250Sblogged8722Sbout8722Sblog8722Sbin => 'Belépés';

  @override
  String get affiliate250Sblogged8722Sbout8722Sbsign8722Sbup => 'regisztrálj';

  @override
  String get affiliate250Sbpayouts250Sbnone => 'Még nincsenek kifizetések';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdate => 'Dátum';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription => 'Leírás';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription8722Sbtext => 'Affiliate program jutalék kifizetése';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbreceived => 'Megérkezett ';

  @override
  String get affiliate250Sbpayouts250Sbtitle => 'Kifizetések';

  @override
  String affiliate250Sbref8722Sbcode(Object refCode) {
    return 'Az Ön ajánlókódja: $refCode';
  }

  @override
  String affiliate250Sbterms250Sbtext(Object appName, Object assetName) {
    return '• Hivatkozhat bármely oldalra, például országlistára vagy fizetési módok listájára, vagy bármi másra az $appName oldalon. <br/>• $assetName-t fog keresni azoktól a felhasználóktól, akik az Ön affiliate linkregiszterén keresztül érkeznek az oldalra, és kereskednek. <br/>• A kifizetések naponta kerülnek kifizetésre $appName pénztárcájába $assetName néven. <br/>• A jutalékot a felhasználó regisztrációjától számított egy évig fizetik. A jutalék az új felhasználó által az $appName-ből származó bevételen alapul (kereskedési díjak). <br/>• Ha aktív kuponjai vannak, az adott időszakra vonatkozó kuponengedmények teljes összegét levonjuk a társult vállalkozás ugyanabban az időszakban szerzett bevételéből. Ha az Ön teljes visszatérítési összege egy adott időszakra nagyobb vagy egyenlő, mint az adott időszak társult vállalkozásának bevétele, akkor az adott időszakra vonatkozóan nem kap semmilyen társult vállalkozás bevételét. <br/>• Tilos minden rossz játék, például félrevezető reklám. <br/>• A spamküldés tilos. A kéretlen levelek küldése magában foglalja a leiratkozott privát vagy nyilvános üzenetek küldését fórumokon/redditen, leiratkozott tömeges leveleket stb. <br/>• Tilos rejtett iframe-ek hozzáadása a webhelyekhez a társult vállalkozások rögzítése érdekében. Csak a társult iframe-ek vagy a weboldalra mutató közvetlen linkek engedélyezettek. <br/>• Az $appName-nek joga van bármely társult felhasználót bármikor letiltani. Ha megszegi a feltételeket, a társult programja megszűnik.';
  }

  @override
  String affiliate250Sbterms250Sbtext57Sbagoradesk(Object appName) {
    return '• Hivatkozhat bármely oldalra, például országlistára vagy fizetési módok listájára, vagy bármi másra az $appName oldalon. <br/>• Kriptovalutát fog keresni azoktól a felhasználóktól, akik az Ön affiliate linkregiszterén keresztül érkeznek az oldalra, és kereskednek. <br/>• A kifizetéseket naponta teljesítjük $appName pénztárcájába a megfelelő kriptovalutában. <br/>• A jutalékot a felhasználó regisztrációjától számított egy évig fizetik. A jutalék az új felhasználó által az $appName-ből származó bevételen alapul (kereskedési díjak). <br/>• Tilos minden rossz játék, például félrevezető reklám. <br/>• A spamküldés tilos. A kéretlen levelek küldése magában foglalja a leiratkozott privát vagy nyilvános üzenetek küldését fórumokon/redditen, leiratkozott tömeges e-maileket stb. <br/>• Tilos rejtett iframe-ek hozzáadása egy webhelyhez a társult vállalkozások rögzítése érdekében. Csak a társult iframe-ek vagy a weboldalra mutató közvetlen linkek engedélyezettek. <br/>• Az $appName-nek joga van bármely társult felhasználót bármikor letiltani. Ha megszegi a feltételeket, a társult programja megszűnik.';
  }

  @override
  String get affiliate250Sbterms250Sbtitle => 'Társprogram feltételei';

  @override
  String get affiliate250Sbtitle => 'Partnerprogram';

  @override
  String affiliate250Sbusers250Sbtext(Object number) {
    return 'Ön jelenleg az $number felhasználók leányvállalataként regisztrált, és jutalékot kap az általuk végzett összes kereskedésből.';
  }

  @override
  String get affiliate250Sbusers250Sbtitle => 'Felhasználók';

  @override
  String get agoradesk250Sbad8722Sbpage250Sbhow8722Sbmuch8722Sbnotional8722Sbamount250Sbor => 'vagy';

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sball => 'ÖSSZES HIRDETÉS MUTATÁSA';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sbcoin(Object assetSymbol) {
    return '$assetSymbol CSAK HIRDETÉSEK';
  }

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sball => 'MUTASD AZ ÖSSZESET';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbcoin(Object assetSymbol) {
    return 'CSAK $assetSymbol';
  }

  @override
  String get agoradesk250Sbasset250Sblabel => 'Kriptovaluta eszköz';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuy => 'megvesz';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuyer => 'vevő';

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral(Object buy_or_sell_button_name) {
    return 'Miután megnyomta a \'$buy_or_sell_button_name\' gombot, további információkat láthat a hirdetésről, beleértve a kereskedelmi feltételeket is. A kereskedési kérelem benyújtása előtt olvassa el őket, ha nem ért egyet velük, akkor visszaléphet az előző oldalra és választhat másik hirdetést.';
  }

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral250Sbhow8722Sbto8722Sbstart(Object asset, Object buy_or_sell) {
    return 'A kereskedés elindításához írja be, hogy mennyi $asset-et szeretne $buy_or_sell, majd kattintson a „Kereskedési kérelem küldése” gombra a kereskedés elindításához.';
  }

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbsell => 'elad';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbseller => 'eladó';

  @override
  String get agoradesk250Sbguide250Sbbtc8722Sbas8722Sban8722Sbexample => 'Ebben az útmutatóban a BTC-t használjuk alapvalutaként, de ugyanezek a szabályok vonatkoznak az XMR-re is.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbbuyer => 'Ha nem biztos benne, hogyan szeretne fizetni, válassza a „Minden online ajánlat” lehetőséget fizetési módként.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbseller => 'Ha nem biztos benne, hogyan szeretne kifizetést kapni, válassza a „Minden online ajánlat” lehetőséget fizetési módként.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbbuy8722Sbtab8722Sbname => 'megvesz';

  @override
  String agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbad8722Sbtype(Object buy_or_sell_tab_name) {
    return 'A bal oldali oszlopban válassza ki a „$buy_or_sell_tab_name” lapot. Ha módosítani szeretné az országot, a pénznemet, a fizetési módot vagy megadni a szükséges összeget, kattintson a \'Keresés menü megjelenítése\' gombra, válassza ki a kívánt paramétereket, majd nyomja meg a keresés gombot.';
  }

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbasset => 'Ezután válassza ki a kereskedni kívánt kriptovalutát úgy, hogy megnyomja a megfelelő fület a hirdetési táblázat feletti sorban. Ebben a példában a BTC-t választjuk.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbmain8722Sbpage => 'Ugrás a főoldalra.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsearch8722Sbresults => 'A webhely felsorolja a régiójában elérhető kereskedőket.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsell8722Sbtab8722Sbname => 'Elad';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbbuy => 'megvesz';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbcoins => 'Kereskedelmi érmék';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbsell => 'Elad';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbitm8722Sbotm8722Sbseparator250Sbcurrent8722Sbmarket8722Sbprice => 'Piaci ár';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmor250Sbbutton => 'Továbbiak betöltése...';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmore250Sbloading => 'Kérlek várj';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbcta => 'Regisztráljon ingyenesen a Bitcoin kereskedés megkezdéséhez';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbcontent => 'Választottbírósági normáink nagyon magasak, mivel<strong> nem fogadunk el képernyőképeket vagy más könnyen hamisítható dokumentumokat bizonyítékként a vitákban</strong>. Emiatt nagy mennyiségű csalót el tudunk riasztani attól, hogy a platformunkon dörzsöljenek. Gyorsan reagálunk a felhasználói bejelentésekre, és figyelmeztetéseket adunk ki azokban a régiókban, ahol hirtelen megugrik a csalók száma.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbtitle => 'Csalásmegelőzés';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb0 => 'Nincs KYC/AML vagy ellenőrzés';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb1 => 'Bármilyen pénznemben, bármilyen fizetési módban, bárhol';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb10(Object nojs) {
    return '$nojs (alapértelmezés szerint betöltődik, ha Torról vagy I2P-ről ér el)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb108722Sb1 => 'A webhely JavaScript nélküli verziója';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb11 => 'Teljesen működőképes, ha a Google le van tiltva';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb12(Object affiliate) {
    return '$affiliate – kereskedési felhasználók meghívásával jutalékot kap';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb128722Sb1 => 'Partnerprogram';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb13 => 'Többnyelvű: támogatjuk az angol, orosz, kínai (egyszerűsített és hagyományos), olasz, portugál és spanyol nyelvet';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb14(Object telegram) {
    return 'Mobil értesítések az $telegram-en keresztül, így nem kell újabb alkalmazást telepítenie a telefonjára, csak hogy push értesítéseket kapjon a kereskedéseiről (a LocalBitcoins ezt a funkciót utánunk vezette be)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb15 => 'Gyönyörű hirdetések a Markdown használatával';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb16 => '2FA (TOTP-alkalmazásokkal, például Google Authenticator vagy andOTP)';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb17 => 'A BTC-n kívüli pénznemek visszavonása ';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb18 => 'Bonyolult árképzési mechanizmusok árképletek használatával';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb19 => 'és több...';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb2 => 'Online Bitcoin kereskedés';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb20(Object api) {
    return 'Teljesen működőképes $api a LocalBitcoins API-ról mintázva az egyszerű átállás érdekében';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb208722Sb1 => 'API';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb3 => 'Offline készpénzes, személyes Bitcoin kereskedés';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb4 => 'Teljes választottbírósági kötvényvédelem minden online kereskedésben';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb5 => 'Nincs betéti díj, méltányos kifizetési díj';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb6 => 'Gyors és érzékeny támogatás';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb7 => 'A regisztráció során nincs e-mail';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb8 => 'Hagyma portál';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb9 => 'I2P portál';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures250Sbtitle => 'Az AgoraDesk szolgáltatásai a következők:';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbcontent => '<i>Eltérően </i> LocalBitcoins, mi azonban nem számítunk fel túlzott díjat, ha Bitcoinokat helyez be vagy von ki választottbírósági kötvénytárcánkba, illetve onnan. Nincs <strong> befizetési díj, és a kifizetési díj nagyon közel áll ahhoz a díjhoz, amelyet egy normál tranzakció esetén fizetne </strong>. A többi AgoraDesk-felhasználó pénztárcájára történő átutalás egyáltalán nem jár díjjal.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbtitle => 'Tisztességes díjak';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbhtml8722Sbdescription => 'LocalBitcoins analógot keresel bitcoinok peer-to-peer kereskedelméhez KYC/AML vagy ellenőrzés nélkül? Az AgoraDesk egy új P2P platform Bitcoin kereskedéshez, amelyet a LocalMonero, a Monero LocalBitcoins megfelelője mögött álló csapat hozott létre. Ugyanazt a gyors és egyszerű Bitcoin kereskedési élményt kínáljuk, mint a LocalBitcoins, és így tovább.';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbintroduction(Object lbc, Object lm) {
    return '$lbc analógot keresel a bitcoinok peer-to-peer kereskedelméhez KYC/AML vagy ellenőrzés nélkül? Az AgoraDesk egy új P2P platform a Bitcoin kereskedéshez, amelyet az $lm, a Monero LocalBitcoins megfelelője mögött álló csapat hozott létre.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbcontent => 'Az AgoraDesk elkötelezett amellett, hogy megőrizze azt az egyszerűséget és közvetlenséget, amely az eredeti LocalBitcoinokat olyan népszerűvé tette. <strong> Nem alkalmazunk KYC/AML-t, és nem is tervezünk ilyet </strong>. Szilárd meggyőződésünk, hogy maga a KYC/AML koncepciója teljesen ellentétes a peer-to-peer over-the-counter tőzsdével, mint amilyen a miénk is, és mindaddig, amíg az <i>Föld bolygón nincs több törvényes út. </i> a KYC/AML bevezetésének elkerülése érdekében mindent megteszünk annak érdekében, hogy problémamentes élményben legyen része.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbtitle => 'Nincs KYC/AML';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbcontent => ' Mivel az AgoraDesk-et egy olyan csapat készíti, amely a magánélet-orientált Monero közösséghez tartozik, az AgoraDesk ugyanazt az adatvédelem-orientált hajlamot örökli, mint a LocalMonero. Az a felhasználó, aki teljesen letiltja a Google szolgáltatásait, probléma nélkül használhatja platformunkat. <strong> Platformunk JavaScript nélkül is teljesen működőképes</strong>, ami olyan szintű biztonságot és adatvédelmet biztosít, amely <i>soha</i> nem érhető el más olyan platformokon, amelyek működéséhez JavaScript szükséges.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbtitle => 'JavaScript nélkül működik';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent(Object tor_link, Object advanced_routing, Object i2p_link, Object dont_ask_email) {
    return 'Webhelyünk könnyen elérhető az $tor_link-n keresztül (amely maximális teljesítményre van hangolva az Ön kényelmére az $advanced_routing használatával) és még az $i2p_link-en keresztül is. Ez nemcsak azt biztosítja, hogy eltitkolhatja előlünk valódi IP-címét (amit egyébként soha nem társítunk a fiókjához), hanem azt is, hogy ha a normál domain bármilyen okból elérhetetlenné válik az Ön számára, akkor más módon is elérheti. a mi szolgáltatásunk. Nagyon fontosnak tartjuk a magánéletét, $dont_ask_email.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbadvanced8722Sbrouting => 'fejlett hagyma-útválasztó funkciók';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbi2p8722Sblink => 'I2P portál';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbno8722Sbemail => 'még csak nem is kérünk e-mailt a regisztrációkor';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbtor8722Sblink => 'Tor portál';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbtitle => 'Adatvédelem központú, cenzúraálló';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsubtitle => 'Ugyanazt a gyors és egyszerű Bitcoin kereskedési élményt kínáljuk, mint a LocalBitcoins, és így tovább.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbcontent => 'Ügyfélszolgálati csapatunk gyors, készséges, és mindig örömmel szolgál. <strong> Soha nem kaptunk olyan támogatási jegyet, amelyre 24 órán belül ne válaszoltak volna</strong>. A közösségi médián keresztül mindig könnyen elérhetőek vagyunk, figyelmesen hallgatjuk kritikáit, és mindig rekordidő alatt megvalósítjuk a jó felhasználói javaslatokat.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbtitle => 'Csillagok támogatása';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtitle => 'LocalBitcoins alternatíva';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbcontent => 'Csakúgy, mint a LocalBitcoins, mi is támogatunk <strong> bármilyen fizetési módot, bármilyen pénznemet, bárhol</strong>. Nem távolítunk el fizetési módokat, és <i>ellentétben</i> LocalBitcoinnal <strong>teljes mértékben támogatjuk a személyes készpénzes kereskedést</strong>. Minden kereskedésünket választottbírósági kötvény védi. Köszönhetően annak, hogy a kereskedés megkezdése előtt választottbírósági kötvényben kell tartani a pénzeszközöket, zökkenőmentes és gyors élményt biztosítunk a vevőnek, ami elengedhetetlen a platform népszerűségéhez és az eladók számára a visszatérő ügyfelekhez.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbtitle => 'Biztonságos és gördülékeny kereskedés';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbcontent => 'A LocalMonero több mint két éve működik, túlélte a 2018-as nagy kriptovaluta-piaci összeomlást, és <strong>közösség-orientált gondos szolgáltatása</strong> révén az egyik leg<strong>megbízhatóbb</strong> név lett az <i>-ben. szkeptikus</i> Monero közösség.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbtitle => 'A közösség bízik benne';

  @override
  String get agoradesk250Sbleft8722Sbmenu250Sbtrade => 'Kereskedelmi';

  @override
  String get agoradesk250Sblink8722Sbfrom8722Sblocalmonero => 'Kereskedelmi BTC';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbbuy => 'Érmék vásárlása készpénzért (helyben)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbsell => 'Érmék eladása készpénzért (helyben)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbbuy => 'Vásároljon érméket online';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbsell => 'Értékesítsen érméket online';

  @override
  String agoradesk250Sbstart250Sbcoins(Object appName) {
    return '$appName érmekereskedelmi útmutatók';
  }

  @override
  String get agoradesk250Sbtrade250Sbaction250Sberror8722Sbdialog250Sbcontent => 'Művelete hibát okozott, kérjük, töltse be újra az oldalt.';

  @override
  String agoradesk250Sbtrade250Sboption250Sbcall250Sbseller250Sbconfirm8722Sbpayment8722Sband8722Sbrelease(Object date) {
    return 'A vevő a fizetést késznek jelölte $date. Győződjön meg arról, hogy megkapta a pénzt, és fejezze be a kereskedést.';
  }

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbbuyer250Sbtitle => 'Fizessen az eladónak';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbseller250Sbtitle => 'Várja a vevő fizetését';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbsix250Sbseller250Sbtitle => 'Fizetés megerősítése';

  @override
  String get agoradesk250Sbtrade250Sboption250Sblast8722Sbstep250Sbtitle => 'Az adásvétel befejeződött';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayer8722Sbcancel8722Sbnotice => 'Hibát vétett, vagy másik kereskedőt szeretne kipróbálni? Ha már átutalta az összeget, és most szeretné lemondani, akkor magának kell tárgyalnia kereskedelmi partnerével a fizetés visszaküldéséről. <strong> Soha ne mondja le, hacsak nem biztos abban, hogy visszakapta a pénzét. </strong>';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayment8722Sbreceiver8722Sbcancel8722Sbnotice => 'Soha ne zárjon le egy kereskedést, amíg nem 100%-ig biztos abban, hogy megkapta a pénzt. A csalók megpróbálják <strong> rávenni a korai véglegesítésre</strong>.';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbbuyer => 'vevő';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbseller => 'eladó';

  @override
  String agoradesk250Sbwallet250Sbbtc250Sbsingle8722Sbuse8722Sbnotice(Object assetName) {
    return 'Ez a cím automatikusan megváltozik a használat után. Ennek ellenére, ha használt befizetési címre küldi el $assetName-ét, az jóváírásra kerül a számláján. Adatvédelmi okokból nem jelenítjük meg a használt letéti címeket. Erre a címre csak olyan pénztárcából küldhet érmét, amelyet Ön személyesen felügyel.';
  }

  @override
  String get and => 'és';

  @override
  String get api8722Sbdocs250Sblabel => 'API-dokumentumok';

  @override
  String get api250Sbvalidation8722Sberror250Sbaddress => 'Érvénytelen cím!';

  @override
  String get appbar8722Sbbtn250Sblogin => 'Belépés';

  @override
  String get appbar8722Sbbtn250Sbsignup => 'Regisztrálj ingyen';

  @override
  String get article250Sblast8722Sbupdated => 'Utolsó frissítés';

  @override
  String get article250Sbpublished => 'Közzétett';

  @override
  String get as8722Sbseen8722Sbon => 'Amint látható:';

  @override
  String get asset8722Sbprops250Sbname250Sbasset => 'érme';

  @override
  String get asset8722Sbprops250Sbname250Sbbtc => 'Bitcoin';

  @override
  String get asset8722Sbprops250Sbname250Sbxmr => 'Monero';

  @override
  String breadcrumbs250Sblocal8722Sbbuy(Object asset, Object currencyCode) {
    return '$asset eladása $currencyCode-hez';
  }

  @override
  String breadcrumbs250Sblocal8722Sbsell(Object asset, Object currencyCode) {
    return 'Vásároljon $asset-et $currencyCode-hez';
  }

  @override
  String breadcrumbs250Sbonline8722Sbbuy(Object asset, Object currencyCode) {
    return '$asset eladása $currencyCode-hez';
  }

  @override
  String breadcrumbs250Sbonline8722Sbsell(Object asset, Object currencyCode) {
    return 'Vásároljon $asset-et $currencyCode-hez';
  }

  @override
  String get button250Sbaccept => 'Elfogad';

  @override
  String get buy8722Sbmonero8722Sbin8722Sbany8722Sbcountry => 'bármelyik ország';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbcurrently => 'jelenleg';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbdescription => '<strong> Válassza ki a kereskedési elszámolás során használandó díjszintet. </strong> Az itt látható értékek az aktuális árfolyam becslések, és eltérhetnek a kereskedelmi elszámolás során alkalmazottaktól. Amennyiben az ügylet összege túl alacsony ahhoz, hogy a választott díjszinttel kiegyenlítse a kereskedést, az elszámolás során automatikusan alacsonyabb díjszint kerül kiválasztásra.';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbtitle => 'Elszámolási díj mértéke';

  @override
  String get cancelled250Sbno8722Sbtrades => 'Még nem mondott le egyetlen kereskedést sem';

  @override
  String get cancelled250Sbtitle => 'Az Ön törölt kereskedései';

  @override
  String get captcha250Sbhelper8722Sbtext => 'Írja be a fenti képen látható szöveget';

  @override
  String get chat250Sbattach => 'Fájl csatolása';

  @override
  String get chat250Sbattachment => 'Melléklet';

  @override
  String get chat250Sbbtn => 'Üzenet küldése';

  @override
  String get chat250Sbcash8722Sbdeposit8722Sbseller8722Sbwarning => '<strong>Figyelmeztetés:</strong> előfordultak olyan esetek, amikor az eladók csekket helyeztek el, amelyet később visszavontak. Ügyeljen arra, hogy igazolja (például hívja fel a bankot) minden befizetést!';

  @override
  String get chat250Sbeu8722Sbfraud8722Sbwarning => 'Úgy tűnik, hogy európai régiónkban jelenleg felerősödik a bankszámlacsalás. <br /> Azt tanácsoljuk minden európai régióbeli kereskedőnknek, hogy legyenek rendkívül óvatosak, amikor új kereskedelmi partnerekkel lépnek kapcsolatba, például kérjenek egy fényképet, amelyen személyi igazolványt és egy papírdarabot tartanak a kezükben a kereskedelmi adatokkal (például kereskedelmi azonosító, összeg, felhasználónév és dátum). Ne feledje, hogy a csalók birtokában lehetnek kiszivárgott vagy ellopott KYC-dokumentumok. <br />';

  @override
  String chat250Sbinput8722Sbtip(Object appName) {
    return '<strong>Enter</strong> új sor indításához, <strong>Alt+Enter</strong> üzenet küldéséhez. Maximum 65536 karakter. Az $appName 180 napig titkosítja és tárolja a csevegőüzeneteket viták közvetítése céljából.';
  }

  @override
  String chat250Sbinput8722Sbtip8722Sbshort(Object appName) {
    return 'Az $appName 180 napig titkosítja és tárolja a csevegőüzeneteket viták közvetítése céljából.';
  }

  @override
  String get chat250Sbinput8722Sbtitle => 'Írj egy üzenetet...';

  @override
  String get chat250Sbmitm8722Sbcryptocurency8722Sbwarning => 'Figyelmeztetés: az eladó címét csak ebben a kereskedelmi csevegésben vagy ezen a kereskedelmi oldalon lévő fizetési részletek szakaszban szerezze be, és ne küldjön fizetési tranzakcióazonosítókat a kereskedelmi chaten kívül! Azt is javasoljuk, hogy tartson meg minden kommunikációt ebben a kereskedelmi chatben.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb0 => '⚠️ PSA: van egy új csaló, aki férfiként viselkedik a közepén. A csaló felveszi Önnel a kapcsolatot a platformon kívül, és úgy tesz, mintha eladó lenne a platformon, és felajánlja, hogy vásároljon tőlük XMR-t BTC-ért cserébe csökkentett áron (például fizessen 8 XMR értékű BTC-t, ha 10 XMR-t vásárol). Ezzel egyidejűleg kereskedést nyitnak az eladóval, akit a platformon kiadnak a csökkentett összegért.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb1 => '<p>A csaló ezután azt mondja a vevőnek, hogy kezdje meg a kereskedést a teljes összeggel, és fizesse ki a csökkentett összeget, miközben figyeli az eladó fogadócímét a blokkláncon, és figyeli a jogos vevő csökkentett összegű tranzakcióját. A csaló ezután elveszi a jogos vevő txid-jét, és átadja az eladónak a fizetés igazolásaként. Az eladó kiadja az érméket a csalónak, mivel két kereskedés van nyitva, az egyik a teljes összegre a jogos vevőtől, a másik pedig a csökkentett összegre a csalótól, azt gondolva, hogy a csaló fizetett, mert az összeg megegyezik a kereskedési összeggel. </p>\n\n<p> <strong> NE KÖZELJÜK PLATFORMON KÍVÜL KERESKEDÉSEKET. HA VALAKI PLATFORMON KÍVÜL KÖZELÍTET AZONNÁL, NYITJON VELÜK KERESKEDELMÉT A PLATFORMON, ÉS ELLENŐRIZZE, HOGY Ő AZ, AKIKNAK MONDJA MEG, ÉS AZ ÖSSZES KOMMUNIKÁCIÓT OTT FENNTARTJA. </strong> </p>\n\n<p> <strong> ELADÓK, AKIK ELFOGADJÁK FIZETÉSEKET ÁTLÁTSZÓ KRIPTOLÁNCOKRA: GYŐZŐDJÖN MEG MEGELŐBB FIZETÉSI KÜLÖNBÖZTETÉSE AZ ÜGYFÉLEI ÉS A KERESKEDELEMEK KÖZÖTT, HOGY EL KERÜLJÜK AZ ÁLDOZATOKBA. </strong> </p>\n\n<p> Mindig különböző címeket használjon minden kereskedéshez egy nyilvánosan kereshető kriptográfiai eszközön, mint például a BTC. </p>';

  @override
  String get chat250Sbno8722Sbmessages => 'Még nincsenek üzenetek';

  @override
  String chat250Sbsecurity8722Sbwarning(Object appName) {
    return 'Ne nyissa meg a csevegésben kapott külső hivatkozásokat, és ne töltsön le más felhasználóktól kapott fájlokat kívülről. A legjobb, ha külön böngészőt használ minden $appName tevékenységéhez.';
  }

  @override
  String get chat250Sbselect8722Sbfile => 'Válaszd ki a fájlt...';

  @override
  String get chat250Sbsend => 'Küld';

  @override
  String get chat250Sbshortcuts => 'Enter: új sor, Alt+Enter: küldés';

  @override
  String chat250Sbtitle(Object user) {
    return 'Üzenet küldése erre: $user';
  }

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtext => 'A csatolt fájlok .jpg vagy .png méretűek és legfeljebb 5 MB méretűek.';

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtitle => 'Feltöltési hiba';

  @override
  String get chat250Sbupload8722Sbfile => 'Feltöltés';

  @override
  String get chat250Sbupload8722Sbtip => 'Elfogadott fájltípusok: .jpg, .png. maximum 5 MB.';

  @override
  String get chat250Sbzoom8722Sbtip => 'Tipp: nyomja meg háromszor az üzenetet a nagyításhoz';

  @override
  String get completed250Sbno8722Sbtrades => 'Még nem zártál le egyetlen kereskedést sem';

  @override
  String get completed250Sbtitle => 'Az Ön befejezett kereskedései';

  @override
  String contact250Sble(Object lawEnforcementinquiries) {
    return 'A bűnüldöző szervek kérdéseivel kapcsolatban olvassa el az $lawEnforcementinquiries részt.';
  }

  @override
  String get contact250Sble250Sbpolicy8722Sblink => 'politikánk';

  @override
  String contact250Sbtext8722Sb0(Object openAticket, Object email) {
    return 'Ha kapcsolatba szeretne lépni ügyfélszolgálatunkkal, akkor $openAticket vagy e-mailt küldhet a $email címre.';
  }

  @override
  String get contact250Sbtext8722Sb08722Sbopen8722Sba8722Sbticket => 'nyisson jegyet';

  @override
  String contact250Sbtext8722Sb1(Object email) {
    return 'Üzleti, sajtó- és egyéb kérdésekkel forduljon hozzánk: $email';
  }

  @override
  String contact250Sbtext8722Sb2(Object appName, Object here) {
    return 'Az $appName logót kiváló minőségben $here töltheti le.';
  }

  @override
  String get contact250Sbtext8722Sb28722Sbhere => 'itt';

  @override
  String get contact250Sbtitle => 'Lépjen kapcsolatba velünk';

  @override
  String get coupons250Sbcode8722Sbinput250Sbplaceholder => 'Írd be ide a kódodat...';

  @override
  String get coupons250Sbcoupon250Sbbutton250Sblabel => 'Beváltani';

  @override
  String coupons250Sbcoupon250Sbdescription(Object percent, Object assets, Object types) {
    return '$percent% díjengedmény az $assets $types ügyletekre.';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_buy => 'helyi vásárlás';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_sell => 'helyi eladni';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_buy => 'online vásárlás';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_sell => 'online értékesítés';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_buy => 'eladási opció vétel';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_sell => 'eladási opció eladás';

  @override
  String get coupons250Sbcoupon250Sbexpired => 'Lejárt';

  @override
  String get coupons250Sbcoupon250Sbexpires => 'Lejár';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbactive => 'Aktív kupon';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbexpired => 'Lejárt kupon';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbredeem => 'Kupon beváltása';

  @override
  String get coupons250Sberror250Sb175 => 'Érvénytelen kuponkód';

  @override
  String get coupons250Sberror250Sb176 => 'A kupon már lejárt';

  @override
  String get coupons250Sberror250Sb177 => 'Ez a kupon elfogyott';

  @override
  String get coupons250Sberror250Sb179 => 'Érvénytelen kuponkód';

  @override
  String get coupons250Sberror250Sb180 => 'A kupon már lejárt';

  @override
  String get coupons250Sberror250Sb181 => 'Ez a kupon csak regisztráció során váltható be';

  @override
  String get coupons250Sberror250Sb182 => 'Ezt a kupont már beváltotta';

  @override
  String get coupons250Sberror250Sb183 => 'Ez a kupon elfogyott';

  @override
  String get coupons250Sberror250Sb184 => 'Egyszerre csak egy aktív kuponod lehet';

  @override
  String get coupons250Sberror250Sbdialog250Sbtitle => 'Hiba a kupon beváltása során';

  @override
  String coupons250Sberror250Sbgeneric(Object error_code) {
    return 'Hiba történt a kupon beváltása közben. Ha ez nem tűnik helyesnek, forduljon a támogatáshoz. Hibakód: $error_code.';
  }

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbhide => 'Rejtse el lejárt kuponjait';

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbshow => 'Mutassa meg lejárt kuponjait';

  @override
  String get coupons250Sbsignup250Sbshow8722Sbcoupon8722Sbinput8722Sbbtn => 'Van egy kuponkódom';

  @override
  String get coupons250Sbsubtitle => 'Itt jelennek meg aktív és lejárt kuponjai. Ha van kuponkódod, itt tudod beváltani.';

  @override
  String get coupons250Sbterms8722Sb0 => 'Egyszerre csak egy kupon lehet aktív.';

  @override
  String get coupons250Sbterms8722Sb1 => 'A kupon beváltása után nem kapcsolható ki.';

  @override
  String get coupons250Sbterms8722Sb2 => 'Minden kupon számlánként csak egyszer váltható be.';

  @override
  String get coupons250Sbterms8722Sb3 => 'A díjat csak az a fél kapja vissza, aki eredetileg fizeti a választottbírósági védelmi díjat az üzletért.';

  @override
  String get coupons250Sbterms8722Sb4 => 'A díjkedvezmény a kereskedés lezárásakor történik meg.';

  @override
  String get coupons250Sbterms8722Sb5 => 'Ha társult vállalkozás jutalékot keres, akkor az adott időszakra vonatkozó összes kuponengedményt levonjuk az adott időszakra vonatkozó társult vállalkozás bevételéből. Ha az Ön teljes visszatérítési összege egy adott időszakra nagyobb vagy egyenlő, mint az adott időszak társult vállalkozásának bevétele, akkor az adott időszakra vonatkozóan nem kap semmilyen társult vállalkozás bevételét.';

  @override
  String coupons250Sbterms8722Sb6(Object appName) {
    return 'Az $appName fenntartja a jogot, hogy előzetes értesítés és ellenszolgáltatás nélkül bármikor deaktiválja a kupont.';
  }

  @override
  String get coupons250Sbterms250Sbtitle => 'A kuponok felhasználási feltételei';

  @override
  String get coupons250Sbtitle => 'Kuponok';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbbtn => 'Hirdetés törlése';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtext => 'Ezzel véglegesen törli a hirdetést. Fontolja meg a hirdetés elrejtését a láthatóság hamis értékre állításával.';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtitle => 'Törlés jóváhagyása';

  @override
  String get dashboard250Sbad250Sbemail8722Sbverified => 'Ez a hirdetés csak ellenőrzött e-mail-címmel rendelkező felhasználóknak szól';

  @override
  String get dashboard250Sbad250Sbfor8722Sbtrusted => 'Csak megbízható felhasználók számára';

  @override
  String get dashboard250Sbad250Sbmethod250Sbcash => 'Készpénz';

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbnegative(Object percent) {
    return 'Piac $percent';
  }

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbpositive(Object percent) {
    return 'Market +$percent';
  }

  @override
  String get dashboard250Sbad250Sbtable8722Sbcreated8722Sbat => 'Létrehozva';

  @override
  String get dashboard250Sbad250Sbtable8722Sbid => 'ID';

  @override
  String get dashboard250Sbad250Sbtable8722Sbmethod => 'Módszer';

  @override
  String get dashboard250Sbad250Sbtable8722Sbprice => 'Ár';

  @override
  String get dashboard250Sbad250Sbtable8722Sbtype => 'típus';

  @override
  String get dashboard250Sbad250Sbtable8722Sbvisible => 'Látható';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbdelete8722Sbwarning => 'Ezzel véglegesen törli a kiválasztott hirdetéseket. Fontolja meg ezek elrejtését a láthatóság hamis értékre állításával.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbapply => 'Alkalmazás a kiválasztottakra';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbfalse => 'Hamis';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbtrue => 'Igaz';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sberror => 'Hiba történt több hirdetés frissítésekor. Előfordulhat, hogy a hirdetések egy része vagy mindegyike nem frissült. Valószínűleg túl sok hirdetést választott ki egyszerre. Kérjük, frissítse az oldalt, és próbálja újra.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbany => 'Bármilyen hirdetés';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbasset8722Sbbuys => 'Csak azonos eszközvásárlási hirdetések';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbcurrency => 'Csak azonos pénznemű hirdetések';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsells => 'Csak hirdetéseket adjon el';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbsetting8722Sbselect250Sblabel => 'Válassza ki a beállítást';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbtitle => 'Több hirdetés kezelése';

  @override
  String get dashboard250Sbads250Sbfilter250Sbapply8722Sbbtn => 'Szűrők alkalmazása';

  @override
  String get dashboard250Sbads250Sbfilter250Sbasset => 'Eszköz';

  @override
  String get dashboard250Sbads250Sbfilter250Sbdelete8722Sbselected => 'Kiválasztottak törlése';

  @override
  String get dashboard250Sbads250Sbfilter250Sbno8722Sbads => 'Itt nincsenek hirdetések';

  @override
  String get dashboard250Sbads250Sbfilter250Sbreset8722Sbbtn => 'Szűrők visszaállítása';

  @override
  String get dashboard250Sbads250Sbfilter250Sbsort => 'Sorrend';

  @override
  String get dashboard250Sbads250Sbfilter250Sbtype => 'típus';

  @override
  String get dashboard250Sbads250Sbfilter250Sbvisibility => 'Láthatóság';

  @override
  String get dashboard250Sbads250Sbload8722Sball => 'Az összes hirdetés betöltése';

  @override
  String get dashboard250Sbads250Sbshowing8722Sball => 'Az összes hirdetés megjelenítése';

  @override
  String get dashboard250Sbblocked => 'Zárolt';

  @override
  String get dashboard250Sbfilter250Sball => 'Összes';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbboth => 'vétel/eladás';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbbuying => 'Vásárlás';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbselling => 'Eladási';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbhidden => 'Rejtett';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbvisible => 'Látható';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbno8722Sbads => 'Jelenleg nincsenek hirdetései';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbtitle => 'A hirdetéseid';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbno8722Sbtrades => 'Jelenleg nincs nyitott kereskedésed';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbtitle => 'Nyitott kereskedései';

  @override
  String get dashboard250Sbpost8722Sbad8722Sbbtn => 'Új hirdetés létrehozása';

  @override
  String get dashboard250Sbtitle => 'Irányítópult';

  @override
  String get dashboard250Sbtrade250Sbcancelled8722Sbat => 'Törölve:';

  @override
  String get dashboard250Sbtrade250Sbcompleted8722Sbat => 'Elkészült:';

  @override
  String get dashboard250Sbtrade250Sbcreated8722Sbat => 'Teremtés ideje';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcancelled => 'Törölve';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcompleted => 'Befejezve';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbdisputed => 'Vitatott';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbfunded => 'Finanszírozott';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbnot8722Sbpaid => 'fizetésre vár';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbpaid => 'Fizetve, a véglegesítésre vár';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbunfunded => 'Nem finanszírozott';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbamount8722Sbfiat58Sb => 'Összeg (pénznem)';

  @override
  String dashboard250Sbtrade250Sbtable8722Sbamount8722Sbxmr58Sb(Object assetSymbol) {
    return 'Összeg ($assetSymbol)';
  }

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbid58Sb => 'ID';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbmethod58Sb => 'Módszer';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbpartner58Sb => 'Kereskedelmi partner';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbstatus58Sb => 'Állapot';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbtype58Sb => 'típus';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbview8722Sbbtn58Sb => 'Kilátás';

  @override
  String get dashboard250Sbtrade250Sbuser8722Sbdeleted => '[törölt]';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbno8722Sbtrades => 'Itt nincs kereskedés';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbrole => 'Én vagyok...';

  @override
  String get dashboard250Sbtrusted => 'Megbízható';

  @override
  String get dashboard250Sbtrusted8722Sbusers => 'Megbízható/letiltott felhasználói';

  @override
  String get dashboard250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'SÜRGŐS INTÉZKEDÉS SZÜKSÉGES: egy vagy több vásárlási hirdetésénél nincs beállítva elszámolási pénztárca címe. A lehető leghamarabb adja meg, hogy elkerülje a hirdetések elrejtését. Használhatja a szűrőket és a tömeges hirdetésszerkesztési funkciót, hogy az összes releváns hirdetéshez egyszerre beállítsa.';

  @override
  String get dashboards250Sbads250Sbfilter250Sbtitle => 'Hirdetések szűrése';

  @override
  String get dashboards250Sbtrades250Sbfilter250Sbtitle => 'Kereskedések szűrése';

  @override
  String get description => 'Szerezd meg Monerót. Gyors, egyszerű és biztonságos. Közel hozzád.';

  @override
  String description250Sbaffiliate(Object appName) {
    return 'Ön az Ön által hivatkozott felhasználók által generált kereskedési díjak 20%-át kapja meg. Ezeket a kifizetéseket naponta Monero néven fizetik be $appName pénztárcájába. Az Ön által hivatkozott felhasználók a regisztrációjuktól számított 1 évig jutalékot generálnak Önnek.';
  }

  @override
  String description250Sbaffiliate57Sbagoradesk(Object appName) {
    return 'Ön az Ön által hivatkozott felhasználók által generált kereskedési díjak 20%-át kapja meg. Ezeket a kifizetéseket napi rendszerességgel folyósítjuk releváns kriptovalutaként $appName pénztárcájába. Az Ön által hivatkozott felhasználók a regisztrációjuktól számított 1 évig jutalékot generálnak Önnek.';
  }

  @override
  String description250Sbfaq(Object appName) {
    return 'Válaszokat találhat a Monero kereskedéssel kapcsolatos gyakran ismételt kérdésekre és más $appName-hez kapcsolódó kérdésekre.';
  }

  @override
  String description250Sbfaq57Sbagoradesk(Object appName) {
    return 'Válaszokat találhat a kriptovaluta kereskedéssel kapcsolatos gyakran feltett kérdésekre és más $appName-hez kapcsolódó kérdésekre.';
  }

  @override
  String description250Sbfee(Object appName) {
    return 'A Monero regisztráció, vásárlása és eladása teljesen ingyenes. A hirdetéseket létrehozó $appName felhasználók 1%-os választottbírósági védelmi díjat számítanak fel minden befejezett ügylet után.';
  }

  @override
  String description250Sbfee57Sbagoradesk(Object appName) {
    return 'A kriptovaluták regisztrációja, vásárlása és eladása teljesen ingyenes. A hirdetéseket létrehozó $appName felhasználóknak 1%-os választottbírósági védelmi díjat kell fizetniük minden befejezett ügylet után.';
  }

  @override
  String description250Sbguide250Sb2fa(Object appName) {
    return 'Ez az útmutató segít a kéttényezős hitelesítés beállításában $appName fiókjában.';
  }

  @override
  String get description250Sbguide250Sbbtc => 'Mögöttünk vannak azok az idők, amikor bankkártyával azonnal és ellenőrzés nélkül lehetett bitcoint vásárolni? Nem egészen. Itt egy egyszerű, névtelen, privát és gyors módszert mutatunk be készpénzes bitcoinok beszerzésére néhány lépésben.';

  @override
  String description250Sbguide250Sbbuy(Object appName) {
    return 'Ez az útmutató segít megérteni, hogyan vásárolhat Monero-t népszerű online fizetési módokkal (például banki átutalás, PayPal, hitelkártya stb.). Az $appName biztonságos, gyors és egyszerű módja a Monero névtelen vásárlásának, személyi igazolvány ellenőrzése nélkül. ';
  }

  @override
  String description250Sbguide250Sbbuy57Sbagoradesk(Object appName) {
    return 'Ez az útmutató segít megérteni, hogyan vásárolhat kriptovalutát népszerű online fizetési módokkal (például banki átutalás, PayPal, hitelkártya stb.). Az $appName biztonságos, gyors és egyszerű módja annak, hogy névtelenül, azonosító ellenőrzés nélkül vásároljon kriptovalutát. ';
  }

  @override
  String description250Sbguide250Sblocal(Object appName) {
    return 'Ez az útmutató segít megérteni, hogyan vásárolhat vagy adhat el Monero névtelenül készpénzért helyi találkozón keresztül. Az $appName biztonságos, gyors és egyszerű módja az XMR kereskedésnek azonosító ellenőrzés nélkül. ';
  }

  @override
  String description250Sbguide250Sblocal57Sbagoradesk(Object appName) {
    return 'Ez az útmutató segít megérteni, hogyan lehet névtelenül vásárolni vagy eladni kriptovalutákat készpénzért helyi találkozón keresztül. Az $appName-nél azonosító ellenőrzés nélkül is kereskedhet kriptovalutákkal. ';
  }

  @override
  String description250Sbguide250Sbsell(Object appName) {
    return 'Ez az útmutató segít megérteni, hogyan értékesítheti a Monero-t népszerű online fizetési módokkal (például banki átutalás, PayPal, hitelkártya stb.). Az $appName biztonságos, gyors és egyszerű módja a Monero eladásának személyi igazolvány ellenőrzése nélkül. ';
  }

  @override
  String description250Sbguide250Sbsell57Sbagoradesk(Object appName) {
    return 'Ez az útmutató segít megérteni, hogyan értékesíthet kriptovalutát népszerű online fizetési módokkal (például banki átutalás, PayPal, hitelkártya stb.). Az $appName biztonságos, gyors és egyszerű módja a kriptovaluta eladásának azonosító ellenőrzése nélkül. ';
  }

  @override
  String description250Sbguide250Sbtelegram(Object appName) {
    return 'Ez az útmutató segít konfigurálni a távirati értesítéseket az $appName számára. ';
  }

  @override
  String description250Sbguide250Sbtrade(Object appName) {
    return 'Ez az útmutató segít megérteni a Monero kereskedésének alapjait a P2P tőzsdén $appName.';
  }

  @override
  String description250Sbguide250Sbtrade57Sbagoradesk(Object appName) {
    return 'Ez az útmutató segít megérteni a kriptovalutákkal való kereskedés alapjait egy P2P OTC asztalon $appName.';
  }

  @override
  String description250Sbguide250Sbxmr(Object appName) {
    return 'Hogyan vásárolhatok Monero névtelenül, személyi igazolvány nélkül? Az $appName lehetőséget kínál az XMR megvásárlására KYC-ellenőrzés nélkül, így megvédheti magánéletét!';
  }

  @override
  String get description250Sbhomepage => 'Vásároljon és adjon el Monero-t (XMR) online személyi igazolvány ellenőrzése nélkül – használjon PayPal-t, hitel-/betéti kártyát vagy banki átutalást, ajándékkártyákat, készpénzt postai úton, Venmo-t, BTC-t vagy bármilyen más módszert.';

  @override
  String get description250Sbhomepage57Sbagoradesk => 'Vásároljon és adjon el Bitcoint online személyi igazolvány ellenőrzése nélkül – használjon PayPal-t, hitel-/betéti kártyát vagy banki átutalást, ajándékkártyákat, készpénzt postai úton, Venmo-t vagy bármilyen más módszert.';

  @override
  String description250Sblogin(Object appName) {
    return 'A kereskedés megkezdéséhez jelentkezzen be $appName fiókjába.';
  }

  @override
  String get description250Sbnew => 'Hozzon létre egy új hirdetést Monero vásárlásához vagy eladásához helyben készpénzért vagy online.';

  @override
  String get description250Sbnew57Sbagoradesk => 'Hozzon létre egy új hirdetést kriptovaluta vásárlásához vagy eladásához.';

  @override
  String description250Sbsignup(Object appName) {
    return 'Hozzon létre egy $appName fiókot – teljesen ingyenes – és kezdje el a Monero kereskedést!';
  }

  @override
  String description250Sbsignup57Sbagoradesk(Object appName) {
    return 'Hozzon létre egy $appName fiókot – teljesen ingyenes – és kezdjen el kriptovalutákkal kereskedni!';
  }

  @override
  String description250Sbstart(Object appName) {
    return '$appName útmutatók, amelyek segítenek megérteni a Monero vásárlásának vagy eladásának alapvető és haladó elveit.';
  }

  @override
  String description250Sbstart57Sbagoradesk(Object appName) {
    return '$appName útmutatók, amelyek segítenek megérteni a Bitcon és Monero vásárlásának vagy eladásának alapvető és haladó elveit.';
  }

  @override
  String description250Sbstatistics(Object appName) {
    return 'Szerezze meg az átlagos $appName árat az elmúlt 1, 6, 12 vagy 24 óra összes kereskedése alapján.';
  }

  @override
  String description250Sbuser(Object user, Object appName) {
    return '$user $appName profilja.';
  }

  @override
  String description250Sbuser8722Sbads(Object user, Object appName) {
    return '$user $appName hirdetései';
  }

  @override
  String get distance250Sbkilometers => 'km';

  @override
  String get distance250Sbmeters => 'm';

  @override
  String get document8722Sbtitle250Sb404 => 'Az oldal nem található';

  @override
  String get document8722Sbtitle250Sbabout => 'Rólunk';

  @override
  String get document8722Sbtitle250Sbad8722Sbdeleted => 'Törölve';

  @override
  String get document8722Sbtitle250Sbaffiliate => 'Partnerprogram';

  @override
  String get document8722Sbtitle250Sbcancelled => 'Törölt kereskedések';

  @override
  String get document8722Sbtitle250Sbcompleted => 'Befejezett kereskedések';

  @override
  String get document8722Sbtitle250Sbcontact => 'Lépjen kapcsolatba velünk';

  @override
  String get document8722Sbtitle250Sbdashboard => 'Irányítópult';

  @override
  String get document8722Sbtitle250Sbedit => 'Hirdetés szerkesztése';

  @override
  String get document8722Sbtitle250Sberror => 'Hiba';

  @override
  String get document8722Sbtitle250Sbfaq => 'GYIK';

  @override
  String get document8722Sbtitle250Sbfee => 'Díjak';

  @override
  String document8722Sbtitle250Sbfeedback(Object user) {
    return '$user visszajelzése';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sb2fa => 'A 2FA engedélyezése';

  @override
  String document8722Sbtitle250Sbguide250Sbbtc(Object year) {
    return 'Hogyan vásároljunk Bitcoint névtelenül (azonosító nélkül) Útmutató – A legprivátabb módja $year';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy => 'Hogyan vásároljunk Monero';

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy57Sbagoradesk => 'Hogyan vásároljunk kriptovalutát';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell => 'Hogyan kell eladni Monerót';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell57Sbagoradesk => 'Hogyan adjunk el kriptovalutát';

  @override
  String document8722Sbtitle250Sbguide250Sbxmr(Object year) {
    return 'Monero (XMR) vásárlás névtelenül (azonosító nélkül) Útmutató – A legprivátabb módja $year';
  }

  @override
  String get document8722Sbtitle250Sbindex => 'Vásároljon vagy adjon el Monero-t névtelenül, gyorsan és egyszerűen';

  @override
  String get document8722Sbtitle250Sbindex57Sbagoradesk => 'Vásároljon vagy adjon el Bitcoinokat névtelenül, gyorsan és egyszerűen';

  @override
  String get document8722Sbtitle250Sblogin => 'Belépés';

  @override
  String get document8722Sbtitle250Sbpost8722Sbad => 'Adj fel egy hirdetést';

  @override
  String get document8722Sbtitle250Sbreset8722Sbpassword => 'Jelszó visszaállítása';

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry(Object assetName, Object country) {
    return 'Vásároljon $assetName-et $country-ben';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Vásároljon $assetName-et $country-ben $method-el';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcurrency(Object assetName, Object currency) {
    return 'Vásároljon $assetName-et $currency-hez';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbmethod(Object assetName, Object method) {
    return 'Vásároljon $assetName-et $method-el';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell(Object assetName, Object country) {
    return '$assetName eladása $country-ben';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry(Object assetName, Object country) {
    return '$assetName eladása $country-ben';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return '$assetName eladása $country-ben $method-el';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcurrency(Object assetName, Object currency) {
    return '$assetName eladása $currency-hez';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbmethod(Object assetName, Object method) {
    return '$assetName eladása $method-el';
  }

  @override
  String get document8722Sbtitle250Sbsettings => 'Beállítások';

  @override
  String get document8722Sbtitle250Sbsignup => 'Regisztrálj';

  @override
  String get document8722Sbtitle250Sbsignup8722Sbsuccess => 'Sikeres regisztráció';

  @override
  String document8722Sbtitle250Sbstart(Object appName) {
    return '$appName útmutatók: Monero vásárlása vagy eladása';
  }

  @override
  String document8722Sbtitle250Sbstart57Sbagoradesk(Object appName) {
    return '$appName útmutatók: hogyan vásároljunk vagy adjunk el kriptovalutákat';
  }

  @override
  String document8722Sbtitle250Sbtrade(Object id) {
    return 'Kereskedelem {assetName}';
  }

  @override
  String document8722Sbtitle250Sbuser8722Sbads(Object user) {
    return '$user hirdetései';
  }

  @override
  String get document8722Sbtitle250Sbverify8722Sbemail => 'E-mail megerősítés';

  @override
  String get document8722Sbtitle250Sbwallet => 'Pénztárca';

  @override
  String get done => 'Kész';

  @override
  String get dropdown250Sbany8722Sbcountry => 'Bármi';

  @override
  String get dropdown250Sbany8722Sbcurrency => 'Bármi';

  @override
  String get edit8722Sbad250Sbcancel8722Sbbtn => 'Változtatások visszavonása';

  @override
  String get edit8722Sbad250Sbcurrent8722Sbprice => 'Aktuális hirdetési ára: ';

  @override
  String get edit8722Sbad250Sbdelete8722Sbbtn => 'Hirdetés törlése';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtext => 'Ezzel véglegesen törli a hirdetést. Fontolja meg a hirdetés elrejtését a láthatóság hamis értékre állításával.';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtitle => 'Erősítse meg a hirdetés törlését';

  @override
  String get edit8722Sbad250Sbsave8722Sbbtn => 'Változtatások mentése';

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto(Object adType, Object createdAt, Object timeOfcreation, Object createAnewad) {
    return 'Ez a hirdetés a következőnek szól: $adType $createdAt $timeOfcreation. A hirdetés típusának megváltoztatásához kérjük, $createAnewad';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbbuy(Object assetName) {
    return '$assetName vásárlás készpénzért (helyben)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbsell(Object assetName) {
    return 'elad $assetName készpénzért (helyben)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbbuy(Object assetName) {
    return 'vásároljon $assetName-et online';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbsell(Object assetName) {
    return '$assetName eladása online';
  }

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreate8722Sbnew => 'hozzon létre egy új hirdetést';

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreated8722Sbat => 'címen hozta létre';

  @override
  String get edit8722Sbad250Sbtitle => 'Hirdetés szerkesztése';

  @override
  String get edit8722Sbad250Sbupdated8722Sbprice => 'Frissített hirdetési ár: ';

  @override
  String get edit8722Sbad250Sbvisible => 'Látható';

  @override
  String get edit8722Sbad250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'SÜRGŐS INTÉZKEDÉS SZÜKSÉGES: Ez a hirdetés nem rendelkezik elszámolási pénztárca címmel. A lehető leghamarabb adja meg, hogy elkerülje a hirdetés elrejtését.';

  @override
  String get edit250Sberror250Sbinvalid8722Sbsettlement8722Sbaddress => 'Adjon meg egy érvényes elszámolási pénztárca címet';

  @override
  String get error => 'Hiba';

  @override
  String get error8722Sbpage => 'Hoppá! Valami elromlott. Kérjük, próbálja újra hamarosan. Kattintson bárhová az oldalon az újratöltéshez.';

  @override
  String error8722Sbpage250Sbsubtext(Object open_a_ticket) {
    return 'Ha ez nem segít, próbálja meg törölni a cookie-kat, vagy használjon másik böngészőt. Ha ez sem segít, kérjük, $open_a_ticket';
  }

  @override
  String get error8722Sbpage250Sbsubtext250Sbticket => 'nyissa meg a támogatási jegyet.';

  @override
  String get error250Sbcaptcha => 'A Captcha nem sikerült, próbálkozzon újra';

  @override
  String get error250Sbedit250Sb244 => 'A megadott elszámolási pénztárca cím érvénytelen';

  @override
  String error250Sbedit250Sb245(Object appName, Object asset) {
    return 'A belső $appName cím nem használható kereskedelmi elszámoláshoz. A folytatáshoz adjon meg egy külső, nem $appName $asset címet.';
  }

  @override
  String error250Sbedit250Sb245250Sbnojs(Object appName) {
    return 'A belső $appName cím nem használható kereskedelmi elszámoláshoz. A folytatáshoz adjon meg egy külső, nem $appName címet.';
  }

  @override
  String get error250Sbedit250Sb249 => 'A folytatáshoz be kell állítania egy elszámolási pénztárca címét.';

  @override
  String get error250Sbpost8722Sbad250Sb107 => 'A maximális összeg beállítása nélkül nem lehet nyomon követni a likviditást';

  @override
  String get error250Sbpost8722Sbad250Sb108 => 'A tranzakció minimális összege nem lehet egyenlő vagy nagyobb a tranzakció maximális összegével';

  @override
  String get error250Sbpost8722Sbad250Sb114 => 'A fizetési időszaknak 15-90 percnek kell lennie';

  @override
  String error250Sbpost8722Sbad250Sb132(Object maximumNumberOfAds) {
    return 'Legfeljebb $maximumNumberOfAds hirdetés hozható létre. Ennek létrehozásához törölje az egyik régi hirdetését.';
  }

  @override
  String get error250Sbpost8722Sbad250Sb142 => 'Nem állíthat be olyan fiat-korlátot, amely kisebb a minimális összegnél.';

  @override
  String get error250Sbpost8722Sbad250Sb143 => 'Nem állíthat be olyan fiat-korlátot, amely meghaladja a maximális összeget.';

  @override
  String get error250Sbpost8722Sbad250Sb173 => 'A hirdetés pénzneme nem egyezhet meg a hirdetése pénznemével';

  @override
  String get error250Sbpost8722Sbad250Sb80 => 'A szélesség vagy hosszúság nincs beállítva';

  @override
  String get error250Sbpost8722Sbad250Sb81 => 'Az ár értéke nem volt megfelelően beállítva';

  @override
  String get error250Sbpost8722Sbad250Sb86 => 'Az ország, a fizetési mód és a pénznem illegális kombinációi';

  @override
  String get error250Sbpost8722Sbad250Sb87 => 'Ez a fizetési mód nem érvényes a kiválasztott országban';

  @override
  String get error250Sbpost8722Sbad250Sb88 => 'Ez a pénznem nem érvényes a kiválasztott fizetési módhoz';

  @override
  String get error250Sbpost8722Sbad250Sb89 => 'A hely nem volt megfelelően beállítva';

  @override
  String get error250Sbpost8722Sbad250Sbgeneric => 'Hibák az űrlapon! Kérjük, ellenőrizze újra hirdetését.';

  @override
  String get error250Sbsettings250Sb220 => 'Az eldobható e-mail címek nem engedélyezettek';

  @override
  String get error250Sbsignup250Sb219 => 'Az eldobható e-mail címek nem engedélyezettek';

  @override
  String get error250Sbsignup250Sb47 => 'Már létezik felhasználó ezzel a felhasználónévvel.';

  @override
  String get error250Sbsignup250Sb48 => 'Már létezik felhasználó ezzel az e-mail-címmel';

  @override
  String error250Sbtrade8722Sbrequest250Sb100(Object min_asset_amount, Object assetSymbol) {
    return 'A kereskedés létrehozásához nem kérhető kevesebb, mint $min_asset_amount $assetSymbol.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb101 => 'A kért összeg kisebb, mint a hirdetés minimális tranzakciós összege';

  @override
  String get error250Sbtrade8722Sbrequest250Sb102 => 'A kért összeg nagyobb, mint amennyi a kereskedő rendelkezésére áll ehhez a hirdetéshez';

  @override
  String get error250Sbtrade8722Sbrequest250Sb103 => 'Ez a kereskedő jelenleg nem kereskedik. Kérjük, ellenőrizze a többi hirdetést, vagy térjen vissza később.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb105 => 'Ennek a kereskedőnek nincs elég egyenlege ahhoz, hogy kereskedést indítson ennél az összegnél.';

  @override
  String error250Sbtrade8722Sbrequest250Sb106(Object appName) {
    return 'Nincs elég egyenlege $appName pénztárcájában a kereskedés elindításához!';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb109 => 'A kért összeg nagyobb, mint amennyi a kereskedő rendelkezésére áll ehhez a hirdetéshez';

  @override
  String get error250Sbtrade8722Sbrequest250Sb110 => 'Ez a kereskedő magasabb visszajelzési pontszámot igényel a kereskedéshez, mint jelenleg. Növelheti visszajelzési pontszámát, ha olyan kereskedőkkel keres ügyleteket, akiknek nincs ilyen követelménye.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb111 => 'A kért összeg nem tartozik a kereskedő által elfogadott összegek közé';

  @override
  String get error250Sbtrade8722Sbrequest250Sb112 => 'Nem kérhet cserét egy Ön által feladott hirdetésre';

  @override
  String get error250Sbtrade8722Sbrequest250Sb141 => 'Nem lehet kereskedést létrehozni a minimálisan megengedett összegnél kisebb összegre';

  @override
  String get error250Sbtrade8722Sbrequest250Sb150 => 'Nem indíthat kereskedést, mert ez a kereskedő letiltotta Önt. Próbáljon más kereskedőket keresni.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb151 => 'Ez a hirdetés csak azoknak a felhasználóknak szól, akikben a hirdetés feladója megbízik. Próbáljon más hirdetéseket keresni.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb173 => 'Nem nyithat több kereskedést';

  @override
  String get error250Sbtrade8722Sbrequest250Sb218 => 'Ez a hirdetés csak ellenőrzött e-mail-címmel rendelkező felhasználóknak szól. Nyissa meg a fiókbeállításokat, állítsa be e-mail címét (ha még nem tette meg), és igazolja.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb232 => 'Ennek a felhasználónak jelenleg tilos kereskednie a számlájára vonatkozó korlátozás miatt';

  @override
  String get error250Sbtrade8722Sbrequest250Sb237 => 'Ez a felhasználó nem létezik';

  @override
  String get error250Sbtrade8722Sbrequest250Sb240 => 'A megadott elszámolási pénztárca cím érvénytelen';

  @override
  String error250Sbtrade8722Sbrequest250Sb241(Object appName, Object asset) {
    return 'A belső $appName cím nem használható kereskedelmi elszámoláshoz. A folytatáshoz adjon meg egy külső, nem $appName $asset címet.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb246 => 'Nem lehet kereskedést nyitni: ez a kereskedő még nem adott meg elszámolási címet ehhez a hirdetéshez. Ha teheti, lépjen kapcsolatba az eladóval, vagy próbálja újra később, vagy keressen másik ajánlatot.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb99 => 'Ez a kereskedő alacsonyabb tranzakciós összeget igényel az első kereskedéshez. Kérjük, ellenőrizze az alábbi kereskedelmi részleteket.';

  @override
  String get error250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform => 'Kérjük, válasszon egy érvényes platformot: localbitcoins vagy paxful';

  @override
  String get error250Sbwithdraw250Sb170 => 'A kifizetésre kért összeg kisebb, mint a minimálisan lehetséges';

  @override
  String get error250Sbwithdraw250Sb254 => 'Ezt az összeget már elküldte erre a címre az elmúlt 10 percben. Ellenőrizze tranzakcióit, és ha ez nem volt hiba, próbálja meg később megismételni a kifizetést.';

  @override
  String get error250Sbwithdraw250Sb7338Sb140 => 'Hibás jelszó/egyszeri jelszó';

  @override
  String get error250Sbwithdraw250Sb7438Sb77 => 'Fedezethiány';

  @override
  String error250Sbwithdraw250Sb75(Object appName) {
    return 'Ez a cím nem létezik az $appName adatbázisban';
  }

  @override
  String get error250Sbwithdraw250Sb76 => 'Választottbírósági kötvényt próbálnak felvenni ugyanarra a címre, mint a visszavonást kérő számla címére';

  @override
  String get error250Sbwithdraw250Sbclosed8722Sbconnection => 'Valami hiba történt a kérelemben, de lehet, hogy a tranzakciót már elküldték. Töltse be újra az oldalt, ellenőrizze, hogy a tranzakció elküldésre került-e, és szükség esetén ismételje meg. Ha a hiba továbbra is fennáll, forduljon ügyfélszolgálatunkhoz.';

  @override
  String error250Sbwithdraw250Sbgeneric(Object assetName) {
    return 'Hiba történt. Kérjük, ellenőrizze a fogadó $assetName címet.';
  }

  @override
  String get faq8722Sbquestion8722Sb31 => 'Mit kell tudnom a magas kockázatú fizetési módokról?';

  @override
  String faq250Sbanswer8722Sb0(Object appName) {
    return 'Az $appName egy peer-to-peer Monero központ. Mi egy piactér vagyunk, ahol a felhasználók vásárolhatnak és eladhatnak Monero-t egymásnak. A kereskedőknek nevezett felhasználók reklámokat készítenek az általuk kínálni kívánt árral és fizetési móddal. Kereskedelmi hirdetéseket kereshet weboldalunkon, és kereshet a kívánt fizetési módot. Több mint 60 különböző fizetési móddal találhat olyan kereskedőket, akik online vásárolnak és adnak el Monero-t. Ha még nem ismeri az $appName-et, és Monero-t szeretne vásárolni, kérjük, tekintse meg a vásárlási útmutatónkat, hogy megtudja, hogyan vásárolhat Monero-t.';
  }

  @override
  String faq250Sbanswer8722Sb057Sbagoradesk(Object appName) {
    return 'Az $appName egy peer-to-peer kriptovaluta OTC asztal. Mi egy piactér vagyunk, ahol a felhasználók kriptovalutákat vásárolhatnak és adhatnak el egymásnak. A felhasználók, úgynevezett kereskedők, hirdetéseket készítenek az általuk kínálni kívánt árral és fizetési móddal. Kereskedelmi hirdetéseket kereshet weboldalunkon, és kereshet a kívánt fizetési módot. Több mint 60 különböző fizetési móddal találhat kereskedőket, akik online vásárolnak és adnak el kriptovalutákat. Ha még nem ismeri az $appName-et, és kriptovalutákat szeretne vásárolni, kérjük, tekintse meg útmutatóinkat.';
  }

  @override
  String faq250Sbanswer8722Sb1(Object buying, Object selling) {
    return 'Tekintse meg $buying és $selling útmutatónkat a Monero kereskedés megkezdéséhez.';
  }

  @override
  String get faq250Sbanswer8722Sb18722Sbbuying => 'vásárlás';

  @override
  String get faq250Sbanswer8722Sb18722Sbselling => 'eladási';

  @override
  String faq250Sbanswer8722Sb157Sbagoradesk(Object buying, Object selling) {
    return 'Tekintse meg $buying és $selling útmutatónkat a kriptovaluták kereskedésének megkezdéséhez.';
  }

  @override
  String faq250Sbanswer8722Sb10(Object appName) {
    return 'Ha Monero-t az $appName használatával vásárol, a Monero a megadott Monero elszámolási pénztárcájába kerül. Innen elküldheti, ahová csak akarja. Ha el szeretné adni a Monero-t, először be kell helyeznie az XMR-t $appName Monero pénztárcájába.';
  }

  @override
  String get faq250Sbanswer8722Sb108722Sbwallet8722Sbpage => 'pénztárca oldal';

  @override
  String faq250Sbanswer8722Sb1057Sbagoradesk(Object appName) {
    return 'Ha az $appName használatával vásárol kriptovalutát, az érméket a megadott elszámolási pénztárcájába küldjük. Innen elküldheti, ahová csak akarja. Ha kriptovalutát szeretne eladni, először be kell helyeznie kriptovalutát a megfelelő $appName pénztárcájába.';
  }

  @override
  String faq250Sbanswer8722Sb11(Object appName, Object walletPage) {
    return 'Ahhoz, hogy eladhassa Monero-t $appName-en, először küldenie kell néhány Monero-t a választottbírósági kötvényért $appName pénztárcájába. Ehhez szüksége lesz egy $appName fiókra, egy másik Monero pénztárcában lévő Monero-hoz való hozzáférésre, és ismernie kell $appName fogadó címét. Az $appName fogadócímének megtalálásához keresse fel az $walletPage címet. Az oldal teteje három részre van osztva, így egyszerre küldhet, fogadhat Monero-t és megtekintheti tranzakcióit. A \"Fogadás\" lapon találja a fogadó címét. Ha ismeri $appName fogadási címét, átléphet másik Monero pénztárcájába, és ezzel a címmel küldheti Monero-t az $appName címére.';
  }

  @override
  String faq250Sbanswer8722Sb1157Sbagoradesk(Object appName, Object walletPage) {
    return 'Ahhoz, hogy kriptovalutákat adjon el $appName-en, először el kell küldenie néhány érmét a választottbírósági kötvényhez az $appName pénztárcájába. Ehhez szüksége lesz egy $appName fiókra, egy másik pénztárcában lévő érmékhez való hozzáférésre, és ismernie kell $appName fogadási címét. Az $appName fogadócímének megtalálásához látogassa meg az $walletPage webhelyet. Válassza ki a megfelelő kriptovalutát, a pénztárca oldal teteje három részre van osztva, így egyszerre kriptovalutát küldhet, fogadhat és megtekintheti tranzakcióit. A „Fogadás” lapon találja a fogadó címét. Miután ismeri $appName fogadási címét, átléphet másik pénztárcájába, és ezzel a címmel küldheti el az érméket az $appName címére.';
  }

  @override
  String faq250Sbanswer8722Sb12(Object appName) {
    return 'A tranzakciók 10-60 percig tartanak, ha Monerót küld az $appName pénztárcájába, vagy ha Monerót küld ki $appName pénztárcájából.';
  }

  @override
  String faq250Sbanswer8722Sb1257Sbagoradesk(Object appName) {
    return 'A tranzakciók 10-60 percig tartanak, ha érméket küld $appName pénztárcájába, vagy ha érméket küld ki $appName pénztárcájából.';
  }

  @override
  String faq250Sbanswer8722Sb13(Object wallet) {
    return 'A Monero hálózat torlódást tapasztalhat, ebben az esetben a tranzakciók lebonyolítása sokkal tovább tart. A Monero tranzakciókat a Monero hálózatnak vissza kell igazolnia. Amikor egy tranzakció megtörténik, az egy tranzakciós készletbe kerül, ahonnan blokkokra van kötve, amelyeket a Monero bányászai bányászattal megerősítenek. Átlagosan kétpercenként bányásznak blokkokat. Miután a tranzakció blokkba került és kibányászásra került, egyszer megerősítették. Amikor a tranzakció visszaigazolási száma elér egy bizonyos küszöböt, jelenleg 10 visszaigazolást, a tranzakció megjelenik a fogadó pénztárcákban. A visszaigazolásokról bővebben olvashat a Monero wikipédián, és megtekintheti a Monero hálózaton a meg nem erősített tranzakciók aktuális számát az $wallet-ben.';
  }

  @override
  String get faq250Sbanswer8722Sb138722Sbwallet => 'pénztárca';

  @override
  String faq250Sbanswer8722Sb1357Sbagoradesk(Object wallet) {
    return 'Előfordulhat, hogy az érintett kriptovaluta hálózat torlódást tapasztal, ebben az esetben a tranzakciók lebonyolítása sokkal tovább tart. A kriptovaluta-tranzakciókat a kriptovaluta hálózatnak meg kell erősítenie. Amikor egy tranzakció megtörténik, az egy tranzakciós készletbe kerül, ahonnan blokkokra van kötve, amelyeket a bányászok bányászattal megerősítenek. Miután a tranzakció blokkba került és kibányászásra került, egyszer megerősítették. Amikor a tranzakció visszaigazolási száma elér egy bizonyos küszöböt, a tranzakció megjelenik a fogadó pénztárcában. Az $wallet készüléken megtekintheti a hálózaton a meg nem erősített tranzakciók aktuális számát.';
  }

  @override
  String faq250Sbanswer8722Sb17(Object appName) {
    return 'Az $appName egy visszajelzési rendszert használ, amely pontszámot jelenít meg a nyilvános profilján. Ez a százalékpontszám azt mutatja meg, hogy a felhasználó mennyi pozitív visszajelzést kapott. Egy felhasználónak csak egy visszajelzést adhat. A visszajelzés háromféle lehet: pozitív, semleges és negatív. Az elküldést követően a visszajelzés látható lesz a felhasználó nyilvános profilján, ha bizonyos feltételek teljesülnek, ellenkező esetben a visszajelzés megerősítetlen marad, és nincs hatással a visszajelzés pontszámára.';
  }

  @override
  String get faq250Sbanswer8722Sb18 => 'A kapott visszajelzés lehet megerősített vagy meg nem erősített. A megerősített visszajelzés a felhasználó nyilvános profilján jelenik meg, és hatással van a felhasználó visszajelzési pontszámára. A meg nem erősített visszajelzés megerősítéséhez a visszajelzést adó és fogadó felhasználó közötti teljes kereskedési volumennek meg kell haladnia a 100 USD-t.';

  @override
  String faq250Sbanswer8722Sb19(Object appName, Object enableWebnotificationsfromyourprofile) {
    return 'A webes értesítések lehetővé teszik, hogy felugró értesítéseket kapjon a böngészőn keresztül, amikor új értesítést kap az $appName eszközön. Ha kereskedéssel foglalkozik, és azonnal tudni szeretné, ha valami történik, $enableWebnotificationsfromyourprofile. Fordítsa el a Webes értesítések engedélyezése feliratú kapcsolót, és amikor a böngésző engedélyt kér a webes értesítések megjelenítéséhez, nyomja meg az elfogadás gombot. Most már minden készen áll, és webes értesítéseket fog kapni.';
  }

  @override
  String get faq250Sbanswer8722Sb198722Sbenable8722Sbweb8722Sbnotifications8722Sbfrom8722Sbyour8722Sbprofile => 'engedélyezze a webes értesítéseket a profiljából';

  @override
  String faq250Sbanswer8722Sb2(Object guide) {
    return 'Tekintse meg $guide termékünket.';
  }

  @override
  String get faq250Sbanswer8722Sb28722Sbguide => 'kéttényezős hitelesítési útmutató';

  @override
  String get faq250Sbanswer8722Sb20 => 'Előfordulhat, hogy a kereskedő kérheti az Ön személyi igazolványát. Ha először kereskedik egy kereskedővel, megkérhetik, hogy azonosítsa magát. Ennek az az oka, hogy bizonyos országokban a helyi törvények előírják a kereskedőknek, hogy tudják, kik az ügyfeleik. A legtöbb kereskedő a kereskedelmi feltételekben elmagyarázza, hogy igényli-e az azonosító igazolást vagy sem. Ha nem kívánja megadni a kereskedőnek az azonosítóját, bármikor lemondhatja a kereskedést és kereshet kereskedőt kevésbé szigorú követelményekkel. Mindig küldje el azonosítóját az eladónak a trade chaten keresztül, kereskedelmi chat üzeneteinket titkosítva tároljuk szervereinken, és 180 nap elteltével törlődnek. A kereskedelmi chatre küldött összes fényképet vízjellel látják el, hogy megakadályozzák a képekkel való visszaélést.';

  @override
  String faq250Sbanswer8722Sb21(Object appName) {
    return 'Az eladók általában azonnal lezárják a kereskedést, amint látják az Ön fizetését, ami néha egy-két órát is igénybe vehet. Ha fizetett, de még mindig vár, nincs ok az aggodalomra, ugyanis minden online kereskedést a választottbírósági kötvény véd, és az eladó nem menekülhet el anélkül, hogy elveszítené a kötvényt. Ha bármilyen probléma adódik egy kereskedéssel, és az eladó nem zárja le, vitathatja a kereskedést, hogy az $appName támogatás megoldja. Ha Ön online vásárol vagy ad el Monero-t, a fizetés befejezettnek jelölése után vitathatja a kereskedést. A vita már nem kezdődhet meg, ha az ügyletet lezárták, vagy ha helyi kereskedésről van szó, amelynél nincs engedélyezve a választottbírósági kötvényvédelem. Ha egy kereskedés, amelyben részt vesz, vitatottá válik, e-mailt kap. A vitatott ügylet általában 24-48 órán belül megoldódik.';
  }

  @override
  String faq250Sbanswer8722Sb2157Sbagoradesk(Object appName) {
    return 'Az eladók általában azonnal lezárják a kereskedést, amint látják az Ön fizetését, ami néha egy-két órát is igénybe vehet. Ha fizetett, de még mindig vár, nincs ok az aggodalomra, ugyanis minden online kereskedést a választottbírósági kötvény véd, és az eladó nem menekülhet el anélkül, hogy elveszítené a kötvényt. Ha bármilyen probléma adódik egy kereskedéssel, és az eladó nem zárja le, vitathatja a kereskedést, hogy az $appName támogatás megoldja. Ha online vásárol vagy ad el kriptovalutát, a fizetés befejezettként való megjelölése után vitathatja a kereskedést. A vita már nem kezdődhet meg, ha az ügyletet lezárták, vagy ha helyi kereskedésről van szó, amelynél nincs engedélyezve a választottbírósági kötvényvédelem. Ha egy kereskedés, amelyben részt vesz, vitatottá válik, e-mailt kap. A vitatott ügylet általában 24-48 órán belül megoldódik.';
  }

  @override
  String get faq250Sbanswer8722Sb22 => 'A pénztárca egyenlegéből tartalékolunk egy kis mennyiségű Monero-t, hogy kifizessük a Monero tranzakciós díjat a Monero hálózatba. Minden Monero-tranzakciónak egy kis díjat kell fizetnie a hálózatnak a megerősítéshez, függetlenül attól, hogy honnan küldték. Ezt a díjat előre lefoglaljuk, nehogy pénztárca egyenlege negatívvá váljon.';

  @override
  String get faq250Sbanswer8722Sb2257Sbagoradesk => 'A pénztárca egyenlegéből tartalékolunk egy kis összeget a hálózati tranzakciós díj kifizetésére. Minden egyes kriptovaluta-tranzakcióért egy kis díjat kell fizetni a hálózatnak a megerősítéshez, függetlenül attól, hogy honnan küldték.';

  @override
  String faq250Sbanswer8722Sb24(Object dashboard, Object appName, Object supportRequestform) {
    return 'Ez a válasz arra az esetre vonatkozik, amikor Ön Monero-t vásárol online. Miután elküldte a kereskedési kérelmet a Monero eladójának, van egy időintervalluma a fizetés teljesítésére, mielőtt az eladó törölheti a kereskedést (a fizetési időszak az ügylet fizetési módjától függően változik). Ez idő alatt be kell fejeznie a fizetést, és meg kell nyomnia a Fizettem gombot. Az eladó értesítést kap arról, hogy Ön teljesítette a fizetést, és a Monero a kötvényben marad mindaddig, amíg az eladó nem zárja le az ügyletet Ön helyett, amikor látja a fizetést a számláján. Ha kifizette a vásárlást, de a fizetési határidő lejárta előtt nem jelölte meg késznek a fizetést, kérjük, vegye fel a kapcsolatot az eladóval a kereskedésen keresztül. Felveheti a kapcsolatot az eladóval és más meglévő kereskedelmi kapcsolattartóival a $appName felhasználói profiljában található $dashboard-ről. Küldjön üzenetet az eladónak, és kérjük, magyarázza el a helyzetet, valamint azt, hogy miért nem tudta teljesíteni a fizetést a határidőn belül. Ha az eladó nem válaszol erre a kérésre, kérjük, lépjen kapcsolatba az $appName ügyfélszolgálatával az $supportRequestform számon, és adja meg kereskedelmi azonosítóját.';
  }

  @override
  String get faq250Sbanswer8722Sb248722Sbdashboard => 'Irányítópult';

  @override
  String get faq250Sbanswer8722Sb248722Sbsupport8722Sbrequest8722Sbform => 'támogatási igénylőlap';

  @override
  String faq250Sbanswer8722Sb2457Sbagoradesk(Object dashboard, Object appName, Object supportRequestform) {
    return 'Miután elküldte a kereskedési kérelmet, van egy időintervalluma a fizetés befejezésére, mielőtt a másik fél törölheti a kereskedést. Ez idő alatt be kell fejeznie a fizetést, és meg kell nyomnia a „Fizettem” gombot. A másik fél értesítést kap arról, hogy Ön végrehajtotta a befizetést, és az érméket a kötvényben tartják mindaddig, amíg a másik fél nem zárja le a kereskedést az Ön helyett, miután látja a fizetést a számláján. Ha kifizette a vásárlást, de nem jelölte meg a fizetést befejezettnek a fizetési határidő lejárta előtt, kérjük, lépjen kapcsolatba a másik féllel a kereskedelmi chaten. Felveheti a kapcsolatot a másik féllel és egyéb meglévő kereskedelmi kapcsolattartóival az $dashboard készülékről. Küldjön üzenetet a másik félnek, és kérjük, magyarázza el a helyzetet, és azt, hogy miért nem tudta teljesíteni a fizetést az időablakon belül. Ha a másik fél nem válaszol erre a kérésre, kérjük, vegye fel a kapcsolatot az $appName személyzetével az $supportRequestform telefonszámon, és adja meg kereskedelmi azonosítóját.';
  }

  @override
  String get faq250Sbanswer8722Sb25 => 'Amikor a vevő vagy az eladó vitát kezdeményez, egy adminisztrátor belép a kereskedelmi chatbe, és mindkét féltől bizonyítékot kér, és figyelembe veszi a chatelőzményeket és a hírnevet, hogy a lehető legtisztességesebb döntést hozhassa.';

  @override
  String faq250Sbanswer8722Sb26(Object appName) {
    return 'A Monero-tranzakciók visszafordíthatatlanok, ha egy másik Monero-címre küldött pénzt, sem Ön, sem az $appName nem tudja visszafordítani.';
  }

  @override
  String faq250Sbanswer8722Sb2657Sbagoradesk(Object appName) {
    return 'A kriptovaluta-tranzakciók visszafordíthatatlanok, miután elküldte az érméket egy másik címre, sem Ön, sem az $appName nem tudja visszafordítani.';
  }

  @override
  String faq250Sbanswer8722Sb27(Object appName) {
    return 'A hirdetési árak a Monero árfolyamon alapulnak. A Monero árfolyama ingadozó és gyorsan változhat. Az $appName tízpercenként frissíti árfolyamait és hirdetési árait. A listában és a címlapon látható árak gyorsítótárban vannak, és egy kicsit lassabban frissülnek. Néha, amikor a Monero ár gyorsan ingadozik, az azonos áregyenletet tartalmazó hirdetések eltérő árat jeleníthetnek meg. Előfordulhat, hogy egyes pénznemeknél nem állnak rendelkezésre piaci adatok, ami késleltetheti a hirdetési árak frissítését. Ha azonban magát a hirdetési oldalt megnyitja, az ár naprakészebb lesz. A vásárlás ára abban a pillanatban kerül meghatározásra, amikor a Monero vevő elküldi a kereskedési kérelmet.';
  }

  @override
  String faq250Sbanswer8722Sb2757Sbagoradesk(Object appName) {
    return 'A hirdetési árak a kriptovaluta árfolyamán alapulnak. Az árfolyamok változékonyak és gyorsan változhatnak. Az $appName tizenkét percenként frissíti árfolyamait és hirdetési árait. A listán és a címlapon látható árak gyorsítótárban vannak, és egy kicsit lassabban frissülnek. Néha, amikor az ár gyorsan ingadozik, az azonos árképletet tartalmazó hirdetések eltérő árakat jeleníthetnek meg. Előfordulhat, hogy egyes pénznemeknél nem állnak rendelkezésre piaci adatok, ami késedelmet okoz a hirdetési árak frissítésében. Ha azonban magát a hirdetési oldalt megnyitja, az ár naprakészebb lesz. Az ár a kereskedési kérelem elküldésekor kerül meghatározásra.';
  }

  @override
  String get faq250Sbanswer8722Sb28 => 'Amikor az ár lebegő, a vásárolt Monero összeg a Monero árfolyamával együtt ingadozik. A kereskedett Monero összegét a kereskedés lezárásakor határozzák meg, nem pedig a kereskedés megnyitásakor. Ez csökkenti a piaci kamatkockázatot a helyi készpénzes tranzakciókban, ahol az ügylet nyitása és lezárása között több nap is eltelhet.';

  @override
  String get faq250Sbanswer8722Sb2857Sbagoradesk => 'Amikor az ár lebegő, a vásárolt kriptovaluta összege az árfolyammal együtt ingadozik. A kereskedési összeget a kereskedés lezárásakor határozzák meg, nem pedig a kereskedés megnyitásakor. Ez csökkenti a piaci kamatkockázatot a helyi készpénzes tranzakciókban, ahol az ügylet nyitása és lezárása között több nap is eltelhet.';

  @override
  String faq250Sbanswer8722Sb29(Object feesPage) {
    return 'Az aktuális díjakkal kapcsolatos összes információt megtekintheti a $feesPage oldalon.';
  }

  @override
  String get faq250Sbanswer8722Sb298722Sbfees8722Sbpage => 'díjak oldalon';

  @override
  String faq250Sbanswer8722Sb30(Object telegram, Object thisGuide, Object appName) {
    return 'Jelenleg nincs önálló mobilalkalmazásunk. De kaphat mobil értesítéseket az $telegram-ben! Az $thisGuide végigvezeti a Telegram-értesítések aktiválási folyamatán (ez egyszerű). A robotunk ezután értesítést küld az $appName eseményeiről.';
  }

  @override
  String get faq250Sbanswer8722Sb308722Sbthis8722Sbguide => 'Ez az útmutató';

  @override
  String get faq250Sbanswer8722Sb32 => 'A tranzakciós prioritás egy olyan beállítás, amelyet a Moneroban használnak, hogy a fizetését megkülönböztethesse a Monero hálózat egyéb fizetéseitől (ha van verseny). Az alacsony prioritású tranzakciók végrehajtása hosszabb időt vehet igénybe.';

  @override
  String get faq250Sbanswer8722Sb32250Sb1 => 'A Bitcoin esetében a díjszintek befolyásolják a tranzakció megerősítésének sebességét, ösztönözve a bányászokat, hogy magasabb díjért részesítsék előnyben a tranzakciót. A magas díjas tranzakciót néhány blokkon belül visszaigazolják; Közepes díjas tranzakció becslések szerint egy napon belül visszaigazolásra kerül; Az alacsony díjas tranzakciót a becslések szerint egy héten belül visszaigazolják.';

  @override
  String faq250Sbanswer8722Sb33(Object appName) {
    return 'Az $appName pénztárcából az $appName pénznemtől eltérő kriptovaluta személyes pénztárcájába vehet fel érméket. Ehhez először be kell jelölnie a „Másik valutát szeretnék kapni” jelölőnégyzetet. Ezután válassza ki a kívánt fogadó kriptovalutát, és írja be a címet, ahová az érméket küldeni szeretné. Ezután válassza ki, hogy az összeget a pénztárcájából küldött érmékben vagy a céltárcába kapott átváltott érmékben szeretné megadni, és írja be a mennyiséget. Nyomja meg a \"Tovább\" gombot, és megjelenik az Ön igényeinek megfelelő ajánlat. Ha a lista üres, próbálja meg módosítani az összeget. A konverziós árfolyam minden ajánlatnál megjelenik, és ha az elfogadható, csak meg kell nyomnia a „Trade” gombot, elfogadnia a feltételeket, és automatikusan létrejön a megfelelő összegű kereskedés. A célcímet a vevő automatikusan megkapja a kereskedelmi chaten keresztül. A többit ugyanúgy kezeljük, mint bármely más kereskedést az $appName-en – a vevő elküldi a kívánt devizát az Ön által megadott címre, és az érmék kézhezvétele után véglegesítenie kell a kereskedést. Ez az!';
  }

  @override
  String get faq250Sbanswer8722Sb338722Sbmorphtoken8722Sbfaq8722Sblink => 'Itt olvashat bővebben a ChangeNow működéséről, szolgáltatási és hálózati díjairól';

  @override
  String faq250Sbanswer8722Sb4(Object value) {
    return 'Ha rendelkezik biztonsági kóddal, használjon QR-generáló szolgáltatást, például $value-t a QR-kód létrehozásához a biztonsági kódból. Ezután szkennelje be a generált QR-kódot mobil 2FA-alkalmazásával. Ha nem rendelkezik biztonsági kóddal, az azt jelenti, hogy elvesztette hozzáférését fiókjához. Sajnos nem tudjuk különbséget tenni egy hacker, aki úgy tesz, mintha te vagy, és hogy te vagy valójában.';
  }

  @override
  String get faq250Sbanswer8722Sb48722Sbthis => 'ez';

  @override
  String faq250Sbanswer8722Sb5(Object onionUrl, Object tor) {
    return 'Igen! Itt van: $onionUrl (a link megnyitásához $tor szükséges).';
  }

  @override
  String faq250Sbanswer8722Sb6(Object b32I2purl, Object i2pUrl, Object i2p) {
    return 'Igen, valójában kettőnk van! Itt vannak: $b32I2purl vagy $i2pUrl (a hivatkozások megnyitásához $i2p szükséges).';
  }

  @override
  String faq250Sbanswer8722Sb7(Object here) {
    return 'Ja! Nézd meg $here.';
  }

  @override
  String get faq250Sbanswer8722Sb78722Sbhere => 'itt';

  @override
  String faq250Sbanswer8722Sb8(Object appName) {
    return 'Minden online kereskedést választottbírósági kötvény véd. A kereskedés megkezdésekor a kereskedés összegével megegyező mennyiségű Monero automatikusan lefoglalásra kerül az eladó $appName pénztárcájából kötvényként. Ez azt jelenti, hogy ha az eladó megszökik az Ön pénzével, és nem zárja le a kereskedést, az $appName támogatás Önhöz irányíthatja a választottbírósági kötvényben lévő Monerót. Ha Monero-t ad el, soha ne zárja le az üzletet, amíg nem tudja, hogy pénzt kapott a Monero-vevőtől. Felhívjuk figyelmét, hogy a helyi kereskedéseknél alapértelmezés szerint nincs engedélyezve a választottbírósági kötvényvédelem.';
  }

  @override
  String faq250Sbanswer8722Sb857Sbagoradesk(Object appName) {
    return 'Minden online kereskedést választottbírósági kötvény véd. A kereskedés megkezdésekor a kereskedés összegével megegyező mennyiségű kriptovaluta automatikusan lefoglalásra kerül az eladó $appName pénztárcájából kötvényként. Ez azt jelenti, hogy ha az eladó megszökik az Ön pénzével, és nem zárja le az ügyletet, az $appName támogatás Önhöz irányíthatja a választottbírósági kötvényben lévő Monerót. Ha kriptovalutát ad el, soha ne zárja le a kereskedést, amíg nem tudja, hogy pénzt kapott a vevőtől. Felhívjuk figyelmét, hogy a helyi kereskedéseknél alapértelmezés szerint nincs engedélyezve a választottbírósági kötvényvédelem.';
  }

  @override
  String faq250Sbanswer8722Sb9(Object appName) {
    return 'Két különböző típusú kereskedésünk van az $appName oldalon, a helyi és az online kereskedések. Az online kereskedések teljes egészében online történnek kereskedési platformunkon keresztül anélkül, hogy valaha találkozna kereskedelmi partnerével. A választottbírósági kötvényvédelem automatikusan engedélyezve van és finanszírozva van az online kereskedéseknél, ami azt jelenti, hogy vevőként Önt automatikusan védi választottbírósági kötvényvédelmi rendszerünk. A legtöbb $appName kereskedés online kereskedés. A helyi kereskedéseket személyesen kell lebonyolítani, és a választottbírósági kötvényvédelem nincs automatikusan engedélyezve. Emiatt nem biztonságos online fizetési móddal fizetni az eladónak egy helyi kereskedésben. Az online fizetési módok például a banki átutalás; PayPal; Ajándékkártya kódok stb.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent(Object appName) {
    return 'Ha egy másik kriptovalutát használó pénztárcából szeretne érméket befizetni az $appName pénztárcába, be kell jelölnie a „Másik valutát szeretnék befizetni” négyzetet a pénztárca oldal Fogadás lapján. A megjelenő részben válassza ki a kívánt befizetés devizanemét, befizetési összegét (ügyeljen a megjelenített limitekre), és adja meg a megfelelő visszatérítési címet, amelyet akkor használunk, ha a tranzakcióval valami baj történik. Miután ezt megtette, kattintson a \"Mutasd meg a befizetés címét!\" gombot, amely megnyit egy ablakot, ahol láthatja a befizetés címét. Küldje el az érméket pénztárcájából a megadott ChangeNow befizetési címre. Ezen a ponton a ChangeNow átváltja az érméit, és áthelyezi őket $appName pénztárcájába.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent57Sbagoradesk(Object appName) {
    return 'Ha egy másik kriptovalutát használó pénztárcából szeretne érméket befizetni az $appName pénztárcába, be kell jelölnie a „Másik valutát szeretnék befizetni” négyzetet a pénztárca oldal Fogadás lapján. A megjelenő részben válassza ki a kívánt befizetés devizanemét, befizetési összegét (ügyeljen a megjelenített limitekre), és adja meg a megfelelő visszatérítési címet, amelyet akkor használunk, ha a tranzakcióval valami baj történik. Miután ezt megtette, kattintson a \"Mutasd meg a befizetés címét!\" gombot, amely megnyit egy ablakot, ahol láthatja a befizetés címét. Küldje el az érméket pénztárcájából a megadott ChangeNow befizetési címre. Ezen a ponton a ChangeNow átváltja az érméit, és áthelyezi őket $appName pénztárcájába.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbtitle(Object appName) {
    return 'Hogyan helyezhetek be más kriptovalutákat az $appName pénztárcába?';
  }

  @override
  String faq250Sbquestion8722Sb0(Object appName) {
    return 'Mi az $appName?';
  }

  @override
  String get faq250Sbquestion8722Sb1 => 'Hogyan vásárolhatom meg vagy adhatom el Monero-t?';

  @override
  String get faq250Sbquestion8722Sb157Sbagoradesk => 'Hogyan vehetek vagy adhatok el kriptovalutákat?';

  @override
  String get faq250Sbquestion8722Sb10 => 'Hogyan küldhetem el a Monerót, és hogyan tudok Moneróval fizetni a vásárlás után?';

  @override
  String get faq250Sbquestion8722Sb1057Sbagoradesk => 'Hogyan küldhetek kriptovalutát, és hogyan tudok kriptovalutával fizetni a vásárlás után?';

  @override
  String faq250Sbquestion8722Sb11(Object appName) {
    return 'Hogyan kaphatom meg a Monerót $appName pénztárcámba?';
  }

  @override
  String faq250Sbquestion8722Sb1157Sbagoradesk(Object appName) {
    return 'Hogyan kaphatok kriptovalutát $appName Wallet-omba?';
  }

  @override
  String faq250Sbquestion8722Sb12(Object appName) {
    return 'Mennyi ideig tart a Monero elküldése vagy fogadása az $appName pénztárcámra?';
  }

  @override
  String faq250Sbquestion8722Sb1257Sbagoradesk(Object appName) {
    return 'Mennyi ideig tart kriptovaluták küldése vagy fogadása $appName Wallet-omba?';
  }

  @override
  String get faq250Sbquestion8722Sb13 => '60 percet vártam, és a tranzakcióm még mindig függőben van. Mi van most?';

  @override
  String get faq250Sbquestion8722Sb17 => 'Hogyan működik a visszajelzési rendszer?';

  @override
  String get faq250Sbquestion8722Sb18 => 'Mi a különbség a megerősített és a meg nem erősített visszajelzés között?';

  @override
  String get faq250Sbquestion8722Sb19 => 'Hogyan engedélyezhetem a webes értesítéseket?';

  @override
  String get faq250Sbquestion8722Sb2 => 'Hogyan védhetek meg a csalástól?';

  @override
  String get faq250Sbquestion8722Sb20 => 'Egy kereskedő kéri tőlem az igazolványomat, és nem érzem jól magam.';

  @override
  String get faq250Sbquestion8722Sb21 => 'Kifizettem az eladónak, de még nem kaptam meg a Monero-t.';

  @override
  String get faq250Sbquestion8722Sb2157Sbagoradesk => 'Kifizettem, de még nem kaptam meg az érméimet.';

  @override
  String get faq250Sbquestion8722Sb22 => 'Miért nem tudom elküldeni az összes Monerót, ami a pénztárcámban van?';

  @override
  String get faq250Sbquestion8722Sb2257Sbagoradesk => 'Miért nem tudom elküldeni a pénztárcámban lévő összes érmét?';

  @override
  String faq250Sbquestion8722Sb23(Object appName) {
    return 'Tranzakciót végeztem az $appName-ről, és nem jelenik meg a fogadó oldalon!';
  }

  @override
  String get faq250Sbquestion8722Sb24 => 'Kifizettem, de elfelejtettem megnyomni a Fizettem gombot, vagy nem nyomtam meg időben';

  @override
  String get faq250Sbquestion8722Sb25 => 'Hogyan fogják kezelni a vitákat?';

  @override
  String get faq250Sbquestion8722Sb26 => 'Rossz címre küldtem Monerót, visszakaphatom?';

  @override
  String get faq250Sbquestion8722Sb2657Sbagoradesk => 'Rossz címre küldtem az érméket, visszakaphatom?';

  @override
  String get faq250Sbquestion8722Sb27 => 'Milyen gyakran frissítik a hirdetési árakat?';

  @override
  String get faq250Sbquestion8722Sb28 => 'Mi az a lebegő ár?';

  @override
  String get faq250Sbquestion8722Sb29 => 'Mik a díjak?';

  @override
  String get faq250Sbquestion8722Sb3 => 'Hogyan aktiválhatom a kéttényezős hitelesítést?';

  @override
  String get faq250Sbquestion8722Sb30 => 'Van mobilalkalmazásod? / Hogyan kaphatok mobil értesítéseket?';

  @override
  String get faq250Sbquestion8722Sb32 => 'Mi az a tranzakciós prioritás?';

  @override
  String get faq250Sbquestion8722Sb32250Sb1 => 'Mi az a díjszint?';

  @override
  String faq250Sbquestion8722Sb33(Object appName) {
    return 'Hogyan vehetem fel a Monero-t egy másik kriptovaluta pénztárcába az $appName pénztárcámból?';
  }

  @override
  String faq250Sbquestion8722Sb3357Sbagoradesk(Object appName) {
    return 'Hogyan vehetek ki más kriptovalutákat $appName pénztárcámból?';
  }

  @override
  String get faq250Sbquestion8722Sb5 => 'Elvesztettem a második hitelesítési tényezőt, mit tegyek?';

  @override
  String get faq250Sbquestion8722Sb6 => 'Van .onion webhelye / Tor rejtett szolgáltatása?';

  @override
  String get faq250Sbquestion8722Sb7 => 'Van I2P oldalad?';

  @override
  String get faq250Sbquestion8722Sb8 => 'Van társult programod?';

  @override
  String get faq250Sbquestion8722Sb9 => 'Mi a különbség az online és a helyi kereskedelem között?';

  @override
  String get faq250Sbtitle => 'Gyakran Ismételt Kérdések';

  @override
  String get feedback250Sbnone => 'még nincs visszajelzés';

  @override
  String feedback250Sbtitle(Object user) {
    return 'Visszajelzés a $user-ről';
  }

  @override
  String fees250Sbtitle(Object appName) {
    return '$appName díjak';
  }

  @override
  String fees250Sbtrading250Sbtext(Object appName) {
    return 'A Monero regisztráció, vásárlása és eladása teljesen <strong>ingyenes</strong>. <br/> $appName felhasználók, akik hirdetéseket készítenek, <strong> 1%-os választottbírósági védelmi díjat </strong> számítanak fel minden befejezett ügylet után.';
  }

  @override
  String fees250Sbtrading250Sbtext57Sbagoradesk(Object appName) {
    return 'A kriptovaluták regisztrációja, vásárlása és eladása teljesen <strong>ingyenes</strong>. <br/> $appName felhasználók, akik hirdetéseket készítenek, <strong> 1%-os választottbírósági védelmi díjat </strong> számítanak fel minden befejezett kereskedés után.';
  }

  @override
  String get fees250Sbtrading250Sbtitle => 'Monero kereskedés';

  @override
  String get fees250Sbtrading250Sbtitle57Sbagoradesk => 'Kriptovaluta kereskedés';

  @override
  String fees250Sbtx250Sbtext(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'A többi $appName-felhasználó pénztárcájára irányuló tranzakciók a következők: $free. $linebreak  Más Monero pénztárcákkal végzett tranzakciókra a Monero hálózati tranzakciós díj vonatkozik. Az aktuális díj az $walletPage-en az $outgoingMonerofees címszó alatt látható. A tranzakciós díjat az $appName pénztárcájából kell fizetni, amikor tranzakciót küld.';
  }

  @override
  String get fees250Sbtx250Sbtext8722Sbfree => 'ingyenes';

  @override
  String get fees250Sbtx250Sbtext8722Sbwallet8722Sbpage => 'pénztárca oldal';

  @override
  String fees250Sbtx250Sbtext57Sbagoradesk(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'A többi $appName-felhasználó pénztárcájára irányuló tranzakciók a következők: $free. $linebreak  A külső kriptovaluta pénztárcákra irányuló tranzakciókra a vonatkozó kriptovaluta hálózati tranzakciós díj vonatkozik. Az aktuális díj az $walletPage-en az $outgoingMonerofees címszó alatt látható. A tranzakciós díjat a $appName pénztárcájából fizetjük, amikor tranzakciót küld.';
  }

  @override
  String get fees250Sbtx250Sbtitle => 'Monero tranzakciós díjak';

  @override
  String get fees250Sbtx250Sbtitle57Sbagoradesk => 'Kriptovaluta tranzakciós díjak';

  @override
  String get finish => 'Befejez';

  @override
  String get footer250Sbabout => 'Ról ről';

  @override
  String get footer250Sbaffiliate => 'Leányvállalat';

  @override
  String get footer250Sbblocks => 'Monero Block Explorer';

  @override
  String get footer250Sbbounty => 'Biztonsági jutalom';

  @override
  String get footer250Sbcanary => 'Kanári';

  @override
  String get footer250Sbcontact => 'Lépjen kapcsolatba velünk';

  @override
  String get footer250Sbfees => 'Díjak';

  @override
  String get footer250Sble => 'Rendészeti vizsgálatok';

  @override
  String get footer250Sbpgp => 'PGP kulcsok';

  @override
  String get footer250Sbtor => 'Tor rejtett szolgáltatás';

  @override
  String get footer250Sbtos => 'Szolgáltatási feltételek';

  @override
  String get formula250Sbexamples8722Sbtitle => 'Példák';

  @override
  String get formula250Sbexamples250Sbbtc => '5%-kal az átlagos BTC/EUR piaci ár felett: <strong>coingeckobtcusd*usdeur*1,05</strong>\n<br/> BTC/XMR piaci ár: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5%-kal a Kraken BTC/EUR utolsó ár felett GBP-re átszámítva: <strong> krakenbtceurlast/usdeur*usdgbp*1,05 </strong>\n<br/> 5%-kal elmarad a legmagasabbtól a BTC/USD Bitfinex alacsony ár és a BTC/USD Kraken utolsó ára között: <strong>max(bitfinexbtcusdlow,krakenbtcusdlast)*0,95</strong>\n<br/> 0,1 LTC a piaci BTC/LTC ár felett: <strong>coingeckobtcltc+0,1 </strong>';

  @override
  String get formula250Sbexamples250Sbxmr => '5%-kal az átlagos XMR/EUR piaci ár felett: <strong>coingeckoxmrusd*usdeur*1,05</strong>\n<br/> ETH/XMR piaci ár: <strong>coingeckoethbtc/coingeckoxmrbtc</strong>\n<br/> BTC/XMR piaci ár: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5%-kal magasabb, mint a Kraken XMR/EUR utolsó ár GBP-re átszámítva: <strong> krakenxmreurlast/usdeur*usdgbp*1,05 </strong>\n<br/> 5%-kal elmarad a legmagasabbtól az XMR/USD Bitfinex alacsony ár és az XMR/USD Kraken utolsó ára között: <strong>max(bitfinexxmrusdlow,krakenxmrusdlast)*0,95</strong>\n<br/> 0,001 BTC a piaci XMR/BTC ár felett: <strong>coingeckoxmrbtc+0,001 </strong>';

  @override
  String get formula250Sbfiat8722Sbrates => 'Fiat árfolyamok';

  @override
  String get formula250Sbfiat8722Sbrates8722Sbtab => 'Fiat Exch árfolyamok';

  @override
  String get formula250Sbfunctions => 'Funkciók';

  @override
  String get formula250Sbinput8722Sblabel => 'Árképlet';

  @override
  String get formula250Sbinvalid8722Sbmessage => 'Érvénytelen képlet!';

  @override
  String get formula250Sbmarkets => 'Piacok';

  @override
  String get formula250Sbmarkets8722Sbtab => 'Piacok';

  @override
  String get formula250Sbno8722Sbformula8722Sbmessage => 'Adjon meg egy érvényes képletet az ár megtekintéséhez';

  @override
  String get formula250Sboperators => 'Üzemeltetők';

  @override
  String get formula250Sboperators8722Sband8722Sbfunctions8722Sbtab => 'Opers & Funcs';

  @override
  String get formula250Sbpopular8722Sbfiat8722Sbpairs => 'Népszerű fiat cserepárok';

  @override
  String get formula250Sbunexpected8722Sberror => 'Hiba! Frissítse az oldalt, és próbálja újra. Ha a probléma továbbra is fennáll, forduljon ügyfélszolgálatunkhoz.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbfive8722Sbtext => 'A hitelesítő alkalmazásban olvassa be az oldalon látható QR-kódot. Miután ezt megtette, 6 számjegyű egyszeri jelszavak kezdenek megjelenni az alkalmazásban.';

  @override
  String guide250Sb2fa250Sbstep8722Sbfour8722Sbtext(Object chooseAnyapp, Object andotp) {
    return 'Telepítse a hitelesítő alkalmazást a telefonjára. TOTP-t támogató $chooseAnyapp. Például az $andotp ingyenes és nyílt forráskódú.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbfour8722Sbtext8722Sbchoose8722Sbany8722Sbapp => 'válasszon bármilyen alkalmazást';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb0(Object appName) {
    return 'A kéttényezős hitelesítés (2FA) a beállítási oldal „Kéttényezős hitelesítés” lapjáról engedélyezhető. A kéttényezős hitelesítés aktiválásakor nagyon fontos, hogy <strong> írja le a biztonsági kódot </strong>, és tartsa biztonságos helyen, lehetőleg papíron. Ha elveszíti hozzáférését kéttényezős kódjaihoz, nem fog tudni bejelentkezni fiókjába, és az $appName nem tud segíteni Önnek. Ez a 2FA lényege. <strong> Saját felelősségére használja. </strong>';
  }

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb1(Object appName, Object totp, Object authMobileapp) {
    return 'Az $appName $totp 2FA-t kínál. Ha a 2FA engedélyezve van, az $authMobileapp szinkronizálva lesz az $appName-el, és 6 számjegyű egyszeri jelszavakat állít elő. Ez a jelszó percenként változik. A belépéshez vagy választottbírósági kötvény visszavonásához a jelszava mellett ezt az egyszeri jelszót is meg kell adnia, mielőtt lejár.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbauth8722Sbmobile8722Sbapp => 'hitelesítési mobilalkalmazás';

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbtotp => 'Időalapú egyszeri jelszóalgoritmus (TOTP)';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb2(Object settingsPage) {
    return 'A kéttényezős hitelesítés aktiválásának megkezdéséhez látogasson el az $settingsPage oldalra, és válassza a „Kéttényezős hitelesítés” fület.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb28722Sbsettings8722Sbpage => 'beállítások oldalon';

  @override
  String get guide250Sb2fa250Sbstep8722Sbsix8722Sbtext => 'A beállítás befejezéséhez írja be a mobilalkalmazása által adott kódot a QR-kód alatti mezőbe, majd nyomja meg a „Verify 2FA” gombot. <br/><br/> Gratulálunk! A kétlépcsős hitelesítés engedélyezve van fiókjában. Használja az alkalmazástól kapott kódokat a jelszavával együtt a bejelentkezéshez és a választottbírósági kötvény visszavonásához.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbthree8722Sbtext => '<strong>FONTOS! Írja le a biztonsági kódot. </strong> A maximális biztonság érdekében javasoljuk, hogy nyomtassa ki vagy írja fel egy papírra. Tárolja biztonságosan, ez a kód az egyetlen esélye, hogy visszaszerezze a hozzáférést fiókjához, ha elveszíti telefonját vagy törli a hitelesítő alkalmazást.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbtwo8722Sbtext => 'Adja meg jelszavát, és nyomja meg az „Enable 2FA” gombot.';

  @override
  String get guide250Sb2fa250Sbtitle => 'A kéttényezős hitelesítés engedélyezése';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb1 => 'Sajnos az <strong> érmék, mint például a bitcoin, nem tartalmaznak adatvédelmi védelmet a protokolljukban. </strong> Az összes fél közötti tranzakció és összeg nyilvánosan látható. Ez megakadályozza, hogy a bitcoin helyettesíthető legyen, és alapvető problémákhoz vezet a bitcoin mint globális monetáris bázis életképességével kapcsolatban.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb2 => 'Képzelje el a következő forgatókönyvet: a bitcoin lett az egyetlen használt valuta a világon. Milyen következményekkel járna a magánélet hiánya?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3 => 'Ön egy ország olyan részein utazik, ahol közepes vagy magas az erőszakos bűncselekmények aránya. Fel kell használnia a Bitcoin egy részét, hogy fizessen valamiért.<strong> Ha minden személy, akivel tranzakciót folytat, pontosan tudja, hogy mennyi pénze van, ez veszélyt jelent az Ön személyes fizikai biztonságára. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3250Sbtitle => '1. Fizikai biztonság';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4 => 'Ön olyan vállalkozás, amely beszállítónak fizet. Ez a szállító látni fogja, hogy mennyi pénze van az Ön vállalkozásának, és így kitalálhatja, mennyire lesz árérzékeny a jövőbeni tárgyalások során. Láthatják az összes többi kifizetést, amelyet valaha is kapott arra a Bitcoin-címre, és így meghatározzák, hogy milyen más beszállítókkal áll kapcsolatban, és mennyit fizet ezeknek a beszállítóknak. Előfordulhat, hogy hozzávetőlegesen meg tudják határozni, hány ügyfele van, és mennyit számít fel ügyfeleinek. <strong> Ez olyan kereskedelmi szempontból érzékeny információ, amely eléggé rontja tárgyalási pozícióját ahhoz, hogy viszonylagos anyagi veszteséget okozzon. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4250Sbtitle => '2. Üzleti titok';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5 => 'Ön magánszemély, aki online árukért és szolgáltatásokért fizet. Tisztában van vele, hogy bevett gyakorlat, hogy a vállalatok <strong> „árdiszkriminációs” </strong> algoritmusokat próbálnak meg meghatározni a legmagasabb árakat, amelyeken a jövőben szolgáltatásokat tudnak Önnek kínálni, és Ön azt szeretné, ha nem [X307X ] információs előnye, hogy tudja, mennyit és hol költ.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5250Sbtitle => '3. Árdiszkrimináció';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6 => 'Süteményt árulsz, és bitcoint kapsz fizetésként. Kiderült, hogy <strong> valaki, aki azelőtt birtokolta ezt a bitcoint, bűnözői tevékenységben vett részt</strong>. Most attól tart, hogy <strong> gyanúsítottja lett egy büntetőügyben</strong>, mivel az Ön felé irányuló pénzmozgás nyilvánosan nyilvántartott. Emellett aggódik amiatt, hogy bizonyos bitcoinokat, amelyekről azt hitte, hogy a tulajdonában van, „szennyezettnek” fognak tekinteni, és hogy <strong> mások megtagadják fizetésként való elfogadását.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6250Sbtitle => '4. Károsodott alapok';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7 => '<strong> A Monero úgy oldja meg ezeket az adatvédelmi problémákat, hogy automatikusan alkalmaz adatvédelmi technikákat minden egyes tranzakcióra.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7250Sbtitle => 'Monero hogyan oldja meg ezt';

  @override
  String guide250Sbbtc250Sbcard8722Sbfive8722Sb8(Object fungibility) {
    return 'Biztos lehet benne, hogy nem lehet „beszennyezett” Monerót birtokolni. Ez az $fungibility néven ismert közgazdasági fogalom, és történelmileg minden valuta fontos jellemzőjének tartják.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive250Sbtitle => 'Miért fontos a pénzügyi adatvédelem?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb1 => 'Használd a Tor-t';

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb2(Object tor) {
    return 'Az $tor szerint a Tor egy ingyenes szoftver és egy nyílt hálózat, amely segít védekezni a forgalomelemzés ellen, a hálózati felügyelet egy olyan formája, amely veszélyezteti a személyes szabadságot és a magánéletet, a bizalmas üzleti tevékenységeket és kapcsolatokat, valamint az állambiztonságot.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb3(Object torBrowser, Object appName, Object torLink) {
    return 'A használatához egyszerűen töltse le és telepítse az $torBrowser-et a hivatalos webhelyükről. Az indítást követően az $appName-t speciális Tor portálunkon keresztül érheti el: $torLink';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb4(Object appName) {
    return 'Ha $appName-en vásárol, olyan fizetési módot használjon, amely készpénzt tartalmaz';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb5 => 'Amikor banki átutalással, PayPal-lal vagy más hasonló fizetési móddal vásárol, mindig adatvédelmi szivárgás következik be a fizetését feldolgozó cégek nyilvántartásai miatt. A magánélet kiszivárgásának elkerülése érdekében ragaszkodjon a készpénzt használó módszerekhez.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb6 => 'Használjon olyan módszereket, mint a postai készpénz, az ATM készpénzbefizetés, a személyes találkozók vagy a készpénzzel vásárolt ajándékkártyák. ';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour250Sbtitle => 'A névtelenség megőrzésének fejlett technikái a bitcoinvásárlás ezen módszerének használatakor';

  @override
  String guide250Sbbtc250Sbcard8722Sbone8722Sb1(Object wikipedia) {
    return 'Az $wikipedia szerint:';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb2 => 'A Monero (XMR) egy nyílt forráskódú kriptovaluta, amelyet 2014 áprilisában hoztak létre, és az <strong> helyettesíthetőségére, az adatvédelemre és a decentralizációra összpontosít.</strong> A Monero homályos nyilvános főkönyvet használ, ami azt jelenti, hogy bárki sugározhat vagy küldhet tranzakciókat, de külső szemlélő nem tudja megmondani. a forrás, az összeg vagy a rendeltetési hely. A Monero Proof of Work mechanizmust használ új érmék kibocsátására, és arra ösztönzi a bányászokat, hogy biztosítsák a hálózatot és érvényesítsék a tranzakciókat.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb3 => 'A Monero-t aktívan bátorítják azok számára, akik a pénzügyi adatvédelemre vágynak, mivel az <strong> fizetések és számlaegyenlegek teljesen rejtve maradnak</strong>, ami a legtöbb kriptovaluta esetében nem szabvány.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone250Sbtitle => '1. Mi az a Monero?';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb1(Object appName) {
    return '6. lépés: Bitcoinok visszavonása az $appName-ből';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb2 => 'Most lépjen a pénztárca oldalra, és jelölje be a „BTC-, XMR-, ETH-, LTC-, BCH- vagy DASH-pénztárcára szeretnék kifizetni” négyzetet a pénztárca oldal „Monero küldése” lapján. A megjelenő részben válassza ki a BTC-t, és írja be a megfelelő fogadó BTC-címet. Ezután adja meg az összeget az XMR-ben, válassza ki a prioritást, és kattintson a „Tovább” gombra. Kérjük, vegye figyelembe, hogy az XMR-ben kapott összegnek a megadott ChangeNow korlátokon belül kell lennie.';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb3(Object appName, Object morphtoken) {
    return 'Ezután, miután megadta a jelszavát és (ha engedélyezve van) az egyszeri jelszót, az $appName elküldi az érméit az $morphtoken-re konvertálás céljából.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb4(Object appName) {
    return 'Ezen a ponton nem kell semmit tennie, és egy új ablak nyílik meg a böngészőben, ahol ellenőrizheti a tranzakció állapotát (ha nem nyílik meg, kattintson a megadott linkre, és mindenképpen mentse el, hogy láthatják a tranzakció folyamatát). Ha bármi baj történne a tranzakcióval, az érméket visszatérítjük $appName pénztárcájába.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb5 => '7. lépés';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb6(Object morphtoken) {
    return 'Ezt követően csak várja meg, amíg a tranzakció lezajlik (körülbelül 15 perc), és az $morphtoken elküldi a bitcoinokat az Ön által megadott címre. Kész!';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree250Sbtitle => 'Bitcoin névtelen vásárlás készpénzzel';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb1 => '<strong> A Monero a vezető kriptovaluta, amely a privát és cenzúraálló tranzakciókra összpontosít </strong>. A legtöbb létező kriptovaluta, beleértve a Bitcoint és az Ethereumot is, átlátszó blokkláncokkal rendelkezik, ami azt jelenti, hogy a tranzakciók nyíltan ellenőrizhetők és nyomon követhetők bárki számára a világon. Ezen túlmenően az ilyen tranzakciókhoz tartozó címek küldése és fogadása potenciálisan összekapcsolható egy személy valós identitásával.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb2 => 'A Monero titkosítást használ a küldési és fogadási címek, valamint a tranzakciós összegek védelmére.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb3 => 'A Monero tranzakciók bizalmasak és nyomon követhetetlenek.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb4 => 'Alapértelmezés szerint minden Monero-tranzakció elhomályosítja a küldési és fogadási címeket, valamint a tranzakciós összegeket. Ez a mindig bekapcsolt adatvédelem azt jelenti, hogy minden Monero felhasználó tevékenysége javítja az összes többi felhasználó magánéletét, ellentétben a szelektíven átlátszó kriptovalutákkal (pl. Z-Cash). Monero helyettesíthető. Az elhomályosítás miatt a Monero nem szennyeződhet be korábbi tranzakciókban való részvétel miatt. Ez azt jelenti, hogy Monero mindig elfogadásra kerül a cenzúra kockázata nélkül. A Dandelion++ lehetővé teszi a tranzakciók terjesztését anélkül, hogy az eredet biztos lenne. Ez elhomályosítja a tranzakciós IP-címét, és további védelmet nyújt a hálózatfelügyelet ellen.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb5 => 'A Monero egy alulról építkező közösség, amely a világ legjobb kriptovaluta-kutatóit és mérnöki tehetségeit vonzza.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb6 => 'Több mint 420 fejlesztő vett részt a Monero projektben, köztük 30 fő fejlesztő. A fórumok és a chat-csatornák barátságosak és aktívak.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb7 => 'A Monero kutatólaboratóriuma, a Core Development Team és a közösségi fejlesztők folyamatosan feszegetik a kriptovaluták adatvédelmével és biztonságával kapcsolatos lehetőségeket.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb8 => '<strong> A Monero egy elektronikus készpénz, amely gyors, olcsó fizetést tesz lehetővé a világ bármely pontjáról. </strong> Nincsenek többnapos visszatartási időszakok, és nincs kockázata a csalárd visszaterhelésnek. Biztonságban van a „tőkeszabályozástól” – ezek olyan intézkedések, amelyek korlátozzák a hagyományos valuták áramlását, olykor rendkívüli mértékben a gazdasági instabilitást tapasztaló országokban.';

  @override
  String guide250Sbbtc250Sbcard8722Sbtwo250Sbtitle(Object getmonero) {
    return '2. Miért Monero? (az $getmonero magyarázata szerint)';
  }

  @override
  String get guide250Sbbtc250Sbconclusion8722Sb1 => 'Az idő előrehaladtával ez egyre nehezebbé válik, de továbbra is lehetséges névtelen bitcoint vásárolni, ha hajlandó megtenni egy további lépést <strong>, hogy átváltsa azt Moneroból. </strong> Szerencsére a Monero csak arra szolgál, hogy még tovább növelje a magánéletét és az anonimitását. Míg a legtöbb online elérhető útmutató olyan módszereket javasol, amelyek további adatvédelmi szivárgásokat okozó lépéseket tartalmaznak, ez az útmutató nem csak minimalizálja az adatvédelmi szivárgásokat, de még javítja is a magánélet szintjét, összehasonlítva a bitcoin közvetlen készpénzes vásárlásával. <strong> Önt a Monero adatvédelmi funkciói védik. </strong>';

  @override
  String get guide250Sbbtc250Sbconclusion250Sbtitle => 'Következtetés';

  @override
  String get guide250Sbbtc250Sbintro8722Sb1 => '<strong>A bitcoinok névtelen vásárlása egyre nehezebb feladattá vált.</strong>';

  @override
  String guide250Sbbtc250Sbintro8722Sb2(Object ninetyNinebitcoins, Object coincentral, Object linebreak, Object gutter, Object localbitcoins, Object paypal) {
    return 'Napról napra úgy tűnik, hogy a legtöbb, ha nem az összes hagyományos bitcoin megszerzési módszer megköveteli az azonosító ellenőrzését, így a legtöbb útmutató, például az $ninetyNinebitcoins vagy $coincentral már elavulttá vált online. $linebreak  $gutter A bitcoinok azonosító nélküli vásárlásának hagyományos módja főként a P2P Bitcoin csereplatformon $localbitcoins keresztül történt, amely hely különösen népszerű volt az $paypal névtelen bitcoin vásárlásakor.';
  }

  @override
  String get guide250Sbbtc250Sbintro8722Sb3 => 'De sajnos még a <strong>LocalBitcoins is elkezdte megkövetelni az összes kereskedőtől az azonosító ellenőrzését.</strong>';

  @override
  String get guide250Sbbtc250Sbintro8722Sb4 => 'Hát már mögöttünk vannak azok az idők, amikor hitelkártyával azonnal és ellenőrzés nélkül vásárolhattál bitcoint? Nem egészen. Itt egy egyszerű, névtelen, privát és gyors módszert mutatunk be készpénzes bitcoinok beszerzésére néhány lépésben… ';

  @override
  String get guide250Sbbtc250Sbtitle => 'Hogyan vásároljunk Bitcoint névtelenül';

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'A befizetést követően kattintson a „Fizettem” gombra. Miután a kereskedő ellenőrizte, hogy befizetése megérkezett, a kereskedés véglegesítve lesz, és hamarosan megjelenik az $assetName elszámolási pénztárcájában. És ez minden, gratulálunk az első $assetName cseréjéhez!';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName pénztárca';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'A „Vásárlás” gomb megnyomása után további információkat láthat a hirdetésről, beleértve a kereskedési feltételeket is. A kereskedési kérelem benyújtása előtt olvassa el őket, ha nem ért egyet velük, akkor visszaléphet az előző oldalra és választhat másik hirdetést. A kereskedés elindításához írja be, hogy mennyi $assetName-t szeretne vásárolni, és kattintson a „Kereskedési kérelem küldése” gombra a kereskedés elindításához. Győződjön meg róla, hogy készen áll a fizetésre a gombra kattintva, ha nem fizet a fizetési időszak lejárta előtt, az eladó törölheti a kereskedést.';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext(Object registerAnaccount, Object appName) {
    return '$registerAnaccount és $appName. Ingyenes és biztonságos online Monero pénztárcát kap. Nincs szükség további alkalmazásokra. Ha már van fiókja, ugorjon a következő lépésre.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbone8722Sbtext8722Sbregister8722Sban8722Sbaccount => 'Regisztráljon egy fiókot';

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext57Sbagoradesk(Object registerAnaccount, Object appName) {
    return '$registerAnaccount és $appName. Kapsz egy ingyenes és biztonságos online kriptovaluta pénztárcát. Nincs szükség további alkalmazásokra. Ha már van fiókja, ugorjon a következő lépésre.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbthree8722Sbtext => 'A hirdetések listájából válasszon egyet egy jó hírnévponttal rendelkező és nagy mennyiségű kereskedéssel rendelkező kereskedő közül. A zöld kör azt jelenti, hogy a kereskedő ma online volt, a sárga kör azt jelenti, hogy ezen a héten meglátogatta az oldalt, a szürke kör pedig azt, hogy a kereskedő több mint egy hete nem járt itt. A hirdetéssel kapcsolatos további információk megtekintéséhez kattintson a „Vásárlás” gombra.';

  @override
  String guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext(Object mainPage, Object assetName) {
    return 'Lépjen az $mainPage elemre, és a keresőmezőben töltse ki az űrlapot a vásárolni kívánt összeggel az Ön pénznemében, tartózkodási helyével és fizetési móddal. Ha nem biztos benne, hogyan szeretne fizetni, válassza a „Minden online ajánlat” lehetőséget fizetési módként. A webhely felsorolja az Ön régiójában elérhető $assetName kereskedőket.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext8722Sbmain8722Sbpage => 'Főoldal';

  @override
  String get guide250Sbbuy250Sbtitle => 'Hogyan vásárolhat Monero online';

  @override
  String get guide250Sbbuy250Sbtitle57Sbagoradesk => 'Hogyan vásároljunk kriptovalutát online';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtext => 'A készpénzt behelyezheti a borítékba otthon vagy az autóban, a telefont pedig bekapcsolt videóval az elülső ingzsebébe teheti, és az egész folyamatot rögzíti anélkül, hogy különösebb erőfeszítést tenne, azon kívül, mindent a kamera előtt csinálsz. Ha van valami, mint a GoPro vagy a legújabb iPhone, amely szélesebb látószögű kamerával rendelkezik, még egyszerűbb lesz.\n\nA felvételt vita esetén 180 napig őrizze meg.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtitle => 'A videót egyetlen felvételen belül, vágások nélkül kell felvenni';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtext => 'Használjon valamilyen egyedi darabolást/bélyegzőt/pecsétet, vagy aláírást, vagy csak véletlenszerű mozdulatokat élesítővel a borítékon belül, minden felületet lefedve. Ez segít megállapítani, hogy az eladó valóban az Ön által küldött vagy hamis borítékot bontja-e fel. Győződjön meg arról, hogy a jel látható a videón.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtitle => 'Helyezzen egyedi jelöléseket a borítékba';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtext => 'Egy (esetleges, de nagyon ritka) útközbeni postai lopás elkerülése érdekében próbálja meg eltitkolni azt a tényt, hogy a csomag készpénzt tartalmaz. A készpénzt magazinba, mylar táskába vagy más tartályba teheti. A készpénz vákuumos lezárása is működik.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtitle => 'Próbálja álcázni a készpénzt';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtext => 'Ahelyett, hogy a készpénzt egyszerűen a borítékba helyezné, használjon több egymásba ágyazott borítékot a csomaghoz. Helyezze a készpénzt a legkisebb borítékba (vagy egyszerűen hajtsa össze egy nagyobb borítékot, ha szükséges), zárja le, és helyezze egy másik borítékba. Ismételje ezt a folyamatot, amíg legalább 3 beágyazott boríték nem lesz. Ez segít abban, hogy ha a fogadó fél megkísérli manipulálni az Ön csomagját, sokkal nehezebb dolga lesz újra lezárni az egészet oly módon, hogy a vitaközvetítő általi ellenőrzés során észrevehetetlen legyen.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtitle => 'Helyezze a borítékokat a borítékok belsejébe';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtext => 'A nyomon követés nélkül küldött csomagok elveszhetnek, nyomon követés nélkül pedig lehetetlen megtalálni őket. A nyomon követés azt is lehetővé teszi, hogy a fogadó fél nyugalmat tudjon szerezni, hogy a csomag úton van, ha a vártnál tovább tart.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtitle => 'Küldés követéssel';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtext => 'Amint azt korábban említettük, a bevett kereskedőknél a vásárló kockázata nagyon alacsony. A nagyon alacsony érték azonban nem jelent nullát, ezért ügyeljen arra, hogy kövesse ezeket a szabályokat, hogy felkészüljön a vitahelyzetekre.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtitle => 'Következtetés';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbintro => 'Ha ragaszkodik a jó hírnévnek örvendő eladókhoz, nagyon valószínűtlen, hogy bármilyen problémába ütközne a készpénzes postai vásárlás során, azonban a következő tippek segítenek igazolni a fizetést egy vitás ügyben. A legfontosabb, hogy videófelvételt készítsen a fizetésről. Íme az irányelvek:';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbtitle => 'Ha vásárolsz...';

  @override
  String get guide250Sbcbm250Sbdescription => 'A Cash by Mail kereskedések túlnyomó többsége gond nélkül megy, de továbbra is követnie kell ezeket az irányelveket, hogy felkészüljön a vitákra.';

  @override
  String get guide250Sbcbm250Sbinfocard => 'Feltétlenül olvassa el útmutatónkat a postai készpénz biztonságáról!';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtext => 'Jegyezze fel, hogy a postai dolgozótól kapta a csomagot, a postai dolgozó mérlegeli, rögzítse a címkét, a csomag minden külső oldalát; nyisd ki a csomagot filmezés közben, a kamerába szegezve, futtasd át a készpénzt egy pulton és hamisítás-szkenneren. Győződjön meg róla, hogy minden egy felvételben készül. Mindig tartsa a csomagot a kamera előtt. A felvételt vita esetén 180 napig őrizze meg.';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtitle => 'Készítsen videót a csomag átvételéről és felbontásáról';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtext => 'A legfontosabb dolog, amit meg kell jegyeznünk (és minden lépésnél kizáró nyilatkozatokat teszünk ezzel kapcsolatban), az az, hogy SOHA ne zárjon le egy kereskedést, amíg nincs pénze, és nem biztos abban, hogy minden rendben van. A törvényes vevő nem kényszerít rád a korai véglegesítésre.';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtitle => 'Semmilyen körülmények között ne fejezze be a kereskedést korán';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtext => 'Ez segít megkülönböztetni a különböző vásárlóktól érkező csomagokat, és elkerülni a félreértéseket. Ez segít megelőzni a „középben” támadásokat is, amikor a csaló beavatkozik a vevő és az eladó közé, és úgy tesz, mintha ő lenne, amikor a vevővel beszél, és úgy tesz, mintha ő lenne a vevő, amikor az eladóval beszél. .';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtitle => 'Kérje meg a vevőt, hogy tegyen megjegyzést felhasználónevével és kereskedelmi azonosítójával';

  @override
  String get guide250Sbcbm250Sbseller250Sbtitle => 'Ha eladod...';

  @override
  String get guide250Sbcbm250Sbtitle => 'Maradjon biztonságban a postai készpénzzel';

  @override
  String guide250Sblocal250Sbtext8722Sb0(Object appName, Object online) {
    return 'Az $appName két fő hirdetéstípust kínál, az $online és a helyi hirdetéseket. A helyi hirdetéseken keresztül fizikailag találkozik kereskedelmi partnerével, és szemtől szemben bonyolítja le a kereskedést. Ez az útmutató a helyi hirdetések beállításának és a helyi kereskedés alapjait tartalmazza.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb08722Sbonline => 'online';

  @override
  String get guide250Sblocal250Sbtext8722Sb1 => 'Van-e piac/kereslet?';

  @override
  String guide250Sblocal250Sbtext8722Sb2(Object assetName) {
    return 'Ez attól függ, hogy hol élsz, nagyobb városokban több érdeklődőt találsz $assetName vásárlása iránt, mint vidéken. Mivel az $assetName tranzakciók visszafordíthatatlanok, de a legtöbb hagyományos online fizetési mód visszafordítható, az $assetName helyi, közvetlenül készpénzért történő értékesítése sokkal biztonságosabbá teszi a fizetés elfogadását, mivel a készpénz ugyanolyan visszafordíthatatlan, mint az $assetName. Vannak, akik értékelik a készpénzes kereskedések által kínált magánéletet. Kis mennyiségű $assetName készpénzes vásárlása is nagyszerű módja annak, hogy túl sok gond nélkül elkezdje használni az $assetName-et.';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb3(Object assetName) {
    return 'Mi van, ha elfogy az $assetName?';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb4(Object assetName) {
    return 'Ha elfogy az $assetName, gyorsabban vásárolhat egy hagyományos $assetName tőzsdén, bár ez általában néhány napot vesz igénybe, mivel banki átutalással kell vásárolnia.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb5 => 'Ügyeljen arra, hogy könnyen elérhető legyen! Hirdetésében adja meg kedvenc találkozási helyét és időpontját. A hirdetésben megadhatja mobiltelefonszámát.';

  @override
  String get guide250Sblocal250Sbtext8722Sb58722Sbtitle => 'Hirdető';

  @override
  String guide250Sblocal250Sbtext8722Sb6(Object assetName) {
    return 'A pénzváltást szabályozó minden hagyományos kockázat az $assetName kereskedéshez is kapcsolódik. Kérjük, gondosan mérlegelje a kockázatokat, és használja a visszajelzési rendszert és egyéb intézkedéseket a biztonsága érdekében.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb68722Sbtitle => 'Kockázatok';

  @override
  String guide250Sblocal250Sbtext8722Sb7(Object assetName) {
    return 'Előfordulhatnak olyan esetek, amikor hamis pénzt juttatnak el az $assetName eladójához. Kérjük, fontolja meg hamisítás-érzékelő használatát, amikor kereskedést folytat.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb78722Sbtitle => 'Hamis pénz';

  @override
  String get guide250Sblocal250Sbtext8722Sb8 => '<strong> Kérjük, vegye figyelembe: </strong>Mielőtt vállalkozásként kezdene kereskedni, tájékozódjon országa jogszabályairól, hogy megtudja, köteles-e engedélyt kérni, vagy vannak-e egyéb jogi követelmények.';

  @override
  String get guide250Sblocal250Sbtext8722Sb9 => 'Jó kereskedést!';

  @override
  String get guide250Sblocal250Sbtext8722Sbfour => 'Küldjön linkeket barátainak, hirdessen a közösségi médiában és helyben, várja meg, amíg beindulnak a rendelések';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbone(Object signUp) {
    return '$signUp, ha még nem tette meg';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbone8722Sbsign8722Sbup => 'Regisztrálj';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree(Object loadMonero) {
    return '$loadMonero, ha eladja';
  }

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree8722Sbload8722Sbmonero(Object assetName) {
    return 'Töltsön $assetName-et a pénztárcájába';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbtwo => 'Kereskedelmi hirdetés feladása';

  @override
  String get guide250Sblocal250Sbtext8722Sbsteps8722Sbtitle => 'Rendben, akkor mik az első lépések?';

  @override
  String get guide250Sblocal250Sbtitle => 'Útmutató a Monero vásárlásához vagy eladásához készpénzért';

  @override
  String get guide250Sblocal250Sbtitle57Sbagoradesk => 'Útmutató a kriptovaluta vásárlásához vagy eladásához készpénzért';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbdescription(Object appName) {
    return 'Ebből az útmutatóból megtudhatja, hogyan állíthatja vissza nem szabadságvesztési $appName elszámolási pénztárcáját a kereskedési oldalon látható emlékeztető magból.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb1 => 'Töltse le az Electrum pénztárca legújabb verzióját az <a target=\"_blank\" href=\"https://electrum.org/#download\" class=\"next-link\">electrum.org</a> webhelyről, és indítsa el.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb2 => 'Válassza az \"Új/Visszaállítás\" lehetőséget a \"Fájl\" menüből (ezt automatikusan választja ki, ha nincs más Electrum pénztárca az eszközön).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb3 => 'Válassza ki a kívánt pénztárcanevet és módot (pl. „Normál”).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb4 => 'Válassza a \"Már van vetőmagom\" lehetőséget, és nyomja meg a \"Tovább\" gombot.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb5 => 'Illessze be a kereskedési oldal mnemonikus magját a bemenetbe. Ezután nyomja meg az \"Opciók\" gombot az emlékeztető mag beviteli mező alatt, és jelölje be az \"Extend this seed with custom words\" és a \"BIP39 seed\" lehetőséget, majd nyomja meg az \"OK\", majd a \"Next\" gombot.';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb6(Object appName) {
    return 'A \"Seed extension\" beviteli mezőbe írja be az $appName jelszót, amelyet az ügylet lezárásakor használt, és nyomja meg a \"Tovább\" gombot.';
  }

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb7(Object formattedDerivationPath) {
    return 'Válassza ki a \"natív segwit (p2wpkh)\" elemet, és az alábbi származtatási útvonal bemenetébe írja be az $formattedDerivationPath parancsot. Nyomja meg a \"Tovább\" gombot.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb8 => 'Válassza ki a kívánt jelszót a pénztárcájához, és nyomja meg a \"Tovább\" gombot.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb9 => 'Ez az! Az összes tranzakciót az „Előzmények” lapon láthatja.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbtitle => 'Electrum használata';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb1 => 'Töltse le a Monero CLI pénztárca legújabb verzióját operációs rendszeréhez a <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> webhelyről.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb2(Object formattedFlag) {
    return 'Indítsa el a pénztárcát az $formattedFlag zászlóval.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb3 => 'Adja meg a kívánt nevet a pénztárcájának.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb4 => 'Amikor arra kérik, hogy <strong>\"Specify Electrum seed\"</strong>, illessze be az emlékeztető magot a kereskedelmi oldalról.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb5(Object appName) {
    return 'Amikor az <strong>\"Enter seed offset jelszó megadása\" kéri,</strong> írja be az $appName jelszót, amelyet az ügylet lezárásakor használt.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb6 => 'Válaszoljon a következő kérdésekre ízlése szerint.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb7(Object formattedCommand) {
    return 'Ez az! A pénztárca szinkronizálása után az $formattedCommand paranccsal láthatja az összes tranzakciót.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbtitle => 'Hivatalos CLI pénztárca használata';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb1 => 'Töltse le a Monero GUI pénztárca legújabb verzióját operációs rendszeréhez az <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> webhelyről, és indítsa el.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb2 => 'Válassza ki a kívánt pénztárca módot, majd válassza a „Tárca visszaállítása kulcsokból vagy mnemonikus magból” lehetőséget.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb3(Object appName) {
    return 'Válassza a \"Restore from seed\" lehetőséget (alapértelmezés szerint kiválasztva), és illessze be a kereskedési oldal mnemonikus magját az alábbi bevitelbe. Ezután válassza ki a „Seed offset jelszó” lehetőséget, és írja be az $appName jelszót, amelyet az ügylet lezárásakor használt. Nyomja meg a \"Tovább\" gombot. ';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb4 => 'Ez az! A pénztárca szinkronizálása után az összes tranzakció megjelenik a „Tranzakciók” lapon.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbtitle => 'Hivatalos GUI pénztárca használata';

  @override
  String get guide250Sbmnemonic250Sbtitle => 'Hogyan állíthatom vissza a nem szabadságvesztési elszámolási pénztárcámat az emlékező magból?';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1 => 'Lépjen az <a target=\"_blank\" href=\"/\" class=\"next-link\">főoldalra</a> – itt láthatja az alapértelmezett régió legjobb ajánlatait. Finomíthatja az eredményeket, ha beírja a kívánt összeget, és módosítja a pénznemet, az országot vagy a fizetési módot (ha nem biztos abban, hogy melyik fizetési módot szeretné használni, válassza az \"Összes online ajánlat\" lehetőséget), és megnyomja a \"Keresés\" gombot.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1250Sb1 => 'A hirdetések listájából válasszon egy olyan kereskedőt, aki sok kereskedéssel és jó hírnévvel rendelkezik (a felhasználónév melletti zárójelben látható). A zöld kör azt jelenti, hogy a kereskedő ma online volt; a sárga kör azt jelenti, hogy ezen a héten meglátogatták az oldalt; a szürke kör pedig azt jelenti, hogy a kereskedő már több mint egy hete nem járt itt. A \"Vásárlás\" gombra kattintva további információkat tekinthet meg a hirdetésről.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb157Sbagoradesk => 'Lépjen az <a target=\"_blank\" href=\"/\" class=\"next-link\">főoldalra</a> – itt láthatja az alapértelmezett régió legjobb ajánlatait. Ezután válassza ki a kereskedni kívánt kriptovalutát úgy, hogy megnyomja a megfelelő fület a hirdetési táblázat feletti sorban. Ebben a példában a BTC-t választjuk. A bal oldali oszlopban válassza ki a „Vásárlás” lapot. Finomíthatja az eredményeket, ha a keresőmezőbe írja be a kívánt összeget, módosítja a pénznemet, országot vagy fizetési módot (ha nem biztos abban, hogy melyik fizetési módot választja, válassza az \"Összes online ajánlat\" lehetőséget), majd nyomja meg a kék gombot a \"Keresés\" ikonra.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbbuy250Sb2(Object assetName) {
    return 'A „Vásárlás” gomb megnyomása után további információkat láthat a hirdetésről, beleértve a kereskedési feltételeket is. A kereskedési kérelem benyújtása előtt olvassa el őket, ha nem ért egyet velük, akkor visszaléphet az előző oldalra és választhat másik hirdetést. A kereskedés elindításához írja be, hogy mennyi $assetName-t szeretne vásárolni, és kattintson a \"Kereskedési kérelem küldése\" gombra. Még egyszer megjelennek a kereskedelmi feltételek, olvassa el még egyszer figyelmesen, és győződjön meg arról, hogy elfogadja, majd nyomja meg az \"Elfogadom a feltételeket\" gombot.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb3 => 'Ezután a rendszer felkéri a pénztárca címének megadására. Ez az a cím, ahová a vásárolt érméket küldjük. Ha nincs személyes XMR pénztárcája, használhatja a <a target=\"_blank\" href=\"https://www.getmonero.org/downloads/\" class=\"next-link\">hivatalos Monero GUI vagy CLI pénztárcát</a> vagy az <a target=\"_blank\" href=\"https://featherwallet.org/\" class=\"next-link\">Feather pénztárcát</a>. Másolja ki a címét a pénztárcájából, és illessze be a \"Receiving Monero address\" beviteli mezőbe (ügyeljen arra, hogy a beillesztett cím megegyezzen a másolt címmel, hogy elkerülje az érméinek elvesztését). Felhívjuk figyelmét, hogy a kereskedelmi elszámoláshoz használt pénztárcának az Ön sajátjának kell lennie, harmadik fél által tárolt pénztárcák nem engedélyezettek. Ha elkészült, nyomja meg a \"Kereskedés indítása\" gombot a kereskedés megkezdéséhez.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb357Sbagoradesk => 'Ezután a rendszer felkéri a pénztárca címének megadására. Ez az a cím, ahová a vásárolt érméket küldjük. Ha nincs személyes BTC pénztárcája, használhatja az <a target=\"_blank\" href=\"https://electrum.org/#home\" class=\"next-link\">Electrum pénztárcát</a>. Másolja ki a címét a pénztárcájából, és illessze be a „Receiving Bitcoin address” (Bitcoin címe fogadása) beviteli mezőbe (az érméi elvesztésének elkerülése érdekében győződjön meg arról, hogy a beillesztett cím megegyezik a másolt címmel). Felhívjuk figyelmét, hogy a kereskedelmi elszámoláshoz használt pénztárcának saját magának kell lennie, harmadik fél által tárolt pénztárcák nem engedélyezettek. Ha elkészült, nyomja meg a \"Kereskedés indítása\" gombot a kereskedés megkezdéséhez.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb4 => 'Megnyílik egy kereskedési oldal a böngészőjében. A kereskedelmi chaten keresztül kommunikáljon az eladóval, hogy megbizonyosodjon arról, hogy az eladó készen áll a fizetés fogadására, és tisztázza a fizetéssel kapcsolatos kérdéseit.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb5 => 'Hajtsa végre a fizetést az eladó utasításai szerint, és azonnal nyomja meg a „Fizettem” gombot – ez értesíti az eladót, hogy a fizetés befejeződött, és megakadályozza, hogy az eladó lemondja a kereskedést.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb7 => 'Miután az eladó megerősítette a fizetés kézhezvételét, kezdeményezi a kereskedelmi elszámolást. Látni fogja, hogy a kereskedelmi állapot „Feldolgozás alatt” lesz. Ezen a ponton nincs más teendője – az érmék automatikusan átkerülnek a megadott elszámolási pénztárca címére. Ez eltart egy ideig (általában körülbelül 10-60 percet), ezért csak pihenjen, és várja meg, amíg a bejövő tranzakció megjelenik a személyes pénztárcájában. Felhívjuk figyelmét, hogy a kereskedelmi elszámoláshoz kapcsolódó hálózati tranzakciós díjak levonásra kerülnek a kereskedési összegből, ami azt jelenti, hogy valamivel kevesebbet kap, mint ami a kereskedési oldalon látható.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb8 => 'Ez az! Miután a kereskedelmi elszámolás befejeződött, és megkapta az érméit, a kereskedési oldalon a „Tranzakció részletei” szakasz kibontásával láthatja az elszámolás részleteit. Ne felejtsen el visszajelzést adni az eladóval kapcsolatos tapasztalatairól!';

  @override
  String guide250Sbnon8722Sbcustodial250Sbregister(Object appName) {
    return '<a target=\"_blank\" href=\"/signup\" class=\"next-link\">Regisztráljon egy fiókot</a> a következővel: $appName. Ha már van fiókja, ugorjon a következő lépésre.';
  }

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb1(Object appName) {
    return 'Helyezze be az érméket <a target=\"_blank\" href=\"/account/wallet\" class=\"next-link\">$appName választottbírósági kötvénytárcájába</a>. A $appName befizetési címét a „Fogadás” lapon láthatja.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2 => 'Lépjen az <a target=\"_blank\" href=\"/\" class=\"next-link\">főoldalra</a>, és a keresőmezőben válassza az \"Eladás\" lehetőséget. Tovább finomíthatja a találatokat, ha beírja a kívánt összeget, és módosítja a pénznemet, az országot vagy a fizetési módot (ha nem biztos abban, hogy melyik fizetési módot szeretné használni, válassza az \"Összes online ajánlat\" lehetőséget). Nyomja meg a \"Keresés\" gombot.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb1 => 'Egyes fizetési módok <a target=\"_blank\" href=\"/faq#high-risk-methods\" class=\"next-link\">magas kockázatúnak</a> minősülnek. A kriptovaluta tranzakciók teljesen visszafordíthatatlanok. Ha a vevő által teljesített fizetést visszavonják, akkor a kriptovaluta eladása után nem lesz lehetősége visszaszerezni. Éppen ezért azt javasoljuk, hogy alacsony kockázatú fizetési móddal adjon el olyan tapasztalt felhasználóknak, akik nagy mennyiségű korábbi kereskedéssel és jó hírnévvel rendelkeznek.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb2 => 'A hirdetések listájából válasszon egy olyan kereskedőt, aki sok kereskedéssel és jó hírnévvel rendelkezik (a felhasználónév melletti zárójelben látható). A zöld kör azt jelenti, hogy a kereskedő ma online volt; a sárga kör azt jelenti, hogy ezen a héten meglátogatták az oldalt; a szürke kör pedig azt jelenti, hogy a kereskedő már több mint egy hete nem járt itt. A hirdetéssel kapcsolatos további információk megtekintéséhez kattintson az \"Eladás\" gombra.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb257Sbagoradesk => 'Lépjen az <a target=\"_blank\" href=\"/\" class=\"next-link\">főoldalra</a>, és a bal oldali oszlopban válassza az \"Eladás\" lapot. Ezután válassza ki a kereskedni kívánt kriptovalutát úgy, hogy megnyomja a megfelelő fület a hirdetési táblázat feletti sorban. Ebben a példában a BTC-t választjuk. Tovább finomíthatja az eredményeket, ha beírja a kívánt összeget, és módosítja a pénznemet, az országot vagy a fizetési módot (ha nem biztos abban, hogy melyik fizetési módot szeretné használni, válassza az \"Összes online ajánlat\" lehetőséget). Nyomja meg a kék gombot a \"Keresés\" ikonnal.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb3(Object assetName) {
    return 'Az \"Eladás\" gomb megnyomása után több információ jelenik meg a hirdetésről, beleértve a kereskedési feltételeket is. A kereskedési kérelem benyújtása előtt olvassa el őket, ha nem ért egyet velük, akkor visszaléphet az előző oldalra és választhat másik hirdetést. Kereskedés indításához írja be, hogy mennyi $assetName-t szeretne eladni, és kattintson a \"Kereskedési kérelem küldése\" gombra. Még egyszer megjelenik a kereskedelmi feltételek, olvassa el még egyszer figyelmesen, és győződjön meg arról, hogy egyetért, majd nyomja meg az \"Elfogadom a feltételeket és kezdje meg a kereskedést\" gombot.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb4 => 'Megnyílik egy kereskedési oldal a böngészőjében. Kommunikáljon a vevővel a kereskedelmi chaten keresztül, és adja meg fizetési adatait.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb5 => 'Értesítést kap, amint a vevő teljesítette a fizetést. Győződjön meg arról, hogy megkapta a befizetést, és hogy az a megfelelő összeg. Miután ellenőrizte, hogy a befizetés 100%-ban helyes-e, nyomja meg a \"Véglegesítés\" gombot.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb6(Object appName) {
    return 'Ekkor a rendszer felkéri az aktuális $appName jelszavának megadására. Írja be, és nyomja meg a megerősítés gombot. Jelszavad megadásával egy elszámolási pénztárcát generálsz és aláírod a kriptovaluta tranzakciót, ezért ügyelj arra, hogy ne felejtsd el vagy veszítsd el a jelszót legalább addig, amíg az ügylet kiegyenlítésre nem kerül.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb7 => 'Látni fogja, hogy a kereskedelmi állapot „Feldolgozás alatt” lesz. Ezen a ponton nincs más teendője – az érmék automatikusan átkerülnek a vevő elszámolási pénztárca címére.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb8 => 'Ez az! A kereskedelmi elszámolás befejezése után a kereskedési oldalon a „Tranzakció részletei” szakasz kibontásával megtekintheti az elszámolás részleteit. Ne felejtsen el visszajelzést adni a vásárlóval kapcsolatos tapasztalatairól!';

  @override
  String guide250Sbsell250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Miután elküldte a kereskedési kérelmet, a vevő elkéri Öntől a fizetési adatait (pl. ha banki átutalással szeretne eladni, a vevő elkéri a bankszámla adatait). Miután a vásárló megkapta a fizetési információkat, kifizeti az $assetName-et, és visszaigazolja Önnek. Kérjük, győződjön meg arról, hogy a pénz megérkezett a számlájára, mielőtt lezárja az üzletet. SOHA ne zárja le a kereskedést, mielőtt megkapta a fizetést. Az $assetName-tranzakciók visszafordíthatatlanok, ha egyszer elküldi az $assetName-et a vevőnek, nincs mód a visszaszerzésére, még akkor sem, ha a vevő fizetése nem jelenik meg. Miután megerősítette, hogy a fizetés megtörtént, görgessen lefelé az oldalon, és válassza a „Véglegesítés” lehetőséget. Ezzel elküldi az $assetName-et a vevő elszámolótárcájába, és befejezi a kereskedést.';
  }

  @override
  String guide250Sbsell250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Az \'Eladás\' gomb megnyomása után további információkat láthat a hirdetésről, beleértve a kereskedési feltételeket is. A kereskedési kérelem benyújtása előtt olvassa el őket, ha nem ért egyet velük, akkor visszaléphet az előző oldalra és választhat másik hirdetést. A kereskedés elindításához írja be, hogy mennyi $assetName-t szeretne eladni, és kattintson a „Kereskedési kérelem küldése” gombra a kereskedés elindításához. Miután elindította a kereskedést, $assetName a pénztárcájából a választottbírósági kötvénybe kerül a kereskedés védelmére.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbthree8722Sbtext => 'A hirdetések listájából válasszon egyet egy jó hírnévponttal rendelkező és nagy mennyiségű kereskedéssel rendelkező kereskedő közül. A zöld kör azt jelenti, hogy a kereskedő ma online volt, a sárga kör azt jelenti, hogy ezen a héten meglátogatta az oldalt, a szürke kör pedig azt, hogy a kereskedő több mint egy hete nem járt itt. A hirdetéssel kapcsolatos további információk megtekintéséhez kattintson az „Eladás” gombra.';

  @override
  String guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object mainPage, Object assetName) {
    return 'Lépjen az $mainPage elemre, és a keresőmezőben válassza ki az „Eladás” lapot, töltse ki az űrlapot az Ön pénznemében eladni kívánt összeggel, tartózkodási helyével, és válasszon fizetési módot. Ha nem biztos benne, hogyan szeretne kifizetést kapni, válassza a „Minden online ajánlat” lehetőséget fizetési módként. A webhely felsorolja az Ön régiójában elérhető $assetName kereskedőket.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbmain8722Sbpage => 'Főoldal';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Egyes fizetési módok magas kockázatúnak minősülnek. A Monero tranzakciók teljesen visszafordíthatatlanok. Miután eladta Monero-ját, nem tudja visszaszerezni azokat, még akkor sem, ha a fizetést visszavonják. Éppen ezért azt javasoljuk, hogy alacsony kockázatú fizetési móddal adjon el olyan tapasztalt felhasználóknak, akik nagy mennyiségű korábbi kereskedéssel és 100%-os visszajelzéssel rendelkeznek.';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb157Sbagoradesk => 'Egyes fizetési módok magas kockázatúnak minősülnek. A kriptovaluta tranzakciók teljesen visszafordíthatatlanok. Miután eladtad kriptovalutád, nem tudod visszaszerezni, még akkor sem, ha a fizetést visszafordítják. Éppen ezért azt javasoljuk, hogy alacsony kockázatú fizetési móddal adjon el olyan tapasztalt felhasználóknak, akik nagy mennyiségű korábbi kereskedéssel és 100%-os visszajelzéssel rendelkeznek.';

  @override
  String get guide250Sbsell250Sbtitle => 'Hogyan adjuk el a Monero-t online';

  @override
  String get guide250Sbsell250Sbtitle57Sbagoradesk => 'Hogyan adjunk el kriptovalutát online';

  @override
  String get guide250Sbtelegram250Sbcard8722Sbtitle => 'Telegram mobil értesítések';

  @override
  String get guide250Sbtelegram250Sbconclusion => 'Gratulálunk! Most azonnal válaszolhat ügyfeleinek!';

  @override
  String guide250Sbtelegram250Sbdisable8722Sbtext(Object accountSettings) {
    return 'Ha szeretné letiltani a robotunk értesítéseit, lépjen vissza az „Értesítések” fülre az $accountSettings készüléken, és kattintson a piros „Telegram-értesítések letiltása” gombra.';
  }

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtext8722Sbaccount8722Sbsettings => 'fiók beállítások';

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtitle => 'Hogyan lehet letiltani az értesítéseket?';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb0(Object telegram, Object appName) {
    return 'Az $telegram lehetővé teszi az $appName értesítések fogadását (például új ügyletről, új fizetésről, ügylet lezárásáról vagy új chat-üzenetről szóló értesítéseket) távirati üzenetek formájában az értesítési robotunktól.';
  }

  @override
  String guide250Sbtelegram250Sbprologue8722Sb1(Object officialFaq) {
    return 'A Telegram egy mobil üzenetküldő alkalmazás. A Telegramról többet olvashat az $officialFaq-ben.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb18722Sbofficial8722Sbfaq => 'hivatalos GYIK';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb2(Object installed) {
    return 'A mobil értesítések aktiválásához Telegram $installed szükséges.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb28722Sbinstalled => 'telepítve a készülékére';

  @override
  String guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb0(Object pressThis, Object appName) {
    return '$pressThis vagy keressen rá az „$appName Notification Bot” kifejezésre a Telegram keresőmezőjében, és válassza az $appName Notification Bot lehetőséget.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb08722Sbpress8722Sbthis => 'Nyomj erre a linkre';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb1 => 'A chat ablak megnyitása után nyomja meg a „Start” gombot a képernyő alján, vagy küldje el kézzel a „/start” üzenetet (idézőjelek nélkül).';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb2 => 'A robotunk megadja a Telegram értesítési azonosítóját.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbthree8722Sbtext => 'Ez az! Most értesítéseket fog kapni a robotunktól.';

  @override
  String guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object accountSettings) {
    return 'Lépjen az $accountSettings eszközre, és válassza az „Értesítések” lapot.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbsettings => 'fiók beállítások';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Írja be a távirati értesítések azonosítóját a „Telegram Notifications” szakasz megfelelő mezőjébe.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Kattintson a mentés ikonra a távirati értesítési azonosító mentéséhez.';

  @override
  String get guide250Sbtelegram250Sbtitle => 'A Telegram mobil értesítéseinek bekapcsolása';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb0(Object appName, Object assetName, Object linebreak, Object localmoneroWallet, Object create, Object aSellmoneroad) {
    return 'Egy tipikus kereskedés az $appName-en így működik, a példa egy online eladási ügylet, ahol $assetName-t ad el egy vevőnek. A folyamat hasonló az $assetName online vásárlásakor, de ebben a példában az $assetName eladására összpontosítunk, mivel ez a kereskedés leggyakoribb típusa. $linebreak  Először be kell fizetned $assetName-et $localmoneroWallet-edre. $linebreak  Ezután $create $aSellmoneroad (úgynevezett online eladási hirdetés) kell. A hirdetés elkészítésekor kiválasztja a fizetési módot, beállítja az árat, a limiteket és szabad formátumú üzenetként írja meg az üzletkötési feltételeit. ';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sba8722Sbsell8722Sbmonero8722Sbad(Object assetName) {
    return 'egy eladási $assetName online hirdetés';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbcreate => 'teremt';

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbfund => 'alap';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName pénztárca';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb1(Object assetName, Object appName) {
    return 'Az $appName választottbírósági kötvénytárcájában kell lennie $assetName-nek, hogy az ügyfelek meg tudják nyitni a hirdetéseiből származó kereskedési kérelmeket. <br/><br/>Ha egy <strong>-vevő kereskedést nyit Önnel</strong>, $assetName a kereskedés teljes összegére automatikusan lefoglalásra kerül a pénztárcájából. Adja meg a vevőnek a fizetési utasításokat, és vezesse végig a vevőt a kereskedelem fizetésén. E-mail értesítést kap, ha valaki válaszol a hirdetésére. <br/><br/> Miután a vevő fizetett, és megnyomta az <strong> Fizettem gombot</strong>, e-mailben és a webhelyen értesítést kap arról, hogy a kereskedést kifizették. <br/><br/> Ha megerősítette, hogy megkapta a kifizetést, itt az ideje, hogy lezárja a kereskedést. Az ügylet véglegesítése és kiegyenlítése után a vevő XMR-t tartalmaz a pénztárcájában. <br/><br/> Az utolsó lépés, hogy <strong> visszajelzést</strong> hagyjon a vevőnek, és ösztönözze a vevőt, hogy tegye meg ugyanezt Ön helyett. A visszajelzések fontosak a hírnév megszerzéséhez és a további kereskedésekhez.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtitle => 'A kereskedési folyamat áttekintése';

  @override
  String guide250Sbtrade250Sbblock8722Sb28722Sbtext(Object assetName) {
    return 'Mielőtt elkezdené a kereskedést, mérlegelnie kell, milyen fizetési módokat fog biztosítani, és meg kell vizsgálnia a fizetési módot, hogy megismerje, hogyan működik. A kereskedés első megkezdésekor azt javasoljuk, hogy ne válasszon magas kockázatú fizetési módot. Egy adott banknál történő átutalás jó kezdő fizetési mód lehet, különösen akkor, ha kevés kereskedő aktív az Ön országában. <br/><br/> <strong>Mielőtt elkezdené a kereskedést</strong> <br/><br/> Mielőtt elkezdené a kereskedést, győződjön meg arról, hogy<strong> ismerkedjen meg a helyi jogszabályokkal </strong>, és hogy betartja-e a vonatkozó törvényeket, és rendelkezik-e a szükséges üzleti engedélyekkel ahhoz a joghatósághoz, amelyben kereskedik. <br/><br/> A jogszabályok országonként és attól függően, hogy magánszemélyként vagy vállalkozásként kereskednek, nagyon eltérőek. <br/><br/><strong>Kutassa meg a felajánlani kívánt fizetési módot</strong>. Olvassa el más kereskedők hirdetéseit ugyanazzal a fizetési móddal, és kössön velük kereskedéseket. A kereskedés megkezdése előtt próbálja meg azonosítani a lehetséges problémákat. <br/><br/><strong>Csak az $assetName kereskedéshez használja a fizetési számlákat.</strong> Egyes fizetési szolgáltatók ideiglenesen vagy véglegesen bezárják fiókját, ha csalással kapcsolatos, jogosulatlan kifizetéseket kap. A számlák használata csak az $assetName kereskedéshez védi személyes pénzügyeit.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb28722Sbtitle => 'Elkezdeni';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb0(Object advertisementCreationpage, Object linebreak, Object dashboard, Object requiredOptions, Object location, Object paymentMethod, Object currency, Object thisList) {
    return 'Az $advertisementCreationpage segítségével új hirdetéseket hozhat létre. $linebreak  Reklám létrehozásakor van néhány lehetőség, amelyek kötelezőek, és sok további lehetőség, amelyek nem kötelezőek, de ajánlott beállítani. Az extra opciók használatával hirdetését kereskedési stratégiájának megfelelően hangolhatja. $linebreak  Az összes hirdetést megtalálja, amelyet az $dashboard készülékről hozott létre. Az irányítópulton a nyitott kereskedéseit is megtalálja. $linebreak  $requiredOptions $linebreak  $location Adja meg az országot, ahol meg szeretné jeleníteni hirdetését. $linebreak  $paymentMethod Válassza ki a felajánlani kívánt fizetési módot a legördülő menüből. $linebreak  $currency Válassza ki, hogy melyik pénznemet szeretné értékesíteni. Például, ha Franciaországban értékesít, válassza az EUR-t. Az $thisList segítségével megtudhatja, mi a pénznem rövidítése.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbadvertisement8722Sbcreation8722Sbpage => 'hirdetés készítő oldal';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbcurrency => 'Valuta';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbdashboard => 'Irányítópult';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sblocation => 'Elhelyezkedés';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbpayment8722Sbmethod => 'Fizetési mód';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbrequired8722Sboptions => 'Szükséges opciók';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbthis8722Sblist => 'ezt a listát';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb1(Object assetName, Object assetSymbol, Object appName) {
    return '<strong> Piaci vagy fix ár </strong><br/> A hirdetés árazásához megadhat egy kívánt árrést az $assetName piaci ár felett. Ehhez a „Piaci ár” opció kiválasztása után adjon meg egy százalékot a margin mezőben. Megadhat egy rögzített árat is, amely addig nem változik, amíg manuálisan nem módosítja. Ehhez válassza ki a „Fix ár” opciót, és adja meg az ár értékét. <br/><br/> <strong> Min. / Max. tranzakciós korlát </strong><br/> A minimális tranzakciós limit határozza meg azt a legkisebb összeget, amelyet valaki megvásárolhat. Ha ötre állítja, és a pénznemet euróra állítja, az azt jelenti, hogy a legkisebb kereskedési összeg, amelyre valaki kereskedést nyithat Önnel, 5 euró lesz. A maximális tranzakciós korlát határozza meg, hogy mekkora a legnagyobb elfogadni kívánt kereskedési összeg. <br/><br/> <strong> Kereskedelmi feltételek </strong><br/> Ezt a szöveget látja a vevő, mielőtt üzletet nyitna Önnel. Célszerű útmutatást írni a vevőnek arról, hogyan szeretné folytatni a kereskedést, és van-e konkrét utasítása. Ha például azt kéri, hogy a vevő nyújtson be egy nyugtát a fizetés igazolásaként, mielőtt lezárja a kereskedést, vagy ha a vevőtől azonosítót kell megadnia, akkor ezt itt kell megemlíteni. Megnézheti más kereskedők hirdetéseit a használni kívánt fizetési móddal kapcsolatban, hogy képet kapjon arról, mit tartalmaznak a jó kereskedelmi feltételek. <br/><br/> <strong> Extra opciók </strong><br/><br/> <strong> Limit összegek </strong><br/> Korlátozhatja a hirdetést, hogy csak meghatározott összegű kereskedéseket tudjon nyitni. Ha a mezőbe 20,30,60-at ír be, egy potenciális kereskedelmi partner csak 20, 30 vagy 60 eurós kereskedést nyithat. <br/><br/> <strong> Fizetési adatok </strong><br/> Adja meg itt a vevő fizetési módjára vonatkozó konkrét információkat, ez lehet bankszámlaszáma vagy e-mail címe (pl. PayPal esetén). <br/><br/> <strong> Szükséges minimális visszajelzési pontszám </strong><br/> A visszacsatolási minimum lehetővé teszi, hogy beállítsa azt a minimális visszajelzési pontszámot, amely szükséges ahhoz, hogy kereskedést nyithasson a hirdetése segítségével. <br/><br/> <strong> Első időkorlát ($assetSymbol) </strong><br/> Ez egy speciális maximális tranzakciós korlát az új felhasználók számára. Ha egy olyan vevő, akinek nincs korábbi kereskedési múltja Önnel, kereskedést akar nyitni Önnel, ez a legnagyobb összeg, amelyre kereskedést nyithat. <br/><br/> <strong> Fizetési ablak </strong><br/> Az az idő, ameddig a vevőnek teljesítenie kell a fizetést, mielőtt az eladó törölheti a kereskedést. <br/><br/> <strong> Maximális likviditási összeg követése </strong><br/> A likviditás nyomon követésének engedélyezése csökkenti a hirdetés maximális korlátját a nyitott kereskedésekben jelenleg visszatartott összeggel. <br/><br/> <strong> Gyors tippek a csalók azonosításához </strong> <br/><br/><strong>A csaló vásárlók gyakran sietnek.</strong> Minél többet kér az ügyfél, hogy siessen/rohanjon, annál gyanúsabb. az kell, hogy legyen, az igazi ügyfelek mindig türelmesek. <br/><br/>A csaló vevők gyakran <strong> javasolják, hogy a tranzakció egészét vagy egy részét a választottbírósági kötvényvédelmi rendszeren </strong> kívül hajtsák végre, majd nem hajtják végre a tranzakció rá eső részét. <br/><br/> Legyen óvatos a <strong> photoshopolt fizetési bizonyítékokkal</strong>, ne zárja le a kereskedést, amíg meg nem erősítette, hogy megkapta a pénzt. Nem köteles az ügyletet lezárni mindaddig, amíg nem tudja ellenőrizni, hogy megkapta-e a vevő fizetését. <br/><br/><strong>Ne nyisson meg semmilyen hivatkozást, amelyet kereskedelmi partnere küldött Önnek</strong>. Ha szükséges, használjon más böngészőt, mint amit használ. <br/><br/>Ne látogassa meg a $appName kivételével más webhelyeket a kereskedéshez használt böngészővel. <strong>Használjon másik böngészőt más webhelyekhez.</strong> <br/><br/> Vegye fel az $appName könyvjelzőt a böngészőjében, és mindig használja a könyvjelzőt, amikor meglátogatja a webhelyet. Ez segít elkerülni az adathalász webhelyek véletlen felkeresését, léteznek és nagyon meggyőzőek lehetnek.';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb2(Object contactSupport) {
    return 'Ha bizonytalan egy felhasználóval kapcsolatban, bármikor segítségért fordulhat az $contactSupport-hez.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb28722Sbcontact8722Sbsupport => 'lépjen kapcsolatba a támogatással';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtitle => 'Reklám felállítása';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb0(Object termsOfservice) {
    return 'Kérjük, olvassa el $termsOfservice-ünket.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'szolgáltatási feltételek';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb1(Object appName, Object assetName) {
    return 'Az <br/><br/>$appName támogatás a vitákat a kereskedelmi résztvevők által szolgáltatott bizonyítékok és hírnevük alapján kezeli. <br/><br/>A viták a fizetés befejezettnek megjelölése után indíthatók. <br/><br/>A kereskedés véglegesítése után a kereskedést az $appName befejezettnek tekinti, és nem vitatott. <br/><br/> Ha egy $assetName eladó nem válaszol, az $appName lezárja a kereskedést, ha a vevő érvényes fizetési igazolást tud bemutatni. <br/><br/>Ha a vevő a kereskedés megkezdése után nem válaszol, a választottbírósági kötvényt az $appName támogatás visszaküldi az eladónak.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtitle => 'Viták';

  @override
  String guide250Sbtrade250Sbhappy8722Sbtrading(Object appName) {
    return 'Jó kereskedést kíván az $appName!';
  }

  @override
  String get guide250Sbtrade250Sbtitle => 'Bevezetés a Monero kereskedésbe';

  @override
  String get guide250Sbtrade250Sbtitle57Sbagoradesk => 'Bevezetés a kriptovalutákkal való kereskedésbe';

  @override
  String get guide250Sbxmr250Sbcard8722Sbfour250Sbtitle => '4. A névtelenség megőrzésének fejlett technikái a Monero vásárlásának ezen módszerével';

  @override
  String get guide250Sbxmr250Sbcard8722Sbthree250Sbtitle => '3. Monero vásárlás névtelenül, készpénzzel';

  @override
  String get guide250Sbxmr250Sbtitle => 'Hogyan vásárolhat Monero névtelenül';

  @override
  String get guides250Sbread8722Sbmore => 'További irodalom';

  @override
  String get home250Sbgreeting250Sbanywhere => 'Bárhol.';

  @override
  String home250Sbgreeting250Sbbuy8722Sbmonero(Object assetName) {
    return 'Vásároljon $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbcash8722Sbor8722Sbonline => 'Készpénzben vagy online.';

  @override
  String home250Sbgreeting250Sbsell8722Sbmonero(Object assetName) {
    return 'Eladom $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbsignup8722Sbbtn => 'Regisztrálj ingyen';

  @override
  String get home250Sbnewsfeed250Sbtitle => 'Legfrissebb hírek';

  @override
  String get homepage8722Sblocation250Sbchange8722Sbbtn => 'változás';

  @override
  String get homepage8722Sblocation250Sbreset8722Sbbtn => 'Visszaállítás';

  @override
  String get homepage8722Sblocation250Sbsave8722Sbbtn => 'Megment';

  @override
  String homepage8722Sblocation250Sbtitle(Object location) {
    return 'Hirdetések megjelenítése $location';
  }

  @override
  String get homepage250Sbagora250Sbcoin8722Sbtrading8722Sbtitle => 'Kereskedjen Bitcoinokkal';

  @override
  String homepage250Sbno8722Sbresults8722Sb0(Object asset, Object country) {
    return 'Még nincsenek aktív $asset hirdetések a $country-ben...';
  }

  @override
  String homepage250Sbno8722Sbresults8722Sb1(Object post_an_ad) {
    return 'Ön lehet az első $post_an_ad a következő kategóriákban:';
  }

  @override
  String get homepage250Sbno8722Sbresults8722Sb18722Sbpost8722Sban8722Sbad => 'feladni egy hirdetést';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb0 => 'Ha látja a tranzakciót a blokkböngészőben, az azt jelenti, hogy a tranzakció sikeresen el lett küldve. Ha nem látja a fogadó oldalon, akkor a probléma az Ön oldalán van. Valószínűleg a szinkronizálással van probléma, vagy elavult pénztárcaszoftvert használ.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb1 => 'Próbálja ki az alábbi javaslatokat a szinkronizálás feloldásához:';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb2 => 'Alternatív megoldásként próbáljon meg egy másik Wallet alkalmazást vagy másik internetkapcsolatot használni.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtitle => 'Miért nem látom az XMR-t a tárcámban?';

  @override
  String get keywords => 'monero xmr készpénz hitelkártya vásárlás usd euró font helyi banki átutalás névtelen eladás kriptovaluta';

  @override
  String get keywords57Sbagoradesk => 'bitcoin vásárlás btc monero xmr készpénz hitelkártya usd euró font helyi banki átutalás névtelen eladás kriptovaluta';

  @override
  String get knowledge250Sbatomic250Sb0250Sbtext => '<p>A decentralizációra és egy valóban engedély nélküli rendszerre törekedve kevés dolog annyira vágyott a kriptovaluták terén, mint a decentralizált tőzsdék és az atomcsere. Megalakulása óta a Monero küzdött az atomcserék megvalósításával, mivel az adatvédelmi funkciók egyedi problémákat okoznak a protokoll megtervezésekor.</p>\n\n<p> Először azonban menjünk vissza. Mik azok az atomcserék? Az atomswap egy olyan protokoll, amellyel két különböző kriptovaluta különböző blokkláncokon megbízható módon, közvetítő nélkül cserélhető. Ez azt jelenti, hogy ha valaki A kriptovalutát szeretne B kriptovalutára cserélni, azt központilag vagy decentralizáltan csere nélkül is megteheti. Elképzelhető, hogy ez jelentős kutatást igényel, és az ezt lehetővé tevő teljes műszaki részlet meglehetősen bonyolulttá válik. A LocalMonero ismét itt van, hogy segítsen és egyszerű magyarázatot adjon a hétköznapi emberek számára.</p>\n\n<p> Kezdésként nézzük meg az atomcsere legegyszerűbb formáját, amelyet a Bitcoin valósít meg. Ha valaki Bitcoint szeretne becserélni egy másik érmére, amely ugyanazt a hash time lock contract technológiát használja, azt a következő módon teheti meg. Alice-nek van Bitcoinja (BTC), de Litecoint (LTC) szeretne, Bobnak pedig LTC-t, de BTC-t akar. Úgy döntenek, hogy atomcserét hajtanak végre, így mindegyik megkapja a kívánt érmét. Alice elküldi a BTC-jét egy speciális címre, olyan szkripteket használva, amelyek zárolják az alapokat, így még ő sem férhet hozzá. Úgy képzelheted el, mintha Alice egy zárszekrénybe tenné a BTC-jét. Amikor a zárdoboz elkészül, kap egy kulcsot, és elküldi ennek a kulcsnak a kivonatát Bobnak. Bobnak most nincs meg a kulcsa, csak a hash, így még nem férhet hozzá az alapokhoz.</p>\n\n<p>Bob ezt a hash-t magként használja, amiből saját zárdobozt állít elő, és oda küldi az LTC-jét, ahol szintén zárolva van. Mivel Alice kulcsának kivonatát használták magként, amellyel Bob zárdoboza készült, a kulcsával megszerezheti az LTC-t Bob zárdobozában. A kulcsa illik hozzá! De a matematikai voodoo varázslat segítségével, amikor a kulcsával kinyitja az LTC zárat, felfedi a kulcsot Bobnak, aki aztán felhasználhatja a BTC-t, amelyet a zárszekrényébe helyezett. Ily módon, közvetítő nélkül, Alice és Bob sikeresen kicserélték eszközeiket.</p>\n\n<p> De van egy kis probléma. Mi van, ha Alice beküldi a zárat, és Bob úgy dönt, hogy nem akar többet kereskedni. Most, mivel Alice nem fér hozzá a BTC-hez, amelyet elzárt, és Bob nem fogja befejezni a tranzakció rá eső részét, Alice örökre elveszíti a pénzét. Nos, szerencsére a Bitcoinnak van egy kis technológiája, az úgynevezett visszatérítési tranzakciók, és így egy idő után, ha a BTC-t Bob nem követeli, a szkriptek beépített hibabiztosítóval rendelkeznek, ahol a BTC automatikusan visszakerül Alice-hez. Ez volt a Monero atomcsere-megvalósításának elsődleges gyorsulása. A Monero <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">gyűrűs aláírások adatvédelmi technológiája</a> miatt a tranzakció feladója mindig bizonytalan. Hogyan tud a protokoll visszatérítési tranzakciót végrehajtani, ha még azt sem tudja, honnan származik a tranzakció?</p>\n\n<p> 2017-ben a kutatók egy kis csoportja felvázolt egy másik módszert, amellyel az atomcserék működnének Moneróban. Több éves finomítás után a kutatók véglegesítették azt a folyamatot, amellyel Monero akár visszatérítési tranzakciók nélkül is képes atomcserét kötni Bitcoinnal.</p>\n\n<p>Mint sok ilyen technikai bonyolultságú dolog esetében, magyarázatunk túlságosan leegyszerűsít néhány dolgot az ötlet közvetítése érdekében, de továbbra is szilárd képet ad arról, hogy ez a folyamat milyen mechanizmusok révén működne.</p>\n\n<p>Alice-nek (akinek XMR-je van és BTC-t akar) és Bobnak (akinek van BTC-je és XMR-t akar) le kell töltenie és le kell futtatnia egy programot, amely támogatja az atomcserét. Ez megvalósítható pénztárcákban, decentralizált központokban vagy speciális, specifikus programokban, de a szoftvernek futnia kell az atomcsere protokollt. Az első lépésben Alice és Bob ügyfelei csatlakoznak egymáshoz, és több közös titkot és kulcsot készítenek. Ebben a lépésben létrejön egy új Monero-cím, ahol Alice-nek a kulcs egyik fele, Bobnak a másiké. De Monero még nincs bent, így nincs mit költeni. Még egy utolsó dolog, amit meg kell jegyezni ezzel a címmel kapcsolatban, hogy mindkettőjüknél van a pénztárca nézet kulcsa, így mindketten bekukucskálhatnak, hogy meglássák, megérkezik-e Monero, vagy mikor érkezik.</p>\n\n<p>A második lépésben Bob elküldi a BTC-jét egy speciális címre, hasonlóan a Bitcoin atomcsere protokollhoz, amelyet már tárgyaltunk. Miután Alice látja, hogy a BTC megérkezik erre a címre a blokkláncon, elküldi Moneróját arra a Monero-címre, amelyre neki és Bobnak is van egy fél kulcsa. Bob ellenőrizheti, hogy a Monero megérkezett, mivel nála van a nézet kulcsa is, és miután látja, hogy a Monero biztonságban van a tárcában, elküldi Alice-nek egy kulcsdarabot, amely lehetővé teszi a Bitcoin kivonását. A másik protokollhoz hasonlóan a Bitcoin igénylésének folyamata felfedi Bob előtt a Monero-kulcs felét. Most Bobnak mindkét fele megvan, így ő igényelheti a Monerót, míg Alice-nek csak a fele, így nem próbálhatja meg elvenni előtte.</p>\n\n<p> Tehát, ha mindezt végignézte, és még mindig egy kicsit zavarban van azzal kapcsolatban, hogy Monero hogyan tudta megkerülni a visszatérítési tranzakciók problémáját, a válasz meglehetősen egyszerű. Mivel magának a Monero-nak nincsenek visszatérítési tranzakciói, az olvasónak észre kell vennie, hogy először a Bitcoint küldik el (amelynek vannak visszatérítési tranzakciói), és csak azután küldik el a Monero-t, hogy a blokkláncban van-e. Ez lehetővé teszi a Monero számára, hogy kihasználja a Bitcoin azon képességét, hogy szkripteket írjon le a visszatérítési tranzakciókban, és kihasználja azokat anélkül, hogy magának kellene rendelkeznie ezekkel a képességekkel.</p>\n\n<p>Az atomcsere befejeződött, de innentől Bobnak van néhány lehetősége az újonnan igényelt XMR-hez. Használhatja ezt a Monero pénztárcát úgy, ahogy van, vagy áthelyezheti az XMR-t egy másik pénztárcába, amelyet már birtokol. Bob nagy valószínűséggel átteszi a Monerót egy másik pénztárcába, mert Alice-nél még mindig megvan a nézet kulcsa, és belelát.</p>\n\n<p>A protokoll szépsége abban rejlik, hogy még mindig egészen új, és bőven van lehetőség az optimalizálásra. Az architektúrája is meglehetősen rugalmas, így más pénztárcákban vagy decentralizált központokban való megvalósításnak egyszerűnek kell lennie, és tisztán illeszkednie kell a meglévő architektúrájához.</p>';

  @override
  String get knowledge250Sbatomic250Sbdescription => 'Kevés dolog annyira vágyott a kriptográfiai térben, mint az atomcsere. A közelmúltban a kutatók véglegesítették azt a módot, amellyel az XMR képes lenne atomcserét végrehajtani a BTC-vel.';

  @override
  String get knowledge250Sbatomic250Sbtitle => 'Hogyan működnek az atomswapok Moneróban';

  @override
  String get knowledge250Sbblocks250Sb0250Sbtext => '<p><i><b>Megjegyzés:</b> Erősen javasoljuk, hogy az olvasó olvassa el az <a target=\"_blank\" href=\"/knowledge/monero-tail-emission\" class=\"next-link\"> „Miért van Monero farokkibocsátása” </a> és <a target=\"_blank\" href=\"/knowledge/monero-mining-randomx\" class=\"next-link\"> „Monero Mining: What Makes RandomX” című cikkeinket. so Special”</a>. Ez a cikk az ott bemutatott koncepciókra épül.</i></p>\n\n<p> Amikor az egyének megvitatják a blokklánccal kapcsolatos problémákat, az egyik első felbukkanó szó a „skálázás” lesz. Nem titok, hogy a blokkláncok nem skálázódnak jól, de a legtöbb ember nem tudja, miért.</p>\n\n<p> Az igazság az, hogy a méretezés valójában egy gyűjtőfogalom, amely két különböző kategóriát takar: protokolltámogatás és technológiai támogatás egy adott időpontban. Ebben a cikkben egy dologra összpontosítjuk figyelmünket, a protokolltámogatás alapvetően annak mértéke, hogy a protokoll hány tranzakciót tud kezelni egy adott időpontban.</p>\n\n<p> A bitcoin blokkméret-korlátozással rendelkezik, ami azt jelenti, hogy amint elegendő tranzakciót tartalmaz egy blokk, minden további tranzakciónak sorban kell állnia a következő blokkhoz. Hasznos hasonlat lenne egy vonatra gondolni. Egy vonat megáll az állomásra, és a sorban állók jelentkeznek be. Ha a vonat megtelik, annak, aki kint marad, várnia kell a következőre.</p>\n\n<p> A Bitcoin díjakat használ annak meghatározására, hogy ki kerül be a blokkba vagy sem. Visszaugorva a vonat hasonlatához, elképzelhető, hogy egy potenciális utas, aki éppen lemarad, öt dollárt kínál a vonatmérnöknek, hogy helyet adjon neki. Más utasok követik a példát, és végül licitharc indul, hogy ki melyik ülést kapja. A sofőrnek kell eldöntenie, hogy betartja-e az érkezési sorrendben érvényben lévő politikát, de az ő legjobb anyagi érdeke, hogy maximalizálja bevételét azáltal, hogy a legmagasabb ajánlatot tevőket veszi fel a fedélzetre.</p>\n\n<p>Ebben a hasonlatban a bányászok a mozdonyvezetők. Bármilyen tranzakciót beépíthetnek a blokkba, de általában azokat választják, amelyeknek a legmagasabb a fizetett díja.</p>\n\n<p> Alternatív megoldásként, ha a blokkok nincsenek túl tele, az embereket nem ösztönzik arra, hogy magas díjat fizessenek, mert rengeteg szabad hely van a szabad helyeken.</p>\n\n<p>A 2017-es kriptovaluta-boom csúcsán a Bitcoint elárasztották a tranzakciók, és a díjak az egekbe szöktek azoknak, akik a következő blokkba, vagy bármely közeljövőbeli blokkba akartak bekerülni. Azok, akik nem voltak hajlandók magas díjat fizetni, azt tapasztalták, hogy tranzakcióik órákkal, napokkal kitolódnak, vagy akár teljesen ki is estek a sorból.</p>\n\n<p> Ez egy megrázó betekintés volt abba, hogy hogyan járna a Bitcoin, ha megtörténne a gyakran emlegetett „tömeges örökbefogadás”. Ha a Bitcoint tömegek használnák, a dolgok még rosszabbak lennének, mint 2017-ben, és a Bitcoinhoz a gazdagokon kívül senki sem férne hozzá, egyszerűen azért, mert a fix blokkméret miatt kicsi az áteresztőképesség, ami miatt a díjpiac átveszi az uralmat. .</p>\n\n<p>Monero előre látta ezt, és valami mást akart csinálni. Így a Monero fejlesztői dinamikus blokkméretet valósítottak meg.</p>\n\n<p>A Moneronak alapvetően blokkméretű kupakja is van, de ez egy puha sapka. Ha a várakozó tranzakciók sora túl hosszúra nyúlik, a bányászok növelhetik a blokkok méretét. Vonathasonlatunkkal elképzelhető, hogy több vasúti kocsit adunk hozzá, hogy elférjenek az extra utasok. Miután a sor kiürült, a blokkok visszazsugorodnak eredeti méretükre a továbbiakban.</p>\n\n<p>Ha ez jó ötletnek tűnik, ésszerűnek tűnik feltenni a kérdést, hogy miért a Monero az egyetlen kriptovaluta, amely ezt megvalósította. Miért nem adja hozzá a Bitcoinhoz, hogy véget vessen az átviteli problémáknak?</p>\n\n<p>Sajnos ez nem lehetséges. Ennek több oka is van, és mindent megteszünk, hogy elmagyarázzuk.</p>\n\n<p> A bányásznak mindig az az érdeke, hogy nagy blokkokkal rendelkezzen. A nagy blokkokkal több tranzakcióba férnek bele, és több pénzt kereshetnek a díjakból, valamint a blokkjutalomból. Ez spamtámadásokhoz vezethet, ahol valaki sok kis tranzakciót küld kis díjakkal, hogy felduzzadjon a lánc. A Miner\'s csak növelné a blokk méretét, mert a pénz az pénz, bármilyen kicsi is. Ez következetesen nagy blokkokhoz vezetne, csekély gazdasági haszonnal. A Bitcoin ezt úgy oldja meg, hogy mesterségesen korlátozza a blokk méretét, ezáltal díjpiacot generál. A spam támadóknak ki kellene fizetniük a többi felhasználót, és ez már nem olcsó. Ez azonban azt jelenti, hogy a blokkok megtelnek, és néhány tranzakció várakozik, ahogy fentebb említettük.</p>\n\n<p> Szóval hogyan lehet a Monero dinamikus blokkmérettel, de hogyan kerülheti el a spam támadásokat? A válasz egyszerű, de okos. A blokkjutalomra büntetés kerül bevezetésre, ha egy blokk nagyobb a normálnál. Ha egy bányász növelni akarja a blokk méretét, akkor a jutalom, amit a blokk megtalálásából kap, kevesebb lesz, mint amit egyébként kapna. Így csak akkor növelik a blokkméretet, ha a felhasználók fizetett tranzakciós díjai meghaladják a blokk jutalom elvesztését. Például, ha a bányász 0,5 XMR-t veszít a blokk jutalom emelésével, és a kifizetett tranzakciós díjak összege 0,4 XMR lenne, akkor 0,1 XMR nettó veszteség lenne, ha növelnék a méretet, tehát ne csináld. Ezzel szemben, ha az összes tranzakciós díj összege 0,7 XMR, akkor 0,2 XMR nettó nyereség lenne, még akkor is, ha elveszítik a 0,5 XMR-t a blokk jutalombüntetésből, így a bányász megnöveli a méretet.</p>\n\n<p>Ezek a dinamikus blokkok lehetővé teszik a hálózat szerves növekedését anélkül, hogy mesterségesen korlátoznák a blokkméretet, így kényszerdíjas piacot hoznának létre, miközben elkerülik a spam támadásokat. Számos további szemszögből szemlélhetjük ezt az ötletet, és több ok is van arra, hogy miért ne lehetne hozzáadni a Bitcoinhoz, de egyelőre reméljük, hogy az olvasó megérti, hogyan kerüli meg Monero a Bitcoin számos problémáját. származékairól, és arról, hogy miként tervezi az átviteli teljesítményét a jövőben bővíteni.</p>';

  @override
  String get knowledge250Sbblocks250Sbdescription => 'Amikor az egyének megvitatják a blokklánccal kapcsolatos problémákat, az egyik első felbukkanó szó a „skálázás” lesz. Monero kiemeli magát a probléma megoldásában.';

  @override
  String get knowledge250Sbblocks250Sbtitle => 'Hogyan oldotta meg Monero a Bitcoint sújtó blokkméret-problémát?';

  @override
  String get knowledge250Sbbtc250Sb0250Sbtext => '<p> A Monero egy kriptovaluta, amely mindenekelőtt a magánélet védelmét értékeli, de amit a legtöbb ember nem ért, az az, hogy a használatával biztosított adatvédelem bizonyos helyzetekben nem golyóálló és nem abszolút. Tévedés ne essék, a Monero nagyjából annyira magánjellegű, mint a bizalmatlan világban, de van néhány szempont, amelyet a felhasználóknak figyelembe kell venniük, hogy magánéletük erős maradjon.</p>\n\n<p> Ugyanez igaz az élet más területeire is. Példaként említhető, hogy távol maradhat minden közösségi médiától, hogy megőrizze az élete titkosságát, de ha állandóan olyan barátaival vagy, akik szelfit készítenek rajtuk, mondd azt, hogy veled vannak a feliratban, és jelöld meg helyét, erőfeszítéseinek nagy része hiábavaló lehet. A közösségimédia-konszern még mindig profilt építhet rólad, annak ellenére, hogy te személyesen nem vagy a platformjukon.</p>\n\n<p> Az egyik gyakran emlegetett helyzet, amikor az emberek nem veszik figyelembe az összes következményt és a potenciálisan kiszivárgott metaadatokat, a Bitcoin Monero-val való kereskedésének kérdése. A közösségben általánosan elterjedt az a vélemény, hogy a Monero bitcoinnal történő megvásárlása teljes megtisztulást jelent, és a felhasználó megtartja az összes adatvédelmi előnyt, miután bekerült a Moneróba, annak ellenére, hogy egy átlátható láncból származik.</p>\n\n<p>Hasonló módon, egyesek szerint a Monero nem KYC és KYC forrásokból való beszerzése ugyanolyan privát. A gondolkodás szerint ez hasonló ahhoz, mintha egy bankban kapnánk készpénzt. Ebben a forgatókönyvben a bank maga ismeri az arcát és nevét, és tudja, hogy összességében mennyi van a számláján, és mennyi készpénzt vett fel, de nem tudja, hogy utána mit csinál a készpénzzel. A Monero adatvédelmi garanciáival ennek így kell lennie, ha Monero-t KYC/AML forrásból szerezzük be, igaz?</p>\n\n<p> Nos, nem egészen.</p>\n\n<p>Először is tegyünk egy gyors lépést hátra, és határozzuk meg, mit értünk KYC/AML alatt. Ez a mozaikszó a Know Your Customer (KYC) / Pénzmosás elleni (AML) törvények rövidítése, amelyek előírják a tőzsdéknek és a vállalkozásoknak, hogy gyűjtsenek azonosító adatokat ügyfeleikről. Minél nagyobb az átváltott pénzösszeg, annál több információra van szükség. Ahogy a név is sugallja, mindezt az emberek pénzmosásának kockázatának minimalizálása érdekében teszik.</p>\n\n<p>Vissza a Monero-hoz. Az biztos, hogy KYC-forrásból a Moneroba mozgatni a pénzt csillagászati szempontból jobb az adatvédelem szempontjából, mintha KYC-forrást használna valami, például BTC vagy bármilyen más átlátszó érme vásárlására, de még mindig meg kell fontolni, hogy mi derül ki, és mi az. A feltárt információk az Ön magánéletét és biztonságát jelenthetik.</p>\n\n<p>Még a készpénz és banki forgatókönyv mellett is, ha nagy összeget vesz fel a bankból, mivel a bank ismeri az adatait (beleértve a lakcímét is), a pénztáros láthatja, hogy mennyi van a számláján, és potenciálisan aljasságot csinálhat. vagyonától függő terveket. Ez ritka, és mivel a pénz a bankban van, nem pedig az Ön házában, ebben a forgatókönyvben viszonylag csekély az, amit el tudnak érni. Ugyanez nem igaz a Monero-ra, amelyet nem harmadik fél biztosít, hanem Ön. Nem mindig könnyű saját banknak lenni.</p>\n\n<p> Hasonlóképpen, a BTC-ről az XMR-re való áttérés, függetlenül attól, hogy hogyan történik, nyomokat hagy a Bitcoin blokkláncán. Noha ez valóban kevésbé káros, mint a BTC-től a BTC-hez költözni, mivel a csere másik oldalán Monero kötelező magánélete van, figyelembe kell venni a nyomhagyás következményeit. Ezek a nyomok még nagyobb hatást fejtenek ki, ha a folyamatban bárhol részt vesz a KYC.</p>\n\n<p> Képzelj el egy olyan forgatókönyvet, amelyben piszkos Bitcoinokat kaptak egy áruért vagy szolgáltatásért, ami csak a Bitcoin radikális átláthatósága miatt lehetséges. Nem tudod, hogy ezek a Bitcoinok piszkosak, mivel nincs meg a technológiája az egyes Bitcoinok ellenőrzéséhez, így Ön, mint kriptoértő ember, nem elégedett ezzel a ténnyel, és nincs pénze hogy fizessen egy láncelemző cégnek, hogy ellenőrizze Önt. Tehát úgy dönt, hogy a biztonság kedvéért Moneróra cserél.</p>\n\n<p>Befizeti a Bitcoinját egy tőzsdére, majd kicseréli Monero-ra, amit aztán kihúz a helyi pénztárcájába. Ez a forgatókönyv már egy kicsit húzós, mert a csere megjelölheti a piszkos bitcoinjait, és lezárhatja a számláját, és lehet, hogy visszakaphatja vagy sem, de a példa kedvéért feltételezzük, hogy hagyják csere történik.</p>\n\n<p> Ezen a ponton, ha a kormány érdeklődni kezd ezeknek a Bitcoinoknak a nyomában, követni fogják őket a tőzsdére, beidézik a KYC-információkat a betétesről, meglátják, hogy Moneróra cserélték (gyanús), és kopogtatnak. az ajtódon.</p>\n\n<p>Kérjük, értse meg, ez nem azt jelenti, hogy kerülnie kell a Bitcoin Monero-ra cseréjét, nehogy gyanúsnak tűnjön. Már akkor is gyanús voltál, mert elfogadtad a piszkos Bitcoint, és ha nem cserélnél, akkor is blokklánc-elemzést használnának, és még mindig kopogtatnának. Ez a példa inkább csak rávilágít arra, hogy az átlátszó érmék használata jelentős kockázattal jár, és egy privát, helyettesíthető érmére, mint például a Monero, nem törli az átlátszó blokkláncban maradt lábnyomokat.</p>\n\n<p>A saját magánélete iránt érdeklődő egyén számára az átlátszó blokkláncok használatát minimálisra kell csökkenteni, és rendkívül óvatosan kell eljárni. A KYC-t lehetőleg kerülni kell, mivel ezek a metaadatok továbbra is felhasználhatók ügyek felépítésére és kérdések feltevésére, és ne adj isten, hogy ezek a KYC-információk (a kereskedelmi információk mellett) inkompetencia miatt kiszivárogjanak a tőzsdékből. Még ha csak Monero-t vásárolta meg és vonná ki a tőzsdéből, ez a kiszivárgott információ továbbra is felfedi, hogy mennyi Monero-ja volt, és hol tartózkodik. Minden olyan információ, amelyben mindannyian egyetértünk, senki sem akarna egyszerűen a kibertérben lebegni.</p>\n\n<p>Összefoglalva, bár a Monero használata valóban sok-sok támadást kiküszöböl, és alapértelmezés szerint minimálisra csökkenti a metaadat-szivárgást, a felhasználó maga sok mindent megtehet saját magánéletének végső megsemmisítése érdekében. Az egyik legkevésbé figyelembe vett következménye annak, ha egy átlátszósági láncot használunk a Monero felé vezető útként, vagy egy KYC-forrást a beszerzéshez, nem beszélve arról, ha mindkettőt egyszerre használjuk.</p>\n\n<p>Ez a cikk nem a félelemkeltést szolgálja, hanem inkább arra ösztönzi a felhasználókat, hogy kritikusan gondolják át döntéseiket, és emlékeztesse őket arra, hogy bizonyos körülmények között még a legjobb adatvédelem is törékeny lehet. A felhasználóknak ébernek kell lenniük, hogy megvédjék saját adataikat azáltal, hogy okosan döntenek arról, hogy mit, hol és kitől vásároljanak.</p>';

  @override
  String get knowledge250Sbbtc250Sbdescription => 'Sokan úgy vélik, hogy az XMR BTC-vel való megvásárlása teljes tisztításnak számít, és a felhasználó megőrzi a magánéletét annak ellenére, hogy egy átlátható láncból származik. De ez így van?';

  @override
  String get knowledge250Sbbtc250Sbtitle => 'A Bitcoin Moneróra konvertálása ugyanolyan privát, mint a Monero közvetlen vásárlása?';

  @override
  String get knowledge250Sbclsag250Sb0250Sbtext => '<p>Protokollként a Monero jelenleg folyamatos innovációs állapotban van. Mind a láncon belüli, mind a láncon kívüli megoldások kutatását felhasználva a Monero közösség olyan területeket keres, ahol javítani kell, hogy a Monero privátabbá, skálázhatóbbá és mindenki számára elérhetőbbé váljon. Az egyik újabb innováció az összekapcsolható gyűrűs aláírási séma, az MLSAG lecserélése egy beugró CLSAG-ra, ami a Concise Linkable Spontneous Anonymous Group rövidítése.</p>\n\n<p>Felületi szinten a CLSAG megvalósítása 25%-kal csökkenti a leggyakoribb 2 bemeneti, 2 kimeneti tranzakciókat. Az ellenőrzési idő is 10%-kal csökken.</p>\n\n<p> De mi is az a CLSAG? Mit csinál, és miben különbözik a régi verziótól, az MLSAG-tól? Szánjunk egy percet arra, hogy emlékeztessük magunkat a gyűrűs aláírások miértjére és mikéntjére, hogy jobban megértsük ezt a fogalmat. A gyűrűs aláírások lehetővé teszik a nem interaktív, megkülönböztethetetlen bemeneteket az aláíró által kiválasztott, korábbi kimenetek anonimitáskészleteinek használatával. Laikus kifejezéssel élve, ez lehetővé teszi a felhasználó számára, hogy elrejtse a tranzakció során használt kimeneteit a nem kapcsolódó kimenetek mellett, és mindezt anélkül teheti meg, hogy bárki másnak részt kellene vennie benne. Csak a blokklánc másolatára van szüksége. Általában úgy tűnik, hogy mindegyik kimenet egyformán valószínű, hogy a ténylegesen elküldésre kerül, így elrejti a feladó metaadatait.</p>\n\n<p> Ez azonban egy kis problémát okoz. Mi van, ha a felhasználó gyűrű aláírást készít az összes csalikimenettel? Honnan tudhatná bárki, hogy az ismeretlen feladónak nincs joga elküldeni egyiket sem? Képes lenne ez a felhasználó hamis pénzt költeni? A válasz nem. A gyűrűs aláírás tartalmaz egy módszert annak bizonyítására, hogy a kimenetek közül legalább az egyik az ismeretlen feladó tulajdona, anélkül, hogy felfedné, melyik az. Valójában mind a CLSAG, mind az MLSAG (a továbbiakban: SAG) az a része a gyűrűs aláírásnak, amely ezt bizonyítja. Érdekes módon ugyanakkor azt is bizonyítja, hogy a tranzakció összege, bár bizalmas tranzakciók (RingCT) mögé rejtve, egyensúlyban van. Az, hogy a SAG-ok két dolgot bizonyítanak, hogy az egyik kimenet a ringben lévő valakinek a tulajdonában van, és hogy a tranzakció egyensúlyban van, az fontos, és valójában hol rejlik a méret- és ellenőrzési megtakarítás. Ha ez kezd zavaróvá válni, ne aggódjon, hamarosan egy szórakoztató és könnyen érthető hasonlathoz érkezünk.</p>\n\n<p>A régi aláírási séma, az MLSAG (Multilayered Linkable Spontaneous Anonymous Group) bizonyítja a fent említett két dolgot egy gyűrűs aláírásban, de mindegyiket külön-külön. Az aláírási és kötelezettségvállalási kulcsokhoz külön számítások használata lassabb műveleteket jelent. Egy modern számítógép ezredmásodpercek alatt képes elvégezni ezeket a számításokat, ami nem tűnik soknak, sőt, egy tranzakciónál nem is az. De ha figyelembe vesszük a Monero blokklánc tranzakcióinak puszta számát, és azt, hogy a nulláról szinkronizáló csomópontnak mindegyiket le kell töltenie és ellenőriznie kell, a bájtok és ezredmásodpercek gyorsan felhalmozódnak.</p>\n\nAz <p>CLSAG a kettő bizonyításához szükséges matematikát egyesíti egyben, és mindkettőt egyszerre számítja ki, és ezt biztonságos módon teszi. Mit jelent ez biztonságos módon? Nos, ennek tisztázása érdekében, és remélhetőleg az egésznek értelmesebbé válik, vizsgáljuk meg ezt a szórakoztató analógiát.</p>\n\n<p>Tegyük fel, hogy el kell mennie az élelmiszerboltba és a vasboltba is, hogy két különböző dolgot vegyen fel: élelmiszert és mérgező tisztítószereket. Nem akarja, hogy összekeveredjenek, mert ha baleset történik, a vegyszerek az ételre szóródnak, és ehetetlenné teszik őket. Úgy döntesz, hogy szuper biztonságban leszel, és autóval elmész a házadból az élelmiszerboltba, megveszed az ételt, majd visszavezetsz a házadba. Csak miután kipakoltad az ételt, ülj vissza az autóba, hajts a boltba, és a vegyszerekkel vissza a házadba. Két külön utazást tett meg, hogy minden vásárlás biztonságát garantálja. Bár valóban biztonságos, nem hatékony. Ez az MLSAG-t képviseli, ahol két különböző matematikai halmazt tárolnak, és két különböző „utazást” hajtanak végre azok kiszámításához.</p>\n\n<p> Ön azonban úgy dönt, hogy ezt gyorsabban szeretné megtenni. Túl sok elvesztegetett idő. Persze, ha egyszer vagy kétszer megcsinálod, nem lopod el az életedet, de ha ezt újra és újra meg kell tenni, az órák kezdenek összeadni. Elkezdi azon tűnődni, hogy megtehet-e egy utazást helyette. A házadból, az élelmiszerboltba, a vasboltba és haza. Nem mehetsz és nem dobhatsz be mindent az autódba véletlenül. Nem biztonságos. Ehelyett különböző helyeket jelöl ki az autójában a különböző dolgok számára, és gondoskodik arról, hogy minden szépen elférjen a helyén. Ezáltal biztonságosan megtehet egy utat mindkét üzletbe, és távol tarthatja egymástól a dolgokat. Ez a CLSAG-ot jelenti. Most már csak egy matematikai halmaz van tárolva ebben a tranzakcióban, amely bizonyítja ezt a két dolgot, és ez már megtörtént, hogy nem zavarják egymást. Egy utazást még meg kell tenni, de ezek számát elég drasztikusan csökkentette.</p>\n\n<p> Mindez elég izgalmasan hangzik. Lehetséges, hogy találunk más parancsikonokat, vagy más módokat, hogy időt és helyet spóroljunk? A válasz igen és nem. A jelenlegi MRL-kutatók szerint valószínűleg nem lehetséges tovább módosítani az SAG-típusú konstrukciókat a jobb méret vagy sebesség érdekében; más konstrukciók, például az Arcturus, az Omniring, az RCT3 vagy a Triptych azonban sokkal jobb méretezési és ellenőrzési előnyöket biztosítanak különböző matematikai módszerek használatával. Az aláíró félreérthető protokolljainak „következő generációs” megközelítései azonban megvannak a maguk kompromisszumai a megvalósítás részleteit illetően, és aktív kutatás és vizsgálat alatt állnak.</p>\n\n<p>Végül is a Monero mindig újít.</p>';

  @override
  String get knowledge250Sbclsag250Sbdescription => 'Vessünk egy pillantást a Monero protokoll egyik újabb újítására: a linkable ring signature séma, az MLSAG lecserélése egy beugró CLSAG-ra.';

  @override
  String get knowledge250Sbclsag250Sbtitle => 'Hogyan javítja a CLSAG a Monero hatékonyságát?';

  @override
  String get knowledge250Sbcoinjoin250Sb0250Sbtext => '<p>Mivel a Bitcoin adatvédelmi eszközei egyre nagyobb figyelmet és használatot kaptak, egyre nagyobb szabályozási ellenőrzés alá kerültek. Ez a vizsgálat egy <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\">közelmúltbeli bejelentéshez</a> vezetett egy Bitcoin adatvédelmi eszköze, a Wasabi Wallet részéről, miszerint elkezdik cenzúrázni és elutasítani az általuk tiltottnak vagy az Általános Szerződési Feltételeik ellen tiltott keverékek bejövő bevitelét, és fizetni fognak egy láncelemzést. vállalat a bejövő mix résztvevőinek „megvetésére”.</p>\n<p>A CoinJoin-tranzakciók használata a Bitcoinban lévő pénzeszközök forrásának elhomályosítására már évek óta a Bitcoin adatvédelmének magja, és a használatában rejlő problémák és kockázatok azok az alapvető problémák, amelyeket a Monero gyűrűs aláírásai kijavítanak és megelőznek. </p>\n<p>Ebben a blogbejegyzésben röviden bemutatjuk a CoinJoin és a gyűrűs aláírások összehasonlítását, valamint azt, hogy a Monero által alkalmazott megközelítés miért vezet nagyobb cenzúra-ellenálláshoz, nagyobb adatvédelemhez és kevesebb gondhoz a felhasználók számára.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtext => '<p>Mivel a Bitcoinban minden tranzakció teljesen átlátható – felfedve a feladót, a címzettet és az összegeket – a felhasználóknak további lépéseket kell tenniük, hogy megőrizzék magánéletüket a pénzeszközök korábbi feladóival és jövőbeni címzettjeivel szemben, vagy kockáztatják a cenzúrát, a megfigyelést vagy a pénzeszközök ellopását. fizikai erőszak.</p>\n<p>Ma a legjobb megoldás a bitcoin adatvédelemre az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">„CoinJoin”</a> nevű eszköz, ahol 2 vagy több felhasználó dolgozik együtt (általában egy központi koordinátoron keresztül), hogy létrehozzanak egy speciális tranzakciót, amely megnehezíti a külső számára. megfigyelőket, hogy összekapcsolják a bemeneteket a kimenetekkel. Minden résztvevő úgy kommunikál, hogy közösen építsék fel a tranzakciót anélkül, hogy átadnák az alapok őrzését, és a végén olyan kimenetet kapnak, amelynek korábbi története jelenleg nem világos (vagy homályos) a külső megfigyelők számára.</p>\n<p>Ez megtöri az egyes UTXO-k történetét, lehetővé téve a Bitcoin-felhasználók számára, hogy egy kis előremutató titokra tegyenek szert tranzakciók során. A CoinJoin-nek (a Wasabi Wallet és a Samourai Wallet, a Bitcoin két leggyakrabban használt CoinJoin eszköze) azonban van néhány jelentős hátránya: </p>\n<ul>\n<li>Mivel a CoinJoin tranzakciók teljes mértékben önkéntesek, és aktív részvételt igényelnek, minden résztvevő szükségszerűen megmutatja, hogy nagyobb magánéletre törekszik, mint a „normál” Bitcoin-felhasználóké, ami potenciálisan kiemeli őket, és számos szabályozott tőzsdén vagy entitáson gondot okoz a pénzeszközök elköltésével. Egyik felhasználó sem tagadhatja, hogy részt vett egy CoinJoin tranzakcióban.</li>\n<li>Annak érdekében, hogy másokat találjanak a CoinJoinhoz, a CoinJoin legtöbb megközelítése (beleértve a Wasabi Walletet is) egy központi koordinátort használ, amely összeköti a résztvevőket, és segíti őket a kommunikációban és a megfelelő CoinJoin tranzakció kialakításában. Ez a központosított koordinátor soha nem kezeli a felhasználók pénzét, de kiterjedt betekintést nyer az általuk koordinált tranzakciókba, képes cenzúrázni a bejövő adatokat (mint a Wasabi Wallet esetében), és nyomást gyakorolhat rá a CoinJoin résztvevőivel kapcsolatos információk gyűjtésére vagy megosztására.[X2068X ]\n<li>Azoknak a felhasználóknak, akiknek nagy összegű pénzük van a CoinJoinhoz, gyakran órákat (vagy akár napokat!) kell várniuk, hogy elegendő résztvevőt találjanak a CoinJoinhoz, ami nagy késésekhez vezethet attól az időponttól kezdve, amikor a felhasználó pénzt kap, egészen addig, amíg el nem tudja azokat privát módon elkölteni. </li>\n<li>A CoinJoin-tranzakciók által biztosított adatvédelem idővel leromlik, ahogy a többi résztvevő pénzt költ, vagy kimeneteiket személyazonosságukhoz köti KYC-tőzsdéken, azonosítót igénylő kereskedőkön stb. anonimitásukat a lehető legfrissebbre állítottuk be („tömeg, akibe bújni kell”).</li>\n<li>A CoinJoin legtöbb megközelítésében a résztvevőknek fix méretű UTXO-t (azaz 0,1 BTC-t) kell használniuk, hogy megnehezítsék a CoinJoin tranzakciók be- és kimeneteinek összekapcsolását. Ez magasabb díjakhoz vezet (több külön tranzakció szükséges egy nagy bevitelhez), több „mérgező változáshoz” (a magánélet komoly kockázata nélkül elkölthetetlen források), és megakadályozhatja, hogy a kisebb felhasználók egyáltalán keveredhessenek, ha nincs a szükséges minimális egyenleg.</li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtitle => 'Mi az a CoinJoin tranzakció?';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtext => '<p>Mivel az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">a múltban alaposan megvizsgáltuk a gyűrűs aláírásokat</a>, ebben a blogbejegyzésben nem részletezem a működésük technikai szempontjait. Ehelyett megnézzük, hogy a Monero-ban alkalmazott megközelítések hogyan oldják meg a problémákat a fent tárgyalt CoinJoinnal.</p>\n<blockquote>\n<p>A CoinJoin feliratkozás és részvétel szükséges</p>\n</blockquote>\nAz <p>Monero csengőaláírásai az adatvédelmi protokoll alapvető jellemzői, és <em>a hálózaton minden </em> tranzakció használja ezeket. Ez azt jelenti, hogy egyetlen felhasználó tranzakciója sem tűnik ki abból, hogy nagyobb adatvédelemre törekszik, mint a „normál” Monero-felhasználók, és minden felhasználó valószínűsíthetően tagadható, hogy pénzeszközöket költött egy adott tranzakció során. Mivel a pénzeszközöket elköltő felhasználó nem koordinál és nem vesz részt a csali bemeneteiben egy tranzakcióban, azok a felhasználók, akiknek olyan bemeneti adatai vannak, amelyeket véletlenül csaliként választottak ki, őszintén mondhatják, hogy nem vettek részt az adott tranzakcióban, ezzel erősítve a magánéletüket.</p>\n<blockquote>\n<p>Központosított koordinátor használata</p>\n</blockquote>\n<p>Mivel a Monero gyűrűs aláírásai teljesen nem koordináltak, és csak a valódi pénzköltőre van szükség a tranzakció létrehozásához, nincs szükség központi koordinátorra a Moneróban. Ez biztosítja, hogy az <em>senki</em> ne tagadhassa meg Öntől a Monero magánéletéhez való hozzáférést, és nincs olyan központosított entitás, amelyre nyomás nehezedhetne, nincsenek egyszerű Sybil-támadások a likviditás ellen stb. Mindaddig, amíg a tranzakció kifizeti a megfelelő díjat, cenzúrázhatatlan hozzáférést kap a magánélethez, a biztonsághoz és a névtelenséghez a Monero-ban.</p>\n<blockquote>\n<p>A CoinJoin likviditást igényel</p>\n</blockquote>\n<p>A „likviditás”, amely mindenki számára elérhető, aki Monerót csaliként költ, mindig a láncon belüli kimenetek teljes készlete, így soha nem lesz hiány csaliból, amelybe a Monero mellett elbújhat. Ha valaki Monerót akar elkölteni, az a pénz beérkezése után körülbelül 20 perccel megteheti, és nem kell további lépéseket tennie ahhoz, hogy erős adatvédelmet szerezzen a Moneróban.</p>\n<blockquote>\n<p>A CoinJoin adatvédelem idővel romlik</p>\n</blockquote>\n<p>Mivel a Monero kimeneteit soha nem ismeri el a hálózat, a csengőaláírások által biztosított adatvédelem sokkal kevésbé hajlamos az idő múlásával történő romlásra. A felhasználónak nem kell állandóan leforgatnia a kimeneteket Moneroban, és rendkívül ritka körülményeken kívül az idő múlásával nem veszíti el a magánéletét.</p>\n<p>Ha a felhasználó „frissíteni” szeretné a kimenettel használt csalikat, akkor csak visszaküldheti magának az összeget, és a szokásos módon ~20 perccel később elköltheti.</p>\n<blockquote>\n<p> A CoinJoin rendszerint rögzített méretű bemeneteket igényel</p>\n</blockquote>\n<p>Mivel az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/monero-ringct\">„Bizalmas tranzakciók”</a> (a „RingCT” része) használatával az összegek minden tranzakcióban el vannak rejtve, az adott tranzakcióban használt csali bármilyen méretű lehet. Nincs ok aggodalomra a Monero mennyiségalapú heurisztikái miatt, így a tranzakciók sokkal egyszerűbben felépíthetők, és a Monero blokkláncon bármely időponttól és tetszőleges összegű csalikkal használhatók.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtitle => 'Hogyan oldják meg ezeket a problémákat a gyűrűs aláírások?';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtext => '<p>Ha kíváncsi, és szeretné jobban megérteni a gyűrűs aláírásokat vagy a CoinJoin tranzakciókat, tekintse meg az alábbi linkeket, ahol nagyszerű helyeket találhat a kezdéshez:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">Hogyan takarják el a gyűrűs aláírások Monero kimeneteit </a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://www.getmonero.org/resources/moneropedia/ringsignatures.html\">Ring Signature – Moneropedia</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">Coinjoin Q+A</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://6102bitcoin.com/coinjoin-overview/\">CoinJoin áttekintése</a></li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtitle => 'Hogyan tanulhatok többet?';

  @override
  String get knowledge250Sbcoinjoin250Sbdescription => 'A CoinJoin a BTC adatvédelem magja, és a benne rejlő problémák néhány olyan probléma, amelyet Monero gyűrűaláírásai oldottak meg.';

  @override
  String get knowledge250Sbcoinjoin250Sbtitle => 'Monero gyűrűs aláírásai a CoinJoin ellen, mint a Wasabiban';

  @override
  String get knowledge250Sbcontributing250Sb0250Sbtext => '<p>A Monero projekt (mint sok más nyílt forráskódú projekt) mögött nincs központi vállalat, entitás vagy finanszírozás, ezek mind szükségesek a decentralizációhoz és a rugalmassághoz. Ez azonban azt jelenti, hogy a projekt sikere teljes mértékben a közösség szenvedélyes egyének hozzájárulásától függ a finanszírozásban, a fejlesztésben és a tájékoztatásban, akárcsak Ön.</p>\n<p>A Monero közösségben élők túlnyomó többsége nem feltétlenül fejlesztő lesz, ezért arra fogunk összpontosítani, hogy mi, nem fejlesztők milyen sokféleképpen adhatunk vissza egy ilyen hihetetlen projekthez.</p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtext => 'Az <p>Monero a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/\">Community Crowdfunding System</a> (vagy „CCS”) nevű egyedi rendszert használja a munka finanszírozására, amely lehetővé teszi, hogy a közösség bármely tagja bemutasson finanszírozási ötletet. Ha a közösség jóváhagyja, ezeket a javaslatokat megnyitják a közösség általi finanszírozásra.</p>\n<p>A rendszernek két szakasza van, amelyek mindegyike előnyt jelent a különböző hátterű emberek nagyobb bevonásával.</p>\n<h6 id=\"participating-in-ideas\">Részvétel az „Ötletek” programban</h6>\n<p>Minden CCS-javaslat „Ötletként” indul, amely nyitva áll a közösség véleményére, és gyakran megvitatják a közösségi találkozókon is. Ez alkalom nyílik arra, hogy a közösség minden tagja végigolvassa a javaslatot, és véleményt nyilvánítson arról, hogy szerinte min lehetne változtatni vagy javítani, vagy hogy a javaslatot egyáltalán el kell-e hagyni a finanszírozásra. Ez lehetővé teszi, hogy ne csak naprakész maradjon a közösség többi tagjának folyamatos erőfeszítéseiről, hanem aktívan beleszóljon abba, hogy ki és mit finanszíroz a közösség, javítsa a javaslatokat a finanszírozás előtt, és felügyeletet biztosítson a finanszírozás után.</p>\n<p><em>Az „Ötletek” szakaszban lévő összes ajánlatot megtekintheti a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/ideas/\">CCS Ötletek</a> oldalon.</em></p>\n<h6 id=\"funding-proposals-in-funding-required\">Finanszírozási javaslatok a „Finanszírozás szükséges” részben</h6>\n<p>A jóváhagyott ajánlat második szakasza a „Finanszírozás szükséges” szakasz. Ez az a hely, ahol a közösségben bárki, akinek tetszik egy ajánlat, és látja benne az értéket, egyszerűen, gyorsan és privát módon adományozhatja Moneróját az adott ajánlathoz.</p>\n<p>Adományozáshoz egyszerűen lépjen a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS Finanszírozás szükséges</a> oldalra, kattintson arra az ajánlatra, amelyre adományozni szeretne, és olvassa be a QR-kódot, vagy másolja ki a címet, és küldjön bármennyit (vagy keveset!) szeretne hozzájárulni. Minden apróság segít, bármilyen kicsi is!</p>\n<p>Ha egy ajánlatot teljes mértékben finanszíroztak, nyomon követheti, amíg <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/work-in-progress/\">folyamatban van</a>, vagy megtekintheti a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/completed-proposals/\">befejezett ajánlatok</a> eredményeit.</p>\n<p><em>Az összes „Finanszírozás szükséges” szakaszban lévő ajánlatot megtekintheti a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS Finanszírozás szükséges</a> oldalon.</em></p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtitle => 'Monero közösségi közösségi finanszírozási rendszere';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtext => '<p>A Monero projektbe való bekapcsolódás másik nagyszerű módja az, ha segít az új és a meglévő közösség tagjainak oktatásában és felhatalmazásában. Ennek számos formája megtörténhet, de lehet olyan egyszerű is, hogy megosztja a Moneróról tanultakat a közösségi médiában, egy blogon stb.</p>\n<p>Íme néhány konkrét módszer, amellyel segíthetsz az oktatásban:</p>\n<ul>\n<li>Indítson el egy saját blogot</li>\n<li> Írjon szálakat a Twitteren vagy a Redditben azokról a dolgokról, amelyeket a Moneróval tanult vagy megtanult csinálni</li>\n<li>Készítsen videót „hogyanként” a Moneróval végzett mindennapi dolgairól, például Monero küldéséről, hardveres pénztárca használatáról, Monero vásárlásáról és eladásáról a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://localmonero.co\">LocalMonero.co</a> oldalon stb.</li>\n</ul>';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtitle => 'Oktatás';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtext => '<p>A segítségnyújtás egyszerű módja, ha aktívan részt vesz a közösségi médiában, és nagyszerű Monero-tartalomról beszél, oktat és megoszt.</p>\n<p> Minél többen osztjuk meg velünk, hogy Monero hogyan segített nekünk, mit szeretünk benne, miben kell még javítani, és miért döntünk úgy, hogy hozzájárulunk, annál többen láthatják majd az értéket egy erős olyan eszköz, mint a Monero.</p>\n<h6 id=\"twitter\">Twitter</h6>\n<p> A Twitter gyakori hely a kriptovaluta-felhasználók számára (többek között), és értékesnek találtam a tanulás és a Monero közösséggel való kapcsolatteremtés szempontjából. Bár ez időnként mérgező és durva hely lehet, vannak nagyszerű emberek, akik rendszeresen nagyszerű tartalmat adnak ki.</p>\n<p>Nyugodtan ugorjon be, és kezdjen el megosztani Monero-t, és kapcsolatba lépni másokkal!</p>\n<p><em>A LocalMonero a Twitteren található <span class=\"citation\" data-cites=\"LocalMoneroCo\"> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://twitter.com/LocalMoneroCo\">@LocalMoneroCo</a></span>.</em></p>\n<h6 id=\"reddit\">Reddit</h6>\n<p>A Reddit népszerű módja a Monero (és a kriptovaluta/adatvédelmi) tömeggel való interakciónak, és remek hely a hosszabb formátumú tartalmak, média, hírek stb. megosztására.</p>\n<p>Van egy rendkívül aktív Monero közösség, ahol a legnépszerűbb alredditek a következők:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/Monero/\">r/Monero</a>\n<ul>\n<li>A legtöbb Monero-vita, hír és média otthona</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a>\n<ul>\n<li>Remek hely, ahol támogatást kaphat, és segítséget nyújthat azoknak, akiknek Monero-problémákkal kapcsolatban támogatásra van szükségük</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroCommunity/\">r/MoneroCommunity</a>\n<ul>\n<li>Általános hely a közösségközpontú beszélgetésekhez</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroMining/\">r/MoneroMining</a>\n<ul>\n<li>Minden bányászati igénye és megbeszélése</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/xmrtrader/\">r/xmrtrader</a>\n<ul>\n<li>A Moneróval kapcsolatos, árral/piaccal/spekulációkkal kapcsolatos viták otthona. Az árakkal/piaccal kapcsolatos témák általában tilosak az összes többi Monero alredditen, hogy a közösség összpontosítson.</li>\n</ul></li>\n</ul>\n<p>Győződjön meg róla, hogy ugorjon be és vegyen részt a beszélgetésekben, ossza meg az érdekes híreket és bejegyzéseket, és járuljon hozzá, ahol jónak látja!</p>\n<p><em>A LocalMonero közösség a Redditen a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/LocalMonero/\">r/LocalMonero</a> címen található.</em></p>\n<h6 id=\"matrixirc\">Matrix/IRC</h6>\n<p>A Monero „belső működésének” túlnyomó többsége a Matrixon és az IRC-n történik, két csevegőhálózaton, amelyek áthidalva vannak egymással. Ha továbbra is részt szeretne venni a mindennapi megbeszélésekben, részt szeretne venni megbeszéléseken, vagy csak beszélgetni más Monero-felhasználókkal, akkor érdemes a Matrixhoz vagy az IRC-hez ugrani.</p>\n<p>A leggyakoribb Matrix/IRC csatornák listája a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/community/hangouts/\">getmonero.org</a> oldalon érhető el.</p>\n<p><em>A LocalMonero közösséget a Mátrixon a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://matrix.to/#/#localmonero:agoradesk.com\">#localmonero:agoradesk.com</a> szobában találja meg.</em></p>\n<h6 id=\"offline\">Offline</h6>\n<p>Ne felejtsd el bemutatni barátaidnak, családtagjaidnak és másoknak a Monerót offline is! Egy nagyszerű módja annak, ha az illető letölt egy mobiltárcát, például <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet (iOS/Android)</a>, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo (Android)</a> vagy <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://mymonero.com/\">MyMonero (iOS)</a>, küldj nekik egy kis Monerót, és kérd meg, hogy küldjenek vissza.</p>\n<p>Az is hasznos lehet, ha összehasonlítunk egy tranzakciót, például a Bitcoin és a Monero között egy olyan felfedezőben, mint az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.exploremonero.com/\">ExploreMonero</a>, hogy lássák, milyen kevés információ jelenik meg nyilvánosan a Monero használatával végzett tranzakciók során, összehasonlítva más átlátható blokkláncokkal. X4596X]';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtitle => 'Tudatosság és elkötelezettség';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtext => '<p>Ha már egy ideje a Monero közelében vagy, vagy jól értesz a használatához és a hibaelhárításhoz, nagyszerű módja annak, hogy bekapcsolódj az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> alredditbe, és támogatást nyújtani az ott közzétevő felhasználóknak.</p>\n<p> Folyamatosan vannak olyan felhasználók, akiknek segítségre van szükségük (általában) alapvető problémákkal kapcsolatban, és csak kevesen vagyunk aktívak a subredditben, hogy segítsünk nekik. Jó lenne látni, ha többen merülnének bele, és járulnának hozzá az új és a meglévő felhasználók problémáinak megoldásához!</p>';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtitle => 'r/monerosupport';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtext => '<p>Szinte minden közösségi megbeszélés bizonyos témákról a Mátrixban vagy az IRC-ben történik, így ha csak tanulni szeretne az értekezletekből/követni, vagy aktívan részt szeretne venni, akkor érdemes beállítani az <a class=\"next-link\" href=\"#matrixirc\">csevegést. hálózatok</a>.</p>\n<p>Ha ezt megtette, tartsa szemmel az egyes szobákhoz beállított témát, amelyben éppen tartózkodik, vagy a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">Monero metatárat</a> az ütemezett értekezletek esetében.</p>\n<p>Ha úgy dönt, hogy eljön és részt vesz, kérjük, tartsa tiszteletben a téma sorrendjét, maradjon a témánál, és próbáljon csak akkor beszélni, ha szükséges/hívják.</p>';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtitle => 'Közösségi találkozók';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtext => '<p>A kétnyelvű vagy többnyelvűek számára a hozzájárulás nagyon fontos módja, hogy segítsenek angolról más nyelvekre fordításban. Mindig szükség van új nyelvek fordítására és a meglévő nyelvek frissítésére az ökoszisztémában, és minél több nyelvet támogatunk aktívan, annál befogadóbb és megközelíthetőbb lesz a Monero.</p>\n<p>A fordítási igényeket és információkat a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://translate.getmonero.org/\">translate.getmonero.org</a> vagy a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-ecosystem/monero-translations\">Githubon</a> oldalon találja.</p>';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtitle => 'Fordítások';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtext => '<p>A nem fejlesztők utolsó módja annak, hogy hozzájáruljanak a Monero-hoz, hogy mindenképp naplózza az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">problémákat a Githubban</a>, ha olyan problémája van, amelyet nem lehet megoldani az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a>-en vagy a <a class=\"next-link\" href=\"#matrixirc\">Matrix/IRC</a> vagy tekintse meg a szoftver fejlesztési területeit.</p>\n<p>Amikor megnyit egy problémát:</p>\n<ul>\n<li>Győződjön meg arról, hogy nincs az Önével kapcsolatos probléma\n<ul>\n<li>Keressen <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">megnyitott problémákat a Githubban</a> az Önéhez kapcsolódó kulcsszavakra</li>\n</ul></li>\n<li> Adjon meg a lehető legtöbb információt\n<ul>\n<li>Ha olyan problémát tapasztal, amelyet a normál hibaelhárítás nem tudott megoldani, tegye a következőket:\n<ul>\n<li>Gyűjtse össze az összes releváns naplót a probléma észlelésekor</li>\n<li>Gyűjtse össze az Ön által futó Monero szoftver verzióját<br />\n</li>\n<li>A rendszer operációs rendszerének és verziójának összegyűjtése</li>\n<li>Link bármely releváns meglévő problémára, Reddit-szálra stb.</li>\n</ul></li>\n</ul></li>\n<li> Tartsa szemmel a válaszokat és a problémával kapcsolatos frissítésekről szóló értesítéseket\n<ul>\n<li>Gyakran több információra vagy pontosításra van szükség, ezért ügyeljen arra, hogy figyelje a problémával kapcsolatos frissítéseket és megjegyzéseket, amelyekhez szükség lehet az Ön hozzájárulására</li>\n</ul></li>\n</ul>\n<p>Minél több információt tud megadni a problémában, annál jobb!</p>';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtitle => 'Iktatási problémák';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtext => '<p>Remélhetőleg ez az útmutató felvet néhány ötletet arra vonatkozóan, hogyan adhatja vissza Monero-t egyedi készségeinek, hátterének és tapasztalatainak felhasználásával. Minél több a közösségből, aki ilyen módokon ad vissza, annál nagyobb és érettebb lesz Monero, és annál könnyebben teljesíthetjük a magán, helyettesíthető, önszuverén, cenzúrának ellenálló pénz céljait.</p>';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtitle => 'Következtetés';

  @override
  String get knowledge250Sbcontributing250Sbdescription => 'A Monero sikere a közösségi hozzájárulásokon múlik – ma megvizsgálunk néhány olyan módot, amellyel mi, nem fejlesztők visszaadhatják.';

  @override
  String get knowledge250Sbcontributing250Sbtitle => 'Hozzájárulás a Moneróhoz';

  @override
  String get knowledge250Sbcritical250Sb0250Sbtext => '<p>Minden egyénnek megvan a saját története a vadnyugaton való utazásról, ez a kriptovaluta. Vannak, akik találnak egy helyet a spekulációra, mások barátokra, mások pedig olyan technológiára, amelyben hisznek. A különbségek ellenére általában sok hasonlóság van, még a különböző kriptográfiai és közösségek között is. Ezek egyike a sok kriptoközösségben tapasztalható kultikus viselkedéshez való zavaró hasonlóság.</p>\n\n<p>Ezeket a viselkedéseket nem nehéz észrevenni. A kritikák elfogadásának képtelensége és a hibák szándékos figyelmen kívül hagyása, még bizonyítékokkal szemben is, csak néhány példa. Egyes helyeken a szurkolólány annyira szembeötlővé válik, hogy bármilyen negativitás fegyelmi eljárás alapja lesz.</p>\n\n<p>Mivel kriptovaluta utazó próbál támogatni jó projekteket, és <a target=\"_blank\" href=\"/knowledge/monero-scams\" class=\"next-link\"> nem veszíti el az összes pénzét</a>, minden kriptovaluta-rajongót arra buzdítunk, hogy kritikusan gondolkodjon és értékelje a projekteket valós értékük alapján, de mi van, ha megközelíti őket. a másik irányból? Magának a projektnek önkritikusnak és öntudatosnak kell lennie?</p>\n\n<p> Vitatkozunk, hogy igen. A közösség maga a projekt és a benne lévő vezetők tükre. Ezenkívül egy hozzáértő közösség többet vár el fejlesztőitől, és képes lesz kritizálni a javasolt megoldásokat, ahelyett, hogy vakon bízna és elfogadná, hogy a fejlesztők a felhasználók javára dolgoznak, nem pedig saját maguk vagy külső érdekek érdekében.</p>\n\n<p> Ezzel szemben az a közösség, amelyik csak az árral törődik, és nem képes vagy nem hajlandó kritikusan értékelni önmagát (vagy hagyni, hogy mások értékeljenek), arra van ítélve, hogy elmerüljön a középszerűségben.</p>\n\n<p>Projektként a Monero megpróbálja fejlesztőit, kutatóit, vezetőit és magát a közösséget a legmagasabb szabványok szerint tartani, és minimalizálni a növekvő önelégültség és destruktív apátia kockázatát.</p>\n\n<p>Az egyik módja annak, hogy Monero ezt megteszi, az, hogy heti szkepticizmus vasárnapot tart a közösségi subredditen. Ez az a hely, ahol az emberek hangot adhatnak aggodalmaiknak Moneróval, a protokollal, a vezetéssel vagy bármilyen más aggályukkal kapcsolatban. Ez egy olyan hely, ahol a kérdéseket, sőt a bizalmatlanságot egyenesen bátorítják, és szükségesnek tartják ökoszisztémánk egészsége szempontjából.</p>\n\n<p>Ez éles ellentétben áll sok más közösséggel, amelyek nemcsak elkerülik a kritikát, hanem gyakran apátiára és elfordult elmékre ösztönöznek közösségüket. Ez durvának tűnhet kimondani, de lehetetlen megnézni az egész ökoszisztémára kiterjedő tiltást a nemzőkről, a beszélgetések leállításáról és a pomponlányok bátorításáról, amely más érmék találkozási helyein látható, és nem jutunk erre a következtetésre.</p>\n\n<p>Ez nem azt jelenti, hogy a Monerónak nincsenek pompomlányai, mert vannak. Az érdekes azonban az, hogy a közösség sok tagja felhívja ezeket a pompomlányokat, és magasabb viselkedési normákra szólítja fel őket. Valójában Monero odáig megy, hogy a szükségtelenül túlzott pompomlányt spamnek tekinti, és megpróbálja átirányítani a megfelelőbb helyekre, vagy teljesen eltávolítani.</p>\n\n<p> A csökevényes elmék veszélyét komolyan kell venni. Az adatvédelem egy fegyverkezési verseny, ahol mindenkinek résen kell lennie, és azt kiáltja, hogy „Monero a legjobb!” és „Semmi sem verheti meg Monerót! Ez törhetetlen!” csak rontja a csata sürgősségét. Ebből a szempontból a kritikus gondolkodás és az egészséges szkepticizmus hiánya egy közösségben nem csak bosszantó vagy kultikus, hanem magának a protokollnak a bukásához is vezethet.</p>\n\n<p>Sok szempontból kereshetünk példákat a Bitcoinra, hogy ez a való életben hogyan működik. A bitcoin maximalisták gyakran kiabálnak és az erényekkel jelzik egymásnak a Bitcoin érdemeit, és amikor a magánélet, a helyettesíthetőség vagy a méretezhetőség kérdése merül fel, a kérdéseket elhárítják, és az elkövetőket kiszorítják a közösségből. Túl gyakran fordul elő, hogy a jogos kérdésekkel rendelkező embereket kitiltják, blokkolják vagy más módon kizárják a Bitcoin-közösségekben való részvételből, csak azért, mert nem feleltek meg a megbeszélt retorikának, és mertek kérdéseket feltenni.</p>\n\n<p> Ezek a fáradt utazók újra és újra megtalálják az utat Moneróba, és miután egy kis időt eltöltöttek a közösségben, dicsérték a projektet a kiegyensúlyozott vitákért és a kényelmetlen kérdésektől való félelem hiányáért. Nem ismeretlen, hogy ezek az utazók más pénzérmékről is meg akarnak beszélni, nem azért, mert shillelni akarnak, hanem azért, mert egyre jobban bíznak a közösség értelmében és logikájában, és őszinte véleményt szeretnének egy másik érméről, amibe nem tudnak belemenni. maga az érme közössége.</p>\n\n<p>Még az a tény is, hogy Monero folyamatosan keményen forgolódott a múltban és a jelenben, megmutatta a projekt alázatát és erejét. Míg egyesek a hard fork-ot <a target=\"_blank\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" class=\"next-link\">a fejlesztőkre </a> való központosításnak minősíthetik, ami bizonyos mértékig igaz is, ez azt mutatja, hogy a fejlesztők megértették, hogy csekély az esélye annak, hogy mindent 100%-osan jól csinálnak az első lépésben. A dolgokat javítani kell, sőt, akár teljesen le kell cserélni, ha Monero versenyképes akar maradni mind a magánélet, mind a kriptovaluta terén.</p>\n\n<p>Gyakran előfordul, hogy ezek a változtatások megsértik a visszafelé kompatibilitást, ami nagy nem-nem a Bitcoin protokollban, ahol mindennek puha villának és visszafelé kompatibilisnek kell lennie. Ez azonban azt jelenti, hogy a Bitcoin által önmagában végrehajtott minden egyes változtatás hatóköre nagyon korlátozott. Múltjuk nehezíti őket, és a fejlesztéseknek tiszteletben kell tartaniuk azt, sokszor értelmetlenül. Míg Monero változtatásai elsöprőek lehetnek, és gyakran több nagyságrenddel javítják a protokollt és az adatvédelmet.</p>\n\n<p>Ez könnyen látható az <a target=\"_blank\" href=\"/knowledge/monero-ringct\" class=\"next-link\">RingCT</a> felvételén. Korábban a Monero csak <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">lopakodó címeket</a> és <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">csengőaláírásokat</a> tartalmazott, és az összegek láthatók voltak. Shen Noether, egy MRL-kutató módosított egy létező protokollt, amely elrejti a Monero-hoz tartozó összegeket, de ennek felvétele megzavarná a visszafelé kompatibilitást, ami azt jelenti, hogy a régi típusú tranzakciók átlátható összegekkel többé nem engedélyezettek.</p>\n\n<p>Monero vállalta ezt a kockázatot, és a végeredmény egy sokkal jobb adatvédelem lett, amely megszilárdította Monero pozícióját az adatvédelmi érmék királyaként. De ez nem minden, amit mutatott. Ez a villa, csakúgy, mint a több utólagos, valamint a közösségen belüli szkepticizmus, alázat és megkérdőjelezés következő bátorítása is megszilárdította Monero-t a kriptotér egyik legélesebb és legkritikusabb elmegyűjteményévé.</p>';

  @override
  String get knowledge250Sbcritical250Sbdescription => 'A kripto-rajongókat arra ösztönzik, hogy kritikusan gondolkodjanak és értékeljék a projekteket valós értékük alapján, de maguknak a projekteknek önkritikusnak és öntudatosnak kell lenniük?';

  @override
  String get knowledge250Sbcritical250Sbtitle => 'Miért Monero rendelkezik a legkritikusabb gondolkodó közösséggel?';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtext => '<p>Kriptovalutaként a Monero szabad szemmel nagyon unalmasnak tűnhet. Nincs olyan nagy igénye a hírnévre, mint „világszámítógép” vagy „forradalmasító xyz-ipar”. Ez csak egy privát, digitális, helyettesíthető pénz akar lenni, és minden frissítés és új technológia csak ezt a célt szolgálja. </p>\n<p>\nAzok, akik ezt a célt túl szűknek vagy érdektelennek tartják, általában nem értik, milyen nehéz érdemi magánéletet elérni, különösen egy állandó, nyitott főkönyvben, mint például egy blokklánc. A metaadatok kiszivárogtatásának bármely módja a magánélet eróziójának veszélye.</p>\n<p>\nA Monero óvintézkedéseket tesz a láncon belüli adatok – például a címzett, a feladó és az összegek – elhomályosítására, a titkos címek, csengőaláírások és Pedersen kötelezettségvállalások révén. Ez minimálisra csökkenti annak esélyét, hogy egy véletlen megfigyelő kritikus információkat vonjon le, miután a tranzakciókat már elküldték, és ezek már csak a rögzített történelem részei. Vannak azonban olyan támadások, amelyek akkor hajthatók végre, amikor egy tranzakció megtörténik, és amelyek később nem hajthatók végre.</p>';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtitle => 'Az adatvédelem prioritásként';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtext => 'Ezek a támadások a tranzakciók IP-címének azonosítása körül forognak. Ha ezt az információt levonják, kiderülhet, hogy egy magánszemély Monero-tranzakciót küldött. Nem tudja megmutatni, hogy kinek és mennyit, de vannak olyan esetek, amikor valakinek a Monero-t használó tudása elég ahhoz, hogy kárt okozzon.\n<br/><br/>\nA jó hír az, hogy ha ezeket az információkat a tranzakció lebonyolításának pillanatában nem gyűjtik össze, akkor azt később nem lehet megtanulni, mivel az IP-címek nem kerülnek tárolásra a blokkláncon. Az is megnyugtató, hogy ilyen támadást a vadonban nem valószínű, hogy megtörténjen, mivel a támadónak a leállításához a hálózat csomópontjainak nagy többségére van szüksége. Ha azonban valaki képes lenne ezt a nagy többséget parancsolni, akkor képes lenne azonosítani azt az „irányt”, ahonnan a tranzakció származott.\n<br/><br/>\nEz zavaró lehet, ezért itt elmagyarázunk néhány háttérinformációt. Mindegyik csomópont csatlakozik a hálózat többi csomópontjához, hogy naprakészen tarthassák blokkláncukat, és megosszák másokkal, amit tudnak. Ezek a kapcsolatok lehetővé teszik számukra, hogy megismerjék az új tranzakciókat, elterjesszék azokat, és elküldjék sajátjukat. Mivel egy csomópont csak azokról a tranzakciókról tud beszélni társaiknak, amelyekről tudnak, magától értetődő, hogy a tranzakciót legelső csomópont az a csomópont, amely valójában Monerót küld.\n<br/><br/>\nHa a támadó birtokolja a hálózat csomópontjainak nagy többségét, mindegyik csomópont értesül egy tranzakcióról az egyik társától, és az alapján, hogy az egyes csomópontok milyen időzítéssel kapják meg ezeket az információkat, következtetni tudnak a tranzakció kezdetének valószínű jelöltjeire.\n<br/><br/>\nHa ez még mindig zavaró, ajánljuk ezt a példát. Tegyük fel, hogy mindkettőnknek van egy közös barátja, aki rejtőzködik a látásunk elől. Ez a barát hangosan kiált. Először a hívását hallom, és hangosabban hallom, mint te. Ebből az információból tudhatjuk, hogy valószínűleg közelebb állok a barátunkhoz, mint te. Az a tény, hogy később hallja a hangot (akár csak a másodperc töredékével), és a hang halkabb, azt jelenti, hogy a keresést az én területem körül kell kezdenünk, nem az Öné.\n<br/><br/>\nHa a támadó sikeresen ki tudja találni, hogy melyik társa küldte a tranzakciót, mivel rendelkezik a csomópontjához csatlakoztatott és neki továbbított IP-címmel, biztos lehet abban, hogy melyik IP-cím küldte. Ez erős információ, mivel az IP-címek információkat tartalmaznak a felhasználó országáról és internetszolgáltatójáról (ISP), és maguk az internetszolgáltatók is tudják, hogy melyik felhasználó melyik IP-címhez kapcsolódik, így gyakorlatilag anonimizálja a Monero felhasználót.';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtitle => 'Támadás az IP-cím felfedésére';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtext => 'Ennek a támadásnak az egyik lehetséges enyhítése egy átfedő hálózat, például a Tor vagy az I2P használata. Ezáltal még ha a támadó ki is tud következtetni a forrás IP-címére, valószínűleg nem az, amelyik a tranzakciót bonyolította le, hanem az átfedő hálózat outproxy (I2P) vagy kilépési csomópontja (Tor). Ez azonban nem egy mindenre kiterjedő megoldás, mivel az overlay hálózatok, VPN-ek és hasonló szoftverek sok országban tiltottak, és nem reális elvárni, hogy mindenki használja, szinkronizálja és terjessze ezeket a hálózatokat. Olyan megoldásra van szükség, amely nem igényli külső szoftverek és hálózatok használatát; amely elérhető az egyszerű ember számára.\n<br/><br/>\nEz a megoldás a Dandelion++ (DPP), amely az eredeti Dandelion Bitcoin-javaslat továbbfejlesztett protokollja. Ebben a protokollban két fázis van, a szárfázis és a pelyhes fázis; mindkettő együtt a pitypang formáját képviseli.\n<br/><br/>\nA szárfázisban néhány percenként a küldő csomópont véletlenszerűen választ ki két társat az összes csomópont közül, amelyhez kapcsolódik. Amikor a küldő csomópont elküld egy tranzakciót, akár saját nevében, akár csak továbbítja a tranzakciót egy másik csomópontról a szárfázisban, véletlenszerűen választja ki a két kiválasztott partner egyikét, és elküldi neki a tranzakciót.\n<br/><br/>\nA fluff fázis az, amikor egy csomópont fogad egy tranzakciót, és azt minden kimenő kapcsolathoz továbbítja, nem csak egy véletlenszerűen kiválasztotthoz, ez lehetővé teszi a tranzakció valódi terjedését. Néhány percenként egy csomópont úgy határozza meg magát, mint amely vagy véletlenszerűen száron vagy szöszmén keresztül terjed, tehát egy szárfázis elég hosszú lehet, ha minden csatlakozó csomópont törzscsomópontként definiálja magát, de ha a tranzakció eléri a szöszös fázist, ott marad.\n<br/><br/>\nEz azt jelenti, hogy a támadó többé nem tudja egyszerűen figyelni a tranzakció irányát, mert mielőtt az mindenkihez eljutott volna, átesett a szárfázison, és a fluff fázis kiinduló csomópontja nem az a csomópont, ahonnan a tranzakció származott. , és nem ismert, hogy a szár mentén hány ugráson ment keresztül a tranzakció.\n<br/><br/>\nTermészetesen a fenti megoldások (DPP plusz egy overlay hálózat) kombinálása még erősebb garanciákat ad a magánéletre és az IP nyomkövetés elleni védelemre. Azt is meg kell jegyezni, hogy a DPP nem védekezik a hálózatkövető támadások egy másik formája ellen, amely az internetszolgáltatókkal végrehajtható, de ez meghaladja jelen cikk kereteit.\n<br/><br/>\nA Dandelion++ úgy van beállítva, hogy élesben induljon a Monero hálózaton, és alapértelmezés szerint a referencia kliensben, a 0.16-os kiadásban használható legyen. Ez a kis változtatás tovább mérsékli a Monero hálózatot érő támadásokat, és jól példázza, hogy a Monero miért vezeti a csomagot a gyakorlati, alkalmazott adatvédelmi technológiák terén.';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtitle => 'A mérséklés(ek)';

  @override
  String get knowledge250Sbdandelion250Sbdescription => 'A Monero óvintézkedéseket tesz a láncon belüli adatok elhomályosítására, azonban vannak olyan támadások, amelyek akkor hajthatók végre, amikor egy tranzakció megtörténik, és amelyek később nem hajthatók végre.';

  @override
  String get knowledge250Sbdandelion250Sbtitle => 'Hogyan tartja titokban a Dandelion++ Monero tranzakcióinak eredetét?';

  @override
  String get knowledge250Sbdescription => 'Mitől különleges Monero? Tanuljon a Tudásoldalunkon található cikkek és útmutatók elolvasásával.';

  @override
  String get knowledge250Sbeconomy250Sb0250Sbtext => '<p>A kriptovaluták túlélésében, növekedésében, használhatóságában az egyik legfontosabb szempont a körkörös gazdaságok kialakítása. Láttuk, hogy ezek kis léptékben felbukkannak a Bitcoinon és más kriptovalutákon belül, de a Monero számos olyan tulajdonsággal rendelkezik, amelyek egyedülálló módon lehetővé teszik számunkra, hogy körkörös gazdaságot építsünk, és részt vegyünk benne.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtext => '<p>Bár biztos vagyok benne, hogy mindannyian lazán ismerik a gazdaságokat, mint tág témát, a „körkörös gazdaság” gondolata az, amiről ritkán esik szó a kriptovaluták világán kívül. A körkörös gazdaságot az teszi annyira fontossá és különlegessé, hogy valóban szabad piacokat hoznak létre, amelyek lehetővé teszik szolgáltatások, termékek és áruk kereskedelmét <em>közvetlenül a Monero számára</em>.</p>\n<p>A résztvevőknek nem kell állandóan be- és kiköltözniük a fiatból, de a rendszeren belül tarthatják Monerójukat, így közvetlenül Moneróban kereshetnek, takaríthatnak meg és költhetnek, a normál gazdaság súrlódásai, felügyelete vagy korlátozása nélkül. X606X]\n<p>A körkörös gazdaságok általában teljesen „felülmúltak” és legálisak, de inkább „szürke piacokként” funkcionálnak, mint a normál „fehér piacok” a fiat világban.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtitle => 'Mik azok a körkörös gazdaságok?';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtext => '<h6 id=\"remove-the-reliance-on-the-states-approval-and-id-system\">1. Távolítsa el az állami jóváhagyási és azonosítórendszertől való függőséget</h6>\n<p> Lehetséges, hogy ez a pont nem tűnik ki a legtöbb nyugatinak vagy olyan embernek, aki stabil országban élt személyazonosító rendszerrel, de az államilag kibocsátott személyi igazolványokra és jóváhagyásra támaszkodunk üzletvitel, megélhetés és megvásárlás céljából. A túlélés szükségessége lehetővé teszi az állam számára, hogy könnyen levágja azokat, akiket „nem megfelelőnek” tart</p>\n<p>Ez <em>nem</em> csak bűnözőkről van szó, hanem lehetnek politikai disszidensek, vallási kisebbségek, faji kisebbségek stb. Ez az ellenőrzés lehetővé teszi az állam számára, hogy megszabja, ki folytathat kereskedelmi tevékenységet és ki nem, kivel köthetünk üzletet , és mit tudunk vásárolni/eladni – lényegében az életet vagy a halált választva minden polgár számára a megfelelés alapján.</p>\n<p>A függőség megszüntetése a körkörös gazdaságok kiépítésével megszünteti az államok hatalmát azon képességünk felett, hogy részt vehessünk a gazdaságban, így túlélhetünk és gyarapodhatunk, függetlenül attól, hogy az állam mit gondol rólunk.</p>\n<h6 id=\"reduce-the-governments-control-of-monero-and-monero-users-via-fiat-onoff-ramps\">2. Csökkentse a Monero- és Monero-felhasználók kormányzati ellenőrzését a fiat be- és kikapcsolási rámpákkal</h6>\n<p>A Monero hihetetlenül erős adatvédelmi garanciái és decentralizációja rendkívül nehézzé (vagy akár lehetetlenné) teszi annak megakadályozását, hogy az emberek úgy használják, ahogy jónak látják. A Monero, mint a szabadság eszközének erős technikai alapja miatt a kormányok gyorsan felismerik, hogy a Monero-felhasználók ellenőrzésére vagy a hálózat hatékonyságának csökkentésére a legjobb esélyük az, hogy ellenőrizzék, ki férhet hozzá a Monero-hoz, miközben szép és rendezett listát állítanak össze a Monero-ról. Monero felhasználók a Know-Your-Customer (KYC) csereprogramokon keresztül.</p>\n<p>Amikor körkörös gazdaságot építünk ki, nem kell olyan gyakran (vagy akár egyáltalán!) használnunk a fiat be- és kikapcsolási rámpákat, és így meg lehet szüntetni ezt a kormányzati ellenőrzési pontot a tetteink felett.</p>\n<p>Ezt úgy is megtehetjük, ha megtagadjuk a központosított KYC-tőzsdék használatát, és peer-to-peer kereskedünk itt a LocalMonero-n.</p>';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtitle => 'Miért kell körkörös gazdaságot építenünk?';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtext => '<p>Míg a Monero osztja a Bitcoin néhány alapvető tulajdonságát, amelyek új módon teszik lehetővé a körforgásos gazdaságot (cenzúra-ellenálló fizetések, p2p-tranzakciók stb.), ez egy teljesen egyedülálló felhatalmazást ad azoknak, akik körkörös gazdaságot szeretnének építeni és bekapcsolódni. </p>\n<h6 id=\"monero-enables-global-p2p-transactions-without-fear-of-surveillance-or-censorship\">1. A Monero lehetővé teszi a globális p2p tranzakciókat anélkül, hogy félne a megfigyeléstől vagy a cenzúrától</h6>\n<p> A Monero felhasználóknak nem kell aggódniuk tranzakcióik tömeges megfigyelésétől vagy akár célzott cenzúrájától, ami egyedülálló nyugalmat tesz lehetővé, és megelőzi a kereskedelmet nehezítő terheket. Bármikor, bármilyen felügyelet nélkül üzletelhet a világon bárkivel az Ön által választott Monero pénztárcával.</p>\n<h6 id=\"fungibility-removes-the-risk-of-tainted-coins-and-ensures-trust\">2. A helyettesíthetőség megszünteti a szennyezett érmék kockázatát, és biztosítja a bizalmat</h6>\n<p>Mivel a Monero helyettesíthető (1 XMR egyenlő 1 XMR-rel, bármi is legyen), a körforgásos gazdaság résztvevőinek nem kell aggódniuk az általuk küldött vagy fogadott pénzeszközök miatt. Az általuk küldött Monero nem vezethető vissza más tranzakcióikra, és nincs előzménye, így nem cenzúrázható az előzmények alapján, és a kapott Monero mindig teljes piaci értéken szabadon elkölthető. Ez a helyettesíthetőség növeli a résztvevők nyugalmát, biztosítja, hogy a láncelemző cégek ne kényszerítsenek utat a körforgásos gazdaságokba, és megakadályozza a Moneroba, mint cseremódszerbe vetett bizalom összeomlását.</p>\n<p>A Bitcoinba, mint cseremódszerbe vetett bizalom jelenlegi megbomlása ahhoz vezet, hogy gyorsan elveszíti vonzerejét a körkörös gazdaságokban, ahol a Monero jelen van. Az emberek nem akarják, hogy ellenőrizzék a pénzeszközök szennyezettségét, ne aggódjanak amiatt, hogy szabadon el tudják-e költeni, és nem érzik szükségét, hogy bármilyen láncelemző eszközt használjanak, hogy megvédjék magukat a jogi vagy szabályozási problémáktól.</p>\n<h6 id=\"moneros-low-fees-ensure-a-free-flow-of-commerce\">3. A Monero alacsony díjai biztosítják a kereskedelem szabad áramlását</h6>\n<p>Az egyik legegyszerűbb észrevétel a Monero-tranzakciókkal kapcsolatban, hogy a tranzakciós díjak hihetetlenül alacsonyak, és az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/monero-tail-emission\">farok kibocsátásnak</a> és az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/dynamic-block-size\">dinamikus blokkméretnek</a> köszönhetően hosszú távon is ésszerűek maradnak. </p>\n<p>Ezek az alacsony díjak biztosítják, hogy a kereskedelem szabadon folyhasson, függetlenül a blokklánc torlódásától, tovább csökkentve a résztvevőkre nehezedő mentális terhet és stresszt, hogy megpróbálják időzíteni tranzakcióikat, vagy órákat/napokat várni az alacsony díjas tranzakciók megerősítésére. A ma 1 cent körüli díjakkal szabadon lebonyolíthat bármilyen méretű tranzakciót anélkül, hogy aggódnia kellene a költségek miatt.</p>';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtitle => 'Hogyan teszi lehetővé a Monero egyedülálló módon ezeket a körforgásos gazdaságokat?';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtext => '<p>Végül a Monero olyan digitális készpénz, amilyennek lennie kell. A készpénzes tranzakciók nyugalma, helyettesíthetősége és magánélete, de a digitális, globális és p2p-tranzakciók minden előnyével elválasztva az állam irányításától vagy felügyeletétől. Ez a digitális készpénzként való működés egyedülálló módon teszi lehetővé a körforgásos gazdaságokat manapság, és segíti őket abban, hogy idővel olyan módon növekedjenek és gyarapodjanak, amire más kriptovaluták, például a Bitcoin egyszerűen nem képesek.</p>';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtitle => 'Következtetés';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtext => '<p>Ha kíváncsi, és szeretné jobban megérteni a körkörös gazdaságokat, vagy még ma részt szeretne venni benne, tekintse meg az alábbi linkeket, ahol nagyszerű helyeket találhat a kezdéshez:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies\">„KYC- Ingyenes Bitcoin körkörös gazdaságok: Szabadítsd fel a piacokat, szabadítsd fel a világot” – Anarkio</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular- gazdaság/\">\"Itt az ideje, hogy csatlakozz a Bitcoin körkörös gazdaságához\" - Ragnar Lifthrasir</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monerica.com/\">„Monerica.com – A körkörös Monero-gazdaság címjegyzéke”< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cryptwerk.com/pay-with/xmr/\">Monero Merchants – Cryptwerk</a> </li>';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtitle => 'Hogyan tanulhatok többet?';

  @override
  String get knowledge250Sbeconomy250Sbdescription => 'Ma azt vizsgáljuk, hogy Monero digitális készpénzként való képessége egyedülálló módon teszi lehetővé a körforgásos gazdaságok fejlődését.';

  @override
  String get knowledge250Sbeconomy250Sbtitle => 'A Monero egyedülálló módon teszi lehetővé a körkörös gazdaságot';

  @override
  String get knowledge250Sbemission250Sb0250Sbtext => '<p>Amikor a legtöbb ember arra gondol, hogy mi különbözteti meg a Monero-t, a Monero adatvédelmi technológiájára gondolnak. Valójában a legtöbben a magánéletet és az általa feloldható helyettesíthetőséget tekintenék Monero meghatározó tulajdonságának, és a fő fegyvernek, amelyet más érmékhez képest a ringbe hoz. A legtöbb ember nem tudja, hogy a Monero más protokollbeli eltéréseket is tartalmaz a Bitcointól és származékaitól, amelyekről egyesek úgy vélik, hogy ugyanolyan fontosak, mint a Monero adatvédelmi technológiái. Ebben a cikkben ezek egyikét nézzük meg: a farokkibocsátást.</p>\n\n<p>Először is határozzuk meg, mit jelent ez a kifejezés. A farokkibocsátás a blokkjutalmak szüntelen támogatása, még az „utolsó” Monero leverése után is. Más szóval, Monero blokkjutalma soha nem fog nullára csökkenni, hanem addig csökken, amíg el nem éri a blokkonkénti 0,6 XMR-t, és akkor örökre ott marad. A bányászok mindig fizetést kapnak a Monero bányászatáért, és soha nem kell kizárólag a díjpiacra hagyatkozniuk.</p>\n\n<p> De tegyünk egy lépést hátra, és tekintsük a bányászatot nagyon magas szinten. A Monero bányászait a hash bányászata ösztönzi a hálózat biztonságára. Az ösztönzés a Monero elkészítésének lehetősége, ha új blokkot találnak. Ezt a Monero-t kétféleképpen ítélik oda. Először is, a bányász megkapja minden olyan felhasználó fizetett díját, aki fizetett a tranzakció blokkba való felvételéért. Ezek azok a tranzakciós díjak, amelyeket a tranzakció elküldésekor fizet. Másodszor, a bányász előre meghatározott mennyiségű Monero-t kap magától a protokolltól. A legtöbb esetben ez a „blokkjutalom” lényegesen magasabb, mint a felhasználói tranzakciós díjak, és itt keresik a legtöbb pénzt a bányászok. Ez a blokkjutalom arra szolgál, hogy a bányászok pénzügyileg befektessenek a lánc biztonságába, valamint új érmék forgalomba kerüljenek.</p>\n\n<p>A legtöbb kriptovaluta protokollban ez a blokkjutalom idővel csökken. A legtöbb Bitcoin-származéknak van úgynevezett felezése, azaz előre meghatározott időpontok, amikor a blokk jutalom felezik (például 20 BTC-ről 10 BTC-re). Ezek a felezések néhány évente megtörténnek, és minden alkalommal, amikor ez megtörténik, a hálózat biztonsága csökken. Miért? Nos, arra biztatjuk az olvasót, hogy olvassa el <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">cikkenket a bányászatról és a RandomX-ről</a>, és ennek során megtanulják, hogy a bányászat versenyfutás. Blokkjutalmakat csak azok kapnak, akik találnak egy blokkot, és sok entitás versenyez ezért. Ha magasabbak a jutalmak, többen érdeklődnek a játék iránt, míg ha a jutalmak alacsonyak, kevesebb ember lesz hajlandó arra fordítani idejét és erőforrásait, hogy egy csekély nyereményt nyerjen. díj.</p>\n\n<p>Már kezdjük megkarcolni Monero farokkibocsátásának okát. Monerónak is csökken a blokkjutalom, bár a Bitcoinnal ellentétben nincs felezés. Ehelyett minden blokk jutalom egy kicsivel kevesebb, mint az előző, így a csökkentés sokkal simább. De minden kriptovalutánál felmerül a kérdés: „Mi történik, ha a blokk jutalom eléri a nullát?” Ez egy furcsa helyzet, amelyben mindketten tudjuk és nem is tudjuk a választ. Azt tudjuk, hogy nem lesz többé blokkjutalom-támogatás, ami azt jelenti, hogy a bányászokat pusztán a felhasználói tranzakciós díjakkal kell ösztönözni. Azt nem tudjuk, hogy ezek az összegek elegendőek-e ahhoz, hogy a bányászok biztosítsák a láncot.</p>\n\n<p>Amint azt korábban említettük, jelenleg a blokkjutalom jelentős mértékben meghaladja a tranzakciós díjakat, így remélhetőleg minél több felhasználó használja a láncot, a díjak növekedni fognak, és a magasabb díjakkal a bányászok is megérik. ideje folytatni a bányászatot. Van azonban ennek a forgatókönyvnek egy másik oldala is, a felhasználók oldala. Ha a díjak emelkednek, akkor mindenki számára sokkal drágább lesz a kriptovalutával történő tranzakció, ami potenciálisan elzárhatja azokat azoktól, akik nem rendelkeznek elegendő pénzforrással. Másrészt, ha a díjak alacsonyak maradnak, és a blokk jutalom nullára csökken, akkor nagyon kevés bányász fogja biztosítani a hálózatot, így az 51%-os támadásokkal és visszafordított tranzakciókkal szemben sebezhetővé válik.</p>\n\n<p>Senkinek nincs jó válasza erre a forgatókönyvre, és még egyetlen jelentős érme sem lépett be kriptovalutájuk életének ebbe a szakaszába, így nincs vele valós tapasztalatunk sem. Ez mind spekuláció. Szerencsejáték. A Bitcoin megteszi, hogy a díjak elegendőek lesznek a bányászok eltartására, még akkor is, ha ez az elszegényedők kizárását jelenti. Monero másképp fogad. Monero arra fogad, hogy a díjak önmagukban nem lennének elegendőek a láncbiztonsághoz, ezért a protokoll részeként tartalmazza a farokkibocsátást.</p>\n\n<p>Emlékeztetjük az olvasót, hogy a blokkjutalom soha nem csökken blokkonként 0,6 XMR alá. Ez elég lesz a bányászok ösztönzésére? Nem tudjuk, de minden bizonnyal jobb, mint a 0, amit szinte minden más valuta beépített a protokolljába.</p>\n\n<p>A fő kritika ezzel a megközelítéssel szemben az, hogy ez azt jelenti, hogy a Monero kínálata elméletileg végtelen, és idővel inflációt okoz, míg a blokk jutalmát megszabó érmék kínálata véges, szűkösségük növeli az értéket idővel. Úgy érezzük, ez az érv több okból is elégtelen.</p>\n\n<p>Először is, mire jó egy szűkös, nagy értékű érme, amelyet az alacsony biztonság miatt könnyen meg lehet támadni, cenzúrázni és felforgatni? Ha valami, az alacsony biztonság csökkentené az értéket, több mint ellensúlyozná a hiány növekedését. Másodszor, bár a Monero kínálata elméletileg végtelen, az infláció lineáris, és éves százalékban a nulla felé tart, ellentétben a fiattal, amely exponenciális.</p>\n\n<p>A Monero inflációja előre pontosan ismert, és pontosan előrevetíthető, ellentétben a fiattal, amely egy adott évben többé-kevésbé növekedhet a hatalmak szeszélyei alapján. Ez továbbra is megőrzi a cypherpunk szellemiségét, hogy a protokoll által kikényszerített technológián keresztül kiküszöbölje az emberi korrupció lehetőségét. A nyugalom további előnye, hogy a Monero blokkláncának biztonsága a bányászat révén mindaddig fennmarad, amíg a világnak szüksége van rá.</p>\n\n<p>Az utolsó szempont, amelyet érinteni szeretnénk, a méltányosság. A pénzt többféleképpen használják fel értéktárolóként, csereeszközként és elszámolási egységként. Egy olyan rendszerben, ahol a kínálat véges, az infláció megáll, vagyis azok, akik értéktárolónak használják, ingyen használják a rendszert. A bányászok által nyújtott folyamatos biztonságban részesülnek anélkül, hogy bármit is fizetnének érte, hiszen infláció nélkül a pénzük idővel nem veszít lassan értékéből. Ezzel szemben mindenki, aki a valutát csereeszközként használja, büntetést kap (potenciálisan magas tranzakciós díjak miatt). Ez arra ösztönzi az embereket, hogy tartsanak, de ne költsenek, és a rendszer méltányosságát a birtokosok javára torzítja. A farokkibocsátással ez kiegyenlíti az egyenletet. A birtokosok most az infláció révén egy kis adót is fizetnek a rendszer biztonsága érdekében. A farokkibocsátás mindenki számára igazságosabbá teszi.</p>';

  @override
  String get knowledge250Sbemission250Sbdescription => 'A Monero adatvédelmi technológiája nem az egyetlen különbség, amely megkülönbözteti a BTC-től és származékaitól. Ebben a cikkben egy másikat is megvizsgálunk - a farokkibocsátást.';

  @override
  String get knowledge250Sbemission250Sbtitle => 'Miért van Monerónak farokkibocsátása?';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtext => 'A blokklánc egyik gyakran énekelt célja a hatalom visszaadása az emberek kezébe. Milyen teljesítmény és mennyiben különbözik attól függően, hogy kit kérdezel, és maga a blokklánc kialakítása határozza meg, hogyan valósul meg ez az újraelosztás. Számos eszköz járul hozzá az eltérések kijavításához, és szeretnénk megvitatni egyet, amely nagy hatással van egy projekt lebonyolítására és a benne rejlő tényleges energia-újraelosztási potenciálra: a nyílt forráskód.';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtitle => 'Erő az embereknek';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtext => 'Az ingyenes, nyílt forráskódú szoftver (FOSS) projekt olyan, amelyben a kód oly módon van licencelve, hogy bárki és mindenki számára elérhető legyen megtekintésére, módosítására, auditálására és másolására. Ezzel szemben a szabadalmaztatott szoftverek kódja el van rejtve, és üzleti titokként megőrződik, amelyet nem osztanak meg, mert attól tartanak, hogy a verseny lemásolja azt a kemény munkát, amelyet az alkotó fizetett vagy végzett. Csak a végén készült program kerül nyilvánosságra, a kód nem.\n<br/><br/>\nA FOSS szoftver számos előnnyel rendelkezik a szabadalmaztatott társaival szemben, mint például a potenciálisan kevesebb hiba (mivel bárki szabadon ellenőrizheti a kódot), innováció (mivel a hozzájárulások bárhonnan, bármikor érkezhetnek), valamint olyan emberek felhatalmazása, akik esetleg nem engedhetik meg maguknak. vagy más módon használja fel a tulajdonában álló ajánlatokat.\n<br/><br/>\nEz igaz a szabványos FOSS projektekre, és a blokklánc sem kivétel. A tér nyüzsög a nyílt forráskódú szoftverekről szóló beszédektől, és a kriptovaluta veteránjai gyanakvással és kritikával fogadják a szabadalmaztatott pénztárca ajánlatokat. Annak ellenére, hogy a legtöbb nagyobb blokklánc referencia-megvalósítása nyílt forráskódú, vannak olyanok – például a Monero –, amelyek túlmutatnak és kitűnnek a tömegből.';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtitle => 'Nyílt forráskódú szoftver';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtext => 'Bár igaz, hogy a legtöbb projekt rendelkezik nyílt forráskóddal, ártana a koncepció szellemének, ha nem ásnánk egy kicsit mélyebbre, hogy meglássuk, miért olyan erős a nyílt forráskód. A valóság az, hogy a nyílt forráskódú licencelés elősegíti az emberek nyílt együttműködését az élet minden területéről és életszakaszából, azzal a szándékkal, hogy olyan eszközöket hozzanak létre, amelyek szükségesek, hasznosak és előnyösek az emberiség számára.\n<br/><br/>\nEgyes kriptovaluták, míg a kódot végül kiadják, titokban fejlesztik, hogy megelőzzék a versengő projekteket. Noha ezek a projektek „nyílt forráskódú projekteknek” minősülnek, mivel a kódjukat végül nyilvánosságra hozzák, a kezdeti fejlesztést még mindig néhány kiválasztott végzi, ami sok olyan előny elvesztéséhez vezet, amelyeket a nyílt forráskód egyébként nyújthatna.\n<br/><br/>\nA nyílt forráskódú projektek szelleme a nyílt együttműködés mindenki javára, nem pedig kevesek javára, és így a Monero felülmúlja legtöbb társát. Nemcsak a Monero fejlesztése zajlik nyílt módon, gyakori találkozókkal, amelyeken bárki részt vehet és felszólalhat, hanem a kutatás és a megvalósítás is. Valójában a Monero legtöbb legnagyobb áttörése külső forrásokból, együttműködésen keresztül, vagy egy látszólag véletlenszerű személy által új ötlettel – például golyóállóság és adatvédelmi optimalizálás – érkezett a kutatási platformokhoz.';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtitle => 'A blokklánc kapcsolat';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtext => 'A blokklánc projekt értékelésekor azt javasoljuk, hogy a felhasználó ne csak azt nézze meg, hogy a kód elérhető-e megtekintésre, hanem azt is, hogy a projekt egyéb vonatkozásai is nyitott, átlátható módon zajlanak-e. Minél zártabbak az ajtók a közösségi részvétel előtt, annál nyugtalanabbnak kell éreznie magát. Ez azonban sokak számára buktató, mivel sokan a szabadalmaztatott világból származunk, ahol az átláthatóság nem általános, és nincs referenciapontunk arra vonatkozóan, hogy mi számít „elég nyitottnak”, nemcsak kódban, hanem egy projekt szelleme és egyéb területei.\n<br/><br/>\nValójában a legtöbb projekt a közösségi médiában hirdeti nyitottságát, de ha megnézzük, hogy ténylegesen hányan járulnak hozzá a szoftverhez, a fejlesztéshez vagy a kutatáshoz azokon kívül, akiket foglalkoztatnak vagy más módon kompenzáltak, a valóság elképesztően más lehet, mint ami állította. Lehetséges, hogy a hatalmon lévők (formálisan vagy informálisan) elutasítóak vagy egyenesen ellenségesek mások elképzeléseivel kapcsolatban.\n<br/><br/>\nA Monero úgy próbálja teljesen megkerülni ezt a problémát, hogy nincs hivatalos szerepe a projektben, még a Monero törzscsapata is elsősorban az infrastruktúrát üzemelteti, és nem sok köze van a projekt tényleges fejlesztéséhez vagy kutatásához. Ennek ellenére informális hatalmi struktúrák alakulnak ki minden társadalmi körben, és Monero sem kivétel, ezért számolni kell velük.';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtitle => 'A kódon túl';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtext => 'Noha a nyílt forráskódú szoftverek közösségi részei értékesek felfedezésre és megvitatásra, és ennek hiánya számos projekt bukásához vezetett, a beszélgetés meglehetősen bonyolulttá válhat, és általában kívül esik e cikk hatókörén. bár az olvasót arra biztatjuk, hogy folytassa a FOSS-kezelés e kritikus részének megismerését.\n<br/><br/>\nA Monero Project folyamatosan arra törekszik, hogy módot találjon a nyílt forráskód szellemében oly kritikus nyílt együttműködés előmozdítására. Ha egyesek előnyben részesítik az egyik csevegési platformot a másikkal szemben, akkor a kommunikáció fokozása érdekében hidakat építenek ki a meglévő platformokkal. Ha az emberek egy csoportja úgy érzi, hogy nem rendelkezik eszközökkel vagy infrastruktúrával ahhoz, hogy megvalósítsa a Monero jobbá tételét célzó ötleteit, akkor a közösség meglátja, milyen (FOSS) eszközök állnak rendelkezésre.\n<br/><br/>\nEz azt jelenti, hogy nem csak a kódra kell figyelni, ami csak az egyik aspektusa a projektnek, hanem a terveken, a kutatáson, a digitális infrastruktúrán és a beszélgetéseken is.\n<br/><br/>\nA nyílt forráskódú szoftverek szellemisége nem csupán a nyílt kód, hanem az is, hogy képessé tegye az embereket, hangot adjon nekik, és globális együttműködésen keresztül megváltoztassa a világot. Az olvasót arra biztatjuk, hogy nézze meg, hogy az őket érdeklő projektek ezekhez az alapvető értékekhez igazodnak-e, vagy csak a kód licencelésénél állnak meg.\n<br/><br/>\nArra is felkérjük őket, hogy futtassák ugyanazt a rubrikát a Monero-n. Tudjuk, hogy csak rá fog jönni, hogy miért a Monero az egyik legbiztonságosabb és legegyüttműködőbb közösség a kriptovaluta világában.';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtitle => 'Eszköz vagy cél?';

  @override
  String get knowledge250Sbfoss250Sbdescription => 'Tudja meg, hogy a nyílt forráskódú és decentralizáltság miért jelent a Monero számára hatalmas előnyt a versengő kriptovalutákkal szemben.';

  @override
  String get knowledge250Sbfoss250Sbtitle => 'Miért nyílt forráskódú és decentralizált a Monero?';

  @override
  String get knowledge250Sbhistory250Sb0250Sbtext => '<p>Kevés kriptovaluta projekt eredete rejtélyes. A legtöbbnek azonosítható alapítója van, és sokan felpörgették projekteiket az indulás előtt, hogy maximalizálják az ICO-ból származó profitot. Úgy tűnt, hogy a bitcoin egyedül áll a kriptográfiai közösségből a semmiből kieső dokumentumban, és eltűnt az alapítójuk, Satoshi Nakamoto.</p>\n\n<p>Moneróig.</p>\n\n<p>De mielőtt elkezdenénk beszélni a Monero 2014-es bevezetéséről, még régebbre kell mennünk.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtext => '<p>2013 szeptemberében egy korábban ismeretlen csoport, a Cryptonote kiadott egy tanulmányt egy új protokollról, ugyanazon a néven. Ez a protokoll Bitcoin-szerű kriptovalutát kívánt létrehozni, bár opcionális csengőaláírásokat és lopakodó címeket használt a magánélet megerősítésére. Nem sokkal később, 2013 novemberében, a kezdeti kódot átküldték a GitHubra egy új, Bytecoin nevű érméhez. Ez az érme a dolgozatban leírt protokollt valósította meg egy vadonatúj kódbázison (azaz nem bitcoinból lett kicsavarva, mint akkoriban a legtöbb más érme).</p>\n\n<p>A Bytecoin csapata időt szakított arra, hogy a kód többi részét elhelyezze a tárhelyükön, de úgy tűnt, 2014 márciusára elkészült, amikor a projektet később egy „véletlenszerű” személy „felfedezte” a BitcoinTalk fórumokon, bár ma már széles körben azt gyanítják, hogy ez érdeklődést keltő növény volt. Miután a sockbábunak sikerült szemet gyűjtenie, az újonnan érdeklődők valami furcsaságot fedeztek fel: az érmék több mint 80%-át már kibányászták.</p>\n\n<p> Ez csillagászati összeg volt, és sokan hajlandók voltak átverésként leírni, és továbbmenni; vagyis addig, amíg a Bytecoin csapata meg nem jelent. Azt állították, hogy az érme ekkora részét azért bányászták ki, mert a Bytecoin valójában nem egy új érme volt, hatalmas előképgel, hanem két éve, 2012 óta létezik a mélyhálón.</p>\n\n<p>Röviden összefoglalva, ezeket az állításokat nem fogadták jól, mivel korábban senki sem hallott a Bytecoinról, és nem telt el sok idő, amíg az emberek elvesztették érdeklődésüket. Nem mindenki volt azonban hajlandó teljesen feladni. Néhányan elkezdték átnézni a Cryptonote protokollt, amelyen a Bytecoin alapult, és arra a következtetésre jutottak, hogy maga a protokoll szilárdnak és innovatívnak tűnt, még akkor is, ha az első megvalósítás nem volt az. </p>\n\n<p>Abban a pontban verseny volt, hogy megtudják, ki tudja a Bytecoint elágazni, megtisztítani a kódot, és legyen az első „nem átverés” verzió a piacon, hogy megszerezze az első lépés előnyét.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtitle => 'Bytecoin';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtext => '<p>2014. április 9-én egy másik, korábban hallatlan entitás, a thankful_for_today posztolt a BitcoinTalk fórumokon, és bejelentette az első Bytecoin villa, a Bitmonero elindítását. Mivel ez volt az első elágazás, a Bitmonero hamar felkeltette a figyelmet, és egy kis közösség alakult körülötte, amikor április 18-án elindult, és szívesen folytatta volna ott, ahol a Bytecoin abbahagyta, de nem kellett sok idő, hogy a Bitmonero-ban is érezhető legyen valami halas szag. </p>\n\n<p>Az alapítóval, hálás_for_today-val nehéznek bizonyult a munka. Gyakran napokig eltűnik (nagyon furcsa egy vadonatúj érménél a fejlesztés első napjaiban), és gyakran szembemegy a közösséggel azzal, hogy megpróbálta egyesíteni a Monero bányát a Bytecoinnal, módosítani a kibocsátási ütemtervet, és általában nem hajlandó együttműködni az a következetes magcsoport, amely az érme köré épített, és odáig jutott, hogy saját weboldala, BitcoinTalk bejegyzése és adattárai voltak.</p>\n\n<p>Hamar kiderült, hogy a Monero körül kialakult törzscsoport sokkal aktívabb és kompetensebb, mint a hálás_for_ma, és annak ellenére, hogy többször is meghívták a részvételre, végül eltűnt, és lábjegyzetté vált Monero történetében. Sok évvel később azt gyanítják, hogy titokban a Bytecoin csapatának is tagja volt. Miért? Nos, ezalatt a Bytecoin sem ült tétlenül.</p>';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtitle => 'Bitmonero';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtext => '<p>A Bytecoin csapata nem volt elégedett. Az a tervük, hogy meggazdagodjanak a hazugságukból a masszívan előbányászott érmükből, kudarcot vallott. Minden munkát beleadtak a protokoll kidolgozásába (erős bizonyíték van arra, hogy a CryptoNote fejlesztői és a Bytecoin fejlesztői nagyon szoros rokonságban álltak egymással), és nem volt mit felmutatniuk érte.</p>\n\n<p> De még nem készültek el. Bevezettek egy új érmét, a Bitmonero-t, új álnéven, hálás_majáért. Tulajdonképpen miért álljunk meg itt? Mivel ők ismerik a legjobban a kódot, több új érmét dobhattak piacra némileg eltérő emissziós ütemezéssel és névvel, új fiókokkal, és senki sem lenne bölcsebb, mint ők. Így tették. A Fantomcoin, a Monte Verde, a Dashcoin (nem tévesztendő össze a Dash-sel) és még több fork, nem sokkal a Bitmonero piacra dobása után jelentek meg, és megpróbálták kivenni a piaci részesedést.</p>\n\n<p>Ezek a kísérletek végül kudarcot vallottak, mivel Monero gyorsan túlnőtt a versenyen, és nem hagyott kétséget a CryptoNote-érmék nyertesét illetően.</p>\n\n<p>A csalások azonban még mindig nem értek véget. A Bytecoinnak volt még egy utolsó trükkje. Amikor a thankful_for_today kiadta a Bitmonero-t, egy szándékosan deoptimalizált bányászt is elengedett mellé. Megtartotta az optimalizált verziót, és abban reménykedett, hogy nagy rejtekhelyet gyűjthet magának, de ezeket a deoptimálásokat gyorsan elkapta a törzscsapat, valamint más, független csoportok, és még ezt is rövid időn belül kijavították. Ezzel, az utolsó átverésükkel, legyőzve, a Bytecoin a sötétbe vonult, és csak a 2017-es kriptovaluta-piaci boom csúcspontján jelent meg, hogy hamis márkákat és bejelentéseket tegyen, hogy megpróbálja kicsikarni az átverésükből származó utolsó hasznot az aprópénzük rovására. , gyanútlan közösség.</p>';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtitle => 'Felperzselt föld';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtext => '<p>Nem sok érme dicsekedhet azzal, hogy van egy alapítója, aki már nincs velük. Valójában a Bitcoin és a Monero a két legnagyobb példa. Míg az összehasonlítás jótékonyabb megvilágításba helyezi a Bitcoint, Monero átverős kezdeteiből is le kell vonni tanulságokat.</p>\n\n<p>A Bitcoin megmutatta, mi történhet, ha valaki belefáradt a jelenlegi rendszerbe, és fel mer lépni az innovációval a status quo kihívásaira. Monero egy olyan közösség erejét mutatja be, amely nem hajlandó hazugságokkal táplálkozni, megtalálja magának az igazságot, és visszaszerzi azokat az eszközöket, amelyekkel felépíteni szabadságát. Lehet, hogy a Monero átverésnek indult, de valóban hatékony fegyverré fejlődött, amellyel visszaszerezheti pénzügyi magánéletünket.</p>';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtitle => 'Következtetés';

  @override
  String get knowledge250Sbhistory250Sbdescription => 'Úgy tűnt, a bitcoin egyedül áll a semmiből kiesett fehér könyvben, és eltűnt az alapítójuk. Moneróig.';

  @override
  String get knowledge250Sbhistory250Sbtitle => 'Monero rövid története';

  @override
  String get knowledge250Sbkeys250Sb0250Sbtext => '<p> Hallottad már a „nem a kulcsaid, nem az érméid” kifejezést?\nEz a kriptovaluta közösségben mindenütt elterjedt kifejezés lett, de\nannak ellenére, hogy a legtöbb ember hallotta a kriptovaluták túlnyomó többségét\na felhasználók nem rendelkeznek saját kulcsokkal.</p>\n<p>A kriptovaluta előnyei, amelyek valóban megkülönböztetik a\nA hagyományos pénzügyi rendszer csak akkor valósul meg, ha teljes\npénzeszközei őrzése – az érméihez tartozó privát kulcsok tartása.</p>\n<p>Ebben a rövid bejegyzésben azt mutatjuk be, hogy miért érdemes a saját kulcsait tartani\nés adjon néhány egyszerű módszert a Monero <em> saját felügyeletére még ma</em>.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtext => '<h6 id=\"it-preserves-the-privacy-that-monero-affords-users\"> Megőrzi\na Monero által a felhasználóknak nyújtott adatvédelem</h6>\n<p> Az öngondnokság egyik leggyakrabban félreértett vonatkozása\nMonero az, hogy ha nem tartod a saját kulcsaidat, keveset nyersz, vagy nem\nélvezze a Monero által kínált adatvédelmi lehetőségeket. Egy tranzakció feladójaként\nteljes rálátása van a valós ráfordításra, összegre és a címzett címére,\nha nem Ön küldi a tranzakciót, és hagyja ezt\ntőzsde vagy letétkezelő, <em>teljes</em> rálátásuk van a\nhogyan költi el a Monero-t.</p>\n<p> Szerencsére a pénz elküldése után Monero garantálja az adatvédelmet\nrúgjon be, és biztosítson erős „további titoktartást”, de ez egyértelmű lesz\na tőzsde vagy a letétkezelő, ahová az összeget küldte, és mennyit küldött\nkezdetben.</p>\n<h6 id=\"it-enables-the-incredible-censorship-resistance-of-monero\">Ez\nlehetővé teszi a Monero hihetetlen cenzúra-ellenállását</h6>\n<p>A Monero egyik alapvető szempontja az engedélyezés\ncenzúraálló tranzakciók – lehetővé teszi tranzakciók lebonyolítását\namit „ők” jóváhagynak vagy nem, bármit is próbálnak\ntegyen, hogy megállítson. Bár a cenzúra-ellenállás szükségessége egy kicsit lehet\nelveszett a „szabad” országokban élők előtt, a gyors csúszás felé\ntekintélyelvűség és politikai hanyatlás a világ számos részén\nnapról napra nyilvánvalóbbá téve, hogy módra van szükségünk az üzletkötéshez\nvagy kormányzati jóváhagyás nélkül.</p>\n<p>Ha azonban nem rendelkezik saját kulcsokkal, akkor egy kormány vagy szabályozó\nkönnyen rákényszerítheti a tőzsdét vagy a letétkezelőt, hogy feketelistára tegye pénzeszközeit, lefoglalja\nvagy cenzúrázza a tranzakciókat meghatározott címekre. Ez már van\nma az állami szintű szankciók miatt nagyjából megtörténik, és az lesz\nnövekvő téma, ahogy a kormányok és a szabályozók ráébrednek, hogy a cserék\nés a letétkezelők jelentik a legegyszerűbb utat Monero feletti ellenőrzés felé\nhasználat.</p>\n<p> Eljöhet az a nap is, amikor egy kormány betiltja az öngondoskodást\nMonero-ból, és ha még nem vette ki Moneróját egy cseréből\nvagy letétkezelő, akire esetleg soha nem lesz képes.</p>\n<h6 id=\"it-prevents-simple-theft-or-confiscation-of-your-monero\">Ez\nmegakadályozza a Monero egyszerű ellopását vagy elkobzását</h6>\n<p>Egy feltételezett, de lehetséges forgatókönyv lehet a legrosszabb eset\nazok, akik úgy döntenek, hogy nem tartják kezükben a kulcsaikat – a Monero-szerzésük\nellopta egy hacker, vagy a kormány elkobozta egy <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://en.wikipedia.org/wiki/Executive_Order_6102\">6102-szerű\nrendelés</a>.</p>\n<p><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://blog.chainalysis.com/reports/2022-crypto-crime-report-introduction/\"> Majdnem\n500 millió dollár</a> kriptovalutát loptak el központi tőzsdékről\n2021-ben összesen 3,2 milliárd dollárt loptak el azoktól a felhasználóktól, akik feladták a felügyeletet\npénzeszközök ilyen vagy olyan okból. Ez az egyik legnagyobb kockázat\nkriptovaluta felhasználók, és folyamatosan növekszik mind az esetszám, mind a\nkötet, ahogy a kriptovaluta egyre népszerűbb. Ha egy pénzváltó birtokolja a kulcsokat\naz Ön pénzeszközeihez, ezeket a pénzeszközöket ellophatja egy hacker (vagy a tőzsde\nmagukat!) bármikor.</p>\n<p>Ha a saját kulcsaival rendelkezik, az egyetlen valódi lopási kockázat, ill\naz elkobzás csalások és fizikai támadások, ami sokkal kevesebb\nvalószínű, és általában csak nagy horderejű egyénekkel vagy olyanokkal fordul elő\nmegsérült az ügyfél-ismeret (KYC) adatainak ellopása vagy elvesztése\nközpontosított központok, amelyek összekapcsolják azonosítójukat és címüket\nkriptovaluta tulajdonjog.</p>\n<h6\nid=\"it-prevents-exchanges-leveraging-fractional-reserve-lending-and-trading\">Ez\nmegakadályozza, hogy a töredéktartalék-hitelezést kihasználó tőzsdék és\nkereskedés</h6>\n<p> A saját kulcsok kézben tartásának egy másik fontos szempontja a kevesebb\nszemélyes és közösségibb. Amikor a felhasználók túlnyomó többsége Moneroban\ntartsa a saját kulcsait, a cserék kevésbé tudnak hazudni az összegről\nMonero-t őriznek és kereskednek a „Moneró papírral”, mivel a felhasználók nem tartják meg\nMonerójuk cserében.</p>\n<p> Noha az ilyen típusú tevékenységeket nem gyakran erősítik meg nyilvánosan, ott\nA közösségben sokan aggódnak a Binance-hoz hasonló cserék miatt\na felhasználók a tőzsdén tartott Monero-t használják fel kereskedésre\nMonero ellen, felfújva a Monero rövidnadrág mennyiségét és árat okozva\nidőbeli elnyomás.</p>\n<p>Ez a viselkedés likviditási válságokhoz is vezethet, amikor a felhasználók\nAz <em>do</em> saját kulcsát akarja tartani, nem tudja visszavonni a\ncsere, mivel a tőzsde több Monerót ígért felhasználóinak, mint ő\nténylegesen elérhető. Minél több Monero felhasználó tartja a saját kulcsát és\ntartsa a Monero off csere, az egészségesebb és természetesebb a\nA piac elméletileg rosszindulatú vagy kapzsi lesz, és a kevésbé kockázatos\naz árfolyamok a Monero árának stabilitását jelenthetik.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtitle => 'Miért fontos a saját kulcsok birtoklása?';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtext => '<p>Amikor elkezdi kézben tartani a saját kulcsait, az a legfontosabb\nne feledje, hogy <em>mentse el és őrizze meg a kezdő kifejezést</em>! Ez a\n14 vagy 25 véletlenszerű szóból álló készlet, amelyet bármelyik Monero pénztárca megad, amikor\nlétrehoz egy pénztárcát, és csak ennyire lesz szüksége ahhoz, hogy visszakapja a pénzét, ha\nelveszíti telefonját, asztali számítógépét, laptopját, vagy elfelejti a\njelszót.</p>\n<p>Kezeld úgy ezt a magmondatot, mintha megérné a benned lévő Monerót\npénztárca, mivel bárki, aki megszerzi, teljes hozzáférést fog kapni a pénzeszközökhöz\na pénztárcád. Ideális biztonságos vagy titkos helyen tartani,\ntöbb példányt őrizzen meg tűz vagy természeti katasztrófa esetén, és soha\nmutasd meg bárkinek.</p>\n<p>További információ a kezdő kifejezésekről: <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://web.getmonero.org/resources/moneropedia/mnemonicseed.html\">Mnemonic\nVetőmag | Moneropedia</a>.</p>\n<h6 id=\"using-free-and-open-source-wallets\">Ingyenes és nyílt forráskódú szolgáltatások használata\npénztárcák</h6>at\n<h5 id=\"for-desktop\">Asztali számítógéphez</h4>\n<p>Ha Ön főleg asztali számítógépet használ, és nem költ/kap Monero-t\nnagyon gyakran útközben van néhány szilárd választás, hogy megtartsd magad\nkulcsokat anélkül, hogy harmadik felekre kellene hagyatkoznia.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://getmonero.org/downloads\">A hivatalos Monero\npénztárca</a>\n<ul>\n<li>Ez a hivatalos Monero pénztárcaszoftver, és állandó volt\nfejlesztések és kiegészítések. Tartalmaz egy integrált Monero démont (ha\nnagyon felhasználóbarát, és hamarosan támogatni fogja a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://localmonero.co/knowledge/p2pool-decentralizing-monero-mining\">bányászat\na p2poolon keresztül közvetlenül a pénztárcájából</a>.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://featherwallet.org/\">Feather Wallet</a>\n<ul>\n<li>Ez egy kiváló pénztárca a <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" szellemében\nhref=\"https://electrum.org/\">Electrum for Bitcoin</a>, és mindkettőt biztosítja\negyszerű használhatóság és rendkívül hatékony funkciók egyben\npénztárca.</li>\n</ul></li>\n</ul>\n<h5 id=\"for-mobile\">Mobilhoz</h4>\n<p>Azoknak, akik szeretik használni a Monero-t útközben vagy\ngyakran költsön, és van egy szilárd Monero mobiltárcája, amely még mindig megmarad\na saját kezünkben lévő kulcsaink rendkívül fontosak.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet</a>\n<ul>\n<li>A Cake Wallet egy ingyenes és nyílt forráskódú (FOSS) pénztárca Android és\niOS, amely natívan támogatja a Monero-t, a Bitcoin-t és a Litecoint.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo</a>\n<ul>\n<li>A Monerujo egy FOSS pénztárca Androidra, amely néhány fantasztikus kiegészítővel rendelkezik\nfunkciók és grafika, natív Tor-csomópont támogatás és még sok más.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtitle => 'Hogyan tarthatom a saját kulcsaimat a Moneróval?';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtext => '<p>Remélhetőleg ez a bejegyzés hozzájárult ahhoz, hogy megerősítse azt az igényt, hogy tartsa meg\nsaját kulcsait, valamint rámutatott néhány kiváló pénztárcára a\nszóköz.</p>\n<p> Minél inkább a saját kezébe veszi a Monerót, és ténylegesen használja, annál inkább\ntöbb haszonra tehet szert most és a jövőben egyaránt. Monero nem csak\nspekulatív eszköz – ez a szabadság és a pénzügyek hatékony eszköze\nmagánélet, amelyre nagy szükség van a jelen világában és a jövőben\nközülünk.</p>\n<p>Most szerezd be az érméket egy tőzsdéről, és merülj bele, mi volt Monero\nehhez készült.</p>';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtitle => 'Következtetés';

  @override
  String get knowledge250Sbkeys250Sbdescription => '„Nem a kulcsaid, nem az érméid” – ez a mindenütt elterjedt kifejezés, de a kripto-felhasználók többsége még mindig nem rendelkezik saját kulcsával.';

  @override
  String get knowledge250Sbkeys250Sbtitle => 'Miért (és hogyan!) érdemes a saját kulcsaidat tartani';

  @override
  String get knowledge250Sbmining250Sb0250Sbtext => '2019. november 30-án megtörtént a Monero féléves hard forkje, a leginkább várt változás a régi PoW algoritmusról, a cryptonightról a teljesen új, belső fejlesztésű RandomX-re való átállás volt. A Monero közösség úgy véli, hogy a RandomX nagy lépés az egalitárius bányászat felé, de ássunk mélyebbre, hogy kiderüljön, ez a helyzet.';

  @override
  String get knowledge250Sbmining250Sb1250Sbtext => 'Annak megítéléséhez, hogy a RandomX fejlesztés-e, először meg kell értenünk, mi a bányászat célja. A bányászat megvédi a blokkláncot a dupla költésektől a Nakamoto Consensus révén. Ennek pontos bonyodalmai túlmutatnak e cikk keretein, de az interneten számos különböző forrásból megtudhatja őket. A lényeg az, hogy a biztonság a számítógépek (bányászok) által generált hashekből származzon, amelyek egymással versengve megtalálják az újabb blokk létrehozásához szükséges matematikai megoldást. Ennek során új tranzakciókat adnak hozzá a blokklánchoz. Munkájukért (hashes) cserébe újonnan vert érméket kapnak.\n<br/><br/>\nSzámos probléma fordulhat elő ezzel a beállítással, és megfelelő ösztönzőket igényel a megfelelő működés, de mi egy konkrét problémára fogunk összpontosítani, amely felmerülhet. Ha a bányászatnak versenynek kell lennie, mi történik, ha egy bányász előnyhöz jut?';

  @override
  String get knowledge250Sbmining250Sb1250Sbtitle => 'Célja';

  @override
  String get knowledge250Sbmining250Sb2250Sbtext => 'A kontextus kedvéért beszéljünk egy kicsit a bányászati hardverről. A bányászok számítógépeket használnak a munkájukhoz, de mindannyian tudjuk, hogy nem minden számítógép készül egyformán. Egyes számítógépek elég erősek a mesterséges intelligencia hálózatok vagy intenzív játékok futtatásához, míg mások még egyszerű feladatokkal is küszködnek. Ezek a számítási teljesítménybeli különbségek a sebesség kivonatolási sebességét is befolyásolják, vagy azt a sebességet, amellyel blokkmegoldásokat keresnek. <br/><br/>\nDe még ezek a számítógépek közötti különbségek is elhalványulnak a speciális hardverek, más néven alkalmazásspecifikus integrált áramkörök (ASIC) hash-arányaihoz képest, amelyek több nagyságrenddel felülmúlják a hagyományos számítógépeket.<br/><br/>\nSzánjunk egy kis időt annak feltárására, hogy mi teszi az ASIC-ket olyan erőssé. Képzelje el, hogy minden számítógép valahol egy spektrumon esik, ami attól kezdve, hogy képes sok mindent megtenni, de semmi jót, csak egy dolgot csinál, de nagyon jól csinálja. A CPU-k és az ASIC-k ennek a spektrumnak a másik végén találhatók.<br/><br/>\nAz összes szabványos számítógépben található CPU-k az első oldalon vannak. Sok mindent megtehetnek, például böngészhetnek az interneten, játszhatnak vagy videót jeleníthetnek meg, de egyiket sem teljesítik különösen jól. Ennek a rugalmasságnak azonban a hatékonyság ára van.<br/><br/>\nAz ASIC-ek a másik oldalon vannak, ahol csak egy dolgot tehetnek, de azt hihetetlen sebességgel. Csak egy matematikai függvényt tudnak végrehajtani, de mivel minden mást figyelmen kívül hagyhatnak, a teljesítménynövekedés csillagászati. Ennek a hatékonyságnak azonban a rugalmasság ára van, tehát ha a függvény csak kis mértékben is megváltozik – például x + y = z 2x + y = z-re változik –, akkor az ASIC teljesen megszűnik működni. <br/><br/>\nNem mindenkinek van ASIC-je, de mindenkinek van számítógépe. Ez tisztességtelen előnyhöz vezethet.';

  @override
  String get knowledge250Sbmining250Sb2250Sbtitle => 'Háttér';

  @override
  String get knowledge250Sbmining250Sb3250Sbtext => 'Ha ez még mindig zavaró, talán a következő hasonlat segít. Képzelj el egy lottót, ahol óránként ezer dollárt osztanak ki, és ez a lottó lehetővé teszi, hogy saját jegyeidet nyomtasd ki! Elkezd annyi jegyet nyomtatni, amennyit csak tud otthoni nyomtatóján, amely másodpercenként egy jegyet tud kinyomtatni. Az elektromos áram és a tinta költségeinek levonása után láthatja, hogy még akkor is profitálhat, ha csak néhány hetente nyer a lottón.<br/><br/>\nIdővel addig bővíti működését, amíg egy egész helyiséget nem kap a nyomtatóknak. 20 összesen. Minden rendben van...egy végzetes napig.<br/><br/>\nNagy hírek vannak. Valaki feltalált egy új típusú nyomtatót. Csak sorsjegyeket tud nyomtatni. Nem tud képeket vagy irodai dokumentumokat nyomtatni, vagy kétoldalas nyomtatást végezni. Csak sorsjegyek. De másodpercenként 1000 jegyet képes kinyomtatni. Benézel a kis nyomtatószobádba. 20 nyomtató. 980 további nyomtatóra van szüksége ahhoz, hogy lépést tartson EGYIK ilyen szörnynyomtatóval, és ha valakinek van kettő…?<br/><br/>\nSzomorúan kilépsz a lottójátékból, mert már nem tudod igazolni az áram- és tintaköltségeket.<br/><br/>\nDe várj! Pár hét múlva újabb hírek jönnek! A jegy kialakítása megváltozott. Most a számok, amelyek korábban fent voltak, most alul vannak. Az új szörnynyomtatók annyira rugalmatlanok, hogy képtelenek rá. Csak az előző tervet tudták elkészíteni. Nemsokára ismét boldogan nyomtat. Legalábbis addig, amíg valaki nem készít új szörnynyomtatót az új dizájnhoz.';

  @override
  String get knowledge250Sbmining250Sb3250Sbtitle => 'Szórakoztató hasonlat';

  @override
  String get knowledge250Sbmining250Sb4250Sbtext => 'A RandomX hol fér bele ebbe az egészbe? Arra törekszik, hogy kiegyenlítse az ASIC-ek előnyeit azáltal, hogy nagyon megnehezíti az ASIC-ek elkészítését. Ezt úgy éri el, hogy megköveteli a bányászoktól, hogy véletlenszerű kódot készítsenek és hajtsanak végre egy algoritmuson alapuló kivonat helyett.<br/><br/>\nZavarba ejtő lehet, hogy ez valójában miben segít bármiben, ezért térjünk vissza a nyomtató-analógiához. Emlékszel, mi történt, amikor a design megváltozott? A régi szörnynyomtatók minden este elavulnak, és az új dizájnt szem előtt tartva újakat kellett fejleszteni. Mi történne, ha minden új lottó nyereményszelvénynek minden új jackpot esetében új tervezési szabványhoz kellene ragaszkodnia? <br/><br/>\nEgy új szörnynyomtató létrehozása hihetetlenül nehéz lesz. Már nem lehet csak egyetlen jegytervet tervezni. Mivel a tervezés véletlenszerű, a szörnynyomtató-gyártóknak színes képességekkel, különböző betűk, szegélyek és formák nyomtatásának módjaival és egyebekkel kell kiegészíteniük. Röviden: a gép, amit végül feltaláltak, egy szabványos, rendes nyomtató lenne. Ahogy mindenki más is tette.<br/><br/>\nEnnek a véletlenszerűségnek a jegytervezésben való egyszerű megvalósításával lényegesen csökkentettük a speciális hardverből származó nagy előnyt. A RandomX ugyanezt teszi, csak bányászattal.<br/><br/>\nIly módon a néhány kiválasztott jómódú ember által megszerzett előnyök minimálisra csökkennek, mivel ha a RandomX bányászatához szükséges „ASIC”-ek létrehozásába fektetnek be, akkor valójában csak erősebb, jobb CPU-kat találnak ki, ami a világ számára előnyös.<br/>[ X1455X]\nEz azt jelenti, hogy a kis srác a 20 jegynyomtatójával újra a játékban van. Lehet, hogy még mindig nehezebb dolga van, hiszen ezek a gazdagok még mindig több nyomtatót tudnak vásárolni, mint ő, de legalább most nincs nagyságrendekkel felülmúlva pusztán egyetlen gépből. A maga kis módján versenyképes.<br/><br/>\nTudva, hogy a Monero bányászatában még a kisfiú is versenyképes lehet, mindenkit arra biztatunk, hogy próbálja ki, akár a Monero GUI-tárcájában, amely támogatja a solo bányászatot, akár a közösség által karbantartott szoftverek letöltésével. Könnyű, versenyképes és mindenki számára nyitott.';

  @override
  String get knowledge250Sbmining250Sb4250Sbtitle => 'RandomX';

  @override
  String get knowledge250Sbmining250Sbdescription => '2019. november 30-án megtörtént a Monero féléves hard forkje, a leginkább várt változás a régi PoW algoritmusról, a cryptonightról a teljesen új, belső fejlesztésű RandomX-re való átállás volt. A Monero közösség úgy véli, hogy a RandomX nagy lépés az egalitárius bányászat felé, de ássunk mélyebbre, hogy kiderüljön, ez a helyzet.';

  @override
  String get knowledge250Sbmining250Sbtitle => 'Monero Mining: Mitől olyan különleges a RandomX?';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtext => '<p>Egyetlen kriptovaluta sem hiányozhat, és ez alól a Monero sem kivétel. Valójában a közösség <a class=\"next-link\" href=\"https://www.youtube.com/playlist?list=PLsSYUeVwrHBnAUre2G_LYDsdo-tD0ov-y\" target=\"_blank\"> készített egy YouTube-sorozatot</a>, amely a Monero adatvédelmi gyengeségeit tárgyalja technológiai szempontból.</p>\n\n<p>Egyébként előfordul, hogy a Monero-val szemben gyakori kritikák érik, amelyek vagy elavultak, vagy helytelenek, míg mások nagyon szűk látásmódot mutatnak be a kérdéses problémáról. Ebben a cikkben reméljük, hogy sikerül megdönteni ezeket a kritikákat.</p>';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtitle => 'Bevezetés';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtext => '<p>Ez egy gyakori kritika a Moneróval kapcsolatban, ami miatt sokan széles látókört adnak neki, és messze ez az, ahol a közösség válasza nem annyira elvágott és száraz, mint egy hibás feltételezés helyesbítése. X217X]\n\n<p> A valóság az, hogy mi, közösség, még nem tudjuk, mi lesz a szabályozási válasz a Monerohoz hasonló dolgokra. Tudjuk, hogy a kriptovaluták általában sok kormányzati ügynökség látóterében vannak, és okunk van azt hinni, hogy a fent említett okok miatt a Monero sokkal inkább, mint mások, de ez idáig kevés lépést tettek a kormányok. ország a Monero teljes kitiltása kapcsán.</p>\n\n<p> Ennek ellenére a Monero közösség elkötelezett amellett, hogy megvívja a jó harcot. Meggyőződésünk, hogy a pénzügyi adatvédelem elengedhetetlen a szabadsághoz, és mindenkinek lehetőséget kell adni arra, hogy magánügyleteket bonyolítson le anélkül, hogy kormányok, vállalatok vagy bárki más kémkedne utána.</p>\n\n<p>Azt azonban megnyugtathatjuk, hogy egykor a Bitcoinnak pontosan ugyanaz a hírneve volt, mint most Moneronak. Úgy gondolták, hogy ez a bűnöző érme, teljesen privát és névtelen, de lassan, idővel a nyilvánosság ettől függetlenül elfogadta a Bitcoint. </p>\n\n<p>Most vitatkozhatnánk azzal, hogy a Bitcoin hírneve megváltozott, ahogy az emberek rájöttek, hogy valójában nem magánjellegű vagy névtelen, de ez nem igaz, mivel az a felfogás, hogy a Bitcoin teljesen magánjellegű és nem követhető, még mindig nem csak a lakosság körében, de az ipart szabályozók körében. Ezek az emberek még mindig azt hiszik, hogy ez magánjellegű, tehát alapvetően azt hiszik, hogy ez az, ami Monero valójában, és mégis gyorsan egy olyan világba lépünk, ahol a közvélemény, a vállalkozások és az irányító testületek elfogadják. Ez arra utal, hogy elegendő idővel Monero ugyanezt az elfogadást láthatja.</p>';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtitle => 'A Monero a többi kriptovalután messze túlmutató szabályozói ellenőrzésnek fog szembesülni, mivel ügyletei során elkötelezett a magánélet és az anonimitás mellett.';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtext => '<p>Az egyik gyakori panasz a legtöbb Bitcoinnál kisebb érmével kapcsolatban, hogy elméletileg 51%-uk könnyen megtámadja őket. Valójában számos apró érmét, mint például a Vertcoint, többször is sikeresen 51%-ban megtámadták.</p>\n\n<p>Az aggodalmak többsége a https://www.crypto51.app/ webhelyen merül fel, amely megmutatja, mennyibe kerülne a hashrate bérlése a NiceHash-től, egy olyan platformtól, amely bányászati hardvert bérel felhőbányászathoz. Egy időben ez a webhely felsorolt egy Monero elleni támadást, amely körülbelül 6300 dollárba került egy órán keresztül. Noha ez az ár sokunk rémületét okozhatja, ez nincs kívül azon a lehetőségén, hogy egy gazdag vállalkozás vagy magánszemély tartós támadást tudjon végrehajtani a hálózat ellen.</p>\n\n<p> Szerencsére ez már nem így van. Egy éles szemű olvasó látni fogja, hogy a webhely a RandomX beépítése miatt valóban eltávolította a Monerót az alkalmazásukból. Ismét arra buzdítjuk az olvasót, hogy olvassa el <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">a RandomX-ről szóló cikkünket a részletekért</a>, de az algoritmus CPU-barát jellege miatt az olyan vállalkozások, mint a NiceHash, már nem vásárolhatnak ASIC-eket a Monero számára, hogy kiadhassák bárkinek. hajlandó bérelni őket. Most a CPU-kkal kell versenyezniük, amelyek sokkal elterjedtebbek és könnyebben beszerezhetők.</p>\n\n<p>A Monero hálózat 51%-os megtámadásához szükséges hardver pontos költségét nem számolták ki, sőt, nem is olyan könnyen kiszámítható, mint más ASIC periódusú érméket.</p>';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtitle => 'Monero nem támadható meg könnyen 51%-ban?';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtext => '<p>A bányászati tér két boogeymenje az ASIC és a botnet, és az egyiktől való távolodás szükségszerűen azt jelenti, hogy közelebb kerülünk a másikhoz. Ha valakinek CPU-ra van szüksége a Monero bányászatához, akkor a hackerek elméletileg átvehetik az irányítást több száz, ha nem több ezer sebezhető számítógép felett, és arra kényszeríthetik őket, hogy a nevükben kibányászják a Monero-t, ami semmibe nem kerül, és felveheti a versenyt azoknak, akiknek csak néhány számítógépük van a háztartásukban. </p>\n\n<p>Az érvelés első cáfolata magukra a botnetek tulajdonosaira vonatkozik. Noha nem fogadjuk el mások számítógépeinek feltörését, a botnet birtoklása és működtetése előtti belépési korlát sokkal alacsonyabb, mint az ASIC-ek birtoklása. Szoftver kell – gyakran szabadon hozzáférhető és nyílt forráskódú –, valamint idő és hozzáértés a sérülékeny számítógépek kiszagolásához. A másikhoz hihetetlen mennyiségű tőkére és a gyártáshoz való hozzáférésre van szükség. Az egyiket egy kölyök csinálhatja a pincében, a másikat csak a rendkívül gazdagok. Ebből arra következtethetünk, hogy ha a bányászok legrosszabb félelmei beteljesülnének, maguk a botnetek decentralizáltabbak lennének, mint az ASIC-ek.</p>\n\n<p>Egyébként a Monero-közösség biztos abban, hogy ez a probléma túl van fújva. A RandomX mérnökei szándékosan úgy tervezték meg a protokollt, hogy a működéséhez 2 GB RAM memória szükséges. Más szavakkal, sok kicsi, sebezhető virtuális magánkiszolgáló (VPS) egyszerűen nem rendelkezik elegendő kapacitással, és ha igen, akkor a felhasznált erőforrások megnövekedése nagyon észrevehető lenne a rendszergazdák számára, ami azonnali vizsgálathoz vezetne. Más szóval, nem tud csendben futni a háttérben, mint a feltört számítógépek, amelyek DDOS-támadásban vesznek részt, vagy hangtalanul szippantják a jelszavakat. Amikor a bányász be van kapcsolva, mindenki tudja.</p>\n\n<p>Ez csökkenti azoknak a számítógépeknek a számát, amelyeket egy botnet képes lenne sikeresen kompromittálni a technológiailag nagyon alkalmatlanokhoz, vagy azokhoz, amelyeket soha nem ellenőriznek, nem pedig a rengeteg sebezhető számítógépet, amelyekről az érvelés támogatói azt feltételezik, hogy veszélyben vannak. .</p>';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtitle => 'CPU-barát algoritmus? A Monero bányászatát nem veszik át a botnetek?';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtext => '<p>Ez a kritika a valós eseményekből származik. A közösség által nem ismert egyének egy csoportja elágazta a Monero-t, és létrehozta saját érmét: MoneroV-t. Mivel ez egy láncvilla volt, az egyének ugyanolyan mennyiségű MoneroV-t igényelhettek, mint Moneróban, azaz ha 100 Monero-ja volt, ugyanazt a magot használhatja egy MoneroV pénztárcán, hogy 100 MoneroV-t kapjon.</p>\n\n<p>Ez meglepő és váratlan következményhez vezetett: a magánélet elvesztéséhez. Ennek magyarázatára adunk egy példát. Ha egy számra gondolok, amit ki kell tippelned, de adok három számot, amelyek közül csak egy a helyes, nem tudod, melyik a helyes válasz. Tegyük fel, hogy elmondom a 88-as, 25-ös és 19-es számokat. Ön azonban ügyes, és kér még egy három számsort, de az egyiknek még mindig a helyes számnak kell lennie. 54-et, 88-at és 92-t adok neked. Látod, hogy a 88-as szám mindkét halmazban szerepel, tehát a helyes számnak kell lennie, és igazad lenne.</p>\n\n<p>A Monero magánélete elleni támadás ugyanúgy működik. A Monero a gyűrűs aláírásokra támaszkodik, amelyek a helyi pénztárcán vannak összeállítva, hogy elhomályosítsák a tranzakciós kimeneteket. Ha egy kimenetet a Monero láncra költenék, egy összeszerelt gyűrűvel, és ugyanazt a kimenetet a MoneroV láncra, egy másik összeszerelt gyűrűre, anélkül, hogy megbizonyosodnék arról, hogy a gyűrű ugyanazokból a csalikból áll, akkor a valódi kimenet nyilvánvalóvá válik, nagyjából ugyanúgy, ahogy a 88-as szám nyilvánvalóvá vált, mint a helyes szám.</p>\n\n<p>Számos megoldást javasoltak, többek között olyan eszközök létrehozását, amelyek segítségével az emberek felelősségteljesen elkalandozhatnak a Monerótól, egy blackball-adatbázist a szennyezett kimenetekről, valamint a gyűrűméret növelését, de végül ezekre nem volt szükség. A MoneroV soha nem nyert teret, és nagyon kevesen követték el az érméket, és veszélyeztették a magánéletüket.</p>\n\n<p> Megjegyzendő, hogy ez a magánéletre vonatkozó veszély NEM a Monero kódvillájából ered, hanem inkább egy láncvillából. Ez azt jelenti, hogy minden érme, amely a Monero kódját veszi fel, és a nulláról indul a saját genezis blokkjával, egyik láncot sem veszélyezteti. A láncok csak akkor kerülhetnek veszélybe, ha egy érme a jelenlegi Monero blokkláncból egy nézeteltérés miatt elágazik, hasonlóan a Bitcoin/Bitcoin Cash összeomlásához. Ez azt jelentené, hogy a villa a kialakult közösség ellen harcol, és azok, akik úgy döntenek, hogy nem vesznek részt, és a másik lánctól követelik pénzeiket, nem lennének veszélyben.</p>\n\n<p>Egyébként naivitásnak tartjuk azt hinni, hogy soha nem lesz ilyen támadás Monero ellen, ezért vannak más megoldások is készülőben a gyűrűméret növelésére, vagy egy másik bizonyítási sémára való átállásra. amelyek közül sokat a „magas tranzakciós díjak” részben említettek.</p>';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtitle => 'A Monero villák nemcsak a Monero gazdasági életképességét sértik, hanem a magánéletét is!';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtext => '<p>A Monero története érdekes, és sokakat meglephet, ha azt hallják, hogy valóban átverésnek indult. Az alkotó, a thankful_for_today, valószínűleg szövetségben állt egy kriptovaluta csoporttal, amely létrehozta a CryptoNote protokollt, de ártatlan szándéka volt, hogy ezzel kicsalja az embereket a pénzükből.</p>\n\n<p>A kezdeti próbálkozásaik kudarcot vallottak, ezért létrehozták a Monero-t, hogy megpróbálják újra. Ez ismét meghiúsult, mivel a közösség gyorsan rájött, hogy valami nincs rendben, és megragadta az érmét. Ennek ellenére az ügyes alkotóknak volt még egy utolsó trükk a tarsolyukban. Szándékosan deoptimalizált bányászszoftvert bocsátottak nyilvánosságra, megtartva az optimalizált verziót maguknak, hogy kiaknázzák a többieket, és sok pénzt keressenek a blokkjutalomból.</p>\n\n<p>Ez egy ideig sikerült, de gyorsan elkapta a Monero közösség is, kijavították, és az optimalizált bányászt mindenki megkapta. A közösség, miután rájött a történtekre, úgy döntött, hogy nem dobja újra az érmét, mivel nehéz volt felmérni, hogy a csalók mennyit sikerült kihozniuk, és mennyi időt és erőfeszítést igényel az újjáépítés a semmiből. Annak ellenére, hogy nehéz megállapítani, hány érmét kaptak a csalók, az is ismert, hogy ebben az időszakban sok jóhiszemű bányász önállóan újraoptimalizálta a kódot, és eladta a nyereségét, biztosítva ezzel az igazságosabb elosztást, és hogy a csalók nem csak ők szereztek sok érmét ez idő alatt. <a class=\"next-link\" href=\"https://da-data.blogspot.com/2014/08/minting-money-with-monero-and-cpu.html\" target=\"_blank\">Egy ilyen fiók itt olvasható</a>.\n\n<p>Utólag visszagondolva, egyesek kritizálhatják azt a döntést, hogy nem indítják újra az érmét, és ha ezek az átverő származások elegendőek ahhoz, hogy valakit eltántorítsanak Monero jó munkájától, akkor nincs érv, amely megingatná őket. A csalók készítői által okozott kezdeti csalódásoktól függetlenül a Monero virágzott, és egyesített közösségi intellektusát és szenvedélyét használta egy erőteljes technológia létrehozására. Jelenlegi törzscsapatunk és a korábbi tagok sem gazdagodtak a nyomorékbánya által, és tudomásunk szerint a kezdeti átverésben résztvevők közül senki sem tartott tovább a Monero közösségben, mint az érme fennállásának első heteiben.</p >';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtitle => 'Nem volt Monerónak egy nyomorék bányásza az első időkben, akit az alapítók gazdagítására használtak?';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtext => '<p>Ezt a kérdést nehéz megválaszolni. Az egyik gyakran adott válasz az, hogy összeadhatjuk a coinbase tranzakciókat (amikor az új Monerót egy bányásznak jutalmazzák egy blokk megoldásáért). Ezek a tranzakciók transzparensek, és ha összeadjuk őket, akkor megkapjuk a forgalomban lévő Monero teljes számát.</p>\n\n<p>Fontos azonban megjegyezni, hogy ha olyan cselekmények történnének, amelyek meghaladják a Monero mennyiségét annál, amit az érmealap-tranzakcióktól várunk, akkor ezek nem magukon az érmealap-tranzakciókon keresztül történnének, hanem a pénztárcák közötti szokásos tranzakciók során. Ez csak háromféleképpen történhet.</p>\n\n<p>Az egyik, ha a kriptográfia, amely azt bizonyítja, hogy nem Monero jött létre vagy semmisült meg egy tranzakció során, alapvetően hibás. Kettő, ha a szilárd kriptográfia megvalósítása (kódja) hibás. Három, ha egyik sem hibás, de a számítógépek elég erősek lesznek ahhoz, hogy áttörjék jelenlegi kriptográfiai sémáinkat, és hamis bizonyítékokat hozzanak létre.</p>';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtitle => 'Ha a Monero ennyire privát, hogyan ellenőrizhetjük az ellátást, hogy megbizonyosodjunk arról, hogy senki sem nyomtat ingyen Monerót az orrunk alá?';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtext => '<p>Ezt a legnehezebb megválaszolni a bányászat általános ingadozása miatt. Sőt, előfordulhat, hogy a cikk megjelenése után ez már nem így lesz, és másnap ismét azzá válhat. A technológiáról általában nehéz határozottan írni az iparág gyorsan változó természete miatt, és ez különösen igaz a bányászat és a hashrate esetében.</p>\n\n<p>Nem kerüljük el az aggodalmat, ne aggódjon. Foglalkozzunk azzal, hogy megvizsgáljuk a hardveres központosítás és a készletközpontosítás közötti különbséget.</p>\n\n<p>Az a tény, hogy a Bitcoin-bányászat csak nagyon specifikus hardvereken végezhető, amelyek nem könnyen hozzáférhetők, azt jelenti, hogy a legjobb hardver a gyártók köré összpontosul. Mivel a bányászati készlet létrehozása triviális, várhatóan ezek a gyártók saját bányászati készleteiket telepítik, amelyeken ASIC-jaik bányásznak, és valóban úgy látjuk, hogy ez a helyzet a mai nagy ASIC-gyártó cégeknél.<p>\n\n<p>Ez nem megoldható probléma. A központosított bányászati medencék birtokolják a hardvert, a készletet és a hash-eket, és ez ellen senki nem tehet semmit.</p>\n\n<p>A medenceközpontosítás, bár a végeredmény hasonló, nagyon eltérő és sokkal változékonyabb alapokkal rendelkezik. Mivel a Monero egalitárius bányászattal rendelkezik, minden bányász választhat, hová mutassa a hash-ét. Az emberek gyakran úgy döntenek, hogy egy nagyobb medencére mutatnak, egyszerűen azért, mert ez azt jelenti, hogy gyakrabban találnak blokkokat, mint egy kisebb medencét. </p>\n\n<p>Bár meg kell jegyezni, hogy az egyéni jutalom blokkja kisebb lesz, mivel sokkal több emberrel osztják meg. A kisebb medencék ritkábban találnak blokkokat, de minden bányász nagyobb részt kap a blokk jutalomból, és a végeredmény az, hogy egy bányász valójában egyenértékű pénzt keres, függetlenül attól, hogy kisebb vagy nagyobb medencében van, ezért arra biztatjuk a bányászokat, hogy mutassanak hash-jüket kisebb készletekre, hogy tovább decentralizálják a bányászatot.</p>\n\n<p>De elkalandozunk.</p>\n\n<p>A fenti, a decentralizációra való bátorításunkban észreveheti azt a tényt, hogy a bányásznak jogában áll medencét váltani. Bármikor, akár jobb oktatás, decentralizációra irányuló felhívás vagy megnövekedett verseny miatt, a hash eloszlása megváltozhat attól függően, hogy az egyes bányászok hova helyezik kivonataikat. Ugyanez nem mondható el a hardverszinten központosított bányászatról, mivel az ASIC-gyártók nem motiválják, hogy a sajátjukon kívül más készletre mutassanak, és ezt nem is fogják megtenni.</p>\n\n<p>Tehát az a tény, hogy Monero hashrate-jének nagy része néhány medencében összpontosul, nem olyan dolog, aminél leragadtunk, sőt, ez a bányászattal kapcsolatos általános ismeretek hiányának tudható be. Ez olyasmi, ami javítható, mert a probléma nem a gyökér szinten van, ellentétben a Bitcoin hardveres központosításával.</p>';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtitle => 'Monero jelenlegi hashrátájának nagy része mindössze két készletből származik.';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtext => '<p> A Monero valóban kevesebb pénztárca opcióval rendelkezik, mint sok meglévő érme. Ennek az az oka, hogy a Monero-t az alapoktól kezdve fejlesztették. Teljesen más kódbázison van, mint a Bitcoin. Ez azt jelenti, hogy a Monero nem tudja csak úgy felvenni a Bitcoin alaptárcáját vagy bármely más, a Bitcoin számára létező pénztárcát, mint a legtöbb érme, és kihasználni a meglévő infrastruktúrát. Ez azt is jelenti, hogy a Monero nem olyan könnyen hozzáadható harmadik fél pénztárcájához, mint például az Exodus.</p>\n\n<p> És mégis, lassan, de biztosan mindenféle pénztárca kezd megjelenni Monero számára. Sok éven át mém volt, hogy a Monero nem rendelkezik grafikus felhasználói felülettel és mobiltárca támogatással, de most már semmi sem állhat távolabb az igazságtól. Vannak olyan pénztárcák, amelyek kifejezetten a Monero-t szolgálják, mint például a Monerujo Androidra és a Cake Wallet iOS-re és Androidra, valamint újak, mint például a Wookey, Exa Wallet stb. Ezenkívül a harmadik féltől származó pénztárcák is kezdik hozzáadni a Monero-t, bár lassabb ütemben, beleértve az Exodust és a Guardát is, és arra számítunk, hogy ez a tendencia csak az idő előrehaladtával és a Monero kódbázisának kifejlődésével folytatódik.</p>';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtitle => 'A Monero kevesebb pénztárca opcióval rendelkezik.';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtext => '<p>Ez a kritika is egy kicsit trükkös. El kell ismerni, hogy bizonyos területeken a Monero valóban nehezebben használható, mint a Bitcoin. Példa erre a hosszabb cím, és a szinkronizálás hosszú ideig tart, még egy könnyű pénztárcán is, mivel a pénztárca nem tudja egyszerűen ellenőrizni a blokkláncot anélkül, hogy minden egyes kimenetet nem szkennelne, hogy az a kérdéses fiókhoz tartozik-e. </p>\n\n<p>Egyébként a Monero sok tekintetben a kriptovaluta felhasználói élményére épít, ha nem is egyenesen javít, de különösen, ha a magánéletről van szó.</p>\n\n<p>Arra hívjuk az olvasót, hogy olvassa el a bitcoinok által a magánélet megőrzése érdekében javasolt lépéseket. A lista hosszú, zavaros, és nehéz tökéletessé tenni, és gyakran a tévedés következményei a magánélet veszélyeztetése. Ennek egyik példája az a javaslat, hogy dobd fel vagy keverd össze a Bitcoinodat, de a keverési folyamat után, ha az eredményül kapott kimeneteket egyesítik vagy más módon ugyanabba a pénztárcába költöznek, a keverés hiábavaló lett volna, mivel a kimenetek nyomon követése magas összekapcsolhatóságot biztosít. Egy másik példa az a tény, hogy sokan a saját Bitcoin bányászását javasolják, ha azt akarják, hogy teljesen kétértelmű maradjon a Bitcoin-kimenetek beszerzésének módját illetően, ami nevetséges a jelenlegi bányászati ökoszisztémában.</p>\n\n<p>A Monero esetében ez a részletgazdag lista teljesen megszűnt. Minden Monero-tranzakció megőrzi a magas szintű adatvédelmet minden alkalommal, anélkül, hogy a felhasználónak bármit kellene tennie vagy külső szoftvert kellene használnia. Míg a Bitcoin megnehezíti a személyes adatok védelmét mindenki számára, kivéve a legtapasztaltabb felhasználókat, addig a Monero megnehezíti a félreértést, mindenki számára folyamatosan. Ami a kompromisszumokat illeti, úgy gondoljuk, hogy a hosszabb címek és szinkronizálási idő többet ér.</p>\n\n<p>A fentiek megvitatása után is tény, hogy a felhasználói élmény gyakran javul az idő múlásával, és ez alól a Monero sem kivétel. Az érme felhasználói élménye néhány év után drámaian javulhat, de az alapjait sokkal nehezebb megváltoztatni.</p>';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtitle => 'A Monero felhasználói élménye gyenge.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtext => '<p>Ezt a kritikát leggyakrabban a Bitcoinra gondolva fogalmazzák meg. Mi van akkor, ha a Bitcoin olyan adatvédelmi technológiákat alkalmaz, amelyek megfelelő adatvédelmet tesznek lehetővé. Mi lenne a Monero haszna?</p>\n\n<p> A valóság az, hogy nem látjuk, hogy a Bitcoin valaha is az adatvédelmet helyezné az első rétegre. Legjobb esetben a második rétegen, vagy bizonyos pénztárcákon keresztül, mint például a Samourai és a Wasabi. Ez azt jelenti, hogy az adatvédelem önkéntes, ami a kutatások szerint mindig rosszabb, mint az alapértelmezés szerint bekapcsolt adatvédelem. Még ha ezt a technológiát a Bitcoin-felhasználók tisztességes százaléka alkalmazná is (ami maga a képzelet ereje), a magánélet gyengébb lenne.</p>\n\n<p> Noha az önkéntes adatvédelmi inferioritás okai elég nagyok lennének ahhoz, hogy saját cikket készítsünk, egy durva példával szeretnénk részletezni. Az adatvédelem technológiai szempontból a tömegben való elrejtőzésről szól. Minél nagyobb és homogénebb a tömeg, annál jobb az egyén magánélete. Ezzel szemben, ha a tömeg kicsi vagy nagy, de mindenki más, egyedi ruhát visel, könnyebb lenne azonosítani az egyént.</p>\n\n<p>Ez azt jelenti, hogy mivel a Bitcoin extra lépésekre kényszeríti az embereket, hogy részesei lehessenek ennek a tömegnek, sokan nem fogják ezt megtenni, és akik igen, azok rosszul járhatnak. A végeredmény kis tömeg lesz, és az egyes kimenetek azonosítása sokkal könnyebb. De egyre rosszabb. Amellett, hogy kicsi a tömeg, minden egyén többé-kevésbé egyedi, attól függően, hogy milyen adatvédelmi protokollt választott. Vannak, akik a Samourai-t választják, aminek az egyik módja a keverésnek, míg mások a Wasabi-t választják, amelynek más módja van, és a lista folytatható. Ez végső soron az egyes tranzakciók egyedi jellemzőihez vezet. A kis tömeggel párosítva a magánélet meglehetősen gyenge.</p>\n\n<p>A fentieket a Monero-val hasonlítjuk össze, amely protokollszinten érvényesíti az adatvédelmet. Ez azt jelenti, hogy alapértelmezés szerint mindenki a tömeg része, és mindenki ugyanazt a magánéletet használja (amit a protokoll diktál). A tömeg egyszerre nagy és homogén, ami sokkal erősebb magánéletet eredményez.</p>\n\n<p> De tegyünk egy lépést hátra, és kövessünk egy hipotetikust, ahol a Bitcoin valamilyen módon valóban az adatvédelmet helyezi az alaprétegre. Robusztus, alapértelmezés szerint be van kapcsolva és kötelező. Mire lenne szükség a Monero-ra?</p>\n\n<p> Nos, egyesek számára nem lenne ilyen, és meglepő lehet ezt hallani, de sokunk, Monero ember, nem törődne vele. Csak azt akarjuk, hogy a magánszemélyek a magánélet védelmét megőrző, helyettesíthető módon lehessen egymással tranzakciókat folytatni szerte a világon, és ha a Bitcoin csodával határos módon megteszi ezt oly módon, hogy valóban megvédje a magánéletet a kötelező alaprétegű technológia révén, akkor sokan közülünk boldogan váltana át. Sok szerencsét, hogy ez megtörténjen.</p>\n\n<p>Egyébként a Monero a magánéleten kívül számos olyan funkciót kínál, amelyeket a Bitcoin nem. A dinamikus blokkméret, amelyet a farokkibocsátás, egy másik kódbázis, az alacsony díjak politikája, egy eltérő elliptikus görbe és egyebek tesznek lehetővé. Itt különösen a dinamikus blokkméretet kell kiemelni, mivel ez elméletileg korlátlan tranzakciós átvitelt tesz lehetővé, csak a tárhely és a sávszélesség a fojtópont. Röviden, egy elméleti bitcoin magánélet védelmével nem kínál mindent, amit Monero </p>\n\n<p>Váltás még utoljára ehhez a kérdéshez, ritkábban érvényes ez az érv olyan technológiára, mint a zk-SNARKS-t használó ethereum intelligens szerződés, amely ismét nem rendelkezik kötelező adatvédelemmel a főlánc alaprétegén, így a Az anonimitási készletek meglehetősen kicsik lesznek, és kétes képességűek lesznek a magánélet megfelelő védelmére. További összehasonlításokért tekintse meg <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\"> cikkünket, amely a Monero-t a többi jelentős adatvédelmi érmével hasonlítja össze </a>.</p>';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtitle => 'A Monero elavulttá válik, ha egy népszerűbb blokklánc erős adatvédelmi technológiát alkalmaz.';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtext => '<p>Már nem! A 2018 októberében bevezetett csodálatos golyóálló technológiának köszönhetően a tranzakciók mérete drasztikusan (több mint 80%-kal) csökken, ami a tranzakciós díjak hasonló csökkenéséhez vezet. Valójában a cikk írásakor a Monero bájtonként olcsóbb, mint a Bitcoin, és a technológia további optimalizálása ezt még alacsonyabbra csökkenti.</p>\n\n<p>Ezek az optimalizálások változatosak és gyakoriak. Az egyik példa magukban a golyóállóságban végzett okos optimalizálás, amely a számításhoz és az ellenőrzéshez szükséges matematikai időt is csökkenti, esetenként akár 25%-kal is.</p>\n\n<p>Emellett új, izgalmas gyűrűs aláírási sémák is készülnek, mint például a CLSAG, amely felváltja a jelenlegi MLSAG sémát, és tovább csökkenti a teljes tranzakció méretét 25-35%-kal. Ezen túlmenően léteznek még újabb, élesebb technológiák, teljesen eltérő bizonyítási rendszerekkel, amelyek képesek megtartani a jelenlegi tranzakcióméreteket, de a gyűrűméretük meghaladja a százat, mint például a Triptych, Arcturus és Lelantus, amelyek mindegyike kisebb és hatékonyabb, mint a jelenlegi rendszerek.</p>';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtitle => 'A Moneronak nincsenek nagyon magas tranzakciós díjai?';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtext => 'Újra. A golyóállók ezt drasztikusan csökkentették. A Monero-tranzakciók még mindig nagyobbak, mint a Bitcoin-tranzakciók, de most csak körülbelül nyolcszorosával, a korábbi nagyjából ötvenszeres helyett. De van ennek egy másik módja is. A Bitcoin rendelkezik bizonyos eszközökkel a magánélet védelmére, általában keverőkön és speciális pénztárcákon keresztül, mint például a Wasabi, a Samourai és más CoinJoin rendszerekkel. Ha összehasonlítjuk a keverés költségeit más Bitcoin kimenetekkel, a címugrással és a megfelelő kimenetelosztás fenntartásával, akkor a teljes költség méretben és díjakban is nagyobb, mintha a felhasználó csak Monero-t használna. Tehát igen, a meztelen Bitcoin-tranzakciók kisebbek, de a magánélet bármilyen formájának eléréséhez (amely ettől függetlenül sokkal gyengébb, mint a Monero-é) több hely kellene a Bitcoinon, mint a Monerón.';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtitle => 'A Monero-tranzakció sokszor nagyobb, mint egy Bitcoin-tranzakció.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtext => '<p>A 2017–2018-as korszakban a Monero közösség kötelezettséget vállalt arra, hogy távol tartja az ASIC-ket a hálózattól. Ez úgy valósult meg, hogy félévente folyamatosan kemény forgatást végeztek egy új proof-of-work algoritmushoz, amely megakadályozza, hogy az ASIC-ek átvegyék a hálózatot. Az <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\"> bányászatról szóló cikkünkben </a> található nyomtató analógia elmagyarázza ennek működését.</p>\n\n<p>Amit a legtöbben nem tudnak, az az, hogy Monero keményvillái nem azért indultak el, mert megváltoztatta a munkabizonyítványt. Monero ezt megelőzően is félévente volt hard forking, egészen 2015-ig visszamenőleg. Miért pont ezek a kemény villák? Kérdezz meg bárkit, aki a magánélet védelmén dolgozik, és azt fogják mondani, hogy a magánélet fegyverkezési verseny. Az egyik oldal jó magánéletet biztosít, a másik pedig olyan eszközöket fejleszt, amelyek megtörhetik az említett adatvédelmet, aminek következtében az első oldal erősebb technológiát fejleszt ki, és a ciklus folytatódik és folytatódik.</p>\n\n<p>A PoW változás előtti kemény villák egyik fő példája a RingCT bevonása 2017-ben, amely vitathatatlanul a Monero valaha volt legnagyobb változtatása, amely sok nagyságrenddel növelte Monero magánéletét. Egyszerűen úgy gondoljuk, hogy túl korai lenne a protokoll megcsontosodni, különösen az olyan izgalmas új adatvédelmi technológiák mellett, mint a készülőben, mint például a Triptych és a Lelantus. Ennek ellenére keményen dolgozunk azon, hogy fejlesztésünk, kutatásunk és egyebek a lehető legdecentralizáltabbak legyenek. Van <a class=\"next-link\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" target=\"_blank\"> egy cikkünk, amely ezt a témát is lefedi</a>, ezért feltétlenül nézze meg.</p>\n\n<p>A decentralizált fejlesztőcsapat túl nehéznek és fárasztónak találja ennek az ütemtervnek a betartását, és kilenchavonta vagy akár évente kemény fork-ra szeretne áttérni. Ez azért van így, mert a közösség úgy érzi, hogy a Triptichon és az Arcturushoz hasonló fejlesztésekkel közel járunk ahhoz, amit remélünk, hogy valóban robusztus adatvédelem lesz, kevés gyenge ponttal, ami a folyamatos, protokollokat megváltoztató fejlesztés szükségtelenségéhez vezet. A munka bizonyítása érdekében a közösség számos tagja létrehozta a RandomX-et, mint egy utolsó lépést, hogy távol tartsa az ASIC-ket a hálózattól. A cikk írásakor még a kísérlet kellős közepén járunk, és még meg kell néznünk, hogy hosszú távon sikeres lesz-e, de a kívánt eredmény megérkezett, a gyors elágazás másik okát eltávolították, lassabb elágazási ütemezés.</p>';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtitle => 'Monerónak elég gyakran vannak kemény villái. Ez nem azt jelenti, hogy központosított?';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtext => '<p> Ez nem Riccardo „fluffypony” Spagni érme, és soha nem is volt az. Még csak nem is sikerült neki. Egy álnevű személy indította el, akit hálás_majáért néven ismernek, és erről van egy nagyon érdekes történet egy másik alkalommal. Fluffypony a főcsapat tagjaként/vezető karbantartóként is ismertté vált, mivel sok időt és erőforrást adott az érme növekedésének elősegítésére, valamint utazásai és konferenciákon való felszólalása révén. Ezzel a két dologgal együtt Monero egyfajta nem hivatalos arca lett, és általában volt az az átjáró, amelyen keresztül az emberek megtaláltak minket. A szörnyű vezérigazgatói kultúra miatt, amely elterjedt a kriptovaluta szcénában, azt feltételezték, hogy ő a Monero alapítója és vezetője, és mindkettő nem igaz.</p>\n\n<p> Napjainkban a fluffypony még mindig az alapcsapat tagja, de már nem a kódbázis vezető karbantartója, és visszalépett, hogy saját személyes projektjein dolgozzon. Monero remekül megy tovább.</p>';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtitle => 'Ez fluffypony személyes érme!';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtext => '<p>Ez vitathatatlan tény, és nem lehet vitatkozni. A moneromooo a Monero közösség jól ismert tagja. Olyannyira, hogy a közösség a közösségi finanszírozási platformunkon, a Community Crowdfunding System-en (CCS) keresztül gyűjtött pénzt, hogy teljes munkaidőben dolgozhassanak a Monero-n. Negyedévente új munkajavaslatokat nyújtanak be, így ha a közösség valaha elégedetlen az elvégzett munkával, egyszerűen nem kell a következő javaslatát tömegesen finanszírozniuk. </p>\n\n<p>Amint azt el lehet képzelni, a Monero teljes munkaidőben, nem pedig önkéntes alapon történő munkavégzése nagy mennyiségű felhalmozott munkát eredményez. Mivel a Moneronak nem volt előzménye, az ICO, és nem kapja meg az alapítói jutalmat, egyébként nem dolgoznak teljes munkaidős mérnökeink a projekten, és az emberek azt adják, amit tudnak, amikor csak tudnak, és egyszerűen nem lehet elvárni, hogy ezek a hozzájárulások meghaladja a teljes munkaidőben dolgozóét.</p>\n\n<p> Ennek ellenére még mindig nagy erőfeszítéseket kell tenni a fékek és egyenlegek kialakítása érdekében. Az alapcsapat egyik tagja a felülvizsgálat után is összevonja a kódot, tehát nem az az eset, amikor egy személy elkészíti és integrálja is a kódot, és ezáltal megkerül minden olyan felügyeletet, amely egy kirívó hiba vagy rosszindulatú szándék észleléséhez szükséges.</p>';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtitle => '2017 óta a legtöbb kötelezettségvállalás egy moneromooo-monero néven ismert személytől származik';

  @override
  String get knowledge250Sbmyths250Sbdescription => 'Sok gyakori kritika éri Monero-t, amelyek vagy elavultak, vagy helytelenek, míg mások nagyon szűk látókört mutatnak be a kérdéses problémáról. Ebben a cikkben reméljük, hogy sikerül felállítani ezeket a kritikákat.';

  @override
  String get knowledge250Sbmyths250Sbtitle => 'A 15 legnépszerűbb Monero-mítosz és aggály, amelyet lelepleztek';

  @override
  String get knowledge250SbnetworkEffect250Sb0250Sbtext => '<p> A blokklánc számtalan tudományág, amelyek egybe vannak tömörítve. A technológia, a közgazdaságtan és a játékelmélet elemeit viszi be biztonsági modelljeibe. Ez azt jelenti, hogy ez az egyik legbonyolultabb és legbonyolultabb technológia a mai napig, de azt is jelenti, hogy a mély és alapos megértés lehetetlen az egyes puzzle-darabok alapjainak megismerése nélkül, amelyek azt formálják.</p>\n\n<p>A blokklánc egyik része, amelyről nem gyakran esik szó, a verseny. Minden egyes kriptovalutát gyakran a saját érdemei alapján értékelnek, sőt a hozzá leginkább hasonló kriptovalutákkal szemben is, de kevesen értékelik az alapján, hogy mit kínálnak a piac egészének, és hányan használják. Továbbra is, egy kriptovalutának elemeznie kell, hogy hányan használják, tudnak róla, vagy más módon érintkeznek vele. Ez a koncepció hálózati hatásként ismert.</p>\n\n<p>A hálózati hatás nem blokklánc-példája a közösségi média. Ha az összes barátod a Facebookon van, akkor amikor kiválasztod, hogy melyik közösségi médiában szeretnél aktívan részt venni, az ismerőseid döntései is befolyásolják ezt a döntést. Az a tény, hogy a legtöbbjük a Facebookon van, befolyásolhatja, hogy Ön is csatlakozzon hozzá. És amikor arról dönt, hogy elhagyja-e a platformot, az a tény is befolyásolja ezt a döntést, hogy elveszítheti a kapcsolatot néhány barátjával. Ez a hálózati hatás működés közben. Miután az elfogadás eléri a kritikus tömeget, a további elfogadás könnyebbé válik, és gyakran a hálózat jelenlegi résztvevői táplálják.</p>\n\n<p>Ha ezt a blokklánc, sőt általában a kereskedelem kontextusában nézzük, a hálózati hatások ereje gyorsan nyilvánvalóvá válik. Ha a Bitcoin az a kripto, amelyről a legtöbben tudnak, és a legtöbben ezt vásárolják, akkor több kereskedő fogja elfogadni. Ha több kereskedő elfogadja, akkor több helyen lehet használni, így többen fogják megvenni, és többen fognak tudni róla. Ez egy nagy pozitív visszacsatolási hurokká válik, amely hógolyókat okoz. Ezen a ponton megkereshetnek egy kereskedőt egy másik kriptovaluta használatával kapcsolatban, de megkérdőjelezik, miért van rá szükség, mivel ők már elfogadják a Bitcoint, és mindenki ezt használja és elfogadja. </p>\n\n<p> Noha vitathatatlan, hogy a Bitcoin messze a legnagyobb kriptovaluta, vannak olyanok is, amelyek a legjobbnak számítanak a résben. A Monero az egyik ilyen érme, amelyet sokan a premier adatvédelmi érmének tekintenek, bár különböző emberek véleménye eltérő arról, hogy a Monero ugyanabban a térben versenyez-e, mint a Bitcoin. Ennek az az oka, hogy a Bitcoin az összes kártyáját a transzparenciájára helyezte a végösszeg ellenőrzése érdekében (bár ez Moneróban is lehetséges, igaz, sokkal körkörösebb módon).</p>\n\n<p> Szóval hol áll Monero jelenleg a hálózati effektusok játékában? Hol kezdtük? Mit hoz a jövő? Nos, kezdjük az elején.</p>\n\n<p>Érdekes megjegyezni, hogy az <a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">Monero korai napjaiban</a> ez volt az egyik a magánélet védelmének három módja közül. Coinjoin, CryptoNote és Dash masternode/coinjoin hibridje. A lehetőségek korlátozottak voltak, és határozottan nem szakértői értékelések, de ez nem akadályozta meg az embereket abban, hogy oldalt válasszanak. Ebben a régebbi korszakban ez bárki játéka volt, és néhányan úgy döntöttek, hátradőlnek, és hagyják, hogy a krém a csúcsra emelkedjen. Az idő végül bebizonyosodott, hogy <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">Monero oldalán</a> áll, mivel más adatvédelmi kriptovaluták jöttek és mentek.</p>\n\n<p>Ez létrehozta a Monero hálózati hatását, mint érme, amely megnyitotta az utat mások számára a magánéletben. Még akkor is, amikor megjelentek az újabb technológiák, mint például a Zcash zk-SNARK-jai és a MimbleWimble, a tömegek Monerotól várták a vezetést és a józan eszmecserét ezekről az új protokollokról.</p>\n\n<p>Jelenleg a Monero egyike azon kevés egyetemesen elismert projektnek az űrben. A kripto-noobiktól a Bitcoin-maximalistákig mindannyian legalábbis bosszús tisztelettel tekintenek Moneróra, bár ez gyakrabban magasabb elismeréssel. Amikor a világűr veteránjai azokról az érmékről beszélnek, amelyeknek a legnagyobb esélyük van arra, hogy változást hozzanak a világon, és próbák és megpróbáltatások során is kitartanak, Monero soha nem mulasztja el, hogy jelen legyen.</p>\n\n<p>Ez az utolsó néhány bekezdés nem csak önmaga gratulációja, hanem egy őszinte pillantás arról, milyen a kriptográfiai környezet az írás idején. A Monero hálózati hatásai napról napra egyre nyilvánvalóbbá válnak, és váratlan helyeken is megjelennek.</p>\n\n<p>Az emberek megosztottak Monero jövőjét illetően, de minden vélemény arra utal, hogy Monero jól végzi a munkáját. A legnagyobb példa erre a szabályozási aggályok. Vannak, akik attól tartanak, hogy Monero túlságosan magánjellegű, ami elkerülhetetlen összeütközést fog okozni a világ kormányaival, míg mások izgatottak, hogy ez a magánélet hogyan hozza vissza a szabadságot a hétköznapi embernek. Mindkét nézet gyökere az az elképzelés, hogy a Monero teljes mértékben beváltja a magánélet védelmére és helyettesíthetőségére vonatkozó ígéretét, és gyakran ez az egyetlen érme az ilyen beszélgetésekben, ahogyan a legtöbb más „adatvédelmi érme” nem.</p>\n\n<p>Mivel Monero közössége nagyon keményen igyekszik <a target=\"_blank\" href=\"/knowledge/critical-thinking\" class=\"next-link\">racionális és szkeptikus</a> lenni, nem fél az új technológiáktól. Más érmék, akik jobban törődnek a versengő oldallal, folyamatosan Monero „trónfosztásáról” beszélnek, és arról, hogy Monerónak meg kell félnie új technológiájuktól, amely átveszi az uralmat a magánélet világában. Más szóval, úgy gondolják, hogy az új technológiájuk legyőzi a Monero bevett hálózati hatásait az adatvédelmi körökben.</p>\n\n<p>Eltérően a Bitcointól, amely elsősorban a hálózati hatásaira támaszkodik, hogy releváns maradjon anélkül, hogy sok mögöttes újítást igényelne, a Monero úgy döntött, hogy mindkettőt felkarolja. Új, ellenőrzött technológia került hozzáadásra, hogy a Monero privátabbá és biztonságosabbá váljon, így biztosítva, hogy a Monero hálózati hatásai soha ne az egyedüli célja a státusz, hanem inkább az innováció és a kemény munka eredménye.</p>\n\n<p>Ebben az értelemben el kell töprengeni, hogy egy olyan technológia, mint a Bitcoin, meddig támaszkodhat kizárólag a meglévő hálózati hatásaira, hogy releváns maradjon. Az ügy jelenleg erős, egyetlen érme sem közelíti meg a Bitcoin márka ismertségét és a kollektív agyteret, de emlékeznünk kell arra, hogy más iparágak sok más zsengéje érinthetetlennek tartotta magát, hogy szembenézzen saját bukásával az innováció hiánya miatt. X6322X]';

  @override
  String get knowledge250SbnetworkEffect250Sbdescription => 'Bár vitathatatlan, hogy a Bitcoin messze a legnagyobb kriptográfiai eszköz, azt kérdezzük, hogy támaszkodhat-e kizárólag a meglévő hálózati hatásaira, hogy releváns maradjon.';

  @override
  String get knowledge250SbnetworkEffect250Sbtitle => 'Hogyan tudja Monero legyőzni a Bitcoin hálózati hatásait?';

  @override
  String get knowledge250Sbnetworking250Sb0250Sbtext => '<p>Senkit sem lephet meg, hogy a Monero, sőt az összes kriptovaluta az interneten fut. Mégis, bár ez a kijelentés alapvetőnek és nyilvánvalónak tűnik, sokan nem veszik figyelembe, hogy ez mit jelent a magánéletükre nézve. Más szóval, van néhány dolog, ami ellen a Monero megvédhet és nem, pusztán az interneten való futás természeténél fogva. E megfontolások némelyike pusztán kellemetlenség, míg mások sokkal komolyabbak egy olyan forgatókönyvben, ahol abszolút magánéletre van szükség. Szánjunk időt arra, hogy megismerjük, hogyan lépnek kapcsolatba egymással a Monero-felhasználók a hálózaton, és mit jelent ez a magánéletük szempontjából.</p>\n\n<p>A dolgok triviális oldalától kezdve, ha a felhasználó nem fér hozzá az internethez, nem tölthet le új blokkokat, nem terjeszthet tranzakciókat mások nevében, és nem küldhet saját tranzakciókat. Érdekes megjegyezni, hogy a teljes csomóponttal rendelkező, internet-hozzáférés nélküli felhasználó offline tranzakciót hozhat létre, amelyet később elküldhet. Ennek az az oka, hogy egy gyűrűs aláírásnak csak a blokklánc kimeneteire van szüksége, hogy elrejtőzzön. Egy rövid emlékeztető az <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> csengőaláírások működéséről</a>, elrejti a felhasználó által küldött valódi kimenetet a múltból kiválasztott, nem kapcsolódó kimenetek gyűjteménye között. Ha a felhasználó hozzáfér ezekhez a kimenetekhez egy teljesen letöltött blokklánc (teljes csomópont) formájában, akkor létrehozhatja a gyűrűs aláírást a múltbeli kimenetekből, és amint az internetkapcsolat helyreáll, továbbíthatja a tranzakciót a hálózatra.</p>\n\n<p>A távoli csomópontot használó felhasználó ezt nem teheti meg, mivel amikor létrehozza gyűrűaláírását, kapcsolatba lép a távoli teljes csomóponttal, hogy a kimeneteket belefoglalja a gyűrűaláírásba. Az internet hiánya azt jelenti, hogy nem érik el ezt a csomópontot, így nem rendelkeznek offline tranzakciószerkesztési lehetőségekkel.</p>\n\n<p>Mielőtt folytatnánk néhány adatvédelmi megfontolást, lássuk röviden az internet egészének működését. Az egész internet nem más, mint a számítógépek összekapcsolása más számítógépekkel. Ez az. A blog, amit szívesen olvasol? Csak néhány fájl, amelyet valaki más számítógépén tárolnak. Ez a webhely, amelyen ezt a cikket olvassa (LocalMonero)? Valahol egy számítógépen tárolt fájlok és kódok. Még a nagy őrült oldalak is így működnek. Vegyük például a YouTube-ot. Csak videofájlokat tárolnak a Google gigantikus számítógépes rendszerein, és csatlakozik hozzájuk, hogy letöltse a videót a saját számítógépére, hogy megtekinthesse.</p>\n\n<p>Ezek a számítógépek meg tudják különböztetni egymást, mivel minden internethez csatlakozó számítógép egyedi azonosító számot kap, amelyet IP-címnek neveznek. Ezek általában négy, pontokkal elválasztott számkészlet, például: 172.66.35.7. Fontos ezt szem előtt tartani, amikor figyelembe vesszük, hogy a Monero információi hogyan mozognak az interneten. A Monero egy peer-to-peer hálózat (P2P), ami azt jelenti, hogy a számítógépek közvetlenül csatlakoznak egymáshoz, nem pedig közvetítőt használnak. Tehát amikor a felhasználó teljes csomópontja egy újonnan felfedezett blokkot tölt le, azt nem egy központi szerverről tölti le, hanem a társaiktól. Ennek az a hátránya, hogy mivel a felhasználók közvetlenül csatlakoznak egymáshoz, ismerik egymás IP-címét.</p>\n\n<p> Nos? Mi a nagy baj? Ez csak egy szám, igaz? Nem pontosan. Az IP-címek maguk is tartalmaznak információkat a felhasználóról, például a származási országról és a hálózat szolgáltatójáról, de ami még rosszabb, az internetszolgáltatók (ISP) tudják minden egyes szolgáltatásukat használó személy IP-címét. Ez azt jelenti, hogy ezek az internetszolgáltatók és azok, akikkel dolgoznak, figyelhetik a felhasználó internetes forgalmát, és néhány okos taktikával felfedezhetik, hogy Monero-t használnak. Mielőtt megijedne, jegyezze meg az ottani megfogalmazást. Ezek a leskelők csak azt látják, hogy egy személy csatlakozik a Monero hálózat más csomópontjaihoz. A Monero adatvédelmi technológiája miatt semmi más nem szivárog ki az egyénről. Nem, hogy futnak-e egy csomópont, vagy ha/mikor küldenek tranzakciókat, és ha elküldik a tranzakciót, annak információi nem ismertek. Ezek az internetszolgáltatók csak azt láthatják, hogy az egyik felhasználójuk csatlakozik a Monero hálózathoz.</p>\n\n<p>Egyes emberek számára bizonyos helyeken ez az információ önmagában is elegendő lehet ahhoz, hogy kárt okozzon a hírnévnek vagy a szabadságnak. Vagy talán elfogadhatatlan számodra az az elképzelés, hogy valaki bármilyen okból megsérti a magánéletét és azt, amit az interneten tesz. Ezeket az egyéneket arra ösztönzik, hogy csak VPN, Tor vagy I2P használatával csatlakozzanak a Monero hálózathoz, amelyek mindegyike olyan szolgáltatás, amely elrejti a felhasználó IP-címét mások elől, valamint elrejti a felhasználó tevékenységét az internetszolgáltatójuk elől. A szolgáltatások közötti különbségek túlmutatnak jelen cikk keretein, de rengeteg jó minőségű cikk született a témában, ezért az érintett felhasználókat arra biztatjuk, hogy tanulmányozzák tovább!</p>\n\n<p>Többiek számára azt gondolhatjuk, hogy ha mások tudják, hogy csatlakozunk a Monero hálózathoz, az nem olyan nagy dolog. Hiszen a tranzakcióink tényleges tartalma, vagy ha küldünk egyáltalán, el van rejtve a nyilvánosság előtt, akkor mi a kár? Bár ez igaz lehet, a felhasználókat arra ösztönzik, hogy vegyék fontolóra azt a tényt, hogy a kriptovaluták fő vonzereje a saját bankjuk. Ha kézben tartja a privát kulcsát, és ha valami történik vele, senki sem tud segíteni az elveszett pénz visszaszerzésében.</p>\n\n<p>A saját bankjának lenni azt jelenti, hogy nem csak a digitális, hanem a fizikai biztonságát is figyelembe kell venni. Könnyen előfordulhat, hogy a Monero hálózathoz csatlakozó egyén tudása nemkívánatos figyelmet kelt, nem feltétlenül olyan nagy szereplők részéről, mint a nemzetállamok, hanem önző érdekű kisebbek, mint például a könnyű pénzt keresni vágyó hackerek. Valóban számtalan történet létezik a kriptográfiai térben az ilyen forgatókönyvek tényleges megtörténtéről.</p>\n\n<p>Ennek a cikknek a célja nem a félelemkeltés vagy megfélemlítés, hanem inkább arra ösztönzi a felhasználókat, hogy végezzenek némi kutatást a számukra megfelelő internetes böngészés elleni védelemről. A jó hír az, hogy ezek a készségek átkerülnek az általános internethasználatra is, nem csak a Monero használatára, és mint ilyenek, egyre inkább internetkapcsolatos világunkban egy hozzáértő felhasználó nem tévedhet, ha megfelelő tudást és készségeket halmoz fel a biztonság megőrzéséhez. és valóban a saját bankjuk legyen.</p>';

  @override
  String get knowledge250Sbnetworking250Sbdescription => 'Szánjunk időt arra, hogy megismerjük, hogyan kommunikálnak egymással a Monero-felhasználók a hálózaton, és mit jelent ez a magánéletük szempontjából.';

  @override
  String get knowledge250Sbnetworking250Sbtitle => 'Amit minden Monero-felhasználónak tudnia kell, ha hálózatról van szó';

  @override
  String get knowledge250Sbnodes250Sb0250Sbtext => '<p>A Monero egyik legnagyobb előnye más kriptovalutákkal szemben a láncon belüli adatvédelem, de elgondolkozott már azon, hogy a Monero adatvédelme hogyan érvényesül, ha távoli csomópontot használ? Mi lenne, ha egy „könnyű pénztárca” szervert használna, mint például a MyMonero?</p>\n<p>Ebben a bejegyzésben bemutatjuk azokat a részleteket, amelyek mögött a Monero kivételes láncon belüli adatvédelmet biztosít távoli csomópontok használatakor is, valamint azt is, hogy mire kell figyelni távoli csomópontok használatakor.</p>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtext => '<p>Azok számára, akik kevésbé ismerik a Monero működését, a Monero hálózat csomópontjait (vagy szervereit) bárki futtathatja, és lehetővé teszi a csomópont tulajdonosának – vagy másoknak, akikkel megosztják azt! – a blokklánc egy példányának szinkronizálása, és a másolat továbbítása a hálózaton mások számára. Ezek a csomópontok ellenőrzik a hálózaton zajló összes tranzakciót, valamint az összes közzétett blokkot, és biztosítják, hogy mindegyik megfeleljen a konszenzusban meghatározott szabályoknak.</p>\n<p>A másik funkció, amelyet a csomópontok a Monero-ban szolgálnak ki, hogy megadja azokat az adatokat, amelyekre kedvenc Monero pénztárcájának szüksége van az Önhöz tartozó tranzakciók megfelelő ellenőrzéséhez és az új tranzakciók végrehajtásához. Ezeket az adatokat a csomópontok kétféleképpen biztosítják:</p>\n<ul>\n<li>A blokklánc egyes blokkjaiból származó adatokat a pénztárca lekéri, beszkenneli az Önhöz tartozó tranzakciókat, majd a pénztárca ellenőrzése után eldobja.\n<ul>\n<li>Ez a lépés hamarosan drasztikusan javulni fog az <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/view-tags-reduce-monero-sync-time\">view címkéknek</a> köszönhetően.</li>\n</ul></li>\n<li>Tranzakciók küldésekor az Ön által használt csomópont megadja a lehetséges csalók (vagy hamis bemenetek) listáját, amelyeket a tranzakció felépítése során használhat, így biztosítva, hogy minden Monero elköltésekor megfelelő tömegben bújhasson el.\n<ul>\n<li>Ezek a csalik az <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/ring-signatures\">gyűrűs aláírások</a> részét képezik, ami fontos része Monero láncon belüli adatvédelemmel kapcsolatos megközelítésének.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtitle => 'Milyen funkciókat látnak el a csomópontok a Moneroban?';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtext => '<p>A Monero által a távoli csomópontok használatakor biztosított erős láncon belüli adatvédelem mellett is a legjobb dolog a saját Monero csomópont futtatása, hogy kéznél legyen a Monero blokklánc eredeti példánya, és hogy az Ön IP-címe jól védett. A másik előny a saját csomópont futtatásakor az, hogy hozzájárulhat a hálózathoz, lehetővé téve, hogy más csomópontok szinkronizáljanak az Ön csomópontjáról, vagy akár más felhasználók is csatlakozhatnak a csomóponthoz a pénztárcájukkal.</p>\n<p> Ennek ellenére a Monero továbbra is kiváló adatvédelmet biztosít távoli csomópont használatakor. Ha érdekli a saját Monero-csomópontjának futtatása, itt található egy könnyen követhető útmutató: </p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/guides/run-a-monero-node/\"> Monero Node futtatása</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtitle => 'Mi a legprivátabb és legbiztonságosabb módja a Monero használatának?';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtext => '<p>Távoli csomópont használatakor van néhány kulcsfontosságú információ, amely egy távoli csomópont számára hozzáférhetővé válik, és néhány kulcsfontosságú módja annak, hogy a csomópont megtámadja Önt, megakadályozza a tranzakciókat, és így tovább.</p>\n<p>Az első dolog, amit egy távoli csomópont megtudhat Önről, az az Ön nyilvános IP-címe. Bár ezt remélhetőleg VPN-en vagy Toron keresztül eltitkolják, a távoli csomópont társíthatja a nyilvános IP-címét a tranzakcióval, segítve nekik, hogy leszűkítsék, honnan folynak a tranzakciók. A távoli csomópont képes megtanulni a pénztárca utolsó szinkronizált blokkját is, és ennek segítségével megpróbál megalapozott találgatásokat tenni Önről, például, hogy mikor használja általában a Monero-t, és mikor költötte el utoljára a Monerót. Ez különösen igaz, ha mindig ugyanarról az IP-címről érkezik (például otthonról). Az utolsó kulcsfontosságú dolog, amit egy távoli csomópont megtudhat Önről, az a rajta keresztül küldött tranzakciókra vonatkozó alapvető információk. Bár ezek lehetnek a legnyilvánvalóbb adatok, amelyeket a távoli csomópont üzemeltetője kap Önről, fontos megérteni, hogy ezek felhasználhatók a tranzakció feladójának nyomon követésére, amikor ezeket az információkat más, láncon kívüli adatokkal kombinálják. Ez különösen veszélyes lehet, ha a távoli csomópontot egy rosszindulatú entitás, egy blokklánc-elemző cég vagy egy elnyomó nemzetállam üzemelteti.</p>\n<p>Egy távoli csomópont azzal is megkísérelhet problémát okozni, hogy blokkokat rejt el Ön elől, így a pénztárcája azt hiszi, hogy szinkronizálva volt, amikor nem. Emiatt azt gondolhatja, hogy pénzeszközök vesznek el, vagy megakadályozhatja, hogy pénzt költsön el, amíg nem csatlakozik egy másik csomóponthoz. Az utolsó kulcsfontosságú dolog, amit egy távoli csomópont megtehet, az az, hogy a pénztárcáját egy manipulált csalilistával látja el. Ez azt eredményezheti, hogy a pénztárcája vagy teljesen meghiúsítja a tranzakciók létrehozását (ami miatt nem tud pénzt elkölteni), vagy lehetővé teheti a távoli csomópont számára, hogy olyan csalikat próbáljon meg biztosítani, amelyekről tudja, hogy elköltötték, hogy csökkentsék az egyes tranzakciók során kapott névtelenséget.</p>';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtitle => 'Mit tanulhat meg rólam egy távoli csomópont?';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtext => '<p>Bár ez a cikk megijesztett egy kicsit, fontos felismerni, hogy a Monero által biztosított adatvédelem még távoli csomópont használatakor is kiváló, és messze felülmúl minden más kriptovalutát, ha így használjuk. Továbbra is élvezheti a Monero által biztosított erős láncon belüli adatvédelmet, mivel a távoli csomópont soha nem tudja a valódi bemenetet (milyen érméket költ), a tranzakcióban elköltött Monero összegét vagy a tranzakció címzettjének címét. A külső megfigyelők sem láthatják az érintett valódi bemenetet, összeget vagy címeket (függetlenül attól, hogy milyen típusú csomópontot választanak!), biztosítva, hogy a távoli csomóponton kívül még az Ön IP-címe, pénztárca szinkronizálási információi és tranzakciói is erős adatvédelmi garanciákkal rendelkezzenek. .</p>\n<p>A távoli csomópont továbbá soha nem fér hozzá az Ön által küldött vagy fogadott korábbi tranzakciókhoz, illetve a pénztárcájában jelenleg lévő Monero összegéhez, és elveszíti a tranzakciók láthatóságát abban a pillanatban, amikor egy másik csomópontot használ. A távoli csomópont soha nem kap privát kulcsokat (sem a költési, sem a megtekintési kulcsokat), így a pénztárca privát, biztonságos és használható marad. Nem számít a távoli csomópont, soha nem fenyegeti a Monero elvesztésének vagy ellopásának veszélye, mivel a csomópont nem tudja szerkeszteni a címzett címét, soha nem fér hozzá a pénztárca privát kulcsaihoz, és semmilyen módon nem kobozhatja el Monero-ját.</p>';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtitle => 'Milyen adatvédelmi garanciák léteznek még távoli csomópont használatakor?';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtext => '<p>Bár a téma egy kicsit kívül esik ennek a cikknek a hatókörén, szeretnék foglalkozni a Monero egyedi pénztárcájával – a könnyű pénztárcákkal. A könnyű pénztárca elnevezés onnan ered, hogy a pénztárcának (a telefonon vagy a számítógépen) nem kell végrehajtania a blokklánc szinkronizálást, így az élmény gyorsabb és gördülékenyebb.</p>\n<p>Az ehhez hasonló pénztárcák azonban egyelőre komoly adatvédelmi kompromisszumot tartalmaznak – a pénztárca elküldi a privát nézet kulcsát az Ön által használt távoli szervernek (mint az alapértelmezett a MyMonero-ban), így a távoli szerver teljes mértékben láthatja a kapott pénzeszközöket. pénztárcája létrehozása óta (és amíg abba nem hagyja ennek a pénztárcának vagy magnak a használatát). Ez drasztikusan csökkenti a csomópont operátorától kapott adatvédelmet, ezért óvatosan kell megközelíteni.</p>\n<p>Szerencsére a Monero közösség azon dolgozik, hogy javítsa a szoftvert, amellyel saját könnyű pénztárcaszerverét (LWS) tárolhatja, amely lehetővé teszi a gyors szinkronizálást anélkül, hogy egy harmadik félre bízná privát nézeti kulcsait – ahogy Ön futtatja azt a szoftvert, amelyre a pénztárcája elküldi a privát nézet kulcsait!</p>\n<p>Ha többet szeretne megtudni az egyéni light Wallet szerverről, tekintse meg az alábbi Github-tárat:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/vtnerd/monero-lws\">monero-lws</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtitle => 'Mit szólnál az olyan „könnyű pénztárcákhoz”, mint a MyMonero?';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtext => '<p>Ha kíváncsi, és szeretné jobban megérteni a Monero csomópontjait, és szeretne távoli csomópontot használni vagy sajátot futtatni, tekintse meg az alábbi linkeket, ahol nagyszerű helyeket találhat a kezdéshez:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://moneroworld.com/#nodes\">Monero World, a közösség által működtetett távoli csomópontok listája, amelyek használható</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/about/#high-performance-monero-nodes\">Monero csomópontok Seth For Privacy, a cikk szerzője</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monero.fail/\">monero.fail, a gyakran ellenőrzött állapotú távoli csomópontok listája< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/user-guides/remote_node_gui.html\">Hogyan csatlakozz egy távoli csomópontra a grafikus felhasználói felületen belüli tárcán belül</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/moneropedia/remote-node.html\">Moneropedia – Távoli Csomópont</a></li>';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtitle => 'Hogyan tanulhatok többet?';

  @override
  String get knowledge250Sbnodes250Sbdescription => 'Ma megvizsgáljuk, hogy a Monero miként biztosítja a láncon belüli adatvédelmet még távoli csomópont használata esetén is, valamint a figyelmeztetéseket.';

  @override
  String get knowledge250Sbnodes250Sbtitle => 'Hogyan befolyásolják a távoli csomópontok a Monero adatvédelmét';

  @override
  String get knowledge250Sboutputs250Sb0250Sbtext => '<p>A Monero más kriptovalutákhoz hasonlóan a kimeneteket használja a pénzeszközök elszámolására. Sok kriptográfiai jártas felhasználó valószínűleg hallotta már ezt a kifejezést, de nem mindenki érti, mit jelent ez és hogyan működik. Az <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">gyűrű aláírásokról szóló cikkünkben</a> leírtak szerint a kimenetek a blokkláncon a tranzakcióban részt vevő felek közötti tényleges egységek. Hasonló egy dolláros bankjegyhez, de az összeg nem fix címletű.</p>\n\n<p>Ha 16 dollár fizetést kap egy munkáért, kaphat egy egydollárost, egy ötdollárost és egy tízdollárost. 16 dollárja van, de három különböző bankjegy is van a pénztárcájában. Ha valakinek 6 dollárt akart fizetni, használhatja az 5-ös és az 1-es számlát, de ha valakinek 8 dollárt akar fizetni, akkor csak a 10 dollárt használhatja, és 2 dollárt kaphat vissza aprópénzként. Végül, ha 14 dollárt szeretne fizetni valakinek, mindhárom számlát fel kell használnia, és 2 dollárt kapna vissza aprópénzként, de egy pillanatra, amikor mindhárom számlát átadja, nincs pénz a pénztárcájában, amíg meg nem kapja a változtass vissza.</p>\n\n<p>A Monero hasonlóan működik. Tegyük fel, hogy üzletet üzemeltet, és három különböző terméket értékesít. Kaphat 1,5 XMR-t, 2,25 XMR-t és 5,25 XMR-t összesen 9 XMR-ért, de három különböző kimenet is van a pénztárcájában a korábban említett címletekből. Csakúgy, mint a dollárnál, érdemes valakinek 3 XMR-t fizetnie. Használhatja csak az 5,25 XMR kimenetet, és 2,25 XMR-t kaphat vissza változásként, vagy kombinálhatja az 1,5 és 2,25 XMR kimeneteket, és 0,75 XMR-t kaphat vissza változásként.</p>\n\n<p>De amint elküldi a tranzakciót, a használt kimenetek „zárolt” állapotba kerülnek, ami azt jelenti, hogy nem érhetők el, amíg vissza nem kapja a módosítást. A protokoll 10 megerősítés után, azaz körülbelül 20 perccel feloldja a pénzeszközök zárolását (azaz visszaadja a váltást). Csakúgy, mint ha egyszer átadja a dolláros bankjegyeket a pénztárcájából, addig nem használhatja fel újra a pénzt, amíg vissza nem kapja az aprópénzt a pénztárostól, a Monerohoz addig nem lehet hozzáférni, amíg vissza nem kapja a pénzt.</p>\n\n<p> Térjünk vissza ahhoz a példához, amikor 3 XMR-t küldünk valakinek, és az 5.25 XMR kimenetet használjuk. Most, amíg visszavárja az 1.75 XMR változást, nem használhatja. Ez az 1.75 XMR nem érhető el az Ön számára. De továbbra is használhatja az 1,5 XMR és 2,25 XMR kimeneteket, mivel ezeket nem költötték el. Visszatérve a dolláros példához, ha fizet valakinek 8 dollárt, mint az előző példában, akkor nem használhatja fel azt a 2 dollárt, amelyet pénzváltásként vár vissza, amíg azt nem kapja meg, de ebben a példában még mindig van egy 10 dolláros bankjegy, amely fel nem használt a pénztárcájában. Ezzel továbbra is megvásárolhat bármit, amit csak szeretne, amíg a változásra vár. Ugyanez Moneróval is.</p>\n\n<p>Ez gyakran zavaró pont az új Monero-felhasználók számára. Gyakran előfordulhat, hogy a felhasználónak csak egy kimenete van a pénztárcájában, amelyet egy cserétől vagy egy baráttól kapott. Tegyük fel, hogy ez a kimenet 20 XMR. Nincs más kimenet a pénztárcájukban. Most két kedvenc jótékonysági szervezetüknek szeretnének adományt adni. 5 XMR-t küldenek az első jótékonysági szervezetnek, majd összezavarodnak, mert bár 15 XMR-nek kellene maradnia, nem tudják azonnal elküldeni a következő adományt a második jótékonysági szervezetnek. Amint azt sejteni lehetett, ez azért van, mert a 15 XMR le van zárva. Addig nem költhető el, amíg csereként vissza nem küldik (10 visszaigazolás vagy kb. 20 perc). A pénzeszközök feloldása után elküldhetik második adományukat.</p>\n\n<p>Csak hogy megismételjük a lényeget, nem lett volna ez a probléma, ha több kimenettel rendelkeztek volna, például két 10 XMR kimenettel vagy hasonlóval. Mindkét adományt egymás után küldhetik el, mert az első adomány a 10 XMR kimenet egyikét használja (és várjon 10 megerősítést, hogy 5 XMR-t kapjon vissza csereként), a második adomány pedig a másik 10 XMR-t használná. kimenet.</p>\n\n<p>Egyes kriptovaluta pénztárcák rendelkezik egy „output management” nevű funkcióval, amely egyszerűen megmutatja a felhasználónak, hogy jelenleg milyen kimenettel rendelkezik (a teljes összegükön felül), valamint lehetővé teszi számukra, hogy kiválasszák, melyiket kívánják használni, amikor költenek. kriptovalutájuk.</p>\n\n<p>Mostantól kezdve a Monero grafikus felhasználói felület automatikusan választja ki a kimenetet a felhasználók számára, mivel a saját kimeneteik kiválasztása gyakran zavart okoz, vagy bizonyos esetekben sérti a magánéletet. Vannak azonban fejlesztés alatt álló pénztárcák, például az új Feather pénztárca projekt, amelyek tartalmazni fogják ezeket a kimenetkezelési funkciókat.</p>\n\n<p>Sokat beszélünk a küldő részről, de valami lenyűgöző történik a fogadó oldalon. Visszatérve arra a példánkra, amikor 3 XMR-t küld valakinek, és az 1,5 XMR és 2,25 XMR kimeneteit használja a tranzakcióban (miközben 0,75 XMR változásra számít), a vevő NEM kap két 1,5 XMR és 2,25 XMR kimenetet. Ehelyett ONE 3 XMR kimenetet kapnak.</p>\n\n<p>A háttérben a protokoll egyesíti az összes kiadáshoz használt kimenetet, és a fogadónak ad egy kimenetet a befizetett összegből, és egy változáskimenetet küld vissza a feladónak. Így a feladó egy kimenetet is visszakap változásként, függetlenül attól, hogy kettő, három vagy tíz kimenetet használt-e a tranzakció elküldésére.</p>\n\n<p>Reméljük, hogy ezzel sikerült tisztázni némi félreértést a kimenetekkel és a protokoll belső elszámolásának működésével kapcsolatban, valamint azt a gyakori felhasználót, amellyel a zárolt pénzeszközök összetévesztésével szembesülnek. Egy másik cikkben megvizsgáljuk a kimenetek kezelését annak érdekében, hogy minimálisra csökkentsük annak esélyét, hogy a jövőbeni tranzakciók elküldése előtt várni kelljen a feloldott pénzeszközökre.</p>';

  @override
  String get knowledge250Sboutputs250Sbdescription => 'Sok kriptográfiai jártas felhasználó valószínűleg hallotta már a „kimenetek” kifejezést, de nem mindenki érti, mit jelentenek és hogyan működnek.';

  @override
  String get knowledge250Sboutputs250Sbtitle => 'Monero kimenetek magyarázata';

  @override
  String get knowledge250Sbp2pool250Sb0250Sbtext => '<p>A Monero projekt egyik alapvető célja egy tisztességes, decentralizált és biztonságos hálózat létrehozása a munkabizonyítás (PoW) bányászatának új és innovatív megközelítésein keresztül, amely ma a kriptovaluta hálózatok biztonságának fő módja. X230X]\n\n<p>Míg egy olyan egyedi bányászati algoritmus <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/monero-mining-randomx\">, mint a RandomX</a>, rendkívül fontos ehhez a célhoz, mivel segít biztosítani, hogy bárki, aki rendelkezik számítógéppel, méltányos összeggel hozzájárulhasson a hálózat biztonságához, a RandomX nem oldja meg a problémákat. ami a medencebányászat miatt fordulhat elő. A pool bányászat messze a legelterjedtebb módja a kriptovaluták bányászatának manapság, beleértve a Monero-t is, de szerencsére a p2pool bányászat megjelenése ezt gyorsan megváltoztatja.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtext => '<p>A gyűjtőbányászat egy módja annak, hogy a bányászok megosszák a feladatot, hogy megpróbáljanak megoldani egy blokkot a hálózaton, majd egyenletesen megosszák a jutalmakat a pool által talált blokkok után. Noha ez rendkívül sokat segít a bányászok fizetési gyakoriságának kiegyenlítésében a Monero bányászatához képest, ez nem nélkülözi a komoly központosítási problémákat.</p>\n\n<p>Ahogy minden bányász munkával járul hozzá a poolhoz, feladják az általuk végzett munkák irányítását, és blokkolják, amit találnak magának a poolnak, abban bízva, hogy a bányász őszintén és méltányosan osztja meg a jutalmakat az összes bányász között a bányászok mennyisége alapján. mindegyik elvégzett munkát. Ha minden jól megy, a medence üzemeltetője begyűjti a munkát minden bányásztól, elküldi a hálózatnak, és egyenlő arányban osztja el a jutalmakat.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtitle => 'Mi az a medencebányászat?';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtext => '<p>Sajnos ez teljes mértékben a bizalomra támaszkodik, és lehetővé teszi a medence üzemeltetője számára, hogy aljas dolgokat végezzen a bányászok által végzett munkával. A medence üzemeltetője felhasználhatja az elvégzett munkát a hálózat megtámadására, megkísérelheti a források kétszeres elköltését (ha a pool elég nagy), vagy egyszerűen csak arra használhatja a bányászok által végzett munkát, hogy megfizesse magát, és soha nem jutalmazza megfelelően a bányászokat a munkájukért. .</p>\n\n<p> A hálózatot fenyegető legnagyobb kockázatot az jelenti, ha egy pool (vagy több együtt működő készlet) a hálózatok több mint 51%-a az irányítása alatt van, mivel ezt kétszer csalásra és pénzköltésre használhatják fel (dupla költés). támadás), vagy megpróbálja megváltoztatni a hálózat szabályait.</p>';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtitle => 'Mi a probléma a medencebányászattal?';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtext => 'Az <p>p2pool egy olyan koncepció, amelyet eredetileg Bitcoin bányászatára hoztak létre 2011-ben, de soha nem terjedt el széles körben, és gyakorlatilag nem használják a Bitcoinon. Szerencsére a RandomX mögött álló egyik kulcsfontosságú fejlesztő, SCHernykh a vakációját azzal töltötte, hogy megoldásokat találjon a p2pool bitcoin implementációjával kapcsolatos egyes problémákra, és az összes szoftvert a semmiből újraírja.</p>\n\nAz <p>p2pool Monero-ban teljesen bizalommentes módszert tesz lehetővé a bányászok számára, hogy blokkokat oldjanak meg és biztosítsák a Monero hálózatot a p2pool speciális csomóponti szoftverének használatával a munka megosztása érdekében.</p>\n\n<p>Ez egy új blokklánc (egy \"oldallánc\") segítségével történik, amely nyilvántartást vezet az egyes bányászok által végzett munkáról, a pénztárca címéről és arról, hogy mennyi Monero-t kerestek, majd a jutalmat trösztben fizeti ki. -kevésbé és decentralizált módon. Mivel ebben az oldalláncban sokkal kevesebb bányász dolgozik, sokkal könnyebben lehet blokkokat találni és beküldeni rajta, mint a fő Monero hálózaton, így a bányászok könnyebben juthatnak egyenletes kifizetéshez, szemben a Monero egyedüli bányászatával.</p>';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtitle => 'Mi az a p2pool?';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtext => '<p>A p2poolban nincs központosított pool, központosított pool-üzemeltető vagy egyetlen személy, aki pénzeszközöket tartana fenn és osztaná ki a kifizetéseket. A p2pool-on keresztül bányászok által közösen végzett összes munkát a p2pool blokklánc és más csomópont-operátorok ellenőrzik, hogy megbizonyosodjanak arról, hogy az jogos, és minden bányász azonnali kifizetést kap az elvégzett munkának megfelelően, amikor egy blokkot találnak közvetlenül a a jutalmak abban a talált blokkban.</p>\n\n<p>Amikor a bányászok a p2pool használatát választják a központosított pool helyett, megvonnak minden hatalmat és bizalmat a pool üzemeltetőitől, és gondoskodnak arról, hogy munkájuk hozzájáruljon a hálózat javához és saját jutalmaikhoz, csökkentse a hálózati támadások és a visszaélések kockázatát. munkájukról, vagy a nekik járó jutalom ellopásáról.</p>\n\n<p>Ez nemcsak a saját érdekeik védelmében segíti őket, hanem csökkenti annak kockázatát is, amelyet a központosított készletek jelenthetnek a Monero hálózat egészére nézve. A p2pool használata szintén nagyban segít csökkenteni a kockázatot, amelyet a nemzetállamok vagy a szabályozó hatóságok jelenthetnek a hálózat egészségére nézve, mivel nincsenek központosított pool-üzemeltetők, amelyekre nyomás nehezedhet, nincs földrajzi koncentrációja a pooloknak, amelyekre támaszkodhatna, vagy bármilyen más könnyű nyomáspont. hogy Monero ellen használják.</p>';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtitle => 'Hogyan oldja meg a p2pool a poolbányászat problémáit?';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtext => '<p>Szerencsére a moneroi p2pool jól megtervezett és jól felépített, és rendkívül jól működik! A p2pool bányászat fő hátránya azonban, hogy minden bányásznak, aki használni akarja a p2pool-t, saját Monero csomópontot kell futtatnia, ami egy kicsit jobban bevonja a kezdeti folyamatot. Ezt a csomópontot azonban ezután a blokkok felépítéséhez és ellenőrzéséhez szükséges összes információ kiszámításához használják, és biztosítják, hogy a bányász teljes mértékben kézben tartsa a munkájukat. A csomópont a bányász saját pénztárcájának távoli csomópontjaként is funkcionálhat, hozzájárulhat a hálózathoz és még sok minden máshoz.</p>\n\n<p>A másik lényeges különbség a központosított bányászathoz képest az, hogy a p2pool-t használó kis bányászoknak valamivel több &quot;varianciája&quot; lesz, vagy a kifizetések közötti időre, mint egy nagy központi bányászatra – de ez &#39; <em> rendkívül</em> fontos megjegyezni, hogy ez nem vezet kevesebb Monero bevételhez idővel! A p2pool idővel még a kis bányászok számára is ugyanolyan nyereséges lesz, mint a központosított pool. Ennek az eltérésnek egy részét az is ellensúlyozza, hogy a p2pool natívan 0%-os díjakkal rendelkezik, mivel nincs központosított pool-üzemeltető, aki fizesse a szolgáltatásaikat!</p>';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtitle => 'Mik a hátrányai?';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtext => '<p>Szerencsére a Monero&#39; p2pool implementációjának kiváló tervezése és a közösség sok embere miatt, akik időt fordítottak a p2poolon keresztüli bányászat egyszerűsítésére, az indulás idővel egyre egyszerűbb. Számos módja van a p2pool bányászat megkezdésének, de mivel a technikai részletek túlmutatnak ebben a cikkben, az operációs rendszertől függően nyissa meg az alábbi hivatkozást:</p>\n<ul>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://www.youtube.com/watch?v=yfbvTksF9ic\">Windows</a></li>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://sethforprivacy.com/guides/run-a-p2pool-node/\">Linux</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtitle => 'Hogyan kezdhetem el?';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtext => '<p>Ha ez felkeltette a kíváncsiságát a p2pool bányászat körül, nézzen meg alább néhány további linket és magyarázatot a p2poolról, hogyan működik, és mit jelent a Monero számára:</p>\n<ul>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool\">A hivatalos Github a p2poolhoz</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool#how-to-mine-on-p2pool\">A hivatalos dokumentumok a p2pool használatáról</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.getmonero.org/2021/10/05/p2pool-released.html\">Monero P2Pool már élő</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://p2pool.observer/\">p2pool.observer, egy &quot;blokkfelfedező&quot; a p2pool-hoz </a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/WeebDataHoarder/p2pool-compose\">Monero p2pool docker-compose</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.monerotalk.live/sergei-chernykh-on-his-development-of-p2pool-a-decentralized-xmr-mining-pool\"> Szergej Csernik: A P2Pool decentralizált XMR bányászati medencéjének fejlesztéséről</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtitle => 'Hogyan tanulhatok többet?';

  @override
  String get knowledge250Sbp2pool250Sbdescription => 'A Monero bányászatának manapság a medencebányászat a leggyakoribb módja, de szerencsére a p2pool bányászat megjelenése gyorsan megváltoztatja ezt.';

  @override
  String get knowledge250Sbp2pool250Sbtitle => 'A P2Pool és szerepe a Monero bányászat decentralizálásában';

  @override
  String get knowledge250Sbpractices250Sb0250Sbtext => '<p>Sok felhasználó megdöbbenhet, amikor megtudja, hogy a szakértők úgy gondolják, hogy lehetséges egy kriptovaluta helytelen használata. Attól függően, hogy a felhasználó mi ellen védekezik, bizonyos lépéseket és óvintézkedéseket kell tenni a magánélet megőrzése, a csalások elkerülése, valamint a tranzakciók megfelelő és időben történő kézbesítésének biztosítása érdekében. Szerencsére a Monero fejlesztői mindent megtettek annak érdekében, hogy józan alapértékeket állítsanak be ezeken a területeken, így a pénztárcaszoftvert a jelenlegi állapotában használó felhasználók a legtöbbször biztonságban lesznek. Ennek ellenére szeretnénk egy kis időt szánni arra, hogy megvizsgáljunk néhány olyan esetet, amikor hasznos lehet egy kicsit átgondoltabb kiadások.</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtext => '<p>Az első és legnagyobb módja annak, hogy kriptovalutáját biztonságban tartsa, az, hogy felírja Monero mnemonikus magját, amely egy rövid szólista, amely akkor jelenik meg, amikor először létrehozza pénztárcáját. Ha megvan ez a mag, de a számítógépe/telefonja lemerült, akkor visszaállíthatja a Monero-t. Ha nincs meg ez a mag, és elveszíti a pénztárcáját, akkor a Monero elveszett, és senki sem tud segíteni visszaszerezni. Ugyanígy ne ossza meg ezt a magot senkivel. Ha rendelkeznek ezzel a szólistával, teljes hozzáféréssel és költési joggal rendelkeznek a Monero-hoz. Sokan gondatlanok voltak a magjuk biztosításával, és az elveszett pénzeszközök félelmetes valóságához jutnak el, mert valaki elvette őket. Javasoljuk, hogy írja le. Fizikailag. Nem tárolja digitálisan, és gondoskodjon arról, hogy több példánya legyen különböző helyeken. Ez az első számú dolog, amit megtehet Monero biztonsága érdekében. ÍRJA LE A VETŐMEGÉRT!</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtitle => 'ÍRJA LE A MAGÁT!';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtext => '<p>Egyes csalások olyan rosszindulatú programokat használnak fel a számítógépen, amelyek megváltoztatják a másolás/beillesztés funkciót, és a rosszindulatú program létrehozójának címét helyezik el a címzett helyett. Mivel a Monero-címek hosszúak és nehézkesek, csábító lehet, ha csak az első néhány számot és betűt ellenőrizzük, és jónak nevezzük, vagy esetleg egyáltalán nem ellenőrizzük a címet. Bár valószínűleg nem szükséges a teljes címet ellenőrizni, a legtöbb esetben elegendő egy cím első és utolsó tucat karakterének ellenőrzése. Azoknál a címeknél, amelyekre gyakran küld, sok pénztárca rendelkezik címjegyzék funkcióval, amely automatikusan beírja a kiválasztott mentett címet. Még mindig a legjobb, ha egy gyors ellenőrzést végez.</p>';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtitle => 'Ellenőrizze még egyszer a címeit';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtext => '<p> A forró és hideg pénztárcák általános terminológia a kriptovaluta terén, és a koncepció valójában meglehetősen egyszerű. A forró pénztárcát gyakran előveszed és használod. \"Meleg\" attól, hogy a hátsó zsebében van. A hideg pénztárcák olyanok, amelyekhez nem nyúlnak túl gyakran, hasonlóan a banki pénzhez. Ahogyan nem tanácsos több száz dollárt a fizikai pénztárcájában hordani, de általában elfogadható bankszámlán, a felhasználóknak meg kell fontolniuk, hogy Monero mennyit hordjon körültekintően a forró, mobil pénztárcájában, és mennyit a legjobb hagyni. otthon egy második, hidegben. Így egy telefon elvesztése, lopás vagy egyéb baleset nem okoz teljes pénzvesztést.</p>';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtitle => 'Ismerje meg a különbséget a hideg és meleg pénztárcák között';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtext => '<p>Ha ijesztő az ötlet, hogy digitális környezetét teljesen mentesen tartsa a vírusoktól és a rosszindulatú programoktól, hogy megvédje Moneroját, akkor érdemes lehet hardveres pénztárcát használnia. Alapvetően a hardveres pénztárca az eszközön tartja a privát kulcsokat, távol a számítógéptől. Tehát még ha számítógépe veszélybe kerül is, a hackerek nem férhetnek hozzá a maghoz. Csak akkor tudja elkölteni az összeget, ha a hardveres pénztárca csatlakozik a számítógéphez, és aláírja a tranzakciót. Ezzel a sok mindenre használt, nagy támadási felülettel rendelkező számítógépedről a kulcsok biztonsága átkerül a hardveres pénztárcába, ami csak egy dologra használható, és sokkal kisebb támadási felülettel rendelkezik. Azok számára, akik nem ismerik a számítógépes biztonság csínját-bínját, egy életképes megoldás pénzeszközei biztonságban tartása.</p>';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtitle => 'A hardveres pénztárcák megfelelőek az Ön számára?';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtext => '<p>A magánélet területén gyakran túlságosan könnyű véletlenül kiszivárogtatni vagy felfedni azokat az adatokat, amelyek alapján azonosítani lehet. Egy régi példa, amely már nem vonatkozik a Monero-ra, az egyedi gyűrűméretek. Ha az alapértelmezett 11, és mindenki 11-et használ, de Ön következetesen 54-et használ, igen, ez a szám magasabb, így az anonimitás beállítása magasabb, de most kitűnik a tömegből, és tranzakciói könnyebben azonosíthatók. A Monero azóta frissítette a gyűrűméretet 11-re, így most mindenki ugyanúgy néz ki.</p>\n\n<p>Több dolgot megtehetsz annak érdekében, hogy véletlenül sértse a magánéletüket más kriptovalutákban, például a Bitcoinban. Egy jó hírű keverő kiválasztása, a nem KYC/AML-érmék beszerzése, a címek újrafelhasználásának mellőzése és a megfelelő érmekimenet-kezelés mindaz, amit az egyénnek figyelembe kell vennie, amikor megpróbálja minimalizálni a metaadatok kiszivárgását. A Monero sok ilyen problémát megkerül azáltal, hogy kötelezővé teszi az adatvédelmi funkciókat, és jó alapértelmezett értékeket állít be az átlagos felhasználó számára. A fenti példa a rögzített gyűrűméret használatára azt jelenti, hogy a végfelhasználóknak nem kell azon gondolkodniuk, hogyan érhetik el a lehető legjobb adatvédelmet ebben a tekintetben. A pénztárca ezt automatikusan elvégzi helyettük.</p>\n\n<p> Furcsa dolognak tűnhet erről beszélni. A legtöbb felhasználó megbocsátható, ha azt gondolja, hogy minden szoftver automatikusan neki működik, és nem ellenük. Sajnos semmi sem állhat távolabb az igazságtól, és ami a magánélet védelmét illeti, szinte minden kriptovaluta súlyosan hiányzik. Egy átlagos felhasználó számára általában túl sok erőfeszítést kell tennie, hogy elérje a személyes adatok védelmét. Ez gyakran még más kriptovaluták esetében is így van, amelyek a magánéletre összpontosítanak! A Monero gondoskodik arról, hogy az adatvédelem automatikusan megtörténjen, a felhasználók figyelme nélkül, lehetőség szerint protokollszinten, és ha nem, a pénztárcák ésszerű alapértelmezett beállításokkal. Ha kétségei vannak, csak használja a pénztárca alapértelmezett beállításait, és ne féljen kérdéseket feltenni.</p>';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtitle => 'Ha kétségei vannak, használja az alapértelmezett beállításokat (Moneróval)';

  @override
  String get knowledge250Sbpractices250Sbdescription => 'Tekintsük át azokat a lépéseket és óvintézkedéseket, amelyeket meg kell tenni a magánélet megőrzése, a csalások elkerülése és a tranzakciók megfelelő teljesítése érdekében a Monero használata során.';

  @override
  String get knowledge250Sbpractices250Sbtitle => 'Monero bevált gyakorlatok kezdőknek';

  @override
  String get knowledge250Sbringct250Sb0250Sbtext => '<p> A Monero adatvédelme nem egy egyedi mechanizmuson múlik, amely meghibásodása esetén a tranzakciók egészét fedné fel, hanem három különböző technológián múlik, amelyek együttesen biztosítják a holisztikus adatvédelmet, miközben kompenzálják a többi rész gyengeségeit. Ez a háromágú megközelítés <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">gyűrűs aláírásokból</a>, RingCT-ből és <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">lopakodó címekből </a> áll. Ez a három technológia elrejti a valódi kimenetet (küldőt), mennyiséget és vevőt. Ma a RingCT-ről fogunk beszélni.</p>\n\n<p> A RingCT vitathatatlanul a legtechnikaibb a három közül, és nehéz lehet megérteni, ezért nem fogjuk bemutatni, hogyan működik pontosan, hanem megmutatjuk, hogyan lehetséges, hogy nem tudunk egy összeget, és mégis megerősítjük a dolgokat. . És ne aggódjon, rengeteg példát fogunk használni, mint mindig.</p>\n\n<p>Először is vizsgáljuk meg, miért fontos bármit is ellenőrizni az összegekkel kapcsolatban. Miért nem tudjuk teljesen titokban tartani őket? A válasz az, hogy vannak okos módszerek arra, hogy az emberek légből kapott pénzt teremtsenek, ha lehetőséget kapnak rá. Hogyan működhet valami ilyesmi? Nézzünk egy példát.</p>\n\n<p>Ha szeretne vásárolni egy terméket a barátjától, és ő tíz dollárt akar érte, akkor kezdje tíz dollárral, ő pedig nullával. Miután odaadtad neki a tíz dollárt, neki lesz tíz dollárja, neked pedig nulla. Te tízzel kezdted, most pedig neki tíz. Ebben a tranzakcióban nem keletkezett vagy semmisült meg pénz.</p>\n\n<p>A kriptovalutákkal egy okos ember tíz dollárt is adhat az árucikkért, és ahelyett, hogy nulla dollárt kapna aprópénzként, két dollárt kaphat vissza. A 0 és 10 helyett 10 és 0 (vagy 10=10) most 0, a 10 pedig 10-hez és 2-hez vezet (vagy 10=12). Két Monero csak a semmiből jött létre. Elképzelhető, hogy ha az egyén ezt többször megtenné magával, rövid időn belül óriási vagyonra tehetne szert.</p>\n\n<p>A Bitcoin és mások esetében ez könnyen belátható. Megnézed a tranzakciókba bemenő bemeneteket és a kimenő kimeneteket, és megbizonyosodsz arról, hogy az elküldött tartalma megegyezik a fogadottal. Ha ezek az összegek titkosítva voltak, és nem láthatók, akkor a felhasználó nem tudja ellenőrizni, hogy a küldött és a fogadott tartalma megegyezik-e.</p>\n\n<p>A Bitcoin adatvédelmének növelése érdekében Gregory Maxwell megalkotta a Confidential Transactions (CT) új technológiát, amely lehetővé teszi a titkosított összegeket, miközben bizonyítja, hogy a folyamat során semmi sem keletkezett vagy semmisült meg. Mint a legtöbb adatvédelmi technológia, ez sem került be a Bitcoinba, de Monero szívesen alkalmazta. Csak egy probléma volt. A gyűrűs aláírások már bevezetett technológiája összeegyeztethetetlen volt a javasolt ötlettel. Ezért az egyik akkori MRL-kutató, Shen Noether a CT-t RingCT-vé módosította, a CT egy olyan változatává, amely kompatibilis volt a gyűrűs aláírásokkal.</p>\n\n<p>Még egyszer elmondom, hogy ennek működése meglehetősen technikai jellegű, és nehéz lenne elmagyarázni egy bevezető cikkben. A titkosírás-rajongó számára, akinek egyszerűen tudnia kell, rengeteg részletes cikk található az interneten a CT belső működéséről. A többiek számára ez a cikk bemutatja, hogyan lehet elrejteni az összegeket, de mégis bebizonyítja, hogy semmi sem keletkezett vagy semmisült meg.</p>\n\n<p> Tegyük fel, hogy Alice pénzt akart küldeni Bobnak. Alice 10 XMR-t küld Bobnak, aki 10 XMR-t kap. 10=10 tehát nincs itt semmi baj. De Alice nem akarja, hogy bárki megtudja, mennyit küld. Így hát ő és Bob közös titkot alkotnak. Alapvetően egy szám, amit csak ők ketten ismernek. Tegyük fel, hogy ez a szám 22. Most Alice megszorozza 10-et (amit valójában küld) 22-vel, így 220-at kap. Ezt a számot osztja meg a hálózattal.</p>\n\n<p>A bányászok maguk sem tudják a titkos számot. Ha megtennék, eloszthatják a számukra látható számot a titkos számmal, és megkaphatják a valós összeget. De mivel nem teszik, nem tehetik. Azt viszont látják, hogy Bob 220-at fog kapni. 220 elküldve. 220 érkezett. 220 = 220. Ily módon a hálózat ellenőrizheti, hogy nem jött létre vagy semmisült meg Monero, mindezt anélkül, hogy ismerné a valós összeget, amelyet Alice Bobnak küldött.</p>\n\n<p>Mivel Bob tudja a megosztott titkos számot, amikor megkapja a pénzt, csak elosztja 22-vel, hogy megkapja az Alice által küldött valós összeget, a 10-et. Alice és Bob is tudják, hogy mennyit küldtek és mennyit kaptak. mindenki más hamis számot kap.</p>\n\n<p>Még egyszer mondom, a CT nem a tényleges működési módja, de képet ad arról, hogyan lehetséges valami ilyesmi. A valódi út olyan dolgokból áll, mint a Pedersen kötelezettségvállalások, két elküldött összeg (egy titkosított összeg a címzettnek és egy kötelezettségvállalás összege a hálózatnak), és… igen, már most könnyen belátható, hogyan lehet elveszni ebben az egészben.</p>\n\n<p>Egy dolgot azonban meg kell jegyezni, hogy bár a RingCT elrejti a tranzakcióban két fél között lebonyolított összeget, két másik számkészletet nem.</p>\n\n<p> Az első az érmebázis tranzakciók. Ha ez a kifejezés ismeretlen számodra, akkor ez alapvetően azt a jutalmat jelenti, amelyet a bányászok kapnak a következő blokk megtalálásáért. Ez a szám nincs elrejtve. Bárki láthatja, hogy a protokoll mennyit jutalmazott egy bányásznak a szolgáltatásáért. Ily módon az összes érmebázis-tranzakció összeadásával megismerhető a Monero jelenlegi mennyisége. Összegük megegyezik a jelenleg forgalomban lévő Monero-val.</p>\n\n<p>A második nem rejtett szám a bányászoknak fizetett díj, amikor a felhasználó tranzakciót küld. A díjaknak egyértelműnek kell lenniük, hogy a bányászok tudják, kinek részesítsék előnyben. Ezzel azonban a felhasználók sérthetik a magánéletüket, mivel ha valaki egyedi bányászdíjat használ minden egyes tranzakció elküldésekor (például 0,12345), akkor tranzakciói összekapcsolhatók.</p>\n\n<p>Ezeken az eseteken kívül a RingCT 2017 óta titkolta Monero-összegeket, és a kollektív adatvédelem még erősebb ezért.</p>';

  @override
  String get knowledge250Sbringct250Sbdescription => 'A RingCT 2017 óta rejtegeti a Monero-összegeket, és a kollektív adatvédelem még erősebb ezért. De hogyan érhető el ez?';

  @override
  String get knowledge250Sbringct250Sbtitle => 'Hogyan rejti el a RingCT a Monero tranzakciós összegeket?';

  @override
  String get knowledge250Sbrings250Sb0250Sbtext => '<p>A Monero messze földön ismert a kriptográfiai világban, mint az adatvédelmi érmék királya. Bár mindenki tudja, hogy a Monero jó adatvédelmet kínál, sokan nem értik, hogyan működik az adatvédelem.</p>\n\n<p>Sok más adatvédelmi érme összehasonlító táblázatos infografikát tesz közzé, amely felsorolja az egyes érmék adatvédelmi technológiáinak nevét, és a legtöbb esetben a Monero technológiáját RingCT-ként jelölik, de ez csak részben igaz. A Monero valójában háromoldalú megközelítést alkalmaz a magánélethez. Az egyik technológia a tranzakció címzettjének elrejtésére, egy az elküldött összeg elrejtésére, a másik pedig a használt kimenet elrejtésére: ezek a lopakodó címek, a RingCT és a csengőaláírások.</p>\n\n<p>Ez a három részből álló megközelítés azt jelenti, hogy ha az egyik technológia meghibásodik, a többiek nem feltétlenül osztoznak ugyanarra a sorsra. A gyűrűs aláírások a leggyengébb láncszem az adatvédelmi rendszerben; a gyenge szó itt azt jelenti, hogy a legérzékenyebb a heurisztikus támadásokra. Szánjunk egy kis időt ezek felfedezésére, igaz?</p>\n\n<p>Amint fentebb említettük, a gyűrűs aláírások célja, hogy eltakarják a tranzakcióban használt kimenetet. Ha a kriptovaluta „bemeneti/kimeneti” terminológiája zavaró az Ön számára, ne aggódjon. Valójában nem is olyan bonyolult. Amikor meghallja az „output” szót, gondoljon egy ellenőrzésre. Az egyik olyan, már nem túl gyakori dolog, amellyel az emberek fizetni szoktak. A csekkhez hasonlóan tetszőleges összegben jelölhető – 10 USD, 32,50 USD stb. –, és a tranzakcióban részt vevő felek kicserélik. A kriptovaluták esetében a kimenetek ezeket a funkciókat szolgálják.</p>\n\n<p>Ha valaki 10 Monerót fizet, 10 XMR kimenetet kap. Ennek a kimenetnek van egy értéke (10), és ez az, amit a küldő pénztárcájából vesznek ki, ugyanúgy, amikor egy szolgáltatásért fizet, egy számla elhagyja a fizikai pénztárcáját, és azt a személy kapja, akitől vásárol.</p >\n\n<p>A kimenet elrejtésének módja a csalikimenetek gyűrűjének (innen a neve) felépítése. De ezek a csalik nem „hamis” kimenetek. Ezek a blokklánc valós múltbeli kimenetei, amelyeknek semmi közük a jelenlegi tranzakcióhoz, de egy külső szemlélő számára mindegyik kimenet ugyanolyan valószínűnek tűnhet, mint a valódi. A csalikimenetek készletének méretét, plusz az igazit, gyűrűméretnek hívják, és jelenleg a Monero-é tizenegy. Tehát tíz csali kimenet van és egy igazi.</p>\n\n<p>Miért nem növeljük ezt a számot 100-ra vagy akár 1000-re? Minél több, annál jobb, igaz? Nos, az adatvédelem szempontjából igen, de más dolgokat is figyelembe kell venni. Térjünk vissza egy fizikai példához, hogy lássuk, mire gondolok. Ha el akarja rejteni az egyik dolláros bankjegyét tíz csali közé, körülbelül tizenegy dollárt kell cipelnie a pénztárcájában minden egyes elkölteni kívánt dollár után. Egy valódi dollár és tíz hamis. Ez már elég körülményessé válik, ha csak néhány dollárt is el akar költeni. Most képzeld el, hogy 1000-re növeltük a csali összegét. Minden egyes dollárért, amit el akarsz költeni, körülbelül 1001 dollárt kell vinned. Egy aktatáskát kell magával cipelnie, csak egy cukorkát vásároljon! Fontos megjegyezni, hogy a gyűrűs aláírások nem egészen így működnek, például maguk a csali nem részei az aláírásnak, csak hivatkozások rájuk, de reméljük, hogy ez a hasonlat némileg segíthet az alapfogalmak ábrázolásában.< /p>\n\n<p>A blokklánc csalii hasonlóan működnek. Minden hozzáadott csali növeli a tranzakció idejét és ellenőrzési költségét. Minden csomópontnak le kell töltenie a teljes gyűrűaláírást minden tranzakcióhoz, és minden gyűrűaláírás tartalmazza a valódi kimenetet, valamint a csalikat. Nem csak ez, hanem igazolnia kell a matematikát, hogy legalább az egyik kimenet valódi-e, és a matematikai ellenőrzési idő is növekszik minden csalival. Ez azt jelenti, hogy meg kell találnunk a boldog középutat, ahol a gyűrűméret elég nagy ahhoz, hogy megfelelően eltakarja a valódi kimenetet, még sok heurisztikus támadás ellen is, de elég kicsi ahhoz, hogy ne okozza a blokklánc masszív növekedését. Nem elég tetszőleges számot kiválasztani, vagy csak a gyűrűméretet növelni, amikor az aláírást kicsinyítjük (például a CLSAG-nál). A Monero közösség konkrét, matematikai bizonyítékokat akar arra vonatkozóan, hogy melyik gyűrűméret kínálja a legjobb kompromisszumot. A szám túl kicsi, és a magánélet nem lesz elég erős a heurisztikus támadások ellen. Túl nagy, és előfordulhat, hogy csak marginális előnyökhöz jutunk az adatvédelmi oldalon, és szükségtelenül szenvedünk a méretezéssel kapcsolatban.</p>\n\n<p>Egy utolsó dolog, amit meg kell említeni. Egyes Monero-irodalom leegyszerűsíti, és azt mondja, hogy a csengőaláírások elrejtik a feladót, de ez nem teljesen igaz, és a különbség nem csak pedáns. A feladó (ember) és a kimenet (számla) között nagy különbség van a magánélet megőrzésében. Míg egy kimenet kötődik a feladóhoz, maga a kimenet nem egyenlő a feladóval. Tehát még ha egy gyűrűs aláírást meg is törnek, az nem feltétlenül kapcsolódik egy személy személyazonosságához, és az összeg és a címzett is rejtve marad, így minimálisra csökkentve az összes fél magánéletében okozott kárt.</p>\n\n<p>Ez nem jelenti azt, hogy a törött gyűrűs aláírás jelentéktelen. Minden kiszivárgott metaadat rossz, és több információt fedhet fel, mint gondolnánk, különösen, ha más metaadatokkal együtt használják őket. Ezért minden tőlünk telhetőt megteszünk annak érdekében, hogy a választott gyűrűméret akadémikus szigorral járjon a döntés mögött, az egyéb metaadatok kiszivárgása minimális legyen, és a felhasználói élmények alapértelmezés szerint a lehető legjobb műveletek legyenek.</p>\n\n<p>De ha a törött aláírás valószínűsége továbbra is aggaszt, hihetetlen hírek vannak a láthatáron. A következő generációs adatvédelmi protokollok, amelyeken dolgozunk, mint például a Triptych, Arcturus és Lelantus, nagyon ügyes képességekkel rendelkeznek. Ezekben a protokollokban a méret logaritmikusan skálázódik, nem lineárisan, ahogy a gyűrűméret nő. Ez azt jelenti, hogy 100 csali elfér, de a felhasznált hely közelebb van a 10-es gyűrűmérethez a régi technológiában. Ez elég nagy különbség, és jelentősen javítja a magánélet védelmét mindenhol.</p>\n\n<p>A magánélet védelmét szolgáló macska-egér játékban a Monero folyamatosan újít, hogy az élen járjon, és mindenki számára a legjobb gyakorlati adatvédelmet biztosítsa.<p>';

  @override
  String get knowledge250Sbrings250Sbdescription => 'A gyűrűs aláírások a leggyengébb láncszem az adatvédelmi rendszerben; a gyenge szó itt azt jelenti, hogy a legérzékenyebb a heurisztikus támadásokra. Fedezzük fel őket, jó?';

  @override
  String get knowledge250Sbrings250Sbtitle => 'Hogyan takarják el a gyűrűs aláírások Monero kimeneteit';

  @override
  String get knowledge250Sbscams250Sb0250Sbtext => '<p>Amíg volt pénz, addig voltak csalások, hogy az emberek megváljanak tőle, és a kriptovaluta tér sem különbözik egymástól. Valójában a kriptovalutákkal kapcsolatos tranzakciók véglegessége, valamint az a tény, hogy nincs központi szervezet, amely segítené a visszaszerzésüket, olyan új és innovatív módszerekhez vezetett, amelyek segítségével a csalók ellophatják a gyanútlan felhasználókat, és pénzükkel együtt eltűnhetnek a digitális űrben. Ebben a cikkben időt szánunk arra, hogy az új felhasználókat tájékoztassuk a tér legelterjedtebb csalásáról, de ez a lista semmiképpen sem teljes, és a felhasználókat arra biztatjuk, hogy tájékozódjanak a legutóbbi átverési trendekről, és legyenek folyamatosan tisztában vannak digitális környezetükkel és szkeptikusak vele kapcsolatban.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtext => '<p>A könyv egyik legrégebbi átverése, amely bármely létező vitafelületen megtörténhet. Ebben a csalásban a csaló a közösség megbízható személyének vagy egy kapcsolódó vállalkozás magas rangú tisztviselőjének adja ki magát. Miután az áldozat bizalmát ezzel a megalapozott hírnévvel elnyerte, a csaló egy rosszindulatú webhelyre küldi a felhasználót, letöltheti a pénzeszközök ellopására tervezett programot, vagy akár csak arra kérheti a felhasználót, hogy közvetlenül küldjön neki pénzt. Mindig háromszor ellenőrizze, hogy az a személy, akivel beszél, valóban a megfelelő személy-e. A vállalkozások e-maileket kapnak, amelyekkel kapcsolatba léphetnek a személyazonosságuk igazolásához (azaz „Cége vezérigazgatója éppen most keresett meg engem a Telegramon?”), a közösség többi vezetőjét pedig általában más módon is fel lehet majd venni. Mielőtt bármilyen intézkedést megtenne, ellenőrizze. Pláne, ha ők kezdeményezték a beszélgetést veled, nem pedig te velük.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtitle => 'A csaló csalás';

  @override
  String get knowledge250Sbscams250Sb2250Sbtext => '<p>Hasonlóan a szélhámos csaláshoz, itt a csalók megkísérelnek egy olyan webhelyet vagy alkalmazást létrehozni, amely megjelenésében megegyezik a meglévő és megbízható vállalkozásokéval, de olyan kóddal és infrastruktúrával, amelyet arra terveztek, hogy ellopja az Ön Monero-ját. Gyakran előfordul, hogy egy rosszindulatú webhelynek majdnem azonos domainneve van, mint az eredetinek, és arról is ismert, hogy hirdetési felület megvásárlásával a webhelyre irányuló internetes keresések legjobb eredményeit is megszerezte. Ha megbízható webhely például a themonerowallet.com, akkor a csaló webhely lehet a the-monero-wallet.com, vagy ami még baljóslatúbb, a themonerȯwallet.com. Felfogtad a problémát az utolsóval? Az o felett van egy pont. Nézze meg: ȯ. Előfordulhat azonban, hogy első pillantásra nem látszik, és ha a domain név helyesnek tűnik, és a webhely ugyanolyannak tűnik, mint amilyennek számítani lehetne, akkor túl könnyű csapdába esni, és odaadni a Monero magját, találd meg a Monero-dat, még mielőtt megtudnád, mi üt rád.</p>\n\n<p>De ahogy a szakasz elején említettük, ez nem csak a webhelyekre igaz. Voltak olyan esetek, amikor a csalók a Google Play Áruházban vagy az App Store-on keresztül becsempészhetnek egy olyan rosszindulatú alkalmazást, amely megegyezik a meglévő pénztárcákkal, ahol észrevétlen marad, amíg bejelentést nem tesznek (ami sokáig tarthat). Ez idő alatt a felhasználók azt hiszik, hogy a megfelelő alkalmazást töltik le, de valójában pénzüket a csalók miatt veszítik el.</p>\n\n<p> Az ilyen típusú csalások megoldása az éberség. Mindig ellenőrizze újra, mielőtt bármilyen webhely vagy alkalmazás szolgáltatásait igénybe venné. Amikor csak lehetséges, a keresőmotorok használata helyett közvetlenül írja be egy ismert webhely nevét az url-sávba, és legyen különösen alapos, ha valamit letöltenek, vagy a magját bármilyen módon felhasználják.</p>';

  @override
  String get knowledge250Sbscams250Sb2250Sbtitle => 'A Business Look Alike Átverés';

  @override
  String get knowledge250Sbscams250Sb3250Sbtext => '<p>Néha a csalók meg sem próbálnak finomkodni. Hatalmas, grandiózus állításokat tesznek, és tudják, hogy mindig lesznek bolondok, akik elkeseredettségből, kapzsiságból vagy tudatlanságból elhiszik őket. Ezeknek a csalásoknak számos formája van, az érmeprojektektől, amelyek nevetséges megtérülést ígérnek a befektetések után, amikor először pénzt adnak nekik (például a Bitconnect), a különleges, titkos csoportokig, amelyek megígérik, hogy előre elmondják a piaci mozgásokat, hogy pénzt kereshessen. .díj ellenében. Emlékezik. Ha valami túl jól hangzik ahhoz, hogy igaz legyen, valószínűleg az. Ez a tanács különösen igaz a kriptovaluta terén, mivel az érme vagy az intelligens szerződés telepítése manapság triviális, és a homályos követelések online közzététele ingyenes. Ne feledje, ha valaki valóban megtalálta a módját, hogy időzítse a piacot, vagy felfedezze a módját, hogy rengeteg végtelen pénzt keressen, akkor miért mondaná meg? Csak arra használnák, hogy meggazdagodjanak. Miért osztanák meg? Légy okos. Használd az eszed. Ne bízz senkiben.</p>';

  @override
  String get knowledge250Sbscams250Sb3250Sbtitle => 'Az egyenes átverés';

  @override
  String get knowledge250Sbscams250Sb4250Sbtext => '<p>Az Ön Monero magja AZ Ön Monero. Le kell írnia, amikor először készít pénztárcát, mert ha elveszíti a magját, akkor elvesztette a Monero-t, és senki sem tud segíteni. DE IS meg kell őrizned ezt a magot másoktól. Ha valaki ellopja a magját, úgy kiküldheti a Monerót a pénztárcájából, mintha te lennél, és megint csak senki sem tudja behajtani helyetted ezt a pénzt. Eltűnt.</p>\n\n<p>Túl gyakran fordult elő, hogy az egyén hidegen tartotta Monero pénztárcáját, kíváncsi volt a pénzeszközeire, és ellenőrizni akarta. De ahelyett, hogy végigcsinálnák a szóváltást vagy újratelepítenék a teljes pénztárca-alkalmazást, egyszerűen úgy döntenek, hogy egy webes pénztárcát használnak, hogy gyorsan visszaállítsák a magjukat, és megnézzék a pénzüket. Ha áldozatul esnek a Business Look Alike átverésnek, akkor már a magjuk megadása a csalókhoz juttatja, akik aztán áthelyezhetik a pénzt egy másik pénztárcába, amelyet kényelmesen kezelnek.</p>\n\n<p>BÁRMIKOR, amikor egy webhelyen, alkalmazáson vagy pénztárcán van „visszaállítás maggal” opció, ügyeljen arra, hogy az Ön által használt alkalmazás hiteles legyen. Ellenőrizze a program hash-eit (a Monero weboldalán találhatók erre vonatkozó utasítások), hogy megbizonyosodjon arról, hogy a programot nem manipulálták külső erők, és legyen folyamatosan tudatában annak, hogy hol és hogyan teszi közzé a magját. A kettős ellenőrzés bosszantó lehet, de a gondatlanságból eredő pénzvesztés még rosszabb lenne.</p>';

  @override
  String get knowledge250Sbscams250Sb4250Sbtitle => 'A Monero Seed szerepe a csalásokban';

  @override
  String get knowledge250Sbscams250Sbdescription => 'Amióta van pénz, addig voltak csalások, hogy rávegyék az embereket, hogy megváljanak tőle – szánjunk időt arra, hogy megnézzük a tér legelterjedtebb csalásait.';

  @override
  String get knowledge250Sbscams250Sbtitle => 'Átverések, amelyekre figyelni kell a Monero használatakor';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtext => '<p>Ez a bejegyzés az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/Seraphis\">Seraphist</a> ismerteti, tranzakciós protokoll-struktúrák és absztrakciók készletét, amelyet <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB\"><code>koe</code></a> álnevű kutatási közreműködő fejlesztett ki a Monero ökoszisztéma számára, és folyamatban van a biztonsági elemzés. álnevű közreműködő <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/coinstudent2048\"><code>coinstudent2048</code></a>.<br/>\nNéhány egyszerűsítést végzünk, és az áttekinthetőség kedvéért kihagyunk bizonyos technikai részleteket; Emiatt, és mivel a Seraphis tervezése még folyamatban van, az érdeklődő olvasóknak a Seraphis dokumentációjában kell keresniük a legfrissebb információkat.</p>';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtitle => 'Seraphis: moduláris felépítésű frissítés a Monero tranzakciókhoz';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtext => '<p>Az olyan protokollok, mint a Bitcoin és a Monero és mások, az úgynevezett „kimeneti modellen” támaszkodnak, ahol az <em>kimenet</em> az átvihető érték reprezentációja.<br/>\nA tranzakciók egy vagy több, a feladó által vezérelt kimenetet fogyasztanak, és új kimeneteket generálnak, amelyek a címzettek felé irányulnak (vagy változásként vissza a feladóhoz); a tranzakciónak egyensúlyban kell lennie azzal, hogy az elfogyasztott kimeneteknek olyan összértéket kell tartalmazniuk, amely pontosan megegyezik az új kimenetek értékével (plusz a hálózat által kiszabott díj).<br/>\nSok protokollban, például a Bitcoinban, a kimenetben lévő érték tiszta szöveggel van írva, akárcsak a címzett.<br/>\nEzenkívül a blokkláncot nézve triviális látni, hogy egy outputot elköltöttek-e, és mikor (vagyis, hogy egy későbbi tranzakció során felhasználták-e, és melyik tranzakció költötte el).</p>\n<p> Ezzel szemben az olyan protokollok, mint a Monero, más kialakítást vezetnek be:</p>\n\n<ul>\n<li>A kimeneti értékek rejtettek, és nem láthatók a blokkláncon</li>\n<li>A címzettek címei el vannak rejtve az egyszeri címzési protokoll használatával</li>\n<li> Azt, hogy egy kimenetet elköltöttek-e vagy sem, a kétértelmű aláírások használata eltakarja</li>\n</ul>\n\n<p>Az eredmény az, hogy külső információ hiányában nehéz meghatározni, hogy egy adott kimenetet elköltöttek-e, mi az értéke, és ki a címzettje.</p>\n\n<p>A jelenlegi Monero tranzakciós protokoll neve <em>RingCT</em>, és számos kriptográfiai építőelemet használ e tervezési célok eléréséhez.</p>\n\n<ul>\n<li><em>A kötelezettségvállalások</em> elrejti az összegeket matematikailag hasznos módon</li>\n<li><em>A hatótávolság-ellenőrzések</em> megakadályozzák a túlcsordulást, amely felfújhatja a készletet</li>\n<li><em> Az összekapcsolható gyűrűs aláírások</em> az aláíró félreérthetőségét biztosítják, és megakadályozzák a dupla költekezési kísérleteket</li>\n<li><em>A kötelezettségvállalás ellentételezései</em> azt állítják, hogy a tranzakciók egyenlege</li>\n</ul>\n\n<p>Ezek az építőelemek gondosan összefonódnak a RingCT protokoll felépítéséhez.</p>\n\n<p>A RingCT protokoll hasznos tulajdonsága, hogy egyes építőelemek megváltoztathatók vagy frissíthetők oly módon, hogy az általános kialakítás és a tulajdonságok érintetlenek maradjanak, de ez a hatékonyság vagy a biztonság javítását szolgálja.\nValójában az ilyen jellegű frissítések többször előfordultak (vagy a tervek szerint) Monero történetében.\nAz eredeti RingCT protokollban a tartományellenőrzés terjedelmes és lassú volt; később frissítették az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2017/1066\">Bulletproofs</a> nevű konstrukcióra, amely jobb biztonsági elemzéssel kisebbé és gyorsabbá tette a tranzakciókat, és a tervek szerint egy újabb <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/735\">Bulletproofs+</a> nevű konstrukcióra frissítik a még nagyobb hatékonyság érdekében. </p>\n\n<p>Hasonló folyamaton mentünk keresztül a linkable ring signature építőkockával.\nAz eredeti protokollban az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ledger.pitt.edu/ojs/ledger/article/view/34\">MLSAG</a> nevű konstrukciót használták.\nEzt később frissítették egy újabb <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/654\">CLSAG</a> nevű konstrukcióra, amely gyorsabb, kisebb tranzakciókat eredményez, és jobb biztonsági elemzéssel rendelkezik.\nEgy még újabb, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/018\">Triptych</a> alapú összekapcsolható gyűrűs aláírás konstrukciót javasoltak, de ezt nem választották ki telepítésre, mert hatással van a többaláírási műveletekre.</p>';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtitle => 'Tranzakciók Moneróban';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtext => '<p> A Seraphis egy lépéssel tovább viszi ezt az ötletet.<br/>\nA meglévő RingCT tranzakciós protokoll egyes építőelemeinek frissítése helyett egy másik protokollt vezet be, amely képes kihasználni a különböző építőelemek előnyeit, és javított funkcionalitást kínál.</p>';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtitle => 'Szerafisz';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtext => '<p>A Seraphis különböző kriptográfiai építőelemeket használ tervezési céljainak eléréséhez.</p>\n\n<ul>\n<li><em>A kötelezettségvállalások</em> továbbra is elrejtik az összegeket</li>\n<li><em>A hatótávolság-ellenőrzések</em> továbbra is megakadályozzák a túlcsordulást és az ellátás felfújását</li>\n<li><em>A tagsági igazolások</em> az aláíró félreérthetőségét biztosítják</li>\n<li><em>A kötelezettségvállalás ellentételezései</em> továbbra is érvényesítenek egyenleget</li>\n<li><em>A hitelesítési bizonyítékok</em> megakadályozzák a dupla költekezési kísérleteket</li>\n</ul>\n\n<p>Vegye észre a változást itt: a linkelhető gyűrűs aláírásokat a tagsági igazolások és az engedélyező igazolások kombinációja váltja fel.\nDurván szólva, a tagsági bizonyítások azt mutatják, hogy az elfogyasztott kimenet egy nagyobb halmaz része, hasonlóan ahhoz, ami a RingCT-ben történik.\nDe a RingCT-vel ellentétben a tagsági bizonyítványok egyáltalán nem tartalmazzák a hivatkozási címkét!\nA hitelesítő bizonyítékok azt mutatják, hogy az összekapcsoló címke érvényes, és a végső tranzakció aláírására szolgál.</p>\n\n<p>Mivel a RingCT a linkelési címkét a kétértelmű aláírásba építi be, az aláírási (és a többaláírású) műveletek számításigényesebbek, és nagyobb kihívást jelent a címkékkel kapcsolatos egyéb funkciók felépítése.\nDe a Seraphisban a tagsági igazolások létrehozása biztonságosan delegálható a nagyon megbízható eszközökről (amelyek korlátozott számítási teljesítményűek, például egy hardveres pénztárca) egy kevésbé megbízható eszközre, és az aláírási (és több aláírási) műveletek sokkal egyszerűbbek a sokkal egyszerűbb engedélyezési bizonyítással. .</p>\n\n<p>Szerencsére a Seraphis által igényelt építőelemek egy része már létezik máshol, és nem kell őket a semmiből megtervezni.\nMind a Bulletproofs, mind a Bulletproofs+ konstrukciók használhatók távolságállóságként.\nA Schnorr típusú bizonyító rendszerek módosításai felhasználhatók a bizonyítások engedélyezésére.\nA Triptych, az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/373\">Lelantus</a> és az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2021/1173\">Spark</a><sup>*</sup> alapjaként már használt hatékony <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2015/643\"> bizonyítási rendszer </a> pedig módosítható a tagság igazolása érdekében. X2127X]\n\n<p><sup>*</sup> A Cypher Stack támogatást kap a Spark fejlesztésére.</p>';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtitle => 'Építőkockák';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtext => '<p>Sajnos a jelenleg használt Monero-címek nem kompatibilisek a Seraphis-szal.\nA felhasználóknak új címeket kell generálniuk pénztárcakulcsaikból ahhoz, hogy megkapják a Monero-t, ha a Seraphis implementálva lenne.\nEz az ökoszisztéma-költség azonban számos előnnyel jár.</p>\n\n<p> A fent tárgyalt szerkezeti előnyök mellett a Seraphis kialakítás számos különböző címépítési lehetőséget kínál, amelyek mindegyike kompromisszumokkal jár.\nMíg a Seraphisban használandó végső címkonstrukció <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/92\"> még döntés alatt áll</a> (az egyik nagy figyelmet kapott séma az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://gist.github.com/tevador/50160d160d24cfc6c52ae02eb3d17024\">JAMTIS</a>), leírhatunk néhány gyakori és hasznos funkciót.</p> ]\n\n<p>Tudhatja, hogy a Monero-címek <em>view key</em> funkciót kínálnak, ahol nézet kulcsot biztosíthat egy eszköznek vagy harmadik félnek, és lehetővé teszi, hogy az Ön nevében figyelje a bejövő kimeneteket, de anélkül, hogy lemondna a költekezésről. hatóság.\nEz hasznos a pénztárcák számára, amelyek naprakészek maradnak, miközben a költési kulcsot biztonságosan zárva tartják.\nEz olyan esetekben is hasznos, amikor külső megtekintési hozzáférést szeretne elérni, például egy átláthatóságot kínáló nyilvános jótékonysági szervezet vagy egy könyvelési részleggel rendelkező vállalat.</p>\n\n<p>A Monero nézetbillentyűk hátránya, hogy nem biztosítanak teljes vagy finomszemcsés nézeti hozzáférést.\nNem lehet megbízhatóan észlelni, hogy a pénztárca mikor költ el pénzt, ami megnehezíti a pénztárca egyenlegének megfelelő kiszámítását, ha a költési kulcs nem áll rendelkezésre.\nJelenleg szintén nem lehetséges a bejövő kimenetek észlelése anélkül, hogy ne tanulná meg az ezekben a kimenetekben lévő értékeket (ami azt jelenti, hogy a bejövő kimenetek megtalálásáért felelős harmadik fél pontosan megtudja, mennyi Monero-t szerez be).</p>\n\n<p> A Seraphis címzési konstrukciókkal meg tudja oldani ezt.\nA Seraphis használatával a címe különböző kulcsokkal van felszerelve, amelyek különféle műveletekre képesek:</p>\n\n<ul>\n<li>Figyelje a bejövő kimeneteket, de elrejtse értéküket</li>\n<li>Nézze meg a bejövő kimeneteket, de mutassa meg az értéküket</li>\n<li>Nézze meg a kimenő kimeneteket</li>\n<li>Segít a tranzakciók generálásához, de nem írja alá azokat</li>\n<li>Új címek generálása (hasznos kiskereskedők számára vagy sok ügyféllel folytatott cserekapcsolatok számára)</li>\n</ul>\n\n<p>A cím tulajdonosaként Ön döntheti el, hogy mekkora jogosultságot ruház át más eszközökre vagy harmadik felekre.</p>';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtitle => 'Megszólítás';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtext => '<p> A Seraphis jelentős változást jelent a Monero ökoszisztémában.\nBár magában foglalja a címek és a tranzakciós építőelemek módosítását, kialakítása olyan rugalmasságot és hasznos funkcionalitást kínál, amely a mai RingCT protokollal nem lehetséges.\nMíg a tervezés nagy része már elkészült és <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/monero/tree/seraphis_lib\">megvalósítássá</a> fejlesztik, a címtervezés és a biztonsági elemzés folyamatban van.\nA Seraphis kiváló lehetőséget kínál a Monero ökoszisztéma előremozdítására!</p>';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtitle => 'A nagy kép';

  @override
  String get knowledge250Sbseraphis250Sbdescription => 'Ma a Seraphis-ról beszélünk, amely a Monero ökoszisztéma tranzakciós protokollstruktúráinak és absztrakcióinak készülő készlete.';

  @override
  String get knowledge250Sbseraphis250Sbtitle => 'Seraphis: Mit fog tenni Monerónak';

  @override
  String get knowledge250Sbsov250Sb0250Sbtext => '<p> Általános beszédtéma (és ebben teljes mértékben hiszünk), hogy a Monero jobb csereeszköz, mint az átlátszó érmék, beleértve a Bitcoint is. Ennek az az oka, hogy a Monero eredendő magánélete lehetetlenné teszi a nyomon követést, elkerülve számos olyan veszélyt, amely abból fakad, hogy pénze minden érdeklődő számára elérhető. Emellett az adatvédelem feloldja a helyettesíthetőséget, így a felhasználók biztosak lehetnek abban, hogy minden árura vagy szolgáltatásra cserélt Monero egyenértékű bármely mással, mivel nincs kapcsolódó múlt.</p>\n\n<p> Bármilyen gyakori is ez a beszédtéma, van egy másik is, amely rendszerint felbukkan mellette; hogy míg a Monero lehet a jobb csereeszköz, addig a Bitcoin a jobb értéktároló. Nem ritka ezt hallani, még a Monero közösségen belül sem. Használja a Monero-t költési számlaként, a Bitcoint pedig megtakarítási számlaként. Amikor érvelésre kényszerülnek, ezek a felhasználók nem is arra gondolnak, hogy ez feltétlenül azért van, mert a Bitcoin ára nagyobb ütemben emelkedik, mint a Monero-é, hanem azért, mert a Bitcoinnak olyan „tulajdonságai” vannak, amelyek olyanná teszik, mint a digitális arany.</p>\n\n<p> Teljesen nem értünk egyet ezzel az ötlettel, és ebben a cikkben szeretnénk kifejteni, miért. A Bitcoin radikális átláthatósága többet ront az értéktároló tulajdonságaiból, mint azt az emberek gondolják. Ennek első és legnyilvánvalóbb példája egy másik általánosan elfogadott értéktár, az arany elképzelése a Bitcoin által biztosított átláthatósággal.</p>\n\n<p>Mi történne az aranyba vetett bizalommal, ha lehetséges lenne (triviálisan sokszor) bizonyos mennyiségű aranyat egy egyénhez vagy csoporthoz kötni? Továbbra is használnák-e, ha minden aranyátutaláskor ismert, hogy átutalás történt, ki volt a feladó és a fogadó, és mekkora mennyiségű arany került átadásra? Szerintünk nem.</p>\n\n<p> Az arany egyik tulajdonsága, ami velejárója, hogy valódi világ tárgya, hogy természetesen magánjellegű. Mesterségesen előzményt adhatunk neki, ha a korábbi tulajdonosokat aranyrúdba bélyegezzük, de ezek könnyen eltávolíthatók, ha a rudat leolvasztjuk és újrakészítjük, ami a Bitcoinban nincs meg.</p>\n\n<p> Ez a mozgási átlátszóság, bár önmagában is elég pusztító, nem az egyetlen hibája az aranynak, ha a mozgásával kapcsolatos összes információ mindenki számára elérhető lenne. Az arany áramlásának ismeretében meghatározhatjuk, hogy a való világ mely entitásai rendelkeznek nagy készletekkel. Előfordulhat, hogy ezek egy része nem intézmények, hanem olyan személyek, akik nem rendelkeznek nagyszabású biztonsági rendszerrel. Nem ismeretlen, hogy a hétköznapi emberek aranyat vásárolnak katasztrófa elleni fedezetként, és ma már tudjuk, hogy Joe Schmoe az utcán 10 000 dollárt megér valahol a házában. Nem olyan információ, amelyet Joe valószínűleg szeretné, ha a világ megtudna.</p>\n\n<p>A jó értékmegőrzés nem csak azt jelenti, hogy az ár stabil, vagy esetleg emelkedni fog, hanem azt is, hogy a birtokos jól érzi magát, és magabiztos abban, hogy hová szeretné helyezni a pénzt. Így a radikális átlátszóság révén az arany mozgás közben kényelmetlenné válik, nyugalmi állapotban pedig potenciálisan veszélyessé válik. Akkor jó tudni, hogy ez csak egy gondolatkísérlet volt, és az arany nem rendelkezik ezekkel a tulajdonságokkal. Az aranybefektetők megkönnyebbülten fellélegezhetnek.</p>\n\n<p> De ugyanez nem mondható el a Bitcoinról.</p>\n\n<p>A Monero adatvédelme valóban sokkal jobb biztonságot nyújt mind mozgásban, mind nyugalomban mindenki számára, aki folyószámlaként vagy megtakarítási számlaként szeretné használni.</p>\n\n<p>A Bitcoin hívei azonban azzal érvelnek, hogy a Bitcoin biztonságosabb értéktárolóként, mert nagyobb hashrate van mögötte, így sokkal kisebb az esélye annak, hogy a láncot átírják (azaz a tárolóban lévő érméket elvihetik). , és bár ez jelenleg igaz, ez egy társadalmi probléma, amely idővel megváltoztatható, nem pedig alapvető technológiai probléma, amelyet valószínűleg soha nem sikerül orvosolni.</p>\n\n<p>A Bitcoin melletti második érv az, hogy fix kínálattal rendelkezik, míg a Monero-nak farokemissziója van. Ezt úgy extrapolálják, hogy a Monero végtelen készlettel rendelkezik, tehát nem alkalmas értéktárolónak, mint a fiat. A felszínen minden bizonnyal ez a meggyőzőbb érv a kettő közül, ezért szeretnénk ezzel részletesen foglalkozni.</p>\n\n<p> Noha a Monero-nak van farokkibocsátása, ez a Monero hosszú távú biztonságát szolgálja. Miután az utolsó Bitcoint is leverték, nem lesz többé blokkjutalom, így a díjpiac egyedül marad, hogy ösztönözze a bányászokat a lánc biztosítására. Már vannak előzetes kutatások, amelyek azt sugallják, hogy ez nem lesz elég, és a lánc biztonsága drámaian csökkenni fog, így a lánc 51%-os támadásoknak lesz kitéve.</p>\n\n<p> Végső soron ez azt jelenti, hogy felhalmozott egy értéktárat, amelyet soha nem tud megmozdítani a támadástól való félelem miatt. Visszatérve az aranyra, hasznos lenne-e az arany értéktárként, ha lehetetlen vagy rendkívül veszélyes a mozgás, az eladás vagy a csere? Mire jó a hozzáférhetetlen érték? Mit ér egy felhalmozott több millió dollárnyi tárolt érték, ha csak egy olyan mélységben ülhet örökké, ami akár egy feneketlen gödör is lehet?</p>\n\n<p> Inkább foglalkozzunk ennek a kritikának a másik részével, ahelyett, hogy a probléma Monero-részét elhárítanánk. A farokkibocsátás. Bár igaz, hogy célja van, egyesek a farokkibocsátás puszta létezését annak bizonyítékának tekinthetik, hogy a Monero nem ritka, és ugyanúgy működik, mint a fiat. Ez szintén nem igaz. A Fiatnak van százalékos inflációs modellje, és még ez sincs kőbe vésve, hanem alá van vetve egy átláthatatlan, korrupt emberek halmazának. Ez ellentétben áll Monero-val, amely lineárisan inflálódik, ami azt jelenti, hogy idővel az infláció nulla felé halad. Ez azt is jelenti, hogy a fiattal ellentétben az infláció könnyen kiszámítható és biztosan tervezhető.</p>';

  @override
  String get knowledge250Sbsov250Sbdescription => 'Az XMR a jobb csereeszköz, de a BTC a jobb értéktároló? Nem értünk egyet. A BTC átláthatósága többet ront az értéktároló tulajdonságaiból, mint azt az emberek gondolják.';

  @override
  String get knowledge250Sbsov250Sbtitle => 'Miért jobb a Monero értéktár, mint a Bitcoin?';

  @override
  String get knowledge250Sbstealth250Sb0250Sbtext => '<p>A Monero háromlépcsős megközelítést alkalmazott az adatvédelem terén. Ezek a technológiák az <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">gyűrűs aláírások</a>, amelyek elrejtik a valódi kimenetet (küldőt), a RingCT, amely elrejti az összegeket, és a lopakodó címek, amelyek elrejtik a vevőt. Ma az említett technológiák közül az utolsóról fogunk beszélni: a lopakodó címekről.</p>\n\n<p>Sok oka lehet annak, hogy az egyének el akarják rejteni, hogy kinek küldenek. Soha nem szabad hagynunk, hogy bárki megpróbáljon meggyőzni minket arról, hogy ennek minden példája kellemetlen viselkedés. Az olyan dolgok, mint például egy népszerűtlen politikai pártnak való küldés, jótékonysági szervezeteknek való adományozás vagy a kultúra által „töröltnek” ítélt szervezetek támogatása, mind példák arra, amikor valaki el akarja rejteni a költekezési szokásait, félve a következményektől, de természetüknél fogva teljesen legitimek.[X840X ]\n\n<p>Egy átlátszó blokkláncon mindenki láthatja azokat a címeket, amelyekre a tranzakciókat küldi. Fontos figyelembe venni, hogy ha maguk a bányászok nem értenek egyet azzal, hogy hová megy a pénz, akkor dönthetnek úgy, hogy nem bányászják azt blokkba, így hatékonyan cenzúrázzák ezt a tranzakciót egy látszólag cenzúraálló platformon. Az egyetlen módja annak, hogy ez a, igaz, valószínűtlen, cenzúra ne legyen lehetséges, ha a bányászok nem tudnak különbséget tenni a tranzakciók között, mivel az összes láncon belüli metaadatot különféle eszközökkel kitakarják. Valami, amiről Monero ismert.</p>\n\n<p> A Monero megoldja az átlátható címek problémáját a lopakodó címek megvalósításával, egy olyan technológiával, amelyet eredetileg a Bitcoin Talk fórum felhasználója, ByteCoin készített 2011-ben (a Bytecoin kapcsolata, amely később a lopakodó címeket integrálná, nem ismert). A rejtett címek jelenlegi formája azonban számos fejlesztést tartalmaz az eredeti elképzeléshez képest. De először, hogy lássuk, hogyan működnek, beszéljünk a kulcsokról.</p>\n\n<p>Nehéz a kriptovaluták területén lenni, és nem hallani a kulcsokról. Gyakoriak az olyan kifejezések, mint a „másoljon biztonsági másolatot a privát kulcsáról”, de amikor egy átlagos Joe meghallja a „nyilvános kulcs” és a „privát kulcs” szavakat, megijed, és úgy gondolja, hogy ez túl technikai és zavaros lesz ahhoz, hogy megértse. De ne aggódj. Lassan haladunk, és rengeteg példát használunk.</p>\n\n<p>A kriptovalutákban használt kétféle kulcs, mint az imént említettük, nyilvános és privát. Ez a két kulcs általában egy párban van, ami azt jelenti, hogy egy adott nyilvános és privát kulcs össze van kapcsolva. Valójában általában a nyilvános kulcs a privát kulcsból származik, ami azt jelenti, hogy ha ismeri a privát kulcsot, a pénztárcája remekül számolhat, és minden alkalommal kitalálja a megfelelő nyilvános kulcsot.</p>\n\n<p>Most, ahogy a nevek is sugallják, a nyilvános kulcs következmények nélkül nyilvános lehet. Általában ez egy része a címnek, amelyet megoszt, hogy pénzt kapjon a kriptovaluta pénztárcájába. Ugyancsak névrokonát követve a privát kulcs olyan, amelyet nem szabad megosztani. Ez az a dolog, ami lehetővé teszi egy tranzakció aláírását és elköltését, tehát ha ellopják vagy megosztják, akkor az aljas harmadik fél elköltheti a pénzét, általában saját magának.</p>\n\n<p> Ennek egyszerű analógiája egy lakat és a feloldásához szükséges kulcs. A nyitott lakat szabadon megosztható, és valóban bármit be lehet zárni ezzel a lakattal, de csak a kulccsal rendelkező személy nyithat bármit, amelyen a lakat zárva van. A lakat másolható és megosztható, a kulcs ne legyen.</p>\n\n<p>Ezek a billentyűk általában elvonatkoztattak a felhasználótól, így soha nem látja őket igazán. A Moneróban egyáltalán nem jelennek meg félelmetes alfanumerikus karakterláncként. A Moneróban a közönséges felhasználó magjaként ismeri a privát kulcsot. A mag (amelyet le kell írnia, ha még nem tette meg), valójában csak egy ember által olvasható privát kulcs. </p>\n\n<p>Látod? Végül is nem olyan ijesztő. Vissza a rejtett címekhez.</p>\n\n<p>Amint azt korábban említettük, a lopakodó címeket eredetileg nem Monerohoz, hanem Bitcoinhoz készítették. Csakúgy, mint a legtöbb új ötletnél, ebben az első iterációban is voltak problémák. A következő próbálkozás az volt, amikor Nicholas van Saberhagan megalkotta a CryptoNote-ot a Bytecoin számára, a Monero előfutára (<a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">lásd a Monero és a Bytecoin történetét itt</a>), és bár ez határozott előrelépés volt az eredetihez képest, még néhány finom hiba.</p>\n\n<p>Végül egy utolsó iteráció jött létre a fejlesztőtől egy másik, már megszűnt, adatvédelmi kriptovalutához, amely megoldotta az ötlettel kapcsolatos kiemelkedő adatvédelmi és biztonsági problémákat. Ez végül bekerült a Moneróba, és ma is ezt használják.</p>\n\n<p> Bár ezek az adatvédelmi és biztonsági problémák megoldódtak, maguk a lopakodó címek egy másfajta furcsaságot adtak a blokklánc-technológiához, amely korábban nem létezett. A szkennelés szükségessége. Mivel a fogadó címek nem jelennek meg nyilvánosan a blokkláncon, a fogadó soha nem tudja, hogy egy adott tranzakció az övé-e, ezért minden bejövő tranzakciót át kell vizsgálnia a privát kulcsával, hogy megtudja, az övé-e.</p>\n\n<p>Az átlátszó érméknél mindössze annyit kell tenniük, hogy megnézik, hogy a tranzakció az Ön címére érkezik-e. Könnyű igen vagy nem kérdés. A lopakodó címekkel azonban minden tranzakció lehet olyan, amelyet Önnek küldenek, ezért meg kell próbálnia mindegyiket a privát kulcsával feloldani, hogy megnézze, megnyílik-e.</p>\n\n<p>Ez egy extra lépés, amellyel a Bitcoin és származékai nem rendelkeznek, és elvégzi a pénztárca kezdeti beállítását, valamint a pénztárca szinkronizálását, ha egy ideig nem nyitotta ki, sokkal hosszabb ideig, mint a Bitcoinnál. A kompromisszum azonban szükséges az adatvédelmi garanciák feloldásához. Meg kell jegyezni, hogy az adatvédelmi trifecta leggyengébb pontjával ellentétben a csengőaláírások és a lopakodó címek nem érzékenyek a heurisztikára. A bevált elliptikus görbe kriptográfiára támaszkodik, amelyre az egész internet támaszkodik, így ennek feltörése általában a számítógépes biztonság végét jelentené, nem csak a Monero-nak.</p> ';

  @override
  String get knowledge250Sbstealth250Sbdescription => 'Az átlátszó blokkláncon mindenki számára láthatóak azok a címek, amelyekre a tranzakciókat küldik. A Monero ezt a problémát a lopakodó címek megvalósításával oldja meg.';

  @override
  String get knowledge250Sbstealth250Sbtitle => 'Hogyan védi a Monero Stealth címek személyazonosságát';

  @override
  String get knowledge250Sbsubaddresses250Sb0250Sbtext => '<p>A Monero mindig is talált innovatív módszereket a nehéz adatvédelmi problémák megoldására. Gyakran ezek az innovációk más innovációkhoz vezetnek, és néha ezek az így létrejövő technológiák akár olyan felhasználási esetekre is felhasználhatók, amelyeket korábban nem vettek figyelembe. Ezt sehol sem példázzák jobban, mint a Monero alcím-technológiája esetében.</p>\n\n<p> Tekintsünk egy hipotetikus adatvédelmi problémát, amelyben egy cím több platformon keresztüli használata látszólag nem rokon népektől az említett népek összekapcsolásához és anonimizálásához vezethet. Leegyszerűsítve, ha Ön egy Billy Joe Bob nevű személy, és almát adott el Bitcoinért, akkor nyilvános helyen közzéteheti Bitcoin-címét, ahol az ügyfelek fizethetnek Önnek. Tegyük fel, hogy a cím a 7XybV3 alfanumerikus karakterlánccal kezdődik... De félredobjuk azt a nyilvánvaló adatvédelmi kockázatot, hogy bárki ellenőrizheti a Bitcoin-egyenlegét, és megnézheti, mennyit adott el, van egy második, amelyet nem gyakran beszélnek az adatvédelmi kockázatról. Tegyük fel, hogy te is egy underground hacker voltál, akit l33tz0r-nek hívnak. Bejelentő munkát végez, a gyanútlan lakosságnak beszél a kormányzati korrupcióról, és elengedhetetlen, hogy titokban tartsa személyazonosságát. Elfogadja a Bitcoin adományokat a munkájához, és közzéteszi a címet egy nyilvános fórumon. Ez ugyanaz a cím, ahol pénzt fogad el az Apple ügyfeleitől. A 7XybV3... egy.</p>\n\n<p>Egy egyszerű, de pusztító anonimizálási támadás lenne, ha egy internetes keresőmotort használnának a Bitcoin-cím megkeresésére. A 7XybV3... címének beírása a motorba két különböző eredményt eredményez. Az almaüzlet, és a l33tz0r. Ez elég a két identitás összekapcsolásához és az l33tz0r deanonimizálásához, ami a hatalmak részéről esetlegesen ijesztő következményekkel járhat.</p>\n\n<p>Fontos megjegyezni, hogy ez a támadás a Moneróval IS lehetséges. Annak ellenére, hogy a Monero elrejti a legtöbb láncon belüli adatot, ez a támadás nem használ semmit. Csak a címet használja, amelyet meg kell osztani a fizetés fogadásához. Névtelen adományok esetén nyilvánosan. Ez az egyik lehetséges módja annak, hogy a Monero-felhasználók akaratlanul is megsértsék a magánéletüket, és arra is példa, hogy bár a Monero a legmagasabb szintű adatvédelem terén, mégsem golyóálló.</p>\n\n<p>A probléma megkerülésének szokásos módja több pénztárca volt. Ha minden identitáshoz (vagy használati esethez) különböző címeket adnak meg, ezek nem kapcsolhatók össze. De ez az adatvédelem csak akkor érvényes, ha a felhasználó soha nem keveri össze őket. A helytelen cím véletlen közzététele ugyanazokkal a kapcsolódási hatásokkal járna. Valamint az egyes címek magját is biztonságban kell tartani, ami minden egyes új pénztárcánál megnöveli a szükséges infosec-munkát.</p>\n\n<p>Monero megoldása az alcímek voltak. Az a képesség, hogy a fő cím alatt nagyon sok címet hozzon létre, mintegy magként használva. Minden generált alcím fogadja a Monero-t, és mind ugyanabba a pénztárcába kerül. Ezzel a módszerrel óriási az egy cím alatt üzemeltethető identitások száma, miközben az infosec-munka minimálisra csökken. Ezek a címek matematikailag sem kapcsolhatók össze, így ha a felhasználó nem kiáltja fel kapcsolatát a világgal, akkor egy külső szemlélőnek nagy nehézségekbe ütközik az összekapcsolása.</p>\n\n<p> De egy másik érdekes használati eset is megjelent az alcímekből; az általánosan gyűlölt fizetési azonosítók helyettesítőjeként.</p>\n\n<p>A fizetési azonosítók segítségével a kereskedők azonosítani tudják, melyik ügyfél melyik fizetést küldte. Mivel a Monero információ a láncon takarva van, a tranzakció címzettje nem láthatja, melyik cím küldte. Ez azt jelenti, hogy hasonló árú cikkek és több rendelés esetén lehetetlenné válhat annak azonosítása, hogy ki mit küldött. A fizetési azonosítók egy egyedi, véletlenszerű karakterlánc, amelyet a kereskedő generál és ad át az ügyfélnek. Az ügyfél ezt külön mezőként adja hozzá a tranzakció elküldésekor. Ez a véletlenszerű karakterlánc a tranzakció részeként kerül a blokkláncra, és így a kereskedő képes azonosítani és rendezni a bejövő tranzakciókat.</p>\n\n<p> Ez a módszer több szempontból is hibás volt. Először is, ez rontja a láncon belüli adatok egységességét. A további, egyedi metaadatok egyes tranzakciókat kiemelhetnek a tömegből, ezáltal lehetővé téve a heurisztikus elemzést. Ez különösen akkor igaz, ha ezek a metaadatok nem mindenki számára kötelezőek. Ha ezt mindenki számára kötelezővé tennék, az felesleges teret adna a blokkláncnak, és nem követték el. Valamint, ha egy fizetési azonosítót bármilyen okból újra felhasználtak, triviális lenne két tranzakciót összekapcsolva összekapcsolni. Ez jellemzően tőzsdei betéteknél fordult elő, és bárki könnyen összekapcsolhatta a tranzakciókat úgy, hogy egyrészt egy tőzsdei betét, másrészt egy adott személytől származnak.</p>\n\n<p>Másodszor, az UX szemszögéből a fizetési azonosítók egy második lépést hoznak létre, amihez nem szoktak hozzá a más érmékből érkező kriptovaluta felhasználók, és ha elfelejtik őket, akkor az hatalmas fejfájást okoz a kereskedőnek, akinek más módon kell azonosítania ezeket a tranzakciókat. . Ez általában úgy történt, hogy közvetlenül beszélt minden olyan ügyféllel, aki elfelejtette megadni a fizetési azonosítót, és megerősített más azonosító információkat, amelyeket csak ők tudhattak, például az összeg, a küldés dátuma és a tranzakcióazonosító kombinációját.</p>\n\n<p>Ezt az extra lépést sokan kihagyták, és odáig fajult, hogy egyes tőzsdék pénzt kezdtek felszámítani az ügyfelekre, ha a pénzüket manuálisan kellett lekérni, mert elfelejtették a fizetési azonosítót. Mások a fogukat csikorgatták és megették az extra támogatási költségeket, de ennek senki sem örült.</p>\n\n<p>Egy megoldás volt erre, az integrált címek, amelyek egy karakterláncba egyesítették a címet és a fizetési azonosítót, így nem lehetett elfelejteni, de az elfogadás meglehetősen gyenge volt, annak ellenére, hogy a kereskedők milyen előnyökkel jártak volna a beépítésből. </p>\n\n<p>Az események érdekes fordulatában alcímek jelentek meg, hogy megmentsék a helyzetet. Az a képesség, hogy főcímenként nagy mennyiségű alcímet generáljon, és azonosítsa, mely tranzakciók melyik alcímre érkeztek, lehetővé tette a kereskedők számára, hogy elegáns módon megszabaduljanak a fizetési azonosítóktól, miközben a Monero technológia következő generációját alkalmazzák. Azóta a legtöbb tőzsde és kereskedői eszköz alcímre vált, mint a tranzakció azonosításának elsődleges módja.</p>\n\n<p>Ami egy adatvédelmi probléma megoldásaként indult, az sokkal többré vált, ami megoldotta a kereskedők és az ügyfelek számára egyaránt fontos felhasználói élményt. Az innováció több innovációt szül, ami gyakran mindenki számára váratlan nyereményeket eredményezhet. Monero újra és újra látta ezt, és nagy erőfeszítéseket tesz a blokkláncban lehetséges innovációk érdekében. Ki tudja, milyen dolgokat oldhatunk még fel együtt?</p>';

  @override
  String get knowledge250Sbsubaddresses250Sbdescription => 'A Monero mindig is innovatív módszereket talált a nehéz adatvédelmi problémák megoldására. Ezt sehol sem példázza jobban, mint a Monero alcím-technológiája esetében.';

  @override
  String get knowledge250Sbsubaddresses250Sbtitle => 'Hogyan akadályozza meg a Monero alcímek az identitás összekapcsolását';

  @override
  String get knowledge250Sbtitle => 'Tudás';

  @override
  String get knowledge250Sbtrust250Sb0250Sbtext => '<p>A kriptovaluta terén kevés ötlet kap annyi figyelmet és vitát, mint a bizalom fogalma, és nem ok nélkül. Végül is a blokklánc lényege a harmadik felekbe vetett bizalom megszüntetése.</p>\n\n<p>Azok számára, akik nem értik teljesen az ötletet, itt egy könnyű alapozó. A hagyományos pénzügyi rendszerben általában harmadik feleket használnak fel különféle feladatokra. A bankokat arra használják, hogy az Ön nevében pénzt biztosítsanak a lopástól, a választottbíróktól. A letéti ügyleteket azért használják, hogy az üzleti ügyletek két fél között működhessenek, amelyek nem bíznak egymásban. A hitelkártya-társaságok pénzt fizetnek ki az Ön nevében árukért és szolgáltatásokért, vállalva annak kockázatát, hogy esetleg nem fizeti vissza azokat.</p>\n\n<p>E példányok mindegyike megköveteli a bizalmat. A bankok és letéti ügynökök esetében Ön bízik abban, hogy ők maguk nem fognak elszaladni az Ön pénzével, a hitelkártya-társaságok esetében pedig abban, hogy nem fizetnek ki pénzt az Ön nevében az Ön beleegyezése nélkül, ami nagyon lehetséges. Mindent megteszünk annak érdekében, hogy ezek a dolgok ne forduljanak elő. Kizárólag megbízható cégekkel és magánszemélyekkel dolgozunk, és törvényeket hozunk a fenti forgatókönyvek törvénytelenné tételére, és igyekszünk biztosítani a következményeket az elkövetők számára, de ez nem mindig akadályozza meg, hogy megtörténjenek.</p>\n\n<p>Továbbá ezek a szolgáltatások nem ingyenesek. A letéti ügynökök és a bankok díjat számíthatnak fel szolgáltatásaikért, a hitelkártyák pedig kamatot számítanak fel a kölcsönadott pénz után.</p>\n\n<p> A blokklánc azért készült, hogy megszüntesse ezeket a középső embereket, valamint a velük járó bizalmat és díjakat. A konszenzus ereje révén a felhasználók maguk érvényesíthetik a főkönyv állapotát anélkül, hogy megbíznának bárkiben, hogy megmondja nekik, mennyi pénzük van, és anélkül, hogy megbízható harmadik felek esetleg elszaladnának az Ön pénzéből.</p>\n\n<p>Annyira nagy hangsúlyt fektetnek erre a bizalmatlanságra, hogy minden olyan változtatást vagy technológiai kiegészítést, amely a bizalom elemét adja vissza a blokklánchoz, nagy szkepticizmussal és kritikával fogadják, és egyes projektek minden ilyen elképzelést egyenesen elutasítanak. Érdekes tehát, hogy a magánéletet nem veszik figyelembe.</p>\n\n<p>Még egyszer a világ többi részére tekintünk, és azt látjuk, hogy túl gyakran a magánéletünk a „megbízható” harmadik felek kiszolgáltatottja. Amikor megadjuk a fizikai címünket egy olyan termékhez, amelyet el szeretnénk küldeni nekünk, bízunk benne, hogy a kérdéses üzlet nem használja fel aljas célokra ezeket az információkat, és nem adja el másoknak. Ugyanez vonatkozik személyes gondolatainkra vagy fényképeinkre is, amelyeket a közösségi médiában teszünk közzé. Ez még a pénzügyeinkre is vonatkozik, mivel számos hackelés a számviteli ágazaton belül, vagy olyan pénzügyi alkalmazások, amelyek egy belső nyilvános fórumon közzéteszik, mire költenek pénzt (pl. Venmo).</p>\n\n<p>Monero látja ezt a bizalmatlanság iránti elkötelezettséget a blokkláncon, és hasonló szabványt alkalmaz az adatvédelem megközelítésére. Magánéletünk nem függhet attól, hogy egy harmadik fél megígéri, hogy biztonságban tartja, mint ahogy pénzügyeink sem másoktól, akik megígérik nekünk, hogy nem fognak elszaladni velük. Ebből a célból a Monero biztosítja, hogy minden alkalmazott adatvédelmi technológia megbízható legyen.</p>\n\n<p> Vannak más adatvédelmi technológiák is. Megbízhatóak, és valljuk be, ők sem nélkülözik erősségeik. A Zcash bizonyos típusú bizonyítási rendszereket használ bizalmas tranzakciós protokollja építőelemeiként, amelyek nagyon erős adatvédelmi garanciákkal rendelkeznek, nagy anonimitáskészlettel, és helyes használat esetén hatékony módja lehet az Ön személyes adatainak védelmének. Ennek a megközelítésnek a hátránya azonban, hogy a technológia kezdeti beállításának részeként szükség van egy paraméterkészletre, amelyet ki kell választani, és ezt követően el kell felejteni. Ha valaki megtartja ezt a paramétert, képes lenne hamis SNARK-bizonyítékokat készíteni, hatékonyan nyomtatva pénzt anélkül, hogy bárki is bölcsebb lenne, mert az el van rejtve. De ez befolyásolja a magánéletet? Vannak, akik elméletben igen, mások nem, és végül további kutatásokat kell végezni a végleges válasz érdekében.</p>\n\n<p> Ettől függetlenül a bizalom minimalizálásának folyamata ugyanúgy hangzik, mint a cikk elején tárgyalt forgatókönyvek. A hagyományos világ. Akitől el akarunk távolodni. Maga a blokklánc nem csökkenti a harmadik felek iránti bizalmat, hanem inkább megszünteti. A Monero közösség úgy gondolja, hogy az adatvédelmi technológiáinkra is ugyanazt a megszüntetési, mintsem csökkentési szabványt kellene alkalmazni. Csak azért, mert nem bizonyított véglegesen, hogy a megbízható beállítások veszélyeztethetik vagy nem veszélyeztetik a magánélet védelmét, még nem jelenti azt, hogy lazán kell visszaengednünk a bizalmat a rendszerbe e tekintetben.</p>\n\n<p>Természetesen minden előrelépés az adatvédelmi térben előrelépést jelent, és a megbízható adatvédelem gyakran csak egy lépcsőfok a bizalmatlan adatvédelem felé, és ezekben az esetekben örömmel látjuk a tér előrehaladását. Ugyanakkor a Monero közösség jó lelkiismerettel nem tud olyan adatvédelmi technológiát telepíteni a blokkláncunkra, amely gyengítené forradalmunk célját.</p>\n\n<p>Gyakran felteszik nekünk a kérdést, hogy a Monero mikor vezeti be ezt vagy azt az új adatvédelmi technológiát. Ezek a kérdések gyakran a tájékozatlanoktól származnak, akik nem értik a kompromisszumokat, és csupán a nap új, magánéleti hívószavait űzik. A válasz ezekre a kérdésekre egyszerű. A Monero folyamatosan vizsgálja, felülvizsgálja és kutatja az új adatvédelmi protokollokat, amelyek megerősítenék a Monero lánc adatvédelmi garanciáit, de nem vagyunk hajlandóak e cél elérése érdekében a megbízható adatvédelem világába ásni, még akkor sem, ha a garanciák elméletileg erősebbek.[1] X5461X]\n\n<p>Egyesek szerint ez a megközelítés elavultnak bizonyul, de úgy gondoljuk, hogy az ilyen emberek elvesztették a történetet, hogy miért is vagyunk itt.</p>';

  @override
  String get knowledge250Sbtrust250Sbdescription => 'A bizalom fogalma az egyik legtöbbet vitatott a kriptovaluta terén. Végül is a blokklánc lényege a harmadik felekbe vetett bizalom megszüntetése.';

  @override
  String get knowledge250Sbtrust250Sbtitle => 'Miért használ Monero megbízható beállítást a Zcash-sel ellentétben?';

  @override
  String get knowledge250Sbupgrades250Sb0250Sbtext => '<p> Monero decentralizált, a magánélet védelmét megőrző és biztonságos kriptovaluta felépítésére vonatkozó megközelítésének egyik leggyakrabban félreértett része a hard forkok (vagy hálózati frissítések) szerepe.</p>\n<p>Ebben a bejegyzésben bemutatjuk, mik azok a hard-villák, miért fontosak Monero számára, és milyen szerepet játszhat bennük a jövőben.</p>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtext => '<p>A Monero közösség elkötelezte magát amellett, hogy idővel megismétli és javítja a projektet, és úgy tűnik, hogy az elkötelezettség a közösség szellemiségének két kulcsfontosságú aspektusára vezethető vissza:</p>\n<ol type=\"1\">\n<li><p>A Monero projekt végső soron egy szoftver – kód –, amelyet emberek írnak. Ez azt eredményezheti, hogy hibákat kell kijavítani, idővel felfedezett vagy kitalált fejlesztéseket kell hozzáadni, modernizálni kell a protokollt, vagy egyszerűen karban kell tartani a projektet. Ez sok tekintetben hasonlít az Ön által használt többi szoftverhez (például a böngészőhöz, amelyben ezt olvassa!), amelyeket folyamatosan frissíteni kell az új funkciók hozzáadásához és a hibák kijavításához.</p></li>\n<li><p>A Monero projekt egy adatvédelmi eszköz, az adatvédelem pedig egy folyamatosan fejlődő fegyverkezési verseny. Azok az emberek és csoportok, akik semmi mást nem szeretnének, mint megfosztani a magánélet világától (mind az anyagi, mind a személyes), folyamatosan fejlesztenek, fejlesztenek és új módszereket találnak ki, hogy megtámadják a magánélet megőrzésének modern megközelítéseit, mint amilyeneket a Moneróban is használnak. Mivel a magánélet ellenségei megtalálják ezeket az új megközelítéseket, a Monero hálózatnak képesnek kell lennie arra, hogy alkalmazkodjon és fejlődjön, hogy megvédje a pénzügyi magánélethez való jogunkat.</p></li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtitle => 'Miért kell a Moneronak folyamatosan frissítenie a hálózatot?';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtext => '<p>A Monero frissítésének összetettsége akkor lép életbe, ha megérted, hogy mennyire más egy kriptovaluta frissítése, mint a szoftverfrissítés egyszerű böngészőre való tolása.</p>\n<p>A kriptovaluták esetében a hálózat szabályait (például a tranzakciók megjelenését, a bányászat működését és az egyes blokkok ellenőrzésének módját) a hálózatnak meg kell állapodnia, amit „konszenzusnak” neveznek. Ha ezen szabályok bármelyikét módosítani vagy frissíteni kell, a hálózatnak meg kell állapodnia az új szabályokról, ami „kemény villát” okoz – egy olyan helyzetet, amikor a hálózat valójában két blokkláncra szakad – az egyik a régi szabályok szerint, és egy az új szabályokról.</p>\n<p>Amikor a közösség minden tagja egyetért a szabálymódosításokkal, azt „nem vitás hard-fork-nak” nevezik, és a lánc, amelyen még mindig a régi szabályok érvényesek, elhal, és nem bányászik tovább a hard-fork után. Ez szinte minden Monero hard-fork esetében így volt, és a régi szabályok egyetlen folytatása az volt, hogy a projektek megpróbáltak profitálni a hard-forkból.</p>\n<p> Noha a nem vitás hard-forkok az egyetlen mód a Monero hálózat fontos elemeinek megfelelő frissítésére, van egy frusztráló mellékhatásuk is: a régi szoftver, amelyet a hard-fork tervezése előtt adtak ki, nem érti az újat. a hálózat szabályait, és így nem működik a hard-fork után! Ez oda vezethet, hogy a felhasználók azt gondolják, hogy pénzeszközök vesznek el, azt gondolják, hogy a Monero blokklánc leállt, és nem tudnak pénzt mozgatni, amíg nem frissítik pénztárcájukat.</p>';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtitle => 'Mi az a keményvilla?';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtext => '<p>Mivel a Moneronak nincs központi hatósága, vezérigazgatója vagy elnöke, annak eldöntése, hogy mikor kell frissíteni a hálózatot, mit kell beletenni, és hogyan kell ezt megtenni, az <em>usunkra</em>, azokra az emberekre hárul. a Monero közösség, akik úgy döntenek, hogy részt vesznek és kapcsolatba lépnek egymással! Ez rendkívül fontos része egy decentralizált projektnek, mivel a projekt tervezése és döntéshozatala végső soron decentralizált, és a közösségtől származik.</p>\n<p>Az időzítés és a Monero egyes hálózati frissítéseihez tartozó funkciók tervezése két fő helyen történik:</p>\n<ol type=\"1\">\n<li><p>Az IRC-n és a Matrixon, a Monero közösség leggyakrabban használt csevegőplatformjain (amelyek áthidalva vannak). Ezek a platformok nagy csoportos csevegéseket tesznek lehetővé, és itt tartják az összes tervezett Monero közösségi találkozót, fejlesztői találkozót és kutatólaboratóriumi találkozót. Ezek a találkozók a legjobb módja annak, hogy belehallgatjon (vagy hozzájáruljon!) a hálózatfrissítésekkel kapcsolatos tervezéshez és megbeszélésekhez Moneroban.</p></li>\n<li><p>A Githubon, a fő kommunikációs platformon a hosszabb távú Monero-megbeszélésekhez, tervezéshez és szervezéshez. A Monero közösség a Githubot használja találkozók szervezésére, új funkciók és ötletek megvitatására, valamint a hálózati frissítések tervezésének koordinálására a Monero projekt kódjának tárolása mellett.</p></li>\n</ol>\n<p>Ha fontos ötlete van a hálózatfrissítéssel kapcsolatban, nem tetszik, hogy milyen megközelítést alkalmaznak, vagy aggályai vannak a frissítés időzítésével kapcsolatban, fontos, hogy beszéljen, és világosan mutassa be ügyét a közösségnek![X1521X ]';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtitle => 'Ki dönti el, hogy a Monero hálózat mikor és mit tartalmaz?';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtext => '<p>Mivel a Monero hálózat frissítései a szoftverfrissítésekkel együtt közösségi koordinációt és jóváhagyást igényelnek, rendkívül fontos, hogy minél többen vegyenek részt a hálózati frissítések tervezésében, tesztelésében és kommunikációs folyamatában.</p>\n<p>Íme néhány egyszerű módszer, amellyel a hálózatfrissítéssel kapcsolatos problémákat kiegyenlítheti:</p>\n<ol type=\"1\">\n<li>Csatlakozzon a Githubon</a> közzétett tervezési értekezletekhez <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">, hallgassa meg, és járuljon hozzá, ha valami fontosat szeretne felhozni.</li>\n<li>Közölje a hálózatfrissítés időzítésével kapcsolatos részleteket (ha már eldöntötte!) kedvenc tőzsdére, pénztárcájára vagy bányászati készletére. Nehéz lehet minden Monero-felhasználót megfelelően értesíteni a frissítésről, ezért fontos, hogy mindannyian segítsünk, ahol tudunk, hogy hírt adjunk.</li>\n<li>Tesztelje le a szoftvert a hálózati frissítés előtt. A hálózati frissítés előtt felhívást tesznek közzé a tesztelőknek, mind a testneten, mind a stageneten, hogy megbizonyosodjanak arról, hogy a frissítés minden aspektusa megfelelően meg van tervezve és a szoftverben implementálva. Minél többen vesznek részt és alaposan tesztelik az új verziókat, annál valószínűbb, hogy a hálózati frissítés zökkenőmentes lesz!</li>\n<li>Ha megjelentek a hálózati frissítéssel kompatibilis kiadások, azonnal frissítse! Minél többen vannak frissítve és készen állnak a hálózati frissítésre, a hálózat annál gördülékenyebben kezeli azt, és annál kevesebb fejfájást fognak tapasztalni a felhasználók.</li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtitle => 'Hogyan segíthetek a hálózati frissítésekben?';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtext => '<p>Bár még nincs kőbe vésett dátum, hamarosan hálózatfrissítésre kerül sor, amely néhány kulcsfontosságú frissítést és funkciót valósít meg a Moneroban:</p>\n<ol type=\"1\">\n<li>A gyűrű méretének növelése 11-ről 16-ra, növelve az alap anonimitási készletet (értsd: valószínű letagadhatóság vagy alap adatvédelem) a hálózaton végrehajtott minden tranzakciónál</li>\n<li><a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/view-tags-reduce-monero-sync-time\">Tekintse meg a címkéket: zseniális módja annak, hogy 30-40%-kal csökkentse a pénztárca szinkronizálási idejét</a></li>\n<li>Díjváltozások, a hálózat biztonságának és rugalmasságának javítása a díjpiac gyors változásaival vagy a rosszindulatú entitások támadásaival szemben</li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/2020/12/24/Bulletproofs+-in-Monero.html\">Bulletproofs+, a Monero-tranzakciók hatékonyságának további javítása</a></li>\n</ol>\n<p>Ezek a változtatások nagyban hozzájárulnak a hálózat adatvédelmének, hatékonyságának és biztonságának növeléséhez, miközben megnyitják az utat a <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/seraphis-for-monero\">Seraphis</a>, a Monero következő generációs tranzakciós protokollja előtt.</p>';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtitle => 'Mire számíthatok a következő Monero hálózati frissítéskor?';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtext => '<p>A hard-forkok és a hálózati frissítések témája hatalmas téma, és Moneróban hosszú és mesés története van, ezért mindenképpen ásson bele néhány alábbi linkbe, ha többet szeretne megtudni a a közelgő hálózati frissítés előzményei, folyamatai vagy tervezése!</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">Monero v15 keményvillás tervezés</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero#scheduled-software-upgrades\">Ütemezett szoftverfrissítések (Moneróban)</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://web.getmonero.org/2020/09/01/note-scheduled-upgrades.html\">Megjegyzés az ütemezett protokollfrissítésekről</a></li>\n</ul>';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtitle => 'Hogyan tanulhatok többet?';

  @override
  String get knowledge250Sbupgrades250Sbdescription => 'Az XMR hard-villák szerepét gyakran félreértik – ma bemutatjuk, mik ezek, és miért fontosak.';

  @override
  String get knowledge250Sbupgrades250Sbtitle => 'Hogyan használja a Monero hard-forket a hálózat frissítéséhez';

  @override
  String get knowledge250SbviewTags250Sb0250Sbtext => '<p>Az egyik leggyakoribb panasz a Monero mindennapi használatával kapcsolatban az, hogy mennyi időbe telhet a pénztárca szinkronizálása, mielőtt el tudná küldeni a Monero-t. Szerencsére a Monero közösség fejlesztői és kutatói remek módszert találtak arra, hogy több mint 40%-kal csökkentsék a pénztárcája szinkronizálásához szükséges időt anélkül, hogy további blokklánc-felfúvódás, díjak stb.\n\n<p>Írja be a „view tags”-t, egy bájtos kiegészítést az egyes tranzakciók adataihoz – a következő hálózatfrissítéskor a Monerohoz érkezik!</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtext => '<p>Az egyik első kérdés, amire meg kell válaszolnunk, hogy jobban megértsük az olyan megoldások szükségességét, mint a view tags, hogy miért lassabb a Monero pénztárca szinkronizálása, mint az olyan kriptovaluták, mint a Bitcoin.</p>\n<p> A Bitcoinban, mivel minden tranzakció nem privát, és felfedi az elköltött érméket, az összegeket és a láncon belüli címeket, a Bitcoin pénztárcák egyszerűen megkereshetik az el nem költött tranzakciós kimeneteket (UTXO-kat) vagy az adott pénztárcához használt címeket. , gyorsan átkutatja a blokkláncot, hogy csak az adott címekhez tartozó UTXO-kat keresse, hogy megtudja, mely érmék tartoznak a pénztárcájához, és mely érméket lehet elkölteni.</p>\n<p>A Moneróban azonban minden tranzakció megőrzi a felhasználó adatait azáltal, hogy elrejti a feladót, a címzettet és az egyes tranzakciókban érintett összegeket. Ez az adatvédelem, bár létfontosságú a hálózat felhasználóinak védelme szempontjából, a pénztárca lassabb szinkronizálását is bevezeti. A Moneróban a pénztárcának össze kell hasonlítania a hálózaton található összes tranzakciós kimenetet (TXO) a pénztárca privát kulcsaival.</p>\n<p>Ez az összehasonlítás sok bonyolult matematikai és kriptográfiát foglal magában annak igazolására, hogy egy kimenet valóban a tiéd, mivel minden összeg, cím és ismert elköltött kimenet (vagy érme) a Monero láncon belül el van rejtve.</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtitle => 'Miért lassabb a Monero pénztárca szinkronizálása, mint a Bitcoiné?';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtext => '<p>A Monero pénztárcák szinkronizálási idejének csökkentése érdekében <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">egy UkoeHB nevű kutató új megközelítést dolgozott ki</a> – minden tranzakcióhoz adjon hozzá egy 1 bájtos „címkét” egy megosztott titok használatával. az adott tranzakció feladójának és fogadójának.</p>\n<p>Ezt a megosztott titkot a feladó állítja elő a címzett által megadott cím alapján, és nem igényel aktív együttműködést a küldő és a fogadó részéről. A megosztott titok első bájtja (vagy karaktere) ezután hozzáadódik a tranzakció adataihoz, amikor közzéteszi azt a Monero hálózaton.</p>\n<p>Amikor a tranzakció egyik résztvevője utólag szinkronizálni akarja pénztárcáját a Monero blokklánccal, ahelyett, hogy az összes összetett matematikai és kriptográfiát végre kellene hajtania a hálózat minden egyes TXO-jánál, a pénztárca most már csak ellenőrizheti, ezt az 1 bájtos mezőt minden tranzakcióban, és csak ezután hajtsa végre az időigényes ellenőrzést azokon a tranzakciókon, amelyek rendelkeznek ezzel a címkével – pontosabban 1/256 TXO a hálózaton!</p>\n<p>Ez a címke nem árul el semmilyen információt a tranzakcióról a külső nézők számára, csak 1 bájtot (elhanyagolható mennyiséget) ad hozzá a tranzakciók méretéhez, és mégis lehetővé teszi számunkra, hogy a szinkronizálási időket 40%-kal meghaladóan csökkentsük az összetett ellenőrzések csökkentésével. szükséges!</p>';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtitle => 'Mik azok a nézetcímkék?';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtext => '<p> Képzeld el, hogy egy szobában 4096 doboz van, amelyből csak 5 a tiéd. A dobozok teljesen megkülönböztethetetlenek kívülről, és csak úgy lehet megállapítani, hogy neked való-e egy doboz, ha kinyitod, és megoldasz egy időigényes matematikai feladatot, amit belül leírsz, hogy megbizonyosodjon arról, hogy a tiéd.</p>\n<p> Most képzeld el, hogy úgy döntesz, hogy az a személy, aki ezt az 5 dobozt küldi neked, generál egy speciális kódot az Ön címe alapján, majd a generált kódnak csak az első karakterét helyezi el minden Önnek küldött doboz külsején. Mindenki más ugyanezt teszi a saját dobozaival (annak érdekében, hogy az összes doboz továbbra is megkülönböztethetetlen legyen), de most egyszerűen megnézheti a doboz külső oldalán található egykarakteres kódot, és csak azokat a dobozokat nyithatja meg, amelyeken ez a karakter szerepel. X753X]\n<p>Míg más dobozok megegyeznek a kóddal, még olyanok is, amelyek nem az Ön tulajdonában vannak, a matematikai feladatok megnyitásához és megoldásához szükséges dobozok száma most már csak 16 (1/256 doboz!) az összes 4096 helyett. </p>\n<p>Most kinyitja azt a 16 dobozt, megoldja a matematikai feladatokat, és megtartja azt az 5 dobozt, amely valójában az Öné a csoportból!</p>';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtitle => 'Címkék megtekintése: egyszerűsített példa';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtext => '<p>A View címkék az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">közelgő hálózati frissítésben</a> jelenleg tervezett funkciók egyike, és valamikor tavasszal megjelennek. Az <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bounties.monero.social/posts/28/implement-view-tags-to-decrease-wallet-sync-times-in-monero\"> közösség felvetette a 23.3XMR</a> értéket (a cikk írásakor), hogy ösztönözze a nézetcímkék fejlesztését és implementálását, és ennek eredményeként a nézetcímkék Monero kódbázisba való felvételére irányuló munka túlnyomó többsége már megtörtént. j-berman készítette el lektorokkal és kutatókkal együttműködve.</p>\n<p>Miután a hálózat kényszerítette a nézetcímkéket, a hálózati frissítés után küldött összes tranzakció részesülni fog a drasztikusan megnövelt pénztárca-szinkronizálási időből. Nem kell semmi különöset tennie a nézetcímkék használatának megkezdéséhez, kedvenc Monero pénztárcája egyszerűen elkezdi használni őket a hálózati frissítés után!</p>';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtitle => 'Mikor lesznek elérhetők a megtekintési címkék Moneróban?';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtext => '<p>Ha ez felkeltette az érdeklődését a címkék megtekintése iránt, tekintsen meg alább néhány további linket, amelyek a témával foglalkoznak:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">Csökkentse a szkennelési időt a kimenetenkénti 1 bájtos „view tag” segítségével</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/pull/8061\">Adjon nézetcímkéket a kimenetekhez, hogy csökkentse a pénztárca beolvasási idejét</a></li>\n</ul>';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtitle => 'Hogyan tanulhatok többet?';

  @override
  String get knowledge250SbviewTags250Sbdescription => 'Az egyik leggyakoribb panasz a Moneróval kapcsolatban a pénztárca szinkronizálási ideje – ma arról beszélünk, hogy a fejlesztők nagyszerű módszert találtak ennek csökkentésére.';

  @override
  String get knowledge250SbviewTags250Sbtitle => 'Címkék megtekintése: Hogyan csökkenti egy bájt a Monero pénztárca szinkronizálási idejét 40%-kal+';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbdecentralized250Sbtext => 'Maga a Bitcoin decentralizált, de a legtöbb keverési szolgáltatás központosított. Ez azt jelenti, hogy bíznia kell bennük. Néhány újabb, például a Wasabi pénztárca azonban nem.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbfungibility250Sbtext => '<p>\n                          Nem minden bitcoin egyenlő és azonos értékű. Néhány Bitcoint több entitás feketelistára helyezett és blokkolt, így ezek az érmék kevésbé értékesek, mint a többi. Ha olyan Bitcoinokat kap, amelyeket korábban illegális célokra használtak fel, akkor a bitcoinjai feketelistára kerülhetnek, még akkor is, ha semmi köze nem volt az illegális tevékenységhez. Vagy mondjuk egy kormány, munkaadó vagy más szervezet úgy dönt, hogy a jövőben feketelistára helyezi a bitcoinjait, hasonlóan az eszközök befagyasztásához vagy elkobzásához. Nem tudna mit tenni. Mivel a keverő csak megnehezíti a Bitcoinok nyomon követését, ez a kategória „nem helyettesíthető”-ként lett megjelölve.\n                        </p>\n\n                        <ul class=\"lemez\">\n                          <li>\n                            Andreas Antonopoulos, a Bitcoin Core egykori fejlesztője, aki nagy tiszteletnek örvend a Bitcoin és más kriptovaluta közösségekben, elismeri a Bitcoin helyettesíthetőségi problémáját egy <a href=\"https://www.youtube.com/watch?v=ak1iojpiHpM&feature=youtu .be&t=33m9s\"> YouTube-videó</a>.\n                          </li>\n                          <li>\n                            Vita a Bitcoin helyettesíthetőségi problémájáról a <a href=\"https://bitcointalk.org/index.php?topic=1190707.0\"> Bitcointalk.org oldalon\n                            </a>\n                          </li>\n                        </ul>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbprivate250Sbtext => '<p>\n                          Minden Bitcoin-tranzakció látható a blokkláncon, és van egy <a href=\"http://www.bitcoinrichlist.com/top100\"> Bitcoin gazdag listája</a>, tehát a Bitcoin nem privát. A Bitcoin <a href=\"https://bitcoin.org/en/you-need-to-know\"> álneves </a>, nem névtelen.\n                        </p>\n\n                        <p>\n                          Az <b>Bitcoin keverők</b> esetében bíznia kell abban, hogy adataikat biztonságban tudják tartani, és nem kormány, hackerek vagy más entitások tulajdonában vannak, illetve nem működnek együtt velük.\n                        </p>\n\n                        <p>\n                          2017 júliusában a legnagyobb Bitcoin keverő szolgáltatás, a BITMIXER.IO alapítója bejelentette, hogy bezárnak, és ezt indokolta:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              &hellip; Most már rájöttem, hogy a Bitcoin átlátszó, nem névtelen rendszer <b>tervezés szerint</b>. A Blockchain egy nagyszerű nyitott könyv&hellip;\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, az <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg20357093#msg20357093\"> Bitcointalk.org </a> bezárásáról szóló bejelentésben (kiemelés az eredetiben).\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Néhány héttel később, miután átgondolta a különböző adatvédelmi központú érméket, ezt mondta:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              A mélyreható vizsgálat után megerősítem, hogy a MONERO a legjobb adatvédelmi valuta. Erősen ajánlom tehát a MONERO-t mindazoknak, akiknek extra magánéletre van szükségük.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, egy <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg21113378#msg21113378\"> követő bejegyzésben</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbuntraceable250Sbtext => ' <p>\n                          Mivel az összes Bitcoin-tranzakció látható a blokkláncon, MINDEN Bitcoin-tranzakció nyomon követhető. A Bitcoin-keverő nagymértékben elhomályosíthatja a tranzakciókat, ami sokkal nehezebbé teszi a Bitcoinok nyomon követését, de nem lehetetlen. A technológia fejlődésével és a Bitcoin-tranzakciók nyomon követésére szakosodott vállalatok egyre elterjedtebbé válnak, amint az erősen zavart tranzakciók viszonylag könnyen nyomon követhetők lesznek:\n                        </p>\n\n                        <ul class=\"disc\">\n                          <li>\n                            <a href=\"https://news.bitcoin.com/law-enforcement-continues-invest-bitcoin-tracking-services/\"> A bűnüldöző szervek továbbra is befektetnek a Bitcoin nyomkövetési szolgáltatásokba\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"http://time.com/3689359/bitcoins-track-anonymous/\"> Time.com: A bitcoinokat könnyebb követni, mint gondolná\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"https://www.elliptic.co/\">\n                              Elliptic: Bitcoin bűnüldözési célú nyomon követésére szakosodott vállalat\n                            </a>\n                          </li>\n                        </ul>\n\n                        <p>\n                          A Google keresése a fentiekhez hasonló cikkek tucatjait tárja fel. És ne feledje, minden olyan tranzakció, amely a múltban bármikor megtörtént, a blokkláncon található, és nyomon követhető, még akkor is, ha keverési szolgáltatást használtak. Valójában egy keverési szolgáltatás használata valószínűleg felhívja a figyelmet ezekre a tranzakciókra.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbdecentralized250Sbtext => 'Nem minden DASH csomópont egyenlő. Létezik a csomópontok szuperosztálya, az <i>Masternodes</i>, amelyek tulajdonosai nagyobb befolyással bírnak a rendszerre, mint a hagyományos csomópont-operátorok. Ezáltal a DASH félig központosított az ideális 100%-ban decentralizált rendszer helyett.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbfungible250Sbtext => 'Mivel a tranzakciók nem zártkörűek, fennáll annak lehetősége, hogy egy entitás blokkoljon vagy feketelistára tegyen bizonyos érméket, ezáltal kevésbé értékesek, mint a többi. Lásd az alábbi megjegyzést a Bitcoin helyettesíthetőségének hiányáról, mivel ugyanez az elv vonatkozik a DASH-ra is.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate => 'A DASH-nak van egy <a href=\"https://bitinfocharts.com/top-100-richest-darkcoin-addresses.html\"> gazdag listája</a>, tehát ez nem privát érme. Az érmecímek pénzügyi adatait bárki láthatja, aki megvizsgálja a blokkláncot.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbanother8722Sbquote => ' <b>Peter Todd</b>, egy másik Bitcoin Core fejlesztő és kriptográfus <a href=\"https://twitter.com/petertoddbtc/status/622022840330682368\"> hasonló kijelentést tett</a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              A DASH kriptográfiailag egyáltalán nem privát. Valójában volt egy csúszda a pakliban, ami olyan volt, mint \"DASH, LOL\", és semmi máshoz nem hasonlított... ez egy kígyóolaj, és én személy szerint magamon vagyok.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Gregory Maxwell</b>, Bitcoin Core fejlesztő és kriptográfus <a href=\"https://archive.21mil.com/blockstream-cto-greg-maxwell-discusses-monero-zcash-privacy-focused-altcoins/\"> előadásában a Coinbase-nek\n                             </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbuntraceable250Sbtext => 'A tranzakciók egy sor <a href=\"https://www.dash.org/masternodes/\"> mestercsomóponton </a> keresztül vannak irányítva, hogy nyomon követhetetlenek legyenek. Ez a gyakorlat működhet, ha az összes masternode operátornak csak tiszta indítékai vannak. Ha azonban egy kormány, hackercsoport, más entitás vagy akár egy magánszemély sok főcsomópontot vásárolt (nem lehet tudni, hogy ez megtörtént-e), és ha a tranzakció olyan útvonalon ment keresztül, ahol az összes főcsomópont az adott entitás tulajdonában volt. , akkor az adott entitás nyomon követheti a tranzakciót. Tekintettel a masternode-ok viszonylag alacsony költségére, valamint a kormányok és egyes szervezetek hatalmas költségvetésére, az érmék nyomon követésének lehetősége valós.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdisclaimer => 'Ezt az oldalt Monero felhasználók készítették. Volt idő, amikor nem Monero-felhasználók voltunk, de aggódtunk a pénzügyi adatvédelem miatt. Kutattuk azokat az érméket, amelyek magánjellegűek, és ez az oldal kutatásunk eredménye. Ezért választottuk Monerót a többi helyett. Tehát, ha elfogultnak tűnünk, akkor azok vagyunk, de úgy gondoljuk, hogy az elfogultság tényeken alapul, amelyeket alább elolvashat, és ellenőrizheti saját maga.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbdecentralized250Sbtext => 'Grinnek nincs premine, alapítói jutalom, masternode vagy kincstár. Nem volt ICO-juk, és egy decentralizált közösséghez illő módon működnek. A Grin decentralizált.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbfungiblity250Sbtext => 'Mivel minden tranzakció megkérdőjelezhetően zártkörű, és potenciálisan nyomon követhető, lehetőség van egy tranzakciós grafikon felépítésére, amelyből értékes információk gyűjthetők össze, amelyek felhasználhatók az egyén költési szokásaira vonatkozóan. A kimenetek ezután identitásokhoz kapcsolhatók, és bár az összegek nem láthatók, az a tény, hogy egy kimenet egy identitáshoz kapcsolható, azt jelenti, hogy a kimenet szennyezett lehet, éppen attól függően, hogy ki birtokolta. Úgy gondoljuk, hogy ez azt jelenti, hogy a Grin nem helyettesíthető, mivel egyes kimenetek szennyeződhetnek, míg mások nem.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbprivate250Sbtext => 'Grinnek nincs gazdag listája, ami a magánélet valamilyen formáját jelezné. Valójában a láncot átvizsgáló passzív támadók nem láthatják, melyik címen mennyi pénz van, részben azért, mert az összegeket bizalmas tranzakciók homályosítják el, részben azért, mert a címadatokat nem tárolják a láncon, részben pedig a Mimblewimble átvágó technológiája miatt, ahol a köztes tranzakciók eltávolítható a láncból, így kevés metaadat marad a korábbi tranzakciókból.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbuntraceablity250Sbtext => 'A Grin nem védekezik egy tranzakciós gráfot építő aktív támadó ellen. Lehetőség van mind a bányászok, mind a kissé módosított csomópontok számára minden tranzakció figyelésére, elmentésére, mielőtt a cut-through technológia beindulna, és innen teljes tranzakciós grafikont készíthet, az összes átvágási adat megtartásával együtt. Nem tudnának felismerni semmilyen információt az indulás előtt, de minden az indulás után értékes metaadat lesz, amellyel potenciálisan összekapcsolhatják a tranzakciókat.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbintro => 'Íme egy elemzés azokról a jól ismert kriptovalutákról, amelyek anonimitást és/vagy nyomon követhetetlenséget állítanak kulcsmegkülönböztetőjükként. Maga a Bitcoin nem tartozik ennek az elemzésnek a körébe, mivel soha nem állította, hogy névtelen.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb0 => 'A Monero a kezdetektől fogva 100%-ban nyílt forráskódú, ami azt jelenti, hogy bárki megtekintheti a szoftver <a href=\"https://github.com/monero-project/bitmonero\"> forráskódját </a>, így ellenőrizheti, hogy nincsenek-e hátsó ajtók, és hogy a szoftver biztonságos.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb1 => 'A Monero rendelkezik <a href=\"https://lab.getmonero.org/\"> lektorált kutatási cikkekkel </a> is, amelyek matematikailag és szisztematikusan ellenőrzik a fent felsorolt összes tulajdonságot.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbdecentralized => 'Minden Monero csomópont egyenlő. A csomópontoknak nincs olyan szuperosztálya, amely nagyobb befolyással vagy ellenőrzéssel bírna a tranzakciókra, mint a többi csomópont. Egyetlen személy vagy entitás sem tudja nyomon követni a tranzakciókat több csomópont birtokában. Ezenkívül nincs megbízható beállítás. Ez azt jelenti, hogy egy személyben vagy entitásban való megbízás nem tényező. Csak a forráskódban (amit bárki ellenőrizhet) és a matematikában kell megbízni.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbfungible => 'Minden érme egyenlő és azonos értékű. Egy felhasználó, szállító vagy bármely más entitás nem blokkolhat vagy feketelistára tehet bizonyos Monero-érméket, mivel a Monero-érmék tranzakciós előzményei nem egyértelműek.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbprivate => 'A Monero kriptográfiailag megbízható rendszert használ, amely lehetővé teszi pénzek küldését és fogadását anélkül, hogy tranzakciói nyilvánosan láthatóak lennének a blokkláncon (a tranzakciók elosztott főkönyvében). Ez biztosítja, hogy vásárlásai, nyugtái és egyéb átutalásai <b>alapértelmezés szerint privátak maradnak</b>. A feladó, a címzett és a tranzakció összege mind privát. Egyes érméknek van egy \"gazdag listája\", amely lehetővé teszi bárki számára, hogy megnézze, melyik fiók rendelkezik a legtöbb érmével. Mivel a Monero privát, <a href=\"http://moneroblocks.info/richlist\"> Monero gazdag lista </a> nem létezhet.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbsecure => 'Az elosztott peer-to-peer konszenzusos hálózat használatával minden tranzakció kriptográfiailag védett. Az egyéni fiókok létrehozásakor egy 25 szavas mnemonikus mag jelenik meg, amelyet le lehet írni a fiók biztonsági mentéséhez. A jelszó megadása kötelező a pénztárca létrehozásakor, és a fiókfájlokat jelmondattal titkosítják, hogy lopás esetén értéktelenek legyenek.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbuntraceable => 'A gyűrűs aláírások (egyes titkosítási típusok speciális tulajdonsága) kihasználásával a Monero nyomon követhetetlen tranzakciókat tesz lehetővé. Ez azt jelenti, hogy nem egyértelmű, hogy mely összegeket költötték el, és így rendkívül valószínűtlen, hogy egy tranzakciót egy adott felhasználóhoz lehetne kapcsolni.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbsubtitle => 'Válassza ki a logót, hogy az érme elemzéséhez ugorjon.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbno => 'Nem';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbnot8722Sbcompletely => 'Nem teljesen';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbsometimes => 'Néha';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbunsure => 'Bizonytalan';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbyes => 'Igen';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtitle => 'Áttekintés';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtitle => 'Érmeelemzés';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtxs8722Sbare8722Sbsecure => 'A tranzakciók kriptográfiailag biztonságosak.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbdecentralized250Sbtext => '<p>\n                          A Zcash egy vállalat, és jelenleg <a href=\"https://z.cash/blog/funding.html\"> az összes kibányászott ZEC 20%-át veszi át alapítói jutalomként</a>.\n                        </p>\n\n                        <p>\n                          A Zcash <b>megbízható beállítást</b> igényel. Ez azt jelenti, hogy bíznia kell abban, hogy a rendszer becsületesen lett beállítva. Ha nem állítják be becsületesen, <a href=\"https://blog.okturtles.com/2016/03/the-zcash-catch/\"> korlátlan mennyiségű ZEC hozható létre anélkül, hogy bárki tudná </a>. Ez gazdaggá tenné a hackert és leértékelné a ZEC-t. Nem lehet tudni, hogy a Megbízható beállítást becsületesen hajtották-e végre. Szavukat kell fogadnunk. Ez emberi hibapontot vezet be a rendszerbe, amely szinte minden más kriptovalutával ellentétes. A kriptovalutákban csak a matematikában és az ellenőrizhető forráskódban kell megbíznia, az emberekben nem. Amint azt gyakorlatilag az összes nagy szoftvercégnél láttuk, mint például az <a href=\"https://www.gnu.org/proprietary/proprietary-back-doors.en.html\"> Microsoft</a>, az <a href=\"http://www.digitaltrends.com/computing/apple-vs-fbi-backdoor-to-data-already-exists/\"> Apple</a>, sőt még a kormányok is, nem szabad megbízni bennük.\n                        </p>\n\n                        <p>\n                          Peter Todd, a Bitcoin Core fejlesztője, aki <a href=\"https://github.com/zcash/mpc/blob/master/README.md\"> részt vett </a> a Zcash Trusted Setup programban, &quot; <a href=\"https://twitter.com/petertoddbtc/status/793584540891643906\"> hátsó ajtónak </a> &quot; nevezte el.\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              A Zcash nem feltétel nélkül megbízható, a jelenlegi technológiával nem lehet...megbízható beállítást igényel&hellip; újra kell végeznie a [Trusted Setup] eljárást a titkosítás idővel történő frissítéséhez, így ez sebezhetőséget jelent.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              Gregory Maxwell, a Bitcoin Core fejlesztője és kriptográfusa <a href=\"https://youtu.be/LHPYNZ8i1cU#t=29m30s\"> előadásában a Coinbase</a> számára.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbfungible => 'Mivel minden tranzakció nem zártkörű, fennáll annak a lehetősége, hogy egy entitás blokkoljon vagy feketelistára tegyen bizonyos érméket, így azok kevésbé értékesek, mint a többi. Lásd az alábbi megjegyzést a Bitcoin helyettesíthetőségének hiányáról, mivel ugyanez az elv vonatkozik a Zcash-re is.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              És mellesleg úgy gondolom, hogy a Zcash-t sikeresen nyomon követhetővé tehetjük az olyan bűnözők számára, mint a WannaCry, de még mindig teljesen privát &amp; helyettesíthetővé tehetjük.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Zooko Wilcox</b>, a Zcash vezérigazgatója egy <a href=\"https://twitter.com/zooko/status/863202798883577856\"> tweetben\n                              </a>\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Ha a Zcash „túl nyomon követhető”, akkor nem lehet teljesen privát vagy helyettesíthető.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbtext => 'A Zcash tranzakciók láthatók a blokkláncukon. Lehetővé teszik a rejtett tranzakciókat, de <a href=\"http://stat.bloxy.info/superset/dashboard/zcash/\"> a tranzakciók kevesebb mint 1%-a teljesen árnyékolt </a> . Mivel a rejtett tranzakciók nem kötelezőek, és nem az alapértelmezettek (nem beszélve arról, hogy ritkán használják), az <a href=\"http://weuse.cash/2016/06/09/btc-xmr-zcash/\"> rejtett tranzakciók kiemelkednek a blokkláncukon</a>, felhívva magukra a figyelmet.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbuntraceable250Sbtext => 'A rendszeres tranzakciók átláthatóak. A rejtett tranzakciók a zk-SNARKS-t használják, amelyek bizonyos feltételek mellett határozottan garantálják az adatvédelmi garanciákat. A kérdés az, hogy ezek a feltételek teljesülnek-e, és látva, hogy mennyi ember használja az árnyékolt képességeket, ez továbbra is kérdéses.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbdecentralized250Sbtext => 'A Zcoin Znode-okat implementált, amelyek a Dash masternode-okhoz hasonlóan működnek, és nagyobb teljesítményűek, mint a hálózat többi csomópontja. Mivel nem minden csomópont egyenlő, és a különbséget az egyén pénzének mennyisége határozza meg (a Znodok ára 1000 XZC), a hálózat félig központosított.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbfungiblity250Sbtext => 'Miután a Lelantus utolsó szakasza 2021-ben életbe lép, feltételezhető, hogy a Zcoin helyettesíthető lesz a kötelező adatvédelmi betartatás miatt. Ebben a tekintetben a Monero igazi versenytársa lesz. Azonban...';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbnote => '<p><strong>Megjegyzés:</strong> A Zcoin jelenlegi Sigma sémájáról egy új protokollra vált, amely az új munkájára, a Lelantusra támaszkodik. A Lelantus bevezetése szakaszosan történik, és ez a cikk azt feltételezi, hogy minden szakasz befejeződött és végrehajtva a megfelelő összehasonlítás érdekében a tervezett megvalósítási időkkel együtt.</p>\n<p>Az ok, amiért a Zcoin megkapta ezt a luxust, hogy a jövőbeli protokollja alapján ítéljék meg, és nem a Zcash, az az, hogy a Zcoinnak van egy ütemterve az aktiválás általános időzítésével, míg a Zcash „alapértelmezett adatvédelmi” tervei továbbra is ködösek. X563X]';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbprivate250Sbtext => '<p>A Zcoin (XZC) nem rendelkezik gazdag listával, ezért privát lesz. Alapértelmezés szerint a kötelező adatvédelem várhatóan 2021-ben lép életbe. A megvalósítást követően nem lehet bővített listát létrehozni (bár jelenleg <a href=\"https://www.coinexplorer.net/XZC/richlist\"> van </a>).</p> ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbuntraceablity250Sbtext => 'A Lelantus 2021-ben végrehajtott utolsó szakaszával a Zcoin nem lesz nyomon követhető, bár az elméleti támadásokat még nem tárták fel, mivel még nem engedték szabadon, vagy nem járt a vadonban. Jelenleg a Zcoin nyomon követhető, ha egy <a href=\"https://explorer.zcoin.io/\">Zcoin-címet</a> elhelyezünk egy blokklánc-felfedezőben, és láthatjuk annak egyenlegét és a kapcsolódó tranzakciókat.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentraized250Sbtext => 'A hálózat összes csomópontja (a csomópont az érme blokkláncának futó példánya) egyenlő. A csomópontoknak nincs olyan szuperosztálya, amely nagyobb befolyással vagy ellenőrzéssel bírna a tranzakciókra vagy a rendszerre, mint a többi csomópont.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentralized250Sbtitle => 'Decentralizált';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdescription => 'Miért a Monero a legjobb adatvédelmi érme? Nem minden adatvédelmi központú érme képes 100%-os adatvédelmet, nyomon követhetőséget, biztonságot és helyettesíthetőséget biztosítani. Fedezze fel, hogyan oldja meg Monero ezeket a problémákat más „adatvédelmi” érmékkel összehasonlítva.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro8722Sb0 => 'Nem minden adatvédelmi központú érme képes 100%-os adatvédelmet, nyomon követhetőséget, biztonságot és helyettesíthetőséget biztosítani egy 100%-ban decentralizált érmében, megbízható beállítással. Íme, mik ezek az attribútumok, és miért fontosak:';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtext => 'Minden érme egyenlő és azonos értékű.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtitle => 'Kicserélhető';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtext => 'Pénzügyei nem láthatók a nyilvánosság számára. Ha valaki megnézi az érme blokkláncát, az nem fogja látni, hogy mennyi pénze van.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtitle => 'Magán';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtext => 'Minden tranzakció titkosított, és az Ön pénzét tároló pénztárca is titkosított.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtitle => 'Biztonságos';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceability250Sbtext => 'Az érméket nem lehet nyomon követni blokklánc elemzéssel vagy blokklánc-figyeléssel.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceable250Sbtitle => 'Nyomon követhetetlen';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbsummary => '<h2>Összefoglaló</h2>\n <p> Véleményünk szerint a Monero az egyértelmű választás, ha privát, biztonságos, nyomon követhetetlen, helyettesíthető, decentralizált kriptovalutát keres, amelyhez nincs szükség megbízható beállításra. Bármi más kockáztatja magánéletét és biztonságát. De ne csak a véleményünket fogadd el. Végezze el saját kutatását, és győződjön meg saját szemével. Vegye figyelembe, hogy a Monero-t olyan entitások támogatják és használják, amelyek a magánélettől és a nyomon követhetőségtől függenek, mint például:\n                  </p>\n\n                  <ul class=\"disc\">\n                    <li>\n                      <a href=\"https://www.reddit.com/r/Monero/comments/4xqrzd/sigaint_launches_tor_monero_node_as_its_operators/\"> SIGAINT </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://puri.sm/posts/purism-collaborates-with-cryptocurrency-monero-to-enable-mobile-payments/\"> Purizmus </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://shop.wikileaks.org/donate#db9\"> Wikileaks </a>\n                    </li>\n\n                    <li>\n                      Az AlphaBay Market (AB) 2017 júliusában leállt. Az AB ellen benyújtott <a href=\"https://assets.documentcloud.org/documents/3898109/AlphaBay-Cazes-Forfeiture-Complaint.pdf\"> Szövetségi Forfeiture Complaint </a> a következőket mutatja:\n                      <ul class=\"disc\">\n                        <li>\n                          <b> A Monero az egyetlen privát és követhetetlen kriptovaluta:\n                          </b>\n                          <br />\n                          &quot;A CAZES pénztárcáiból és számítógépes ügynökei összesen körülbelül 8 800 000 dollár felett vették át az irányítást a Bitcoin, az Ethereum, a Moreno [sic] és a Zcash területén, a következő bontásban: 1 605 050 3851 Bitcoin, 8 309 271 639 Ethere, 8 309 271 639 3, 6 x 6, 9 X, 6 x 1 , 6 x 1 . ismeretlen mennyiségű Monero.</em>&quot; (20. oldal alja és 21. oldal teteje, kiemelés tőlem) </li>\n                        <li>\n                          <b>\n                            A Bitcoin-tranzakciók nem magánjellegűek, és nyomon követhetők:\n                          </b>\n                          <br />\n                          &quot;Szövetségi ügynökök szerezték meg az utalványokat, miután számos, az AlphaBay-től származó Bitcoin-tranzakciót nyomon követtek digitális valutaszámlákra, végül bankszámlákra és egyéb tárgyi eszközökre, amelyek CAZES és felesége birtokában voltak.&quot; (17. o., 24- sorok) 26)\n                        </li>\n                      </ul>\n                    </li>\n                  </ul>\n\n                  <div class=\"notice info\">\n                    <p>\n                      A LocalMonero nem támogat és nem bátorít semmilyen illegális tevékenységet.\n                    </p>\n                  </div>  ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbtitle => 'Miért jobb a Monero, mint a Dash, a Zcash, a Zcoin (még a Lelantusnál is), a Grin és a Bitcoin keverők, mint a Wasabi (Frissítve 2020 májusában)';

  @override
  String get knowledge250Sbwired250Sb0250Sbtext => '<p>Mind az adatvédelem, mind a kriptovaluta szférában a félretájékoztatás gyakran burjánzik. Van <a target=\"_blank\" href=\"/knowledge/monero-myths-debunked\" class=\"next-link\"> egy cikkünk, amely tizenöt gyakori helytelen vagy elavult feltételezést vázol fel a Moneróval kapcsolatban</a>, de szeretnénk időt szakítani egy konkrét cikkre, amelyet a Monero-szkeptikusok gyakran idéznek és terjesztenek.</p>\n\n<p>A Wired kiadvány 2018. március 27-én közzétett <a target=\"_blank\" href=\"https://www.wired.com/story/monero-privacy/\" class=\"next-link\">egy cikket</a>, amely maga egy másik, különböző akadémikusok által kiadott friss cikkre válaszul íródott: „Empirikus elemzés nyomon követhetősége a Monero blokkláncban.”</p>\n\n<p> Noha a lap társszerzője olyan személyek, akiknek egyértelmű összeférhetetlensége van (értsd: ők a Zcash tanácsadói és részesedéssel rendelkeznek), a Monero közösség közepesen jól fogadta a lapot, mivel megerősíti azokat a dolgokat, amelyeket a közösség már tudott. és a saját Monero Research Lab tanulmányukban (<a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0001.pdf\" class=\"next-link\">MRL-0001</a> és <a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0004.pdf\" class=\"next-link\">MRL-0004</a>) írtak róla, amelyek közül a legkorábbi négy évvel korábban jelent meg. Ugyanakkor több frusztráció is adódott ezzel kapcsolatban, elsősorban az összeférhetetlenség, az, hogy a kérdéseket már ismerték, megbeszélték és – esetenként – orvosolták, valamint a Monero akkori adatvédelmi garanciáinak durva félrevezetése. A közösség kommentálta a mű előnyomatát, és sok ajánlásuk eljutott a végső dolgozatig.</p>\n\n<p> De pontosan mit jellemeztek rosszul? Az a tény, hogy Monerónak több mint egy éve nem voltak meg a lapban tárgyalt hibák. A 2017 előtti tranzakciók valóban ki voltak téve az adatvédelmi kiszivárogtatásnak, de a közzététel időpontjában a Monero kezelte a legtöbb aggályt. Hogy igazságosak legyünk a szerzőkkel szemben, kis mértékben tárgyalják Monero gyógymódjait, de nem eléggé ahhoz, hogy befolyásolják annak hatását a kriptovaluta médiaciklusára akkoriban. Innen a Wired cikk.</p>\n\n<p> Noha a kérdéses Wired-cikket korabeli darabként is megvizsgálhatjuk, és mennyire volt igaz vagy nem igaz akkoriban, az a tény, hogy még ma is megosztják a Monero adatvédelmi garanciái gyengéi miatt, elemzésre késztet. arról, hogyan tartja magát a darab a jelenben. Örömmel fogadjuk ezt a meghívást.</p>\n\n<p>A cikk gyors elolvasása számos szenzációt keltő vonalat mutat, mint például: „[A megállapítások] nem csak aggodalomra adnak okot, ha valaki ma lopakodva próbálja Monerót költeni”, és a cikk teljes hangvétele, amely a kutatást „újnak” tekinti, nagyrészt a kiadványon alapul. Maga az akadémiai lap is tartalmaz ajánlásokat, például figyelmezteti a Monero-felhasználókat névtelenségük esetleges kompromittálására, annak ellenére, hogy nemcsak 2014 óta zajlanak ezek a megbeszélések, hanem a közösség felkiáltása az volt, hogy az emberek ne vegyék meg a Monerót, és hogy nagyon kísérletező volt.</p>\n\n<p> De mi a helyzet magával a kritikával? A valóság az, hogy a Monero-val mint adatvédelmi érmével kapcsolatos számos probléma vagy már nem igaz a Monero-ra, vagy megosztottak aggodalmakat az adatvédelmi érmékkel, mint a blokklánc-alapú kriptovaluták kategóriájával. Kezdjük ezekkel foglalkozni.</p>\n\n<p> Az egyik leggyakrabban idézett bírálat Moneroval szemben az, hogy a blokklánc állandósága és megváltoztathatatlansága miatt, ha egy jövőbeli technológia megsértené a magánéletet, Monero összes múltbeli tranzakciója feltárulna. Más szavakkal, a magánéleteden ketyeg az óra.</p>\n\n<p> Ezt nem tudjuk eléggé hangsúlyozni. Szó szerint minden adatvédelmi érmében, amely láncon belüli módszereket alkalmaz az elhomályosításra és a magánélet védelmére, megvan ez a hiba, és mégis gyakran használják Monero ellen (ironikus módon sokszor versengő adatvédelmi érmék ugyanazzal a problémával), és ebben a cikkben is felhasználják. Az erre a kritikára adott válasz meglepő lehet egyesek számára, de a Monero valójában kevésbé sérülékeny, mint a többi adatvédelmi érme, mivel az adatvédelem sokrétű megközelítése van.</p>\n\n<p> A Monero elrejti a kimeneteket (feladókat), az összegeket és a fogadókat három különböző technológiával, csengőaláírással, RingCT-vel és rejtett címekkel. Ezek közül a gyűrűs aláírások a leggyengébbek, és a leginkább érzékenyek mind a mai heurisztikákra, mind az elméleti, jövőbeli, magánéletet megsértő technológiákra. Ezt a Monero közösség már évek óta tudja, és aktív kutatások folynak a gyűrűs aláírási rendszer tökéletesítésére vagy teljes cseréjére.</p>\n\n<p>Azonban még akkor is, ha a csengőaláírás teljesen megtört, csak a valódi kimenet derül ki. NEM a feladó (mint az egyénnél), hanem a kimenet. Egy kimenet identitáshoz kapcsolása nem lehetetlen, de több metaadatra és erőforrásra lenne szükség. Azzal a ténnyel párosulva, hogy a RingCT és a lopakodó cím NEM derül ki, még tovább csökkenti a hatást.</p>\n\n<p>Meg kell jegyezni, hogy a Wired cikk enyhén tárgyalja a fenti információkat abban a részben, ahol megkeresték Riccardo „fluffypony” Spagnit megjegyzésért, de a rá szánt idő rövid, és szinte úgy tűnik, hogy integetett. ezt a fontos információt. A megértés hiánya különösen akkor szembetűnő, amikor megpróbáljuk megvitatni ezeket a dolgokat olyan emberekkel, akik a mai korban akarva-akaratlanul megosztják a cikket.</p>\n\n<p> Egy másik kritika, amelyet sokkal nehezebb megválaszolni, az az, hogy a külvilág hogyan tekint Moneróra, és ez hogyan kapcsolódik ahhoz, ahogyan a Monero körüli közösség látja az érmét. Egy példa erre az olvasónak nem kell messzebbre néznie, mint maga a cikk címe: „A Dark Web kedvenc pénzneme kevésbé követhetetlen, mint amilyennek látszik”.</p>\n\n<p>Bárki, aki jelentős időt tölt a Monero közösségben, tanúsíthatja azt a tényt, hogy a Monero közösség mindent megtesz azért, hogy bemutassa, milyen nehéz elérni a valódi adatvédelmet, még a marketing- vagy elfogadási erőfeszítések rovására is. Ha a közösség bőséges forrást biztosít az érme és annak hiányosságainak pontos megvitatásához, egy ponton a tudatlanság a felhasználó hibája lesz, aki úgy gondolja, hogy az érme a 100%-ban magánélethez szükséges.</p>\n\n<p>Ennél a pontnál nyilvánvalónak kell lennie, hogy a Monero közösség komolyan veszi a magánéletét, valamint a gyengeségekkel és a későbbi fejlesztésekkel kapcsolatos őszinteségét. A szóban forgó cikkekhez hasonlóan teljesen hiányzik a Monero innovációs szelleme. A Monero-t más kriptovaluták tömegéhez hasonlítja, amelyek grandiózus követeléseket tesznek, csak a haszonra és a tanulatlan befektetői zsákmányra gondolva.</p>\n\n<p> A valóság nem is lehetne másabb. A Monero nagyon tisztában van gyengeségeivel, igyekszik folytatni az építkezést, hogy javítsa azokat, meghúzza a laza ízületeket, és elérje azt a nagyon is valós, de nagyon kemény célt, hogy a világnak egy privát, helyettesíthető kriptovalutát adjon, amelyet mindenki használhat. mindezt igazságos, decentralizált és közösségvezérelt módon tegye. Talán itt az ideje, hogy félretessük a szenzációszerzést és a cikkek megosztását, mint a táskák megsemmisítését és a versenytársak népszerűsítését. Talán itt az ideje, hogy elmeséljünk egy másik történetet.</p>';

  @override
  String get knowledge250Sbwired250Sbdescription => 'Mind az adatvédelem, mind a kriptovaluta szférában gyakran terjed a félretájékoztatás. Itt foglalkozunk a Wired cikkével, amelyet a Monero-szkeptikusok gyakran idéznek és terjesztenek.';

  @override
  String get knowledge250Sbwired250Sbtitle => 'A Wired Magazine téved Moneróval kapcsolatban, íme, miért';

  @override
  String get left8722Sbdrawer250Sbabout => 'Ról ről';

  @override
  String get left8722Sbdrawer250Sbbuy8722Sbmonero => 'Vásároljon Monero-t';

  @override
  String get left8722Sbdrawer250Sbdashboard => 'Irányítópult';

  @override
  String get left8722Sbdrawer250Sbfaq => 'GYIK';

  @override
  String get left8722Sbdrawer250Sbforums => 'Fórumok';

  @override
  String get left8722Sbdrawer250Sbgetting8722Sbstarted => 'Elkezdeni';

  @override
  String get left8722Sbdrawer250Sbpost8722Sbnew8722Sbad => 'Adj fel egy hirdetést';

  @override
  String get left8722Sbdrawer250Sbrevuo250Sblabel => 'A Monero szabvány: Monero News';

  @override
  String get left8722Sbdrawer250Sbsell8722Sbmonero => 'Eladni Monerót';

  @override
  String get left8722Sbdrawer250Sbsupport => 'Támogatás';

  @override
  String get login250Sberror8722Sb0 => 'Rossz felhasználónév/jelszó/egyszeri jelszó!';

  @override
  String get login250Sberror8722Sb1 => 'A felhasználónév és a jelszó nem engedélyezett karaktereket vagy érvénytelen hosszúságot tartalmaz';

  @override
  String get login250Sberror8722Sb10 => 'Bejelentkezési hiba';

  @override
  String get login250Sberror8722Sb2 => 'A felhasználónév nem engedélyezett karaktereket vagy érvénytelen hosszúságot tartalmaz';

  @override
  String get login250Sberror8722Sb3 => 'A jelszó nem engedélyezett karaktereket vagy érvénytelen hosszúságot tartalmaz';

  @override
  String get login250Sberror8722Sb4 => 'A mezők nem maradhatnak üresen';

  @override
  String get login250Sberror8722Sb5 => 'Az egyszeri jelszónak 6 számjegyből kell állnia';

  @override
  String get login250Sberror8722Sb8 => 'Nem engedélyezett értékek';

  @override
  String get login250Sberror8722Sb98722Sbtext => 'Túl sok bejelentkezési kísérlet! Kérjük, várjon egy ideig.';

  @override
  String get login250Sberror8722Sb98722Sbtitle => 'Túllépte a bejelentkezési kísérletek számát';

  @override
  String get login250Sberror8722Sbgeneric => 'Hiba!';

  @override
  String get login250Sbremember8722Sbme => 'Emlékezz rám';

  @override
  String login250Sbreset(Object link) {
    return 'Elfelejtette a jelszavát? $link';
  }

  @override
  String get login250Sbreset8722Sblink => 'Állítsa vissza itt.';

  @override
  String login250Sbsame8722Sbcredentials8722Sbtip(Object front_type_url) {
    return 'Használhatja $front_type_url hitelesítő adatait a bejelentkezéshez.';
  }

  @override
  String login250Sbsignup(Object link) {
    return 'Még nincs fiókod? $link';
  }

  @override
  String get login250Sbsignup8722Sblink => 'Regisztrálj';

  @override
  String get login250Sbtitle => 'Belépés';

  @override
  String get login250Sbusername => 'Felhasználónév';

  @override
  String get login250Sbusername8722Sbtip => '3-16 karakter. Engedélyezett karakterek: a-z, A-Z, 0-9, -, _';

  @override
  String get method250Sbalipay => 'Alipay';

  @override
  String get method250Sball8722Sbonline8722Sboffers => 'Minden online ajánlat';

  @override
  String get method250Sbcash => 'Készpénz (helyben)';

  @override
  String get method250Sbcash8722Sbat8722Sbatm => 'Készpénz ATM-ben';

  @override
  String get method250Sbcash8722Sbby8722Sbmail => 'Készpénz postai úton';

  @override
  String get method250Sbcash8722Sbdeposit => 'Készpénz letét';

  @override
  String get method250Sbcash8722Sbon8722Sbdelivery => 'Utánvétes fizetés';

  @override
  String get method250Sbcashiers8722Sbcheck => 'Pénztári csekk';

  @override
  String get method250Sbcreditcard => 'Hitelkártya';

  @override
  String get method250Sbcryptocurrency => 'Kriptovaluta';

  @override
  String get method250Sbgift8722Sbcard => 'Ajándékkártya kódja';

  @override
  String get method250Sbgift8722Sbcard8722Sbamazon => 'Amazon ajándékkártya kódja';

  @override
  String get method250Sbgift8722Sbcard8722Sbapple => 'Apple Store ajándékkártya kódja';

  @override
  String get method250Sbgift8722Sbcard8722Sbebay => 'Ebay ajándékkártya kód';

  @override
  String get method250Sbgift8722Sbcard8722Sbglobal => 'Ajándékkártya kód (globális)';

  @override
  String get method250Sbgift8722Sbcard8722Sbitunes => 'iTunes ajándékkártya kód';

  @override
  String get method250Sbgift8722Sbcard8722Sbstarbucks => 'Starbucks ajándékkártya kód';

  @override
  String get method250Sbgift8722Sbcard8722Sbsteam => 'Steam ajándékkártya kód';

  @override
  String get method250Sbgift8722Sbcard8722Sbwalmart => 'Walmart ajándékkártya kód';

  @override
  String get method250Sbinternational8722Sbwire8722Sbswift => 'Nemzetközi átutalás (SWIFT)';

  @override
  String get method250Sbmobile8722Sbtop8722Sbup => 'Mobil feltöltés';

  @override
  String get method250Sbnational8722Sbbank => 'Nemzeti banki átutalás';

  @override
  String get method250Sbother => 'Egyéb online fizetés';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet => 'Egyéb online pénztárca';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet8722Sbglobal => 'Egyéb online pénztárca (globális)';

  @override
  String get method250Sbother8722Sbpre8722Sbpaid8722Sbdebit => 'Egyéb előre fizetett betéti kártya';

  @override
  String get method250Sbsepa => 'SEPA (EU) banki átutalás';

  @override
  String get method250Sbspecific8722Sbbank => 'Átutalások meghatározott banknál';

  @override
  String get method250Sbwechat => 'Wechat';

  @override
  String get method250Sbyandex => 'Yandex pénz';

  @override
  String get method250Sbyoomoney => 'YooMoney';

  @override
  String get morph250Sbcheckbox250Sbfaq8722Sblink => 'Hogy működik ez?';

  @override
  String get morph250Sbdeposit250Sbaddress8722Sbinput250Sbhelper => 'Ezt a címet használjuk fel a visszatérítésre, ha bármi baj történik a ChangeNow kereskedés során';

  @override
  String morph250Sbdeposit250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'Visszatérítési $cryptocurrencyName cím';
  }

  @override
  String morph250Sbdeposit250Sbbutton(Object cryptocurencyName) {
    return 'Mutasd meg a letéti $cryptocurencyName címet!';
  }

  @override
  String get morph250Sberror250Sbtitle => 'Hiba történt a ChangeNow kereskedés létrehozásakor!';

  @override
  String get morph250Sbservice8722Sbdown => 'A ChangeNow XMR szolgáltatása átmenetileg nem érhető el. Próbáld újra később.';

  @override
  String morph250Sbwithdrawal250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return '$cryptocurrencyName cím fogadása';
  }

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmax => 'Maximális';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmin => 'Minimális';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbtitle => 'A ChangeNow kereskedés korlátai:';

  @override
  String new8722Sbad250Sbdisabled8722Sbtype8722Sbselector250Sbnotice(Object amount_required) {
    return 'Fedezethiány. Szükséges: $amount_required.';
  }

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sblabel => 'Csak ellenőrzött e-mail-címmel rendelkező felhasználók számára';

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sbtip => 'Hasznos, ha problémákat tapasztal a \"coinlockerekkel\"';

  @override
  String new8722Sbad250Sboptions250Sbad8722Sbcreation8722Sbmode250Sbcoins(Object assetName) {
    return 'Kereskedelem $assetName';
  }

  @override
  String get new8722Sbad250Sbreview250Sbemail8722Sbverified => 'Csak ellenőrzött e-mail-címmel rendelkező felhasználók számára';

  @override
  String get nojs250Sbdashboard250Sbsave8722Sbvacations8722Sbbtn => 'Mentse el a nyaralást';

  @override
  String get nojs250Sberror250Sblogin250Sbunauthorized => 'Rossz felhasználónév/jelszó/egyszeri jelszó!';

  @override
  String get nojs250Sberror250Sbserver => 'Valami hiba történt a kéréssel. Kérjük, frissítse az oldalt, és próbálja újra. Ha a probléma továbbra is fennáll, forduljon ügyfélszolgálatunkhoz.';

  @override
  String nojs250Sberror250Sbvalidation250Sbaddress(Object assetName) {
    return 'Adjon meg egy érvényes $assetName címet.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbamount => 'Adjon meg egy érvényes összeget.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbcaptcha => 'A Captcha nem sikerült. Kérlek próbáld újra';

  @override
  String get nojs250Sberror250Sbvalidation250Sbconfirm8722Sbpassword => 'A megadott jelszavak nem egyeztek.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbemail => 'Kérjük, érvényes e-mail-címet adjon meg.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackMsg => 'A visszajelzési üzenet legfeljebb 256 karakter hosszú lehet.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackType => 'Kérjük, válasszon egyet a megengedett visszajelzéstípusok közül: „megbízható”, „pozitív”, „semleges”, „negatív” vagy „blokkoló”.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbgeneric8722Sbstring => 'Kérjük, módosítsa a szöveget úgy, hogy a megadott határokon belül legyen.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbhomepage => 'Teljes érvényes URL-nek kell lennie (pl. „https://” stb.)';

  @override
  String get nojs250Sberror250Sbvalidation250Sbintroduction => 'Nem lehet hosszabb, mint 65536 karakter.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbotp => 'Az OTP-nek 6 számjegyűnek kell lennie';

  @override
  String get nojs250Sberror250Sbvalidation250Sbpassword => 'A jelszónak 8-72 karakter hosszúságúnak kell lennie';

  @override
  String get nojs250Sberror250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform8722Sbusername => 'A felhasználónévnek 1-30 karakter hosszúságúnak kell lennie.';

  @override
  String nojs250Sberror250Sbvalidation250Sbtos(Object appName) {
    return 'Oldalunk használatához kérjük, olvassa el és fogadja el az $appName szolgáltatási feltételeit.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbusername => 'A felhasználónévnek 3-16 karakter hosszúnak kell lennie. Engedélyezett karakterek: a-z, A-Z, 0-9, -, _';

  @override
  String get nojs250Sbfilter250Sblocal8722Sblabel => 'HELYI';

  @override
  String get nojs250Sbfilter250Sbonline8722Sblabel => 'ONLINE';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbfunctions => 'A következő függvényeket használhatja (beágyazható): <strong>min(), max(), floor(), plafon(), avg()</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sboperators => 'A következő operátorokat használhatja: <strong>+ - * /</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbpunctuation => 'A következő írásjeleket használhatja: <strong>( ) . ,</strong>';

  @override
  String get nojs250Sbformula250Sbtickers250Sblabel => 'Minden elérhető piaci jegy';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbbtn => 'Ellenőrizze a képletet';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbinstruction => 'Ezzel az eszközzel ellenőrizheti az árképletet. <br /> MEGJEGYZÉS: miután meggyőződött arról, hogy a képlet a várt módon működik, másolja át a fenti űrlapba. Ez az eszköz csak a képlet érvényességének ellenőrzésére szolgál.';

  @override
  String get nojs250Sbformula250Sbvalidator250Sblabel => 'Képletellenőrző eszköz';

  @override
  String nojs250Sbmorph8722Sbwithdrawal(Object cryptocurrencyName) {
    return 'Választottbírósági kötvényt szeretnék felvenni egy $cryptocurrencyName pénztárcára';
  }

  @override
  String get nojs250Sbmorph8722Sbwithdrawal250Sbbutton8722Sblabel => 'Kezdődik';

  @override
  String nojs250Sbmorph8722Sbwithdrawal250Sbnotice(Object assetSymbol, Object cryptocurrencyName) {
    return '$assetSymbol választottbírósági kötvény visszavonása $cryptocurrencyName pénztárcához';
  }

  @override
  String nojs250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Használhatja az $value szolgáltatást a hely koordinátáinak lekéréséhez';
  }

  @override
  String get nojs250Sbsettings250Sbsave8722Sbtelegram8722Sbid250Sbbutton8722Sblabel => 'Mentse el a távirat-azonosítót';

  @override
  String get nojs250Sbtrade250Sbchat250Sbrefresh => 'Frissítés';

  @override
  String note250Sbbutton(Object username) {
    return 'Megjegyzés hozzáadása a $username-hez';
  }

  @override
  String note250Sbcreated(Object at) {
    return 'Létrehozva $at';
  }

  @override
  String get note250Sbinput250Sbplaceholder => 'Ez egy privát megjegyzés, amely az Ön számára készült, és nem fogja látni sem ez a felhasználó, sem más felhasználók.';

  @override
  String note250Sbtitle(Object username) {
    return 'Jegyzete a $username-ről (csak te látod)';
  }

  @override
  String note250Sbupdated(Object at) {
    return 'szerkesztve $at';
  }

  @override
  String notice250Sbnon8722Sbcustodial(Object appName) {
    return 'Most már aktívak a teljesen nem őrizetbe vett kereskedelmi elszámolások! <a href=\"https://t.me/$appName\" target=\"_blank\" class=\"next-link\">Ha bármilyen kérdése van, vagy problémája van, tudassa velünk</a>. Ha lemaradt volna, <a href=\"/blog/announcements/fully-non-custodial-trade-settlements\" target=\"_blank\" class=\"next-link\"> itt olvashat részletesen a frissítésről.</a>';
  }

  @override
  String get notification250Sbmarked8722Sball8722Sbread => 'Minden értesítés megjelölése olvasottként';

  @override
  String notification250Sbmessage(Object tradeId, Object username) {
    return 'Új üzenete érkezett a $tradeId kereskedelemben a következőtől: $username';
  }

  @override
  String get notification250Sbno8722Sbnotifications => 'Még nincsenek értesítései';

  @override
  String get notification250Sbread => 'Értesítések olvasása';

  @override
  String notification250Sbtrade8722Sbcancelled(Object tradeId, Object username) {
    return 'Az $tradeId kereskedést az $username törölte';
  }

  @override
  String notification250Sbtrade8722Sbcomplete(Object tradeId, Object username) {
    return 'Az Ön $tradeId kereskedése a következővel: $username befejeződött';
  }

  @override
  String notification250Sbtrade8722Sbdisputed(Object tradeId, Object username) {
    return 'Az $tradeId kereskedelmet $username vitatta';
  }

  @override
  String notification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete(Object username, Object tradeId) {
    return '$username teljesítette a fizetést a kereskedelemben $tradeId';
  }

  @override
  String notification250Sbtrade8722Sbrequest(Object tradeId, Object username) {
    return 'Új ajánlata van $tradeId a $username felhasználótól';
  }

  @override
  String get notification250Sbunread => 'Olvasatlan értesítések';

  @override
  String get otp8722Sbtip8722Sb08722Sb0 => 'Ha engedélyezte a kéttényezős hitelesítést, írja be ide 6 számjegyű egyszeri jelszavát.';

  @override
  String get otp8722Sbtip8722Sb08722Sb1 => 'Hol találom az egyszeri jelszavamat?';

  @override
  String get otp8722Sbtip8722Sb1 => 'Adja meg a 6 számjegyű egyszeri jelszavát a 2FA mobilalkalmazásból.';

  @override
  String get otp8722Sbtitle8722Sb0 => 'Egyszeri jelszó (ha engedélyezve van)';

  @override
  String get otp8722Sbtitle8722Sb1 => 'Alkalmi jelszó';

  @override
  String get password => 'Jelszó';

  @override
  String get password8722Sbreset250Sbbtn => 'Jelszó módosítása';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword => 'Erősítse meg az új jelszót';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword8722Sbtip => 'Kérjük, erősítse meg új jelszavát';

  @override
  String get password8722Sbreset250Sberror => 'Hiba történt a kérésével kapcsolatban';

  @override
  String get password8722Sbreset250Sbnew8722Sbpassword => 'Új jelszó';

  @override
  String get password8722Sbreset250Sbsubtitle => 'A jelszó megváltoztatása után újra be kell jelentkeznie az új jelszóval';

  @override
  String get password8722Sbreset250Sbsuccess => 'Siker!';

  @override
  String get password8722Sbreset250Sbsuccess8722Sbtip => 'Most át lesz irányítva a bejelentkezési oldalra.';

  @override
  String get password8722Sbreset250Sbtitle => 'Jelszó módosítása';

  @override
  String get password8722Sbtip => '8-72 karakter.';

  @override
  String get post8722Sbad250Sbamount8722Sbtitle => 'Összeg';

  @override
  String get post8722Sbad250Sbcountry250Sbtitle => 'Ország';

  @override
  String get post8722Sbad250Sbcurrency250Sbtitle => 'Valuta';

  @override
  String get post8722Sbad250Sbdetails => 'Részletek';

  @override
  String get post8722Sbad250Sberror250Sbcorrect8722Sberrors => 'Kérjük, javítsa ki a kiemelt hibákat';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbback8722Sbbtn => 'Vissza';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbbtn => 'Vissza';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle => 'Űrlap hiba';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle8722Sbtoo8722Sbmany8722Sbads => 'Túl sok hirdetés';

  @override
  String post8722Sbad250Sberror250Sbfirst8722Sbtime8722Sblimit8722Sbnot8722Sbvalid(Object assetSymbol, Object min_asset_amount, Object max_asset_amount) {
    return 'Kérjük, adjon meg érvényes első alkalommal érvényes $assetSymbol határértéket. Csak az $min_asset_amount és $max_asset_amount közötti számok megengedettek.';
  }

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbamounts8722Sbnot8722Sbvalid => 'Kérjük, adjon meg érvényes összeghatárt. Csak 1 és 1000000000000 közötti egész számok megengedettek.';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbcontent => 'Túl sok hirdetést próbál létrehozni';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbtitle => 'Túl sok kérés';

  @override
  String get post8722Sbad250Sberror250Sbmargin8722Sbnot8722Sbvalid => 'Adjon meg érvényes margóértéket. Csak -100 és 1000 közötti számok megengedettek.';

  @override
  String get post8722Sbad250Sberror250Sbmax8722Sbamount8722Sbnot8722Sbvalid => 'Adjon meg érvényes maximális összeget. Csak a 0,000000000001 és 100000000000000 közötti számok megengedettek.';

  @override
  String post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance(Object appName) {
    return 'A tranzakció minimális összege nem lehet alacsonyabb az aktuális egyenlegénél. Próbálja csökkenteni a minimális összeget, vagy helyezzen be pénzt $appName pénztárcájába.';
  }

  @override
  String get post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbnot8722Sbvalid => 'Adjon meg érvényes minimális összeget. Csak a 0,000000000001 és 100000000000000 közötti számok megengedettek.';

  @override
  String get post8722Sbad250Sberror250Sbnetwork => 'Hálózati hiba';

  @override
  String get post8722Sbad250Sberror250Sbpayment8722Sbwindow8722Sbnot8722Sbvalid => 'Kérjük, adjon meg érvényes fizetési időtartamot. Csak 15 és 90 közötti egész számok megengedettek.';

  @override
  String get post8722Sbad250Sberror250Sbprice8722Sbnot8722Sbvalid => 'Adjon meg érvényes árértéket. Csak a 0,000000000001 és 100000000000000 közötti számok megengedettek.';

  @override
  String get post8722Sbad250Sberror250Sbrequire8722Sbfeedback8722Sbnot8722Sbvalid => 'Kérjük, adjon meg érvényes határértéket a visszajelzési pontszám megköveteléséhez. Csak 0 és 100 közötti egész számok megengedettek.';

  @override
  String get post8722Sbad250Sberror250Sbwallet8722Sbbalance => 'A pénztárcaegyenleg kevesebb, mint az ehhez a hirdetéstípushoz szükséges minimum';

  @override
  String post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit(Object assetSymbol) {
    return 'Első időkorlát ($assetSymbol)';
  }

  @override
  String get post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit8722Sbtip => 'Választható. Korlátozza a tranzakció maximális összegét azoknál a felhasználóknál, akikkel korábban nem volt kereskedése. Minimum 0.';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sbdescription => 'Ezt a hirdetést csak a megbízhatóként megjelölt felhasználók számára teszi elérhetővé';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sblabel => 'Csak megbízható felhasználók számára';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts => 'A limit összege';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts8722Sbtip => 'Választható. A kereskedési összegeket vesszővel elválasztott egész számokra korlátozza, például 20,50,100. Fiat pénznemben (USD/EUR/stb). Jól használható kuponokhoz, ajándékkártyákhoz stb.';

  @override
  String get post8722Sbad250Sblocation250Sbtitle => 'Elhelyezkedés';

  @override
  String post8722Sbad250Sblogged8722Sbout8722Sbnotice(Object logIn, Object signUp) {
    return 'Új hirdetés feladásához kérjük $logIn vagy $signUp';
  }

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sblog8722Sbin => 'Belépés';

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sbsign8722Sbup => 'regisztrálj';

  @override
  String get post8722Sbad250Sbmax8722Sbamount => 'Maximális összeg';

  @override
  String get post8722Sbad250Sbmax8722Sbamount8722Sbtip => 'Választható. Maximális tranzakciós limit egy kereskedésben.';

  @override
  String get post8722Sbad250Sbmin8722Sbamount => 'Minimális mennyiség';

  @override
  String get post8722Sbad250Sbmin8722Sbamount8722Sbtip => 'Választható. Minimális tranzakciós limit egy kereskedésben';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore => 'Minimális visszajelzési pontszám';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore8722Sbtip => 'Választható. A kereskedés kéréséhez szükséges minimális felhasználói visszajelzési pontszám 0 és 100 között.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail => 'Fizetési mód részletei';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail8722Sbtip => 'Választható. Adjon meg néhány rövid részletet a hirdetéslistában megjelenítendő fizetési módról, például a bank nevét, ha a fizetési mód banki átutalás. Maximum 64 karakter.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo => 'Fizetési mód információ';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo8722Sbtip8722Sb0 => 'Adja meg a kereskedés során megjelenítendő fizetési mód adatait. Maximum 4096 karakter. A fizetési mód adatainak stílusához használhatja a leértékelést (a képek nem engedélyezettek).';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod250Sbtitle => 'Fizetési mód';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow => 'Fizetési időszak (perc)';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow8722Sbtip => 'Fizetési időszak percekben. Minimum 15. Maximum 90. Ha nincs megadva, akkor az alapértelmezett érték 90.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed => 'Fix áron';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbin(Object currency) {
    return 'Fix ár $currency-ben';
  }

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip(Object assetSymbol, Object currency) {
    return 'Ár 1 $assetSymbol in $currency. Ez az ár nem változik, hacsak nem módosítja manuálisan.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip250Sbnojs => '1 érme ára a hirdetés kiválasztott pénznemében. Ez az ár nem változik, hacsak nem módosítja manuálisan.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating => 'Lebegő ár';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip(Object assetName) {
    return 'Lebegjen az árfolyam a piacon, amíg a kereskedés nyitva van. A kereskedési ár a véglegesítéskor kerül meghatározásra. Vegye figyelembe, hogy a választottbírósági kötvényben lefoglalt $assetName összeghez további 15% tartalékot adnak. A többletösszeget az ügylet lezárása után visszatérítjük.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip250Sbnojs => 'Lebegjen az árfolyam a piacon, amíg a kereskedés nyitva van. A kereskedési árat az ügylet lezárásakor határozzák meg. Vegye figyelembe, hogy a választottbírósági kötvényre fenntartott kiválasztott kriptovaluta eszközösszeghez plusz 15% tartalékot adunk. A többletösszeget a kereskedés befejezése után visszatérítjük.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin => 'Margó %-ban';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin250Sbtip => 'A marzs az ár és a piaci ár közötti különbség. 0% a piaci ár. Használja a pozitív értéket a piaci ár fölé, a negatív értéket pedig a piaci ár alá.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmarket => 'Piaci ár';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbradio250Sbformula => 'Árképlet (haladó)';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtip => 'A piaci ár azt jelenti, hogy a hirdetésben szereplő ár a piaci ár változásával változik. A fix ár azt jelenti, hogy a piaci ingadozások ellenére az ára változatlan marad mindaddig, amíg manuálisan nem módosítja. Bonyolultabb árképzési mechanizmusok létrehozásához használja az árképletet (speciális).';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtitle => 'Ár beviteli típusa';

  @override
  String get post8722Sbad250Sbprice250Sbtitle => 'Ár';

  @override
  String get post8722Sbad250Sbpublish8722Sbbtn => 'Hirdetés közzététele';

  @override
  String get post8722Sbad250Sbrestrictions => 'Korlátozások';

  @override
  String get post8722Sbad250Sbreview => 'Tekintse át hirdetését';

  @override
  String get post8722Sbad250Sbreview250Sbad8722Sbtype => 'Hirdetés típusa';

  @override
  String get post8722Sbad250Sbreview250Sbmargin => 'Árrés';

  @override
  String get post8722Sbad250Sbreview250Sbminutes => 'percek';

  @override
  String get post8722Sbad250Sbreview250Sbno => 'nem';

  @override
  String get post8722Sbad250Sbreview250Sbyes => 'Igen';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb0(Object termsOfservice, Object guides) {
    return 'Hirdetés létrehozása előtt olvassa el az $termsOfservice és $guides oldalunkat';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbguides => 'útmutatók';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'Szolgáltatási feltételek';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb0 => 'Minden lezárt kereskedés a teljes kereskedési összeg 1%-ába kerül a hirdetőknek (választottbírósági védelmi díj).';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Ahhoz, hogy egy feladott $assetSymbol eladási hirdetés látható legyen, az $appName választottbírósági kötvénytárcájában legalább $minimumXmrAmount $assetSymbol-nek kell lennie.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1250Sbagoradesk8722Sbnojs(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Az $appName pénztárcájában legalább $minimumXmrAmount $assetSymbol-nek kell lennie ahhoz, hogy látható legyen egy $assetSymbol eladási vagy $assetSymbol eladási vagy $assetSymbol feladott vételi hirdetés.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb2(Object maximumNumberOfAds) {
    return 'Minden felhasználó legfeljebb $maximumNumberOfAds hirdetést hozhat létre.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb3 => 'A kereskedés megnyitása után az ár végleges, kivéve ha egyértelmű hiba van az árazásban.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4(Object assetName) {
    return 'Nem vásárolhat vagy adhat el $assetName-et valaki más nevében (bróker).';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4250Sbnojs => 'Nem vásárolhat vagy adhat el kriptovalutát valaki más nevében (bróker).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb5 => 'Csak a saját nevére regisztrált fizetési számlákat használhat (nem fizethet harmadik féltől!).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb6 => 'Fizetési adatait a hirdetésben vagy a kereskedelmi chaten kell megadnia.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb7(Object appName) {
    return 'Minden kommunikációnak az $appName-en kell történnie.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtitle => 'Reklámozási szabályok és követelmények';

  @override
  String post8722Sbad250Sbsettlement8722Sbaddress250Sbtip(Object appName) {
    return 'Kívánt. Az Ön címe, ahová az érméket küldik. Nem lehet belső $appName cím.';
  }

  @override
  String post8722Sbad250Sbstep8722Sb1(Object step_number) {
    return '$step_number lépés';
  }

  @override
  String get post8722Sbad250Sbstep8722Sb2 => '2. lépés';

  @override
  String get post8722Sbad250Sbstep8722Sb3 => '3. lépés';

  @override
  String get post8722Sbad250Sbstep8722Sb4 => '4. lépés';

  @override
  String get post8722Sbad250Sbstep8722Sb5 => '5. lépés';

  @override
  String get post8722Sbad250Sbstep8722Sb6 => '6. lépés';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbfull => 'Teljes űrlap megjelenítése';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbstep => 'Lépésnézet megjelenítése';

  @override
  String get post8722Sbad250Sbterms => 'Cserearány';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb0 => 'A hirdetés kereskedelmi feltételei, maximum 4096 karakter. A leértékelés segítségével módosíthatja a hirdetés kifejezéseinek stílusát (a képek nem engedélyezettek).';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb1 => 'Hogyan kell használni a leértékelést?';

  @override
  String get post8722Sbad250Sbtitle => 'Hozzon létre egy hirdetést';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity => 'Kövesse nyomon a maximális likviditási összeget';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity8722Sbtip => 'Ez a lehetőség a hirdetés likviditását max. tranzakciós limit. A vásárlók ennél az összegnél nem nyithatnak és nem fejezhetnek be ügyleteket. Példa: Bekapcsolt pályalikviditás mellett max. tranzakciós limit 100 USD, ha a vevő 20 USD-ért nyit kereskedést, a max. tranzakciós limit automatikusan 80 USD-ra csökken. Visszatér 100 USD-ra, ha a vevő felmondja a kereskedést, és 80 USD-n marad, ha a kereskedés befejeződik.';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbbuy(Object assetName) {
    return 'Vásároljon $assetName készpénzért (helyben)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbsell(Object assetName) {
    return 'Eladás $assetName készpénzért (helyben)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbbuy(Object assetName) {
    return 'Vásároljon $assetName-et online';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbsell(Object assetName) {
    return 'Eladás $assetName online';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbsubtitle => 'Akarok...';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip(Object assetName, Object appName) {
    return 'Milyen kereskedelmi reklámot szeretne készíteni? Ha el szeretné adni az $assetName-et, győződjön meg arról, hogy $assetName van az $appName választottbírósági kötvénytárcájában.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs(Object appName) {
    return 'Milyen kereskedelmi reklámot szeretne készíteni? Ha el szeretné adni a Monerót, győződjön meg arról, hogy az $appName választottbírósági kötvénytárcájában van Monero.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs57Sbagoradesk(Object appName) {
    return 'Milyen kereskedelmi reklámot szeretne készíteni? Ha kriptovalutát szeretne eladni, győződjön meg arról, hogy az $appName választottbírósági kötvénytárcájában van a megfelelő kriptovaluta.';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbtitle => 'A kereskedés típusa';

  @override
  String price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs(Object asset) {
    return '$asset pár';
  }

  @override
  String get price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs250Sbother8722Sbasset => 'Egyéb';

  @override
  String get read8722Sbmore => 'Olvass tovább';

  @override
  String get recaptcha250Sbno8722Sbgoogle8722Sbmessage => 'Észrevettük, hogy a Google szolgáltatásai le vannak tiltva az Ön böngészőjében. Mivel bizonyos webhelyműveletekhez a Google reCAPTCHA-ját használjuk, meg kell találnia a módját a Google szolgáltatásainak eléréséhez (például VPN, proxy vagy Tor böngésző használata).';

  @override
  String get receipt250Sbchat8722Sbmessages => 'Üzenetküldés';

  @override
  String get receipt250Sbchat8722Sbmessages8722Sbnone => 'Nincsenek üzenetek';

  @override
  String get receipt250Sbdetails250Sbopened => 'Nyitott';

  @override
  String get receipt250Sbno8722SbaccountInfo => 'Nincs megadva fizetési mód információ';

  @override
  String receipt250Sbtitle(Object appName, Object id) {
    return '$appName – Kereskedelmi azonosító: $id';
  }

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtip => 'Megpróbálhatja újra egy másik felhasználónévvel';

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtitle => 'Megtagadva';

  @override
  String get reputation8722Sbimport250Sbinitial250Sbtitle => 'Nem kezdődött';

  @override
  String get reputation8722Sbimport250Sbpending250Sbtitle => 'Függőben levő';

  @override
  String get reputation8722Sbimport250Sbstats250Sbfeedback => 'Visszacsatolás';

  @override
  String get reputation8722Sbimport250Sbstats250Sbregistered => 'bejegyzett';

  @override
  String reputation8722Sbimport250Sbstats250Sbtitle(Object platform) {
    return '$platform hírneve';
  }

  @override
  String get reputation8722Sbimport250Sbstats250Sbtrades => 'kereskedik';

  @override
  String get reputation8722Sbimport250Sbstats250Sbvolume => 'hangerő';

  @override
  String reputation8722Sbimport250Sbstep250Sbcode250Sbmessage(Object platform) {
    return 'Adja hozzá ezt a kódot a nyilvános $platform profiljához. Miután ellenőriztük a kódot, eltávolíthatja.';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbmessage250Sblbc => 'Adja hozzá ezt a kódot LocalBitcoins-profiljához személyes weboldalként, és adja hozzá a „.com” címet a végéhez. Miután ellenőriztük a kódot, eltávolíthatja.';

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbtitle => 'Adja hozzá a kódot';

  @override
  String get reputation8722Sbimport250Sbstep250Sbfinal250Sbtitle => 'Várja meg az ellenőrzést';

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbinput250Sblabel(Object platform) {
    return 'Az Ön $platform felhasználóneve';
  }

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbmessage(Object platform) {
    return 'Mi a felhasználóneved az $platform-en?';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbusername250Sbtitle => 'Válasszon felhasználónevet';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbmessage => 'Csak várjon egy kicsit, amíg ellenőrizzük a profilját.';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbtitle => 'Majdnem ott!';

  @override
  String get reputation8722Sbimport250Sbunconfirmed250Sbtitle => 'Nem megerősített';

  @override
  String get reputation8722Sbimport250Sbverified250Sbtitle => 'Ellenőrzött';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbedit => 'Importálási adatok szerkesztése';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbinitial => 'Fiók összekapcsolása';

  @override
  String get request8722Sbpassword8722Sbreset250Sbbtn => 'Reset levél küldése';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail => 'Az email címed';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail8722Sbtip => 'Adja meg a fiókjához kapcsolódó ellenőrzött e-mail-címet. Levelet küldünk a jelszó-visszaállítási utasításokkal';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb1 => 'Ehhez az e-mailhez nincs társítva fiókunk.';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb2 => 'Ez az e-mail ellenőrizetlen';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb3 => 'Hiba';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtext => 'Kérjük, várjon, mielőtt ismét visszaállítja jelszavát';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtitle => 'Túl sok kérés';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb6 => 'Jelszó visszaállítási hiba';

  @override
  String get request8722Sbpassword8722Sbreset250Sbletter8722Sbsent => 'Ha ezt az e-mailt egy fiókkal ellenőrizték, levelet fog kapni.';

  @override
  String get request8722Sbpassword8722Sbreset250Sbtitle => 'Jelszó visszaállítása';

  @override
  String get right8722Sbdrawer250Sbaffiliate => 'Partnerprogram';

  @override
  String get right8722Sbdrawer250Sbcancelled => 'Törölt kereskedések';

  @override
  String get right8722Sbdrawer250Sbcompleted => 'Befejezett kereskedések';

  @override
  String get right8722Sbdrawer250Sbdashboard => 'Nyitott kereskedések és hirdetések';

  @override
  String get right8722Sbdrawer250Sblogout => 'Kijelentkezés';

  @override
  String get right8722Sbdrawer250Sbprofile => 'Profil';

  @override
  String get right8722Sbdrawer250Sbsettings => 'Beállítások';

  @override
  String get right8722Sbdrawer250Sbwallet => 'Pénztárca';

  @override
  String get sanction250Sbaction8722Sbnotice => 'Önnek tilos ezt a műveletet végrehajtania a fiókjára vonatkozó alábbi korlátozás miatt:';

  @override
  String get sanction250Sbban250Sblabel => 'Kitiltva';

  @override
  String get sanction250Sbexpires => 'Lejár';

  @override
  String get sanction250Sblabel250Sbtrading8722Sbsuspension => 'Kereskedés felfüggesztve';

  @override
  String get sanction250Sbreason => 'Ok';

  @override
  String get sanction250Sbsanctioned8722Sbat => 'Mivel';

  @override
  String get sanction250Sbuser => 'Felhasználó';

  @override
  String get sanction250Sbwallet8722Sbfreeze250Sblabel => 'A pénztárca lefagyott, a kereskedés felfüggesztve';

  @override
  String search250Sball8722Sbmethods(Object code) {
    return 'Minden $code módszer';
  }

  @override
  String get search250Sbamount => 'Összeg';

  @override
  String get search250Sbbtn => 'Keresés';

  @override
  String get search250Sbbuy8722Sbtab => 'megvesz';

  @override
  String get search250Sbcoordinates250Sblat => 'Szélességi kör';

  @override
  String get search250Sbcoordinates250Sblon => 'Hosszúság';

  @override
  String search250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location) {
    return 'Adjon el $assetName-et készpénzért {country}-ben';
  }

  @override
  String search250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location) {
    return 'Vásároljon $assetName-et készpénzzel {country}-ben';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object country, Object usingMethod) {
    return '$assetName értékesítése online a következőben: $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbsell(Object assetName, Object country, Object usingMethod) {
    return 'Vásároljon $assetName-et online a következőben: $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbusing8722Sbmethod(Object method) {
    return '$method használatával';
  }

  @override
  String get search250Sblocation8722Sbplaceholder => 'Írja be a tartózkodási helyét...';

  @override
  String search250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Észrevettük, hogy a Google szolgáltatásai le vannak tiltva az Ön böngészőjében. Ez rendben van, de mi arra használjuk őket, hogy helyi ajánlatokat keressünk az Ön közelében. Ez azt jelenti, hogy manuálisan kell megadnia a koordinátákat. Ehhez olyan szolgáltatásokat vehet igénybe, mint az $value.';
  }

  @override
  String get search250Sbno8722Sbgoogle8722Sbtext8722Sbhere => 'ez';

  @override
  String search250Sbno8722Sbresults(Object country) {
    return 'Nincs eredmény a $country-ben a kiválasztott feltételekkel... még. ';
  }

  @override
  String get search250Sbno8722Sbresults8722Sb1 => 'Próbálkozzon más fizetési móddal, más összeggel vagy egyáltalán ne. ';

  @override
  String search250Sbno8722Sbresults8722Sb2(Object postAnad) {
    return 'Alternatív megoldásként itt lehet az első $postAnad!';
  }

  @override
  String get search250Sbno8722Sbresults8722Sbpost8722Sban8722Sbad => 'feladni egy hirdetést';

  @override
  String search250Sbpopular8722Sbmethods(Object code) {
    return '🔥 Népszerű $code módszerek';
  }

  @override
  String get search250Sbsell8722Sbtab => 'Elad';

  @override
  String get seo250Sbheadline8722Sb1 => 'Védje a magánélethez való jogát – vásárolja meg a Monero-t.';

  @override
  String get seo250Sbheadline8722Sb157Sbagoradesk => 'A legjobb kriptovaluta tőzsde Bitcoin online vásárlásához és eladásához személyazonosító okmány ellenőrzése nélkül.';

  @override
  String get seo250Sbheadline8722Sb2 => 'Adjon el Monero-t embereknek világszerte vagy helyi szinten – támogassa a közösséget, és keressen pénzt kriptovalutával.';

  @override
  String get seo250Sbheadline8722Sb257Sbagoradesk => 'Igazi LocalBitcoins és Paxful alternatíva.';

  @override
  String get seo250Sbtext8722Sb1 => 'Ha aggódik a magánélet megsértése miatt, a legjobb kriptovaluta az XMR. A Monero egy nyomon követhetetlen érme, amelyet a beépített adatvédelem szem előtt tartásával fejlesztettek ki.\n<br/>\nHol lehet Monero-t vásárolni? A LocalMonero a legnagyobb, legmegbízhatóbb és legmegbízhatóbb P2P Monero csere az XMR közösségben. Nincsenek KYC csekkjeink – egyszerűen vásárolhat Monero névtelenül, PayPal-lal történő személyazonosító igazolvány nélkül, hitelkártyával, ajándékkártyával, készpénzzel postai úton, vagy konvertálhatja a bitcoint Monerová – platformunk bármilyen fizetési módot támogat.';

  @override
  String get seo250Sbtext8722Sb157Sbagoradesk => 'Kíváncsi vagy, hogyan fektess be Bitcoinba? Az AgoraDesken a bitcoinok vásárlása még soha nem volt ilyen egyszerű – azonnal vásároljon BTC-t egy személytől kedvenc online fizetési módjával: PayPal, hitelkártya/bankkártya vagy banki átutalás, ajándékkártyák, Venmo vagy bármilyen más.\n<br/>\nHa készpénzzel szeretne bitcoinokat vásárolni az Ön közelében, találhat valakit, aki hajlandó bitcoint eladni helyben – a kereskedési platform támogatja a BTC készpénzes vásárlását és eladását. Akár levélben is vásárolhat bitcoint készpénzzel.';

  @override
  String get seo250Sbtext8722Sb2 => 'A LocalMonero a legjobb hely az XMR értékesítésére – legyen szó akár a bányászat jutalmairól,\nMonero ár arbitrázs, vagy egyszerűen csak a közösség kiszolgálásában látod az értéket. A választottbírósági kötvényvédelmi rendszer és a biztonságos Monero választottbírósági kötvénytárcánk robusztus XMR kereskedési élményt nyújt Önnek – így nyugodt szívvel konvertálhatja az XMR-t USD-re, EUR-ra, AUD-ra, GBP-re vagy bármely más helyi valutára.';

  @override
  String get seo250Sbtext8722Sb257Sbagoradesk => 'Ön bitcoin kereskedő, aki kripto arbitrázzsal szeretne pénzt keresni? Egy bányász, aki BTC-t akar kiváltani USD-re vagy más helyi valutára?\n<br/>\nAz AgoraDesk egy <a href=\"/localbitcoins-alternative\" style=\"color: #0b4f6c\"> LocalBitcoins alternatíva </a>, amely tiszteletben tartja magánéletét és biztonságát, miközben zökkenőmentes és gyors élményt nyújt a bitcoinok beváltásában.';

  @override
  String get settings250Sb2fa250Sbbackup8722Sbcode => 'A biztonsági kódod a következő:';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbbtn => 'A 2FA letiltása';

  @override
  String get settings250Sb2fa250Sbdisable8722Sberror => 'Hibás jelszó vagy egyszeri jelszó.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsubtitle => 'A 2FA letiltásához adja meg jelszavát és egyszeri jelszavát.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsuccess => 'Siker! 2FA letiltva.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbtitle => 'A kéttényezős hitelesítés letiltása';

  @override
  String get settings250Sb2fa250Sbenable => 'Kéttényezős hitelesítés engedélyezése';

  @override
  String get settings250Sb2fa250Sbenable8722Sbbtn => 'Engedélyezze a 2FA-t';

  @override
  String get settings250Sb2fa250Sbenable8722Sbenter8722Sbpass => 'A 2FA engedélyezéséhez adja meg jelszavát.';

  @override
  String get settings250Sb2fa250Sbnetwork8722Sberror => 'Hiba történt a kéréssel! Próbálja meg frissíteni az oldalt, és ismételje meg a kérést.';

  @override
  String get settings250Sb2fa250Sbnot8722Sbenabled8722Sbyet => 'A 2FA még nincs engedélyezve! Az aktiváláshoz meg kell adnia az egyszeri jelszót.';

  @override
  String get settings250Sb2fa250Sbrtfm => 'Olvassa el a kéttényezős hitelesítés aktiválási útmutatóját';

  @override
  String get settings250Sb2fa250Sbstatus => '2FA állapotod:';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbdisabled => 'TILTVA';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbenabled => 'ENGEDÉLYEZVE';

  @override
  String get settings250Sb2fa250Sbstep8722Sbfour => '<strong> Írja be a 2FA mobilalkalmazása által adott kódot</strong> a QR-kód alatti mezőbe, majd <strong> nyomja meg a „Verify 2FA” </strong> gombot.';

  @override
  String settings250Sb2fa250Sbstep8722Sbone(Object downloadA2faapp, Object andotp, Object anyOther2faapp, Object totp) {
    return '$downloadA2faapp, például $andotp vagy $anyOther2faapp, amely támogatja az $totp-et az eszközön.';
  }

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbany8722Sbother8722Sb2fa8722Sbapp => 'bármely más 2FA alkalmazás';

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbdownload8722Sba8722Sb2fa8722Sbapp => 'Tölts le egy 2FA alkalmazást';

  @override
  String get settings250Sb2fa250Sbstep8722Sbthree => 'Indítsa el a 2FA alkalmazást mobileszközén. Keresse meg a vonalkód beolvasása funkciót az alkalmazásban, és olvassa be az <strong> QR-kódot </strong>, amely ezen az oldalon jelenik meg.';

  @override
  String settings250Sb2fa250Sbstep8722Sbtwo(Object appName) {
    return '<strong> Írja fel biztonsági kódját </strong> (fent zöld színnel) egy papírra, és tárolja biztonságos helyen. Szüksége lesz rá, ha elveszíti telefonját, vagy kizárja a fiókjából. Az $appName nem tud segíteni, ha elveszíti ezt a kódot.';
  }

  @override
  String get settings250Sb2fa250Sbsubtitle => 'Ha a kétfaktoros hitelesítés aktív, minden bejelentkezéskor vagy pénzfelvételkor egyszeri kódot kell megadnia.';

  @override
  String get settings250Sb2fa250Sbsuccess => 'Siker!';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbtext => 'Kétlépcsős hitelesítés van beállítva fiókjában.';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbwarn => 'Ez az utolsó lehetőség, hogy leírja biztonsági kódját!';

  @override
  String get settings250Sb2fa250Sbtitle => 'Kéttényezős hitelesítés (2FA)';

  @override
  String get settings250Sb2fa250Sbverify8722Sbbtn => 'Ellenőrizze a 2FA-t';

  @override
  String get settings250Sb2fa250Sbwarning => 'Erősen javasoljuk, hogy engedélyezze a 2FA-t fiókjában a nagyobb biztonság érdekében.';

  @override
  String get settings250Sb2fa250Sbwarning250Sbenable => 'Engedélyezze';

  @override
  String get settings250Sb2fa250Sbwrong8722Sbotp => 'Hibás egyszeri jelszó.';

  @override
  String get settings250Sbapi8722Sbkey250Sbcopy8722Sbtooltip => 'Másolja a vágólapra';

  @override
  String get settings250Sbapi8722Sbkey250Sbdelete8722Sbtooltip => 'Az aktív kulcs törlése és lejárata';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbbutton => 'generál';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbcaption => 'A kulcs generálása a korábban generált API-kulcsot is érvényteleníti';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbtitle => 'Új API-kulcs létrehozása';

  @override
  String get settings250Sbapi8722Sbkey250Sblabel => 'API kulcs';

  @override
  String settings250Sbapi8722Sbkey250Sblabel250Sbcaption(Object apiDocs) {
    return 'A privát API-végpontok használatához be kell állítania az API-kulcsot az „Authorization” fejlécként. A kulcs 5 év múlva jár le. További részleteket az $apiDocs-ben talál.';
  }

  @override
  String get settings250Sbapi8722Sbkey250Sblabel250Sbcaption250Sbapi8722Sbdocs8722Sblink => 'API-dokumentumok';

  @override
  String get settings250Sbbasic8722Sbinfo8722Sbtitle => 'Alapvető felhasználói információk';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtip => 'Senki, aki érméket akar eladni, nem fogja látni hirdetéseit, vagy kereskedést nyit rajtuk';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtitle => 'Nyaralás vásárlása';

  @override
  String get settings250Sbchange8722Sbemail250Sbbtn => 'E-mailt változtatni';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew => 'Új Email';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew8722Sbtip => 'Az e-mail-cím ellenőrzésére egy ellenőrző levelet küldünk';

  @override
  String get settings250Sbchange8722Sbemail250Sbnone => 'Nincs megadva e-mail';

  @override
  String settings250Sbchange8722Sbemail250Sbsubtitle(Object email) {
    return 'Jelenlegi e-mail: $email';
  }

  @override
  String get settings250Sbchange8722Sbemail250Sbtitle => 'E-mail módosítás/ellenőrzés';

  @override
  String get settings250Sbchange8722Sbemail250Sbunverified => 'Ellenőrizetlen';

  @override
  String get settings250Sbchange8722Sbemail250Sbverified => 'Ellenőrzött';

  @override
  String get settings250Sbchange8722Sbpassword8722Sbwrong => 'Hibás jelenlegi jelszó';

  @override
  String get settings250Sbchange8722Sbpassword250Sbbtn => 'Jelszó módosítása';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm => 'Erősítse meg az új jelszót';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm8722Sbtip => 'Kérjük, erősítse meg új jelszavát';

  @override
  String get settings250Sbchange8722Sbpassword250Sbnew => 'Új jelszó';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold => 'régi jelszó';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold8722Sbtip => 'Kérjük, adja meg jelenlegi jelszavát a folytatáshoz';

  @override
  String get settings250Sbchange8722Sbpassword250Sbsubtitle => 'A jelszó megváltoztatása után újra be kell jelentkeznie az új jelszóval';

  @override
  String get settings250Sbchange8722Sbpassword250Sbtitle => 'Jelszó módosítása';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbbutton => 'Fiók törlése';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdescription => 'Ezzel törli és anonimizálja a fiók összes adatát. Fiókja teljesen törlődik – ez a művelet nem vonható vissza.';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdialog250Sbwarning => 'Fiókja teljesen törlődik – biztos, hogy folytatja? Ezt nem lehet visszacsinálni.';

  @override
  String get settings250Sbemail8722Sbalready8722Sblinked => 'Ez az e-mail egy másik felhasználóhoz kapcsolódik';

  @override
  String get settings250Sberror250Sbemail8722Sbchange8722Sbtitle => 'E-mail módosítási hiba';

  @override
  String get settings250Sbgeneric8722Sberror => 'Valami elromlott! Kérlek próbáld újra.';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail => 'Ha nem lát tőlünk levelet a postafiókjában';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail8722Sbbtn => 'Kattintson ide az igazoló levél elküldéséhez';

  @override
  String get settings250Sbhomepage => 'Kezdőlap';

  @override
  String settings250Sbhomepage8722Sbtip(Object example_url) {
    return 'Megjelenik nyilvános profilodon. Csak érvényes URL fogadható el (pl. https://$example_url)';
  }

  @override
  String settings250Sbno8722Sbemail8722Sbwarn(Object appName) {
    return 'Fiókjához nincs beállítva ellenőrzött e-mail. Ha elveszíti jelszavát, az $appName nem tud segíteni annak visszaállításában.';
  }

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sblong => 'E-mail értesítés küldése, ha új kereskedelmi üzenet érkezik (óránként egyszer)';

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sbshort => 'Új kereskedelmi üzenet (óránként egyszer)';

  @override
  String get settings250Sbnotifications250Sbemail250Sbtitle => 'Email Értesítések';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sblong => 'E-mail értesítés küldése, amikor a kereskedés lezárult';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbshort => 'Az adásvétel lezárult';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbtip => 'E-mail értesítés küldése, amikor a kereskedés lezárult';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sblong => 'E-mail értesítések küldése az új kereskedelmi kapcsolatokról';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbshort => 'Új kereskedelmi kapcsolatok';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbtip => 'E-mail értesítések küldése új kapcsolatfelvételi kérésekről';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sblong => 'E-mail értesítések küldése új online fizetésekről';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbshort => 'Új online fizetések';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbtip => 'Küldjön e-mailben értesítést az új online fizetésekről a kereskedéseiben';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sblong => 'A bizalmas információk letiltása az e-mail értesítésekből';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbshort => 'Az érzékeny információk letiltása';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbtip => 'Az e-mailek csak arra kérik, hogy jelentkezzen be az oldalra, ahol a tényleges értesítések lesznek';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdialog8722Sbtitle => 'Mobil távirati értesítések';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbbtn => 'A Telegram értesítéseinek letiltása';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbtext => 'Ezzel letiltja az értesítéseket a Telegramon. Újra engedélyezheti a távirati értesítéseket, ha megadja távirati értesítési azonosítóját.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbgeneric => 'Valami elromlott. Kérjük, próbálja meg frissíteni az oldalt, és ismételje meg a kérést.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbid8722Sbalready8722Sblinked => 'Ez a távirat-azonosító egy másik felhasználóhoz kapcsolódik';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sblong => 'Telegram-értesítések küldése az ügylet lezárásakor';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sbshort => 'Az adásvétel lezárult';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbhow8722Sbto(Object appName) {
    return 'Hogyan kapcsolhatom be az $appName Telegram mobil értesítéseit?';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbid => 'Távirat értesítések azonosítója';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbid8722Sbtip(Object appName) {
    return 'A $appName Notification Bot által adott távirat-értesítési azonosító';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sblong => 'Telegram-értesítések küldése az új csevegőüzenetekről a kereskedésekben';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sbshort => 'Chat üzenetek a kereskedelemben';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sblong => 'Telegram-értesítések küldése új online fizetésekről';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbshort => 'Új online fizetések';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbtip => 'Küldjön Telegram-értesítéseket az új online fizetésekről a kereskedéseiben';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtitle => 'Távirati értesítések';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sblong => 'Telegram-értesítések küldése új kereskedelmi kérésekről';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sbshort => 'Új kereskedelmi kérések';

  @override
  String get settings250Sbnotifications250Sbtitle => 'Értesítések';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications => 'Webes értesítések engedélyezése';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications8722Sbtip => 'Külső értesítéseket kap a böngészőablakon kívül';

  @override
  String get settings250Sbpersonal8722Sbinfo => 'Személyes bemutatkozás';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtip => 'Megjelenik nyilvános profilodon. Maximum 65536 karakter. Használhatja a markdownt a stílushoz.';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtitle => 'Személyes adat';

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbimported8722Sbby8722Sbother8722Sbuser => 'Ennek a fióknak a hírnevét egy másik felhasználó már importálta. Lehet, hogy elgépelt a felhasználónevet, vagy rossz platformot választott?';

  @override
  String settings250Sbreputation8722Sbimport250Sberror250Sblbc8722Sbinvalid8722Sbusername(Object link) {
    return 'Az Ön LocalBitcoins profilja nem nyilvános, kipróbálhatja saját maga is úgy, hogy megpróbálja megnyitni saját LocalBitcoins profilját, miközben ki van jelentkezve: $link. A nyilvánosan nem elérhető profilokat nem tudjuk importálni. Próbálja meg felvenni a kapcsolatot a LocalBitcoins ügyfélszolgálatával a probléma megoldásához, de mielőtt ezt megtenné, távolítsa el a kódot a LocalBitcoins bevezetéséből.';
  }

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbplatform8722Sberror => 'Valami elromlott. Ellenőrizze, hogy a felhasználónév helyes-e, és hogy a megfelelő platformot választotta-e. Ha helyesek, próbálja újra 5 perc múlva. Ha ez továbbra sem segít, nyissa meg a támogatási jegyet.';

  @override
  String get settings250Sbresend8722Sbletter8722Sbdialog250Sbtitle => 'Kérjük, töltse ki a CAPTCHA-t';

  @override
  String get settings250Sbresend8722Sbletter250Sbsent => 'Levél elküldve!';

  @override
  String get settings250Sbsaved => 'Mentett!';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtip => 'Senki, aki meg akarja vásárolni az Ön érméit, nem fogja látni hirdetéseit, vagy kereskedést nyit rajtuk';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtitle => 'Nyaralás eladása';

  @override
  String get settings250Sbtab250Sb2fa8722Sblong => '2FA';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sblong => 'E-mailt változtatni';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sbshort => 'Email';

  @override
  String get settings250Sbtab250Sbchange8722Sbpassword8722Sblong => 'Jelszó';

  @override
  String get settings250Sbtab250Sbimport8722Sbreputation => 'Import hírnév';

  @override
  String settings250Sbtab250Sbimport8722Sbreputation250Sbdescription(Object appName) {
    return 'Importálhatja hírnevét egy másik P2P platformról az $appName-re. Valahol el kell helyeznie egy kódot a profiljában a másik platformon, amelyet ezután ellenőrizni fogunk. Platformonként egy fiókot kapcsolhat össze.';
  }

  @override
  String get settings250Sbtab250Sbnotifications250Sblong => 'Értesítések';

  @override
  String get settings250Sbtab250Sbuser8722Sbsettings8722Sblong => 'Személyes';

  @override
  String get settings250Sbtitle => 'Fiók beállítások';

  @override
  String get settings250Sbvacation8722Sbtitle => 'Vakáció';

  @override
  String get settings250Sbwrong8722Sbpassword => 'Rossz jelszó';

  @override
  String get settlement8722Sbaddress => 'Elszámolási pénztárca címe';

  @override
  String get signup8722Sbsuccess250Sbletter8722Sbsent => 'Ellenőrző levelet küldtünk az Ön e-mail címére.';

  @override
  String get signup8722Sbsuccess250Sblogin => 'Most át lesz irányítva a kezdőlapra.';

  @override
  String get signup8722Sbsuccess250Sbtitle => 'Sikeres regisztráció!';

  @override
  String signup250Sbagree8722Sbto8722Sbtos(Object terms) {
    return 'Elolvastam és elfogadtam a $terms';
  }

  @override
  String signup250Sbagree8722Sbto8722Sbtos8722Sbterms(Object appName) {
    return '$appName szolgáltatási feltételek';
  }

  @override
  String get signup250Sbbtn => 'Regisztráció';

  @override
  String get signup250Sbconfirm8722Sbpass => 'Jelszó megerősítése';

  @override
  String get signup250Sbemail => 'E-mail (nem kötelező)';

  @override
  String get signup250Sbemail8722Sbtip => 'Nem kell megadnia az e-mail-címét a Monero kereskedelméhez, de enélkül nem tudjuk visszaállítani jelszavát, vagy e-mailes értesítéseket küldeni. Az Ön e-mailjeit összevetjük az eldobható e-mail-szolgáltatók harmadik féltől származó adatbázisával.';

  @override
  String get signup250Sbemail8722Sbtip57Sbagoradesk => 'Nem kell megadnia e-mail-címét a kriptovaluták kereskedelméhez, de enélkül nem tudjuk visszaállítani jelszavát, vagy e-mailes értesítéseket küldeni. Az Ön e-mailjeit összevetjük az eldobható e-mail-szolgáltatók harmadik féltől származó adatbázisával.';

  @override
  String get signup250Sberror8722Sb28722Sbdialog8722Sbtitle => 'Regisztrációs hiba';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtext => 'Kérjük, adjon meg érvényes adatokat.';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtitle => 'Űrlap hiba';

  @override
  String signup250Sblogin(Object link) {
    return 'Már van fiókja? $link';
  }

  @override
  String get signup250Sblogin8722Sblink => 'Belépés.';

  @override
  String get signup250Sbtitle => 'Regisztrálj';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext(Object terms) {
    return 'A regisztrációhoz olvassa el és fogadja el a következőt: $terms';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbagree => 'Egyetért';

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbdisagree => 'Nem ért egyet';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext8722Sbterms(Object appName) {
    return '$appName szolgáltatási feltételek';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtitle => 'Szolgáltatási feltételek';

  @override
  String get sso250Sblogout8722Sbportal => 'Kijelentkezett...';

  @override
  String sso250Sbunverified8722Sbemail8722Sbtext(Object settingsPage) {
    return 'A folytatáshoz igazolnia kell az e-mail-címét. Megteheti az $settingsPage-nél.';
  }

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtext8722Sbsettings8722Sbpage => 'beállítások oldalon';

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtitle => 'Ellenőrizetlen e-mail';

  @override
  String get start250Sb2fa => 'Kéttényezős hitelesítés';

  @override
  String start250Sbbuy8722Sbonline(Object assetName) {
    return 'Hogyan vásárolhat $assetName-et online';
  }

  @override
  String get start250Sbbuy8722Sbonline57Sbagoradesk => 'Hogyan vásároljunk kriptovalutát online';

  @override
  String get start250Sblearn8722Sbmore => 'Tudj meg többet';

  @override
  String start250Sblocal(Object assetName) {
    return 'Hogyan vásároljunk vagy adjunk el $assetName-et készpénzért';
  }

  @override
  String get start250Sblocal57Sbagoradesk => 'Hogyan vásároljunk vagy adjunk el kriptovalutákat készpénzért';

  @override
  String start250Sbsettings(Object appName) {
    return '$appName beállítások';
  }

  @override
  String start250Sbtitle(Object appName) {
    return '$appName útmutatók: Monero vásárlása vagy eladása';
  }

  @override
  String start250Sbtrade(Object assetName) {
    return 'Bevezetés a kereskedésbe $assetName';
  }

  @override
  String get start250Sbtrade57Sbagoradesk => 'Bevezetés a kriptovalutákkal való kereskedésbe';

  @override
  String get statistics250Sbno8722Sbdata => 'Nincs adat';

  @override
  String get statistics250Sbticker8722Sb12hr => '12 óra:';

  @override
  String get statistics250Sbticker8722Sb1hr => '1 óra:';

  @override
  String get statistics250Sbticker8722Sb24hr => '24 óra:';

  @override
  String get statistics250Sbticker8722Sb6hr => '6 óra:';

  @override
  String statistics250Sbticker8722Sbapi8722Sbtitle(Object appName) {
    return '$appName Average Price Ticker API';
  }

  @override
  String get statistics250Sbticker8722Sbsubtitle => 'Csak a rendelkezésre álló adatokkal rendelkező pénznemek láthatók';

  @override
  String statistics250Sbticker8722Sbtitle(Object assetSymbol) {
    return 'Átlagár/$assetSymbol a befejezett kereskedések alapján';
  }

  @override
  String get statistics250Sbtitle => 'Statisztika';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbconvert(Object currencyCode) {
    return 'Átalakítás USD-ből $currencyCode-re';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbnone => '\"Nincs adat\" üzenet megjelenítése';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbtitle(Object currencyCode) {
    return 'Ha nincs adat az $currencyCode-hez...';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbusd => 'Ár megjelenítése USD-ben';

  @override
  String get stepper250Sbback8722Sbbtn => 'Vissza';

  @override
  String get stepper250Sbnext8722Sbbtn => 'Következő';

  @override
  String get support250Sbdescription => 'Támogatást kaphat, ha jegyet nyit, e-mailt küld, vagy felveszi a kapcsolatot a Telegramon.';

  @override
  String get support250Sbemail250Sbbutton => 'Küldjön e-mailt';

  @override
  String support250Sbemail250Sbdescription(Object email) {
    return 'E-mailt küldhet a $email címre';
  }

  @override
  String get support250Sbemail250Sbtitle => 'Email';

  @override
  String get support250Sbmatrix250Sbbutton => 'Üzenet a Mátrixon';

  @override
  String get support250Sbmatrix250Sbdescription => 'Üzenetet küldhet nekünk a Mátrixon';

  @override
  String get support250Sbsubtitle => 'Forduljon hozzánk – szeretünk segíteni felhasználóinknak! Válaszidejük általában gyors, támogatást az alábbi módokon kaphat:    ';

  @override
  String get support250Sbtelegram250Sbbutton => 'Üzenet a Telegramon';

  @override
  String get support250Sbtelegram250Sbdescription => 'Üzenetet küldhet nekünk a Telegramon';

  @override
  String get support250Sbticket250Sbbutton => 'Nyisson jegyet';

  @override
  String get support250Sbticket250Sbdescription => 'Jegyet emelhet támogatási portálunkon';

  @override
  String get support250Sbticket250Sbtitle => 'Jegy';

  @override
  String get support250Sbtitle => 'Támogatást kapni';

  @override
  String get trade8722Sbnoun => 'Kereskedelmi';

  @override
  String get trade250Sbamount8722Sbminus8722Sbfee250Sblabel => 'Összeg mínusz díj:';

  @override
  String get trade250Sbamount8722Sbplus8722Sbfee250Sblabel => 'Összeg plusz díj:';

  @override
  String trade250Sbamount8722Sbto8722Sbpay(Object amount) {
    return 'Befizetendő összeg: $amount.';
  }

  @override
  String trade250Sbamount8722Sbto8722Sbreceive(Object amount) {
    return 'A vevő által fizetendő összeg: $amount.';
  }

  @override
  String trade250Sbbuyer8722Sbhasnt8722Sbcompleted8722Sbpayment8722Sbtext(Object minutes) {
    return 'A vevő még nem jelölte meg a fizetést befejezettnek, és $minutes perce van a fizetésre, mielőtt Ön lemondhatja a kereskedést. Amikor megkapja a fizetést, fejezze be a kereskedést.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb0 => 'Jelenleg az eladó lemondhatja a kereskedést, kivéve, ha Ön <strong> erősíti meg a fizetést </strong> a „Fizetem” gomb megnyomásával.';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb1(Object minutes) {
    return 'Az eladó $minutes percig nem mondhatja le a kereskedést, amely alatt biztonságosan fizethet.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Fizetés után <strong> meg kell jelölnie a fizetést befejezettnek </strong> a „Kifizettem” gomb megnyomásával, különben az eladó törölheti a kereskedést, amint lejár a fizetési időszak.';

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb3 => 'Várakozás az eladótól a fizetés megerősítésére';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb4(Object time) {
    return 'A fizetést befejezettnek jelölte meg $time.';
  }

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb5(Object username, Object assetSymbol) {
    return 'Miután az $username megerősítette a fizetést, az $assetSymbol elküldésre kerül az elszámolási pénztárcájába.';
  }

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning => 'Ha a kereskedés megnyitásakor megadott cím hibás, akkor újra kell nyitnia a kereskedést a megfelelő címmel, ellenkező esetben az érmék helyrehozhatatlanul elveszhetnek.';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle => 'Mutasd a címet';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle8722Sbsettlement => 'Mutasd a cél címét';

  @override
  String get trade250Sbcancel8722Sbtrade8722Sbbtn => 'Kereskedés törlése';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtext => 'Kérjük, erősítse meg, hogy vitát kíván indítani.';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtitle => 'Vitatás megerősítése';

  @override
  String trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtext(Object username) {
    return 'Ön $username kijelenti, hogy teljesítette a fizetést';
  }

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtitle => 'Fizetés megerősítése';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbbtn => 'megerősít';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtext => 'Kérjük, erősítse meg, hogy törölni kívánja a kereskedést';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtitle => 'Erősítse meg a törlést';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtext => 'Kérjük, erősítse meg, hogy engedélyezni kívánja a választottbírósági kötvény védelmét';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtitle => 'Erősítse meg a választottbírósági kötvényvédelem engedélyezését';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbnot8722Sbpaid8722Sbtext => 'A vevő még nem jelölte meg késznek a fizetést! Biztosan most szeretné véglegesíteni a kereskedést?';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext => 'Kérjük, erősítse meg, hogy megkapta a fizetést, és szeretné véglegesíteni a kereskedést';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext8722Sbwarning => 'Légy óvatos! Csak akkor fejezze be a kereskedést, ha biztos abban, hogy megkapta a fizetést. Voltak csalók, akik megpróbálják becsapni az eladókat, hogy idő előtt lezárják a kereskedést.';

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbtitle(Object amount, Object username) {
    return 'Az $amount kereskedésének lezárása az $username-el';
  }

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease250Sboffset8722Sbnotice(Object appName) {
    return 'Ezt a jelszót használják ellentételezésként a nem őrizet nélküli elszámolási pénztárca létrehozásához és a tranzakció aláírásához. Az $appName nem tudja visszaállítani a pénztárcáját, ha elveszíti ezt a jelszót.';
  }

  @override
  String trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtext(Object appName) {
    return 'Kérjük, erősítse meg, hogy a kereskedést $appName pénztárcájából szeretné finanszírozni';
  }

  @override
  String get trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtitle => 'A finanszírozás megerősítése';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtext => 'Nincs elegendő egyenleg a kereskedés finanszírozásához';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtitle => 'Finanszírozási hiba!';

  @override
  String get trade250Sbdispute8722Sbbtn => 'Indítson vitát';

  @override
  String trade250Sbdispute8722Sbtext(Object appName) {
    return 'Ha a kereskedéssel kapcsolatban nézeteltérés van, vitát kezdeményezhet. Ezt követően az $appName ügyfélszolgálata felveszi Önnel a kapcsolatot a kereskedés chaten keresztül.';
  }

  @override
  String get trade250Sbenable8722Sbescrow8722Sbbtn => 'Választottbírósági kötvény engedélyezése';

  @override
  String get trade250Sberror250Sb247 => 'A szankciók miatt tilos a számláját visszavonni';

  @override
  String get trade250Sberror250Sb248 => 'Az ügylet összege nem elegendő az elszámoláshoz kapcsolódó díjak fedezésére. Kérjük, próbálja újra később, amikor a díjak alacsonyabbak, vagy nyissa meg újra a kereskedést nagyobb összegre, és mondja le ezt.';

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0(Object appName) {
    return 'Az $appName csak akkor tud védelmet nyújtani, ha az ügylet választottbírósági kötvényvédelme engedélyezve van';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1(Object appName) {
    return 'Ha engedélyezve van, csak a vevő és az $appName munkatársai mondhatják el az ügyletet';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName választottbírósági kötvény védelmi feltételek és információk';
  }

  @override
  String get trade250Sbfeedback250Sbblock => 'Felhasználó letiltása';

  @override
  String trade250Sbfeedback250Sbleave8722Sbfeedback8722Sbon(Object username) {
    return 'Hagyjon visszajelzést a következőről: $username';
  }

  @override
  String get trade250Sbfeedback250Sbnegative => 'Negatív';

  @override
  String get trade250Sbfeedback250Sbneutral => 'Semleges';

  @override
  String get trade250Sbfeedback250Sbpositive => 'Pozitív';

  @override
  String get trade250Sbfeedback250Sbtip => 'A visszajelzés csak akkor lesz látható, ha az Ön és kereskedelmi partnere közötti teljes kereskedelem mennyisége meghaladja a 100 USD-t.';

  @override
  String get trade250Sbfeedback250Sbtrust => 'Megbízható';

  @override
  String trade250Sbfeedback250Sbupdate8722Sbfeedback8722Sbon(Object username) {
    return 'Visszajelzés frissítése a $username-ről';
  }

  @override
  String trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtip(Object username) {
    return 'Választható. Hagyjon üzenetet az $username-ről, hogy a visszajelzés mellett megjelenjen a vevő profiloldalán. Maximum 256 karakter.';
  }

  @override
  String get trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtitle => 'Az Ön visszajelzése';

  @override
  String trade250Sbfloating8722Sbprice8722Sbtext(Object assetName, Object floating) {
    return 'Az $assetName összeg a piaci árral együtt $floating.';
  }

  @override
  String get trade250Sbfloating8722Sbprice8722Sbtext8722Sbfloating => 'úszó';

  @override
  String get trade250Sbfund8722Sbtrade8722Sbbtn => 'Finanszírozza ezt a kereskedést';

  @override
  String get trade250Sbi8722Sbhave8722Sbpaid8722Sbbtn => 'fizettem';

  @override
  String trade250Sbinfo250Sbfee250Sblabel(Object appName) {
    return '1% $appName díj:';
  }

  @override
  String trade250Sbinfo250Sbtrade8722Sbad(Object ad_type) {
    return 'Kereskedelmi hirdetés ($ad_type)';
  }

  @override
  String get trade250Sbleave8722Sbfeedback8722Sbbtn => 'Adj visszajelzést';

  @override
  String get trade250Sblocal250Sbbuyer250Sbescrowed => 'Az eladó engedélyezte a választottbírósági kötvény védelmét ebben a kereskedésben, ami azt jelenti, hogy az eladó nem mondhatja le ezt a kereskedést.';

  @override
  String get trade250Sblocal250Sbbuyer250Sbnot8722Sbescrowed => 'Az eladó nem engedélyezte a választottbírósági kötvényvédelmet ennél a kereskedésnél, ami azt jelenti, hogy az eladó bármikor lemondhatja a kereskedést. Választottbírósági kötvényvédelmet chaten keresztül kérhet.';

  @override
  String trade250Sblocal250Sbbuyer250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode az Ön ellenőrző kódja. Az eladó csak az ügylet lezárása után tudja meg. Leírhatja, és segítségével ellenőrizheti, hogy az eladó valóban elküldte-e az érméket, miután megkapta a fizetést, amikor találkoznak, anélkül, hogy eszközt kellene használnia.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbtitle => 'Várja, hogy az eladó finanszírozza a kereskedést';

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbwait8722Sbfor8722Sbfunding(Object appName) {
    return 'Várja meg, amíg az eladó több érmét helyez el $appName pénztárcájába, hogy fedezze a kereskedés összegét.';
  }

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbfund8722Sbthe8722Sbtrade(Object amount, Object appName) {
    return 'A kereskedés finanszírozásához legalább $amount-nek kell lennie $appName pénztárcájában.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbpress8722Sbfund8722Sbbtn => 'A szükséges összeg befizetése után nyomja meg a gombot a kereskedés finanszírozásához.';

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbtitle => 'Finanszírozza a kereskedelmet';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbbuyer250Sbtitle => 'Szervezze meg a találkozót és fizesse meg';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbrelease8722Sbafter8722Sbpayment => 'A fizetés beérkezése után zárja le a kereskedést. Ügyeljen arra, hogy ellenőrizze a készpénz valódiságát, mielőtt elfogadja és lezárja a kereskedést. Csak azután fejezze be, hogy meggyőződött arról, hogy a fizetés szilárdan a kezében van.';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbtitle => 'Szervezze meg a találkozót és kapja meg a fizetést';

  @override
  String get trade250Sblocal250Sbstep8722Sb2250Sbbuyer250Sbcompleted => 'A kereskedés befejeződött, az érmék a pénztárcájában vannak!';

  @override
  String trade250Sblocal250Sbstep8722Sb2250Sbseller250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode az ellenőrző kód. Elmondhatja a vevőnek, hogy a vevő ellenőrizhesse, hogy Ön lezárta a kereskedést anélkül, hogy eszközt kellene használnia.';
  }

  @override
  String get trade250Sbmark8722Sbpaid => 'Ha kifizette, nyomja meg a „Fizettem” gombot. Ez megakadályozza, hogy az eladó felmondja a kereskedést. Ne nyomja meg ezt a gombot, hacsak nem fizetett.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbdetails => 'Nincsenek megadva fizetési adatok. Beszéljétek meg őket a chatben.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbpaying8722Sbparty => 'Kérdezze meg kereskedelmi partnerét fizetési adatairól a chatben, és fizesse be. <strong>Ha korábban kereskedett, ne küldje el a kifizetést arra a számlára, amelyet az eladó adott Önnek egy korábbi ügylet során, anélkül, hogy ezt megerősítette volna az eladóval ebben a kereskedelmi csevegésben.</strong>';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbreceiving8722Sbparty => 'Mondja el kereskedelmi partnerének fizetési adatait a chatben.';

  @override
  String get trade250Sbpay => 'Fizessen az alábbi fizetési adatok szerint. Ha kérdése van, kérdezze meg az eladót a chaten.';

  @override
  String get trade250Sbpayment8722Sbdetails => 'fizetési részletek';

  @override
  String trade250Sbprice(Object price, Object currency, Object assetSymbol) {
    return 'Ár: $price $currency / $assetSymbol';
  }

  @override
  String get trade250Sbreceipt250Sbbtn => 'Nyugta megtekintése';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbchat => 'Tartalmazza a csevegőüzeneteket';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbinfo => 'Adja meg a fizetési mód adatait';

  @override
  String get trade250Sbreceipt250Sbtitle => 'Tekintse meg a nyomtatható nyugtát';

  @override
  String get trade250Sbrelease8722Sbmonero8722Sbbtn => 'Véglegesítse';

  @override
  String get trade250Sbseller8722Sbcan8722Sbcancel => 'Mostantól <strong> lemondhatja a kereskedést</strong>, mivel a vevő nem tudta teljesíteni a fizetést a fizetési időszakon belül.';

  @override
  String get trade250Sbsettlement8722Sbfees8722Sbnotice => 'Az ügylet rendezésével kapcsolatos hálózati tranzakciós díjak levonásra kerülnek a kereskedési összegből, vagyis valamivel kevesebbet kap, mint a feltüntetett összeg.';

  @override
  String trade250Sbstatus250Sbcancelled8722Sbtext(Object linebreak, Object time) {
    return 'Ezt a kereskedést $linebreak  törölték $time időpontban.';
  }

  @override
  String get trade250Sbstatus250Sbcancelled8722Sbtitle => 'Törölve';

  @override
  String trade250Sbstatus250Sbclosed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Ezt a kereskedést egy rendszergazda $linebreak  zárta le $time helyen.';
  }

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtext8722Sb1 => 'A kereskedést nem zárták le és nem is törölték.';

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtitle => 'Zárva';

  @override
  String trade250Sbstatus250Sbcompleted8722Sbtext(Object linebreak, Object time) {
    return 'Ezt a kereskedést $linebreak  $time időpontban fejezték be.';
  }

  @override
  String get trade250Sbstatus250Sbcompleted8722Sbtitle => 'Befejezve';

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Ezt a kereskedést $linebreak  vitatták $time-nél.';
  }

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb1(Object appName) {
    return 'Kérjük, várja meg, amíg egy $appName adminisztrátor csatlakozik a chathez, és eldönti az ügylet kimenetelét.';
  }

  @override
  String get trade250Sbstatus250Sbdisputed8722Sbtitle => 'Vitatott';

  @override
  String get trade250Sbstatus250Sbescrowed => 'Választottbírósági kötvény védi';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb0 => 'A választottbírósági kötvényvédelem engedélyezve van.';

  @override
  String trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb1(Object appName) {
    return 'Csak a vevő és az $appName munkatársa mondhatja el a tranzakciót.';
  }

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb2 => 'Az eladó lemondhatja a kereskedést, ha a fizetési időszak lejárt';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtitle => 'Finanszírozott, választottbírósági kötvénnyel védett';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbnot8722Sbescrowed8722Sbtitle => 'Finanszírozott, választottbírósági kötvénnyel nem védett';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaccordion8722Sbsummary => 'Tranzakció részletek';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaddress => 'Cím';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbarbitrated => 'Adminisztrátor választotta';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbbuyer8722Sbtx250Sbtitle => 'Átutalás a vevő elszámoló pénztárcájába';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbcheck8722Sbyour8722Sbwallet => 'Ellenőrizze a fogadó pénztárcáját, és látni fogja a tranzakciót!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbguide8722Sblink => 'Hogyan állíthatom vissza a pénztárcámat a magból?';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbseed => 'Az ön nem szabadságvesztési pénztárcája emlékeztető magja';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing => 'Feldolgozás';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbdescription => 'Az elszámolás feldolgozása folyamatban van. <br /> Kérjük, várjon, nincs mit tennie.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbtime8722Sbestimation => 'Ez 10-60 percig tarthat.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbbuyer => 'Átutalásra vár a vevő elszámoló pénztárcájába...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbseller => 'Várakozás az eladó nem őrizetbe vett pénztárcájába történő átvitelre...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbconfirming8722Sbto8722Sbseller => 'Átutalás megerősítése az eladó nem őrizetbe vett pénztárcájába...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbbuyer => 'Kész! Ellenőrizze a fogadó pénztárcáját, és látni fogja a tranzakciót!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbseller => 'Kész! A vevőnek most látnia kell a tranzakciót a fogadó pénztárcában.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbeta8722Sbminutes => 'min';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbexplorer8722Sbbtn => 'Intéző megnyitása';

  @override
  String trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbtotal8722Sbeta(Object eta) {
    return 'Becsült hátralévő idő: ≈ $eta min';
  }

  @override
  String get trade250Sbstatus250Sbsettlement250Sbproof => 'Elszámolási igazolás';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbseller8722Sbtx250Sbtitle => 'Átutalás az eladó nem őrizetbe vett pénztárcájába';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbshow8722Sbproof => 'Mutasson fizetési bizonylatot';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbtx8722Sbkey => 'Tranzakciós kulcs';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbescrowed => 'Nem finanszírozott, választottbírósági kötvénnyel védett';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbnot8722Sbescrowed => 'Nem finanszírozott, választottbírósági kötvénnyel nem védett';

  @override
  String get trade250Sbstep250Sbprocessing8722Sbsettlement => 'Az elszámolás feldolgozása folyamatban van, az érmék a pénztárcájába kerülnek. Kérem, várjon, nincs mit tennie.';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy(Object username, Object ad, Object time) {
    return '$username válaszolt a $ad-re a $time címen';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbad => 'helyi vásárlási hirdetés';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbseller(Object username, Object ad, Object time) {
    return 'Ön válaszolt a következőre: $username $ad itt: $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbsell8722Sbbuyer => 'helyi eladási hirdetés';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbbuy8722Sbadvertisement => 'online vásárlás hirdetés';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbsell8722Sbadvertisement => 'online eladási hirdetés';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0 => 'A vevőnek egyáltalán nincs szüksége eszközre – erősítse meg a sikeres tranzakciót az ellenőrző kóddal';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1 => 'Az eladó a tranzakciót okostelefon vagy laptop segítségével tudja véglegesíteni';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb2 => 'A véglegesített tranzakció visszafordíthatatlan';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb5 => 'Kérjük, ne használjon online fizetési módokat! Ehhez használjon online kereskedéseket';

  @override
  String trade250Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName helyi készpénzes tranzakciókra vonatkozó feltételek és információk';
  }

  @override
  String trade250Sbterms8722Sbtitle(Object username) {
    return 'Kereskedési feltételek a következővel: $username';
  }

  @override
  String trade250Sbtitle8722Sbid(Object id) {
    return 'Kereskedelmi azonosító: $id';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return '$amountXmr $assetSymbol vásárlása $amountFiat $currency áron készpénzzel';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Eladó $amountXmr $assetSymbol, $amountFiat $currency készpénzért';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return '$amountXmr $assetSymbol vásárlása $amountFiat $currency számára az $method használatával';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return '$amountXmr $assetSymbol eladása $amountFiat $currency számára $method használatával';
  }

  @override
  String get trade250Sbtitle250Sbbuying => 'Vásárlás';

  @override
  String get trade250Sbtitle250Sbexpiry => 'Szerződés időtartama:';

  @override
  String get trade250Sbtitle250Sbselling => 'Eladási';

  @override
  String get trade250Sbupdate8722Sbfeedback8722Sbbtn => 'Frissítse a visszajelzést';

  @override
  String trade250Sbwarning250Sbimpersonation(Object appName) {
    return 'Óvakodj azoktól a csalóktól, akik megpróbálják kiadni magukat a személyzetnek! <br /> $appName adminisztrátorok soha nem fogják azt mondani, hogy zárja le a kereskedést. <br /> A személyzeti üzenetek háttere piros.';
  }

  @override
  String get trades8722Sbtable250Sbstatus250Sbnot8722Sbpaid => 'Nem fizetett';

  @override
  String get trades8722Sbtable250Sbstatus250Sbpaid => 'Fizetett';

  @override
  String get try8722Sbagain => 'Próbáld újra';

  @override
  String get user250Sbaccount8722Sbcreated => 'Fiók létrehozva:';

  @override
  String user250Sbads250Sblocal8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return '$assetName eladása készpénzért $user számára';
  }

  @override
  String user250Sbads250Sblocal8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Vásároljon $assetName-et készpénzzel a következőtől: $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return '$assetName eladása online az $user számára';
  }

  @override
  String user250Sbads250Sbonline8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Vásároljon $assetName-et online a $user-től';
  }

  @override
  String user250Sbblock8722Sbbtn(Object username) {
    return 'Blokk $username';
  }

  @override
  String user250Sbblock8722Sbstatus(Object username) {
    return 'Ön letiltja $username';
  }

  @override
  String get user250Sbblock8722Sbstatus8722Sbdescription => 'Nem fognak tudni válaszolni a hirdetéseire. Hirdetéseik el vannak rejtve a keresési eredmények elől.';

  @override
  String get user250Sbblock250Sbwill8722Sbhide8722Sbads => 'Egy felhasználó letiltása elrejti hirdetéseit a keresési eredmények közül';

  @override
  String get user250Sbcache8722Sbdisclaimer => 'Óránként egyszer frissül';

  @override
  String user250Sbfeedback8722Sbmore(Object user) {
    return 'További visszajelzések a $user-ről';
  }

  @override
  String get user250Sbfeedback8722Sbscore => 'Visszajelzés pontszáma:';

  @override
  String get user250Sbfeedback8722Sbtitle => 'Visszacsatolás';

  @override
  String get user250Sbhave8722Sbtraded => 'Ezzel a felhasználóval kereskedtél';

  @override
  String get user250Sbhavent8722Sbtraded => 'Még nem kereskedtél ezzel a felhasználóval';

  @override
  String get user250Sbinformation => 'Információ';

  @override
  String get user250Sblast8722Sbseen => 'Látott';

  @override
  String get user250Sblast8722Sbseen250Sbjust8722Sbnow => 'éppen most';

  @override
  String get user250Sbmedian8722Sbdays => 'napok';

  @override
  String get user250Sbmedian8722Sbhours => 'órák';

  @override
  String get user250Sbmedian8722Sbminutes => 'percek';

  @override
  String get user250Sbmedian8722Sbnot8722Sbknown => 'Nem ismert';

  @override
  String get user250Sbmedian8722Sbseconds => 'másodpercig';

  @override
  String get user250Sbmedian8722Sbtitle => 'Tipikus kereskedelem véglegesítési ideje:';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb1 => 'A visszajelzés tükrözése akár egy órát is igénybe vehet.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb2 => 'A visszajelzés csak akkor jelenik meg, ha az Ön között forgalmazott érmék teljes <strong>piaci értéke</strong> (a CoinGecko ára alapján, nem az ajánlatban meghatározott ár alapján) meghaladja a 100 USD-t.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sbtitle => 'Hol van a visszajelzésem?';

  @override
  String get user250Sbnumber8722Sbof8722Sbpartners => 'Kereskedelmi partnerek:';

  @override
  String get user250Sbnumber8722Sbof8722Sbtrades => 'Kereskedelem:';

  @override
  String get user250Sbthis8722Sbis8722Sbyou => 'Ez vagy te';

  @override
  String user250Sbtrust8722Sbbtn(Object username) {
    return 'Bízz $username';
  }

  @override
  String user250Sbtrust8722Sbstatus(Object username) {
    return 'Ön bízik $username';
  }

  @override
  String get user250Sbtrust8722Sbstatus8722Sbdescription => 'Csak a megbízható felhasználók számára készített hirdetésekre tudnak majd válaszolni';

  @override
  String user250Sbunblock8722Sbbtn(Object username) {
    return 'Blokkolás feloldása $username';
  }

  @override
  String user250Sbuntrust8722Sbbtn(Object username) {
    return 'Nem megbízható $username';
  }

  @override
  String user250Sbupdate8722Sbfeedback8722Sbtitle(Object username) {
    return 'Visszajelzés frissítése a $username-ről';
  }

  @override
  String get validation250Sberror250Sbad8722Sbid => 'Érvénytelen azonosító!';

  @override
  String get validation250Sberror250Sbattachment8722Sbid => 'Érvénytelen mellékletazonosító';

  @override
  String get validation250Sberror250Sbcountry8722Sbcode => 'Érvénytelen országkód!';

  @override
  String get validation250Sberror250Sbiso86018722Sbtimestamp => 'Érvényes UTC dátumnak kell lennie ISO 8601 formátumban: https://en.wikipedia.org/wiki/ISO_8601';

  @override
  String get validation250Sberror250Sbnotification8722Sbid => 'Érvénytelen értesítési azonosító';

  @override
  String get validation250Sberror250Sbpage => 'Az oldalnak számnak kell lennie';

  @override
  String get validation250Sberror250Sbtrade8722Sbid => 'Érvénytelen kereskedelmi azonosító';

  @override
  String get verify8722Sbemail250Sberror => 'Hiba történt az e-mail ellenőrzés során';

  @override
  String get verify8722Sbemail250Sbsuccess => 'E-mail sikeresen ellenőrizve!';

  @override
  String get wallet250Sbclipboard8722Sbvirus8722Sbwarning => '<strong> Győződjön meg arról, hogy a beillesztett cím megegyezik a másolt címmel! </strong> Egyes felhasználók pénzeszközeiket <a style=\"text-decoration:underline;font-size:inherit;color:inherit\" href=\"https://reddit.com/r/Monero/comments/mcvuxc/beware_crypto_stealing_malware/\" target=\"_blank\">rosszindulatú programok lopták el, és a vágólapra másolt címet a támadó címére cserélték </a>.';

  @override
  String get wallet250Sbdownload8722Sbcsv8722Sbbtn => 'CSV letöltése';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh => 'Magas';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh250Sblabel => 'Magas díj, becslések szerint néhány háztömbön belül megerősítik';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow => 'Alacsony';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow250Sblabel => 'Alacsony díj, becslések szerint egy héten belül visszaigazolják';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium => 'Közepes';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium250Sblabel => 'Közepes díj, becslések szerint egy napon belül visszaigazolják';

  @override
  String get wallet250Sbfee250Sbbtc250Sbradio8722Sbtitle => 'Válassza ki a díjszintet';

  @override
  String get wallet250Sbfee250Sbxmr250Sblow => 'Alacsony';

  @override
  String get wallet250Sbfee250Sbxmr250Sbstandard => 'Alapértelmezett';

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbblock(Object blockHeight) {
    return 'Az alapok feloldása a következő blokkban történik: $blockHeight';
  }

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbtime(Object time) {
    return 'Az alapok feloldására a következő időpontban kerül sor: $time';
  }

  @override
  String get wallet250Sbfunds8722Sbunlocked => 'Feloldva';

  @override
  String get wallet250Sbinternal8722Sbtransfer => 'Belső áthelyezés';

  @override
  String get wallet250Sbnojs250Sbsend250Sbsend8722Sbbalance8722Sbbtn => 'Az összes egyenleg elküldése';

  @override
  String get wallet250Sbpassword8722Sbtip => 'Kérjük, adja meg jelenlegi jelszavát a folytatáshoz. 8-72 karakter.';

  @override
  String wallet250Sbpriority250Sbfee(Object amount, Object asset) {
    return 'díj: $amount $asset';
  }

  @override
  String get wallet250Sbpriority250Sblow => 'Alacsony';

  @override
  String get wallet250Sbpriority250Sbstandard => 'Alapértelmezett';

  @override
  String wallet250Sbreceive250Sbaddress(Object assetName) {
    return 'Befizetésed $assetName címe:';
  }

  @override
  String get wallet250Sbreceive250Sbcopied => 'Vágólapra másolva!';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbamount => 'Összeg';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbconfirmations => 'Megerősítések:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbdate => 'Dátum:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbid => 'Tranzakció azonosítója:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus => 'Lezárt állapot:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus8722Sbunlocked => 'Feloldva';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbnote => 'Jegyzet:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus => 'Állapot:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus8722Sbpending => 'Függőben levő';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbtitle => 'Befizetés részletei';

  @override
  String wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbamount(Object assetSymbol) {
    return 'Összeg $assetSymbol';
  }

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sblong => 'Megerősítések';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sbshort => 'Konf.';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdate => 'Dátum';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdetails8722Sbbtn => 'Részletek';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbstatus => 'Állapot';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtitle => 'Bejövő betétek';

  @override
  String get wallet250Sbreceive250Sbno8722Sbincoming => 'Függőben lévő befizetései itt jelennek meg';

  @override
  String wallet250Sbreceive250Sbqr(Object appName, Object assetSymbol) {
    return 'Az Ön $appName $assetSymbol címének QR-képe';
  }

  @override
  String wallet250Sbreceive250Sbtitle(Object assetName) {
    return 'Fogadás $assetName';
  }

  @override
  String get wallet250Sbselect8722Sball8722Sbbalance => 'Minden elérhető egyenleg';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived(Object assetName) {
    return 'Fogadott összeg $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip(Object assetName) {
    return 'Ez az $assetName összege, amelyet a fogadó $assetName címen kell fogadni.';
  }

  @override
  String get wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip250Sbfee8722Sbon8722Sbtop => 'Ehhez az összeghez a hálózati tranzakciós díj is hozzáadódik.';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn(Object assetName) {
    return 'Levonandó összeg $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip(Object assetSymbol, Object appName, Object assetName) {
    return 'Ez az $assetSymbol becsült összege, amelyet le kell vonni $appName $assetName pénztárcájából, beleértve az $assetName tranzakciós hálózati díjat is.';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip250Sbonly8722Sbfor8722Sbexternal(Object assetName, Object appName) {
    return 'Csak a külső $assetName pénztárcára küldött tranzakciókra vonatkozik. Az $appName pénztárcák közötti belső tranzakciók teljesen ingyenesek.';
  }

  @override
  String wallet250Sbsend250Sbavailable8722Sbbalance(Object amount, Object assetSymbol) {
    return 'Legfeljebb $amount $assetSymbol';
  }

  @override
  String get wallet250Sbsend250Sbcontinue8722Sbbtn => 'Folytatni';

  @override
  String get wallet250Sbsend250Sbdialog250Sbconfirm8722Sbtitle => 'Erősítse meg a választottbírósági kötvény visszavonását';

  @override
  String wallet250Sbsend250Sblocal8722Sbwallet(Object appName) {
    return '$appName pénztárca címe';
  }

  @override
  String get wallet250Sbsend250Sbpriority250Sbfaq8722Sblink => 'Mi ez?';

  @override
  String get wallet250Sbsend250Sbpriority250Sbtitle => 'Válassza ki a tranzakció prioritását';

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress(Object assetName) {
    return '{cryptocurrencyName} cím fogadása';
  }

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress8722Sbtip(Object assetName) {
    return 'Csak érvényes $assetName címek fogadhatók el';
  }

  @override
  String wallet250Sbsend250Sbsend8722Sbbtn(Object assetName) {
    return 'Küldés $assetName';
  }

  @override
  String get wallet250Sbsend250Sbsuccess => 'Siker!';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb0 => 'A Monero-tranzakciók elküldése általában körülbelül 30-60 percet vesz igénybe, néha néhány órát is igénybe vehet, ha a hálózat lassú.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb057Sbagoradesk => 'A kriptovaluta-tranzakciók elküldése általában körülbelül 30-60 percet vesz igénybe, néha néhány órát is igénybe vehet, ha a hálózat lassú.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb1 => 'Nézze meg, miért tart néha tovább';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle => 'Mennyi ideig tart egy Monero-tranzakció?';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle57Sbagoradesk => 'Mennyi ideig tart egy kriptovaluta tranzakció?';

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext(Object appName) {
    return 'Az $appName pénztárca egy webes pénztárca – a kimenő Monero-címek nincsenek összekapcsolva az Ön fiókjával. Ha visszatérítést kér egy kereskedőtől, kérje meg, hogy küldje el a visszatérítést a címzett címére.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return 'Az $appName pénztárca egy webes pénztárca – a kimenő kriptovaluta címek nincsenek összekapcsolva a fiókjával. Ha visszatérítést kér egy kereskedőtől, kérje meg, hogy küldje el a visszatérítést a címzett címére.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle => 'Monero visszatérítések és kifizetések';

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle57Sbagoradesk => 'Kriptovaluta visszatérítések és kifizetések';

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext(Object appName) {
    return 'Az $appName pénztárcából történő küldéskor a Monero hálózati díj kerül levonásra az egyenlegéből. A többi $appName-felhasználó pénztárcájára irányuló tranzakciók ingyenesek.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee(Object assetName) {
    return 'Aktuális kimenő $assetName hálózati díjak';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee8722Sbrates(Object assetName) {
    return 'Jelenlegi kimenő $assetName hálózati díjak';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Az $appName pénztárcából történő küldéskor hálózati díj kerül levonásra az egyenlegéből. A többi $appName-felhasználó pénztárcájára irányuló tranzakciók ingyenesek.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle => 'Kimenő Monero díjak';

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle57Sbagoradesk => 'Kimenő kriptovaluta díjak';

  @override
  String wallet250Sbsend250Sbtitle(Object assetName) {
    return 'Küldés $assetName';
  }

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbdeposit => 'Másik valutát szeretnék letétbe helyezni';

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbwithdraw => 'Másik valutát szeretnék kapni';

  @override
  String wallet250Sbswap250Sbconfirmation250Sbtitle(Object partner) {
    return 'Az Ön $partner kereskedése';
  }

  @override
  String wallet250Sbswap250Sbconnection8722Sberror(Object partner) {
    return 'Hiba történt az $partner-hez való csatlakozáskor. Kérjük, próbálja újra később.';
  }

  @override
  String wallet250Sbswap250Sbcontinue8722Sbon(Object partner) {
    return 'Folytatás ezen: $partner';
  }

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbdeposit => 'el akarom küldeni...';

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbwithdrawal => 'szeretnék kapni...';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress => 'erre a címre:';

  @override
  String wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbhelper(Object partner, Object asset, Object appName) {
    return 'A tranzakció kézhezvétele után az $partner elküldi az $asset-et az Ön $appName pénztárcájába';
  }

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbsend => 'Küld';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbto8722Sbthis => ' erre a címre:';

  @override
  String wallet250Sbswap250Sbdeposits250Sbhelper(Object asset) {
    return 'A tranzakciót a fogadó pénztárcán fogja látni, miután az $asset hálózat jóváhagyta (kb. 10-60 perc)';
  }

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbmaxAmount => 'Maximális befizetés összege';

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbminAmount => 'Minimális befizetés összege';

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbnojs8722Sbdescription(Object asset, Object currencyCode) {
    return 'Válassza ki, hogy a cserét az alapján szeretné kiszámítani, hogy mennyi $asset-et szeretne küldeni, vagy mennyi $currencyCode-et szeretne fogadni. Használjuk, hogy megtaláljuk a legjobb ajánlatokat az Ön számára.';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbreceive(Object currencyCode) {
    return 'Fogadás {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbsend(Object asset) {
    return 'Küldés {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbreceive(Object currencyCode) {
    return 'A fogadni kívánt $currencyCode összeg';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbsend(Object asset) {
    return 'A küldeni kívánt $asset mennyiség';
  }

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbinvalid8722Sbamount => 'Érvénytelen összeg';

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbno8722Sboffers => 'Nem találtunk megfelelő ajánlatot... próbálja módosítani az összeget.';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbtitle => 'Válasszon ajánlatot';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbview8722Sbad8722Sbbutton => 'Hirdetés megtekintése';

  @override
  String get wallet250Sbswap250Sbnative250Sbtrade8722Sbbutton => 'Kereskedelmi';

  @override
  String wallet250Sbswap250Sbpowered8722Sbby(Object partner) {
    return 'tápellátás: $partner';
  }

  @override
  String wallet250Sbswap250Sbprovide8722Sbemail(Object partner) {
    return 'Adja meg $partner a kapcsolattartási e-mail-címemet';
  }

  @override
  String get wallet250Sbswap250Sbsave8722Sblink => 'Mindenképpen mentse el ezt a linket, ez az egyetlen módja a kereskedés nyomon követésének!';

  @override
  String get wallet250Sbswap250Sbsend8722Sbbtn => 'Küldd el az érméket!';

  @override
  String get wallet250Sbswap250Sbstatus250Sbavailable => 'Állapot: elérhető';

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal(Object asset) {
    return 'Becsült elküldés $asset';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal250Sbhelper(Object asset, Object appName, Object assetName, Object currency) {
    return 'Becsült $asset összeg, amelyet le kell vonni $appName $assetName pénztárcájából, hogy megkapja a fenti $currency összeget, beleértve az $assetName tranzakciós hálózati díjat. A hálózati díjak ingadozása miatt kis mértékben változhat.';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbdeposit(Object currency) {
    return 'Mennyi $currency-et szeretne küldeni?';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal(Object currency) {
    return 'Becsült érkezett $currency';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal250Sbhelper(Object currency, Object partner) {
    return 'A kapott becsült összeg $currency. A módosításhoz használja az alábbi bemenetet. Kissé változhat az $partner árfolyam ingadozása miatt.';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbhelper(Object time, Object partner, Object currency) {
    return 'Csak lazítson, várjon $time percet, és az $partner elküldi Önnek az $currency';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle(Object asset, Object partner) {
    return ' Elküldtük az $asset-et a következőnek: $partner';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle250Sball8722Sbset(Object partner) {
    return 'Minden készen áll az $partner kereskedelemre!';
  }

  @override
  String wallet250Sbtab250Sbreceive8722Sblong(Object assetName) {
    return 'Fogadás $assetName';
  }

  @override
  String get wallet250Sbtab250Sbreceive8722Sbshort => 'Kap';

  @override
  String wallet250Sbtab250Sbsend8722Sblong(Object assetName) {
    return 'Küldés $assetName';
  }

  @override
  String get wallet250Sbtab250Sbsend8722Sbshort => 'Küld';

  @override
  String get wallet250Sbtab250Sbtx8722Sblong => 'Tranzakciók';

  @override
  String get wallet250Sbtab250Sbtx8722Sbshort => 'Txs';

  @override
  String get wallet250Sbtitle => 'Pénztárca';

  @override
  String get wallet250Sbtx250Sbaffiliate => 'Affiliate program jutalék kifizetése';

  @override
  String wallet250Sbtx250Sbfee(Object assetName) {
    return '$assetName hálózati tranzakciós díj.';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbtrade(Object id) {
    return 'Kereskedésből érkezett $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbuser(Object username) {
    return 'Felhasználótól érkezett $username';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbtrade(Object id) {
    return 'Kereskedésre elküldve $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbuser(Object username) {
    return 'Elküldve a $username felhasználónak';
  }

  @override
  String get wallet250Sbtx250Sbpending8722Sbsend => 'Küldés függőben';

  @override
  String wallet250Sbtx250Sbrebate(Object code) {
    return 'Díjvisszatérítés. Kuponkód: $code.';
  }

  @override
  String wallet250Sbtx250Sbreceive(Object assetName) {
    return 'Megkapta. $assetName hálózati tranzakcióazonosító:';
  }

  @override
  String wallet250Sbtx250Sbreserve(Object assetName, Object id) {
    return '$assetName kereskedési tartalék $id';
  }

  @override
  String wallet250Sbtx250Sbreserve8722Sbreturn(Object assetName, Object id) {
    return '$assetName tartalék visszaadás a kereskedésből $id';
  }

  @override
  String get wallet250Sbtx250Sbsend => 'Elküldve';

  @override
  String wallet250Sbtx250Sbsend8722Sbid(Object assetName) {
    return '$assetName hálózati tranzakcióazonosító:';
  }

  @override
  String get wallet250Sbtxs250Sbdetails8722Sbdialog250Sbtitle => 'Tranzakció részletek';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails => 'Részletek';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails250Sbplaceholder => 'Tx-azonosító, cím, kereskedelmi azonosító, felhasználónév stb.';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbfrom => 'Tól től';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtitle => 'Tranzakciók szűrése';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbto => 'Nak nek';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype => 'típus';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbaffiliate => 'Affiliate jutalék';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sball => 'Minden típus';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbcoupon => 'Kupon visszatérítés';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbfee => 'Hálózati díj';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbreceive => 'Belső fogadás';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbsend => 'Belső küldés';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbpending => 'Küldés függőben';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreceive => 'Kap';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve => 'Kereskedelmi tartalék';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve8722Sbreturn => 'Kereskedelmi tartalék hozam';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbsend => 'Küld';

  @override
  String wallet250Sbtxs250Sbtable250Sbamount(Object assetSymbol) {
    return 'Összeg $assetSymbol';
  }

  @override
  String get wallet250Sbtxs250Sbtable250Sbdate => 'Dátum';

  @override
  String get wallet250Sbtxs250Sbtable250Sbdescription => 'Leírás';

  @override
  String wallet250Sbtxs250Sbtable250Sbreceived(Object assetSymbol) {
    return 'érkezett $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtable250Sbsent(Object assetSymbol) {
    return 'Elküldve $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtip8722Sbtext(Object latestVersion, Object assetName) {
    return 'Ha a leírásban láthat egy tranzakcióazonosítót a blokklánc felfedezőjére mutató hivatkozással, az azt jelenti, hogy tranzakcióját sikeresen közvetítették. Kérjük, győződjön meg arról, hogy pénztárcája teljesen szinkronizált, és hogy az $assetName pénztárca $latestVersion-jét használja.';
  }

  @override
  String get wallet250Sbtxs250Sbtip8722Sbtext8722Sblatest8722Sbversion => 'legújabb verzió';

  @override
  String wallet250Sbtxs250Sbtip8722Sbtitle(Object appName) {
    return 'Tipp: pénzt vett ki az $appName-ről, és nem látja a pénztárcájában?';
  }

  @override
  String get wallet250Sbtxs250Sbtitle => 'Pénztárca tranzakciók';

  @override
  String wallet250Sbupdate8722Sbsoft8722Sbwarn(Object update) {
    return 'Megjelent a Monero szoftver új verziója! Ne felejtse el $update használni pénztárca szoftverét, különben nem fog tudni tranzakciókat küldeni és fogadni.';
  }

  @override
  String get wallet250Sbupdate8722Sbsoft8722Sbwarn8722Sbupdate => 'frissítés';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sband8722Sbfee8722Sbnext => 'Az összeget és a díjszintet a következő lépésben kell kiválasztani';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbnext => 'Az összeget a következő lépésben választja ki';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sblabel => 'Kap';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sbsecondary8722Sblabel => 'Adja meg a kapott összeget (díj nélkül)';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sblabel => 'Küld';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sbsecondary8722Sblabel => 'Adja meg a levonandó összeget (díjjal)';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sblabel => 'Ingyenes frissítés';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sbtooltip => 'A kötegelt kifizetések módja miatt valójában olcsóbb, ha magasabb díjjal küldjük ki a kifizetést. Élvezd!';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees => 'Hálózati díjak';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbhigh => 'Gyors';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sblow => 'Lassú';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbmedium => 'Közepes';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbsend8722Sbmax => 'Küldje el Max';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbamount => 'Összeg';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbrecipient => 'Befogadó';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbsummary => 'Összegzés';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation250Sbwallet8722Sbowner => 'A kifizetés megerősítésével egyúttal megerősíti, hogy a pénztárca, amelyből kivesz, az Öné.';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbnew8722Sbfee => 'Új pénzfelvételi díj';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbold8722Sbfee => 'Régi visszavonási díj';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbreceive8722Sbamount => 'Fogadási összeg';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbsend8722Sbamount => 'Levonandó összeg';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbdecreased => 'Csökkent az elállási díj';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbincreased => 'Emelkedett a pénzfelvételi díj';

  @override
  String get wallet250Sbwithdraw250Sbnojs250Sbchange8722Sbaddress8722Sbbtn => 'Cím módosítása';

  @override
  String wallet250Sbwithdrawal250Sbamount8722Sbinput250Sblabel(Object asset) {
    return 'Összeg ({assetSymbol})';
  }

  @override
  String wallet250Sbwithdrawal250Sbconfirmation250Sbfee(Object fee, Object currency) {
    return '+ hálózati díj (≈ $fee $currency)';
  }

  @override
  String get wallet250Sbwithdrawal250Sberror250Sbtoo8722Sbsmall => 'A kifizetésre kért összeg kisebb, mint a minimálisan lehetséges';

  @override
  String get wallet250Sbwithdrawal250Sbnetwork8722Sbfee => 'Hálózati díj';

  @override
  String get warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb0 => '<strong>MEGJEGYZÉS:</strong> Ez a fizetési mód <strong>nagy kockázatú</strong>, mivel <strong>visszafordítható</strong>, és emiatt gyakran használják a csalók.';

  @override
  String warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb1(Object method, Object linebreak) {
    return 'Még ha kellő körültekintést is végez, és csak jó hírű felhasználókkal kereskedik, nincs garancia arra, hogy nem kerül $method vitahelyzetbe. A következőkkel növelheti esélyeit: $linebreak  1. Kérjen 2 fényképes igazolvány beolvasását a felhasználóról (azaz útlevél és jogosítvány), győződjön meg arról, hogy az $method fiók neve megegyezik az azonosítóval. $linebreak  2. Mondja meg a felhasználónak, hogy küldjön egy e-mailt az $method e-mail fiókból (esetleg azt is mondja meg neki, hogy az e-mailben tüntesse fel a kereskedési azonosítót és valamit a kereskedésről).$linebreak  3. Nagyon magas díjat számítson fel $method kereskedik. Például 25% és több. Ily módon fedezetet kap, ha $method ügyleteiből 5-ből 1 csalás (azonos kereskedési összegek esetén). $linebreak  4. Legyen óvatos a magas kereskedési összegekkel. Először próbáljon meg néhány kisebb összegű kereskedést kötni egy kereskedővel. $linebreak ';
  }

  @override
  String get warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb0 => 'Ez a hirdetés el lett rejtve, mert az Ön által megadott minimális összeg alacsonyabb, mint a maximálisan elérhető összeg';

  @override
  String warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb1(Object assetName) {
    return 'Ez a kereskedő szabadságon van, vagy nincs elérhető $assetName. Kérjük, nézzen vissza később, vagy keressen más ajánlatokat.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance(Object asset, Object minRequiredbalance, Object amountXmr, Object localmoneroWallet) {
    return 'Az összes eladási $asset hirdetését elrejtették a nyilvános keresés elől, mert választottbírósági kötvényének pénztárcaegyenlege alacsonyabb, mint $minRequiredbalance. Annak érdekében, hogy eladási hirdetései láthatóvá váljanak, kérjük, helyezzen be legalább $amountXmr összeget választottbírósági kötvényére $localmoneroWallet.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName pénztárca';
  }

  @override
  String get web8722Sbnotification250Sbmessage => 'Új üzenete van.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcancelled => 'Egy kereskedést töröltek.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcomplete => 'Egy kereskedés befejeződött.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbdisputed => 'Az egyik kereskedését vitatták.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete => 'Befizetés késznek megjelölve.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbrequest => 'Új kereskedelmi ajánlata van.';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbattach8722Sbcode8722Sbcheckbox => 'Adja hozzá a társult vállalkozás hivatkozási kódját a widgethez';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sblogged8722Sbout => 'Jelentkezzen be, hogy csatolja a társult vállalkozás hivatkozási kódját a widgethez';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbnot8722Sbenabled => 'Engedélyezze a társult programnak, hogy hivatkozási kódot csatoljon a widgethez';

  @override
  String widget8722Sbinstructions250Sbinstructions(Object assetName) {
    return 'Ha szeretne egy $assetName utcai ár widgetet vásárolni saját webhelyéhez, válassza ki a kívánt pénznemet alább, és egyszerűen illessze be a következő kódot saját weboldalára:';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbaffiliate(Object assetName) {
    return '$assetName Utcai ár modul (a partnerkóddal)';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbno8722Sbaffiliate(Object assetName) {
    return '$assetName Utcai ár widget';
  }

  @override
  String get ads => 'Hirdetések';

  @override
  String get unknown_error => 'Ismeretlen hiba';

  @override
  String get ads_choose_ad_type => 'Válaszd ki a hirdetés típusát';

  @override
  String get ads_ad_type => 'Hirdetés típusa';

  @override
  String get ads_choose_ad_cryptocurrency => 'Válassz kriptovalutát';

  @override
  String get ads_choose_price_type => 'Válasszon ártípust';

  @override
  String get ads_which_type_to_choose => 'Melyik típust válasszuk?';

  @override
  String get enter_margin => 'Adja meg az árrést';

  @override
  String get what_is_margin => 'Mi az árrés?';

  @override
  String get price_formula_examples => 'Árképlet példák';

  @override
  String get see_examples => 'Lásd a példákat';

  @override
  String get see_example => 'Lásd a példát';

  @override
  String get final_price_in => 'Végső ár';

  @override
  String get show_formula_controls => 'Képletvezérlők megjelenítése';

  @override
  String get market_rates => 'Árfolyamok';

  @override
  String get set_trade_limits => 'Kereskedési limitek beállítása (opcionális):';

  @override
  String get restrict_limit_amounts_to => 'Limitek korlátozása';

  @override
  String get restrict_limit_amounts => 'Limitek korlátozása';

  @override
  String get what_does_it_mean => 'Mit jelent?';

  @override
  String ads_enter_amount(Object currency) {
    return 'Adja meg az összeget: $currency';
  }

  @override
  String ads_enter_comma_sep_amounts(Object currency) {
    return 'Adjon meg vesszővel elválasztott összegeket: $currency';
  }

  @override
  String ads_first_trade_max_limit(Object currency) {
    return 'Első kereskedés maximális limit $currency';
  }

  @override
  String get ads_specify_trade_details => 'Adja meg a kereskedés adatait (nem kötelező):';

  @override
  String get ads_payment_method_details => 'Fizetési mód részletei';

  @override
  String get ads_payment_method_details_64 => 'Megjelenik a hirdetési listában. Maximum 64 karakter.';

  @override
  String get ads_maximum_64 => 'Maximum 64 karakter';

  @override
  String get ads_payment_method_info_trade => 'Fizetési mód információ';

  @override
  String get ads_payment_method_info_trade_4096 => 'Kereskedés közben megjelenik. Maximum 4096 karakter.';

  @override
  String get ads_specify_restrictions => 'Korlátozások megadása (opcionális):';

  @override
  String get maximum_4096 => 'Maximum 4096 karakter';

  @override
  String get enter_number_0_100 => 'Adjon meg egy számot 0 és 100 között';

  @override
  String get enter_number_15_90 => 'Adjon meg be egy számot 15 és 90 között';

  @override
  String get enter_amount_min_0 => 'Adja meg az összeget (min. 0)';

  @override
  String get currency => 'Valuta:';

  @override
  String get payment_method => 'Fizetési mód:';

  @override
  String get restrict_amounts_to => 'A korlátozás mértéke:';

  @override
  String get payment_method_details => 'Fizetési mód részletei:';

  @override
  String get review => 'Áttekintés';

  @override
  String get publish => 'Közzététel';

  @override
  String get enter_your_settlement_wallet_address => 'Adja meg az elszámoláshoz használt pénztárca címét:';

  @override
  String ads_enter_verify_address(Object appName) {
    return 'Adja meg és ellenőrizze a címét, ahová az összeget küldi. Nem lehet belső $appName cím.';
  }

  @override
  String get what_is_settlement_fee_level => 'Mi az elszámolási díj mértéke?';

  @override
  String get settlement_fee_level_selector_explanation => 'Ezzel a kapcsolóval kiválaszthatja, hogy milyen hálózati díjszintet használ, amikor a tranzakciót a pénztárcájába küldi. Ha nem tudja, milyen díjszintet szeretne, válassza a közepes díjat.';

  @override
  String get ads_payment_window => 'Fizetési időszak (perc)';

  @override
  String get ads_payment_window_short => 'Fizetési ablak';

  @override
  String get ads_havent_posted => 'Még nem tett fel hirdetéseket.';

  @override
  String get no_trades => 'Még nincs meglévő üzleted.';

  @override
  String get no_feedbacks => 'Nincs visszajelzés.';

  @override
  String get ad_settings => 'Hirdetési beállítások';

  @override
  String get settings_saved => 'Beállítások mentve';

  @override
  String get preferences => 'Beállítások';

  @override
  String get about_this_ad => 'Bővebben a hirdetésről';

  @override
  String get price => 'Ár';

  @override
  String get activity => 'Tevékenység';

  @override
  String get chat => 'Csevegés';

  @override
  String get market => 'Piac';

  @override
  String get help => 'Segítség';

  @override
  String sell_asset(Object asset) {
    return '$asset eladása';
  }

  @override
  String buy_asset(Object asset) {
    return '$asset vásárlása';
  }

  @override
  String get trader_profile => 'Kereskedő profilja';

  @override
  String get trader_info => 'Kereskedő információi';

  @override
  String get trading_tips => 'Kereskedési tippek';

  @override
  String get clear_all => 'Mindent töröl';

  @override
  String get apply => 'Alkalmazás';

  @override
  String get enter_amount => 'Adja meg az összeget';

  @override
  String get any_payment_method => 'Bármilyen fizetési mód';

  @override
  String get see_more_feedback => 'További visszajelzések megtekintése';

  @override
  String get see_more_ads => 'További hirdetések megtekintése';

  @override
  String feedback_title(Object user) {
    return 'Visszajelzés $user felhasználóról';
  }

  @override
  String get active_ads => 'Aktív hirdetések';

  @override
  String get you_sell => 'Eladás';

  @override
  String get you_buy => 'Vétel';

  @override
  String get you_receive => 'Kap';

  @override
  String get you_pay => 'Fizet';

  @override
  String get export_csv => 'CSV exportálása';

  @override
  String get copy => 'Másolat';

  @override
  String sell_via(Object asset, Object provider) {
    return '$asset eladása ezen keresztül: $provider';
  }

  @override
  String buy_via(Object asset, Object provider) {
    return '$asset vásárlása ezen keresztül: $provider';
  }

  @override
  String sell_to(Object user) {
    return 'Eladás a következőnek: $user';
  }

  @override
  String buy_from(Object user) {
    return 'Vásárlás tőle: $user';
  }

  @override
  String must_be_at_least(Object num, Object currency) {
    return 'Legalább $num $currency értékűnek kell lennie';
  }

  @override
  String must_be_less(Object num, Object currency) {
    return 'Kisebbnek kell lennie, mint $num $currency';
  }

  @override
  String send_all(Object asset) {
    return 'Az összes $asset elküldése';
  }

  @override
  String about_transactions(Object asset) {
    return 'A(z) $asset tranzakciókról';
  }

  @override
  String get trade_id => 'Kereskedés azonosítója';

  @override
  String get view_trade => 'Kereskedés megtekintése';

  @override
  String get receiving => 'Fogadás';

  @override
  String get paying => 'Fizetés';

  @override
  String get rate => 'Árfolyam';

  @override
  String get enter_your_password => 'Adja meg a jelszavát';

  @override
  String get good_seller => 'Megbízható eladó';

  @override
  String get cancel => 'Mégse';

  @override
  String get delete => 'Töröl';

  @override
  String get important => 'Fontos';

  @override
  String get feedback_updated_successfully => 'A visszajelzés sikeresen frissítve.';

  @override
  String get pay => 'Fizetés';

  @override
  String get send_trade_request => 'Kereskedési kérelem küldése';

  @override
  String get start_trading => 'Kereskedés megkezdése';

  @override
  String get api_error_13 => 'Hiba történt a kéréssel kapcsolatban. Valószínűleg érvényesítési probléma. Ellenőrizze a kérés paramétereit, és ha továbbra sem megfelelő, forduljon ügyfélszolgálatunkhoz.';

  @override
  String get api_error_49 => 'A jelszómódosítási kérelemben megadott régi jelszó nem egyezik a jelenlegi jelszóval';

  @override
  String get api_error_60 => 'Az e-mail cím megváltoztatásához megadott jelszó helytelen';

  @override
  String get api_error_61 => 'Ez az e-mail cím már egy másik fiókhoz tartozik';

  @override
  String get api_error_73 => 'A kivételi kérelem során megadott jelszó hibás';

  @override
  String get api_error_74 => 'Nincs elegendő fedezet a kért összeg kivételéhez';

  @override
  String get api_error_75 => 'Pénzfelvételi kísérlet egy nem létező belső címre';

  @override
  String get api_error_76 => 'Ugyanarra a számlára próbál pénzt felvenni mint amelyiken a kifizetést kérte';

  @override
  String get api_error_77 => 'Nincs elegendő fedezet a kért összeg belső átutalásának lebonyolításához';

  @override
  String get api_error_103 => 'Olyan hirdetésre próbál kereskedést kezdeményezni, amelynek a feladója eladási szabadságon van';

  @override
  String get api_error_105 => 'Annak a hirdetésnek a feladója, amelyre a kereskedést kérik, nem rendelkezik elegendő fedezettel a letétbe helyezés finanszírozásához';

  @override
  String get api_error_107 => 'A likviditás nyomon követése maximális összeg beállítása nélkül';

  @override
  String get api_error_137 => '2FA regisztrálásának kísérlete helytelen jelszó megadásával';

  @override
  String get api_error_138 => 'A 2FA érvényesítési kísérlet, helytelen egyszer használatos jelszóval';

  @override
  String get api_error_139 => 'A jelszó vagy az egyszer használatos jelszó helytelen amikor megpróbálja kikapcsolni a 2FA-t';

  @override
  String get api_error_140 => 'Az egyszer használatos jelszó hibás, miközben pénzt próbál kivenni a pénztárcából';

  @override
  String get api_error_146 => 'Viszonteladói program engedélyezése olyan fiókhoz, amelynél már engedélyezve van';

  @override
  String get api_error_170 => 'A kifizetésre kért összeg kisebb, mint az adott kriptovalutánál lehetséges minimális összeg';

  @override
  String get api_error_171 => 'Érvénytelen címet adtak meg a kifizetés kérésekor';

  @override
  String get api_error_173 => 'Egyszerre túl sok kereskedést próbál megnyitni egy új fiókkal';

  @override
  String get api_error_178 => 'Nem létező felhasználó számára próbálja beváltani a kupont';

  @override
  String get api_error_179 => 'Nem létező kupon beváltásának kísérlete';

  @override
  String get api_error_180 => 'Lejárt kupon beváltásának kísérlete';

  @override
  String get api_error_181 => 'Csak a regisztráció során érvényes kupon beváltásának kísérlete';

  @override
  String get api_error_182 => 'A felhasználó által már beváltott kupon beváltásának kísérlete';

  @override
  String get api_error_183 => 'Kifogyott kupon beváltásának kísérlete';

  @override
  String get api_error_184 => 'Kupon beváltásának kísérlete amikor már van aktív kupon';

  @override
  String get api_error_204 => 'Hírnév importálási kódot próbálnak kérni egy nem létező fiókhoz';

  @override
  String get api_error_205 => 'Ellenőrző kódot próbál létrehozni hírnév importálásához egy olyan platformhoz, amelyhez már van ellenőrző kód';

  @override
  String get api_error_206 => 'Ellenőrző kód létrehozása a hírnév importálásához olyan platformhoz, amelyről a hírnév már importálva lett';

  @override
  String get api_error_207 => 'Hírnév-importálás ellenőrző kódjának megerősítése nem létező felhasználó számára';

  @override
  String get api_error_208 => 'A hírnév-importálási folyamat 1. lépésében nem szereplő felhasználó ellenőrző kódjának megerősítésére tett kísérlet';

  @override
  String get api_error_209 => 'LocalBitcoins hiba a hírnév-importálási ellenőrző kód megerősítésekor. Lehet, hogy rossz a felhasználónév, vagy a profil nem látható';

  @override
  String get api_error_210 => 'Paxful hiba a hírnév-importálási ellenőrző kód megerősítésekor. Lehet, hogy rossz a felhasználónév, vagy a profil nem látható';

  @override
  String get api_error_225 => 'A LocalBitcoins API „Érvénytelen felhasználó” hibát ad vissza, amikor megpróbálja megerősíteni a hírnévkódot';

  @override
  String get api_error_226 => 'Hibás jelszó a fiók törlésekor';

  @override
  String get api_error_238 => 'A Bitcoin-kivonás díjszintje nincs meghatározva';

  @override
  String get api_error_239 => 'Hibás jelszó a kereskedés feloldásakor';

  @override
  String get api_error_243 => 'A belső AgoraDesk cím nem használható kereskedési elszámolásra. A folytatáshoz adjon meg egy külső, nem AgoraDesk XMR-címet.';

  @override
  String get api_error_254 => 'Kivételt próbál meg feladni azonos címre és összeggel 10 percben belül';

  @override
  String get api_error_260 => 'Jegyzet közzététele egy nem létező felhasználóról';

  @override
  String get api_error_261 => 'A saját fiókjához próbált jegyzetet csatolni';

  @override
  String get api_error_262 => 'Nem létező felhasználóról próbál jegyzetet lekérni';

  @override
  String get api_error_263 => 'A saját fiókjáról próbál jegyzetet lekérni';

  @override
  String get api_error_264 => 'Nem létező felhasználóhoz tartozó jegyzetet próbál törölni';

  @override
  String get api_error_265 => 'A saját fiókjához tartozó jegyzetet próbál törölni';

  @override
  String get api_error_267 => 'Nem létező jegyzetet próbál törölni';

  @override
  String get api_error_403 => 'Nincs jogosultsága ennek a műveletnek a végrehajtására';

  @override
  String get api_error_4000 => 'Nincs internetkapcsolat.';

  @override
  String get api_error_4001 => 'Nem sikerult kapcsolódni a megengedett időtartamon belül, ellenőrizze az internetkapcsolatot.';

  @override
  String get api_error_45 => 'Nem lehet egyszerre „first_time_limit_asset” és „first_time_limit_TICKER” beállítva. Távolítsa el az egyiket (felcserélhetők).';

  @override
  String get api_error_46 => 'A kérelemnek VAGY egy application/json lekérést kell tartalmaznia „msg” paraméterrel VAGY multipart/form-data űrlap adatfolyamot a „document” paraméter alatt megnevezett képfájllal';

  @override
  String get api_error_47 => 'Ez a felhasználónév foglalt';

  @override
  String get api_error_48 => 'Már létezik felhasználó ezzel az e-mail címmel';

  @override
  String get api_error_50 => 'E-mailt próbál küldeni egy e-mail címét nem megadó felhasználónak';

  @override
  String get api_error_51 => 'Az e-mail ellenőrzéshez biztosított tokent olyan felhasználó kapja meg, aki nem létezik';

  @override
  String get api_error_52 => 'Az e-mail ellenőrzéséhez megadott token érvénytelen';

  @override
  String get api_error_53 => 'A tokenben lévő e-mail nem egyezik az adatbázisban lévő e-mail címmel';

  @override
  String get api_error_54 => 'Jelszó-visszaállításhoz biztosított token olyan e-mailhez, amely nem létezik az adatbázisban';

  @override
  String get api_error_55 => 'A jelszó-visszaállításhoz megadott token érvénytelen';

  @override
  String get api_error_56 => 'Jelszó-visszaállítási e-mailt próbál küldeni egy olyan címre, amely nem szerepel az adatbázisban';

  @override
  String get api_error_57 => 'A jelszó-visszaállításhoz megadott token nem visszaállítási token';

  @override
  String get api_error_58 => 'Jelszó-visszaállító e-mailt próbál küldeni egy megerősítetlen címmel rendelkező felhasználónak';

  @override
  String get api_error_59 => 'Jelszót próbál visszaállítani egy megerősítetlen e-mail címmel rendelkező felhasználó számára';

  @override
  String get api_error_62 => 'Nem létezik fiók a nyilvános adatkéréshez megadott felhasználónévvel';

  @override
  String get api_error_63 => 'Tiltott fájltípus feltöltésének kísérlete';

  @override
  String get api_error_64 => 'Nem létező értesítést próbál olvasottként megjelölni';

  @override
  String get api_error_65 => 'Egy már olvasott értesítést próbál olvasottként megjelölni';

  @override
  String get api_error_66 => 'Melléklet feltöltésének kísérlete olyan kereskedéshez, amely nem létezik';

  @override
  String get api_error_67 => 'Nem létező kereskedéshez próbál üzenetet küldeni';

  @override
  String get api_error_68 => 'Nem létező kereskedés üzenetlistáját próbálja lekérni';

  @override
  String get api_error_69 => 'Nem létező üzenetet próbál lekérni';

  @override
  String get api_error_70 => 'Nem létező fiók pénztárcacímének lekérése';

  @override
  String get api_error_71 => 'Nem létező fiók tranzakcióinak lekérése';

  @override
  String get api_error_72 => 'Nem létező számláról próbál pénzt kivenni';

  @override
  String get api_error_78 => 'Érvénytelen paraméterekkombinációval próbál hirdetéseket lekérni';

  @override
  String get api_error_79 => 'A kért hirdetésazonosító nem létezik';

  @override
  String get api_error_80 => 'A hirdetésfrissítési/létrehozási kérésben nem állította be a hosszúsági vagy szélességi fokot';

  @override
  String get api_error_81 => 'Nem állított be árképletet a hirdetés feladásakor';

  @override
  String get api_error_82 => 'Szélességi vagy hosszúsági fokot próbál beállítani online hirdetésnél';

  @override
  String get api_error_83 => 'ONLINE_SELL/CALL_SELL/PUT_BUY-specifikus tulajdonságokat próbál beállítani egy másik típusú hirdetéshez';

  @override
  String get api_error_84 => 'ONLINE_BUY/CALL_BUY/PUT_SELL-specifikus tulajdonságokat próbál beállítani egy másik típusú hirdetéshez';

  @override
  String get api_error_85 => 'LOCAL_SELL-specifikus tulajdonságokat próbál beállítani egy másik típusú hirdetéshez';

  @override
  String get api_error_86 => 'Érvénytelen országot, fizetési módot vagy pénznemet próbál beállítani a hirdetés létrehozásakor/frissítésekor';

  @override
  String get api_error_87 => 'Érvénytelen fizetési módot próbál beállítani a hirdetés létrehozásakor/frissítésekor';

  @override
  String get api_error_88 => 'Az adott fizetési módhoz érvénytelen pénznemet próbál beállítani a hirdetés létrehozásakor/frissítésekor';

  @override
  String get api_error_89 => 'LOCAL_* hirdetés létrehozása szélességi/hosszúság beállítása nélkül';

  @override
  String get api_error_90 => 'Nem létező felhasználó kereskedéseihez próbál hozzáférni.';

  @override
  String get api_error_91 => 'Nem létező felhasználó tokenjével próbál hozzáférni nyilvános fiókadatokhoz';

  @override
  String get api_error_92 => 'Nem létező felhasználó értesítéseit próbálja lekérni';

  @override
  String get api_error_93 => 'Nem létező felhasználó függőben lévő betéteit próbálja lekérni';

  @override
  String get api_error_94 => 'Nem létező felhasználó pontszámát próbálja lekérni';

  @override
  String get api_error_95 => 'Nem létező felhasználó hirdetéseit próbálja lekérni';

  @override
  String get api_error_96 => 'Nem létező felhasználó próbál kereskedést létrehozni';

  @override
  String get api_error_97 => 'Nem létező hirdetéshez próbál kereskedést létrehozni';

  @override
  String get api_error_98 => 'Olyan hirdetéshez próbál kereskedést létrehozni, aminek a feladója nem létezik';

  @override
  String get api_error_99 => 'A first_time_limit_asset által megengedettnél nagyobb összeget próbál kérni az első kereskedés létrehozásakor';

  @override
  String get api_error_100 => 'Kereskedés létrehozásához nem kérhet kevesebbet, mint 0.0000000001 XMR';

  @override
  String get api_error_101 => 'A kereskedés létrehozásakor a kért összeg kisebb, mint a hirdetés minimális összege';

  @override
  String get api_error_102 => 'A kereskedés létrehozásakor a kért összeg nagyobb, mint a hirdetés maximális összege';

  @override
  String get api_error_104 => 'Olyan hirdetésre próbál kereskedést kezdeményezni, amelynek a feladója vásárlási szabadságon van';

  @override
  String get api_error_106 => 'A kereskedést kérőnek nincs elegendő fedezete a finanszírozáshoz';

  @override
  String get api_error_108 => 'A minAmount nem lehet nagyobb vagy egyenlő, mint a maxAmount';

  @override
  String get api_error_109 => 'A kereskedés létrehozásakor a kért összeg nagyobb, mint a hirdetés maximális összege';

  @override
  String get api_error_110 => 'A kereskedést kérelmező alacsonyabb visszajelzési pontszámmal rendelkezik, mint amit a feladó megkövetel';

  @override
  String get api_error_111 => 'A kért összeg nem tartozik az elfogadott összegek közé, lásd limit_to_fiat_amounts';

  @override
  String get api_error_112 => 'Nem kezdeményezhet cserét egy Ön által feladott hirdetésre';

  @override
  String get api_error_113 => 'A hirdetés frissítésekor a paymentWindowMinutes nem állítható 15-nél kisebb vagy 90-nél nagyobb értékre';

  @override
  String get api_error_114 => 'A paymentWindowMinutes nem állítható 15-nél kisebb vagy 90-nél nagyobb értékre';

  @override
  String get api_error_115 => 'A kért azonosítóval nem létezik kereskedés';

  @override
  String get api_error_116 => 'A kereskedést kezdeményező felhasználó nem létezik';

  @override
  String get api_error_117 => 'Nem létezik a pénznem, amelyhez az árfolyamot kérték';

  @override
  String get api_error_118 => 'A kereskedés finanszírozását kérő felhasználó nem létezik';

  @override
  String get api_error_119 => 'Nem létező kereskedést próbál finanszírozni';

  @override
  String get api_error_120 => 'A letétet kérő felhasználó nem létezik';

  @override
  String get api_error_121 => 'Nem létező kereskedést próbál letétbe helyezni';

  @override
  String get api_error_122 => 'Nincs elegendő pénz lebegő LOCAL_SELL ügylet finanszírozásához';

  @override
  String get api_error_123 => 'Nincs elegendő forrás egy nem lebegő LOCAL_SELL ügylet finanszírozásához';

  @override
  String get api_error_124 => 'Hiba történt a LOCAL_SELL finanszírozása során';

  @override
  String get api_error_125 => 'A kereskedés törlését kérő felhasználó nem létezik';

  @override
  String get api_error_126 => 'Nem létező kereskedést próbál visszavonni';

  @override
  String get api_error_127 => 'A kereskedés kifizetését kérő felhasználó nem létezik';

  @override
  String get api_error_128 => 'Nem létező kereskedést próbál kifizetettként megjelölni';

  @override
  String get api_error_129 => 'A kereskedés feloldását kérő felhasználó nem létezik';

  @override
  String get api_error_130 => 'Nem létező kereskedést próbál felszabadítani';

  @override
  String get api_error_131 => 'A vitát kezdeményező felhasználó nem létezik';

  @override
  String get api_error_132 => 'Nem létező kereskedés vitatása';

  @override
  String get api_error_133 => 'Nem létező felhasználóról próbál visszajelzést kérni';

  @override
  String get api_error_134 => 'A felhasználó már rendelkezik a megengedett maximális számú hirdetéssel';

  @override
  String get api_error_135 => 'A maxAmount nincs megadva, pedig a trackingMaxAmount be van állítva';

  @override
  String get api_error_136 => 'Nincs meg a minimálisan szükséges egyenleg hirdetés feladásához.';

  @override
  String get api_error_141 => 'A megengedett minimális összegnél kisebbre próbál kereskedést létrehozni';

  @override
  String get api_error_142 => 'A megengedett minimumnál kisebb fiat limitet próbál beállítani a hirdetés létrehozásakor';

  @override
  String get api_error_143 => 'A megengedett maximumnál nagyobb fiat limitet próbál beállítani a hirdetés létrehozásakor';

  @override
  String get api_error_144 => 'A megengedett minimumnál kisebb fiat limitet próbál beállítani a hirdetés frissítésekor';

  @override
  String get api_error_145 => 'A megengedett maximumnál nagyobb fiat limitet próbál beállítani a hirdetés frissítésekor';

  @override
  String get api_error_147 => 'Viszonteladói adatok lekérése olyan felhasználóról, akinél nincs engedélyezve a viszonteladói program';

  @override
  String get api_error_148 => 'Már létező Telegram azonosítót próbál beállítani';

  @override
  String get api_error_149 => 'A külső pénzkivonás prioritása nincs megadva';

  @override
  String get api_error_150 => 'A feladó által letiltott felhasználó próbál üzletet kezdeményezni';

  @override
  String get api_error_151 => 'A feladó által nem megbízhatónak tartott felhasználó próbál üzletet kezdeményezni';

  @override
  String get api_error_152 => 'Már lezárt kereskedést próbál visszavonni';

  @override
  String get api_error_153 => 'Már lezárt kereskedést próbál felszabadítani';

  @override
  String get api_error_154 => 'Nem létező fiók kereskedéseit próbálja lekérni';

  @override
  String get api_error_155 => 'Nem létező felhasználóhoz tartozó megbízható felhasználók listáját próbálja lekérni';

  @override
  String get api_error_156 => 'Nem létező felhasználóhoz tartozó letiltott felhasználók listáját próbálja lekérni';

  @override
  String get api_error_157 => 'Az opcióspecifikus tulajdonságokat próbálja beállítani egy nem opciós hirdetéshez';

  @override
  String get api_error_158 => 'Opciós hirdetést próbál létrehozni az opcióspecifikus tulajdonságok beállítása nélkül';

  @override
  String get api_error_159 => 'A kereskedés prémium fizetésének megjelölését kérő felhasználó nem létezik';

  @override
  String get api_error_160 => 'Nem létező kereskedéshez próbál prémiumot fizetettre állítani';

  @override
  String get api_error_161 => 'Az opciót lehívni kívánó felhasználó nem létezik';

  @override
  String get api_error_162 => 'Nem létező kereskedésre próbál opciót gyakorolni';

  @override
  String get api_error_163 => 'A kereskedés prémium fizetésének megerősítését kérő felhasználó nem létezik';

  @override
  String get api_error_164 => 'Nem létező kereskedés prémiumának kifizetését próbálja megerősíteni';

  @override
  String get api_error_165 => 'A felhasználó aki nettó elszámolású kereskedést kér, nem létezik';

  @override
  String get api_error_166 => 'Nem létező kereskedés nettó elszámolásának kísérlete';

  @override
  String get api_error_167 => 'Az aktuális piaci ár kisebb vagy egyenlő, mint a lehívási ár egy CALL ügylet nettósítása során. A kereskedés piaci viszonylatban kifutó, ezért nem nettósítható. Ha szükséges, használjon normál elszámolást.';

  @override
  String get api_error_168 => 'A kereskedés kifizetének megerősítését kérő felhasználó nem létezik';

  @override
  String get api_error_169 => 'Nem létező kereskedésre fizetett fedezetet próbál megerősíteni';

  @override
  String get api_error_172 => 'Olyan hirdetést próbál feladni, amelyben az adás és vétel pénzneme azonos';

  @override
  String get api_error_174 => 'Veszteséges PUT kereskedés kísérlete';

  @override
  String get api_error_175 => 'Nem létező kupont próbál beváltani a regisztráció során';

  @override
  String get api_error_176 => 'Lejárt kupont próbál beváltani a regisztráció során';

  @override
  String get api_error_177 => 'Kifogyott kupont próbál beváltani a regisztráció során';

  @override
  String get api_error_185 => 'Nem létező felhasználó számára próbál kuponokat szerezni';

  @override
  String get api_error_186 => '50-nél több hirdetést próbál lekérdezni azonosító alapján';

  @override
  String get api_error_187 => 'Üres azonosítólista alapján próbál hirdetésekeket lekérni';

  @override
  String get api_error_188 => 'A kért hirdetésazonosítók közül egyik sem érvényes';

  @override
  String get api_error_189 => 'A kért hirdetések közül egy sem létezik';

  @override
  String get api_error_190 => 'Üres azonosítólista alapján próbál kereskedéseket lekérni';

  @override
  String get api_error_191 => '50-nél több kereskedést próbál lekérdezni azonosító alapján';

  @override
  String get api_error_192 => 'A kért kereskedési azonosítók közül egyik sem érvényes';

  @override
  String get api_error_193 => 'A kért kereskedések közül egy sem létezik';

  @override
  String get api_error_194 => 'Nem létező felhasználó számára próbál nyilvános API tokent létrehozni';

  @override
  String get api_error_195 => 'Helytelen jelszó nyilvános API token lekérésekor';

  @override
  String get api_error_196 => 'Nem létező felhasználó legutóbbi üzeneteit próbálja lekérni';

  @override
  String get api_error_197 => 'A megengedett tartományon kívül eső „utána” időbélyegzővel rendelkező üzeneteket próbál lekérni';

  @override
  String get api_error_198 => 'A megengedett tartományon kívüli „utána” időbélyeggel rendelkező üzeneteket próbál lekérni';

  @override
  String get api_error_199 => 'Nem létező felhasználó számára próbál nyilvános API tokent lekérni';

  @override
  String get api_error_200 => 'Nyilvános API tokennel nem rendelkező felhasználó tokenjét próbálja érvényteleníteni és törölni';

  @override
  String get api_error_201 => 'Nem létező hirdetés árképletének frissítése';

  @override
  String get api_error_202 => 'A megengedett tartományon kívül eső „utána” időbélyeggel rendelkező számlatranzakciók lekérése';

  @override
  String get api_error_203 => 'Nem létező fiók hírnév-importálási adatainak lekérése';

  @override
  String get api_error_211 => 'Nem létező felhasználó hírnevének importálását próbálja jóváhagyni';

  @override
  String get api_error_212 => 'Olyan felhasználó hírnevét próbálja importálni, aki nem szerepel az importálási folyamat 2. lépésében van';

  @override
  String get api_error_213 => 'Nem létező felhasználó hírnév-importálását próbálja megtagadni';

  @override
  String get api_error_214 => 'Megkísérlik megtagadni a hírnévimportálást olyan felhasználó számára, aki nem szerepel a hírnév-importálási folyamat 2. lépésében';

  @override
  String get api_error_215 => 'A legnépszerűbb fizetési módok kérésekor az országkódot és a pénznemkódot is megpróbálja megadni';

  @override
  String get api_error_216 => 'Nem létező országkódhoz próbálják kérni a legnépszerűbb fizetési módokat';

  @override
  String get api_error_217 => 'Nem létező pénznemkódhoz próbálják kérni a legnépszerűbb fizetési módokat';

  @override
  String get api_error_218 => 'Kereskedés megnyitásának kísérlete egy olyan hirdetésen, amelyhez igazolt e-mail-cím szükséges, amikor a kérelmező felhasználónak nincs ellenőrzött e-mail címe';

  @override
  String get api_error_219 => 'Egy eldobható e-mail-szolgáltatótól származó e-mail-címmel próbál regisztrálni';

  @override
  String get api_error_220 => 'A fiók e-mail-címét egy eldobható e-mail-szolgáltatótól származó e-mailre próbálják megváltoztatni';

  @override
  String get api_error_221 => 'Megpróbál minden értesítést olvasottként megjelölni egy olyan felhasználónál, aki nem létezik';

  @override
  String get api_error_222 => 'Hírnévkódot próbálnak kérni egy már importált külső platformfiókhoz';

  @override
  String get api_error_223 => 'Megkísérlik frissíteni a hirdetést a verificationRequired igazként megadva, miközben a verificationMsg értéke null';

  @override
  String get api_error_224 => 'Megkísérlik frissíteni a hirdetést a verificationMsg megadásával, de az ellenőrzést nem igénylő hirdetés és a hirdetésfrissítési kérelem szintén nem állítja be a verificationRequired igazat';

  @override
  String get api_error_227 => 'Kísérlet szankcionálni egy nem létező felhasználót';

  @override
  String get api_error_228 => 'Megkísérlik szankcionálni a nem létező rendszergazdai fiókkal rendelkező felhasználót';

  @override
  String get api_error_229 => 'Szankció eltávolítása egy nem létező felhasználótól';

  @override
  String get api_error_230 => 'Megkísérlik szankciót eltávolítani egy nem létező rendszergazdai fiókkal rendelkező felhasználótól';

  @override
  String get api_error_231 => 'Megkísérlik eltávolítani a szankciót olyan felhasználótól, akire nincs szankció';

  @override
  String get api_error_232 => 'Kereskedés megnyitásának kísérlete olyan felhasználóval, akinek jelenleg egy szankció miatt tilos kereskednie';

  @override
  String get api_error_233 => 'Nem létező azonosítóval rendelkező visszajelzés eltávolítása';

  @override
  String get api_error_234 => 'Megkísérli eltávolítani a már eltávolított visszajelzést';

  @override
  String get api_error_235 => 'Megkísérlik eltávolítani a vitatott állapotot egy nem létező kereskedésből';

  @override
  String get api_error_236 => 'Megkísérlik eltávolítani a vitatott állapotot egy nem vitatott kereskedésből';

  @override
  String get api_error_237 => 'Kereskedés megnyitásának kísérlete olyan felhasználóként, amely nem létezik, amikor a kereskedés nyitó végpontját rendszergazdaként hívja, és megadja az openAsUsername paramétert';

  @override
  String get api_error_240 => 'Érvénytelen címet adott meg a vevő, amikor egy ELADÁS típusú hirdetésre válaszol';

  @override
  String get api_error_241 => 'A vevő belső címet próbál megadni, amikor egy ELADÁS típusú hirdetésre válaszol (a belső címek nem engedélyezettek kereskedelmi elszámolás céljából)';

  @override
  String get api_error_242 => 'Érvénytelen címet adott meg a vevő a VÁSÁRLÁS típusú hirdetés létrehozásakor';

  @override
  String get api_error_244 => 'Érvénytelen címet adott meg a vevő a VÁSÁRLÁS típusú hirdetés frissítésekor';

  @override
  String get api_error_245 => 'A vevő belső címet próbál megadni VÁSÁRLÁS típusú hirdetés frissítésekor (a belső címek nem engedélyezettek kereskedelmi elszámolás céljából)';

  @override
  String get api_error_246 => 'Kereskedés indításának kísérlete egy VÁSÁRLÁS típusú hirdetésből, amely nem adja meg a vevő elszámolási címét';

  @override
  String get api_error_247 => 'Kereskedés feloldásának kísérlete egy olyan számláról, amelyet szankciók miatt tilos visszavonni';

  @override
  String get api_error_248 => 'Megpróbál egy ügyletet feloldani, ha az ügylet összege nem elegendő az elszámolással kapcsolatos díjak fedezésére';

  @override
  String get api_error_249 => 'Olyan BUY típusú hirdetés frissítésének kísérlete, amelynél nincs beállítva a buyerSettlementAddress paraméter a frissítési kérelemben a buyerSettlementAddress paraméter beállítása nélkül';

  @override
  String get api_error_250 => 'Érvénytelen címet adtak meg a BTC kifizetési díjának kérésekor';

  @override
  String get api_error_251 => 'BTC ELADÁS típusú hirdetésre válaszolva kereskedés nyitásakor a díjszint nem biztosított';

  @override
  String get api_error_252 => 'BTC BUY típusú hirdetés létrehozásakor díjszint nincs megadva';

  @override
  String get api_error_253 => 'A díjszint nincs megadva olyan BTC BUY típusú hirdetés frissítésekor, amelynél nincs beállított díjszint';

  @override
  String get api_error_255 => 'A megengedett tartományon kívül eső „utána” időbélyegzővel rendelkező értesítések megkísérlése';

  @override
  String get api_error_256 => 'Már létező push értesítési tokent próbálják regisztrálni';

  @override
  String get api_error_257 => 'Érvénytelen leküldéses értesítési tokent próbálják regisztrálni';

  @override
  String get api_error_258 => 'Push értesítési tokent próbál meg regisztrálni egy olyan fiókhoz, amely már rendelkezik 500 eszköztokennel, törölje az egyik meglévő tokent, mielőtt újra megpróbálná';

  @override
  String get api_error_259 => 'Olyan tokent próbálják törölni, amely nem létezik vagy nem ehhez a felhasználóhoz tartozik';

  @override
  String get account => 'Fiók';

  @override
  String get login => 'Belépés';

  @override
  String get skip => 'Kihagyás';

  @override
  String get pin_setup => 'PIN-kód beállítása';

  @override
  String get pin_enter_continue => 'A folytatáshoz írja be a PIN-kódot';

  @override
  String get pin_enter => 'Írja be a PIN-kódot';

  @override
  String get pin_enter_to_confirm_transaction => 'A tranzakció megerősítéséhez írja be a PIN-kódot';

  @override
  String get pin_you_can_use => 'Ezzel a PIN-kóddal feloldhatja az alkalmazást.';

  @override
  String get pin_confirm => 'Erősítse meg a PIN-kódot';

  @override
  String get pin_current => 'Jelenlegi PIN-kód';

  @override
  String get pin_set => 'PIN-kód beállítása';

  @override
  String get pin_do_not_match => 'A PIN-kódok nem egyeznek';

  @override
  String get pin_second_as_first => 'A másodjára megadott PIN-kód nem egyezik az elsővel.';

  @override
  String get pin_wrong_current => 'Hibás jelenlegi PIN-kód';

  @override
  String get pin_please_input_correct => 'Kérjük, helyesen adja meg a jelenlegi PIN-kódot.';

  @override
  String get enter_email => 'Adja meg az e-mail címet';

  @override
  String get convert => 'Átváltás';

  @override
  String get recent_transactions => 'Legutóbbi tranzakciók';

  @override
  String get transactions_30_days => 'Tranzakciók az elmúlt 30 napban';

  @override
  String get forgot_password => 'Elfelejtette a jelszavát?';

  @override
  String get password_have_changed => 'Jelszó megváltozott.';

  @override
  String get i_want_to_buy => 'Vásárolnék';

  @override
  String get error_password_reset_token_invalid => 'A jelszó-visszaállításhoz megadott token érvénytelen';

  @override
  String get error_password_reset_unverified_email => 'Megerősítetlen e-mail címmel rendelkező felhasználó jelszavát próbálja visszaállítani';

  @override
  String get i_want_to_buy_new => 'Vásárolnék';

  @override
  String get new_password => 'Új jelszó (8-72 karakter)';

  @override
  String get i_want_to_sell => 'eladnék';

  @override
  String get log_in_to_start_trading => 'Jelentkezzen be a kereskedés megkezdéséhez';

  @override
  String get why_do_you_need_my_email => 'Miért van szükség az e-mail címemre?';

  @override
  String get view_all_transactions => 'Az összes tranzakció megtekintése';

  @override
  String get email_is_used_to => 'Az e-mailt a jelszó visszaállítására vagy értesítések küldésére használjuk. Az e-mail címet összevetjük az eldobható e-mail-szolgáltatók harmadik féltől származó adatbázisával.';

  @override
  String get email_verified => 'E-mail megerősítve.';

  @override
  String get email_verification_error => 'E-mail megerősítés sikertelen.';

  @override
  String get email_token_error => 'A token vagy az e-mail cím hibás. Az e-mail cím nincs megerősítve.';

  @override
  String get welcome_screen_about => 'Biztonságos és könnyen használható személyes platform Bitcoin és Monero kereskedelméhez.';

  @override
  String get view_in_block_explorer => 'Megtekintés blokkböngészőben';

  @override
  String get welcome_pick_a_payment_method => 'Válasszon fizetési módot, vagy válasszon az összes elérhető ajánlat közül.';

  @override
  String get welcome_buy_press_buy => 'A kereskedés elindításához nyomja meg a VÁSÁRLÁS gombot.';

  @override
  String get welcome_buy_follow_the_sellers => 'Kövesse az eladó utasításait a kereskedési chaten!';

  @override
  String get welcome_sell_go_to_wallet => 'Helyezze letétbe az összeget a pénztárcájában.';

  @override
  String get welcome_sell_press_sell => 'A kereskedés elindításához nyomja meg az ELADÁS gombot.';

  @override
  String get welcome_sell_follow_the_buyer => 'Kövesse a vevő utasításait a kereskedési chaten!';

  @override
  String get get_started => 'Indulás';

  @override
  String get send_to => 'Címzett';

  @override
  String get error_only_numbers_are_possible => 'Csak számok lehetségesek.';

  @override
  String get error_entered_greater_than_balance => 'A megadott érték nagyobb, mint az egyenleg.';

  @override
  String get amount_to_receive => 'Érkező összeg';

  @override
  String get amount_to_send => 'Elküldendő összeg';

  @override
  String your_deposit_address(Object asset) {
    return 'Az Ön $asset befizetési címe';
  }

  @override
  String pending(Object num1, Object num2) {
    return 'Folyamatban ($num1/$num2)';
  }

  @override
  String get preview => 'Előnézet';

  @override
  String get close => 'Bezárás';

  @override
  String get deposit => 'Letét';

  @override
  String get share => 'Részvény';

  @override
  String get edit => 'Szerkesztés';

  @override
  String get confirm_transaction => 'Tranzakció megerősítése';

  @override
  String get transaction_fee => 'Tranzakciós díj';

  @override
  String get show_qr_code => 'QR-kód megjelenítése';

  @override
  String get security => 'Biztonság';

  @override
  String get no_pending_deposits => 'Nincsenek függőben lévő betétek';

  @override
  String get create_pin => 'PIN-kód létrehozása';

  @override
  String get change_pin => 'PIN-kód módosítása';

  @override
  String get remove_pin => 'PIN-kód eltávolítása';

  @override
  String get remove_pin_message_success => 'PIN-kód törölve';

  @override
  String get you_will_receive => 'Érkező összeg';

  @override
  String get total_amount_to_send => 'Teljes küldendő összeg';

  @override
  String get enter_amount_to_receive_without_fee => 'Adja meg a kapni kívánt összeget (díj nélkül)';

  @override
  String get enter_amount_to_receive_with_fee => 'Adja meg a levonandó összeget (díjjal együtt)';

  @override
  String get return_reserve_from_trade => 'Kereskedési tartalék visszatérítése';

  @override
  String get user_profile => 'Felhasználói profil';

  @override
  String get personal_introduction => 'Személyes bemutatkozás';

  @override
  String get trading_reputation_on_other_platforms => 'Kereskedelmi hírnév más platformokon';

  @override
  String get how_to_link_my_account => 'Hogyan kapcsolhatom össze a fiókomat?';

  @override
  String link_account(Object platform) {
    return '$platform fiók összekapcsolása';
  }

  @override
  String what_is_your_username(Object platform) {
    return 'Mi a $platform felhasználóneve?';
  }

  @override
  String get enter_username => 'Adja meg felhasználónevét';

  @override
  String get edit_personal_introduction => 'Személyes bemutatkozás szerkesztése';

  @override
  String get your_info => 'Az Ön adatai';

  @override
  String get website => 'Weboldal';

  @override
  String get are_you_sure => 'Biztos ebben?';

  @override
  String get no_trusted_users_yet => 'Nincsenek megbízható felhasználók.';

  @override
  String get no_blocked_users_yet => 'Nincsenek letiltott felhasználók.';

  @override
  String get no_transactions_yet => 'Még nincsenek tranzakciók.';

  @override
  String get web_links => 'Internetes linkek';

  @override
  String get tor_links => 'Tor linkek';

  @override
  String get i2p_links => 'I2P linkek';

  @override
  String get active_coupons => 'Aktív kuponok';

  @override
  String get expired_coupons => 'Lejárt kuponok';

  @override
  String get hide_expired_coupons => 'Lejárt kuponok elrejtése';

  @override
  String get show_expired_coupons => 'Lejárt kuponok megjelenítése';

  @override
  String get terms_and_conditions => 'Felhasználási feltételek';

  @override
  String get current_email => 'Jelenlegi e-mail';

  @override
  String get remove_email => 'E-mail eltávolítása';

  @override
  String get email_not_received_content => 'Ha nem kapta meg az megerősítő e-mailt, ellenőrizze a „Spam” mappát, vagy';

  @override
  String get email_not_received_link => 'kattintson ide az e-mail újraküldéséhez.';

  @override
  String get email_confirm_delete => 'Erősítse meg az e-mail törlését';

  @override
  String get email_deleted => 'E-mail törölve.';

  @override
  String email_confirmation_we_ve_sent_an_email(Object email) {
    return 'E-mailt küldtünk a $email címre. Kattintson az e-mailben található hivatkozásra az e-mail címének megerősítéséhez.';
  }

  @override
  String app_staff(Object appName) {
    return '$appName munkatársai';
  }

  @override
  String get current_password => 'Jelenlegi jelszó';

  @override
  String get save_your_backup_code => 'Mentse el a biztonsági kódot';

  @override
  String get your_backup_code => 'Az Ön biztonsági kódja';

  @override
  String get set_up_2fa => 'Állítsa be a 2FA-t';

  @override
  String get download_2fa => 'Töltsön le egy 2FA alkalmazást. Másolja ki az alábbi kódot, és illessze be az alkalmazásba.';

  @override
  String get paste_code => 'Kód beillesztése';

  @override
  String get code_valid => 'A kód érvényes';

  @override
  String get verifying_the_code => 'A kód ellenőrzése...';

  @override
  String get language => 'Nyelv';

  @override
  String get my_profile => 'A profilom';

  @override
  String get choose_ad_default_region => 'Válassza ki a hirdetés alapértelmezett régióját';

  @override
  String get knowledge_base => 'Tudásbázis';

  @override
  String get report_this_ad => 'Hirdetést jelentése';

  @override
  String get cash_only => 'Csak készpénz';

  @override
  String get dispute_started => 'Vita megkezdve';

  @override
  String get payment_info => 'Fizetési információ';

  @override
  String get trade_ad => 'Kereskedelmi hirdetés';

  @override
  String get ask_delete_ad => 'Biztosan törli ezt a hirdetést?';

  @override
  String get general => 'Általános';

  @override
  String get final_price => 'Végső ár';

  @override
  String get use_price_formula_to_calculate => 'A kiszámításhoz használja az árképletet';

  @override
  String get enter_price_formula => 'Adja meg az árképletet';

  @override
  String get trade_limits => 'Kereskedési limitek (nem kötelező)';

  @override
  String get trade_details => 'Kereskedési adatok (nem kötelező)';

  @override
  String get reply => 'Válasz';

  @override
  String get trade_loading_failed => 'A kereskedés betöltése sikertelen, kérjük ellenőrizze a kapcsolatot.';

  @override
  String get dark_theme => 'Sötét színséma';

  @override
  String search__no_results(Object country) {
    return 'A kiválasztott feltételekkel még nincs találat a következő országban: $country. ';
  }

  @override
  String get affiliate__explain_is_reg => 'A társulás akkor kerül bejegyzésre, ha egy felhasználó az Ön hivatkozási kódját tartalmazó linkről regisztrál.';

  @override
  String get affiliate__ref_code_title => 'Az Ön ajánlókódja';

  @override
  String affiliate__users__text(Object number) {
    return 'Ön jelenleg $number felhasználó ajánlója, és jutalékot kap az általuk végzett összes kereskedésből.';
  }

  @override
  String affiliate__terms__text___agoradesk(Object appName) {
    return '• Hivatkozhat bármely oldalra, például országlistára vagy fizetési módok listájára, vagy bármi másra az $appName oldalon.\n• Kriptovalutát fog keresni azoktól a felhasználóktól, akik az Ön affiliate linkregiszterén keresztül érkeznek az oldalra és kereskednek.\n• A kifizetések naponta történnek $appName pénztárcájába a megfelelő kriptovalutákban.\n• A jutalék kifizetése a felhasználó regisztrációjától számított egy évig történik. A jutalék az új felhasználó által az $appName-ből származó bevételen alapul (kereskedési díjak).\n• Tilos minden rossz játék, például félrevezető reklám.\n• Spammelés tilos. A spamelés magában foglalja a leiratkozott privát vagy nyilvános üzenetek küldését fórumokon/redditen, leiratkozott tömeges leveleket stb.\n• Tilos rejtett iframe-ek hozzáadása egy webhelyhez társvállalatok rögzítése érdekében. Csak a társult iframe-ek vagy a weboldalra mutató közvetlen linkek engedélyezettek.\n• Az $appName-nek joga van bármely társult felhasználót bármikor letiltani. Ha megszegi a feltételeket, a társult programja megszűnik.';
  }

  @override
  String affiliate__example__text(Object assetName, Object appName, Object assetSymbol) {
    return 'Két felhasználót kap, az $assetName vevőjét és eladóját az $appName-en regisztrálva, és ők egy 100 $assetSymbol értékű kereskedést bonyolítanak le. Mindkét résztvevőtől 20% jutalékot kap az $appName kereskedési díj után, összesen az $appName díj 40%-át.\n\nMegkeresett összege 0,4 $assetSymbol. Csak a tranzakciós folyamatunkon átmenő, véglegesített értékesítés számít. A kifizetések naponta történnek.\n\nAz $appName támogatása több mint készségesen segít bármilyen kérdésben.';
  }

  @override
  String get affiliate__enable_btn => 'Társprogram engedélyezése';

  @override
  String affiliate__enabled(Object ref_code, Object appName) {
    return 'Társprogramja engedélyezve van, és jutalékot kaphat, ha hozzáadja az $ref_code kódot bármely $appName URL-hez.';
  }

  @override
  String reputation_import__step__username__input__label(Object platform) {
    return 'Az Ön $platform felhasználóneve';
  }

  @override
  String reputation_import__step__code__message(Object platform) {
    return 'Adja hozzá ezt a kódot a nyilvános $platform profiljához. Miután ellenőriztük a kódot, eltávolíthatja.';
  }

  @override
  String settings__homepage_tip(Object example_url) {
    return 'Megjelenik a nyilvános profilon. Csak érvényes URL fogadható el (pl. https://$example_url)';
  }

  @override
  String get settings__personal_info_tip => 'Megjelenik a nyilvános profilon. Maximum 65536 karakter. Markdown használható a formázáshoz.';

  @override
  String get settings__personal_info_tip_1 => 'Megjelenik a nyilvános profilon. Maximum 65536 karakter.';

  @override
  String get coupons__coupon__type_here => 'Írja be a kuponkódot';

  @override
  String get trade__mark_pay_according => ' Fizessen az alábbi fizetési adatok alapján. Ha kérdése van, keresse meg az eladót a chaten.';

  @override
  String get dashboard__trade__status__open => 'Megnyitás';

  @override
  String get wallet__available_balance => 'Rendelkezésre álló egyenleg';

  @override
  String get trade__dialog__confirm_release_monero_text_password => 'Ezt a jelszót használható a nem felügyelt pénztárca létrehozásához és a tranzakció aláírásához. A LocalMonero nem tudja visszaállítani a pénztárcáját, ha elveszíti ezt a jelszót.';

  @override
  String get dont_have_an_account_yet => 'Még nincs fiókja?';

  @override
  String get app_trades => 'Kereskedések';

  @override
  String get app_unlimited => 'Korlátlan';

  @override
  String get app_guides => 'Útmutatók';

  @override
  String get app_edit_this_ad => 'Hirdetés szerkesztése';

  @override
  String get app_you_can_use_markdown => 'Markdown használható a hirdetés feltételeinek formázásához (képeket nem támogat).';

  @override
  String get app_no_trades_to_export => 'Nincs exportálható kereskedés.';

  @override
  String app_settings_2fa_step_two(Object appName) {
    return 'Írja fel a biztonsági kódot (fent zöld színnel) egy darab papírra, és tárolja biztonságos helyen. Szüksége lesz rá, ha elveszíti telefonját, vagy kizáródik a fiókjából. A(z) $appName nem tud segíteni, ha elveszíti ezt a kódot.';
  }

  @override
  String get ad_post_ad_rules_text_0 => 'Mielőtt hirdetést ad fel, kérjük, olvassa el ';

  @override
  String app_trade_warning_impersonation(Object appName) {
    return 'Óvakodj azoktól a csalóktól, akik megpróbálják kiadni magukat a személyzetnek!\nAz $appName adminisztrátorai soha nem fogják azt mondani, hogy fejezze be a kereskedést.\nA személyzeti üzenetek háttere piros.';
  }

  @override
  String app_buy_sell(Object val) {
    return 'Mennyit szeretne $val?';
  }

  @override
  String app_buyer_marked_as_paid(Object val) {
    return '$val a kereskedést fizetettként jelölte meg';
  }

  @override
  String app_buy_crypto_from(Object val) {
    return 'Vásároljon kriptot az $val-től';
  }

  @override
  String app_sell_crypto_to(Object val) {
    return 'Adj el kriptot az $val számára';
  }

  @override
  String app_trades_with(Object val) {
    return 'Tekintse meg a kereskedéseket $val-el';
  }

  @override
  String app_able_to_cancel(Object val1, Object val2) {
    return '($val1 $val2 percen belül lemondhatja, hacsak nem jelöli fizetettnek)';
  }

  @override
  String app_able_to_cancel_now(Object val) {
    return '($val mostantól lemondhatja, hacsak nem jelöli fizetettnek)';
  }

  @override
  String app_buying_from(Object asset, Object amount, Object username) {
    return '$amount $asset vásárlása a következőtől: $username';
  }

  @override
  String app_selling_to(Object asset, Object amount, Object username) {
    return '$amount $asset eladása a következőnek: $username';
  }

  @override
  String app_for_sum(Object val) {
    return '$val számára';
  }

  @override
  String get app_buy_crypto => 'Kripto vásárlása';

  @override
  String get app_sell_crypto => 'Kripto eladása';

  @override
  String get app_intall_trade_title => 'Kérjük, telepítse az AgoraDesk programot a kereskedés megtekintéséhez';

  @override
  String get app_intall_ad_title => 'A hirdetés megtekintéséhez kérjük, telepítse az AgoraDesk programot';

  @override
  String get app_intall_trade_body => 'Ez egy Bitcoin-alapú kereskedés, megtekintéséhez az AgoraDesk alkalmazásunk szükséges.';

  @override
  String get app_intall_ad_body => 'Ez egy Bitcoin-alapú hirdetés, a megtekintéséhez az AgoraDesk alkalmazásunk szükséges.';

  @override
  String get app_trade_option_payment_receiver_cancel_notice => 'Soha ne zárjon le egy kereskedést, amíg nem 100%-ig biztos abban, hogy megkapta a pénzt. A csalók megpróbálhatják rávenni korai befejezésre.';

  @override
  String get app_cancel_trade_message => 'Hibát vétett, vagy másik kereskedőt szeretne kipróbálni? Ha már átutalta az összeget, és szeretné lemondani, akkor a  kereskedelmi partnerével kell tárgyalnia az összeg visszaküldéséről. Soha ne mondjon le kereskedést, amíg nem győzödött meg, hogy visszakapta a pénzét.';

  @override
  String get app_all_feedback => 'Minden visszajelzés';

  @override
  String get app_camera => 'Kamera';

  @override
  String get app_clear => 'Törlés';

  @override
  String get app_ad_deleted => 'Hirdetés törölve';

  @override
  String get app_verifiacetion_code_to_seller => 'Ez az Ön ellenőrző kódja. Megadhatja a vevőnek, hogy a vevő ellenőrizhesse a kereskedés lezárását az eszköz használata nélkül.';

  @override
  String get app_verification_code => 'Ellenőrző kód';

  @override
  String get app_ad => 'Hirdetés';

  @override
  String get app_with => '-val -vel';

  @override
  String get app_edited => 'Szerkesztett';

  @override
  String get app_permanent => 'Állandó';

  @override
  String get app_error_saving => 'Hiba a mentés során. A módosítások mentése nem sikerült.';

  @override
  String get app_manage_ads => 'Hirdetések kezelése';

  @override
  String get app_vacation_enabled => 'Nyaralás beállítva';

  @override
  String get app_trade_created => 'Kereskedés létrejött';

  @override
  String get app_session_expired => 'A munkamenet lejárt';

  @override
  String get app_anonymous_crash_diagnostics => 'Névtelen összeomlási diagnosztika';

  @override
  String get app_restart_now => 'Újraindítás most';

  @override
  String get app_postpone => 'Elhalasztás';

  @override
  String get app_biometric_authentication => 'Biometrikus hitelesítés';

  @override
  String get app_biometric_authentication_message => 'Kérjük, állítson be PIN-kódot a biometrikus hitelesítés engedélyezéséhez.';

  @override
  String get app_anonymous_crash_diagnostics_restart => 'Az anonim összeomlási diagnosztika le lett tiltva, az alkalmazás újraindítása után nem kerül elküldésre.';

  @override
  String get app_trading_partners => 'Kereskedő partnerek';

  @override
  String get app_trade_status_settlement_processing_description => 'Az elszámolás feldolgozása folyamatban van. További teendője nincs; kérem, várjon.';

  @override
  String get app_buyer_settlement_fee_level_description => 'Válassza ki az elszámolás során használt díjszintet. Az itt látható értékek becslések az aktuális árfolyam alapján, eltérhetnek az elszámolás során alkalmazottaktól. Amennyiben az ügylet összege túl alacsony ahhoz, hogy a választott díjszinttel kiegyenlítse a kereskedést, az elszámolás során automatikusan alacsonyabb díjszint kerül kiválasztásra.';

  @override
  String get app_change_vacation_settings => 'Nyaralási beállítások módosítása.';

  @override
  String get app_gallery => 'Képtár';

  @override
  String get app_via => 'keresztül';

  @override
  String get app_one_percent => '1% díj';

  @override
  String get app_final_amount => 'Végső összeg';

  @override
  String app_note_label(Object val) {
    return 'Jegyzet róla: $val (nem nyilvános)';
  }

  @override
  String app_note_add(Object val) {
    return 'Megjegyzés hozzáadása a következőhöz: $val';
  }

  @override
  String app_update_new_version_available(Object val) {
    return 'Megjelent az új $val verzió.';
  }

  @override
  String get app_update_now => 'Frissítés most';

  @override
  String get app_update_ingnor_until_next => 'Figyelmen kívül hagyás a következő frissítésig';

  @override
  String get app_update_ignore_always => 'Mindig figyelmen kívül hagy';

  @override
  String get app_tooltip_visibility => 'Érintse meg a láthatóság változtatásához';

  @override
  String get app_tooltip_long_press_ad => 'Nyomja meg hosszan a hirdetést a csoportszerkesztés engedélyezéséhez';

  @override
  String get app_join_telegram => 'Csatlakozás a Telegram csoporthoz';

  @override
  String get app_join_matrix => 'Csatlakozás a Matrix csoporthoz';

  @override
  String get app_display_password => 'Jelszó megjelenítése';

  @override
  String get app_hide_password => 'Jelszó elrejtése';

  @override
  String get app_trade_has_been_cancelled => 'A kereskedést lemondták.';

  @override
  String app_last_seen(Object val) {
    return 'Utoljára online: $val';
  }

  @override
  String get app_open_additional_filters => 'További szűrők megnyitása';

  @override
  String get app_select_asset => 'Eszköz kiválasztása';

  @override
  String get app_select_trade_type => 'Kereskedés típusa';

  @override
  String get app_paste => 'Beillesztés';

  @override
  String get app_scan_qr_code => 'QR kód beolvasása';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sbagoradesk => 'Vásároljon vagy adjon el Bitcoint névtelenül, személyi igazolvány ellenőrzése nélkül. Készpénzben vagy online. Biztonságos, gyors, egyszerű.\n\nKíváncsi vagy, hogyan fektess be Bitcoinba? Az AgoraDesken a bitcoinok vásárlása még soha nem volt ilyen egyszerű – azonnal vásároljon BTC-t egy személytől kedvenc online fizetési módjával: PayPal, hitelkártya/bankkártya vagy banki átutalás, ajándékkártyák, Venmo vagy bármilyen más. Ha készpénzzel szeretne bitcoinokat vásárolni a közelben, találhat valakit, aki hajlandó bitcoint eladni helyben – a kereskedési platform támogatja a BTC készpénzes vásárlását és eladását. Akár levélben is vásárolhat bitcoint készpénzzel.\n\n- Biztonságos és zökkenőmentes kereskedés\nCsakúgy, mint a LocalBitcoins, mi is támogatunk minden fizetési módot, bármilyen pénznemet, bárhol. Nem távolítjuk el a fizetési módokat, és a LocalBitcoinnal ellentétben teljes mértékben támogatjuk a személyes készpénzes kereskedést. Minden kereskedésünket választottbírósági kötvény védi. Köszönhetően annak, hogy a kereskedés megkezdése előtt választottbírósági kötvényben kell tartani a pénzeszközöket, zökkenőmentes és biztonságos élményt biztosítunk a vevő számára, ami elengedhetetlen a platform népszerűségéhez és az eladók visszatérő vásárlóihoz.\n\n- Nincs KYC/AML vagy azonosító ellenőrzés\nAz AgoraDesk elkötelezett amellett, hogy megőrizze azt az egyszerűséget és közvetlenséget, amely az eredeti LocalBitcoinokat olyan népszerűvé tette. Nem alkalmazunk KYC/AML-t, és nem is tervezünk ilyet.\n\n- A közösség megbízásából\nPlatformunk több mint négy éve működik, túlélte a 2018-as nagy kriptovaluta-piaci összeomlást, és közösségorientált szorgalmas szolgáltatása révén a rendkívül szkeptikus kriptovaluta közösség egyik legmegbízhatóbb névévé vált.\n\n- Biztonságos, nyílt forráskódú, adatvédelmi központú, cenzúraálló\nAlkalmazásunk ingyenes és nyílt forráskódú, ami biztosítja, hogy sok szem nézze az alkalmazás kódját, hogy ne legyenek biztonsági rések vagy adatvédelmi szivárgások. Alkalmazásunk nyílt forráskódja azt is lehetővé teszi, hogy bárki hozzáférjen az alkalmazásunkhoz, még akkor is, ha egy adott alkalmazástár cenzúrázza az alkalmazást. Alkalmazásunk olyan telefonokon is működik, amelyeken a Google teljesen le van tiltva. Nagyon fontosnak tartjuk a magánéletét, még csak nem is kérünk e-mailt a regisztráció során.\n\nForráskód: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblémakövető: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Csillagok támogatása\nÜgyfélszolgálati csapatunk gyors, készséges, és mindig szívesen tesznek eleget. Soha nem kaptunk olyan támogatási jegyet, amelyre 24 órán belül ne válaszoltak volna. A közösségi médián keresztül mindig könnyen elérhetőek vagyunk, figyelmesen hallgatjuk kritikáit, és mindig rekordidő alatt megvalósítjuk a jó felhasználói javaslatokat.\n\nÜgyfélszolgálatunkat a következő címen érheti el: https://agoradesk.com/support\n\n- Tisztességes díjak\nNem számítunk fel túlzott díjat, ha Bitcoinokat helyez be vagy von ki választottbírósági kötvénytárcánkba, illetve onnan. Nincs befizetési díj, és a kifizetési díj nagyon közel van ahhoz a díjhoz, amelyet egy normál tranzakció esetén fizetne.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: Bitcoin egyszerűen';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: Monero egyszerűen';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sblocalmonero => 'Vásároljon vagy adjon el Monero-t személyazonosító igazolvány nélkül. Készpénzben vagy online. Biztonságos, gyors, egyszerű.\n\nA LocalMonero a legnagyobb, legmegbízhatóbb és legmegbízhatóbb P2P kereskedési platform az XMR közösségben. Nincsenek KYC csekkjeink – egyszerűen vásárolhat Monero névtelenül, PayPal-lal, hitelkártyával, ajándékkártyával, készpénzzel postai úton, vagy konvertálhat Bitcoint, Ethert, USDT-t vagy bármilyen más kriptoérmét Monero-ra – platformunk bármilyen fizetési módot támogat.\n\n- Biztonságos és zökkenőmentes kereskedés\nBármilyen fizetési módot, bármilyen pénznemet, bárhol támogatunk. Nem távolítjuk el a fizetési módokat, és teljes mértékben támogatjuk a személyes készpénzes kereskedést. Minden kereskedésünket választottbírósági kötvény védi. Köszönhetően annak, hogy a kereskedés megkezdése előtt választottbírósági kötvényben kell tartani a pénzeszközöket, zökkenőmentes és biztonságos élményt biztosítunk a vevő számára, ami elengedhetetlen a platform népszerűségéhez és az eladók visszatérő vásárlóihoz.\n\n- Nincs KYC/AML vagy azonosító ellenőrzés\nA LocalMonero elkötelezett amellett, hogy megőrizze kereskedési tapasztalatának egyszerűségét és közvetlenségét. Nem alkalmazunk KYC/AML-t, és nem is tervezünk ilyet.\n\n- A közösség megbízásából\nPlatformunk több mint négy éve működik, túlélte a 2018-as nagy kriptovaluta-piaci összeomlást, és közösségorientált szorgalmas szolgáltatása révén a rendkívül szkeptikus Monero közösség egyik legmegbízhatóbb névévé vált.\n\n- Biztonságos, nyílt forráskódú, adatvédelmi központú, cenzúraálló\nAlkalmazásunk ingyenes és nyílt forráskódú, ami biztosítja, hogy sok szem nézze az alkalmazás kódját, hogy ne legyenek biztonsági rések vagy adatvédelmi szivárgások. Alkalmazásunk nyílt forráskódja azt is lehetővé teszi, hogy bárki hozzáférjen az alkalmazásunkhoz, még akkor is, ha egy adott alkalmazástár cenzúrázza az alkalmazást. Alkalmazásunk olyan telefonokon is működik, amelyeken a Google teljesen le van tiltva. Nagyon fontosnak tartjuk a magánéletét, még csak nem is kérünk e-mailt a regisztráció során.\nVásároljon vagy adjon el Monero-t személyazonosító igazolvány nélkül. FIGYELMEZTETÉS: EZ AZ ALKALMAZÁS JELENLEG NYÍLT BÉTA VAN!\n\nForráskód: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblémakövető: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Csillagok támogatása\nÜgyfélszolgálati csapatunk gyors, készséges, és mindig szívesen tesznek eleget. Soha nem kaptunk olyan támogatási jegyet, amelyre 24 órán belül ne válaszoltak volna. A közösségi médián keresztül mindig könnyen elérhetőek vagyunk, figyelmesen hallgatjuk kritikáit, és mindig rekordidő alatt megvalósítjuk a jó felhasználói javaslatokat.\n\nTámogatásunkat a következő címen érheti el: https://localmonero.co/support\n\n- Tisztességes díjak\nNem számítunk fel túlzott díjat, amikor Monero-t befizeti vagy kiveszi választottbírósági kötvénytárcánkba vagy onnan. Nincs befizetési díj, és a kifizetési díj nagyon közel van ahhoz a díjhoz, amelyet egy normál tranzakció esetén fizetne.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: XMR diszkréten';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sblocalmonero => 'Vásároljon vagy adjon el Monero-t személyazonosító igazolvány nélkül. Készpénzben vagy online. Biztonságos, gyors, egyszerű.\n\nA LocalMonero a legnagyobb, legmegbízhatóbb és legmegbízhatóbb P2P kereskedési platform az XMR közösségben. Nincsenek KYC csekkjeink – egyszerűen vásárolhat Monero névtelenül, PayPal-lal, hitelkártyával, ajándékkártyával, készpénzzel postai úton, vagy konvertálhat Bitcoint, Ethert, USDT-t vagy bármilyen más kriptoérmét Monero-ra – platformunk bármilyen fizetési módot támogat.\n\n- Biztonságos és zökkenőmentes kereskedés\nBármilyen fizetési módot, bármilyen pénznemet, bárhol támogatunk. Nem távolítjuk el a fizetési módokat, és teljes mértékben támogatjuk a személyes készpénzes kereskedést. Minden kereskedésünket választottbírósági kötvény védi. Köszönhetően annak, hogy a kereskedés megkezdése előtt választottbírósági kötvényben kell tartani a pénzeszközöket, zökkenőmentes és biztonságos élményt biztosítunk a vevő számára, ami elengedhetetlen a platform népszerűségéhez és az eladók visszatérő vásárlóihoz.\n\n- Nincs KYC/AML vagy azonosító ellenőrzés\nA LocalMonero elkötelezett amellett, hogy megőrizze kereskedési tapasztalatának egyszerűségét és közvetlenségét. Nem alkalmazunk KYC/AML-t, és nem is tervezünk ilyet.\n\n- A közösség megbízásából\nPlatformunk több mint négy éve működik, túlélte a 2018-as nagy kriptovaluta-piaci összeomlást, és közösségorientált szorgalmas szolgáltatása révén a rendkívül szkeptikus Monero közösség egyik legmegbízhatóbb névévé vált.\n\n- Biztonságos, nyílt forráskódú, adatvédelmi központú, cenzúraálló\nAlkalmazásunk ingyenes és nyílt forráskódú, ami biztosítja, hogy sok szem nézze az alkalmazás kódját, hogy ne legyenek biztonsági rések vagy adatvédelmi szivárgások. Alkalmazásunk nyílt forráskódja azt is lehetővé teszi, hogy bárki hozzáférjen az alkalmazásunkhoz, még akkor is, ha egy adott alkalmazástár cenzúrázza az alkalmazást. Alkalmazásunk olyan telefonokon is működik, amelyeken a Google teljesen le van tiltva. Nagyon fontosnak tartjuk a magánéletét, még csak nem is kérünk e-mailt a regisztráció során.\n\nForráskód: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblémakövető: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Csillagok támogatása\nÜgyfélszolgálati csapatunk gyors, készséges, és mindig szívesen tesznek eleget. Soha nem kaptunk olyan támogatási jegyet, amelyre 24 órán belül ne válaszoltak volna. A közösségi médián keresztül mindig könnyen elérhetőek vagyunk, figyelmesen hallgatjuk kritikáit, és mindig rekordidő alatt megvalósítjuk a jó felhasználói javaslatokat.\n\nTámogatásunkat a következő címen érheti el: https://localmonero.co/support\n\n- Tisztességes díjak\nNem számítunk fel túlzott díjat, amikor Monero-t befizeti vagy kiveszi választottbírósági kötvénytárcánkba vagy onnan. Nincs befizetési díj, és a kifizetési díj nagyon közel van ahhoz a díjhoz, amelyet egy normál tranzakció esetén fizetne.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: BTC diszkréten';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sbagoradesk => 'Vásároljon vagy adjon el Bitcoint személyi igazolvány ellenőrzése nélkül. Készpénzben vagy online.\n\nKíváncsi vagy, hogyan fektess be Bitcoinba? Az AgoraDesken a bitcoinok vásárlása még soha nem volt ilyen egyszerű – azonnal vásároljon BTC-t egy személytől kedvenc online fizetési módjával: PayPal, hitelkártya/bankkártya vagy banki átutalás, ajándékkártyák, Venmo vagy bármilyen más. Ha készpénzzel szeretne bitcoinokat vásárolni a közelben, találhat valakit, aki hajlandó bitcoint eladni helyben – a kereskedési platform támogatja a BTC készpénzes vásárlását és eladását. Akár levélben is vásárolhat bitcoint készpénzzel.\n\n- Biztonságos és zökkenőmentes kereskedés\nCsakúgy, mint a LocalBitcoins, mi is támogatunk minden fizetési módot, bármilyen pénznemet, bárhol. Nem távolítjuk el a fizetési módokat, és a LocalBitcoinnal ellentétben teljes mértékben támogatjuk a személyes készpénzes kereskedést. Minden kereskedésünket választottbírósági kötvény védi. Köszönhetően annak, hogy a kereskedés megkezdése előtt választottbírósági kötvényben kell tartani a pénzeszközöket, zökkenőmentes és biztonságos élményt biztosítunk a vevő számára, ami elengedhetetlen a platform népszerűségéhez és az eladók visszatérő vásárlóihoz.\n\n- Nincs KYC/AML vagy azonosító ellenőrzés\nAz AgoraDesk elkötelezett amellett, hogy megőrizze azt az egyszerűséget és közvetlenséget, amely az eredeti LocalBitcoinokat olyan népszerűvé tette. Nem alkalmazunk KYC/AML-t, és nem is tervezünk ilyet.\n\n- A közösség megbízásából\nPlatformunk több mint négy éve működik, túlélte a 2018-as nagy kriptovaluta-piaci összeomlást, és közösségorientált szorgalmas szolgáltatása révén a rendkívül szkeptikus kriptovaluta közösség egyik legmegbízhatóbb névévé vált.\n\n- Biztonságos, nyílt forráskódú, adatvédelmi központú, cenzúraálló\nAlkalmazásunk ingyenes és nyílt forráskódú, ami biztosítja, hogy sok szem nézze az alkalmazás kódját, hogy ne legyenek biztonsági rések vagy adatvédelmi szivárgások. Alkalmazásunk nyílt forráskódja azt is lehetővé teszi, hogy bárki hozzáférjen az alkalmazásunkhoz, még akkor is, ha egy adott alkalmazástár cenzúrázza az alkalmazást. Alkalmazásunk olyan telefonokon is működik, amelyeken a Google teljesen le van tiltva. Nagyon fontosnak tartjuk a magánéletét, még csak nem is kérünk e-mailt a regisztráció során.\n\nForráskód: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblémakövető: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Csillagok támogatása\nÜgyfélszolgálati csapatunk gyors, készséges, és mindig szívesen tesznek eleget. Soha nem kaptunk olyan támogatási jegyet, amelyre 24 órán belül ne válaszoltak volna. A közösségi médián keresztül mindig könnyen elérhetőek vagyunk, figyelmesen hallgatjuk kritikáit, és mindig rekordidő alatt megvalósítjuk a jó felhasználói javaslatokat.\n\nÜgyfélszolgálatunkat a következő címen érheti el: https://agoradesk.com/support\n\n- Tisztességes díjak\nNem számítunk fel túlzott díjat, ha Bitcoinokat helyez be vagy von ki választottbírósági kötvénytárcánkba, illetve onnan. Nincs befizetési díj, és a kifizetési díj nagyon közel áll ahhoz a díjhoz, amelyet egy normál tranzakció esetén fizetne.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sblocalmonero => 'kriptovaluta,anonim,privát,monero,xmr,p2p';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sbagoradesk => 'kriptovaluta, bitcoin, monero, BTC, XMR, anonim, privát';

  @override
  String get app_report_this_user => 'Felhasználó jelentése';

  @override
  String get app_open_dropdown => 'Legördülő menü megnyitása';

  @override
  String get error250Sbsignup250Sb175 => 'A regisztráció során nem létező kupon beváltásának kísérlete';

  @override
  String get error250Sbsignup250Sb176 => 'Lejárt kupon beváltásának kísérlete a regisztráció során';

  @override
  String get error250Sbsignup250Sb177 => 'Olyan kupont próbálunk beváltani, amely a regisztráció során elfogyott';

  @override
  String get nojs250Sbpassword8722Sbreset250Sbsuccess => 'Jelszó-visszaállító levél elküldve! Ellenőrizze postaládáját.';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbcontinue => 'Fogadja el a feltételeket és folytassa';

  @override
  String get logout250Sbtitle => 'Kijelentkezés';

  @override
  String get coupons250Sbcode8722Sbapply => 'Alkalmazzon kuponkódot';

  @override
  String post8722Sbad250Sbtrade8722Stype250Sbonline8722Sbuy(Object assetName) {
    return 'Vásároljon $assetName-et online';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_buy => 'vételi opció vétel';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_sell => 'vételi opció eladása';

  @override
  String get app_accessibility_edit_box_password => 'Edit box password, double tap to edit';

  @override
  String get app_ad_created => 'Ad created';

  @override
  String app_503_title(Object val) {
    return '$val App Maintenance';
  }

  @override
  String app_503_body(Object val) {
    return '$val will be back soon!\nSorry for the inconvenience but we\'re performing some scheduled maintenance at the moment.\nWe\'ll probably be back online soon. Stay updated in our community groups:';
  }
}
