import 'i18n.dart';

/// The translations for Latvian (`lv`).
class I18nLv extends I18n {
  I18nLv([String locale = 'lv']) : super(locale);

  @override
  String get numSb404 => 'Tu esi apmaldījies. Šī lapa neeksistē.';

  @override
  String about250Sbblock8722Sb18722Sbtext(Object appName) {
    return 'Uzņēmumā $appName mūsu mērķis ir izveidot drošu un viegli lietojamu platformu savstarpējai saskarsmei, lai ikviens jebkurā vietā varētu tirgot savu vietējo valūtu pret Monero. Mūsu lietotāji ievieto sludinājumus, norādot vēlamo maksājuma veidu (piemēram, bankas pārskaitījums, skaidra nauda, tiešsaistes maksājumu apstrādātājs, piemēram, PayPal, dāvanu kartes utt.), citi lietotāji atbild uz šiem sludinājumiem, $appName ņem šķīrējtiesas ķīlu, kas vienāda ar darījuma summu no lietotāja, kas ir Monero pārdevējs konkrētajā darījumā, un pārdevējs nosūta Monero pircējam, kad pārdevējs apstiprina, ka ir saņēmis no pircēja maksājumu, pēc kura šķīrējtiesas ķīla tiek atgriezta pārdevējam. $appName var arī iesaistīties, lai būtu starpnieks jebkurā strīdā, kas var rasties.';
  }

  @override
  String about250Sbblock8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return 'Uzņēmumā $appName mūsu mērķis ir izveidot drošu un viegli lietojamu platformu savstarpējai sadarbībai, lai ikviens varētu jebkurā vietā tirgot savu vietējo valūtu pret kriptovalūtu. Mūsu lietotāji ievieto sludinājumus, norādot vēlamo maksājuma veidu (piemēram, bankas pārskaitījums, skaidra nauda, tiešsaistes maksājumu apstrādātājs, piemēram, PayPal, dāvanu kartes utt.), citi lietotāji atbild uz šiem sludinājumiem, $appName ņem šķīrējtiesas ķīlu, kas vienāda ar darījuma summu no lietotāja, kas ir kriptovalūtas pārdevējs konkrētajā darījumā, un pārdevējs nosūta kriptovalūtu pircējam, kad pārdevējs apstiprina, ka ir saņēmis no pircēja maksājumu, pēc kura šķīrējtiesas obligācija tiek atgriezta pārdevējam. $appName var arī iesaistīties, lai būtu starpnieks jebkurā strīdā, kas var rasties.';
  }

  @override
  String get about250Sbblock8722Sb18722Sbtitle => 'Mūsu misija';

  @override
  String about250Sbblock8722Sb28722Sbtext(Object appName) {
    return 'Vietnē $appName jums ir darīšana ar cilvēkiem. Atšķirībā no centralizētām kriptovalūtu biržām, jūs veicat darījumu tieši ar citu personu. Tas padara procesu vienkāršu un ātru, jo uzņēmumam nav jāmaksā. Jūs saņemat savu Monero uzreiz. Turklāt $appName var atbalstīt katru maksājuma veidu, ko atbalsta tā lietotāju kopiena, ļaujot lietotājiem bez piekļuves tradicionālajai bankai arī pirkt vai pārdot Monero. Katram darījumam $appName pārdevējam ir jāiemaksā šķīrējtiesas obligācija, lai aizsargātu Monero pircēju.';
  }

  @override
  String about250Sbblock8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Vietnē $appName jums ir darīšana ar cilvēkiem. Atšķirībā no centralizētām kriptovalūtu biržām, jūs veicat darījumu tieši ar citu personu. Tas padara procesu vienkāršu un ātru, jo uzņēmumam nav jāmaksā. Jūs saņemat savu kriptovalūtu uzreiz. Turklāt $appName var atbalstīt visas maksājumu metodes, ko atbalsta tā lietotāju kopiena, ļaujot lietotājiem bez piekļuves tradicionālajai bankai tirgoties ar kriptovalūtu. Katram darījumam $appName pieprasa, lai pārdevējs iegrāmato šķīrējtiesas obligāciju, lai aizsargātu kriptovalūtas pircēju.';
  }

  @override
  String get about250Sbblock8722Sb28722Sbtitle => 'Kā mēs esam atšķirīgi';

  @override
  String get about250Sbcontact8722Sbbtn => 'Sazinies ar mums';

  @override
  String get about250Sbtitle => 'Par mums';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuy8722Sbbtn => 'Pirkt';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuyer => 'Pircējs';

  @override
  String get ad8722Sblisting8722Sbtable250Sbdistance => 'Attālums';

  @override
  String get ad8722Sblisting8722Sbtable250Sblimits => 'Ierobežojumi';

  @override
  String get ad8722Sblisting8722Sbtable250Sblocation => 'Atrašanās vieta';

  @override
  String get ad8722Sblisting8722Sbtable250Sbmethod => 'Apmaksas veids';

  @override
  String ad8722Sblisting8722Sbtable250Sbprice(Object assetSymbol) {
    return 'Cena/$assetSymbol';
  }

  @override
  String get ad8722Sblisting8722Sbtable250Sbsell8722Sbbtn => 'Pārdod';

  @override
  String get ad8722Sblisting8722Sbtable250Sbseller => 'Pārdevējs';

  @override
  String get ad8722Sblisting8722Sbtable250Sbshow8722Sbmore => 'Parādīt vairāk...';

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore8722Sbby8722Sbuser(Object user) {
    return 'Rādīt vairāk šāda veida reklāmu no $user...';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore250Sball8722Sbin8722Sbcountry8722Sbor8722Sbcurrency(Object countryOrcurrency) {
    return 'Viss iekš $countryOrcurrency';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbhide(Object username) {
    return 'Slēpt $username līdzīgās reklāmas';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbshow(Object numberOfSimilarAds, Object username) {
    return 'Rādīt vēl $numberOfSimilarAds līdzīgas reklāmas no $username';
  }

  @override
  String get ad8722Sbpage250Sbcant8722Sbsend8722Sbtrade8722Sbrequest => 'Šobrīd nevar pieprasīt šī sludinājuma tirdzniecību';

  @override
  String get ad8722Sbpage250Sbedit8722Sbad8722Sbbtn => 'Rediģēt sludinājumu';

  @override
  String get ad8722Sbpage250Sberror250Sbtitle => 'Tirdzniecības pieprasījuma kļūda';

  @override
  String ad8722Sbpage250Sbfirst8722Sbtime8722Sblimit8722Sbtip(Object firstTimelimitxmr) {
    return 'Šis tirgotājs pieļauj maksimālo $firstTimelimitxmr pirmo darījumu ar viņu.';
  }

  @override
  String ad8722Sbpage250Sbfluctuations8722Sbtip(Object assetSymbol) {
    return 'Lūdzu, ņemiet vērā, ka faktiskā darījuma summa $assetSymbol var nedaudz atšķirties no šobrīd uzrādītās summas cenu un valūtas kursa svārstību dēļ.';
  }

  @override
  String ad8722Sbpage250Sbfor8722Sbtrusted(Object username) {
    return 'Tikai lietotājiem, kuriem uzticas $username';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location, Object user, Object currency) {
    return 'Pārdodiet $assetName par skaidru naudu $location uz $user ar $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location, Object user, Object currency) {
    return 'Pērciet $assetName ar skaidru naudu $location no $user ar $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Pārdod $assetName, izmantojot $paymentMethod${detail} ar $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbsell(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Iegādājieties $assetName, izmantojot $paymentMethod${detail} ar $currency';
  }

  @override
  String ad8722Sbpage250Sbhidden8722Sbwarning8722Sb0(Object editAd) {
    return 'Šīs reklāmas redzamība ir iestatīta kā paslēpta. Varat to mainīt $editAd lapā.';
  }

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb08722Sbedit8722Sbad => 'Rediģēt sludinājumu';

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb1 => 'Šī reklāma pašlaik nav aktīva. Lūdzu, meklējiet citus piedāvājumus vai atgriezieties vēlāk.';

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy => 'pirkt';

  @override
  String ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy57Sbsell(Object buyOrsell) {
    return 'Cik daudz vēlaties saņemt $buyOrsell?';
  }

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbsell => 'pārdot';

  @override
  String get ad8722Sbpage250Sbinfo250Sbpayment8722Sbwindow => 'Maksājumu logs';

  @override
  String get ad8722Sbpage250Sbinfo250Sbtrade8722Sblimits => 'Tirdzniecības limiti';

  @override
  String get ad8722Sbpage250Sbinfo250Sbuser => 'Lietotājs';

  @override
  String ad8722Sbpage250Sblimit8722Sbto8722Sbamounts(Object amounts, Object currency) {
    return 'Šim tirgotājam ir ierobežotas iespējamās tirdzniecības summas līdz $amounts $currency';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbamount8722Sbtip(Object minimumAmount) {
    return 'Ar šo sludinājumu jums ir jāveic tirdzniecība vismaz par $minimumAmount.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbfeedback8722Sbtip(Object minimumFeedbackscore) {
    return 'Šim tirgotājam ir nepieciešams vismaz $minimumFeedbackscore atgriezeniskās saites rādītājs, lai veiktu tirdzniecību.';
  }

  @override
  String get ad8722Sbpage250Sbreport8722Sbad => 'Ziņo par šo sludinājumu, atverot biļeti';

  @override
  String ad8722Sbpage250Sbrequest8722Sbtrade250Sbmin8722Sbrequired8722Sbbalance(Object amount, Object appName) {
    return 'Lai segtu 1% šķīrējtiesas aizsardzības maksu par šo darījumu, jūsu $appName šķīrējtiesas obligāciju makā ir jābūt $amount.';
  }

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbaccept8722Sbprice => 'Pieņemiet cenu un turpiniet';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbamount => 'Jauns tirdzniecības apjoms';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbprice => 'Jauna cena';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbold8722Sbprice => 'Vecā cena';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbselect8722Sbadjustment => 'Pielāgojiet tirdzniecības summu';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbtitle => 'Cena ir mainījusies';

  @override
  String get ad8722Sbpage250Sbselect8722Sbamount => 'Izvēlieties summu...';

  @override
  String get ad8722Sbpage250Sbsend8722Sbtrade8722Sbrequest8722Sbbtn => 'Nosūtīt tirdzniecības pieprasījumu';

  @override
  String get ad8722Sbpage250Sbshow8722Sbon8722Sbmap => 'Parādīt kartē';

  @override
  String get ad8722Sbpage250Sbsign8722Sbup8722Sbbtn => 'Reģistrējieties, lai sāktu tirdzniecību';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbbtn => 'Piekrītiet noteikumiem un sāciet tirdzniecību';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbsubtitle => 'Vai piekrītat šī tirgotāja noteikumiem?';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbtitle => 'Izlasi noteikumus';

  @override
  String ad8722Sbpage250Sbterms8722Sbof8722Sbtrade(Object username) {
    return 'Tirdzniecības noteikumi ar $username';
  }

  @override
  String get ad8722Sbpage250Sbtips => 'Padomi';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb0 => 'Izlasiet sludinājumu un pārbaudiet noteikumus.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb1 => 'Piedāvājiet tikšanās vietu un kontaktēšanās laiku, ja tiek tirgota fiziska nauda.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb2 => 'Uzmanieties no krāpniekiem! Pārbaudiet atsauksmes par profilu un rīkojieties īpaši piesardzīgi ar nesen izveidotajiem kontiem.';

  @override
  String ad8722Sbpage250Sbtips8722Sbtext8722Sb3(Object assetName) {
    return 'Ņemiet vērā, ka noapaļošana un cenu svārstības var mainīt galīgo $assetName summu. Summa $assetName tiek aprēķināta, pamatojoties uz jūsu ievadīto tirdzniecības valūtas summu.';
  }

  @override
  String get ad250Sbconfirmation250Sbaccept8722Sbterms8722Sbbtn => 'Pieņemiet noteikumus';

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress(Object asset) {
    return 'Norādiet norēķinu $asset maka adresi';
  }

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbsubtitile(Object asset) {
    return 'Adrese tiks izmantota, lai saņemtu jūsu iegādāto $asset. Pārliecinieties, vai adrese ir pareiza un jums ir piekļuve makam, pretējā gadījumā monētas var tikt neatgriezeniski pazaudētas.';
  }

  @override
  String get ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbyou8722Sbown => 'Uzsākot darījumu, jūs apstiprināt, ka saņemošais maks pieder jums';

  @override
  String get ad250Sbdeleted => 'Šis sludinājums ir izdzēsts';

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Pārdod $assetName par skaidru naudu $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Pērciet $assetName ar skaidru naudu $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Pārdod $assetName tiešsaistē $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Iegādājieties $assetName tiešsaistē $country';
  }

  @override
  String ad250Sblinks250Sbsubtitle(Object appName, Object assetName) {
    return 'Vai neatradāt meklēto darījumu? Šajos $appName sarakstos ir vairāk $assetName tirdzniecības darījumu, kas ir līdzīgi šim:';
  }

  @override
  String get ad250Sblinks250Sbtitle => 'Saraksti ar šo sludinājumu';

  @override
  String get ad250Sblisting250Sbinsufficient8722Sbbalance => 'Tirgotājam ir nepietiekams atlikums';

  @override
  String get ad250Sbno8722Sbmax8722Sbamount => 'jebkura summa ';

  @override
  String get ad250Sbno8722Sbmin8722Sbamount => 'Līdz ';

  @override
  String get ad250Sbno8722Sbterms => 'Nav norādīti tirdzniecības noteikumi. ';

  @override
  String ad250Sbnotice250Sbprotected(Object link) {
    return 'Šo tirdzniecību aizsargā $link';
  }

  @override
  String get ad250Sbnotice250Sbprotected250Sblink => 'šķīrējtiesas obligācija';

  @override
  String get ad250Sbself8722Sbvacation8722Sbnotice => 'Šī reklāma nav publiski redzama, jo jūs pašlaik esat atvaļinājumā. Varat to mainīt iestatījumos vai informācijas panelī.';

  @override
  String get ad250Sbverified8722Sbemail => 'Jūsu e-pasts ir jāapstiprina, lai atvērtu darījumu ar šo sludinājumu';

  @override
  String address8722Sbinput250Sbbuyer8722Sbsettlement8722Sbaddress250Sblabel(Object asset) {
    return 'Norēķinu $asset maka adrese';
  }

  @override
  String get affiliate250Sbbanner250Sbcode => 'Reklāmkaroga kods:';

  @override
  String affiliate250Sbbanner250Sbtext(Object appName, Object linebreak, Object iframe) {
    return 'Reklāmkarogi reklamē $appName ar jūsu filiāli. Jūs varat pievienot HTML reklāmkarogus saviem emuāriem un vietnēm. $linebreak  $iframe reklāmkarogs jūsu reklāmai (izmērs 234 x 60 pikseļi, pusreklāmkaroga vienība):';
  }

  @override
  String get affiliate250Sbbanner250Sbtitle => 'Reklāmkarogs';

  @override
  String get affiliate250Sbenable8722Sbbtn => 'Iespējot saistīto programmu';

  @override
  String affiliate250Sbenabled(Object refCode, Object appName) {
    return 'Jūsu saistītā programma ir iespējota, un jūs varat nopelnīt komisijas naudu, pievienojot savu filiāles tagu $refCode jebkuram $appName URL.';
  }

  @override
  String affiliate250Sbexample250Sbtext(Object assetName, Object appName, Object assetSymbol, Object linebreak, Object support) {
    return 'Jūs saņemat divus lietotājus — $assetName pircēju un pārdevēju, kas reģistrēti $appName, un viņi veic vienu darījumu, kura vērtība ir 100 $assetSymbol. Jūs nopelnāt 20% komisijas maksu par $appName tirdzniecības maksām no abiem dalībniekiem, kopā 40% no $appName maksas. Jūsu nopelnītā summa ir 0,4 $assetSymbol. Svarīga ir tikai pabeigta pārdošana, kas notiek mūsu darījuma procesā. Izmaksas tiek veiktas katru dienu. $linebreak  $appName $support ir vairāk nekā gatavs jums palīdzēt ar visiem jautājumiem.';
  }

  @override
  String get affiliate250Sbexample250Sbtext8722Sbsupport => 'atbalsts';

  @override
  String get affiliate250Sbexample250Sbtitle => 'Komisijas piemērs';

  @override
  String get affiliate250Sbinstructions8722Sb0 => 'Piederība tiek reģistrēta, kad jebkurš lietotājs reģistrējas pēc nokļūšanas vietnē, izmantojot saiti ar jūsu novirzīšanas kodu.';

  @override
  String get affiliate250Sbinstructions8722Sblink8722Sbtype8722Sbregular8722Sbsubtitle => 'Regulāri:';

  @override
  String affiliate250Sbinstructions8722Sbtext(Object appName) {
    return 'Varat izmantot jebkuru no $appName saitēm, piemēram:';
  }

  @override
  String get affiliate250Sbinstructions8722Sbtitle => 'Piemēri saites';

  @override
  String affiliate250Sblogged8722Sbout(Object signUp, Object logIn) {
    return 'Varat iespējot saistīto programmu pēc $signUp vai $logIn.';
  }

  @override
  String get affiliate250Sblogged8722Sbout8722Sblog8722Sbin => 'Pieslēgties';

  @override
  String get affiliate250Sblogged8722Sbout8722Sbsign8722Sbup => 'Pierakstīties';

  @override
  String get affiliate250Sbpayouts250Sbnone => 'Vēl nav nekādu izmaksu';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdate => 'Datums';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription => 'Apraksts';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription8722Sbtext => 'Saistītās programmas komisijas izmaksa';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbreceived => 'Saņemts ';

  @override
  String get affiliate250Sbpayouts250Sbtitle => 'Izmaksas';

  @override
  String affiliate250Sbref8722Sbcode(Object refCode) {
    return 'Jūsu ieteikuma kods ir: $refCode';
  }

  @override
  String affiliate250Sbterms250Sbtext(Object appName, Object assetName) {
    return '• Varat izveidot saiti uz jebkuru atsevišķu lapu, piemēram, valsts sarakstu vai maksājuma veidu sarakstu, vai jebko citu $appName. <br/>• Jūs nopelnīsiet $assetName no lietotājiem, kuri ieradīsies vietnē, izmantojot jūsu saistīto saišu reģistru un veiks darījumus. <br/>• Izmaksas katru dienu tiks veiktas jūsu $appName makā kā $assetName. <br/>• Komisijas maksa tiks maksāta vienu gadu no lietotāja reģistrācijas. Komisija ir balstīta uz ienākumiem, ko jaunais lietotājs gūst par $appName (tirdzniecības maksa). <br/>• Ja jums ir aktīvi kuponi, jūsu kopējās kuponu atlaides konkrētajā periodā tiks atņemtas no jūsu saistītā uzņēmuma ieņēmumiem tajā pašā periodā. Ja jūsu kopējā atlaides summa konkrētajā periodā ir lielāka vai vienāda ar saistītā uzņēmuma ieņēmumiem tajā pašā konkrētajā periodā, jūs nesaņemsiet nekādus partneruzņēmuma ieņēmumus šajā periodā. <br/>• Jebkura nediena spēle, piemēram, maldinoša reklāma, ir aizliegta. <br/>• Surogātpasta sūtīšana ir aizliegta. Surogātpasta sūtīšana ietver neabonētu privātu vai publisku ziņojumu sūtīšanu forumos/reddit, anulētus masu sūtījumus utt. <br/>• Slēptu iframe pievienošana vietnei, lai tvertu saistītos uzņēmumus, ir aizliegta. Ir atļauti tikai saistītie iframe vai tiešas saites uz tīmekļa lapu. <br/>• $appName ir tiesības jebkurā laikā atspējot jebkuru saistīto lietotāju. Ja pārkāpsiet noteikumus, jūsu saistītā programma tiks pārtraukta.';
  }

  @override
  String affiliate250Sbterms250Sbtext57Sbagoradesk(Object appName) {
    return '• Varat izveidot saiti uz jebkuru atsevišķu lapu, piemēram, valsts sarakstu vai maksājuma veidu sarakstu, vai jebko citu $appName. <br/>• Jūs nopelnīsiet kriptovalūtu no lietotājiem, kuri ieradīsies vietnē, izmantojot jūsu saistīto saišu reģistru un veiks darījumus. <br/>• Izmaksas tiks veiktas katru dienu jūsu $appName makā attiecīgajās kriptovalūtās. <br/>• Komisijas maksa tiks maksāta vienu gadu no lietotāja reģistrācijas. Komisija ir balstīta uz ienākumiem, ko jaunais lietotājs gūst par $appName (tirdzniecības maksa). <br/>• Jebkura nediena spēle, piemēram, maldinoša reklāma, ir aizliegta. <br/>• Surogātpasta sūtīšana ir aizliegta. Surogātpasta sūtīšana ietver neabonētu privātu vai publisku ziņojumu sūtīšanu forumos/reddit, anulētus masu sūtījumus utt. <br/>• Slēptu iframe pievienošana vietnei, lai tvertu saistītos uzņēmumus, ir aizliegta. Ir atļauti tikai saistītie iframe vai tiešas saites uz tīmekļa lapu. <br/>• $appName ir tiesības jebkurā laikā atspējot jebkuru saistīto lietotāju. Ja pārkāpsiet noteikumus, jūsu saistītā programma tiks pārtraukta.';
  }

  @override
  String get affiliate250Sbterms250Sbtitle => 'Saistītās programmas noteikumi';

  @override
  String get affiliate250Sbtitle => 'Saistītā programma';

  @override
  String affiliate250Sbusers250Sbtext(Object number) {
    return 'Jūs pašlaik esat reģistrēts kā $number lietotāju saistītais uzņēmums un nopelnīsiet komisijas naudu no visiem viņu veiktajiem darījumiem.';
  }

  @override
  String get affiliate250Sbusers250Sbtitle => 'Lietotāji';

  @override
  String get agoradesk250Sbad8722Sbpage250Sbhow8722Sbmuch8722Sbnotional8722Sbamount250Sbor => 'vai';

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sball => 'RĀDĪT VISAS REKLĀMAS';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sbcoin(Object assetSymbol) {
    return '$assetSymbol TIKAI REKLĀMAS';
  }

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sball => 'PARĀDĪT VISU';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbcoin(Object assetSymbol) {
    return 'TIKAI $assetSymbol';
  }

  @override
  String get agoradesk250Sbasset250Sblabel => 'Kriptovalūtas aktīvs';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuy => 'pirkt';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuyer => 'pircējs';

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral(Object buy_or_sell_button_name) {
    return 'Pēc pogas \'$buy_or_sell_button_name\' nospiešanas redzēsit vairāk informācijas par sludinājumu, tostarp tirdzniecības noteikumus. Izlasiet tos pirms tirdzniecības pieprasījuma iesniegšanas, ja nepiekrītat, varat atgriezties iepriekšējā lapā un izvēlēties citu sludinājumu.';
  }

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral250Sbhow8722Sbto8722Sbstart(Object asset, Object buy_or_sell) {
    return 'Lai sāktu tirdzniecību, ierakstiet, cik daudz $asset vēlaties $buy_or_sell, un noklikšķiniet uz pogas \"Sūtīt tirdzniecības pieprasījumu\", lai sāktu tirdzniecību.';
  }

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbsell => 'pārdot';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbseller => 'pārdevējs';

  @override
  String get agoradesk250Sbguide250Sbbtc8722Sbas8722Sban8722Sbexample => 'Šajā rokasgrāmatā mēs izmantosim BTC kā bāzes valūtu, taču tie paši noteikumi attiecas uz XMR.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbbuyer => 'Ja neesat pārliecināts, kā vēlaties maksāt, kā maksājuma veidu izvēlieties \"Visi tiešsaistes piedāvājumi\".';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbseller => 'Ja neesat pārliecināts, kā vēlaties saņemt samaksu, kā maksājuma veidu izvēlieties \"Visi tiešsaistes piedāvājumi\".';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbbuy8722Sbtab8722Sbname => 'Pirkt';

  @override
  String agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbad8722Sbtype(Object buy_or_sell_tab_name) {
    return 'Pēc tam kreisajā kolonnā atlasiet cilni $buy_or_sell_tab_name. Ja vēlaties mainīt valsti, valūtu, maksājuma veidu vai norādīt nepieciešamo summu, noklikšķiniet uz pogas \'Rādīt meklēšanas izvēlni\', izvēlieties vajadzīgos parametrus un nospiediet meklēšanas pogu.';
  }

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbasset => 'Pēc tam atlasiet kriptovalūtu, ar kuru vēlaties tirgoties, nospiežot atbilstošo cilni rindā virs reklāmu tabulas. Šajā piemērā mēs izvēlēsimies BTC.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbmain8722Sbpage => 'Dodieties uz galveno lapu.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsearch8722Sbresults => 'Vietnē būs norādīti jūsu reģionā pieejamie tirgotāji.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsell8722Sbtab8722Sbname => 'Pārdod';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbbuy => 'Pirkt';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbcoins => 'Tirgot monētas';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbsell => 'Pārdod';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbitm8722Sbotm8722Sbseparator250Sbcurrent8722Sbmarket8722Sbprice => 'Tirgus cena';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmor250Sbbutton => 'Ielādēt vairāk...';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmore250Sbloading => 'Lūdzu uzgaidiet';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbcta => 'Reģistrējieties bez maksas, lai sāktu tirgot Bitcoin tūlīt';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbcontent => 'Mūsu šķīrējtiesas standarti ir ļoti augsti, jo <strong> mēs nepieņemam ekrānuzņēmumus vai citus viegli viltojamus dokumentus kā pierādījumu strīdos</strong>. Šī iemesla dēļ mēs spējam atturēt lielu skaitu krāpnieku no mēģinājumiem iztīrīt mūsu platformu. Mēs ātri reaģējam uz lietotāju ziņojumiem un izdodam brīdinājumus reģionos, kur ir pēkšņas krāpnieku aktivitātes.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbtitle => 'Krāpšanas novēršana';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb0 => 'Nav KYC/AML vai verifikācijas';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb1 => 'Jebkura valūta, jebkura maksājuma metode, jebkurā vietā';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb10(Object nojs) {
    return '$nojs (ielādējas pēc noklusējuma, piekļūstot no Tor vai I2P)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb108722Sb1 => 'Vietnes versija bez JavaScript';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb11 => 'Pilnībā funkcionē, kad Google ir bloķēts';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb12(Object affiliate) {
    return '$affiliate - nopelniet komisiju par tirdzniecības lietotāju uzaicināšanu';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb128722Sb1 => 'Saistītā programma';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb13 => 'Daudzvalodu: mēs atbalstām angļu, krievu, ķīniešu (gan vienkāršoto, gan tradicionālo), itāļu, portugāļu un spāņu valodu';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb14(Object telegram) {
    return 'Mobilie paziņojumi, izmantojot $telegram, lai tālrunī nebūtu jāinstalē vēl viena lietotne, lai tikai saņemtu push paziņojumus par saviem darījumiem (LocalBitcoins šo funkciju ieviesa pēc mums)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb15 => 'Skaistas reklāmas, izmantojot Markdown';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb16 => '2FA (ar TOTP lietotnēm, piemēram, Google Authenticator vai andOTP)';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb17 => 'Izņemiet valūtu, kas nav BTC ';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb18 => 'Sarežģīti cenu noteikšanas mehānismi, izmantojot cenu formulas';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb19 => 'un vēl...';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb2 => 'Bitcoin tirdzniecība tiešsaistē';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb20(Object api) {
    return 'Pilnībā funkcionāls $api, kas veidots pēc LocalBitcoins API, lai atvieglotu pāreju';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb208722Sb1 => 'API';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb3 => 'Bezsaistes skaidras naudas tirdzniecība Bitcoin aci pret aci';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb4 => 'Pilnīga šķīrējtiesas obligāciju aizsardzība visos tiešsaistes darījumos';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb5 => 'Bez depozīta maksas, godīgas izņemšanas maksas';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb6 => 'Ātrs un atsaucīgs atbalsts';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb7 => 'Reģistrācijas laikā nav e-pasta';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb8 => 'Sīpolu portāls';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb9 => 'I2P portāls';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures250Sbtitle => 'AgoraDesk funkcijas ietver:';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbcontent => '<i>Atšķirībā no </i> LocalBitcoins, mēs neiekasējam pārmērīgas maksas, kad iemaksājat vai izņemat Bitcoins mūsu šķīrējtiesas obligāciju makā/no tā. Nav <strong> depozīta maksas, un maksa par izņemšanu ir ļoti tuva maksai, ko jūs maksātu par parastu darījumu</strong>. Par pārskaitījumiem uz citu AgoraDesk lietotāju makiem nav nekādas maksas.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbtitle => 'Godīgas maksas';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbhtml8722Sbdescription => 'Vai meklējat LocalBitcoins analogu, lai tirgotu Bitcoins vienādrangā bez KYC/AML vai verifikācijas? AgoraDesk ir jauna P2P platforma Bitcoin tirdzniecībai, ko izveidoja komanda aiz LocalMonero, kas ir Monero līdzvērtīgs LocalBitcoins. Mēs piedāvājam to pašu ātru un vienkāršu Bitcoin tirdzniecības pieredzi, ko izmantoja LocalBitcoins, un daudz ko citu.';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbintroduction(Object lbc, Object lm) {
    return 'Vai meklējat $lbc analogu Bitcoin vienādranga tirdzniecībai bez KYC/AML vai verifikācijas? AgoraDesk ir jauna P2P platforma Bitcoin tirdzniecībai, ko izveidoja komanda aiz $lm, Monero līdzvērtīga LocalBitcoins.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbcontent => 'AgoraDesk ir apņēmies saglabāt vienkāršību un tiešumu, kas padarīja sākotnējos LocalBitcoins tik populārus. <strong> Mēs neizmantojam KYC/AML, kā arī nekad neplānojam to darīt</strong>. Mēs esam stingri pārliecināti, ka pati KYC/AML koncepcija ir pilnīgi pretēja idejai par peer-to-peer bezrecepšu apmaiņu, piemēram, mūsu pašu, un līdz brīdim, kad uz <i> planētas Zeme vairs nebūs likumīgu ceļu. </i>, lai izvairītos no KYC/AML ieviešanas, mēs darīsim visu iespējamo, lai nodrošinātu jums bezrūpīgu pieredzi.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbtitle => 'Nav KYC/AML';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbcontent => ' Tā kā AgoraDesk ir izveidojusi komanda, kurai ir pieredze uz privātumu orientētā Monero kopienā, AgoraDesk manto to pašu uz privātumu orientēto pieeju, kas ir LocalMonero. Lietotājs, kurš pilnībā bloķē Google pakalpojumus, bez problēmām varēs izmantot mūsu platformu. <strong> Mūsu platforma ir pat pilnībā funkcionāla bez JavaScript</strong>, kas nodrošina tādu drošības un privātuma līmeni, kāds <i>nekad</i> nebūs sasniedzams citās platformās, kuru darbībai nepieciešams JavaScript.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbtitle => 'Darbojas bez JavaScript';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent(Object tor_link, Object advanced_routing, Object i2p_link, Object dont_ask_email) {
    return 'Mūsu vietne ir viegli pieejama, izmantojot $tor_link (kas ir pielāgota maksimālai veiktspējai jūsu komfortam, izmantojot $advanced_routing) un pat ar $i2p_link. Tas nodrošina ne tikai to, ka varēsit no mums slēpt savu patieso IP (ko mēs tik un tā nekad nesaistām ar jūsu kontu), bet arī to, ka, ja kāda iemesla dēļ mūsu parastais domēns jums kļūs nepieejams, jums būs citi veidi, kā piekļūt. mūsu pakalpojums. Mēs ļoti novērtējam jūsu privātumu, $dont_ask_email.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbadvanced8722Sbrouting => 'uzlabotas sīpolu maršrutēšanas funkcijas';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbi2p8722Sblink => 'I2P portāls';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbno8722Sbemail => 'mēs pat nepieprasām, lai reģistrējoties norādītu e-pastu';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbtor8722Sblink => 'Tor portāls';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbtitle => 'Uz privātumu orientēts, izturīgs pret cenzūru';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsubtitle => 'Mēs piedāvājam to pašu ātru un vienkāršu Bitcoin tirdzniecības pieredzi, ko izmantoja LocalBitcoins, un daudz ko citu.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbcontent => 'Mūsu atbalsta komanda ir ātra, atsaucīga un vienmēr vēlas iepriecināt. <strong> Mēs nekad neesam saņēmuši atbalsta biļeti, uz kuru nebūtu atbildēts 24 stundu laikā</strong>. Mēs vienmēr esam viegli sasniedzami, izmantojot sociālos medijus, mēs uzmanīgi uzklausām jūsu kritiku un vienmēr rekordīsā laikā īstenojam labus lietotāju ieteikumus.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbtitle => 'Zvaigžņu atbalsts';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtitle => 'LocalBitcoins alternatīva';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbcontent => 'Tāpat kā LocalBitcoins, mēs atbalstām <strong> jebkuru maksājuma veidu, jebkuru valūtu, jebkurā vietā</strong>. Mēs nenoņemam maksājuma veidus, un <i>atšķirībā no</i> LocalBitcoins, mēs <strong> pilnībā atbalstām tiešus skaidras naudas darījumus</strong>. Visi mūsu darījumi ir aizsargāti ar šķīrējtiesas obligāciju. Pateicoties tam, ka mēs pieprasām, lai līdzekļi tiktu turēti šķīrējtiesas obligācijā pirms tirdzniecības uzsākšanas, mēs pircējam nodrošinām vienmērīgu un ātru pieredzi, kas ir būtiska platformas popularitātei un atkārtotiem klientiem pārdevējiem.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbtitle => 'Droša un raita tirdzniecība';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbcontent => 'LocalMonero ir darbojies vairāk nekā divus gadus, pārdzīvojis 2018. gada lielo kriptovalūtu tirgus sabrukumu un, pateicoties <strong>kopienu orientētam rūpīgajam pakalpojumam</strong>, kļuva par vienu no <strong>uzticamākajiem</strong> nosaukumiem <i>. skeptiska</i> Monero kopiena.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbtitle => 'Sabiedrībai uzticas';

  @override
  String get agoradesk250Sbleft8722Sbmenu250Sbtrade => 'Tirdzniecība';

  @override
  String get agoradesk250Sblink8722Sbfrom8722Sblocalmonero => 'Tirdzniecība BTC';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbbuy => 'Pērciet monētas par skaidru naudu (lokāli)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbsell => 'Monētu pārdošana skaidrā naudā (lokāli)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbbuy => 'Pērciet monētas tiešsaistē';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbsell => 'Pārdodiet monētas tiešsaistē';

  @override
  String agoradesk250Sbstart250Sbcoins(Object appName) {
    return '$appName monētu tirdzniecības rokasgrāmatas';
  }

  @override
  String get agoradesk250Sbtrade250Sbaction250Sberror8722Sbdialog250Sbcontent => 'Jūsu darbība ir izraisījusi kļūdu. Lūdzu, atkārtoti ielādējiet lapu.';

  @override
  String agoradesk250Sbtrade250Sboption250Sbcall250Sbseller250Sbconfirm8722Sbpayment8722Sband8722Sbrelease(Object date) {
    return 'Pircējs ir atzīmējis maksājumu par pabeigtu uz $date. Pārliecinieties, vai esat saņēmis naudu, un pabeidziet darījumu.';
  }

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbbuyer250Sbtitle => 'Maksājiet pārdevējam';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbseller250Sbtitle => 'Gaida, kad pircējs samaksās';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbsix250Sbseller250Sbtitle => 'Apstipriniet maksājumu';

  @override
  String get agoradesk250Sbtrade250Sboption250Sblast8722Sbstep250Sbtitle => 'Tirdzniecība pabeigta';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayer8722Sbcancel8722Sbnotice => 'Vai esat kļūdījies vai vēlaties izmēģināt citu tirgotāju? Ja esat jau pārskaitījis līdzekļus un vēlaties atcelt tūlīt, jums pašam ar tirdzniecības partneri ir jāvienojas par maksājuma atgriešanu. <strong> Nekad neatceliet abonementu, ja neesat pārliecināts, ka esat saņēmis naudu atpakaļ. </strong>';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayment8722Sbreceiver8722Sbcancel8722Sbnotice => 'Nekad nepabeidziet darījumu, kamēr neesat 100% pārliecināts, ka esat saņēmis naudu. Krāpnieki mēģinās <strong> piemānīt jūs, lai jūs savlaicīgi pabeigtu</strong>.';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbbuyer => 'pircējs';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbseller => 'pārdevējs';

  @override
  String agoradesk250Sbwallet250Sbbtc250Sbsingle8722Sbuse8722Sbnotice(Object assetName) {
    return 'Šī adrese tiks automātiski mainīta pēc tās izmantošanas. Neskatoties uz to, ja nosūtīsit savu $assetName uz lietotu depozīta adresi, tas tiks ieskaitīts jūsu kontā. Mēs nerādam izmantotās depozīta adreses privātuma apsvērumu dēļ. Jūs varat sūtīt monētas uz šo adresi tikai no maka, kuru jūs personīgi kontrolējat.';
  }

  @override
  String get and => 'un';

  @override
  String get api8722Sbdocs250Sblabel => 'API dokumenti';

  @override
  String get api250Sbvalidation8722Sberror250Sbaddress => 'Nederīga adrese!';

  @override
  String get appbar8722Sbbtn250Sblogin => 'Pieslēgties';

  @override
  String get appbar8722Sbbtn250Sbsignup => 'Reģistrēties bez maksas';

  @override
  String get article250Sblast8722Sbupdated => 'Pēdējoreiz atjaunots';

  @override
  String get article250Sbpublished => 'Publicēts';

  @override
  String get as8722Sbseen8722Sbon => 'Kā redzams:';

  @override
  String get asset8722Sbprops250Sbname250Sbasset => 'monēta';

  @override
  String get asset8722Sbprops250Sbname250Sbbtc => 'Bitcoin';

  @override
  String get asset8722Sbprops250Sbname250Sbxmr => 'Monero';

  @override
  String breadcrumbs250Sblocal8722Sbbuy(Object asset, Object currencyCode) {
    return 'Pārdod $asset par $currencyCode';
  }

  @override
  String breadcrumbs250Sblocal8722Sbsell(Object asset, Object currencyCode) {
    return 'Pērciet $asset par $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbbuy(Object asset, Object currencyCode) {
    return 'Pārdod $asset par $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbsell(Object asset, Object currencyCode) {
    return 'Pērciet $asset par $currencyCode';
  }

  @override
  String get button250Sbaccept => 'Pieņemt';

  @override
  String get buy8722Sbmonero8722Sbin8722Sbany8722Sbcountry => 'jebkura valsts';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbcurrently => 'pašlaik';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbdescription => '<strong> Izvēlieties maksas līmeni, ko izmantot tirdzniecības norēķinu laikā. </strong> Šeit redzamās vērtības ir pašreizējās likmes aplēses, un tās var atšķirties no tām, kas tika piemērotas darījuma norēķinu laikā. Ja darījuma summa būs pārāk zema, lai norēķinātos par darījumu ar izvēlēto maksas līmeni, norēķinu laikā automātiski tiks izvēlēts zemāks komisijas maksas līmenis.';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbtitle => 'Norēķinu maksas līmenis';

  @override
  String get cancelled250Sbno8722Sbtrades => 'Jūs vēl neesat atcēlis nevienu darījumu';

  @override
  String get cancelled250Sbtitle => 'Jūsu atceltie darījumi';

  @override
  String get captcha250Sbhelper8722Sbtext => 'Ievadiet tekstu augstāk esošajā attēlā';

  @override
  String get chat250Sbattach => 'Pievienojiet failu';

  @override
  String get chat250Sbattachment => 'Pielikums';

  @override
  String get chat250Sbbtn => 'Sūtīt ziņu';

  @override
  String get chat250Sbcash8722Sbdeposit8722Sbseller8722Sbwarning => '<strong>Brīdinājums:</strong> ir bijuši gadījumi, kad pārdevēji saņēma čeku, kas vēlāk tika atsaukts. Noteikti pārbaudiet (piem., zvanot bankai) visus saņemtos depozītus!';

  @override
  String get chat250Sbeu8722Sbfraud8722Sbwarning => 'Šķiet, ka šobrīd mūsu Eiropas reģionā ir pieaudzis krāpšanas gadījumu skaits banku kontos. <br /> Mēs iesakām visiem mūsu tirgotājiem Eiropas reģionā ievērot īpašu piesardzību, strādājot ar jauniem tirdzniecības partneriem, piemēram, pieprasot fotogrāfiju, kurā ir redzams personas apliecība un papīra lapa ar tirdzniecības informāciju (piemēram, tirdzniecības ID, summa, lietotājvārds un datums). Ņemiet vērā, ka krāpnieku rīcībā var būt nopludināti vai nozagti KYC dokumenti. <br />';

  @override
  String chat250Sbinput8722Sbtip(Object appName) {
    return '<strong>Enter</strong>, lai sāktu jaunu rindiņu, <strong>Alt+Enter</strong>, lai nosūtītu ziņojumu. Maksimāli 65536 rakstzīmes. $appName šifrē un saglabā tērzēšanas ziņojumus 180 dienas strīdu starpniecības nolūkos.';
  }

  @override
  String chat250Sbinput8722Sbtip8722Sbshort(Object appName) {
    return '$appName šifrē un saglabā tērzēšanas ziņojumus 180 dienas strīdu starpniecības nolūkos.';
  }

  @override
  String get chat250Sbinput8722Sbtitle => 'Raksti ziņu...';

  @override
  String get chat250Sbmitm8722Sbcryptocurency8722Sbwarning => 'Brīdinājums: saņemiet pārdevēja adresi tikai šajā tirdzniecības tērzēšanā vai no maksājumu informācijas sadaļas šajā tirdzniecības lapā un nesūtiet maksājumu darījumu ID ārpus šīs tirdzniecības tērzēšanas! Mēs arī iesakām saglabāt visu saziņu šajā tirdzniecības tērzēšanā.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb0 => '⚠️ PSA: ir aktīvs jauns krāpnieks, kas darbojas kā vīrietis pa vidu. Krāpnieks sazinās ar jums ārpus platformas, izliekoties par platformas pārdevēju, piedāvājot jums no viņiem iegādāties XMR apmaiņā pret BTC par pazeminātu cenu (piemēram, samaksājiet 8 XMR vērtu BTC, lai iegādātos 10 XMR). Tajā pašā laikā viņi atver darījumu ar pārdevēju, par kuru viņi uzdodas platformā par samazinātu summu.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb1 => '<p>Pēc tam krāpnieks liek pircējam sākt tirdzniecību par pilnu summu un samaksāt samazināto summu, tajā pašā laikā uzraugot pārdevēja saņemšanas adresi blokķēdē un vērojot likumīgā pircēja samazinātās summas darījumu. Pēc tam krāpnieks paņem likumīgā pircēja txid un iesniedz to pārdevējam kā maksājuma pierādījumu. Pārdevējs izlaiž monētas krāpniekam, jo viņam ir atvērti divi darījumi, viens par pilnu summu no likumīgā pircēja un otrs par samazināto summu no krāpnieka, domājot, ka maksāja krāpnieks, jo summa atbilst viņu darījuma summai. </p>\n\n<p> <strong> NEVEICIET DARBĪBU ĀRPUS PLATFORMAS. JA KĀDS JUMS VIENAS ĀRPUSPLATFORMĀ, ATVER TIRDZNIECĪBU AR VIŅU PLATFORMĀ UN PĀRBAUDI, VAI VIŅI IR KAS SASKATAS, UN UZTUR TUR VISAS KOMUNIKĀCIJAS. </strong> </p>\n\n<p> <strong> PĀRDEVĒJI, KAS PIEŅEM MAKSĀJUMUS PAR caurspīdīgām kriptogrāfijas ķēdēm: PĀRLIECINĀJIETIES, LAI IZVĒROJATIES KLIENTIEM UN TIRDZNIECĪBĀM ATTIECĪBĀM MAKSĀJUMU DIFERENCIJAS. </strong> </p>\n\n<p> Publiski meklējamā kriptovalūtā, piemēram, BTC, katram darījumam vienmēr izmantojiet dažādas adreses. </p>';

  @override
  String get chat250Sbno8722Sbmessages => 'Vēl nav ziņojumu';

  @override
  String chat250Sbsecurity8722Sbwarning(Object appName) {
    return 'Neatveriet ārējās saites, ko saņemat tērzēšanā, un nelejupielādējiet no citiem lietotājiem ārēji saņemtus failus. Visām $appName darbībām vislabāk ir izmantot atsevišķu pārlūkprogrammu.';
  }

  @override
  String get chat250Sbselect8722Sbfile => 'Atlasiet failu...';

  @override
  String get chat250Sbsend => 'Sūtīt';

  @override
  String get chat250Sbshortcuts => 'Enter: jauna rinda, Alt+Enter: sūtīt';

  @override
  String chat250Sbtitle(Object user) {
    return 'Sūtīt ziņojumu uz $user';
  }

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtext => 'Pievienotajiem failiem jābūt .jpg vai .png formātā un ne vairāk kā 5 MB.';

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtitle => 'Augšupielādes kļūda';

  @override
  String get chat250Sbupload8722Sbfile => 'Augšupielādēt';

  @override
  String get chat250Sbupload8722Sbtip => 'Pieņemamie failu tipi: .jpg, .png. ne vairāk kā 5 MB.';

  @override
  String get chat250Sbzoom8722Sbtip => 'Padoms: nospiediet ziņojumu trīs reizes, lai tuvinātu';

  @override
  String get completed250Sbno8722Sbtrades => 'Jūs vēl neesat pabeidzis nevienu darījumu';

  @override
  String get completed250Sbtitle => 'Jūsu pabeigtie darījumi';

  @override
  String contact250Sble(Object lawEnforcementinquiries) {
    return 'Tiesībaizsardzības iestāžu jautājumiem, lūdzu, izlasiet $lawEnforcementinquiries.';
  }

  @override
  String get contact250Sble250Sbpolicy8722Sblink => 'mūsu politika';

  @override
  String contact250Sbtext8722Sb0(Object openAticket, Object email) {
    return 'Lai sazinātos ar mūsu atbalsta dienestu, varat $openAticket vai nosūtīt e-pastu uz $email';
  }

  @override
  String get contact250Sbtext8722Sb08722Sbopen8722Sba8722Sbticket => 'atver biļeti';

  @override
  String contact250Sbtext8722Sb1(Object email) {
    return 'Uzņēmējdarbībai, presei un citiem jautājumiem sazinieties ar mums pa $email';
  }

  @override
  String contact250Sbtext8722Sb2(Object appName, Object here) {
    return 'Jūs varat lejupielādēt $appName logotipu augstā kvalitātē $here.';
  }

  @override
  String get contact250Sbtext8722Sb28722Sbhere => 'šeit';

  @override
  String get contact250Sbtitle => 'Sazinies ar mums';

  @override
  String get coupons250Sbcode8722Sbinput250Sbplaceholder => 'Ievadiet savu kodu šeit...';

  @override
  String get coupons250Sbcoupon250Sbbutton250Sblabel => 'Izpirkt';

  @override
  String coupons250Sbcoupon250Sbdescription(Object percent, Object assets, Object types) {
    return '$percent% maksas atlaide $assets $types darījumiem.';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_buy => 'vietējais pirkums';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_sell => 'vietējā pārdošana';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_buy => 'pirkt tiešsaistē';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_sell => 'tiešsaistes pārdošana';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_buy => 'pārdošanas opciju pirkt';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_sell => 'pārdošanas iespēju pārdot';

  @override
  String get coupons250Sbcoupon250Sbexpired => 'Beidzies derīguma termiņš';

  @override
  String get coupons250Sbcoupon250Sbexpires => 'Beidzas';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbactive => 'Aktīvs kupons';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbexpired => 'Kuponam beidzies derīguma termiņš';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbredeem => 'Izpirkt kuponu';

  @override
  String get coupons250Sberror250Sb175 => 'Nederīgs kupona kods';

  @override
  String get coupons250Sberror250Sb176 => 'Kupona derīguma termiņš jau ir beidzies';

  @override
  String get coupons250Sberror250Sb177 => 'Šis kupons nav noliktavā';

  @override
  String get coupons250Sberror250Sb179 => 'Nederīgs kupona kods';

  @override
  String get coupons250Sberror250Sb180 => 'Kupona derīguma termiņš jau ir beidzies';

  @override
  String get coupons250Sberror250Sb181 => 'Šo kuponu var izmantot tikai reģistrācijas laikā';

  @override
  String get coupons250Sberror250Sb182 => 'Jūs jau esat izmantojis šo kuponu';

  @override
  String get coupons250Sberror250Sb183 => 'Šis kupons nav noliktavā';

  @override
  String get coupons250Sberror250Sb184 => 'Jums vienlaikus var būt tikai viens aktīvs kupons';

  @override
  String get coupons250Sberror250Sbdialog250Sbtitle => 'Kupona izpirkšanas kļūda';

  @override
  String coupons250Sberror250Sbgeneric(Object error_code) {
    return 'Izpērkot kuponu, radās problēma. Ja tas nešķiet pareizi, lūdzu, sazinieties ar atbalsta dienestu. Kļūdas kods: $error_code.';
  }

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbhide => 'Paslēpiet kuponus, kuriem beidzies derīguma termiņš';

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbshow => 'Parādiet savus kuponus, kuriem beidzies derīguma termiņš';

  @override
  String get coupons250Sbsignup250Sbshow8722Sbcoupon8722Sbinput8722Sbbtn => 'Man ir kupona kods';

  @override
  String get coupons250Sbsubtitle => 'Šeit tiks parādīti jūsu aktīvie kuponi, kuriem beidzies derīguma termiņš. Ja jums ir kupona kods, varat to izmantot šeit.';

  @override
  String get coupons250Sbterms8722Sb0 => 'Vienlaicīgi var būt aktīvs tikai viens kupons.';

  @override
  String get coupons250Sbterms8722Sb1 => 'Jūs nevarat deaktivizēt kuponu pēc tā izpirkšanas.';

  @override
  String get coupons250Sbterms8722Sb2 => 'Katrs kupons ir izpērkams tikai vienu reizi vienā kontā.';

  @override
  String get coupons250Sbterms8722Sb3 => 'Maksa tiek atdota tikai tai pusei, kura sākotnēji maksā šķīrējtiesas aizsardzības maksu par darījumu.';

  @override
  String get coupons250Sbterms8722Sb4 => 'Maksas atlaide tiks veikta, kad tirdzniecība tiks slēgta.';

  @override
  String get coupons250Sbterms8722Sb5 => 'Ja nopelnāt saistītās komisijas, jūsu kopējās kupona atlaides par noteiktu periodu tiks atņemtas no jūsu partnera ieņēmumiem tajā pašā periodā. Ja jūsu kopējā atlaides summa konkrētajā periodā ir lielāka vai vienāda ar saistītā uzņēmuma ieņēmumiem tajā pašā konkrētajā periodā, jūs nesaņemsiet nekādus partneruzņēmuma ieņēmumus šajā periodā.';

  @override
  String coupons250Sbterms8722Sb6(Object appName) {
    return '$appName patur tiesības deaktivizēt jūsu kuponu jebkurā laikā bez brīdinājuma vai kompensācijas.';
  }

  @override
  String get coupons250Sbterms250Sbtitle => 'Kuponu noteikumi un nosacījumi';

  @override
  String get coupons250Sbtitle => 'Kuponi';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbbtn => 'Dzēst sludinājumu';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtext => 'Tādējādi reklāma tiks neatgriezeniski izdzēsta. Apsveriet iespēju slēpt reklāmu, iestatot redzamību uz nepatiesu.';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtitle => 'Apstipriniet dzēšanu';

  @override
  String get dashboard250Sbad250Sbemail8722Sbverified => 'Šī reklāma ir paredzēta tikai lietotājiem ar verificētu e-pastu';

  @override
  String get dashboard250Sbad250Sbfor8722Sbtrusted => 'Tikai uzticamiem lietotājiem';

  @override
  String get dashboard250Sbad250Sbmethod250Sbcash => 'Skaidra nauda';

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbnegative(Object percent) {
    return 'Tirgus $percent';
  }

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbpositive(Object percent) {
    return 'Tirgus +$percent';
  }

  @override
  String get dashboard250Sbad250Sbtable8722Sbcreated8722Sbat => 'Izveidots';

  @override
  String get dashboard250Sbad250Sbtable8722Sbid => 'ID';

  @override
  String get dashboard250Sbad250Sbtable8722Sbmethod => 'Metode';

  @override
  String get dashboard250Sbad250Sbtable8722Sbprice => 'Cena';

  @override
  String get dashboard250Sbad250Sbtable8722Sbtype => 'Tips';

  @override
  String get dashboard250Sbad250Sbtable8722Sbvisible => 'Redzams';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbdelete8722Sbwarning => 'Tādējādi atlasītās reklāmas tiks neatgriezeniski izdzēstas. Apsveriet iespēju tos slēpt, iestatot redzamību uz nepatiesu.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbapply => 'Lietot atlasītajiem';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbfalse => 'Nepatiesi';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbtrue => 'Taisnība';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sberror => 'Atjauninot vairākas reklāmas, radās problēma. Dažas vai visas reklāmas, iespējams, nav atjauninātas. Jūs, iespējams, esat atlasījis pārāk daudz reklāmu vienlaikus. Lūdzu, atsvaidziniet lapu un mēģiniet vēlreiz.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbany => 'Jebkuras reklāmas';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbasset8722Sbbuys => 'Tikai to pašu līdzekļu iegādes reklāmas';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbcurrency => 'Tikai tās pašas valūtas reklāmas';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsells => 'Pārdod tikai sludinājumus';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbsetting8722Sbselect250Sblabel => 'Izvēlieties iestatījumu';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbtitle => 'Pārvaldiet vairākas reklāmas';

  @override
  String get dashboard250Sbads250Sbfilter250Sbapply8722Sbbtn => 'Lietot filtrus';

  @override
  String get dashboard250Sbads250Sbfilter250Sbasset => 'Aktīvs';

  @override
  String get dashboard250Sbads250Sbfilter250Sbdelete8722Sbselected => 'Dzēst atlasīto';

  @override
  String get dashboard250Sbads250Sbfilter250Sbno8722Sbads => 'Šeit nav reklāmu';

  @override
  String get dashboard250Sbads250Sbfilter250Sbreset8722Sbbtn => 'Atiestatīt filtrus';

  @override
  String get dashboard250Sbads250Sbfilter250Sbsort => 'Kārtot pēc';

  @override
  String get dashboard250Sbads250Sbfilter250Sbtype => 'Tips';

  @override
  String get dashboard250Sbads250Sbfilter250Sbvisibility => 'Redzamība';

  @override
  String get dashboard250Sbads250Sbload8722Sball => 'Ielādēt visas reklāmas';

  @override
  String get dashboard250Sbads250Sbshowing8722Sball => 'Tiek rādītas visas reklāmas';

  @override
  String get dashboard250Sbblocked => 'Bloķēts';

  @override
  String get dashboard250Sbfilter250Sball => 'Visi';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbboth => 'Pirkšana/pārdošana';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbbuying => 'Pirkšana';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbselling => 'Pārdodu';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbhidden => 'Slēpts';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbvisible => 'Redzams';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbno8722Sbads => 'Pašlaik jums nav reklāmu';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbtitle => 'Jūsu reklāmas';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbno8722Sbtrades => 'Jums pašlaik nav atvērtu darījumu';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbtitle => 'Jūsu atvērtie darījumi';

  @override
  String get dashboard250Sbpost8722Sbad8722Sbbtn => 'Izveidot jaunu sludinājumu';

  @override
  String get dashboard250Sbtitle => 'Mērinstrumentu panelis';

  @override
  String get dashboard250Sbtrade250Sbcancelled8722Sbat => 'Atcelts plkst';

  @override
  String get dashboard250Sbtrade250Sbcompleted8722Sbat => 'Pabeigts plkst';

  @override
  String get dashboard250Sbtrade250Sbcreated8722Sbat => 'Radīšanas laiks';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcancelled => 'Atcelts';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcompleted => 'Pabeigts';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbdisputed => 'Apstrīdēts';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbfunded => 'Finansēts';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbnot8722Sbpaid => 'Gaida maksājumu';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbpaid => 'Samaksāts, gaida pabeigšanu';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbunfunded => 'Nefinansēts';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbamount8722Sbfiat58Sb => 'Summa (valūtā)';

  @override
  String dashboard250Sbtrade250Sbtable8722Sbamount8722Sbxmr58Sb(Object assetSymbol) {
    return 'Summa ({asset})';
  }

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbid58Sb => 'ID';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbmethod58Sb => 'Metode';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbpartner58Sb => 'Tirdzniecības partneris';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbstatus58Sb => 'Statuss';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbtype58Sb => 'Tips';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbview8722Sbbtn58Sb => 'Skatīt';

  @override
  String get dashboard250Sbtrade250Sbuser8722Sbdeleted => '[dzēsts]';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbno8722Sbtrades => 'Šeit nav darījumu';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbrole => 'ES esmu...';

  @override
  String get dashboard250Sbtrusted => 'Uzticams';

  @override
  String get dashboard250Sbtrusted8722Sbusers => 'Jūsu uzticamie/bloķētie lietotāji';

  @override
  String get dashboard250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'NEPIECIEŠAMS STEIDZAMI RĪCĪBA: vienai vai vairākām jūsu pirkšanas reklāmām nav iestatīta norēķinu maka adrese. Nodrošiniet to pēc iespējas ātrāk, lai šīs reklāmas netiktu paslēptas. Varat izmantot filtrus un masveida reklāmu rediģēšanas funkciju, lai iestatītu to visām attiecīgajām reklāmām vienlaikus.';

  @override
  String get dashboards250Sbads250Sbfilter250Sbtitle => 'Filtrēt reklāmas';

  @override
  String get dashboards250Sbtrades250Sbfilter250Sbtitle => 'Filtrēt darījumus';

  @override
  String get description => 'Iegūstiet Monero. Ātri, viegli un droši. Pie jums.';

  @override
  String description250Sbaffiliate(Object appName) {
    return 'Jūs nopelnāt 20% no jūsu norādīto lietotāju radītajām tirdzniecības maksām. Šīs izmaksas katru dienu tiks veiktas kā Monero jūsu $appName makā. Jūsu norādītie lietotāji iegūs jums komisijas naudu 1 gadu no reģistrācijas datuma.';
  }

  @override
  String description250Sbaffiliate57Sbagoradesk(Object appName) {
    return 'Jūs nopelnāt 20% no jūsu norādīto lietotāju radītajām tirdzniecības maksām. Šīs izmaksas tiks veiktas katru dienu kā atbilstošas kriptovalūtas jūsu $appName makā. Jūsu norādītie lietotāji iegūs jums komisijas naudu 1 gadu no reģistrācijas datuma.';
  }

  @override
  String description250Sbfaq(Object appName) {
    return 'Atrodiet atbildes uz bieži uzdotajiem jautājumiem par Monero tirdzniecību un citiem ar $appName saistītiem jautājumiem.';
  }

  @override
  String description250Sbfaq57Sbagoradesk(Object appName) {
    return 'Atrodiet atbildes uz bieži uzdotajiem jautājumiem par kriptovalūtu tirdzniecību un citiem ar $appName saistītiem jautājumiem.';
  }

  @override
  String description250Sbfee(Object appName) {
    return 'Monero reģistrācija, pirkšana un pārdošana ir pilnīgi bez maksas. $appName lietotājiem, kuri veido sludinājumus, tiek iekasēta šķīrējtiesas aizsardzības maksa 1% apmērā par katru pabeigto darījumu.';
  }

  @override
  String description250Sbfee57Sbagoradesk(Object appName) {
    return 'Kriptovalūtu reģistrācija, pirkšana un pārdošana ir pilnīgi bez maksas. $appName lietotājiem, kuri veido sludinājumus, tiek iekasēta 1% arbitrāžas aizsardzības maksa par katru pabeigto darījumu.';
  }

  @override
  String description250Sbguide250Sb2fa(Object appName) {
    return 'Šī rokasgrāmata palīdzēs iestatīt divu faktoru autentifikāciju savam $appName kontam.';
  }

  @override
  String get description250Sbguide250Sbbtc => 'Vai tie laiki, kad ar kredītkarti varēja iegādāties bitkoinus uzreiz un bez pārbaudes, ir aiz muguras? Ne īsti. Šeit mēs piedāvājam vienkāršu, anonīmu, privātu un ātru veidu, kā iegūt bitkoīnus ar skaidru naudu, veicot tikai dažas darbības.';

  @override
  String description250Sbguide250Sbbuy(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums saprast, kā iegādāties Monero, izmantojot populāras tiešsaistes maksājumu metodes (piemēram, bankas pārskaitījumu, PayPal, kredītkarti utt.). $appName ir drošs, ātrs un vienkāršs veids, kā anonīmi iegādāties Monero bez ID verifikācijas. ';
  }

  @override
  String description250Sbguide250Sbbuy57Sbagoradesk(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums saprast, kā iegādāties kriptovalūtu, izmantojot populāras tiešsaistes maksājumu metodes (piemēram, bankas pārskaitījumu, PayPal, kredītkarti utt.). $appName ir drošs, ātrs un vienkāršs veids, kā anonīmi iegādāties kriptovalūtu bez ID verifikācijas. ';
  }

  @override
  String description250Sbguide250Sblocal(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums saprast, kā anonīmi pirkt vai pārdot Monero par skaidru naudu, izmantojot vietējo tikšanos. $appName ir drošs, ātrs un vienkāršs veids, kā tirgot XMR bez ID verifikācijas. ';
  }

  @override
  String description250Sbguide250Sblocal57Sbagoradesk(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums saprast, kā anonīmi pirkt vai pārdot kriptovalūtas par skaidru naudu, izmantojot vietējo tikšanos. Vietnē $appName varat tirgoties ar kriptovalūtām bez ID verifikācijas. ';
  }

  @override
  String description250Sbguide250Sbsell(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums saprast, kā pārdot Monero, izmantojot populāras tiešsaistes maksājumu metodes (piemēram, bankas pārskaitījumu, PayPal, kredītkarti utt.). $appName ir drošs, ātrs un vienkāršs veids, kā pārdot Monero bez ID verifikācijas. ';
  }

  @override
  String description250Sbguide250Sbsell57Sbagoradesk(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums saprast, kā pārdot kriptovalūtu, izmantojot populāras tiešsaistes maksājumu metodes (piemēram, bankas pārskaitījumu, PayPal, kredītkarti utt.). $appName ir drošs, ātrs un vienkāršs veids, kā pārdot kriptovalūtu bez ID verifikācijas. ';
  }

  @override
  String description250Sbguide250Sbtelegram(Object appName) {
    return 'Šī rokasgrāmata palīdzēs konfigurēt telegrammas paziņojumus $appName. ';
  }

  @override
  String description250Sbguide250Sbtrade(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums izprast Monero tirdzniecības pamatus P2P biržā $appName.';
  }

  @override
  String description250Sbguide250Sbtrade57Sbagoradesk(Object appName) {
    return 'Šī rokasgrāmata palīdzēs jums izprast kriptovalūtas tirdzniecības pamatus uz P2P ārpusbiržas galda $appName.';
  }

  @override
  String description250Sbguide250Sbxmr(Object appName) {
    return 'Kā anonīmi iegādāties Monero bez ID? $appName piedāvā iespēju iegādāties XMR bez KYC verifikācijas, lai jūs varētu aizsargāt savu privātumu!';
  }

  @override
  String get description250Sbhomepage => 'Pērciet un pārdodiet Monero (XMR) tiešsaistē bez ID verifikācijas - izmantojiet PayPal, kredītkarti/debetkarti vai bankas pārskaitījumu, dāvanu kartes, skaidru naudu pa pastu, Venmo, BTC vai jebkuru citu metodi.';

  @override
  String get description250Sbhomepage57Sbagoradesk => 'Pērciet un pārdodiet Bitcoin tiešsaistē bez ID verifikācijas - izmantojiet PayPal, kredītkarti/debetkarti vai bankas pārskaitījumu, dāvanu kartes, skaidru naudu pa pastu, Venmo vai jebkuru citu metodi.';

  @override
  String description250Sblogin(Object appName) {
    return 'Piesakieties savā $appName kontā, lai sāktu tirdzniecību tūlīt.';
  }

  @override
  String get description250Sbnew => 'Izveidojiet jaunu sludinājumu, lai pirktu vai pārdotu Monero uz vietas par skaidru naudu vai tiešsaistē.';

  @override
  String get description250Sbnew57Sbagoradesk => 'Izveidojiet jaunu sludinājumu, lai pirktu vai pārdotu kriptovalūtu.';

  @override
  String description250Sbsignup(Object appName) {
    return 'Izveidojiet $appName kontu — tas ir pilnīgi bez maksas — un sāciet tirgot Monero!';
  }

  @override
  String description250Sbsignup57Sbagoradesk(Object appName) {
    return 'Izveidojiet $appName kontu — tas ir pilnīgi bez maksas — un sāciet tirgoties ar kriptovalūtām!';
  }

  @override
  String description250Sbstart(Object appName) {
    return '$appName rokasgrāmatas, kas palīdzēs izprast Monero pirkšanas vai pārdošanas pamatprincipus un papildu principus.';
  }

  @override
  String description250Sbstart57Sbagoradesk(Object appName) {
    return '$appName rokasgrāmatas, kas palīdzēs izprast Bitcoin un Monero pirkšanas vai pārdošanas pamatprincipus un uzlabotos principus.';
  }

  @override
  String description250Sbstatistics(Object appName) {
    return 'Iegūstiet vidējo $appName cenu, pamatojoties uz visiem darījumiem pēdējo 1, 6, 12 vai 24 stundu laikā.';
  }

  @override
  String description250Sbuser(Object user, Object appName) {
    return '$user $appName profils.';
  }

  @override
  String description250Sbuser8722Sbads(Object user, Object appName) {
    return '$user $appName reklāmas';
  }

  @override
  String get distance250Sbkilometers => 'km';

  @override
  String get distance250Sbmeters => 'm';

  @override
  String get document8722Sbtitle250Sb404 => 'Lapa nav atrasta';

  @override
  String get document8722Sbtitle250Sbabout => 'Par mums';

  @override
  String get document8722Sbtitle250Sbad8722Sbdeleted => 'Izdzēsts';

  @override
  String get document8722Sbtitle250Sbaffiliate => 'Saistītā programma';

  @override
  String get document8722Sbtitle250Sbcancelled => 'Anulēti darījumi';

  @override
  String get document8722Sbtitle250Sbcompleted => 'Pabeigti darījumi';

  @override
  String get document8722Sbtitle250Sbcontact => 'Sazinies ar mums';

  @override
  String get document8722Sbtitle250Sbdashboard => 'Mērinstrumentu panelis';

  @override
  String get document8722Sbtitle250Sbedit => 'Rediģēt sludinājumu';

  @override
  String get document8722Sbtitle250Sberror => 'Kļūda';

  @override
  String get document8722Sbtitle250Sbfaq => 'FAQ';

  @override
  String get document8722Sbtitle250Sbfee => 'Maksas';

  @override
  String document8722Sbtitle250Sbfeedback(Object user) {
    return '$user atsauksmes';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sb2fa => 'Kā iespējot 2FA';

  @override
  String document8722Sbtitle250Sbguide250Sbbtc(Object year) {
    return 'Kā anonīmi iegādāties Bitcoins (bez ID) rokasgrāmata — privātākais veids $year';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy => 'Kā nopirkt Monero';

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy57Sbagoradesk => 'Kā nopirkt kriptovalūtu';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell => 'Kā pārdot Monero';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell57Sbagoradesk => 'Kā pārdot kriptovalūtu';

  @override
  String document8722Sbtitle250Sbguide250Sbxmr(Object year) {
    return 'Kā anonīmi (bez ID) iegādāties Monero (XMR) rokasgrāmata — privātākais veids $year';
  }

  @override
  String get document8722Sbtitle250Sbindex => 'Pērciet vai pārdodiet Monero anonīmi, ātri un vienkārši';

  @override
  String get document8722Sbtitle250Sbindex57Sbagoradesk => 'Pērciet vai pārdodiet Bitcoins anonīmi, ātri un vienkārši';

  @override
  String get document8722Sbtitle250Sblogin => 'Pieslēgties';

  @override
  String get document8722Sbtitle250Sbpost8722Sbad => 'Ievietojiet sludinājumu';

  @override
  String get document8722Sbtitle250Sbreset8722Sbpassword => 'Atiestatīt paroli';

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry(Object assetName, Object country) {
    return 'Pērciet $assetName ar $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Iegādājieties $assetName ar $country ar $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcurrency(Object assetName, Object currency) {
    return 'Pērciet $assetName par $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbmethod(Object assetName, Object method) {
    return 'Pērciet $assetName ar $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell(Object assetName, Object country) {
    return 'Pārdod $assetName ar $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry(Object assetName, Object country) {
    return 'Pārdod $assetName ar $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Pārdod $assetName ar $country ar $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcurrency(Object assetName, Object currency) {
    return 'Pārdod $assetName par $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbmethod(Object assetName, Object method) {
    return 'Pārdod $assetName ar $method';
  }

  @override
  String get document8722Sbtitle250Sbsettings => 'Iestatījumi';

  @override
  String get document8722Sbtitle250Sbsignup => 'Pierakstīties';

  @override
  String get document8722Sbtitle250Sbsignup8722Sbsuccess => 'Pieteikšanās veiksme';

  @override
  String document8722Sbtitle250Sbstart(Object appName) {
    return '$appName rokasgrāmatas: kā pirkt vai pārdot Monero';
  }

  @override
  String document8722Sbtitle250Sbstart57Sbagoradesk(Object appName) {
    return '$appName rokasgrāmatas: kā pirkt vai pārdot kriptovalūtas';
  }

  @override
  String document8722Sbtitle250Sbtrade(Object id) {
    return 'Tirdzniecība {assetName}';
  }

  @override
  String document8722Sbtitle250Sbuser8722Sbads(Object user) {
    return '$user reklāmas';
  }

  @override
  String get document8722Sbtitle250Sbverify8722Sbemail => 'Apstipriniet e-pastu';

  @override
  String get document8722Sbtitle250Sbwallet => 'Maks';

  @override
  String get done => 'Gatavs';

  @override
  String get dropdown250Sbany8722Sbcountry => 'Jebkurš';

  @override
  String get dropdown250Sbany8722Sbcurrency => 'Jebkurš';

  @override
  String get edit8722Sbad250Sbcancel8722Sbbtn => 'Atcelt izmaiņas';

  @override
  String get edit8722Sbad250Sbcurrent8722Sbprice => 'Pašreizējā sludinājuma cena: ';

  @override
  String get edit8722Sbad250Sbdelete8722Sbbtn => 'Dzēst sludinājumu';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtext => 'Tādējādi reklāma tiks neatgriezeniski izdzēsta. Apsveriet iespēju slēpt reklāmu, iestatot redzamību uz nepatiesu.';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtitle => 'Apstipriniet reklāmas dzēšanu';

  @override
  String get edit8722Sbad250Sbsave8722Sbbtn => 'Saglabāt izmaiņas';

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto(Object adType, Object createdAt, Object timeOfcreation, Object createAnewad) {
    return 'Šī reklāma ir paredzēta $adType $createdAt $timeOfcreation. Lai mainītu reklāmas veidu, lūdzu $createAnewad';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbbuy(Object assetName) {
    return 'pirkt $assetName par skaidru naudu (lokāli)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbsell(Object assetName) {
    return 'pārdot $assetName par skaidru naudu (uz vietas)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbbuy(Object assetName) {
    return 'iegādājieties $assetName tiešsaistē';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbsell(Object assetName) {
    return 'pārdod $assetName tiešsaistē';
  }

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreate8722Sbnew => 'izveidot jaunu sludinājumu';

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreated8722Sbat => 'izveidots plkst';

  @override
  String get edit8722Sbad250Sbtitle => 'Rediģēt sludinājumu';

  @override
  String get edit8722Sbad250Sbupdated8722Sbprice => 'Atjaunināta sludinājuma cena: ';

  @override
  String get edit8722Sbad250Sbvisible => 'Redzams';

  @override
  String get edit8722Sbad250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'NEPIECIEŠAMS STEIDZAMS RĪCĪBA: šai reklāmai nav iestatīta norēķinu maka adrese. Norādiet to pēc iespējas ātrāk, lai reklāma netiktu paslēpta.';

  @override
  String get edit250Sberror250Sbinvalid8722Sbsettlement8722Sbaddress => 'Lūdzu, ievadiet derīgu norēķinu maka adresi';

  @override
  String get error => 'Kļūda';

  @override
  String get error8722Sbpage => 'Hmm! Kaut kas nogāja greizi. Lūdzu, drīzumā mēģiniet vēlreiz. Noklikšķiniet jebkurā lapas vietā, lai atkārtoti ielādētu.';

  @override
  String error8722Sbpage250Sbsubtext(Object open_a_ticket) {
    return 'Ja tas nepalīdz, mēģiniet notīrīt sīkfailus vai izmantot citu pārlūkprogrammu. Ja arī tas nepalīdz, lūdzu, $open_a_ticket';
  }

  @override
  String get error8722Sbpage250Sbsubtext250Sbticket => 'atveriet atbalsta biļeti.';

  @override
  String get error250Sbcaptcha => 'Captcha neizdevās. Lūdzu, mēģiniet vēlreiz';

  @override
  String get error250Sbedit250Sb244 => 'Norādītā norēķinu maka adrese nav derīga';

  @override
  String error250Sbedit250Sb245(Object appName, Object asset) {
    return 'Iekšējo $appName adresi nevar izmantot tirdzniecības norēķiniem. Lai turpinātu, ievadiet ārējo adresi, kas nav $appName $asset.';
  }

  @override
  String error250Sbedit250Sb245250Sbnojs(Object appName) {
    return 'Iekšējo $appName adresi nevar izmantot tirdzniecības norēķiniem. Lai turpinātu, lūdzu, ievadiet ārējo adresi, kas nav $appName.';
  }

  @override
  String get error250Sbedit250Sb249 => 'Lai turpinātu, ir jāiestata norēķinu maka adrese.';

  @override
  String get error250Sbpost8722Sbad250Sb107 => 'Nevar izsekot likviditātei, ja nav iestatīta maksimālā summa';

  @override
  String get error250Sbpost8722Sbad250Sb108 => 'Minimālā darījuma summa nevar būt vienāda ar maksimālo darījuma summu vai lielāka par to';

  @override
  String get error250Sbpost8722Sbad250Sb114 => 'Maksājuma periodam ir jābūt 15-90 minūtēm';

  @override
  String error250Sbpost8722Sbad250Sb132(Object maximumNumberOfAds) {
    return 'Nevar izveidot vairāk par $maximumNumberOfAds reklāmām. Lūdzu, izdzēsiet kādu no savām vecajām reklāmām, lai izveidotu šo.';
  }

  @override
  String get error250Sbpost8722Sbad250Sb142 => 'Nevar iestatīt fiat ierobežojumu, kas ir mazāks par minimālo summu.';

  @override
  String get error250Sbpost8722Sbad250Sb143 => 'Nevar iestatīt Fiat ierobežojumu, kas ir lielāks par maksimālo summu.';

  @override
  String get error250Sbpost8722Sbad250Sb173 => 'Jūsu reklāmas valūta nevar būt tāda pati kā jūsu reklāmas līdzekļa valūta';

  @override
  String get error250Sbpost8722Sbad250Sb80 => 'Platums vai garums netika iestatīts';

  @override
  String get error250Sbpost8722Sbad250Sb81 => 'Cenas vērtība nebija pareizi iestatīta';

  @override
  String get error250Sbpost8722Sbad250Sb86 => 'Nelegālas valsts, maksājuma veida un valūtas kombinācijas';

  @override
  String get error250Sbpost8722Sbad250Sb87 => 'Šis maksājuma veids nav derīgs atlasītajai valstij';

  @override
  String get error250Sbpost8722Sbad250Sb88 => 'Šī valūta nav derīga atlasītajam maksājuma veidam';

  @override
  String get error250Sbpost8722Sbad250Sb89 => 'Atrašanās vieta nebija pareizi iestatīta';

  @override
  String get error250Sbpost8722Sbad250Sbgeneric => 'Kļūdas veidlapā! Lūdzu, vēlreiz pārbaudiet savu sludinājumu.';

  @override
  String get error250Sbsettings250Sb220 => 'Vienreizējās lietošanas e-pasta adreses nav atļautas';

  @override
  String get error250Sbsignup250Sb219 => 'Vienreizējās lietošanas e-pasta adreses nav atļautas';

  @override
  String get error250Sbsignup250Sb47 => 'Lietotājs ar šādu lietotājvārdu jau pastāv.';

  @override
  String get error250Sbsignup250Sb48 => 'Lietotājs ar šo e-pasta adresi jau pastāv';

  @override
  String error250Sbtrade8722Sbrequest250Sb100(Object min_asset_amount, Object assetSymbol) {
    return 'Tirdzniecības izveidei nevar pieprasīt mazāku par $min_asset_amount $assetSymbol.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb101 => 'Pieprasītā summa ir mazāka par reklāmā norādīto minimālo darījuma summu';

  @override
  String get error250Sbtrade8722Sbrequest250Sb102 => 'Pieprasītā summa ir lielāka nekā tirgotājam ir pieejama šai reklāmai';

  @override
  String get error250Sbtrade8722Sbrequest250Sb103 => 'Šis tirgotājs pašlaik netirgojas. Lūdzu, pārbaudiet citus sludinājumus vai atgriezieties vēlāk.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb105 => 'Šim tirgotājam nav pietiekami daudz bilances, lai sāktu darījumu par šo summu.';

  @override
  String error250Sbtrade8722Sbrequest250Sb106(Object appName) {
    return 'Jūsu $appName makā nav pietiekami daudz atlikuma, lai sāktu darījumu!';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb109 => 'Pieprasītā summa ir lielāka nekā tirgotājam ir pieejama šai reklāmai';

  @override
  String get error250Sbtrade8722Sbrequest250Sb110 => 'Šim tirgotājam ir nepieciešams augstāks atgriezeniskās saites rādītājs, lai veiktu tirdzniecību, nekā jums ir šobrīd. Jūs varat palielināt savu atsauksmju rezultātu, veicot darījumus ar tirgotājiem, kuriem šādas prasības nav.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb111 => 'Pieprasītā summa nav viena no šī tirgotāja pieņemtajām summām';

  @override
  String get error250Sbtrade8722Sbrequest250Sb112 => 'Nevar pieprasīt apmaiņu sludinājumam, ko ievietojāt pats';

  @override
  String get error250Sbtrade8722Sbrequest250Sb141 => 'Nevar izveidot darījumu par summu, kas ir mazāka par minimālo atļauto summu';

  @override
  String get error250Sbtrade8722Sbrequest250Sb150 => 'Jūs nevarat sākt darījumu, jo šis tirgotājs jūs ir bloķējis. Mēģiniet meklēt citus tirgotājus.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb151 => 'Šī reklāma ir paredzēta tikai lietotājiem, kuriem reklāmas izvietotājs uzticas. Mēģiniet meklēt citus sludinājumus.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb173 => 'Jums nav atļauts atvērt vairāk darījumu';

  @override
  String get error250Sbtrade8722Sbrequest250Sb218 => 'Šī reklāma ir paredzēta tikai lietotājiem ar verificētu e-pastu. Dodieties uz sava konta iestatījumiem, iestatiet savu e-pastu (ja vēl neesat to izdarījis) un apstipriniet to.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb232 => 'Šim lietotājam pašlaik ir aizliegts tirgoties viņa konta ierobežojuma dēļ';

  @override
  String get error250Sbtrade8722Sbrequest250Sb237 => 'Šis lietotājs neeksistē';

  @override
  String get error250Sbtrade8722Sbrequest250Sb240 => 'Norādītā norēķinu maka adrese nav derīga';

  @override
  String error250Sbtrade8722Sbrequest250Sb241(Object appName, Object asset) {
    return 'Iekšējo $appName adresi nevar izmantot tirdzniecības norēķiniem. Lai turpinātu, ievadiet ārējo adresi, kas nav $appName $asset.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb246 => 'Nevar atvērt darījumu: šis tirgotājs vēl nav norādījis norēķinu adresi šai reklāmai. Sazinieties ar pārdevēju, ja varat, vai vēlāk mēģiniet vēlreiz, vai meklējiet citu piedāvājumu.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb99 => 'Šim tirgotājam pirmajā darījumā ar viņu ir nepieciešama mazāka darījuma summa. Lūdzu, pārbaudiet tālāk norādīto tirdzniecības informāciju.';

  @override
  String get error250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform => 'Lūdzu, atlasiet vienu no derīgajām platformām: localbitcoins vai paxful';

  @override
  String get error250Sbwithdraw250Sb170 => 'Summa, kas ir pieprasīta izņemšanai, ir mazāka par minimālo iespējamo summu';

  @override
  String get error250Sbwithdraw250Sb254 => 'Jūs jau esat nosūtījis šo summu uz šo adresi pēdējo 10 minūšu laikā. Pārbaudiet savus darījumus un, ja tā nebija kļūda, mēģiniet atkārtot izņemšanu vēlāk.';

  @override
  String get error250Sbwithdraw250Sb7338Sb140 => 'Nepareiza parole/vienreizēja parole';

  @override
  String get error250Sbwithdraw250Sb7438Sb77 => 'Nepietiek līdzekļu';

  @override
  String error250Sbwithdraw250Sb75(Object appName) {
    return 'Šī adrese nepastāv $appName datu bāzē';
  }

  @override
  String get error250Sbwithdraw250Sb76 => 'Mēģinājums izņemt šķīrējtiesas obligāciju uz to pašu adresi, kurā norādīts konts, kas pieprasa atsaukšanu';

  @override
  String get error250Sbwithdraw250Sbclosed8722Sbconnection => 'Pieprasījumā radās problēma, taču darījums, iespējams, jau ir nosūtīts. Lūdzu, atkārtoti ielādējiet lapu, pārbaudiet, vai darījums ir nosūtīts, un atkārtojiet to, ja nepieciešams. Ja kļūda joprojām pastāv, lūdzu, sazinieties ar mūsu atbalsta dienestu.';

  @override
  String error250Sbwithdraw250Sbgeneric(Object assetName) {
    return 'Radās problēma. Lūdzu, pārbaudiet saņemšanas $assetName adresi.';
  }

  @override
  String get faq8722Sbquestion8722Sb31 => 'Kas jāzina par augsta riska maksājumu metodēm?';

  @override
  String faq250Sbanswer8722Sb0(Object appName) {
    return '$appName ir vienādranga Monero apmaiņa. Mēs esam tirgus, kurā lietotāji var pirkt un pārdot Monero viens otram un viens no otra. Lietotāji, kurus sauc par tirgotājiem, veido sludinājumus ar cenu un maksājuma veidu, ko viņi vēlas piedāvāt. Jūs varat pārlūkot mūsu tīmekļa vietni, lai atrastu tirdzniecības sludinājumus un meklētu sev vēlamo maksājuma veidu. Jūs atradīsiet tirgotājus, kas pērk un pārdod Monero tiešsaistē vairāk nekā 60 dažādiem maksājumu veidiem. Ja esat iesācējs $appName un vēlaties iegādāties Monero, lūdzu, skatiet mūsu iegādes ceļvedi, lai uzzinātu, kā iegādāties Monero.';
  }

  @override
  String faq250Sbanswer8722Sb057Sbagoradesk(Object appName) {
    return '$appName ir vienādranga kriptovalūtu ārpusbiržas birojs. Mēs esam tirgus, kurā lietotāji var pirkt un pārdot kriptovalūtas viens otram un viens no otra. Lietotāji, kurus sauc par tirgotājiem, veido sludinājumus ar cenu un maksājuma veidu, ko viņi vēlas piedāvāt. Jūs varat pārlūkot mūsu tīmekļa vietni, lai atrastu tirdzniecības sludinājumus un meklētu sev vēlamo maksājuma veidu. Jūs atradīsiet tirgotājus, kas tiešsaistē pērk un pārdod kriptovalūtas vairāk nekā 60 dažādiem maksājumu veidiem. Ja esat iesācējs $appName un vēlaties iegādāties kriptovalūtas, lūdzu, apskatiet mūsu ceļvežus.';
  }

  @override
  String faq250Sbanswer8722Sb1(Object buying, Object selling) {
    return 'Varat pārbaudīt mūsu $buying un $selling rokasgrāmatas, lai sāktu ar Monero tirdzniecību.';
  }

  @override
  String get faq250Sbanswer8722Sb18722Sbbuying => 'pērkot';

  @override
  String get faq250Sbanswer8722Sb18722Sbselling => 'pārdošana';

  @override
  String faq250Sbanswer8722Sb157Sbagoradesk(Object buying, Object selling) {
    return 'Varat skatīt mūsu $buying un $selling rokasgrāmatas, lai sāktu tirdzniecību ar kriptovalūtām.';
  }

  @override
  String faq250Sbanswer8722Sb10(Object appName) {
    return 'Ja iegādājaties Monero, izmantojot $appName, Monero tiks nosūtīts uz jūsu nodrošināto Monero norēķinu maku. No turienes jūs varat to nosūtīt, kur vien vēlaties. Ja vēlaties pārdot Monero, vispirms ir jāiemaksā XMR savā $appName Monero makā.';
  }

  @override
  String get faq250Sbanswer8722Sb108722Sbwallet8722Sbpage => 'maka lapa';

  @override
  String faq250Sbanswer8722Sb1057Sbagoradesk(Object appName) {
    return 'Ja iegādājaties kriptovalūtu, izmantojot $appName, monētas tiks nosūtītas uz jūsu norādīto norēķinu maku. No turienes jūs varat to nosūtīt, kur vien vēlaties. Ja vēlaties pārdot kriptovalūtu, vispirms ir jāiemaksā kriptovalūta savā attiecīgajā $appName makā.';
  }

  @override
  String faq250Sbanswer8722Sb11(Object appName, Object walletPage) {
    return 'Lai pārdotu Monero uz $appName, vispirms uz savu $appName maku ir jānosūta Monero šķīrējtiesas obligācijai. Lai to izdarītu, jums ir nepieciešams $appName konts, piekļuve Monero citā Monero makā un jāzina sava $appName saņēmēja adrese. Lai atrastu savu $appName saņemšanas adresi, jums jāapmeklē $walletPage. Lapas augšdaļa ir sadalīta trīs daļās, kas ļauj gan nosūtīt, gan saņemt Monero, gan skatīt savus darījumus. Cilnē \"Saņemt\" jūs atradīsiet savu saņēmēja adresi. Kad zināt savu $appName saņemšanas adresi, varat doties uz savu citu Monero maku un izmantot šo adresi, lai nosūtītu Monero uz savu $appName adresi.';
  }

  @override
  String faq250Sbanswer8722Sb1157Sbagoradesk(Object appName, Object walletPage) {
    return 'Lai pārdotu kriptovalūtas vietnē $appName, vispirms uz savu $appName maku ir jānosūta dažas monētas šķīrējtiesas obligācijai. Lai to izdarītu, jums ir nepieciešams $appName konts, piekļuve monētām citā makā un jāzina sava $appName saņēmēja adrese. Lai atrastu savu $appName saņemšanas adresi, jums jāapmeklē $walletPage. Izvēlieties atbilstošo kriptovalūtu, maka lapas augšdaļa ir sadalīta trīs daļās, ļaujot gan nosūtīt, gan saņemt kriptovalūtu, gan apskatīt savus darījumus. Cilnē \"Saņemt\" jūs atradīsiet savu saņēmēja adresi. Kad zināt savu $appName saņēmēja adresi, varat pāriet uz savu citu maku un izmantot šo adresi, lai nosūtītu monētas uz savu $appName adresi.';
  }

  @override
  String faq250Sbanswer8722Sb12(Object appName) {
    return 'Darījumi ilgst 10–60 minūtes, kad nosūtāt Monero uz savu $appName maku vai nosūtāt Monero no sava $appName maka.';
  }

  @override
  String faq250Sbanswer8722Sb1257Sbagoradesk(Object appName) {
    return 'Sūtot monētas uz savu $appName maku vai sūtot monētas no sava $appName maka, darījumi ilgst 10–60 minūtes.';
  }

  @override
  String faq250Sbanswer8722Sb13(Object wallet) {
    return 'Iespējams, Monero tīklā ir sastrēgumi, šajā gadījumā darījumu veikšana prasīs daudz ilgāku laiku. Monero darījumi ir jāapstiprina Monero tīklam. Kad tiek veikts darījums, tas tiek nosūtīts darījumu pūlam, no kura tas tiek apvienots blokos, kurus Monero kalnrači apstiprina, veicot ieguvi. Blokus iegūst vidēji ik pēc divām minūtēm. Kad darījums ir iekļauts blokā un ir iegūts, tas ir apstiprināts vienu reizi. Kad darījuma apstiprinājumu skaits sasniedz noteiktu slieksni, šobrīd 10 apstiprinājumi, darījums parādās saņēmēju makos. Jūs varat lasīt vairāk par apstiprinājumiem Monero wikipedia, un jūs varat redzēt pašreizējo neapstiprināto darījumu skaitu Monero tīklā savā $wallet.';
  }

  @override
  String get faq250Sbanswer8722Sb138722Sbwallet => 'maku';

  @override
  String faq250Sbanswer8722Sb1357Sbagoradesk(Object wallet) {
    return 'Attiecīgajā kriptovalūtu tīklā var rasties pārslodze, šajā gadījumā darījumu veikšana prasīs daudz ilgāku laiku. Kriptovalūtu darījumi ir jāapstiprina kriptovalūtu tīklam. Kad tiek veikts darījums, tas tiek nosūtīts darījumu pūlam, no kura tas tiek apvienots blokos, ko kalnrači apstiprina, veicot ieguvi. Kad darījums ir iekļauts blokā un ir iegūts, tas ir apstiprināts vienu reizi. Kad darījuma apstiprinājumu skaits sasniedz noteiktu slieksni, darījums parādās saņēmēja makā. Pašreizējo neapstiprināto darījumu skaitu tīklā varat skatīt ierīcē $wallet.';
  }

  @override
  String faq250Sbanswer8722Sb17(Object appName) {
    return '$appName izmanto atsauksmju sistēmu, kas parāda rezultātu jūsu publiskajā profilā. Šis rādītājs (procentos) parāda, cik daudz pozitīvu atsauksmju ir lietotājam. Lietotājam varat sniegt tikai vienu atsauksmi. Atsauksmes var būt trīs veidu: pozitīvas, neitrālas un negatīvas. Tiklīdz atsauksme ir sniegta, tā būs redzama lietotāja publiskajā profilā, ja tiks izpildīti noteikti nosacījumi, pretējā gadījumā atsauksmes paliks neapstiprinātas un neietekmēs atsauksmes rezultātu.';
  }

  @override
  String get faq250Sbanswer8722Sb18 => 'Sniegtās atsauksmes var būt apstiprinātas vai neapstiprinātas. Apstiprinātās atsauksmes tiek rādītas lietotāja publiskajā profilā un ietekmē lietotāja atsauksmju rezultātu. Lai neapstiprināta atsauksme tiktu apstiprināta, kopējam tirdzniecības apjomam starp lietotāju, kurš sniedz un saņem atsauksmes, ir jābūt lielākam par 100 USD ekvivalentu.';

  @override
  String faq250Sbanswer8722Sb19(Object appName, Object enableWebnotificationsfromyourprofile) {
    return 'Tīmekļa paziņojumi ļauj pārlūkprogrammā saņemt uznirstošos paziņojumus ikreiz, kad saņemat jaunu paziņojumu $appName. Ja tirgojaties un vēlaties nekavējoties uzzināt, kad kaut kas notiek, $enableWebnotificationsfromyourprofile. Pārvelciet slēdzi, kas saka Iespējot tīmekļa paziņojumus, un, kad pārlūkprogramma pieprasa atļauju rādīt tīmekļa paziņojumus, nospiediet akceptēt. Tagad esat gatavs un sāksit saņemt tīmekļa paziņojumus.';
  }

  @override
  String get faq250Sbanswer8722Sb198722Sbenable8722Sbweb8722Sbnotifications8722Sbfrom8722Sbyour8722Sbprofile => 'iespējot tīmekļa paziņojumus no sava profila';

  @override
  String faq250Sbanswer8722Sb2(Object guide) {
    return 'Apskatiet mūsu $guide.';
  }

  @override
  String get faq250Sbanswer8722Sb28722Sbguide => 'divu faktoru autentifikācijas rokasgrāmata';

  @override
  String get faq250Sbanswer8722Sb20 => 'Dažreiz tirgotājs var lūgt jūsu ID. Ja pirmo reizi tirgojaties ar tirgotāju, viņš var lūgt jūs identificēt. Tas ir tāpēc, ka dažās valstīs saskaņā ar vietējiem tiesību aktiem tirgotājiem ir jāzina, kas ir viņu klienti. Lielākā daļa tirgotāju darījuma noteikumos paskaidro, vai viņiem ir nepieciešama ID pārbaude. Ja nevēlaties tirgotājam izsniegt savu ID, jūs vienmēr varat atcelt darījumu un meklēt tirgotāju ar mazāk stingrām prasībām. Vienmēr nosūtiet savu ID pārdevējam, izmantojot tirdzniecības tērzēšanu, mūsu tirdzniecības tērzēšanas ziņojumi tiek šifrēti mūsu serveros un tiek izdzēsti pēc 180 dienām. Visas fotogrāfijas, kas nosūtītas tirdzniecības tērzēšanai, ir arī marķētas ar ūdenszīmi, lai novērstu attēlu ļaunprātīgu izmantošanu.';

  @override
  String faq250Sbanswer8722Sb21(Object appName) {
    return 'Pārdevēji parasti pabeidz darījumu, tiklīdz viņi redz jūsu maksājumu, kas dažkārt var ilgt stundu vai divas. Ja esat samaksājis, bet joprojām gaidāt, nav par ko uztraukties, jo visus tiešsaistes darījumus aizsargā šķīrējtiesas obligācija, un pārdevējs nevar aizbēgt, nezaudējot obligāciju. Ja ar tirdzniecību rodas problēmas un pārdevējs to nepabeigs, varat apstrīdēt darījumu, lai $appName atbalsts to atrisinātu. Ja jūs pērkat vai pārdodat Monero tiešsaistē, jūs varat apstrīdēt darījumu pēc tam, kad esat atzīmējis maksājumu par pabeigtu. Strīdu vairs nevar sākt, ja darījums ir pabeigts vai ja tas ir vietējais darījums, kurā nav iespējota šķīrējtiesas obligāciju aizsardzība. Kad darījums, kurā esat iesaistīts, tiks apstrīdēts, jūs saņemsit e-pasta ziņojumu. Strīdīgs darījums parasti tiek atrisināts 24–48 stundu laikā.';
  }

  @override
  String faq250Sbanswer8722Sb2157Sbagoradesk(Object appName) {
    return 'Pārdevēji parasti pabeidz darījumu, tiklīdz viņi redz jūsu maksājumu, kas dažkārt var ilgt stundu vai divas. Ja esat samaksājis, bet joprojām gaidāt, nav par ko uztraukties, jo visus tiešsaistes darījumus aizsargā šķīrējtiesas obligācija, un pārdevējs nevar aizbēgt, nezaudējot obligāciju. Ja ar tirdzniecību rodas problēmas un pārdevējs to nepabeigs, varat apstrīdēt darījumu, lai $appName atbalsts to atrisinātu. Ja jūs pērkat vai pārdodat kriptovalūtu tiešsaistē, jūs varat apstrīdēt darījumu pēc tam, kad esat atzīmējis maksājumu par pabeigtu. Strīdu vairs nevar sākt, ja darījums ir pabeigts vai ja tas ir vietējais darījums, kurā nav iespējota šķīrējtiesas obligāciju aizsardzība. Kad darījums, kurā esat iesaistīts, tiks apstrīdēts, jūs saņemsit e-pasta ziņojumu. Strīdīgs darījums parasti tiek atrisināts 24–48 stundu laikā.';
  }

  @override
  String get faq250Sbanswer8722Sb22 => 'Mēs rezervējam nelielu Monero summu no jūsu maka atlikuma, lai samaksātu Monero transakcijas maksu Monero tīklā. Par katru Monero darījumu ir jāmaksā neliela maksa tīklā, lai tas tiktu apstiprināts neatkarīgi no tā, no kurienes tas tiek nosūtīts. Mēs rezervējam šo maksu iepriekš, lai jūsu maka atlikums nekļūtu negatīvs.';

  @override
  String get faq250Sbanswer8722Sb2257Sbagoradesk => 'Mēs rezervējam nelielu summu no jūsu maka atlikuma, lai samaksātu tīkla transakcijas maksu. Par katru kriptovalūtas darījumu ir jāmaksā neliela maksa tīklā, lai tas tiktu apstiprināts neatkarīgi no tā, no kurienes tas tiek nosūtīts.';

  @override
  String faq250Sbanswer8722Sb24(Object dashboard, Object appName, Object supportRequestform) {
    return 'Šī atbilde attiecas uz gadījumu, kad pērkat Monero tiešsaistē. Kad esat nosūtījis tirdzniecības pieprasījumu Monero pārdevējam, jums ir laika periods maksājuma pabeigšanai, pirms pārdevējs var atcelt darījumu (maksājuma logs mainās atkarībā no darījuma maksājuma veida). Šajā laikā jums ir jāpabeidz maksājums un jānospiež poga Esmu samaksājis. Pārdevējam tiek paziņots, ka esat veicis maksājumu, un Monero tiks turēts obligācijā, līdz pārdevējs pabeigs darījumu jūsu vietā, redzot maksājumu savā kontā. Ja samaksājāt par pirkumu, bet neatzīmējāt maksājumu par pabeigtu pirms maksājuma laika loga beigām, lūdzu, sazinieties ar pārdevēju ar tirdzniecības starpniecību. Varat sazināties ar pārdevēju un citiem esošajiem tirdzniecības kontaktiem no $dashboard savā $appName lietotāja profilā. Nosūtiet ziņu pārdevējam un lūdzu izskaidrojiet situāciju un to, kāpēc nevarējāt veikt maksājumu noteiktajā laika logā. Ja pārdevējs neatbild uz šo pieprasījumu, lūdzu, sazinieties ar $appName atbalsta dienestu, izmantojot $supportRequestform, un norādiet savu tirdzniecības ID.';
  }

  @override
  String get faq250Sbanswer8722Sb248722Sbdashboard => 'Mērinstrumentu panelis';

  @override
  String get faq250Sbanswer8722Sb248722Sbsupport8722Sbrequest8722Sbform => 'atbalsta pieprasījuma veidlapa';

  @override
  String faq250Sbanswer8722Sb2457Sbagoradesk(Object dashboard, Object appName, Object supportRequestform) {
    return 'Pēc darījuma pieprasījuma nosūtīšanas jums ir laiks, lai pabeigtu maksājumu, pirms otra puse var atcelt darījumu. Šajā laikā jums ir jāpabeidz maksājums un jānospiež poga “Esmu samaksājis”. Otra puse tiek informēta, ka esat veicis maksājumu, un monētas tiks turētas obligācijā, līdz otra puse pabeigs darījumu jūsu vietā pēc tam, kad būs redzējis maksājumu savā kontā. Ja samaksājāt par pirkumu, bet neatzīmējāt maksājumu par pabeigtu pirms maksājuma laika perioda beigām, lūdzu, sazinieties ar otru pusi, izmantojot tirdzniecības tērzēšanu. Varat sazināties ar otru pusi un citiem esošajiem tirdzniecības kontaktiem no $dashboard. Nosūtiet ziņu otrai pusei un laipni izskaidrojiet situāciju un to, kāpēc nevarējāt veikt maksājumu noteiktajā laika logā. Ja otra puse neatbild uz šo pieprasījumu, lūdzu, sazinieties ar $appName darbiniekiem, izmantojot $supportRequestform, un norādiet savu tirdzniecības ID.';
  }

  @override
  String get faq250Sbanswer8722Sb25 => 'Kad pircējs vai pārdevējs ierosina strīdu, administrators iesaistās tirdzniecības tērzēšanā un pieprasa abām pusēm pierādījumus un ņem vērā tērzēšanas vēsturi un reputāciju, lai pieņemtu pēc iespējas godīgāku lēmumu.';

  @override
  String faq250Sbanswer8722Sb26(Object appName) {
    return 'Monero darījumi ir neatgriezeniski, ja esat nosūtījis naudu uz citu Monero adresi, jūs vai $appName to nevarēsit atsaukt.';
  }

  @override
  String faq250Sbanswer8722Sb2657Sbagoradesk(Object appName) {
    return 'Kriptovalūtas darījumi ir neatgriezeniski, ja esat nosūtījis monētas uz citu adresi, jūs vai $appName to nevarēsit reversēt.';
  }

  @override
  String faq250Sbanswer8722Sb27(Object appName) {
    return 'Sludinājumu cenas noteiktas pēc Monero valūtas maiņas kursiem. Monero valūtas kurss ir nepastāvīgs un var strauji mainīties. $appName atjaunina valūtas maiņas kursus un sludinājumu cenas ik pēc desmit minūtēm. Cenas, kas norādītas sarakstos un pirmajā lapā, tiek saglabātas kešatmiņā un tiek atjauninātas nedaudz lēnāk. Dažreiz, kad Monero cena strauji svārstās, reklāmās ar vienu un to pašu cenu vienādojumu var tikt parādīta cita cena. Dažkārt nav pieejami tirgus dati par atsevišķām valūtām, kas izraisa sludinājumu cenu atjaunināšanas aizkavēšanos. Taču, atverot pašu sludinājumu lapu, cena būs aktuālāka. Pirkuma cena tiek noteikta brīdī, kad Monero pircējs nosūta tirdzniecības pieprasījumu.';
  }

  @override
  String faq250Sbanswer8722Sb2757Sbagoradesk(Object appName) {
    return 'Reklāmu cenas ir balstītas uz kriptovalūtas maiņas kursiem. Valūtas kursi ir nepastāvīgi un var strauji mainīties. $appName ik pēc divpadsmit minūtēm atjaunina valūtas maiņas kursus un sludinājumu cenas. Cenas, kas norādītas sarakstos un pirmajā lapā, tiek saglabātas kešatmiņā un tiek atjauninātas nedaudz lēnāk. Dažreiz, kad cena strauji svārstās, reklāmās ar vienādu cenu formulu var tikt rādītas dažādas cenas. Dažkārt tirgus dati par atsevišķām valūtām nav pieejami, kas noved pie sludinājumu cenu atjaunināšanas aizkavēšanās. Taču, atverot pašu sludinājumu lapu, cena būs aktuālāka. Cena tiek noteikta, kad tiek nosūtīts tirdzniecības pieprasījums.';
  }

  @override
  String get faq250Sbanswer8722Sb28 => 'Kad cena ir mainīga, iegādātā Monero summa svārstās ar Monero valūtas kursu. Tirgotā Monero summa tiek noteikta, kad darījums tiek slēgts, nevis tad, kad tiek atvērts. Tas samazina tirgus likmju riskus vietējās skaidras naudas darījumos, kur laiks no darījuma atvēršanas līdz darījuma slēgšanai var būt vairākas dienas.';

  @override
  String get faq250Sbanswer8722Sb2857Sbagoradesk => 'Kad cena ir mainīga, iegādātās kriptovalūtas summa svārstās atkarībā no valūtas kursa. Tirgotā summa tiek noteikta, kad darījums tiek slēgts, nevis tad, kad tiek atvērts. Tas samazina tirgus likmju riskus vietējās skaidras naudas darījumos, kur laiks no darījuma atvēršanas līdz darījuma slēgšanai var būt vairākas dienas.';

  @override
  String faq250Sbanswer8722Sb29(Object feesPage) {
    return 'Visu informāciju par pašreizējām maksām varat pārbaudīt mūsu $feesPage';
  }

  @override
  String get faq250Sbanswer8722Sb298722Sbfees8722Sbpage => 'maksas lapa';

  @override
  String faq250Sbanswer8722Sb30(Object telegram, Object thisGuide, Object appName) {
    return 'Pašlaik mums nav atsevišķas mobilās lietotnes. Taču mobilos paziņojumus varat saņemt pakalpojumā $telegram! $thisGuide ļaus jums veikt Telegram paziņojumu aktivizēšanas procesu (tas ir vienkārši). Pēc tam mūsu robots nosūtīs jums paziņojumus par jūsu $appName notikumiem.';
  }

  @override
  String get faq250Sbanswer8722Sb308722Sbthis8722Sbguide => 'Šī rokasgrāmata';

  @override
  String get faq250Sbanswer8722Sb32 => 'Darījuma prioritāte ir iestatījums, ko Monero izmanto, lai jūsu maksājumu atšķirtu no citiem Monero tīkla maksājumiem (ja pastāv konkurence). Zemas prioritātes darījumu pabeigšana var aizņemt ilgāku laiku.';

  @override
  String get faq250Sbanswer8722Sb32250Sb1 => 'Bitcoin maksas līmeņi ietekmē jūsu darījuma apstiprināšanas ātrumu, motivējot kalnračus noteikt jūsu darījuma prioritāti par lielāku maksu. Tiek lēsts, ka augstas maksas darījums tiks apstiprināts dažu bloku laikā; Vidējas maksas darījums tiek lēsts apstiprināts vienas dienas laikā; Tiek lēsts, ka zemas maksas darījums tiks apstiprināts nedēļas laikā.';

  @override
  String faq250Sbanswer8722Sb33(Object appName) {
    return 'Jūs varat izņemt monētas no $appName maka uz savu personīgo maku ar kriptovalūtu, kas atšķiras no valūtas $appName. Lai to izdarītu, vispirms ir jāatzīmē izvēles rūtiņa \"Es vēlos saņemt citu valūtu\". Pēc tam izvēlieties vēlamo saņemšanas kriptovalūtu un ierakstiet adresi, uz kuru jāsūta monētas. Pēc tam izvēlieties, vai vēlaties norādīt summu monētās, kas nosūtītas no jūsu maka, vai konvertētajās monētās, kas saņemtas jūsu mērķa makā, un ierakstiet daudzumu. Nospiediet \"Turpināt\", un jums tiks parādīti atbilstoši jūsu prasībām atbilstoši piedāvājumi. Ja saraksts ir tukšs, mēģiniet pielāgot summu. Konvertācijas kurss tiks parādīts katram piedāvājumam, un, ja tas ir pieņemams, jums tikai jānospiež \"Tirgot\", jāpiekrīt noteikumiem, un jums tiks automātiski izveidots darījums par attiecīgo summu. Galamērķa adrese pircējam tiks automātiski sniegta, izmantojot tirdzniecības tērzēšanu. Pārējais tiek apstrādāts tāpat kā jebkurš cits $appName darījums — pircējs nosūtīs vēlamo valūtu uz jūsu norādīto adresi, un, saņemot monētas, jums ir jāpabeidz darījums. Tieši tā!';
  }

  @override
  String get faq250Sbanswer8722Sb338722Sbmorphtoken8722Sbfaq8722Sblink => 'Šeit varat lasīt vairāk par ChangeNow darbību, pakalpojumu un tīkla maksām';

  @override
  String faq250Sbanswer8722Sb4(Object value) {
    return 'Ja jums ir rezerves kods, izmantojiet QR ģenerēšanas pakalpojumu, piemēram, $value, lai ģenerētu QR no rezerves koda. Pēc tam skenējiet ģenerēto QR, izmantojot mobilo 2FA lietotni. Ja jums nav rezerves koda, tas nozīmē, ka esat zaudējis piekļuvi savam kontam. Diemžēl mums nav iespējams atšķirt hakeri, kas izliekas par jums, un to, ka jūs patiesībā esat jūs.';
  }

  @override
  String get faq250Sbanswer8722Sb48722Sbthis => 'šis';

  @override
  String faq250Sbanswer8722Sb5(Object onionUrl, Object tor) {
    return 'Jā, mēs to darām! Šeit tas ir: $onionUrl (lai atvērtu šo saiti, nepieciešams $tor).';
  }

  @override
  String faq250Sbanswer8722Sb6(Object b32I2purl, Object i2pUrl, Object i2p) {
    return 'Jā, mums patiesībā ir divi! Šeit tie ir: $b32I2purl vai $i2pUrl (lai atvērtu šīs saites, ir nepieciešams $i2p).';
  }

  @override
  String faq250Sbanswer8722Sb7(Object here) {
    return 'Jā! Pārbaudiet to $here.';
  }

  @override
  String get faq250Sbanswer8722Sb78722Sbhere => 'šeit';

  @override
  String faq250Sbanswer8722Sb8(Object appName) {
    return 'Visi tiešsaistes darījumi ir aizsargāti ar šķīrējtiesas obligācijām. Uzsākot darījumu, Monero summa, kas vienāda ar darījuma summu, tiek automātiski rezervēta no pārdevēja $appName maka kā obligācija. Tas nozīmē, ka, ja pārdevējs aizbēg ar jūsu naudu un nepabeidz darījumu, $appName atbalsts var novirzīt jums šķīrējtiesas obligācijā esošo Monero. Ja pārdodat Monero, nekad nepabeidziet darījumu, pirms nezināt, ka esat saņēmis naudu no Monero pircēja. Lūdzu, ņemiet vērā, ka vietējiem darījumiem pēc noklusējuma nav iespējota šķīrējtiesas obligāciju aizsardzība.';
  }

  @override
  String faq250Sbanswer8722Sb857Sbagoradesk(Object appName) {
    return 'Visi tiešsaistes darījumi ir aizsargāti ar šķīrējtiesas obligācijām. Uzsākot darījumu, kriptovalūtas summa, kas vienāda ar darījuma summu, tiek automātiski rezervēta no pārdevēja $appName maka kā obligācija. Tas nozīmē, ka, ja pārdevējs aizbēg ar jūsu naudu un nepabeidz darījumu, $appName atbalsts var novirzīt šķīrējtiesas obligācijā esošo kriptovalūtu pie jums. Ja pārdodat kriptovalūtu, nekad nepabeidziet darījumu, pirms nezināt, ka esat saņēmis naudu no pircēja. Lūdzu, ņemiet vērā, ka vietējiem darījumiem pēc noklusējuma nav iespējota šķīrējtiesas obligāciju aizsardzība.';
  }

  @override
  String faq250Sbanswer8722Sb9(Object appName) {
    return 'Mums ir divi dažādi darījumu veidi vietnē $appName: vietējie darījumi un tiešsaistes darījumi. Tiešsaistes darījumi notiek tiešsaistē, pilnībā izmantojot mūsu tirdzniecības platformu, jums nekad netiekoties ar savu tirdzniecības partneri. Šķīrējtiesas obligāciju aizsardzība tiek automātiski iespējota un finansēta tiešsaistes darījumiem, kas nozīmē, ka jūs kā pircēju automātiski aizsargā mūsu šķīrējtiesas obligāciju aizsardzības sistēma. Lielākā daļa $appName darījumu ir tiešsaistes darījumi. Vietējie darījumi ir paredzēti aci pret aci, un šķīrējtiesas obligāciju aizsardzība netiek automātiski iespējota. Šī iemesla dēļ vietējā tirdzniecībā nav droši maksāt pārdevējam, izmantojot tiešsaistes maksājuma veidu. Tiešsaistes maksājumu veidi ir, piemēram, bankas pārskaitījumi; PayPal; Dāvanu karšu kodi utt.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent(Object appName) {
    return 'Ja vēlaties iemaksāt monētas $appName makā no citas kriptovalūtas maka, maka lapas cilnē Saņemt ir jāatzīmē lodziņš “Es vēlos iemaksāt citu valūtu”. Parādītajā sadaļā izvēlieties vēlamo depozīta valūtu, depozīta summu (pievērsiet uzmanību parādītajiem limitiem) un ievadiet attiecīgo atmaksas adresi, kas tiks izmantota, ja darījumā kaut kas noiet greizi. Kad tas ir izdarīts, noklikšķiniet uz \"Parādīt man depozīta adresi!\" pogu, kas atvērs logu, kurā redzēsit depozīta adresi. Nosūtiet monētas no sava maka uz norādīto ChangeNow depozīta adresi. Šajā brīdī ChangeNow konvertēs jūsu monētas un pārsūtīs tās uz jūsu $appName maku.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent57Sbagoradesk(Object appName) {
    return 'Ja vēlaties iemaksāt monētas $appName makā no citas kriptovalūtas maka, maka lapas cilnē Saņemt ir jāatzīmē lodziņš “Es vēlos iemaksāt citu valūtu”. Parādītajā sadaļā izvēlieties vēlamo depozīta valūtu, depozīta summu (pievērsiet uzmanību parādītajiem limitiem) un ievadiet attiecīgo atmaksas adresi, kas tiks izmantota, ja darījumā kaut kas noiet greizi. Kad tas ir izdarīts, noklikšķiniet uz \"Parādīt man depozīta adresi!\" pogu, kas atvērs logu, kurā redzēsit depozīta adresi. Nosūtiet monētas no sava maka uz norādīto ChangeNow depozīta adresi. Šajā brīdī ChangeNow konvertēs jūsu monētas un pārsūtīs tās uz jūsu $appName maku.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbtitle(Object appName) {
    return 'Kā es varu iemaksāt citas kriptovalūtas $appName makā?';
  }

  @override
  String faq250Sbquestion8722Sb0(Object appName) {
    return 'Kas ir $appName?';
  }

  @override
  String get faq250Sbquestion8722Sb1 => 'Kā es varu pirkt vai pārdot Monero?';

  @override
  String get faq250Sbquestion8722Sb157Sbagoradesk => 'Kā pirkt vai pārdot kriptovalūtas?';

  @override
  String get faq250Sbquestion8722Sb10 => 'Kā es varu nosūtīt Monero un kā es varu norēķināties ar Monero pēc to iegādes?';

  @override
  String get faq250Sbquestion8722Sb1057Sbagoradesk => 'Kā es varu nosūtīt kriptovalūtas un kā es varu norēķināties ar kriptovalūtām pēc to iegādes?';

  @override
  String faq250Sbquestion8722Sb11(Object appName) {
    return 'Kā es varu saņemt Monero savā $appName makā?';
  }

  @override
  String faq250Sbquestion8722Sb1157Sbagoradesk(Object appName) {
    return 'Kā es varu saņemt kriptovalūtu savā $appName makā?';
  }

  @override
  String faq250Sbquestion8722Sb12(Object appName) {
    return 'Cik ilgs laiks nepieciešams, lai Monero nosūtītu vai saņemtu uz manu $appName maku?';
  }

  @override
  String faq250Sbquestion8722Sb1257Sbagoradesk(Object appName) {
    return 'Cik ilgs laiks nepieciešams, lai nosūtītu vai saņemtu kriptovalūtas uz manu $appName maku?';
  }

  @override
  String get faq250Sbquestion8722Sb13 => 'Esmu gaidījis 60 minūtes, un mans darījums joprojām tiek gaidīts. Ko darīt?';

  @override
  String get faq250Sbquestion8722Sb17 => 'Kā darbojas atgriezeniskās saites sistēma?';

  @override
  String get faq250Sbquestion8722Sb18 => 'Kāda ir atšķirība starp apstiprinātām un neapstiprinātām atsauksmēm?';

  @override
  String get faq250Sbquestion8722Sb19 => 'Kā iespējot tīmekļa paziņojumus?';

  @override
  String get faq250Sbquestion8722Sb2 => 'Kā es esmu pasargāts no krāpšanas?';

  @override
  String get faq250Sbquestion8722Sb20 => 'Tirgotājs man prasa ID, un es nejūtos ērti.';

  @override
  String get faq250Sbquestion8722Sb21 => 'Esmu samaksājis pārdevējam, bet vēl neesmu saņēmis savu Monero.';

  @override
  String get faq250Sbquestion8722Sb2157Sbagoradesk => 'Esmu samaksājis, bet vēl neesmu saņēmis savas monētas.';

  @override
  String get faq250Sbquestion8722Sb22 => 'Kāpēc es nevaru nosūtīt visus Monero, kas ir manā makā?';

  @override
  String get faq250Sbquestion8722Sb2257Sbagoradesk => 'Kāpēc es nevaru nosūtīt visas monētas, kas ir manā makā?';

  @override
  String faq250Sbquestion8722Sb23(Object appName) {
    return 'Es veicu darījumu no $appName, un tas netiek rādīts saņēmēja pusē!';
  }

  @override
  String get faq250Sbquestion8722Sb24 => 'Esmu veicis maksājumu, bet aizmirsu nospiest pogu Esmu samaksājis vai arī nenospiedu to laikā';

  @override
  String get faq250Sbquestion8722Sb25 => 'Kā tiks risināti strīdi?';

  @override
  String get faq250Sbquestion8722Sb26 => 'Es nosūtīju Monero uz nepareizu adresi, vai varu tos atgūt?';

  @override
  String get faq250Sbquestion8722Sb2657Sbagoradesk => 'Es nosūtīju monētas uz nepareizu adresi, vai varu tās atgūt?';

  @override
  String get faq250Sbquestion8722Sb27 => 'Cik bieži tiek atjauninātas sludinājumu cenas?';

  @override
  String get faq250Sbquestion8722Sb28 => 'Kas ir peldošā cena?';

  @override
  String get faq250Sbquestion8722Sb29 => 'Kādas ir maksas?';

  @override
  String get faq250Sbquestion8722Sb3 => 'Kā aktivizēt divu faktoru autentifikāciju?';

  @override
  String get faq250Sbquestion8722Sb30 => 'Vai jums ir mobilā lietotne? / Kā es varu saņemt mobilos paziņojumus?';

  @override
  String get faq250Sbquestion8722Sb32 => 'Kas ir darījuma prioritāte?';

  @override
  String get faq250Sbquestion8722Sb32250Sb1 => 'Kas ir maksas līmenis?';

  @override
  String faq250Sbquestion8722Sb33(Object appName) {
    return 'Kā es varu izņemt Monero uz citu kriptovalūtas maku no sava $appName maka?';
  }

  @override
  String faq250Sbquestion8722Sb3357Sbagoradesk(Object appName) {
    return 'Kā es varu izņemt citas kriptovalūtas no sava $appName maka?';
  }

  @override
  String get faq250Sbquestion8722Sb5 => 'Esmu pazaudējis savu otro autentifikācijas faktoru. Kas man jādara?';

  @override
  String get faq250Sbquestion8722Sb6 => 'Vai jums, puiši, ir .onion vietne / Tor slēptais pakalpojums?';

  @override
  String get faq250Sbquestion8722Sb7 => 'Vai jums ir I2P vietne?';

  @override
  String get faq250Sbquestion8722Sb8 => 'Vai jums ir saistīta programma?';

  @override
  String get faq250Sbquestion8722Sb9 => 'Kāda ir atšķirība starp tiešsaistes tirdzniecību un vietējo tirdzniecību?';

  @override
  String get faq250Sbtitle => 'Bieži uzdotie jautājumi';

  @override
  String get feedback250Sbnone => 'Pagaidām nav atsauksmju';

  @override
  String feedback250Sbtitle(Object user) {
    return 'Atsauksmes par $user';
  }

  @override
  String fees250Sbtitle(Object appName) {
    return '$appName maksas';
  }

  @override
  String fees250Sbtrading250Sbtext(Object appName) {
    return 'Monero reģistrācija, pirkšana un pārdošana ir pilnībā <strong>bezmaksas</strong>. <br/> $appName lietotājiem, kuri veido sludinājumus, tiek iekasēta <strong> 1% arbitrāžas aizsardzības maksa </strong> par katru pabeigto darījumu.';
  }

  @override
  String fees250Sbtrading250Sbtext57Sbagoradesk(Object appName) {
    return 'Kriptovalūtu reģistrācija, pirkšana un pārdošana ir pilnībā <strong>bezmaksas</strong>. <br/> $appName lietotājiem, kuri veido sludinājumus, tiek iekasēta <strong> 1% arbitrāžas aizsardzības maksa </strong> par katru pabeigto darījumu.';
  }

  @override
  String get fees250Sbtrading250Sbtitle => 'Monero tirdzniecība';

  @override
  String get fees250Sbtrading250Sbtitle57Sbagoradesk => 'Kriptovalūtu tirdzniecība';

  @override
  String fees250Sbtx250Sbtext(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Darījumi ar citu $appName lietotāju makiem ir $free. $linebreak  Darījumiem ar citiem Monero makiem tiek piemērota Monero tīkla transakciju maksa. Pašreizējā maksa ir redzama uz $walletPage zem virsraksta $outgoingMonerofees. Darījuma maksa tiek maksāta no jūsu $appName maka, kad nosūtāt darījumu.';
  }

  @override
  String get fees250Sbtx250Sbtext8722Sbfree => 'bezmaksas';

  @override
  String get fees250Sbtx250Sbtext8722Sbwallet8722Sbpage => 'maka lapa';

  @override
  String fees250Sbtx250Sbtext57Sbagoradesk(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Darījumi ar citu $appName lietotāju makiem ir $free. $linebreak  Darījumiem uz ārējiem kriptovalūtu makiem tiek piemērota attiecīgā kriptovalūtu tīkla transakciju maksa. Pašreizējā maksa ir redzama uz $walletPage zem virsraksta $outgoingMonerofees. Darījuma maksa tiek maksāta no jūsu $appName maka, kad nosūtāt darījumu.';
  }

  @override
  String get fees250Sbtx250Sbtitle => 'Monero darījumu maksas';

  @override
  String get fees250Sbtx250Sbtitle57Sbagoradesk => 'Kriptovalūtas darījumu maksas';

  @override
  String get finish => 'Pabeigt';

  @override
  String get footer250Sbabout => 'Par';

  @override
  String get footer250Sbaffiliate => 'Filiāle';

  @override
  String get footer250Sbblocks => 'Monero Block Explorer';

  @override
  String get footer250Sbbounty => 'Drošības balva';

  @override
  String get footer250Sbcanary => 'Kanārijs';

  @override
  String get footer250Sbcontact => 'Sazinies ar mums';

  @override
  String get footer250Sbfees => 'Maksas';

  @override
  String get footer250Sble => 'Tiesībaizsardzības izmeklēšanas';

  @override
  String get footer250Sbpgp => 'PGP atslēgas';

  @override
  String get footer250Sbtor => 'Tor slēptais pakalpojums';

  @override
  String get footer250Sbtos => 'Pakalpojuma noteikumi';

  @override
  String get formula250Sbexamples8722Sbtitle => 'Piemēri';

  @override
  String get formula250Sbexamples250Sbbtc => '5% virs vidējās BTC/EUR tirgus cenas: <strong>coingeckobtcusd*usdeur*1,05</strong>\n<br/> BTC/XMR tirgus cena: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5% virs Kraken BTC/EUR pēdējās cenas, kas konvertēta GBP: <strong> krakenbtceurlast/usdeur*usdgbp*1,05 </strong>\n<br/> 5% zem augstākās cenas starp BTC/USD Bitfinex zemo cenu un BTC/USD Kraken pēdējo cenu: <strong>max(bitfinexbtcusdlow,krakenbtcusdlast)*0,95</strong>\n<br/> 0,1 LTC salīdzinājumā ar tirgus BTC/LTC cenu: <strong>coingeckobtcltc+0,1</strong>';

  @override
  String get formula250Sbexamples250Sbxmr => '5% virs vidējās XMR/EUR tirgus cenas: <strong>coingeckoxmrusd*usdeur*1,05</strong>\n<br/> ETH/XMR tirgus cena: <strong>coingeckoethbtc/coingeckoxmrbtc</strong>\n<br/> BTC/XMR tirgus cena: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5% virs Kraken XMR/EUR pēdējo cenu, kas konvertēta GBP: <strong> krakenxmreurlast/usdeur*usdgbp*1,05 </strong>\n<br/> 5% zem augstākās cenas starp XMR/USD Bitfinex zemo cenu un XMR/USD Kraken pēdējo cenu: <strong>max(bitfinexxmrusdlow,krakenxmrusdlast)*0,95</strong>\n<br/> 0,001 BTC salīdzinājumā ar tirgus XMR/BTC cenu: <strong>coingeckoxmrbtc+0,001</strong>';

  @override
  String get formula250Sbfiat8722Sbrates => 'Fiat valūtas maiņas kursi';

  @override
  String get formula250Sbfiat8722Sbrates8722Sbtab => 'Fiat maiņas kursi';

  @override
  String get formula250Sbfunctions => 'Funkcijas';

  @override
  String get formula250Sbinput8722Sblabel => 'Cenas formula';

  @override
  String get formula250Sbinvalid8722Sbmessage => 'Nederīga formula!';

  @override
  String get formula250Sbmarkets => 'Tirgi';

  @override
  String get formula250Sbmarkets8722Sbtab => 'Tirgi';

  @override
  String get formula250Sbno8722Sbformula8722Sbmessage => 'Ievadiet derīgu formulu, lai redzētu cenu';

  @override
  String get formula250Sboperators => 'Operatori';

  @override
  String get formula250Sboperators8722Sband8722Sbfunctions8722Sbtab => 'Darbības un funkcijas';

  @override
  String get formula250Sbpopular8722Sbfiat8722Sbpairs => 'Populāri fiat maiņas pāri';

  @override
  String get formula250Sbunexpected8722Sberror => 'Kļūda! Atsvaidziniet lapu un mēģiniet vēlreiz. Ja problēma joprojām pastāv, lūdzu, sazinieties ar mūsu atbalsta dienestu.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbfive8722Sbtext => 'Savā autentifikācijas lietotnē skenējiet lapā redzamo QR kodu. Kad tas būs izdarīts, lietotnē sāks parādīties 6 ciparu vienreizējās paroles.';

  @override
  String guide250Sb2fa250Sbstep8722Sbfour8722Sbtext(Object chooseAnyapp, Object andotp) {
    return 'Tālrunī instalējiet autentifikācijas lietotni. Varat $chooseAnyapp, kas atbalsta TOTP. Piemēram, $andotp ir bezmaksas un atvērtā koda.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbfour8722Sbtext8722Sbchoose8722Sbany8722Sbapp => 'izvēlieties jebkuru lietotni';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb0(Object appName) {
    return 'Divu faktoru autentifikācija (2FA) ir iespējota iestatījumu lapas cilnē Divfaktoru autentifikācija. Aktivizējot divu faktoru autentifikāciju, ir ļoti svarīgi, lai jūs <strong> pierakstītu rezerves kodu </strong> un glabātu to drošā vietā, vēlams uz papīra. Ja zaudēsiet piekļuvi saviem divu faktoru kodiem, jūs nevarēsit pieteikties savā kontā un $appName nevarēs jums palīdzēt. Tāda ir 2FA būtība. <strong> Izmantojiet uz savu risku. </strong>';
  }

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb1(Object appName, Object totp, Object authMobileapp) {
    return '$appName piedāvā $totp 2FA. Kad 2FA ir iespējots, $authMobileapp tiks sinhronizēts ar $appName un izveidos 6 ciparu vienreizējas paroles. Šī parole tiek mainīta katru minūti. Lai pieteiktos vai izņemtu šķīrējtiesas obligāciju, papildus savai parolei ir jāievada arī šī vienreizējā parole, pirms tā beidzas.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbauth8722Sbmobile8722Sbapp => 'autentifikācijas mobilā lietotne';

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbtotp => 'Uz laiku balstīts vienreizējās paroles algoritms (TOTP)';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb2(Object settingsPage) {
    return 'Lai sāktu aktivizēt divu faktoru autentifikāciju, apmeklējiet $settingsPage un izvēlieties cilni Divfaktoru autentifikācija.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb28722Sbsettings8722Sbpage => 'iestatījumu lapa';

  @override
  String get guide250Sb2fa250Sbstep8722Sbsix8722Sbtext => 'Lai pabeigtu iestatīšanu, lodziņā zem QR koda ievadiet mobilās lietotnes sniegto kodu un nospiediet pogu Verify 2FA. <br/><br/> Apsveicam! Jūsu kontam ir iespējota divu faktoru autentifikācija. Izmantojiet lietotnes piešķirtos kodus kopā ar paroli, lai pieteiktos un izņemtu šķīrējtiesas obligāciju.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbthree8722Sbtext => '<strong>SVARĪGI! Pierakstiet savu rezerves kodu. </strong> Maksimālai drošībai iesakām to izdrukāt vai uzrakstīt uz papīra. Saglabājiet to droši. Šis kods ir jūsu vienīgā iespēja atgūt piekļuvi savam kontam, ja pazaudējat tālruni vai izdzēsīsiet autentifikācijas lietotni.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbtwo8722Sbtext => 'Ievadiet savu paroli un nospiediet pogu Iespējot 2FA.';

  @override
  String get guide250Sb2fa250Sbtitle => 'Kā iespējot divu faktoru autentifikāciju';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb1 => 'Diemžēl <strong> monētām, piemēram, bitkoiniem, protokolā nav iestrādāta konfidencialitāte. </strong> Visi darījumi un summas, kas tiek tirgotas starp visām pusēm, ir publiski redzamas. Tas neļauj bitkoinam būt aizstājamam un rada būtiskas problēmas ar bitkoīna kā globālās monetārās bāzes dzīvotspēju.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb2 => 'Iedomājieties šādu scenāriju: bitkoīns ir kļuvis par vienīgo izmantoto valūtu pasaulē. Kādas būtu privātuma trūkuma sekas?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3 => 'Jūs ceļojat pa valsts daļām ar vidēju vai augstu vardarbīgas noziedzības līmeni. Lai samaksātu par kaut ko, jums ir jāizmanto daļa no jūsu Bitcoin.<strong> Ja katra persona, ar kuru veicat darījumus, precīzi zina, cik daudz naudas jums ir, tas apdraud jūsu personīgo fizisko drošību. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3250Sbtitle => '1. Fiziskā drošība';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4 => 'Jūs esat uzņēmums, kas veic maksājumu piegādātājam. Šis piegādātājs varēs redzēt, cik daudz naudas ir jūsu uzņēmumam, un tāpēc turpmākajās sarunās varēs uzminēt, cik jutīgs pret cenu jūs esat. Viņi var redzēt katru citu maksājumu, ko esat saņēmis uz šo Bitcoin adresi, un tādējādi noteikt, ar kādiem citiem piegādātājiem jums ir darīšana un cik daudz jūs maksājat šiem piegādātājiem. Viņi var aptuveni noteikt, cik daudz klientu jums ir un cik lielu maksu jūs iekasējat no klientiem. <strong> Šī ir komerciāli sensitīva informācija, kas pietiekami sabojā jūsu sarunu pozīciju, lai radītu relatīvus finansiālus zaudējumus. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4250Sbtitle => '2. Komercnoslēpums';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5 => 'Jūs esat privātpersona, kas maksā par tiešsaistes precēm un pakalpojumiem. Jūs zināt, ka uzņēmumi parasti mēģina izmantot <strong> “cenu diskriminācijas”</strong> algoritmus, lai mēģinātu noteikt augstākās cenas, par kurām tie var piedāvāt jums turpmākos pakalpojumus, un jūs vēlētos, lai tie nedarītu [X307X ] ir informācijas priekšrocība, jo jūs zināt, cik daudz un kur to tērējat.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5250Sbtitle => '3. Cenu diskriminācija';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6 => 'Jūs pārdodat cupcakes un saņemat bitcoin kā maksājumu. Izrādās, ka <strong> kāds, kuram šis bitcoin piederēja pirms jums, bija iesaistīts noziedzīgā darbībā</strong>. Tagad jūs uztraucaties, ka esat kļuvis par <strong> aizdomās turamo krimināllietā</strong>, jo naudas līdzekļu kustība pie jums ir publiska reģistra jautājums. Jūs arī uztraucaties, ka daži bitkoini, kas, jūsuprāt, pieder jums, tiks uzskatīti par “satraipīti” un <strong> citi atteiksies tos pieņemt kā maksājumu.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6250Sbtitle => '4. Sabojāti līdzekļi';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7 => '<strong> Monero atrisina šīs privātuma problēmas, automātiski piemērojot privātuma paņēmienus katram veiktajam darījumam.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7250Sbtitle => 'Kā Monero to atrisina';

  @override
  String guide250Sbbtc250Sbcard8722Sbfive8722Sb8(Object fungibility) {
    return 'Jūs varat būt pārliecināts, ka nav iespējams iegūt “satraipītu” Monero. Šis ir ekonomikas jēdziens, kas pazīstams kā $fungibility, un vēsturiski tiek uzskatīts par svarīgu jebkuras valūtas īpašību.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive250Sbtitle => 'Kāpēc finanšu privātums ir svarīgs';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb1 => 'Izmantojiet Tor';

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb2(Object tor) {
    return 'Saskaņā ar $tor Tor ir bezmaksas programmatūra un atvērts tīkls, kas palīdz aizsargāties pret trafika analīzi, tīkla uzraudzības veidu, kas apdraud personas brīvību un privātumu, konfidenciālas biznesa aktivitātes un attiecības, kā arī valsts drošību.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb3(Object torBrowser, Object appName, Object torLink) {
    return 'Lai to izmantotu, vienkārši lejupielādējiet un instalējiet $torBrowser no viņu oficiālās vietnes. Pēc tā palaišanas varat piekļūt $appName, izmantojot mūsu īpašo Tor portālu: $torLink';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb4(Object appName) {
    return 'Pērkot ar $appName, izmantojiet maksājuma veidus, kas ietver skaidru naudu';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb5 => 'Ikreiz, kad iepērkaties, izmantojot bankas pārskaitījumu, PayPal vai citas līdzīgas maksājumu iespējas, vienmēr notiks privātuma noplūde to uzņēmumu uzskaites dēļ, kas apstrādā jūsu maksājumu. Lai izvairītos no šīs privātuma noplūdes, pieturieties pie metodēm, kas saistītas ar skaidru naudu.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb6 => 'Izmantojiet tādas metodes kā skaidra nauda pa pastu, skaidras naudas iemaksa bankomātos, klātienes tikšanās vai dāvanu kartes, kas iegādātas skaidrā naudā. ';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour250Sbtitle => 'Uzlabotas metodes, kā palikt anonīmam, izmantojot šo Bitcoin iegādes metodi';

  @override
  String guide250Sbbtc250Sbcard8722Sbone8722Sb1(Object wikipedia) {
    return 'Saskaņā ar $wikipedia:';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb2 => 'Monero (XMR) ir atvērtā pirmkoda kriptovalūta, kas izveidota 2014. gada aprīlī, un tā koncentrējas uz <strong> aizstājamību, privātumu un decentralizāciju.</strong> Monero izmanto neskaidru publisko virsgrāmatu, kas nozīmē, ka ikviens var pārraidīt vai nosūtīt darījumus, bet neviens no ārēja novērotāja nevar pateikt. avots, summa vai galamērķis. Monero izmanto darba apliecinājuma mehānismu, lai izdotu jaunas monētas un stimulētu kalnračus aizsargāt tīklu un apstiprināt darījumus.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb3 => 'Monero tiek aktīvi mudināts tiem, kas meklē finanšu privātumu, jo <strong> maksājumi un kontu atlikumi paliek pilnībā slēpti</strong>, kas nav standarts lielākajai daļai kriptovalūtu.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone250Sbtitle => '1. Kas ir Monero?';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb1(Object appName) {
    return '6. darbība: Bitcoins izņemšana no $appName';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb2 => 'Tagad dodieties uz maka lapu un atzīmējiet izvēles rūtiņu “Es vēlos izņemt naudu no BTC, XMR, ETH, LTC, BCH vai DASH maka” maka lapas cilnē “Sūtīt Monero”. Parādītajā sadaļā atlasiet BTC un ievadiet attiecīgo saņēmēja BTC adresi. Pēc tam ievadiet summu XMR, atlasiet prioritāti un noklikšķiniet uz \"Turpināt\". Lūdzu, ņemiet vērā, ka saņemtajai summai XMR ir jāatbilst norādītajiem ChangeNow ierobežojumiem.';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb3(Object appName, Object morphtoken) {
    return 'Pēc tam, kad būsit ievadījis savu paroli un (ja ir iespējots) vienreizējo paroli, $appName nosūtīs jūsu monētas uz $morphtoken konvertēšanai.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb4(Object appName) {
    return 'Šajā brīdī jums nekas nav jādara, un jūsu pārlūkprogrammā tiks atvērts jauns logs, kurā varat pārraudzīt darījuma statusu (ja tas nav atvērts, lūdzu, noklikšķiniet uz norādītās saites un noteikti saglabājiet to, lai jūs var redzēt darījuma plūsmu). Ja darījumā kaut kas noiet greizi, monētas tiks atmaksātas jūsu $appName makā.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb5 => '7. darbība';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb6(Object morphtoken) {
    return 'Pēc tam vienkārši pagaidiet, līdz darījums tiks pabeigts (apmēram 15 minūtes), un $morphtoken nosūtīs bitkoīnus uz jūsu norādīto adresi. Gatavs!';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree250Sbtitle => 'Bitcoin pirkšana anonīmi ar skaidru naudu';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb1 => '<strong> Monero ir vadošā kriptovalūta, kas koncentrējas uz privātiem un pret cenzūru izturīgiem darījumiem</strong>. Lielākajai daļai esošo kriptovalūtu, tostarp Bitcoin un Ethereum, ir caurspīdīgas blokķēdes, kas nozīmē, ka darījumi ir atklāti pārbaudāmi un izsekojami ikvienam pasaulē. Turklāt šo darījumu nosūtīšanas un saņemšanas adreses var būt saistītas ar personas reālo identitāti.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb2 => 'Monero izmanto kriptogrāfiju, lai aizsargātu nosūtīšanas un saņemšanas adreses, kā arī darījumu summas.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb3 => 'Monero darījumi ir konfidenciāli un neizsekojami.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb4 => 'Katrs Monero darījums pēc noklusējuma aptumšo nosūtīšanas un saņemšanas adreses, kā arī darījumu summas. Šī vienmēr ieslēgtā konfidencialitāte nozīmē, ka katra Monero lietotāja darbība uzlabo visu pārējo lietotāju privātumu, atšķirībā no selektīvi caurspīdīgām kriptovalūtām (piemēram, Z-Cash). Monero ir aizstājams. Apmulsināšanas dēļ Monero nevar tikt sabojāts, piedaloties iepriekšējos darījumos. Tas nozīmē, ka Monero vienmēr tiks pieņemts bez cenzūras riska. Dandelion++ ļauj izplatīt darījumus, nepārliecinoties par izcelsmi. Tas aizsegs darījuma veicēja IP adresi un nodrošinās turpmāku aizsardzību pret tīkla uzraudzību.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb5 => 'Monero ir vietējā kopiena, kas piesaista pasaules labākos kriptovalūtas pētniekus un inženieru talantus.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb6 => 'Vairāk nekā 420 izstrādātāju ir piedalījušies Monero projektā, tostarp 30 galvenie izstrādātāji. Forumi un tērzēšanas kanāli ir pretimnākoši un aktīvi.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb7 => 'Monero pētniecības laboratorija, galvenā izstrādes komanda un kopienas izstrādātāji pastāvīgi virza uz priekšu, kas ir iespējams ar kriptovalūtas privātumu un drošību.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb8 => '<strong> Monero ir elektroniskā skaidrā nauda, kas ļauj veikt ātrus, lētus maksājumus uz un no jebkuras vietas pasaulē. </strong> Nav vairāku dienu aizturēšanas periodu un nepastāv krāpniecisku maksājumu atdošanas risks. Tas ir drošs no “kapitāla kontroles” — tie ir pasākumi, kas ierobežo tradicionālo valūtu plūsmu, dažkārt ārkārtīgi lielā mērā, valstīs, kurās ir ekonomiskā nestabilitāte.';

  @override
  String guide250Sbbtc250Sbcard8722Sbtwo250Sbtitle(Object getmonero) {
    return '2. Kāpēc Monero? (kā paskaidrots $getmonero)';
  }

  @override
  String get guide250Sbbtc250Sbconclusion8722Sb1 => 'Laikam ejot, tas kļūst arvien grūtāk, taču joprojām ir iespējams panākt anonīmu bitcoīna iegādi, ja vien vēlaties veikt papildu <strong> pārveidošanu no Monero. </strong> Par laimi, Monero tikai palīdz palielināt jūsu privātumu un anonimitāti vēl vairāk. Lai gan lielākajā daļā citu tiešsaistē pieejamu rokasgrāmatu ir ieteiktas metodes, kas ietver darbības, kas rada turpmākas privātuma noplūdes, šajā rokasgrāmatā ir sniegts veids, kā ne tikai samazināt privātuma noplūdes, bet pat uzlabot jūsu privātuma līmeni, salīdzinot ar bitcoin iegādi tieši ar skaidru naudu, jo <strong> jūs pasargās Monero privātuma funkcijas. </strong>';

  @override
  String get guide250Sbbtc250Sbconclusion250Sbtitle => 'Secinājums';

  @override
  String get guide250Sbbtc250Sbintro8722Sb1 => '<strong>Bitkoinu iegāde anonīmi ir kļuvusi par arvien grūtāku uzdevumu.</strong>';

  @override
  String guide250Sbbtc250Sbintro8722Sb2(Object ninetyNinebitcoins, Object coincentral, Object linebreak, Object gutter, Object localbitcoins, Object paypal) {
    return 'Ar katru dienu šķiet, ka lielākajai daļai, ja ne visām tradicionālajām bitcoin iegūšanas metodēm, ir sākusi pieprasīt ID verifikāciju, tāpēc lielākā daļa ceļvežu, piemēram, $ninetyNinebitcoins vai $coincentral, ir novecojuši. $linebreak  $gutter Tradicionālais veids, kā iegādāties bitkoīnus bez ID, galvenokārt ir bijis P2P Bitcoin apmaiņas platforma $localbitcoins, kas bija īpaši populāra, lai anonīmi iegādātos bitkoīnus ar $paypal.';
  }

  @override
  String get guide250Sbbtc250Sbintro8722Sb3 => 'Bet diemžēl pat <strong>LocalBitcoins ir sākuši pieprasīt ID verifikāciju no visiem saviem tirgotājiem.</strong>';

  @override
  String get guide250Sbbtc250Sbintro8722Sb4 => 'Vai tie ir laiki, kad ar kredītkarti varēja iegādāties bitkoīnus uzreiz un bez pārbaudes? Ne īsti. Šeit mēs piedāvājam vienkāršu, anonīmu, privātu un ātru veidu, kā iegūt bitkoīnus ar skaidru naudu, veicot tikai dažas darbības… ';

  @override
  String get guide250Sbbtc250Sbtitle => 'Kā anonīmi iegādāties Bitcoins';

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Kad esat veicis maksājumu, noklikšķiniet uz pogas \"Esmu samaksājis\". Kad tirgotājs ir pārliecinājies, ka jūsu maksājums ir saņemts, darījums tiks pabeigts, un drīz jūs redzēsiet $assetName savā norēķinu makā. Un tas arī viss, apsveicam ar pirmo $assetName darījumu!';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName maku';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Pēc pogas \'Pirkt\' nospiešanas jūs redzēsiet vairāk informācijas par sludinājumu, ieskaitot tirdzniecības noteikumus. Izlasiet tos pirms tirdzniecības pieprasījuma iesniegšanas, ja nepiekrītat, varat atgriezties iepriekšējā lapā un izvēlēties citu sludinājumu. Lai sāktu tirdzniecību, ierakstiet, cik daudz $assetName vēlaties iegādāties, un noklikšķiniet uz pogas \"Sūtīt tirdzniecības pieprasījumu\", lai sāktu tirdzniecību. Pārliecinieties, ka esat gatavs maksāt, noklikšķinot uz pogas. Ja nemaksāsiet pirms maksājuma perioda beigām, pārdevējs varēs atcelt darījumu.';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext(Object registerAnaccount, Object appName) {
    return '$registerAnaccount ar $appName. Jūs saņemat bezmaksas un drošu tiešsaistes Monero maku. Papildu lietotnes nav vajadzīgas. Ja jums jau ir konts, pārejiet uz nākamo darbību.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbone8722Sbtext8722Sbregister8722Sban8722Sbaccount => 'Reģistrējiet kontu';

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext57Sbagoradesk(Object registerAnaccount, Object appName) {
    return '$registerAnaccount ar $appName. Jūs saņemat bezmaksas un drošu tiešsaistes kriptovalūtas maku. Papildu lietotnes nav vajadzīgas. Ja jums jau ir konts, pārejiet uz nākamo darbību.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbthree8722Sbtext => 'No sludinājumu saraksta izvēlieties vienu no tirgotāja ar labu reputācijas rādītāju un lielu darījumu skaitu. Zaļš aplis nozīmē, ka tirgotājs šodien ir bijis tiešsaistē, dzeltens aplis nozīmē, ka viņš šonedēļ ir apmeklējis vietni, un pelēks aplis nozīmē, ka tirgotājs šeit nav bijis vairāk nekā nedēļu. Varat noklikšķināt uz pogas \"Pirkt\", lai skatītu vairāk informācijas par sludinājumu.';

  @override
  String guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext(Object mainPage, Object assetName) {
    return 'Dodieties uz $mainPage un meklēšanas lodziņā aizpildiet veidlapu, norādot summu, kuru vēlaties iegādāties savā valūtā, atrašanās vietu un maksājuma veidu. Ja neesat pārliecināts, kā vēlaties maksāt, kā maksājuma veidu izvēlieties \"Visi tiešsaistes piedāvājumi\". Vietnē būs norādīti $assetName tirgotāji, kas pieejami jūsu reģionā.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext8722Sbmain8722Sbpage => 'galvenā lapa';

  @override
  String get guide250Sbbuy250Sbtitle => 'Kā iegādāties Monero tiešsaistē';

  @override
  String get guide250Sbbuy250Sbtitle57Sbagoradesk => 'Kā iegādāties kriptovalūtu tiešsaistē';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtext => 'Jūs varat ievietot skaidru naudu aploksnē mājās vai automašīnā, kā arī varat ievietot tālruni ar ieslēgtu video krekla priekšējā kabatā, un tas ierakstīs visu procesu bez īpašas papildu darbības, izņemot to, ka jūs darāt visu kameras virzienā. Ja jums ir kaut kas līdzīgs GoPro vai jaunākajam iPhone, kuram ir kamera ar plašāku skata leņķi, tas būs vēl vienkāršāk.\n\nStrīda gadījumā glabājiet videomateriālu 180 dienas.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtitle => 'Videoklips ir jāuzņem vienā uzņemšanā, bez izgriezumiem';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtext => 'Izmantojiet kādu pielāgotu karbonādi/zīmogu/zīmogu vai parakstu, vai vienkārši nejaušas kustības ar asumiņu iekšpusē aploksnē, nosedzot visas virsmas. Tas palīdzēs noteikt, vai pārdevējs patiešām atver jūsu nosūtīto aploksni vai viltotu. Pārliecinieties, vai videoklipā ir redzama atzīme.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtitle => 'Ievietojiet pielāgotus marķējumus aploksnes iekšpusē';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtext => 'Lai mazinātu (iespējamu, bet ļoti retu) pasta zādzības gadījumu ceļā, mēģiniet noslēpt faktu, ka pakā ir skaidra nauda. Jūs varat ievietot skaidru naudu žurnālā, mylar somā vai citā konteinerā. Darbojas arī skaidras naudas aizzīmogošana ar vakuumu.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtitle => 'Mēģiniet maskēt skaidru naudu';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtext => 'Tā vietā, lai vienkārši ievietotu skaidru naudu aploksnē, izmantojiet vairākas ligzdotas aploksnes savai pakai. Ievietojiet skaidru naudu mazākajā aploksnē (vai vienkārši salokiet lielāku aploksni, ja nepieciešams), aizzīmogojiet to un ievietojiet citā aploksnē. Atkārtojiet šo procesu, līdz ir vismaz 3 ligzdotas aploksnes. Tas palīdz nodrošināt, ka, ja saņēmēja puse mēģinās iejaukt jūsu paku, tai būs daudz grūtāk to visu aizzīmogot tā, lai strīda starpnieks to pārbaudītu nevarētu.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtitle => 'Ievietojiet aploksnes aplokšņu iekšpusē';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtext => 'Pakas, kas nosūtītas bez izsekošanas, var pazust, un bez izsekošanas var būt neiespējami to atrast. Izsekošana arī ļauj saņēmējam būt mierīgam, ka paka ir ceļā, ja tas aizņem ilgāku laiku, nekā paredzēts.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtitle => 'Sūtīt ar izsekošanu';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtext => 'Kā jau minējām iepriekš, pastāvīgu tirgotāju risks pircējam ir ļoti zems. Tomēr ļoti zems rādītājs nenozīmē nulli, tāpēc noteikti ievērojiet šos noteikumus, lai būtu gatavs strīda situācijai.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtitle => 'Secinājums';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbintro => 'Ja pieturaties pie pārdevējiem ar labu reputāciju, ir maz ticams, ka, iepērkoties pa pastu skaidrā naudā, radīsies problēmas, tomēr tālāk sniegtie padomi palīdzēs pierādīt maksājumu strīda gadījumā. Vissvarīgākais, kas jādara, ir veikt maksājuma videoierakstu. Tālāk ir sniegtas vadlīnijas.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbtitle => 'Ja jūs pērkat...';

  @override
  String get guide250Sbcbm250Sbdescription => 'Lielākā daļa Cash by Mail darījumu norit bez aizķeršanās, taču jums joprojām ir jāievēro šīs vadlīnijas, lai sagatavotos strīdam.';

  @override
  String get guide250Sbcbm250Sbinfocard => 'Noteikti izlasiet mūsu ceļvedi par drošu skaidras naudas lietošanu pa pastu!';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtext => 'Ierakstiet sevi, saņemot sūtījumu no pasta darbinieka, pasta darbinieks to sver, pierakstiet etiķeti, visas pakas ārējās malas; filmēšanas laikā atveriet iepakojumu ar kameru tajā, izlaidiet skaidru naudu caur leti un viltojumu skeneri. Pārliecinieties, ka viss ir nofilmēts vienā kadrā. Vienmēr turiet iepakojumu kameras redzeslokā. Strīda gadījumā glabājiet videomateriālu 180 dienas.';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtitle => 'Izveidojiet video par iepakojuma saņemšanu un atvēršanu';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtext => 'Galvenais, kas jāatceras (un mēs ik uz soļa par to ievietojam atrunas), ir NEKAD nepabeigt darījumu, KAMĒR jums nav naudas un esat pilnīgi pārliecināts, ka viss ir kārtībā. Likumīgs pircējs nespiedīs jūs veikt priekšlaicīgu pabeigšanu.';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtitle => 'Nekādā gadījumā nepabeidziet darījumu priekšlaicīgi';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtext => 'Tas palīdzēs jums atšķirt iepakojumus no dažādiem pircējiem un izvairīties no neskaidrībām. Tas arī palīdzēs novērst “cilvēka vidū” uzbrukumus, kad krāpnieks iejaucas starp pircēju un pārdevēju, izliekoties par pārdevēju, kad runā ar pircēju, un izliekoties par pircēju, kad runā ar pārdevēju. .';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtitle => 'Lūdziet pircējam ievietot piezīmi ar savu lietotājvārdu un tirdzniecības ID';

  @override
  String get guide250Sbcbm250Sbseller250Sbtitle => 'Ja jūs pārdodat...';

  @override
  String get guide250Sbcbm250Sbtitle => 'Palieciet drošībā ar skaidru naudu pa pastu';

  @override
  String guide250Sblocal250Sbtext8722Sb0(Object appName, Object online) {
    return '$appName piedāvā divus galvenos reklāmu veidus — $online un vietējās reklāmas. Izmantojot vietējos sludinājumus, jūs fiziski tiekaties ar savu tirdzniecības partneri un veicat tirdzniecību aci pret aci. Šajā rokasgrāmatā ir sniegta informācija par vietējo reklāmu iestatīšanu un vietējo tirdzniecību.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb08722Sbonline => 'tiešsaistē';

  @override
  String get guide250Sblocal250Sbtext8722Sb1 => 'Vai ir tirgus/pieprasījums?';

  @override
  String guide250Sblocal250Sbtext8722Sb2(Object assetName) {
    return 'Tas ir atkarīgs no jūsu dzīvesvietas, jo lielākās pilsētās jūs atradīsit vairāk cilvēku, kas interesējas par $assetName iegādi, nekā laukos. Tā kā $assetName darījumi ir neatgriezeniski, bet lielākā daļa tradicionālo tiešsaistes maksājumu veidu ir atgriezeniski, $assetName pārdošana vietējā tirgū par skaidru naudu padara maksājumu pieņemšanu daudz drošāku, jo skaidra nauda ir tikpat neatgriezeniska kā $assetName. Daži cilvēki novērtē privātumu, ko piedāvā skaidras naudas darījumi. Neliela $assetName daudzuma iegāde skaidrā naudā arī ir lielisks veids, kā bez liekas apgrūtināšanas sākt darbu ar $assetName.';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb3(Object assetName) {
    return 'Ko darīt, ja man beigsies $assetName?';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb4(Object assetName) {
    return 'Ja jums beigsies $assetName, varat ātrāk iepirkties tradicionālajā $assetName biržā, lai gan parasti tas aizņem dažas dienas, jo jums būs jāiegādājas, izmantojot bankas pārskaitījumu.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb5 => 'Pārliecinieties, ka esat viegli sasniedzams! Sludinājumā norādiet savu iecienītāko tikšanās vietu un laiku. Sludinājumā varat norādīt savu mobilā tālruņa numuru.';

  @override
  String get guide250Sblocal250Sbtext8722Sb58722Sbtitle => 'Reklāma';

  @override
  String guide250Sblocal250Sbtext8722Sb6(Object assetName) {
    return 'Visi tradicionālie riski, kas regulē naudas apmaiņu, attiecas arī uz $assetName tirdzniecību. Lūdzu, rūpīgi apsveriet riskus un izmantojiet atgriezeniskās saites sistēmu un citus pasākumus, lai nodrošinātu savu drošību.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb68722Sbtitle => 'Riski';

  @override
  String guide250Sblocal250Sbtext8722Sb7(Object assetName) {
    return 'Var būt gadījumi, kad viltota nauda tiek nodota $assetName pārdevējam. Veicot darījumus, lūdzu, apsveriet iespēju izmantot viltojumu detektoru.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb78722Sbtitle => 'Viltota nauda';

  @override
  String get guide250Sblocal250Sbtext8722Sb8 => '<strong> Lūdzu, ņemiet vērā: </strong>Pirms sākat tirdzniecību kā uzņēmējdarbību, izpētiet savas valsts tiesību aktus, lai noskaidrotu, vai jums ir jāpiesakās licencēm vai ir kādas citas juridiskas prasības.';

  @override
  String get guide250Sblocal250Sbtext8722Sb9 => 'Laimīgu tirdzniecību!';

  @override
  String get guide250Sblocal250Sbtext8722Sbfour => 'Nosūtiet saites saviem draugiem, reklamējieties sociālajos medijos un lokāli, gaidiet, līdz tiks izpildīti pasūtījumi';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbone(Object signUp) {
    return '$signUp, ja vēl neesat to izdarījis';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbone8722Sbsign8722Sbup => 'Pierakstīties';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree(Object loadMonero) {
    return '$loadMonero, ja pārdodat';
  }

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree8722Sbload8722Sbmonero(Object assetName) {
    return 'Ievietojiet $assetName savā makā';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbtwo => 'Ievietojiet tirdzniecības sludinājumu';

  @override
  String get guide250Sblocal250Sbtext8722Sbsteps8722Sbtitle => 'Labi, kādi ir pirmie soļi?';

  @override
  String get guide250Sblocal250Sbtitle => 'Kā pirkt vai pārdot Monero par skaidru naudu';

  @override
  String get guide250Sblocal250Sbtitle57Sbagoradesk => 'Kā pirkt vai pārdot kriptovalūtu skaidrā naudā';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbdescription(Object appName) {
    return 'Šajā rokasgrāmatā jūs uzzināsit, kā atjaunot savu ar brīvības atņemšanu nesaistīto $appName norēķinu maku, izmantojot tirdzniecības lapā parādīto mnemonisko sēklu.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb1 => 'Lejupielādējiet jaunāko Electrum maka versiju no vietnes <a target=\"_blank\" href=\"https://electrum.org/#download\" class=\"next-link\">electrum.org</a> un palaidiet to.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb2 => 'Izvēlnē \"Fails\" izvēlieties \"Jauns/Atjaunot\" (izvēlēts automātiski, ja ierīcē nav citu Electrum maku).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb3 => 'Izvēlieties sev tīkamo maka nosaukumu un režīmu (piem., “Standarta”).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb4 => 'Izvēlieties \"Man jau ir sēkla\" un nospiediet \"Tālāk\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb5 => 'Ielīmējiet mnemonisko sēklu no tirdzniecības lapas ievadē. Pēc tam zem mnemoniskā sēklu ievades lauka nospiediet \"Opcijas\" un atzīmējiet \"Paplašināt šo sēklu ar pielāgotiem vārdiem\" un \"BIP39 sēklas\", nospiediet \"OK\" un pēc tam \"Nākamais\".';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb6(Object appName) {
    return 'Ievadē \"Sēklas paplašinājums\" ierakstiet $appName paroli, ko izmantojāt, pabeidzot darījumu, un nospiediet \"Tālāk\".';
  }

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb7(Object formattedDerivationPath) {
    return 'Atlasiet “native segwit (p2wpkh)” un tālāk esošajā atvasināšanas ceļa ievadē ierakstiet $formattedDerivationPath. Nospiediet \"Tālāk\".';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb8 => 'Izvēlieties, kuru paroli vēlaties savam makam, un nospiediet \"Tālāk\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb9 => 'Tieši tā! Jūs redzēsit visus darījumus cilnē \"Vēsture\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbtitle => 'Izmantojot Electrum';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb1 => 'Lejupielādējiet jaunāko Monero CLI maka versiju savai operētājsistēmai no vietnes <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a>.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb2(Object formattedFlag) {
    return 'Palaidiet maku ar karogu $formattedFlag.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb3 => 'Ievadiet jebkuru sava maka nosaukumu, kuru vēlaties.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb4 => 'Kad tiek prasīts <strong>\"Norādīt Electrum seed\"</strong>, ielīmējiet mnemonisko sēklu no tirdzniecības lapas.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb5(Object appName) {
    return 'Kad tiek prasīts <strong>\"Ievadiet sākuma nobīdes ieejas frāzi\",</strong> ievadiet $appName paroli, ko izmantojāt, pabeidzot darījumu.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb6 => 'Atbildiet uz nākamajiem jautājumiem pēc jūsu izvēles.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb7(Object formattedCommand) {
    return 'Tieši tā! Kad seifs ir sinhronizēts, jūs redzēsit visus darījumus, izmantojot komandu $formattedCommand.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbtitle => 'Izmantojot oficiālo CLI maku';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb1 => 'Lejupielādējiet jaunāko Monero GUI maka versiju savai operētājsistēmai no vietnes <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> un palaidiet to.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb2 => 'Izvēlieties sev vēlamo seifa režīmu un pēc tam atlasiet “Atjaunot maku no atslēgām vai mnemoniskā sēkla”.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb3(Object appName) {
    return 'Izvēlieties \"Atjaunot no sēklām\" (atlasīts pēc noklusējuma) un ielīmējiet mnemonisko sēklu no tirdzniecības lapas zemāk esošajā ievadē. Pēc tam atlasiet \"Sēklas nobīdes ieejas frāze\" un ierakstiet $appName paroli, ko izmantojāt, pabeidzot darījumu. Nospiediet \"Tālāk\". ';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb4 => 'Tieši tā! Pēc seifa sinhronizācijas cilnē Darījumi tiks parādīti visi darījumi.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbtitle => 'Izmantojot oficiālo GUI maku';

  @override
  String get guide250Sbmnemonic250Sbtitle => 'Kā atjaunot manu ar brīvības atņemšanu nesaistītu norēķinu maku no mnemoniskas sēklas?';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1 => 'Dodieties uz <a target=\"_blank\" href=\"/\" class=\"next-link\">galveno lapu</a> — jūs redzēsit populārākos piedāvājumus savam noklusējuma reģionam. Rezultātus varat precizēt, meklēšanas lodziņā ievadot vajadzīgo summu un mainot valūtu, valsti vai maksājuma veidu (ja neesat pārliecināts, kuru maksājuma veidu vēlaties izmantot, atlasiet \"Visi tiešsaistes piedāvājumi\") un nospiežot \"Meklēt\".';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1250Sb1 => 'No sludinājumu saraksta izvēlieties vienu no tirgotāja ar lielu darījumu skaitu un labu reputācijas rādītāju (attiecīgi parādīts iekavās blakus lietotājvārdam). Zaļš aplis nozīmē, ka tirgotājs šodien ir bijis tiešsaistē; dzeltens aplis nozīmē, ka viņi šonedēļ ir apmeklējuši vietni; un pelēks aplis nozīmē, ka tirgotājs šeit nav bijis vairāk nekā nedēļu. Varat noklikšķināt uz pogas \"Pirkt\", lai skatītu vairāk informācijas par sludinājumu.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb157Sbagoradesk => 'Dodieties uz <a target=\"_blank\" href=\"/\" class=\"next-link\">galveno lapu</a> — jūs redzēsit populārākos piedāvājumus savam noklusējuma reģionam. Pēc tam atlasiet kriptovalūtu, ar kuru vēlaties tirgoties, nospiežot atbilstošo cilni rindā virs reklāmu tabulas. Šajā piemērā mēs izvēlēsimies BTC. Pēc tam kreisajā kolonnā atlasiet cilni \"Pirkt\". Varat precizēt rezultātus, meklēšanas lodziņā ievadot vajadzīgo summu un mainot valūtu, valsti vai maksājuma veidu (ja neesat pārliecināts, kuru maksājuma veidu vēlaties izmantot, atlasiet \"Visi tiešsaistes piedāvājumi\") un nospiežot zilo pogu ar ikona \"Meklēt\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbbuy250Sb2(Object assetName) {
    return 'Pēc pogas \"Pirkt\" nospiešanas jūs redzēsiet vairāk informācijas par sludinājumu, tostarp tirdzniecības noteikumus. Izlasiet tos pirms tirdzniecības pieprasījuma iesniegšanas, ja nepiekrītat, varat atgriezties iepriekšējā lapā un izvēlēties citu sludinājumu. Lai sāktu tirdzniecību, ierakstiet, cik daudz $assetName vēlaties iegādāties, un noklikšķiniet uz pogas \"Sūtīt tirdzniecības pieprasījumu\". Jums atkal tiks parādīti tirdzniecības noteikumi, vēlreiz rūpīgi izlasiet tos un pārliecinieties, ka piekrītat, pēc tam nospiediet \"Pieņemt noteikumus\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb3 => 'Pēc tam jums tiks piedāvāts ievadīt norēķinu maka adresi. Šī ir adrese, uz kuru tiks nosūtītas jūsu iegādātās monētas. Ja jums nav personīgā XMR maka, varat izmantot <a target=\"_blank\" href=\"https://www.getmonero.org/downloads/\" class=\"next-link\">oficiālo Monero GUI vai CLI maku</a> vai <a target=\"_blank\" href=\"https://featherwallet.org/\" class=\"next-link\">Feather maku</a>. Nokopējiet savu adresi no maka un ielīmējiet to ievadē \"Receiving Monero address\" (pārliecinieties, ka ielīmētā adrese ir tāda pati kā nokopētā adrese, lai nepazaudētu monētas). Lūdzu, ņemiet vērā, ka makam, ko izmantojat tirdzniecības norēķiniem, ir jābūt jūsu pašam, trešo pušu mitinātie maki nav atļauti. Kad tas ir izdarīts, nospiediet \"Sākt tirdzniecību\", lai sāktu tirdzniecību.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb357Sbagoradesk => 'Pēc tam jums tiks piedāvāts ievadīt norēķinu maka adresi. Šī ir adrese, uz kuru tiks nosūtītas jūsu iegādātās monētas. Ja jums nav personīgā BTC maka, varat izmantot <a target=\"_blank\" href=\"https://electrum.org/#home\" class=\"next-link\">Electrum maku</a>. Nokopējiet savu adresi no maka un ielīmējiet to ievadē \"Receiving Bitcoin address\" (pārliecinieties, ka ielīmētā adrese ir tāda pati kā kopētā adrese, lai nepazaudētu monētas). Lūdzu, ņemiet vērā, ka makam, ko izmantojat tirdzniecības norēķiniem, ir jābūt jūsu pašam, trešo pušu mitinātie maki nav atļauti. Kad tas ir izdarīts, nospiediet \"Sākt tirdzniecību\", lai sāktu tirdzniecību.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb4 => 'Jūsu pārlūkprogrammā tiks atvērta tirdzniecības lapa. Sazinieties ar pārdevēju, izmantojot tirdzniecības tērzēšanu, lai pārliecinātos, ka pārdevējs ir gatavs saņemt jūsu maksājumu, un lai noskaidrotu visus jautājumus, kas jums rodas par maksājuma veikšanu.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb5 => 'Veiciet apmaksu saskaņā ar pārdevēja norādījumiem un nekavējoties nospiediet \"Esmu samaksājis\" - tas paziņos pārdevējam, ka maksājums ir pabeigts, un neļaus pārdevējam atcelt darījumu.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb7 => 'Kad pārdevējs būs apstiprinājis jūsu maksājuma saņemšanu, viņš sāks darījumu norēķinus. Jūs redzēsit, ka tirdzniecības statuss būs mainīts uz \"Notiek apstrāde\". Šobrīd nekas cits jums nav jādara — monētas tiks automātiski pārsūtītas uz jūsu norādīto norēķinu maka adresi. Tas prasīs kādu laiku (parasti aptuveni 10–60 minūtes), tāpēc vienkārši atpūtieties un gaidiet, līdz ienākošais darījums parādīsies jūsu personīgajā makā. Lūdzu, ņemiet vērā, ka ar tirdzniecības norēķiniem saistītās tīkla darījumu maksas tiks atskaitītas no tirdzniecības summas, kas nozīmē, ka jūs saņemsiet nedaudz mazāk, nekā tiek parādīts tirdzniecības lapā.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb8 => 'Tieši tā! Kad tirdzniecības norēķins būs pabeigts un būsiet saņēmis savas monētas, varēsiet skatīt norēķinu informāciju, tirdzniecības lapā izvēršot sadaļu \"Darījuma informācija\". Neaizmirstiet atstāt atsauksmes par savu pieredzi ar šo pārdevēju!';

  @override
  String guide250Sbnon8722Sbcustodial250Sbregister(Object appName) {
    return '<a target=\"_blank\" href=\"/signup\" class=\"next-link\">Reģistrējiet kontu</a>, izmantojot $appName. Ja jums jau ir konts, pārejiet uz nākamo darbību.';
  }

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb1(Object appName) {
    return 'Noguldiet monētas savā <a target=\"_blank\" href=\"/account/wallet\" class=\"next-link\">$appName šķīrējtiesas obligāciju makā</a>. Savu $appName depozīta adresi redzēsit cilnē “Saņemt”.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2 => 'Dodieties uz <a target=\"_blank\" href=\"/\" class=\"next-link\">galveno lapu</a> un meklēšanas lodziņā atlasiet “Pārdot”. Varat vēl vairāk uzlabot rezultātus, meklēšanas lodziņā ievadot vajadzīgo summu un mainot valūtu, valsti vai maksājuma veidu (ja neesat pārliecināts, kuru maksājuma veidu vēlaties izmantot, atlasiet \"Visi tiešsaistes piedāvājumi\". Nospiediet \"Meklēt\".';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb1 => 'Daži maksājumu veidi tiek uzskatīti par <a target=\"_blank\" href=\"/faq#high-risk-methods\" class=\"next-link\">augsta riska</a>. Kriptovalūtu darījumi ir pilnīgi neatgriezeniski. Ja pircēja maksājums tiek atgriezts, tad, kad pārdosit savu kriptovalūtu, to vairs nevarēsit atgūt. Tāpēc mēs iesakām pārdot ar zema riska maksājuma veidu pieredzējušiem lietotājiem ar lielu iepriekšējo darījumu skaitu un augstu reputācijas rādītāju.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb2 => 'No sludinājumu saraksta izvēlieties vienu no tirgotāja ar lielu darījumu skaitu un labu reputācijas rādītāju (attiecīgi parādīts iekavās blakus lietotājvārdam). Zaļš aplis nozīmē, ka tirgotājs šodien ir bijis tiešsaistē; dzeltens aplis nozīmē, ka viņi šonedēļ ir apmeklējuši vietni; un pelēks aplis nozīmē, ka tirgotājs šeit nav bijis vairāk nekā nedēļu. Varat noklikšķināt uz pogas \"Pārdot\", lai skatītu vairāk informācijas par sludinājumu.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb257Sbagoradesk => 'Dodieties uz <a target=\"_blank\" href=\"/\" class=\"next-link\">galveno lapu</a> un kreisajā kolonnā atlasiet cilni \"Pārdot\". Pēc tam atlasiet kriptovalūtu, ar kuru vēlaties tirgoties, nospiežot atbilstošo cilni rindā virs reklāmu tabulas. Šajā piemērā mēs izvēlēsimies BTC. Varat vēl vairāk uzlabot rezultātus, meklēšanas lodziņā ievadot vajadzīgo summu un mainot valūtu, valsti vai maksājuma veidu (ja neesat pārliecināts, kuru maksājuma veidu vēlaties izmantot, atlasiet \"Visi tiešsaistes piedāvājumi\". Nospiediet zilo pogu ar ikonu \"Meklēt\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb3(Object assetName) {
    return 'Pēc pogas \"Pārdot\" nospiešanas jūs redzēsiet vairāk informācijas par sludinājumu, tostarp tirdzniecības noteikumus. Izlasiet tos pirms tirdzniecības pieprasījuma iesniegšanas, ja nepiekrītat, varat atgriezties iepriekšējā lapā un izvēlēties citu sludinājumu. Lai sāktu tirdzniecību, ierakstiet, cik daudz $assetName vēlaties pārdot, un noklikšķiniet uz pogas \"Sūtīt tirdzniecības pieprasījumu\". Jums vēlreiz tiks parādīti tirdzniecības noteikumi, vēlreiz rūpīgi izlasiet tos un pārliecinieties, ka piekrītat, pēc tam nospiediet \"Piekrītu noteikumiem un sāciet tirdzniecību\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb4 => 'Jūsu pārlūkprogrammā tiks atvērta tirdzniecības lapa. Sazinieties ar pircēju, izmantojot tirdzniecības tērzēšanu, un sniedziet viņam informāciju par maksājumu.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb5 => 'Jūs saņemsit paziņojumu, kad pircējs būs veicis maksājumu. Pārliecinieties, vai esat saņēmis maksājumu un vai tā ir pareizā summa. Kad esat pārliecinājies, ka maksājums ir 100% pareizs, nospiediet \"Pabeigt\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb6(Object appName) {
    return 'Šajā brīdī jums tiks piedāvāts ievadīt pašreizējo $appName paroli. Ievadiet to un nospiediet apstiprinājumu. Ievadot savu paroli, jūs ģenerējat norēķinu maku un parakstāt kriptovalūtas darījumu, tāpēc pārliecinieties, ka neaizmirstiet vai nepazaudējat paroli vismaz līdz darījuma nokārtošanai.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb7 => 'Jūs redzēsit, ka tirdzniecības statuss būs mainīts uz \"Notiek apstrāde\". Šobrīd nekas cits nav jādara — monētas automātiski tiks pārsūtītas uz pircēja norēķinu maka adresi.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb8 => 'Tieši tā! Kad tirdzniecības norēķins būs pabeigts, jūs varēsiet skatīt norēķinu informāciju, tirdzniecības lapā izvēršot sadaļu \"Darījuma informācija\". Neaizmirstiet atstāt atsauksmes par savu pieredzi ar šo pircēju!';

  @override
  String guide250Sbsell250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Pēc tirdzniecības pieprasījuma nosūtīšanas pircējs pieprasīs jūsu maksājuma informāciju (piem., ja vēlaties pārdot par bankas pārskaitījumu, pircējs pieprasīs jūsu bankas konta informāciju). Kad pircējam būs sniegta maksājuma informācija, viņš samaksās par $assetName un apstiprinās to jums. Pirms darījuma pabeigšanas, lūdzu, pārliecinieties, vai esat saņēmis naudu savā kontā. NEKAD nepabeidziet darījumu, pirms neesat saņēmis maksājumu. $assetName darījumi ir neatgriezeniski. Kad $assetName nosūtāt pircējam, tos vairs nevarēs atgūt, pat ja pircēja maksājums netiek parādīts. Kad esat apstiprinājis, ka maksājums ir veikts, varat ritināt lapu uz leju un atlasīt \"Pabeigt\". Tas nosūtīs $assetName uz pircēja norēķinu maku un pabeigs darījumu.';
  }

  @override
  String guide250Sbsell250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Pēc pogas \"Pārdot\" nospiešanas jūs redzēsiet vairāk informācijas par sludinājumu, tostarp tirdzniecības noteikumus. Izlasiet tos pirms tirdzniecības pieprasījuma iesniegšanas, ja nepiekrītat, varat atgriezties iepriekšējā lapā un izvēlēties citu sludinājumu. Lai sāktu tirdzniecību, ierakstiet, cik daudz $assetName vēlaties pārdot, un noklikšķiniet uz pogas \"Sūtīt tirdzniecības pieprasījumu\", lai sāktu tirdzniecību. Kad sāksiet tirdzniecību, jūsu $assetName tiks pārvietots no jūsu maka uz šķīrējtiesas obligāciju tirdzniecības aizsardzībai.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbthree8722Sbtext => 'No sludinājumu saraksta izvēlieties vienu no tirgotāja ar labu reputācijas rādītāju un lielu darījumu skaitu. Zaļš aplis nozīmē, ka tirgotājs šodien ir bijis tiešsaistē, dzeltens aplis nozīmē, ka viņš šonedēļ ir apmeklējis vietni, un pelēks aplis nozīmē, ka tirgotājs šeit nav bijis vairāk nekā nedēļu. Varat noklikšķināt uz pogas Pārdot, lai skatītu vairāk informācijas par sludinājumu.';

  @override
  String guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object mainPage, Object assetName) {
    return 'Dodieties uz $mainPage un meklēšanas lodziņā atlasiet cilni \"Pārdot\", aizpildiet veidlapu ar summu, kuru vēlaties pārdot savā valūtā, savu atrašanās vietu un izvēlieties maksājuma veidu. Ja neesat pārliecināts, kā vēlaties saņemt samaksu, kā maksājuma veidu izvēlieties \"Visi tiešsaistes piedāvājumi\". Vietnē būs norādīti $assetName tirgotāji, kas pieejami jūsu reģionā.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbmain8722Sbpage => 'galvenā lapa';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Dažas maksājumu metodes tiek uzskatītas par augsta riska. Monero darījumi ir pilnīgi neatgriezeniski. Kad esat pārdevis savu Monero, jūs nevarat tos atgūt, pat ja maksājums tiek atcelts. Tāpēc mēs iesakām pārdot ar zema riska maksājuma veidu pieredzējušiem lietotājiem ar lielu iepriekšējo darījumu skaitu un 100% atsauksmēm.';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb157Sbagoradesk => 'Dažas maksājumu metodes tiek uzskatītas par augsta riska. Kriptovalūtu darījumi ir pilnīgi neatgriezeniski. Kad esat pārdevis savu kriptovalūtu, jūs nevarat to atgūt, pat ja maksājums tiek atcelts. Tāpēc mēs iesakām pārdot ar zema riska maksājuma veidu pieredzējušiem lietotājiem ar lielu iepriekšējo darījumu skaitu un 100% atsauksmēm.';

  @override
  String get guide250Sbsell250Sbtitle => 'Kā pārdot Monero tiešsaistē';

  @override
  String get guide250Sbsell250Sbtitle57Sbagoradesk => 'Kā pārdot kriptovalūtu tiešsaistē';

  @override
  String get guide250Sbtelegram250Sbcard8722Sbtitle => 'Telegram mobilo sakaru paziņojumi';

  @override
  String get guide250Sbtelegram250Sbconclusion => 'Apsveicam! Tagad jūs varat nekavējoties atbildēt saviem klientiem!';

  @override
  String guide250Sbtelegram250Sbdisable8722Sbtext(Object accountSettings) {
    return 'Ja vēlaties atspējot paziņojumus no mūsu robotprogrammatūras, dodieties atpakaļ uz cilni “Paziņojumi” savā $accountSettings un noklikšķiniet uz sarkanās pogas “Atspējot telegrammas paziņojumus”.';
  }

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtext8722Sbaccount8722Sbsettings => 'konta iestatījumi';

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtitle => 'Kā atspējot paziņojumus?';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb0(Object telegram, Object appName) {
    return '$telegram ļauj saņemt $appName paziņojumus (piemēram, jaunu darījumu, jaunu maksājumu, tirdzniecības pabeigšanas vai jaunu tērzēšanas ziņojumu paziņojumus) telegrammas ziņojumu veidā no mūsu paziņojumu robota.';
  }

  @override
  String guide250Sbtelegram250Sbprologue8722Sb1(Object officialFaq) {
    return 'Telegram ir mobilā ziņojumapmaiņas lietotne. Jūs varat lasīt vairāk par to, kas ir Telegram $officialFaq.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb18722Sbofficial8722Sbfaq => 'oficiālais FAQ';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb2(Object installed) {
    return 'Lai aktivizētu mobilos paziņojumus, jums ir jābūt Telegram $installed.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb28722Sbinstalled => 'instalēta jūsu ierīcē';

  @override
  String guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb0(Object pressThis, Object appName) {
    return '$pressThis vai Telegram meklēšanas laukā meklējiet “$appName Notification Bot” un atlasiet $appName Notification Bot.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb08722Sbpress8722Sbthis => 'Spied uz šīs saites';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb1 => 'Pēc tērzēšanas loga atvēršanas nospiediet pogu Sākt ekrāna apakšā vai manuāli nosūtiet ziņojumu \'/sākt\' (bez pēdiņām).';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb2 => 'Mūsu robots jums piešķirs jūsu telegrammas paziņojumu ID.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbthree8722Sbtext => 'Tieši tā! Tagad jūs saņemsit paziņojumus no mūsu robota.';

  @override
  String guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object accountSettings) {
    return 'Dodieties uz savu $accountSettings un atlasiet cilni “Paziņojumi”.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbsettings => 'konta iestatījumi';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Sadaļas \"Telegrammas paziņojumi\" attiecīgajā laukā ierakstiet savu telegrammas paziņojumu ID.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Noklikšķiniet uz saglabāšanas ikonas, lai saglabātu savu telegrammas paziņojumu ID.';

  @override
  String get guide250Sbtelegram250Sbtitle => 'Kā ieslēgt Telegram mobilos paziņojumus';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb0(Object appName, Object assetName, Object linebreak, Object localmoneroWallet, Object create, Object aSellmoneroad) {
    return 'Tipiska tirdzniecība ar $appName darbojas šādi, piemērs ir tiešsaistes pārdošanas darījums, kurā jūs pārdodat $assetName pircējam. Process ir līdzīgs, pērkot $assetName tiešsaistē, taču šajā piemērā mēs koncentrējamies uz $assetName pārdošanu, jo tas ir visizplatītākais tirdzniecības veids. $linebreak  Vispirms jums ir jāiemaksā $assetName savā $localmoneroWallet. $linebreak  Pēc tam jums ir nepieciešams $create $aSellmoneroad (to sauc par tiešsaistes pārdošanas sludinājumu). Veidojot sludinājumu Jūs izvēlaties apmaksas veidu, iestatāt cenas, limitus un rakstāt savus darījuma noteikumus kā brīvas formas ziņojumu. ';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sba8722Sbsell8722Sbmonero8722Sbad(Object assetName) {
    return 'pārdošanas $assetName tiešsaistes sludinājums';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbcreate => 'izveidot';

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbfund => 'fonds';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName maku';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb1(Object assetName, Object appName) {
    return 'Lai klienti varētu atvērt tirdzniecības pieprasījumus no jūsu reklāmām, jūsu $appName šķīrējtiesas obligāciju makā ir jābūt $assetName. <br/><br/>Kad <strong>pircējs atver darījumu ar jums</strong>, $assetName par visu darījuma summu tiek automātiski rezervēts no jūsu maka. Sniedziet pircējam maksājuma norādījumus un palīdziet pircējam norēķināties par tirdzniecību. Jūs saņemsiet e-pasta paziņojumus, kad kāds atbildēs uz jūsu sludinājumu. <br/><br/> Kad pircējs ir samaksājis un nospiedis pogu <strong> Esmu samaksājis</strong>, jūs saņemsiet paziņojumu pa e-pastu un vietnē, ka darījums ir apmaksāts. <br/><br/> Kad esat apstiprinājis, ka esat saņēmis maksājumu, ir pienācis laiks pabeigt darījumu. Pēc darījuma pabeigšanas un norēķināšanās pircēja norēķinu makā būs XMR. <br/><br/> Pēdējais solis ir <strong>atstāt atsauksmes</strong> pircējam un mudināt pircēju darīt to pašu jūsu vietā. Atsauksmes ir svarīgas, lai iegūtu reputāciju un veiktu vairāk darījumu.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtitle => 'Pārskats par tirdzniecības procesu';

  @override
  String guide250Sbtrade250Sbblock8722Sb28722Sbtext(Object assetName) {
    return 'Pirms sākat tirdzniecību, jums jāapsver, kādus maksājuma veidus jūs gatavojaties nodrošināt, un jāizpēta maksājuma veids, lai zinātu, kā tas darbojas. Pirmo reizi uzsākot tirdzniecību, mēs iesakām neizvēlēties augsta riska maksājuma veidu. Pārskaitījums ar konkrētu banku var būt labs sākuma maksāšanas veids, īpaši, ja jūsu valstī ir maz aktīvu tirgotāju. <br/><br/> <strong>Pirms sākat tirdzniecību</strong> <br/><br/> Pirms sākat tirdzniecību, pārliecinieties, ka<strong> esat iepazinies ar vietējiem tiesību aktiem </strong> un vai ievērojat visus attiecīgos likumiem un ka jums ir nepieciešamās uzņēmējdarbības licences jurisdikcijai, kurā veicat tirdzniecību. <br/><br/> Tiesību akti dažādās valstīs un neatkarīgi no tā, vai tirgojaties kā privātpersona vai kā uzņēmums, ir ļoti atšķirīgi. <br/><br/><strong>Izpētiet piedāvāto maksājuma veidu</strong>. Izlasiet citu tirgotāju sludinājumus par to pašu maksājuma veidu un veiciet dažus darījumus ar tiem. Pirms tirdzniecības uzsākšanas mēģiniet noteikt iespējamās problēmas. <br/><br/><strong>Izmantojiet maksājumu kontus tikai $assetName tirdzniecībai.</strong> Daži maksājumu pakalpojumu sniedzēji īslaicīgi vai neatgriezeniski slēgs jūsu kontu, ja saņemsiet neautorizētus maksājumus, kas saistīti ar krāpšanu. Kontu izmantošana tikai $assetName tirdzniecībai aizsargā jūsu personīgās finanses.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb28722Sbtitle => 'Darba sākšana';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb0(Object advertisementCreationpage, Object linebreak, Object dashboard, Object requiredOptions, Object location, Object paymentMethod, Object currency, Object thisList) {
    return '$advertisementCreationpage ir vieta, kur varat izveidot jaunas reklāmas. $linebreak  Ir dažas opcijas, kas ir obligātas, veidojot reklāmu, un daudzas papildu opcijas, kuras nav obligātas, taču ieteicams iestatīt. Izmantojot papildu opcijas, varat pielāgot reklāmu atbilstoši jūsu tirdzniecības stratēģijai. $linebreak  Jūs varat atrast visas reklāmas, kuras esat izveidojis no sava $dashboard. Informācijas panelī varat atrast arī savus atvērtos darījumus. $linebreak  $requiredOptions $linebreak  $location Ievadiet valsti, kurā vēlaties rādīt savu reklāmu. $linebreak  $paymentMethod Nolaižamajā izvēlnē atlasiet maksājuma veidu, kuru vēlaties piedāvāt. $linebreak  $currency Izvēlieties valūtu, par kuru pārdodat. Piemēram, ja pārdodat Francijā, izvēlieties EUR. Varat izmantot $thisList, lai uzzinātu, kāds ir jūsu valūtas akronīms.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbadvertisement8722Sbcreation8722Sbpage => 'sludinājumu veidošanas lapa';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbcurrency => 'Valūta';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbdashboard => 'mērinstrumentu panelis';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sblocation => 'Atrašanās vieta';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbpayment8722Sbmethod => 'Apmaksas veids';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbrequired8722Sboptions => 'Nepieciešamās opcijas';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbthis8722Sblist => 'šo sarakstu';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb1(Object assetName, Object assetSymbol, Object appName) {
    return '<strong> Tirgus vai fiksētā cena </strong><br/> Lai noteiktu reklāmas cenu, varat ievadīt vēlamo rezervi virs $assetName tirgus cenas. Lai to izdarītu, pēc opcijas “Tirgus cena” izvēles maržas laukā ievadiet procentuālo vērtību. Varat arī norādīt fiksētu cenu, kas nemainīsies, kamēr to manuāli nemainīsit. Lai to izdarītu, jums jāizvēlas opcija “Fiksētā cena” un jāievada cenas vērtība. <br/><br/> <strong> Min. / Maks. darījumu ierobežojums </strong><br/> Minimālais darījumu ierobežojums nosaka mazāko summu, ko kāds var iegādāties. Ja jūs to iestatāt uz pieci, bet jūsu valūta ir EUR, tas nozīmē, ka mazākā tirdzniecības summa, par kuru kāds var atvērt darījumu ar jums, būs 5 eiro. Maksimālais darījuma limits nosaka, kāda ir lielākā tirdzniecības summa, kuru vēlaties pieņemt. <br/><br/> <strong> Tirdzniecības noteikumi </strong><br/> Šis ir teksts, ko pircējs redz, pirms viņš uzsāk darījumu ar jums. Ieteicams uzrakstīt pircējam norādījumus par to, kā vēlaties turpināt tirdzniecību, un vai jums ir kādi īpaši norādījumi. Ja vēlaties, piemēram, pircējam iesniegt kvīti kā maksājuma pierādījumu pirms darījuma pabeigšanas vai ja pircējam ir jāiesniedz ID, šī ir vieta, kur to pieminēt. Varat apskatīt citu tirgotāju sludinājumus par to, kādu maksājuma veidu vēlaties izmantot, lai gūtu priekšstatu par to, ko satur labi tirdzniecības noteikumi. <br/><br/> <strong> Papildu iespējas </strong><br/><br/> <strong> Ierobežojuma summas līdz </strong><br/> Varat ierobežot reklāmu, lai varētu atvērt darījumus tikai par noteiktām summām. Ievadot ailē 20,30,60, potenciālais tirdzniecības partneris varētu atvērt darījumu tikai par 20, 30 vai 60 EUR. <br/><br/> <strong> Maksājuma informācija </strong><br/> Šeit ievadiet konkrētu informāciju par to, kā pircējam būtu jāmaksā, tas var būt jūsu bankas konta numurs vai e-pasta adrese (piemēram, PayPal). <br/><br/> <strong> Nepieciešamais minimālais atgriezeniskās saites rādītājs </strong><br/> Atsauksmes minimums ļauj iestatīt minimālo nepieciešamo atgriezeniskās saites punktu skaitu, lai atvērtu darījumu, izmantojot savu sludinājumu. <br/><br/> <strong> Pirmais laika ierobežojums ($assetSymbol) </strong><br/> Šis ir īpašs maksimālais darījumu ierobežojums jauniem lietotājiem. Ja pircējs, kuram nav iepriekšējas tirdzniecības vēstures ar jums, vēlas atvērt darījumu ar jums, šī ir lielākā summa, par kuru viņš var atvērt darījumu. <br/><br/> <strong> Maksājuma logs </strong><br/> Summa, kas pircējam jāpabeidz, lai veiktu maksājumu, pirms pārdevējs var atcelt darījumu. \$ <br/><br/> <strong> Īsi padomi krāpnieku identificēšanai </strong> <br/><br/><strong>Krāpnieciski pircēji bieži steidzas.</strong> Jo vairāk klients lūdz jūs steigties/steidzoties, jo aizdomīgāks. jums vajadzētu būt, patiesiem klientiem vienmēr ir pacietība. <br/><br/> Krāpnieciski pircēji bieži <strong> iesaka veikt visu darījumu vai tā daļu ārpus šķīrējtiesas obligāciju aizsardzības sistēmas </strong> un pēc tam nepabeidz savu darījuma daļu. <br/><br/> Esiet piesardzīgs attiecībā uz <strong>Photošopētu maksājuma pierādījumu</strong>, nepabeidziet darījumu, kamēr neesat apstiprinājis, ka esat saņēmis naudu. Jums nav pienākuma pabeigt darījumu, kamēr nevarat pārbaudīt, vai esat saņēmis pircēja maksājumu. <br/><br/><strong>Neatveriet nekādas saites, kuras jums sūta jūsu tirdzniecības partneris</strong>. Ja nepieciešams, izmantojiet citu pārlūkprogrammu, nevis to, kuru izmantojat. <br/><br/>Neapmeklējiet citas vietnes, izņemot $appName, izmantojot pārlūkprogrammu, kuru izmantojat tirdzniecībai. <strong>Izmantojiet citu pārlūkprogrammu citām vietnēm.</strong> <br/><br/> Atzīmējiet $appName savā pārlūkprogrammā un vienmēr izmantojiet grāmatzīmi, kad apmeklējat vietni. Tas palīdz izvairīties no nejaušas pikšķerēšanas vietņu apmeklēšanas, tās pastāv un var būt ļoti pārliecinošas.';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb2(Object contactSupport) {
    return 'Ja neesat pārliecināts par kādu lietotāju, vienmēr varat saņemt palīdzību $contactSupport.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb28722Sbcontact8722Sbsupport => 'Sazinieties ar atbalsta dienestu';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtitle => 'Reklāmas iestatīšana';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb0(Object termsOfservice) {
    return 'Lūdzu, izlasiet mūsu $termsOfservice.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'pakalpojumu sniegšanas noteikumi';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb1(Object appName, Object assetName) {
    return 'Atbalsts <br/><br/>$appName izskata strīdus, pamatojoties uz tirdzniecības dalībnieku sniegtajiem pierādījumiem un viņu reputāciju. <br/><br/>Strīdus var sākt pēc tam, kad maksājums ir atzīmēts kā pabeigts. <br/><br/>Pēc darījuma pabeigšanas $appName darījumu uzskata par pabeigtu, un to nevar apstrīdēt. <br/><br/> Ja $assetName pārdevējs neatbild, $appName pabeigs darījumu, ja pircējs var iesniegt derīgu maksājuma apliecinājumu. <br/><br/>Ja pircējs pēc darījuma uzsākšanas nereaģē, $appName atbalsts šķīrējtiesas obligāciju atdos pārdevējam.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtitle => 'Strīdi';

  @override
  String guide250Sbtrade250Sbhappy8722Sbtrading(Object appName) {
    return '$appName novēl veiksmīgu tirdzniecību!';
  }

  @override
  String get guide250Sbtrade250Sbtitle => 'Ievads par Monero tirdzniecību';

  @override
  String get guide250Sbtrade250Sbtitle57Sbagoradesk => 'Ievads par kriptovalūtas tirdzniecību';

  @override
  String get guide250Sbxmr250Sbcard8722Sbfour250Sbtitle => '4. Uzlabotas metodes, kā palikt anonīmam, izmantojot šo Monero iegādes metodi';

  @override
  String get guide250Sbxmr250Sbcard8722Sbthree250Sbtitle => '3. Monero pirkšana anonīmi ar skaidru naudu';

  @override
  String get guide250Sbxmr250Sbtitle => 'Kā anonīmi iegādāties Monero';

  @override
  String get guides250Sbread8722Sbmore => 'Tālāka lasīšana';

  @override
  String get home250Sbgreeting250Sbanywhere => 'Jebkur.';

  @override
  String home250Sbgreeting250Sbbuy8722Sbmonero(Object assetName) {
    return 'Pērciet $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbcash8722Sbor8722Sbonline => 'Skaidrā naudā vai tiešsaistē.';

  @override
  String home250Sbgreeting250Sbsell8722Sbmonero(Object assetName) {
    return 'Pārdodu $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbsignup8722Sbbtn => 'Reģistrēties bez maksas';

  @override
  String get home250Sbnewsfeed250Sbtitle => 'Jaunākās ziņas';

  @override
  String get homepage8722Sblocation250Sbchange8722Sbbtn => 'Mainīt';

  @override
  String get homepage8722Sblocation250Sbreset8722Sbbtn => 'Atiestatīt';

  @override
  String get homepage8722Sblocation250Sbsave8722Sbbtn => 'Saglabāt';

  @override
  String homepage8722Sblocation250Sbtitle(Object location) {
    return 'Rāda reklāmas formātā $location';
  }

  @override
  String get homepage250Sbagora250Sbcoin8722Sbtrading8722Sbtitle => 'Tirgojiet Bitcoins';

  @override
  String homepage250Sbno8722Sbresults8722Sb0(Object asset, Object country) {
    return 'Vietnē $country vēl nav aktīvu $asset reklāmu...';
  }

  @override
  String homepage250Sbno8722Sbresults8722Sb1(Object post_an_ad) {
    return 'Jūs varat būt pirmais $post_an_ad šādās kategorijās:';
  }

  @override
  String get homepage250Sbno8722Sbresults8722Sb18722Sbpost8722Sban8722Sbad => 'ievietot sludinājumu';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb0 => 'Ja darījums ir redzams bloku pārlūkā, tas nozīmē, ka darījums ir veiksmīgi nosūtīts. Ja jūs to neredzat saņēmējā pusē, problēma ir jūsu pusē. Iespējams, problēma ir sinhronizācijā vai arī izmantojat novecojušu maka programmatūru.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb1 => 'Izmēģiniet šos ieteikumus, lai atceltu sinhronizāciju:';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb2 => 'Vai arī mēģiniet izmantot citu maka lietotni vai citu interneta savienojumu.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtitle => 'Kāpēc es neredzu XMR savā makā?';

  @override
  String get keywords => 'pirkt monero xmr skaidras naudas kredītkarti usd eiro mārciņa vietējais bankas pārskaitījums pārdot anonīmi kriptovalūtu';

  @override
  String get keywords57Sbagoradesk => 'pirkt bitcoin btc monero xmr skaidras naudas kredītkarte usd eiro mārciņa vietējais bankas pārskaitījums pārdot anonīmi kriptovalūtu';

  @override
  String get knowledge250Sbatomic250Sb0250Sbtext => '<p>Dzenoties pēc decentralizācijas un patiesi bezatļautas sistēmas, dažas lietas kriptovalūtu telpā ir tik iekārotas kā decentralizētas biržas un atomu mijmaiņas darījumi. Kopš darbības sākuma Monero ir cīnījies, lai īstenotu atomu mijmaiņas darījumus, jo privātuma līdzekļi rada unikālas problēmas, mēģinot izstrādāt protokolu.</p>\n\n<p>Bet vispirms dublēsim. Kas ir atomu mijmaiņas darījumi? Atomu mijmaiņas darījums ir protokols, ar kuru dažādās blokķēdēs var apmainīties ar divām dažādām kriptovalūtām neuzticamā veidā bez starpniekiem. Tas nozīmē, ka, ja kāds vēlētos apmainīt kriptovalūtu A pret kriptovalūtu B, viņš to varētu izdarīt bez centralizētas vai decentralizētas maiņas. Kā varētu iedomāties, tas prasa ievērojamu izpēti, un visas tehniskās detaļas, kas to padara iespējamu, kļūst diezgan sarežģītas. Atkal LocalMonero ir šeit, lai palīdzētu un sniegtu vienkāršu skaidrojumu parastajam cilvēkam.</p>\n\n<p>Lai sāktu, apskatīsim vienkāršāko atomu mijmaiņas veidu, ko ieviesis Bitcoin. Ja kāds vēlas apmainīt Bitcoin pret citu monētu, kas izmanto to pašu hash time lock kontrakta tehnoloģiju, viņš to var izdarīt šādā veidā. Alisei ir Bitcoin (BTC), bet viņš vēlas Litecoin (LTC), un Bobs ir LTC, bet vēlas BTC. Viņi nolemj veikt atomu apmaiņu, lai katrs saņemtu monētu, kuru vēlas. Alise nosūta savu BTC uz īpašu adresi, izmantojot skriptus, kas bloķē līdzekļus, lai pat viņa nevarētu tai piekļūt. Jūs varat to iedomāties tāpat kā Alise ieliek savu BTC slēdzenes kastē. Kad slēdzenes kaste ir izgatavota, viņa saņem atslēgu un nosūta šīs atslēgas jauktu Bobam. Tagad Bobam nav pašas atslēgas, tikai hash, tāpēc viņš vēl nevar piekļūt līdzekļiem.</p>\n\n<p>Bobs izmanto šo hash kā sēklu, no kuras viņš ģenerē savu bloķēšanas kastīti, un nosūta savu LTC tur, kur tas arī tiek bloķēts. Tā kā Alises atslēgas sajaukums tika izmantots kā sēkla, no kuras tika izgatavota Boba slēdzenes kaste, viņa var izmantot savu atslēgu, lai pieprasītu LTC Boba slēdzenes kastē. Viņas atslēga der! Bet, izmantojot matemātikas voodoo maģiju, kad viņa izmanto savu atslēgu, lai atvērtu LTC slēdzeni, viņa atklāj atslēgu Bobam, kurš pēc tam var to izmantot, lai pieprasītu BTC, ko viņa ievietoja savā slēdzenes kastē. Tādā veidā, bez starpnieka, Alise un Bobs ir veiksmīgi apmainījuši savus īpašumus.</p>\n\n<p>Taču ir neliela problēma. Ko darīt, ja Alise nosūta uz savu slēdzenes kasti, un Bobs nolemj, ka vairs nevēlas tirgoties. Tagad, tā kā Alise nevar piekļūt savam BTC, ko viņa bloķēja, un Bobs nepabeigs savu darījuma daļu, Alise vienkārši zaudē savu naudu uz visiem laikiem. Par laimi, Bitcoin ir neliela tehnoloģija, ko sauc par atmaksas darījumiem, un tāpēc pēc kāda laika, ja Bobs nav pieprasījis BTC, skriptos ir iebūvēts atteices drošinātājs, kurā BTC automātiski atgriezīsies Alisei. Tas bija galvenais Monero atomu mijmaiņas darījumu ieviešanas ātruma palielinājums. Monero <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">zvana parakstu privātuma tehnoloģijas </a> dēļ darījuma sūtītājs vienmēr nav skaidrs. Kā protokols var veikt atmaksas darījumu, ja pat tas nezina, no kurienes tika veikts darījums?</p>\n\n<p>2017. gadā neliela pētnieku grupa izklāstīja atšķirīgu metodi, ar kuras palīdzību atomu mijmaiņas darījumi darbotos Monero. Pēc vairāku gadu pilnveidošanas pētnieki pabeidza procesu, kurā Monero varētu veikt atomu mijmaiņas darījumus ar Bitcoin, pat bez atmaksas darījumiem.</p>\n\n<p>Tāpat kā ar daudzām šāda līmeņa tehniskās sarežģītības lietām, mūsu skaidrojums pārlieku vienkāršos dažas lietas, lai nodotu ideju, taču tas joprojām sniegs stabilu priekšstatu par mehānismiem, ar kuriem šis process darbosies.</p>\n\n<p>Gan Alisei (kurai ir XMR un vēlas BTC), gan Bobam (kuram ir BTC un kurš vēlas XMR) ir jālejupielādē un jāpalaiž programma, kas atbalsta atomu mijmaiņas darījumu. To var ieviest makos, decentralizētās apmaiņās vai īpašās, īpašās programmās, taču programmatūrai ir jādarbojas atomu mijmaiņas protokolam. Pirmajā solī Alises un Boba klienti izveido savienojumu viens ar otru un izveido vairākus kopīgus noslēpumus un atslēgas. Šajā darbībā tiek izveidota jauna Monero adrese, kurā Alisei ir viena atslēgas puse, bet Bobam - otra. Tomēr Monero vēl nav, tāpēc nav ko tērēt. Pēdējā lieta, kas jāatzīmē saistībā ar šo adresi, ir tāda, ka viņiem abiem ir šī maka skata atslēga, lai viņi abi varētu ieskatīties iekšā, lai redzētu, vai Monero ierodas un kad tas ierodas.</p>\n\n<p>Otrajā darbībā Bobs nosūta savu BTC uz īpašu adresi, kas ir līdzīga Bitcoin atomu mijmaiņas protokolam, par kuru mēs jau runājām. Kad Alise redz, ka BTC ierodas šajā blokķēdē, viņa nosūta savu Monero uz Monero adresi, uz kuru viņai un Bobam ir viena atslēgas puse. Bobs var pārbaudīt, vai Monero ir ieradies, jo viņam ir arī skata atslēga, un, tiklīdz viņš redz, ka Monero ir droši ievietots makā, viņš nosūta Alisei atslēgas gabalu, kas ļaus viņai izņemt Bitcoin. Līdzīgi kā citā protokolā, Bitcoin pieprasīšanas process atklāj Bobam pusi no Monero atslēgas. Tagad Bobam ir abas puses, tāpēc viņš var pieprasīt Monero, savukārt Alisei ir tikai viņas puse, tāpēc viņa nevar mēģināt to paņemt pirms viņa.</p>\n\n<p> Tātad, ja aplūkojat visu šo informāciju un joprojām esat mazliet neizpratnē par to, kā Monero varēja apiet atmaksas darījumu problēmu, atbilde ir pavisam vienkārša. Tā kā Monero pašam nav atmaksas darījumu, lasītājam vajadzētu pamanīt, ka vispirms tiek nosūtīts Bitcoin (kuram ir atmaksas darījumi), un tikai pēc tam, kad ir pārbaudīts, ka tas ir blokķēdē, tiek nosūtīts Monero. Tas ļauj Monero izmantot Bitcoin spēju skriptēt atmaksas darījumos un izmantot to priekšrocības, pašam neizmantojot šīs iespējas.</p>\n\n<p>Atomu maiņa tagad ir pabeigta, taču no šejienes Bobam ir dažas iespējas savam nesen pieprasītajam XMR. Viņš var izmantot šo Monero maku tādu, kāds tas ir, vai pārvietot XMR uz citu maku, kas viņam jau pieder. Bobs, visticamāk, pārvietos Monero uz citu maku, jo Alisei joprojām ir apskates atslēga un tā var redzēt iekšā.</p>\n\n<p>Šī protokola skaistums ir tāds, ka tas joprojām ir diezgan jauns, un tajā ir daudz vietas optimizācijai. Tas ir arī diezgan elastīgs savā arhitektūrā, tāpēc ieviešanai citos makos vai decentralizētajās apmaiņās ir jābūt vienkāršai un precīzi jāatbilst to esošajai arhitektūrai.</p>';

  @override
  String get knowledge250Sbatomic250Sbdescription => 'Dažas lietas ir tik iekārotas kriptovaldē kā atomu mijmaiņas darījumi. Nesen pētnieki ir pabeiguši veidu, kā XMR varētu veikt atomu mijmaiņas darījumus ar BTC.';

  @override
  String get knowledge250Sbatomic250Sbtitle => 'Kā Monero darbosies atomu mijmaiņas darījumi';

  @override
  String get knowledge250Sbblocks250Sb0250Sbtext => '<p><i><b>Piezīme:</b> Ir ļoti ieteicams lasītājam izlasīt mūsu rakstus <a target=\"_blank\" href=\"/knowledge/monero-tail-emission\" class=\"next-link\"> \"Kāpēc Monero ir astes emisija\"</a> un <a target=\"_blank\" href=\"/knowledge/monero-mining-randomx\" class=\"next-link\"> \"Monero ieguve: kas padara nejaušu X tik īpašs”</a>. Šis raksts ir balstīts uz tajā ietvertajiem jēdzieniem.</i></p>\n\n<p>Kad cilvēki apspriež problēmas ar blokķēdi, viens no pirmajiem uznirstošajiem vārdiem būs “mērogošana”. Nav noslēpums, ka blokķēdes nav labi mērogotas, taču lielākā daļa cilvēku nezina, kāpēc.</p>\n\n<p>Patiesība ir tāda, ka mērogošana patiesībā ir vispārīgs termins, kas aptver divas dažādas kategorijas: protokola atbalsts un tehnoloģiskais atbalsts noteiktā laika brīdī. Šajā rakstā mēs koncentrēsimies uz vienu — protokola atbalsts būtībā ir mērs, cik transakciju protokols var apstrādāt noteiktā laikā.</p>\n\n<p>Bitcoin ir bloka lieluma ierobežojums, kas nozīmē, ka, tiklīdz blokā ir iekļauts pietiekami daudz darījumu, visiem papildu darījumiem būs jāgaida rindā uz nākamo bloku. Noderīga līdzība būtu domāšana par vilcienu. Vilciens piestāj pie stacijas, un rindā esošie iestājas. Kad vilciens ir pilns, ikvienam, kas paliks ārpusē, būs jāgaida nākamais.</p>\n\n<p>Bitcoin izmanto maksas, lai noteiktu, kurš iekļūst blokā vai nē. Atgriežoties pie vilciena analoģijas, var iedomāties, ka viens potenciālais pasažieris, kurš drīz tiks atstāts, piedāvā vilciena inženierim piecus dolārus, lai iedotu viņam vietu. Citi pasažieri seko šim piemēram, un galu galā notiek solīšanas karš, lai noskaidrotu, kurš saņems kuras vietas. Vadītāja ziņā ir izlemt, vai viņš vēlas ievērot rindas kārtības politiku, taču viņa finansiālajās interesēs ir maksimāli palielināt savus ienākumus, piesaistot visaugstākās cenas solītājus.</p>\n\n<p>Šajā analoģijā kalnrači ir vilcienu vadītāji. Viņi blokā var iekļaut jebkurus darījumus, kurus viņi vēlas, taču parasti viņi izvēlas tos, kuriem ir visaugstākās maksas.</p>\n\n<p>Alternatīvi, ja bloki nav ļoti pilni, cilvēkiem nav stimula maksāt lielas maksas, jo ir daudz brīvu sēdvietu.</p>\n\n<p> 2017. gada kriptovalūtas uzplaukuma laikā Bitcoin tika pārpludināts ar darījumiem, un maksas pieauga tiem, kas vēlējās tikt iekļauti nākamajā blokā vai jebkurā tuvākajā nākotnē. Tie, kuri nevēlējās maksāt augstas nodevas, redzēja, ka viņu darījumi tika atbīdīti uz stundām, dienām vai pat vispār izkrita no rindas.</p>\n\n<p> Šis bija satraucošs ieskats par to, kā Bitcoin veiksies, ja notiktu bieži runātais par “masveida adopciju”. Ja Bitcoin izmantotu masu, viss būtu vēl sliktāk nekā 2017. gadā, un Bitcoin būtu nepieejams nevienam, izņemot turīgos, vienkārši tāpēc, ka caurlaidspēja ir maza fiksēta bloka izmēra dēļ, izraisot maksas tirgus pārņemšanu. </p>\n\n<p> Monero to paredzēja un vēlējās darīt kaut ko citu. Tātad Monero izstrādātāji ieviesa dinamisku bloka izmēru.</p>\n\n<p> Būtībā Monero ir arī bloka izmēra vāciņš, taču tas ir mīksts vāciņš. Kad gaidīšanas darījumu rinda kļūst pārāk gara, kalnrači var palielināt bloku izmēru. Izmantojot mūsu vilciena analoģiju, varat iedomāties vairāk vilcienu vagonu pievienošanu, lai tie ietilptu papildu pasažieriem. Kad rinda ir iztukšota, turpmāk bloki samazinās līdz sākotnējam izmēram.</p>\n\n<p>Ja šī ideja šķiet gudra, šķiet pamatoti jautāt, kāpēc Monero ir vienīgā kriptovalūta, kas to ir ieviesusi. Kāpēc gan to nepievienot Bitcoin, lai apturētu caurlaidspējas problēmas?</p>\n\n<p>Diemžēl tas nav iespējams. Tam ir vairāki iemesli, un mēs darīsim visu iespējamo, lai izskaidrotu.</p>\n\n<p> Kalnraču interesēs vienmēr ir lieli bloki. Izmantojot lielus blokus, viņi var iekļauties vairāk darījumu un nopelnīt vairāk naudas no maksām, kā arī no bloka atlīdzības. Tas var izraisīt surogātpasta uzbrukumus, kad kāds nosūta daudz mazu darījumu par nelielu samaksu, lai uzpūstu ķēdi. Miner\'s vienkārši palielinātu bloka izmēru, iekļaujot tos visus, jo nauda ir nauda, neatkarīgi no tā, cik maza. Tas radītu nemainīgi lielus blokus ar nelielu ekonomisku labumu. Bitcoin to atrisina, mākslīgi ierobežojot bloka lielumu, tādējādi radot maksas tirgu. Surogātpasta uzbrucējiem būtu jāmaksā citiem lietotājiem maksas, un tas vairs nav lēts. Taču tas nozīmē, ka bloki kļūst pilni, atstājot dažus darījumus gaidīšanas režīmā, kā minēts iepriekš.</p>\n\n<p>Kā Monero var nodrošināt dinamiskus bloku izmērus, bet izvairīties no surogātpasta uzbrukumiem? Atbilde ir vienkārša, bet gudra. Ja bloks ir lielāks nekā parasti, tiek piemērots sods par atlīdzību par bloku. Ja kalnracis vēlas palielināt bloka izmēru, atlīdzība, ko viņš saņem par šī bloka atrašanu, būs mazāka nekā citādi. Tātad tie palielinās bloka izmēru tikai tad, kad lietotāju samaksātās darījumu maksas pārsniegs zaudēto bloka atlīdzības daļu. Piemēram, ja kalnracis zaudētu 0,5 XMR, palielinot bloka atlīdzību, un samaksāto darījumu maksu summa būtu 0,4 XMR, tad, palielinot izmēru, būtu tīrie zaudējumi 0,1 XMR apmērā. nedari to. Un otrādi, ja kopējās darījumu maksas saskaitītu līdz 0,7 XMR, tīrā peļņa būtu 0,2 XMR, lai gan viņi zaudēs 0,5 XMR no bloka atlīdzības soda, tāpēc kalnracis palielinās izmēru.</p>\n\n<p>Šie dinamiskie bloki ļauj tīklam organiski augt, mākslīgi neierobežojot bloka izmēru, lai izveidotu piespiedu maksas tirgu, vienlaikus izvairoties no surogātpasta uzbrukumiem. Ir vēl vairāki leņķi, no kuriem mēs varam aplūkot šo ideju, un vairāk iemeslu, kāpēc to nebūtu iespējams pievienot Bitcoin, taču pagaidām mēs ceram, ka lasītājam ir izpratne par to, kā Monero apiet vairākas no Bitcoin problēmām un tā atvasinājumi un to, kā tas plāno palielināt savu caurlaidspēju nākotnē.</p>';

  @override
  String get knowledge250Sbblocks250Sbdescription => 'Ikreiz, kad cilvēki apspriež problēmas ar blokķēdi, viens no pirmajiem uznirstošajiem vārdiem būs “mērogošana”. Monero izceļas šīs problēmas risināšanā.';

  @override
  String get knowledge250Sbblocks250Sbtitle => 'Kā Monero atrisināja bloka izmēra problēmu, kas nomoka Bitcoin';

  @override
  String get knowledge250Sbbtc250Sb0250Sbtext => '<p>Monero ir kriptovalūta, kas augstāk par visu vērtē privātumu, taču lielākā daļa cilvēku nesaprot, ka privātums, kas tiek nodrošināts, izmantojot to, nav ne ložu necaurlaidīgs, ne absolūts noteiktās situācijās. Nekļūdieties — Monero ir tikpat privāts, cik tas kļūst neuzticams, taču ir daži apsvērumi, kas lietotājiem ir jāņem vērā, lai nodrošinātu, ka viņu privātums joprojām ir spēcīgs.</p>\n\n<p>Tas pats attiecas arī uz citām dzīves jomām. Piemēram, varat izvairīties no visiem sociālajiem medijiem, cenšoties saglabāt savu dzīvi privātu, taču, ja pastāvīgi atrodaties kopā ar draugiem, kuri uzņem pašbildes ar jums, subtitros sakiet, ka viņi ir kopā ar jums, un atzīmējiet savu atrašanās vietu, liela daļa jūsu pūļu var būt veltīga. Sociālo mediju konglomerāts joprojām var izveidot jūsu profilu, neskatoties uz to, ka jūs personīgi neesat viņu platformā.</p>\n\n<p>Viena no bieži runātajām situācijām, kad cilvēki neņem vērā visas sekas un potenciāli nopludinātos metadatus, ir jautājums par Bitcoin tirdzniecību ar Monero. Sabiedrībā parasti tiek uzskatīts, ka Monero iegāde ar Bitcoin būs pilnīga tīrīšana un lietotājs saglabā visas privātuma priekšrocības, tiklīdz viņš nonāk Monero, neskatoties uz to, ka tas nāk no caurspīdīgas ķēdes.</p>\n\n<p>Līdzīgā veidā daži uzskata, ka Monero iegūšana no avotiem, kas nav KYC, un KYC, ir tikpat privāti. Domājams, ka tas ir līdzīgi skaidras naudas saņemšanai bankā. Šādā gadījumā banka pati zina jūsu seju un vārdu, kā arī zina, cik daudz jums ir jūsu kontā kopumā un cik daudz jūs izņēmāt skaidru naudu, bet nezina, ko jūs darāt ar skaidru naudu pēc tam. Izmantojot Monero privātuma garantijas, tam vajadzētu būt tieši tā, iegūstot Monero no KYC/AML avota, vai ne?</p>\n\n<p>Nu, ne gluži.</p>\n\n<p>Vispirms spersim ātru soli atpakaļ un definēsim, ko mēs saprotam ar KYC/AML. Šis saīsinājums apzīmē “Pazīsti savu klientu” (KYC)/Pret-Money Laundering (AML) likumus, kas pieprasa biržām un uzņēmumiem apkopot identificējošu informāciju par saviem klientiem. Jo lielāka ir apmainītā naudas summa, jo vairāk informācijas ir nepieciešama. Kā norāda nosaukums, tas viss tiek darīts, lai samazinātu risku, ka cilvēki varētu legalizēt naudu.</p>\n\n<p>Atpakaļ uz Monero. Protams, naudas pārvietošana uz Monero no KYC avota ir astronomiski labāka privātuma nodrošināšanai nekā KYC avota izmantošana, lai iegādātos kaut ko līdzīgu BTC vai jebkurai citai caurspīdīgai monētai, taču joprojām ir jāapsver, kas tiek atklāts un kas tas ir. atklātā informācija var ietekmēt jūsu privātumu un drošību.</p>\n\n<p>Pat pieturoties pie skaidras naudas un bankas scenārija, ja izņemat no bankas lielu summu, jo bankai ir zināmi jūsu dati (tostarp jūsu mājas adrese), kasieris var redzēt, cik daudz ir jūsu kontā, un, iespējams, var padarīt ļaunu. plāni atkarībā no jūsu bagātības. Tas notiek reti, un, tā kā nauda atrodas bankā, nevis jūsu mājā, tas, ko viņi var paveikt šajā scenārijā, ir salīdzinoši mazs. Tas pats neattiecas uz Monero, kuru nenodrošina trešā puse, bet gan jūs pats. Būt savai bankai ne vienmēr ir viegli.</p>\n\n<p> Līdzīgi, pārejot no BTC uz XMR, neatkarīgi no tā, kā tas tiek darīts, paliek pēdas Bitcoin blokķēdē. Lai gan tas patiešām ir mazāk kaitīgs nekā BTC pāriešana uz BTC, jo apmaiņas otrā pusē ir Monero obligātais privātums, ir jāņem vērā sekas, ko var atstāt pēdas. Šīs pēdas savienojas ar vēl lielāku efektu, ja jebkurā procesā būtu iesaistīts KYC.</p>\n\n<p>Iedomājieties scenāriju, kurā par preci vai pakalpojumu tika saņemti netīri Bitcoini, kas ir iespējams tikai Bitcoin radikālās caurspīdīguma dēļ. Jūs nezināt, ka šie Bitcoini ir netīri, jo jums nav tehnikas, lai pārbaudītu katru Bitcoin, tāpēc jūs, būdams kriptogrāfijas lietpratējs, šis fakts nav apmierināts un jums nav naudas. lai samaksātu ķēdes analīzes uzņēmumam, lai tas pārbaudītu jūsu vietā. Tātad, jūs nolemjat apmainīt pret Monero, lai būtu drošībā.</p>\n\n<p>Jūs noguldāt savu Bitcoin biržā un samaināt tos pret Monero, ko pēc tam izņemat savā vietējā makā. Šis scenārijs jau ir nedaudz sarežģīts, jo apmaiņa var atzīmēt jūsu netīros Bitcoins un bloķēt jūsu kontu, un jūs varat tos atgūt vai neatgūt, taču šī piemēra labad mēs pieņemsim, ka tie ļauj notiek maiņa.</p>\n\n<p>Šobrīd, ja valdība sāks interesēties sekot šo Bitcoin pēdām, tā sekos tiem uz biržu, izsauks KYC informāciju par noguldītāju, redzēs, ka tie ir nomainīti pret Monero (aizdomīgi), un klauvēs. pie jūsu durvīm.</p>\n\n<p>Lūdzu, saprotiet, tas nenozīmē, ka jums vajadzētu izvairīties no Bitcoin maiņas uz Monero, lai neizskatītos aizdomīgi. Jūs jau bijāt aizdomīgs, jo pieņēmāt netīro Bitcoin, un, ja jūs to nemainītu, viņi joprojām izmantotu blokķēdes analīzi un joprojām pieklauvētu. Drīzāk šis piemērs tikai uzsver, ka, izmantojot caurspīdīgās monētas, pastāv ievērojams risks, un, mainot to uz privātu, aizstājamu monētu, piemēram, Monero, netiek izdzēstas caurspīdīgajā blokķēdē atstātās pēdas.</p>\n\n<p> Personām, kuras interesējas par savu privātumu, caurspīdīgu blokķēžu izmantošana ir jāsamazina minimāli un jāievēro īpaši piesardzīgi. Kad vien iespējams, ir jāizvairās no KYC, jo šos metadatus joprojām var izmantot, lai izveidotu lietu un uzdotu jautājumus, un, nedod Dievs, šī KYC informācija (kopā ar tirdzniecības informāciju) tiek nopludināta no biržām nekompetences dēļ. Pat ja jūs tikai iegādātos Monero un izņemtu to no biržas, šī nopludinātā informācija joprojām atklātu, cik Monero jums bija un kur jūs atrodaties. Visa informācija, par kuru mēs visi varam piekrist, neviens negribētu vienkārši peldēt kibertelpā.</p>\n\n<p>Rezumējot, lai gan Monero lietošana patiešām novērš daudzus, daudzus uzbrukumus un pēc noklusējuma samazina metadatu noplūdi, lietotājs pats var darīt daudzas lietas, lai galu galā iznīcinātu savu privātumu. Viens no vismazāk apsvērtajiem ir caurspīdīguma ķēdes izmantošanas kā ceļš uz Monero vai KYC avota izmantošana, lai to iegūtu, nemaz nerunājot par abu izmantošanu vienlaikus.</p>\n\n<p>Šis raksts nav domāts, lai radītu bailes, bet gan mudinātu lietotājus kritiski padomāt par saviem lēmumiem un atgādināt viņiem, ka pat vislabākā konfidencialitāte noteiktos apstākļos var būt trausla. Lietotājiem ir jābūt modriem, lai aizsargātu savu privātumu, pieņemot pārdomātus lēmumus par to, ko, kur un no kā iegādāties.</p>';

  @override
  String get knowledge250Sbbtc250Sbdescription => 'Daudzi uzskata, ka XMR iegāde ar BTC ir pilnīga tīrīšana un lietotājs saglabā visu privātumu, neskatoties uz to, ka tas nāk no caurspīdīgas ķēdes. Bet vai tas tā ir?';

  @override
  String get knowledge250Sbbtc250Sbtitle => 'Vai Bitcoin konvertēšana uz Monero ir tikpat privāta kā Monero pirkšana tieši?';

  @override
  String get knowledge250Sbclsag250Sb0250Sbtext => '<p>Kā protokols, Monero pašlaik ir pastāvīgā inovācijas stāvoklī. Izmantojot pētījumus gan ķēdē, gan ārpus ķēdes risinājumos, Monero kopiena meklē jomas, kuras jāuzlabo, lai padarītu Monero privātāku, mērogojamāku un pieejamāku visiem. Viens no jaunākajiem jauninājumiem ir saistāmās zvana parakstu shēmas MLSAG aizstāšana ar nomaiņu CLSAG, kas nozīmē Concise Linkable Spontaneous Anonymous Group.</p>\n\n<p>Virsmas līmenī CLSAG ieviešana par 25% samazinās izplatītākos 2 ievades, 2 izvades darījumus. Mēs arī redzēsim par 10% mazāku verifikācijas laiku.</p>\n\n<p>Bet kas īsti ir CLSAG? Ko tas dara un kā tas atšķiras no vecās versijas MLSAG? Atvēlēsim minūti, lai atgādinātu sev par to, kāpēc un kā tiek izmantoti gredzenu paraksti, lai mēs varētu labāk izprast šo jēdzienu. Zvana paraksti ļauj veikt neinteraktīvus ievades datus, kas nav atšķirami, izmantojot parakstītāja atlasītās iepriekšējo izvadu anonimitātes kopas. Nespeciālisti runājot, tas ļauj lietotājam slēpt savus darījumā izmantotos rezultātus līdzās nesaistītiem rezultātiem, un viņi to visu var izdarīt, nevienam citam nepiedaloties. Viss, kas jums nepieciešams, ir blokķēdes kopija. Šķiet, ka katrai no šīm izvadēm ir vienlīdz liela varbūtība, ka tā ir patiesā nosūtītā, tādējādi slēpjot metadatus par sūtītāju.</p>\n\n<p>Tomēr tas rada nelielas problēmas. Kā būtu, ja lietotājs izveidotu gredzena parakstu ar visiem mānekļa izvadiem? Kā lai kāds zinātu, ka nezināmajam sūtītājam nav tiesību nosūtīt kādu no tiem? Vai šis lietotājs varētu tērēt viltotu naudu? Atbilde ir nē. Zvana paraksts ietver metodi, lai pierādītu, ka vismaz viens no izvadiem pieder nezināmam sūtītājam, neatklājot, kurš tas ir. Faktiski gan CLSAG, gan MLSAG (turpmāk pazīstami kā SAG) ir daļa no gredzena paraksta, kas to pierāda. Interesanti, ka tajā pašā laikā tas pierāda, ka darījuma summa, kaut arī slēpjas aiz konfidenciāliem darījumiem (RingCT), līdzsvaro. Svarīgi ir tas, ka SAG pierāda divas lietas, ka viena produkcija pieder kādam ringa dalībniekam un ka darījums ir līdzsvarots, un patiesībā ir apmēra un pārbaudes ietaupījumi. Ja tas kļūst mulsinoši, neuztraucieties, mēs drīzumā nonāksim pie jautras un viegli saprotamas analoģijas.</p>\n\n<p>Vecā parakstu shēma MLSAG (multilayed Linkable Spontaneous Anonymous Group) pierāda iepriekš minētās divas lietas gredzena parakstā, taču tā dara katru atsevišķi. Atsevišķu aprēķinu izmantošana parakstīšanas un saistību atslēgām nozīmē lēnākas darbības. Mūsdienīgs dators var veikt šos aprēķinus dažu milisekundēs, kas nešķiet daudz, un vienai transakcijai tā arī nav. Bet, ja ņemam vērā Monero blokķēdē veikto darījumu skaitu un to, ka mezglam, kas sinhronizējas no nulles, būs jālejupielādē un jāpārbauda katrs no tiem, baiti un milisekundes sāk ātri uzkrāties.</p>\n\n<p>CLSAG apvieno matemātiku, kas nepieciešama, lai pierādītu abus vienā, kā arī aprēķina abus vienlaikus, turklāt tas tiek darīts drošā veidā. Ko tas nozīmē drošā veidā? Lai to noskaidrotu un, cerams, padarītu visu jēgu, izpētīsim šo solīto jautro analoģiju.</p>\n\n<p>Pieņemsim, ka jums ir jāiet gan uz pārtikas preču veikalu, gan datortehnikas veikalu, lai paņemtu divas dažādas lietas: pārtiku un toksiskas tīrīšanas ķimikālijas. Jūs nevēlaties, lai tie sajaucas, it kā notiek nelaimes gadījums, ķīmiskās vielas izlīs uz pārtikas, padarot to neēdamu. Jūs nolemjat būt īpaši drošs un braukt no savas mājas uz pārtikas veikalu, nopirkt pārtiku un pēc tam doties atpakaļ uz savu māju. Tikai pēc pārtikas izkraušanas jūs atkal iekāpjat automašīnā, braucat uz datortehnikas veikalu un atpakaļ uz māju ar ķimikālijām. Jūs esat veicis divus atsevišķus braucienus, lai nodrošinātu visu pirkumu drošību. Lai gan tas patiešām ir drošs, tas ir neefektīvs. Tas atspoguļo MLSAG, kur tiek glabātas divas dažādas matemātikas kopas un tiek veiktas divas dažādas “izbraucienus”, lai tās aprēķinātu.</p>\n\n<p>Tomēr jūs nolemjat, ka vēlaties to izdarīt ātrāk. Tas ir pārāk daudz izniekota laika. Protams, to darot vienu vai divas reizes, jūs nenozagsit savu dzīvību, taču, to darot atkal un atkal, stundas sāk pievienoties. Jūs sākat domāt, vai tā vietā varat veikt vienu braucienu. No jūsu mājas, uz pārtikas veikalu, uz datortehnikas veikalu un atpakaļ uz mājām. Jūs nevarat vienkārši iet un iemest visu savā automašīnā. Tas nav droši. Tā vietā jūs savā automašīnā iezīmējat dažādas vietas dažādām lietām un pārliecinieties, ka viss kārtīgi atrodas savās vietās. To darot, jūs varat droši doties vienā braucienā uz abiem veikaliem un turēt lietas tālāk viena no otras. Tas apzīmē CLSAG. Tagad šajā darījumā ir saglabāta tikai viena matemātikas kopa, lai pierādītu šīs divas lietas, un tas tiek darīts, lai tie netraucētu viens otram. Brauciens joprojām ir jāveic, taču jūs esat diezgan krasi samazinājis to skaitu.</p>\n\n<p>Tas viss izklausās diezgan aizraujoši. Vai ir iespējams atrast citus īsceļus vai citus veidus, kā ietaupīt laiku un vietu? Atbilde ir jā un nē. Saskaņā ar pašreizējiem MRL pētniekiem, visticamāk, nav iespējams turpināt modificēt SAG tipa konstrukcijas, lai nodrošinātu labāku izmēru vai ātrumu; tomēr citas konstrukcijas, piemēram, Arcturus, Omniring, RCT3 vai Triptych, rada daudz labākas izmēra mērogošanas un pārbaudes priekšrocības, izmantojot dažādas matemātiskās metodes. Tomēr katrai no šīm \"nākamās paaudzes\" pieejām parakstītāju neskaidrajiem protokoliem ir savi kompromisi ieviešanas detaļās, un tiek veikta aktīva izpēte un izmeklēšana.</p>\n\n<p>Galu galā Monero vienmēr rada jauninājumus.</p>';

  @override
  String get knowledge250Sbclsag250Sbdescription => 'Apskatīsim vienu no jaunākajiem Monero protokola jauninājumiem: saistāmās zvana paraksta shēmas MLSAG aizstāšanu ar CLSAG aizstājēju.';

  @override
  String get knowledge250Sbclsag250Sbtitle => 'Kā CLSAG uzlabos Monero efektivitāti';

  @override
  String get knowledge250Sbcoinjoin250Sb0250Sbtext => '<p>Tā kā Bitcoin privātuma rīki ir ieguvuši lielāku uzmanību un tiek izmantoti, tie ir pakļauti stingrākai regulējuma kontrolei. Šīs rūpīgās pārbaudes rezultātā <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\"> nesen tika paziņots</a> no Bitcoin privātuma rīka Wasabi Wallet, ka viņi sāks cenzēt un noraidīt ienākošos ievades maisījumos, kurus viņi uzskata par nelikumīgiem vai pretrunā viņu pakalpojumu sniegšanas noteikumiem, un maksās ķēdes analīzi. uzņēmums “veterinārārst” ienākošos mix dalībniekus.</p>\n<p> CoinJoin darījumu izmantošana, lai aptumšotu Bitcoin līdzekļu avotu, jau daudzus gadus ir bijusi Bitcoin privātuma pamatā, un tās izmantošanai raksturīgās problēmas un riski ir dažas no galvenajām problēmām, ko Monero gredzena paraksti izlabo un novērš. </p>\n<p>Šajā emuāra ziņojumā mēs īsumā aplūkosim CoinJoin un gredzenu parakstu salīdzinājumu, kā arī to, kāpēc Monero izmantotā pieeja nodrošina lielāku pretestību cenzūrai, lielāku privātumu un mazāk problēmu lietotājiem.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtext => '<p>Tā kā visi darījumi Bitcoin sistēmā ir pilnīgi caurspīdīgi — tiek atklāts sūtītājs, saņēmējs un summas, lietotājiem ir jāveic papildu darbības, lai aizsargātu savu privātumu no iepriekšējiem sūtītājiem un turpmākajiem līdzekļu saņēmējiem vai riskētu ar cenzūru, uzraudzību vai līdzekļu zādzību, izmantojot fiziska vardarbība.</p>\n<p>Mūsdienās labākais risinājums Bitcoin privātumam ir rīks ar nosaukumu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">“CoinJoin”</a>, kurā 2 vai vairāk lietotāji strādā kopā (parasti izmantojot centralizētu koordinatoru), lai izveidotu īpašu darījumu, kas apgrūtina ārēju darbību. novērotājus, lai savienotu ieejas ar izejām. Katrs dalībnieks sazinās, lai kopīgi izveidotu darījumu, nenododot savu līdzekļu glabāšanu, un beigās saņem rezultātu, kura iepriekšējā vēsture tagad ir neskaidra (vai neskaidra) ārējiem novērotājiem.</p>\n<p>Tādējādi tiek pārtraukta konkrētu UTXO vēsture, ļaujot Bitcoin lietotājiem, veicot darījumus, iegūt zināmu slepenību. Tomēr CoinJoin (kā ieviests Wasabi Wallet un Samourai Wallet, divos visbiežāk izmantotajos Bitcoin CoinJoin rīkos) ir daži būtiski trūkumi: </p>\n<ul>\n<li>Tā kā CoinJoin darījumi ir pilnībā izvēlēti un tiem ir nepieciešama aktīva līdzdalība, jebkurš dalībnieks noteikti parāda, ka vēlas lielāku privātumu nekā “parastie” Bitcoin lietotāji, iespējams, izceļot tos un radot problēmas ar līdzekļu izlietošanu daudzās regulētās biržās vai struktūrās. Katrs lietotājs nevar noliegt, ka ir piedalījies CoinJoin darījumā.</li>\n<li>Lai atrastu citus CoinJoin, lielākajā daļā CoinJoin pieeju (tostarp Wasabi Wallet) tiek izmantots centralizēts koordinators, kas savieno dalībniekus un palīdz viņiem sazināties un izveidot pareizu CoinJoin darījumu. Šis centralizētais koordinators nekad nepārvalda lietotāju līdzekļus, taču tas gūst plašu ieskatu darījumos, ko tie koordinē, var cenzēt ienākošos datus (kā Wasabi Wallet gadījumā) un var tikt piespiests vākt vai koplietot informāciju par CoinJoin dalībniekiem.[X2068X ]\n<li>Lietotājiem, kuriem ir lielas līdzekļu summas CoinJoin, bieži vien var būt jāgaida stundas (vai pat dienas!), lai atrastu pietiekami daudz dalībnieku, ar kuriem varētu pievienoties CoinJoin, tādējādi radot lielu aizkavi no brīža, kad lietotājs saņem līdzekļus, līdz brīdim, kad viņš var tos iztērēt privāti. </li>\n<li>CoinJoin darījuma nodrošinātā konfidencialitāte laika gaitā pasliktinās, jo citi dalībnieki tērē līdzekļus vai saista savus rezultātus ar savu identitāti, izmantojot KYC apmaiņu, tirgotājus, kuriem nepieciešams ID, u.c. Tas nozīmē, ka lietotāji ideālā gadījumā CoinJoin darījumos saglabā savus līdzekļus nepārtraukti. viņu anonimitāte ir iestatīta pēc iespējas svaigāk (“pūlis, kurā paslēpties”).</li>\n<li>Lielākajā daļā CoinJoin pieeju dalībniekiem ir jāizmanto fiksēta izmēra UTXO (t.i., 0,1 BTC), lai būtu grūtāk savienot CoinJoin darījumu ieejas un izejas. Tas rada augstākas maksas (nepieciešams vairāk atsevišķu darījumu uz lielu ievadi), vairāk \"toksisku izmaiņu\" (līdzekļi, kurus nevar iztērēt, neradot nopietnus draudus privātumam), un var liegt mazākiem lietotājiem vispār apvienoties, ja viņiem nav minimālais nepieciešamais atlikums.</li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtitle => 'Kas ir CoinJoin darījums?';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtext => '<p>Tā kā <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\"> esam padziļināti izpētījuši, kas ir zvana paraksti pagātnē</a>, šajā emuāra ziņojumā es nerunāšu par to darbības tehniskajiem aspektiem. Tā vietā mēs apskatīsim, kā Monero izmantotās pieejas atrisina problēmas ar CoinJoin, kas apspriests iepriekš.</p>\n<blockquote>\n<p> CoinJoin ir jāpiesakās, un ir nepieciešama dalība</p>\n</blockquote>\n<p>Monero zvana paraksti ir privātuma protokola galvenā funkcija, un tie tiek izmantoti <em> katrā </em> darījumā tīklā. Tas nozīmē, ka neviena lietotāja darījumi neizceļas ar lielāku privātuma meklēšanu nekā “parastie” Monero lietotāji, un visi lietotāji var ticami apšaubīt, ka viņi ir iztērējuši līdzekļus kādā konkrētā darījumā. Tā kā lietotājs, kurš tērē līdzekļus, darījumā nekoordinē un nepiedalās mānekļu ievadīšanā, tie lietotāji, kuriem pieder ievades dati, kas ir izvēlēti kā mānekļi, var godīgi apgalvot, ka nepiedalījās šajā darījumā, tādējādi stiprinot viņu privātumu.</p>\n<blockquote>\n<p>Centralizēta koordinatora izmantošana</p>\n</blockquote>\n<p>Tā kā Monero gredzena paraksti ir pilnībā nesaskaņoti un darījuma izveidošanai ir nepieciešams tikai patiesais līdzekļu iztērētājs, Monero nav nepieciešams centralizēts koordinators. Tas nodrošina, ka <em>neviens</em> nevar liegt jums piekļuvi Monero privātumam, un nav nevienas centralizētas vienības, uz kuru var izdarīt spiedienu, nav vienkāršu Sybil uzbrukumu likviditātei utt. Kamēr jūsu darījums maksā atbilstošu maksu, jūs iegūstat necenzētu piekļuvi Monero privātumam, drošībai un anonimitātei.</p>\n<blockquote>\n<p>CoinJoin nepieciešama likviditāte</p>\n</blockquote>\n<p> \"Likviditāte\", kas pieejama ikvienam, kas tērē Monero, lai to izmantotu kā mānekļus, vienmēr ir kopējais izvadu komplekts ķēdē, lai nekad netrūktu mānekļu, kuros paslēpties kopā ar Monero. Persona, kas vēlas iztērēt Monero, var to izdarīt aptuveni 20 min pēc līdzekļu saņemšanas, un viņam nav jāveic nekādas papildu darbības, lai iegūtu spēcīgu Monero konfidencialitāti.</p>\n<blockquote>\n<p>CoinJoin konfidencialitāte laika gaitā pasliktinās</p>\n</blockquote>\n<p>Tā kā Monero izvadi nekad netiek iztērēti tīklā, zvana parakstu nodrošinātais privātums laika gaitā ir daudz mazāk pakļauts degradācijai. Lietotājam nav nepārtraukti jāmaina izvades Monero, un ārpus ārkārtīgi retiem apstākļiem laika gaitā tas nezaudē nekādu privātumu.</p>\n<p>Ja lietotājs tomēr vēlas “atsvaidzināt” ar izvadi izmantotos mānekļus, viņš var vienkārši nosūtīt līdzekļus sev atpakaļ un var tos iztērēt apmēram 20 min vēlāk kā parasti.</p>\n<blockquote>\n<p> CoinJoin parasti ir nepieciešamas fiksēta izmēra ievades</p>\n</blockquote>\n<p>Tā kā summas tiek paslēptas katrā darījumā, izmantojot <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/monero-ringct\">“Konfidenciālos darījumus”</a> (daļa no “RingCT”), jebkurā konkrētajā darījumā izmantotie mānekļi var būt jebkura izmēra. Nav iemesla uztraukties par Monero heiristiku, kas balstīta uz summām, tāpēc darījumus ir daudz vienkāršāk izveidot, un tie var izmantot mānekļus jebkurā laikā un jebkurā daudzumā Monero blokķēdē.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtitle => 'Kā zvana paraksti atrisina šīs problēmas?';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtext => '<p>Ja jūs interesē un vēlaties labāk izprast zvana parakstus vai CoinJoin darījumus, skatiet tālāk esošās saites, lai atrastu lieliskas vietas, kur sākt:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">Kā zvana paraksti aizsedz Monero izvadi</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://www.getmonero.org/resources/moneropedia/ringsignatures.html\">Gredzena paraksts — Moneropēdija</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">Coinjoin Q+A</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://6102bitcoin.com/coinjoin-overview/\">CoinJoin pārskats</a></li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtitle => 'Kā es varu uzzināt vairāk?';

  @override
  String get knowledge250Sbcoinjoin250Sbdescription => 'CoinJoin ir BTC privātuma kodols, un ar to saistītās problēmas ir dažas no tām, kuras atrisina Monero gredzena paraksti.';

  @override
  String get knowledge250Sbcoinjoin250Sbtitle => 'Monero gredzenu paraksti pret CoinJoin tāpat kā Wasabi';

  @override
  String get knowledge250Sbcontributing250Sb0250Sbtext => '<p>Monero projektam (tāpat kā daudziem citiem atvērtā pirmkoda projektiem) nav centrālā uzņēmuma, struktūras vai finansējuma, un tas viss ir nepieciešams decentralizācijai un noturībai. Tomēr tas nozīmē, ka projekta panākumi pilnībā ir atkarīgi no kaislīgu cilvēku ieguldījuma kopienā, lai finansētu, attīstītu un sniegtu informāciju, tāpat kā jūs.</p>\n<p>Lielākā daļa Monero kopienas cilvēku noteikti nebūs izstrādātāji, tāpēc mēs koncentrēsimies uz daudzajiem veidiem, kā mēs, kas nav izstrādātāji, varam palīdzēt šādam neticamam projektam.</p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtext => '<p>Monero izmanto unikālu sistēmu darba finansēšanai, ko sauc par <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/\">Community Crowdfunding System</a> (vai “CCS”), kas ļauj ikvienam kopienā iesniegt ideju par finansējumu. Ja kopiena apstiprina, šie priekšlikumi tiek atvērti finansējumam no kopienas.</p>\n<p>Sistēmai ir divi posmi, un katrs no tiem gūst labumu, ja iesaistās cilvēki no dažādām vidēm.</p>\n<h6 id=\"participating-in-ideas\">Piedalīšanās programmā “Idejas”</h6>\n<p>Visi CCS priekšlikumi sākas kā “Idejas”, kuras var komentēt kopiena un bieži tiek apspriestas arī kopienas sanāksmēs. Tā ir iespēja ikvienam kopienā izlasīt priekšlikumu un komentēt, ko, viņuprāt, varētu mainīt vai uzlabot, vai arī priekšlikums vispār būtu jāapstiprina finansējuma saņemšanai. Tas ļauj ne tikai sekot līdzi citu kopienas dalībnieku pastāvīgajiem centieniem, bet arī aktīvi runāt par to, kas un ko finansē kopiena, uzlabot priekšlikumus pirms finansējuma piešķiršanas un nodrošināt pārraudzību pēc finansējuma saņemšanas.</p>\n<p><em>Jūs varat skatīt visus priekšlikumus, kas atrodas “Idejas” stadijā, vietnē <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/ideas/\">CCS Ideas</a>.</em></p>\n<h6 id=\"funding-proposals-in-funding-required\">Finansējuma priekšlikumi sadaļā “Nepieciešams finansējums”</h6>\n<p>Otrais apstiprinātā priekšlikuma posms ir posms “Nepieciešams finansējums”. Šeit ikviens kopienas dalībnieks, kuram patīk priekšlikums un redz tā vērtību, var viegli, ātri un privāti ziedot savu Monero konkrētajam priekšlikumam.</p>\n<p>Lai ziedotu priekšlikumam, vienkārši atveriet sadaļu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">Nepieciešams CCS finansējums</a>, noklikšķiniet uz priekšlikuma, kuram vēlaties ziedot, un skenējiet QR kodu vai nokopējiet adresi un nosūtiet, cik daudz (vai maz!) jūs vēlētos sniegt savu ieguldījumu. Katrs sīkums palīdz neatkarīgi no tā, cik mazs!</p>\n<p>Kad piedāvājums ir pilnībā finansēts, varat sekot līdzi, kamēr tas tiek <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/work-in-progress/\">notiek</a>, vai skatīt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/completed-proposals/\">pabeigto priekšlikumu</a> rezultātus.</p>\n<p><em>Visus priekšlikumus, kas atrodas posmā “Nepieciešams finansējums”, varat skatīt vietnē <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS Nepieciešamais finansējums</a>.</em></p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtitle => 'Monero kopienas kopfinansēšanas sistēma';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtext => '<p>Vēl viens lielisks veids, kā jūs varat iesaistīties Monero projektā, ir palīdzēt izglītot un dot iespēju jauniem un esošajiem kopienas locekļiem. Tas var izpausties dažādos veidos, taču tas var būt tikpat vienkāršs, kā kopīgot informāciju par Monero sociālajos saziņas līdzekļos, emuārā utt.</p>\n<p>Šeit ir daži konkrēti veidi, kā jūs varat palīdzēt izglītībā:</p>\n<ul>\n<li>Izveidojiet savu emuāru</li>\n<li>Uzrakstiet pavedienus pakalpojumā Twitter vai Reddit par lietām, par kurām esat uzzinājis vai iemācījies darīt, izmantojot Monero</li>\n<li>Izveidojiet videoklipus par ikdienas darbībām, ko darāt ar Monero, piemēram, Monero nosūtīšanu, aparatūras seifa izmantošanu, Monero pirkšanu un pārdošanu vietnē <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://localmonero.co\">LocalMonero.co</a> utt.</li>\n</ul>';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtitle => 'Izglītība';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtext => '<p>Vienkāršs veids, kā palīdzēt, ir būt aktīvam parastajos sociālo mediju veidos un runāt par, izglītot un kopīgot lielisku Monero saturu.</p>\n<p>Jo vairāk no mums dalās ar to, kā Monero mums ir palīdzējis, kas mums tajā patīk, kas ir jāuzlabo un kāpēc mēs izvēlamies sniegt ieguldījumu, jo vairāk cilvēku varēs saskatīt spēcīgas darbības vērtību. rīks, piemēram, Monero.</p>\n<h6 id=\"twitter\"> Twitter</h6>\n<p>Twitter ir izplatīta vieta kriptovalūtas lietotājiem (cita starpā), un tā ir vieta, kas man šķiet vērtīga gan mācībām, gan saziņai ar Monero kopienu. Lai gan reizēm tā var būt toksiska un skarba vieta, daži lieliski cilvēki regulāri publicē lielisku saturu.</p>\n<p>Jūtieties brīvi pievienoties un sākt kopīgot informāciju par Monero un sazināties ar citiem tur esošajiem!</p>\n<p><em>Jūs varat atrast LocalMonero pakalpojumā Twitter <span class=\"citation\" data-cites=\"LocalMoneroCo\"> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://twitter.com/LocalMoneroCo\">@LocalMoneroCo</a></span>.</em></p>\n<h6 id=\"reddit\">Reddit</h6>\n<p>Reddit ir populārs veids, kā sadarboties ar Monero (un plašāku kriptovalūtu/privātuma) auditoriju, un tā ir lieliska vieta, kur kopīgot garākas formas saturu, multividi, ziņas utt.</p>\n<p>Tur ir ārkārtīgi aktīva Monero kopiena, un daži no populārākajiem apakšreditiem ir:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/Monero/\">r/Monero</a>\n<ul>\n<li>Mājas lielākajai daļai Monero diskusiju, ziņu un mediju</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a>\n<ul>\n<li>Lieliska vieta, kur saņemt atbalstu un palīdzēt tiem, kam nepieciešams atbalsts saistībā ar Monero problēmām</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroCommunity/\">r/MoneroCommunity</a>\n<ul>\n<li>Vispārīga vieta uz sabiedrību vērstām diskusijām</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroMining/\">r/MoneroMining</a>\n<ul>\n<li>Visas jūsu ieguves vajadzības un diskusijas</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/xmrtrader/\">r/xmrtrader</a>\n<ul>\n<li> Mājas vieta visām diskusijām, kas saistītas ar cenu/tirgu/spekulācijām par Monero. Ar cenu/tirgu saistītas tēmas parasti ir aizliegtas visos citos Monero apakšreklāmās, lai kopiena būtu koncentrēta.</li>\n</ul></li>\n</ul>\n<p>Noteikti pievienojieties un piedalieties diskusijās, kopīgojiet interesantas ziņas un ziņas un sniedziet savu ieguldījumu, kur uzskatāt par piemērotu!</p>\n<p><em>Jūs varat atrast LocalMonero kopienu Reddit vietnē <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/LocalMonero/\">r/LocalMonero</a>.</em></p>\n<h6 id=\"matrixirc\">Matrix/IRC</h6>\n<p>Lielākā daļa Monero “iekšējo darbību” notiek Matrix un IRC — divos tērzēšanas tīklos, kas ir savienoti viens ar otru. Ja vēlaties turpināt iesaistīties ikdienas diskusijās, piedalīties sapulcēs vai vienkārši tērzēt ar citiem Monero lietotājiem, jūs vēlaties pāriet uz Matrix vai IRC.</p>\n<p>Visizplatītāko Matrix/IRC kanālu saraksts ir pieejams vietnē <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/community/hangouts/\">getmonero.org</a>.</p>\n<p><em>Jūs varat atrast LocalMonero kopienu Matrix telpā <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://matrix.to/#/#localmonero:agoradesk.com\">#localmonero:agoradesk.com</a>.</em></p>\n<h6 id=\"offline\">Bezsaistē</h6>\n<p>Neaizmirstiet iepazīstināt savus draugus, ģimeni un citus ar Monero arī bezsaistē! Lielisks veids ir likt personai lejupielādēt mobilo maku, piemēram, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet (iOS/Android)</a>, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo (Android)</a> vai <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://mymonero.com/\">MyMonero (iOS)</a>, nosūtiet viņiem mazliet Monero un lūdziet tos nosūtīt atpakaļ.</p>\n<p>Var būt noderīgi arī salīdzināt darījumus starp Bitcoin un Monero, izmantojot tādu pētnieku kā <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.exploremonero.com/\">ExploreMonero</a>, lai ļautu viņiem redzēt, cik maz informācijas tiek publiski atklāta, veicot darījumus, izmantojot Monero, salīdzinot ar citām caurspīdīgām blokķēdēm. X4596X]';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtitle => 'Apziņa un iesaistīšanās';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtext => '<p>Ja jau kādu laiku atrodaties Monero tuvumā vai labi saprotat, kā to lietot un novērst problēmas, lielisks veids, kā iesaistīties, būtu pāriet uz <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> subreddit un sniegt atbalstu lietotājiem, kuri tur izliek ziņas.</p>\n<p> Pastāvīgi ir lietotāji, kuriem nepieciešama palīdzība (parasti) pamata problēmu risināšanā, un ir tikai daži no mums, kas aktīvi darbojas subreddit, lai viņiem palīdzētu. Būtu lieliski, ja vairāk cilvēku ienirt un sniegtu savu ieguldījumu, lai palīdzētu jauniem un esošajiem lietotājiem tikt galā ar savām problēmām!</p>';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtitle => 'r/monerosupport';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtext => '<p>Gandrīz visas kopienas diskusijas par konkrētām tēmām notiek Matrix vai IRC, tāpēc, ja vēlaties tikai mācīties no sapulcēm/sekot sapulcēm vai vēlaties aktīvi piedalīties, varat iestatīt <a class=\"next-link\" href=\"#matrixirc\"> kādu no šīm tērzēšanas sarunām. tīkli</a>.</p>\n<p>Kad tas ir izdarīts, sekojiet līdzi tēmai, kas iestatīta katrai telpai, kurā atrodaties, vai <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">Monero metakrātuvē</a> ieplānotajām sapulcēm.</p>\n<p>Ja izvēlaties ierasties un piedalīties, lūdzu, ievērojiet tēmu secību, palieciet pie tēmas un mēģiniet runāt tikai tad, kad tas ir nepieciešams/zvanīts.</p>';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtitle => 'Kopienas sanāksmes';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtext => '<p>Tiem, kas pārvalda divas vai vairāk valodu, ļoti svarīgs veids, kā palīdzēt, ir palīdzēt ar tulkojumiem no angļu valodas citās valodās. Vienmēr ir jātulko jaunas valodas un jāatjaunina esošās valodas visā ekosistēmā, un jo vairāk valodu mēs aktīvi atbalstīsim, jo iekļaujošāks un pieejamāks kļūs Monero.</p>\n<p>Tulkošanas vajadzības un informāciju varat atrast vietnē <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://translate.getmonero.org/\">translate.getmonero.org</a> vai <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-ecosystem/monero-translations\"> vietnē Github</a>.</p>';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtitle => 'Tulkojumi';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtext => '<p>Pēdējais veids, kā izstrādātāji, kas nav izstrādātāji, var sniegt ieguldījumu Monero, ir noteikti reģistrēt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">problēmas Github</a>, ja rodas problēma, kuru nevar atrisināt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> vai programmā. <a class=\"next-link\" href=\"#matrixirc\">Matrix/IRC</a> vai skatiet programmatūras uzlabojumu jomu.</p>\n<p>Kad atverat problēmu:</p>\n<ul>\n<li>Pārliecinieties, ka ar jūsu problēmu nav saistīta esoša problēma\n<ul>\n<li>Meklējiet <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">atvērtās problēmas pakalpojumā Github</a>, lai atrastu atslēgvārdus, kas saistīti ar jūsu</li>\n</ul></li>\n<li>Sniedziet pēc iespējas vairāk informācijas\n<ul>\n<li>Ja rodas problēma, kuru nevarēja atrisināt, veicot parasto problēmu novēršanu, veiciet tālāk norādītās darbības.\n<ul>\n<li>Apkopojiet visus atbilstošos žurnālus, kad rodas problēma</li>\n<li>Apkopojiet Monero programmatūras versiju, kuru izmantojat<br />\n</li>\n<li>Sistēmas OS un versijas apkopošana</li>\n<li>Saite uz visām atbilstošām esošām problēmām, Reddit pavedieniem utt.</li>\n</ul></li>\n</ul></li>\n<li>Sekojiet līdzi atbildēm un paziņojumiem par jūsu problēmas atjauninājumiem\n<ul>\n<li>Bieži vien ir nepieciešama plašāka informācija vai skaidrojumi, tāpēc noteikti sekojiet līdzi jūsu problēmas atjauninājumiem un komentāriem, kuriem var būt nepieciešama jūsu ievade</li>\n</ul></li>\n</ul>\n<p>Jo vairāk informācijas varat sniegt šajā jautājumā, jo labāk!</p>';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtitle => 'Iesniegšanas problēmas';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtext => '<p>Cerams, ka šī rokasgrāmata ir radījusi dažas idejas par to, kā jūs varat atdot Monero, izmantojot savu unikālo prasmju kopumu, pieredzi un pieredzi. Jo vairāk kopienas atdos šādos veidos, jo lielāks un nobriedušāks būs Monero, un jo vieglāk mēs varēsim īstenot privātas, aizstājamas, pašsuverēnas un cenzūrai izturīgas naudas mērķus.</p>';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtitle => 'Secinājums';

  @override
  String get knowledge250Sbcontributing250Sbdescription => 'Monero panākumi ir atkarīgi no kopienas ieguldījuma — šodien mēs izpētīsim dažus veidus, kā mēs, kas nav izstrādātāji, varam palīdzēt.';

  @override
  String get knowledge250Sbcontributing250Sbtitle => 'Piedalās Monero';

  @override
  String get knowledge250Sbcritical250Sb0250Sbtext => '<p>Katram indivīdam ir savs stāsts par ceļošanu pa mežonīgajiem rietumiem, kas ir kriptovalūta. Daži atrod vietu, kur spekulēt, citi atrod draugus, bet citi atrod tehnoloģiju, kurai tic. Neskatoties uz atšķirībām, parasti ir daudz līdzību pat dažādās kriptovalūtās un kopienās. Viens no tiem ir satraucošā līdzība kultivētai uzvedībai daudzās kriptovalstu kopienās.</p>\n\n<p>Šīs darbības nav grūti pamanīt. Nespēja pieņemt jebkādu kritiku un apzināta nezināšana par trūkumiem, pat ņemot vērā pierādījumus, ir tikai daži piemēri. Dažās vietās karsējmeitenes kļūst tik acīmredzamas, ka jebkurš negatīvisms kļūst par pamatu disciplinārai rīcībai.</p>\n\n<p>Kā kriptovalūtas ceļotājs cenšas atbalstīt labus projektus un <a target=\"_blank\" href=\"/knowledge/monero-scams\" class=\"next-link\">nezaudēt visu savu naudu</a>, visi kriptovalūtas entuziasti tiek mudināti domāt kritiski un izvērtēt projektus, pamatojoties uz viņu reālo vērtību, bet kā būtu ar pieeju tai. no otra virziena? Vai pašiem projektiem ir jābūt paškritiskiem un apzinīgiem?</p>\n\n<p> Mēs strīdamies, ka jā. Pati kopiena ir projekta un tā vadītāju atspulgs. Turklāt gudra kopiena sagaida vairāk no saviem izstrādātājiem un varēs kritizēt piedāvātos risinājumus, nevis akli uzticēties un pieņemt, ka izstrādātāji strādā lietotāju labā, nevis savās vai ārējās interesēs.</p>\n\n<p> Un otrādi, kopiena, kas rūpējas tikai par cenu un nespēj vai nevēlas kritiski novērtēt sevi (vai ļaut citiem novērtēt), ir lemta gremdēties viduvējībā.</p>\n\n<p>Kā projekts, Monero cenšas noturēt savus izstrādātājus, pētniekus, vadītājus un pašu sabiedrību atbilstoši augstākajiem standartiem un samazināt pieaugošas pašapmierinātības un destruktīvas apātijas risku.</p>\n\n<p>Viens no veidiem, kā Monero to dara, ir rīkot iknedēļas Skepticisma svētdienu kopienas subredditā. Šī ir vieta, kur cilvēki var paust savas bažas par Monero, protokolu, vadību vai jebkādām citām bažām. Tā ir vieta, kur tiek tieši mudināti jautājumi un pat neuzticēšanās, un tā tiek uzskatīta par nepieciešamu mūsu ekosistēmas veselībai.</p>\n\n<p>Tas ir krasā pretstatā daudzām citām kopienām, kuras ne tikai izvairās no kritikas, bet arī bieži veicina apātiju un atstumtu prātu no savas kopienas. Tas var šķist skarbi teikt, taču nav iespējams aplūkot ekosistēmu aptverošo nelabvēļu aizliegšanu, sarunu pārtraukšanu un karsējmeiteņu mudināšanu, kas tiek novērota citu monētu tikšanās vietās un nenonāk pie šāda secinājuma.</p>\n\n<p> Tas nenozīmē, ka Monero pašam nav karsējmeiteņu, jo tā ir. Tomēr interesanti ir tas, ka daudzi kopienas locekļi izsauks šīs karsējmeitenes un aicinās viņus uz augstāku uzvedības standartu. Faktiski Monero iet tik tālu, ka nevajadzīgi pārmērīgu karsējmeiteņu saturu uzskata par nevēlamu un mēģinās to novirzīt uz piemērotākām vietām vai pilnībā noņemt.</p>\n\n<p>Apdraudētu prātu draudi ir jāuztver nopietni. Privātums ir bruņošanās sacensība, kurā visiem ir jābūt uz pirkstgaliem un kliedz “Monero ir labākais!” un “Nekas nevar pārspēt Monero! Tas ir nesalaužams! ” tikai mazina kaujas steidzamību. Raugoties no šīs perspektīvas, kritiskās domāšanas un veselīgas skepses trūkums sabiedrībā nav tikai kaitinošs vai kulturāls, tas var novest pie paša protokola krišanas.</p>\n\n<p>Daudzos veidos mēs varam meklēt Bitcoin piemērus, kā tas notiek reālajā dzīvē. Bitcoin maksimālisti bieži vien runās un tikumības signalizēs viens otram par Bitcoin priekšrocībām, un ikreiz, kad rodas jautājumi par privātumu, aizstājamību vai mērogošanu, jautājumi tiek atmesti ar roku un likumpārkāpēji tiek izstumti no kopienas. Pārāk bieži cilvēkiem, kuriem ir pamatoti jautājumi, ir aizliegts, bloķēts vai kā citādi izstumts no dalības Bitcoin kopienās tikai tāpēc, ka viņi neatbilst saskaņotajai retorikai un uzdrošinājās uzdot jautājumus.</p>\n\n<p>Ir un atkal šie nogurušie ceļotāji atrod ceļu uz Monero un, kādu laiku pavadījuši sabiedrībā, ir slavējuši projektu par tā līdzvērtīgajām diskusijām un baiļu trūkumu no neērtiem jautājumiem. Nav nekas neparasts, ka šie ceļotāji pat vēlas apspriest citas monētas, nevis tāpēc, ka viņi vēlas maksāt, bet tāpēc, ka viņi sāk uzticēties kopienas prātam un loģikai un vēlas godīgu viedokli par citu monētu, ko viņi nevar iegūt. pati monētu kopiena.</p>\n\n<p>Pat fakts, ka Monero pagātnē un tagadnē ir nepārtraukti griezies, ir parādījis projekta pazemību un spēku. Lai gan daži var nosodīt hard forks kā <a target=\"_blank\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" class=\"next-link\">centralizāciju uz izstrādātājiem</a>, kas zināmā mērā ir taisnība, tas parāda, ka izstrādātāji saprata, ka izredzes, ka viņiem viss 100% tiks pareizi pirmajā reizē, ir nelielas. Lietas būs jāuzlabo un, iespējams, pat pilnībā jāaizstāj, ja Monero vēlas saglabāt konkurētspēju gan privātuma, gan kriptovalūtas jomā.</p>\n\n<p> Bieži vien šīs izmaiņas izjauc atpakaļejošu saderību, kas ir liels nē Bitcoin protokolā, kur visam ir jābūt mīkstam un atpakaļ saderīgam. Bet tas nozīmē, ka katrai atsevišķai Bitcoin veiktajai izmaiņai ir ļoti ierobežota darbības joma. Viņus nomāc viņu pagātne, un uzlabojumiem tā ir jāciena, bieži vien bezjēdzīgi. Tā kā Monero izmaiņas var būt plašas un bieži vien uzlabo protokolu un privātumu par vairākām kārtām.</p>\n\n<p>To var viegli redzēt, iekļaujot <a target=\"_blank\" href=\"/knowledge/monero-ringct\" class=\"next-link\">RingCT</a>. Iepriekš Monero iekļāva tikai <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">slēptās adreses</a> un <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">zvana parakstus </a>, un summas bija redzamas. Šens Noeters, MRL pētnieks, mainīja esošo protokolu, kas slēpj Monero summas, taču tā iekļaušana traucētu saderību, kas nozīmē, ka vecā tipa darījumi ar caurspīdīgām summām vairs nebūtu atļauti.</p>\n\n<p> Monero uzņēmās šo risku, un gala rezultāts bija daudz uzlabots privātums, kas nostiprināja Monero kā privātuma monētu karaļa pozīciju. Bet tas vēl nav viss, ko tas parādīja. Šī dakša, kā arī vairāki pēc tam, kā arī visi turpmākie pamudinājumi uz skepsi, pazemību un apšaubīšanu sabiedrībā, arī nostiprināja Monero kā vienu no asākajiem un kritiskākajiem prātu krājumiem kriptotelpā.</p>';

  @override
  String get knowledge250Sbcritical250Sbdescription => 'Kripto entuziasti tiek mudināti domāt kritiski un novērtēt projektus, pamatojoties uz viņu reālās pasaules vērtību, bet vai pašiem projektiem ir jābūt paškritiskiem un apzinīgiem?';

  @override
  String get knowledge250Sbcritical250Sbtitle => 'Kāpēc Monero ir viskritiskākā domāšanas kopiena?';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtext => '<p>Kā kriptovalūta, Monero ar neapbruņotu aci varētu šķist ļoti garlaicīga. Tam nav lielas pretenzijas uz slavu, piemēram, \"pasaules datoru\" vai \"revolucionāru xyz nozari\". Tas ir tikai mēģinājums būt privāta, digitāla, aizstājama nauda, un katrs jauninājums un jaunā tehnoloģija tikai veicina šo mērķi. </p>\n<p>\nTie, kas šo mērķi uzskata par pārāk šauru vai neinteresantu, parasti nesaprot, cik grūti ir panākt jēgpilnu privātumu, it īpaši pastāvīgā, atvērtā virsgrāmatā, piemēram, blokķēdē. Jebkurš metadatu noplūdes veids var apdraudēt privātumu.</p>\n<p>\nMonero veic piesardzības pasākumus, lai aizsegtu ķēdes datus, piemēram, saņēmēju, sūtītāju un summas, izmantojot attiecīgi slepenas adreses, zvana parakstus un Pedersena saistības. Tas samazina iespēju, ka nejaušs novērotājs varēs izsecināt svarīgu informāciju pēc tam, kad darījumi jau ir nosūtīti un tagad ir tikai daļa no ierakstītās vēstures. Tomēr ir daži uzbrukumi, kurus var veikt brīdī, kad notiek darījums un kurus nevar veikt vēlāk.</p>';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtitle => 'Privātums kā prioritāte';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtext => 'Šie uzbrukumi ir saistīti ar identificēšanu, no kuras IP adreses tika veikts darījums. Ja šī informācija tiks iegūta, tā varētu atklāt, ka kāda persona ir nosūtījusi Monero darījumu. Tas nevar parādīt, kam un cik daudz, taču ir daži gadījumi, kad ar Monero lietotāja zināšanām pietiek, lai nodarītu kaitējumu.\n<br/><br/>\nLabā ziņa ir tā, ka, ja šī informācija netiek savākta darījuma veikšanas brīdī, tad to nevar uzzināt vēlāk, jo IP adreses blokķēdē netiek glabātas. Mierina arī apziņa, ka šāds uzbrukums, visticamāk, nebūs redzams savvaļā, jo, lai to pārvarētu, uzbrucējam būtu nepieciešams liels vairums tīkla mezglu. Ja cilvēks tomēr spētu vadīt šo lielo vairākumu, viņš spētu noteikt darījuma “virzienu”.\n<br/><br/>\nTas var būt mulsinoši, tāpēc mēs šeit izskaidrosim pamatinformāciju. Katrs mezgls savienojas ar citiem tīkla mezgliem, lai tie varētu atjaunināt savu blokķēdi, kā arī dalīties tajā ar citiem, ko viņi zina. Šie savienojumi ļauj viņiem uzzināt par jauniem darījumiem, izplatīt tos un nosūtīt savus. Tā kā mezgls var pastāstīt saviem vienaudžiem tikai par darījumiem, par kuriem viņi zina, ir pašsaprotami, ka pats pirmais mezgls, kas izplata darījumu, ir mezgls, kas faktiski sūta Monero.\n<br/><br/>\nJa uzbrucējam tīklā pieder lielākā daļa mezglu, katrs mezgls dzirdēs par darījumu no viena no saviem līdziniekiem, un, pamatojoties uz laiku, kurā katrs mezgls saņem šo informāciju, viņi var secināt, iespējams, kur darījums sākās.\n<br/><br/>\nJa tas joprojām mulsina, mēs piedāvājam šo piemēru. Pieņemsim, ka mums abiem ir kopīgs draugs, kas slēpjas no mūsu redzējuma. Šis draugs skaļi sauc. Es vispirms dzirdu viņa zvanu un dzirdu to skaļāk nekā jūs. No šīs informācijas mēs varam zināt, ka es, visticamāk, esmu tuvāk mūsu draugam nekā jūs. Tas, ka skaņu dzirdat vēlāk (pat tikai par sekundes daļu) un skaņa ir vājāka, nozīmē, ka mums ir jāsāk meklēt manā, nevis jūsu reģionā.\n<br/><br/>\nJa uzbrucējs spēj veiksmīgi uzminēt, kurš no viņu līdziniekiem ir nosūtījis darījumu, jo viņam ir IP adrese, kas ir savienota ar viņu mezglu un pārsūtīja to viņam, viņš var būt pārliecināts par IP adresi, kas to nosūtīja. Šī ir spēcīga informācija, jo IP adreses satur informāciju par lietotāja valsti un interneta pakalpojumu sniedzēju (ISP), un paši interneta pakalpojumu sniedzēji zina, kurš lietotājs ar kuru precīzu IP adresi ir piesaistīts, tādējādi efektīvi deanonimējot Monero lietotāju.';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtitle => 'Uzbrukums, lai atklātu IP adresi';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtext => 'Viens no iespējamiem šī uzbrukuma mazināšanas veidiem ir pārklājuma tīkla, piemēram, Tor vai I2P, izmantošana. Tas padara to tā, ka pat tad, ja uzbrucējs var izsecināt avota IP adresi, iespējams, tā nav tā, kas veica darījumu, bet gan pārklājuma tīkla starpniekserveris (I2P) vai izejas mezgls (Tor). Tomēr šis nav visaptverošs risinājums, jo pārklājošie tīkli, VPN un līdzīga programmatūra daudzās valstīs ir aizliegta, un ir nereāli sagaidīt, ka ikviens izmantos, sinhronizēs un izplatīs šos tīklus. Ir nepieciešams risinājums, kas neprasa ārējas programmatūras un tīklu izmantošanu; tāds, kas ir pieejams parastam cilvēkam.\n<br/><br/>\nŠis risinājums ir Dandelion++ (DPP), kas ir jaunināts protokols sākotnējam Dandelion priekšlikumam Bitcoin. Šajā protokolā ir divas fāzes — stumbra fāze un pūkainības fāze; abiem kopā ir jāatspoguļo pienenes forma.\n<br/><br/>\nCilmes fāzē ik pēc dažām minūtēm nosūtošais mezgls nejauši izvēlas divus līdzīgus no visiem mezgliem, ar kuriem tas ir savienots. Kad nosūtīšanas mezgls nosūta transakciju vai nu savā vārdā, vai vienkārši pārsūtot darījumu no cita mezgla cilmes fāzē, tas nejauši izvēlas vienu no šiem diviem atlasītajiem vienaudžiem un nosūta tam darījumu.\n<br/><br/>\nPlūkšanas fāze ir tad, kad mezgls saņem darījumu un pārraida to katram izejošajam savienojumam, nevis tikai vienam nejauši izvēlētam, tas nodrošina patiesu transakcijas izplatību. Ik pēc dažām minūtēm mezgls sevi definē kā tādu, kas pēc nejaušības principa izplatīsies, izmantojot stumbra vai pūkas, tāpēc cilmes fāze var būt diezgan ilga, ja katrs savienojošais mezgls ir definējis sevi kā cilmes mezglu, bet, tiklīdz darījums sasniedz pūka fāzi, tas tur paliek.\n<br/><br/>\nTas nozīmē, ka uzbrucējs vairs nevarēs vienkārši noklausīties darījuma virzienu, jo pirms tas tika izplatīts visiem, tam tika veikta cilmes fāze, un pūka fāzes sākuma mezgls nav mezgls, no kura darījums tika veikts. , un nav zināms, cik apiņu gar kātu darījums tika veikts.\n<br/><br/>\nProtams, iepriekš minēto risinājumu apvienošana (DPP plus pārklājuma tīkls) nodrošinās vēl spēcīgākas privātuma garantijas un aizsardzību pret IP izsekošanu. Jāņem vērā arī tas, ka DPP neaizsargā pret cita veida tīkla izsekošanas uzbrukumu, ko var veikt ar interneta pakalpojumu sniedzējiem, taču tas ir ārpus šī raksta darbības jomas.\n<br/><br/>\nLaidienā 0.16, Dandelion++ ir iestatīts tiešraidē Monero tīklā un pēc noklusējuma tiek izmantots atsauces klientā. Šīs nelielās izmaiņas vēl vairāk mazinās iespējamos uzbrukumus Monero tīklam un parāda, kāpēc Monero ir vadošā pakotne praktisko, lietoto privātuma tehnoloģiju jomā.';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtitle => 'Seku mazināšana(-i)';

  @override
  String get knowledge250Sbdandelion250Sbdescription => 'Monero veic piesardzības pasākumus, lai aptumšotu ķēdes datus, tomēr ir daži uzbrukumi, kurus var veikt darījuma brīdī un kurus nevar veikt vēlāk.';

  @override
  String get knowledge250Sbdandelion250Sbtitle => 'Kā Dandelion++ saglabā Monero darījumu izcelsmi privātu';

  @override
  String get knowledge250Sbdescription => 'Ar ko Monero ir īpašs? Uzziniet, izlasot rakstus un rokasgrāmatas mūsu zināšanu lapā.';

  @override
  String get knowledge250Sbeconomy250Sb0250Sbtext => '<p>Viens no svarīgākajiem aspektiem kriptovalūtu izdzīvošanā un izaugsmē un to lietojamībā ir aprites ekonomikas veidošanās. Mēs esam redzējuši, ka tie parādās nelielā mērogā Bitcoin un citās kriptovalūtās, taču Monero ir vairāki atribūti, kas unikāli ļauj mums veidot aprites ekonomiku un piedalīties tajā.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtext => '<p>Lai gan es esmu pārliecināts, ka jūs visi brīvi pārzināt ekonomiku kā plašu tēmu, ideja par “aprites ekonomiku” tiek reti apspriesta ārpus kriptovalūtu pasaules. Aprites ekonomikas padara tik svarīgas un īpašas, ka tās rada patiesi brīvus tirgus, kas ļauj tirgot pakalpojumus, produktus un preces <em> tieši Monero</em>.</p>\n<p>Dalībniekiem nav nepārtraukti jāiekļaujas un jāizkāpj no fiat, taču viņi var paturēt savu Monero sistēmā, pelnot, ietaupot un tērējot tieši Monero bez berzes, uzraudzības vai parastas ekonomikas ierobežojumiem. X606X]\n<p>Aprites ekonomika parasti ir pilnīgi \"pārspējama\" un likumīga, taču tā darbojas vairāk kā \"pelēkie tirgi\", salīdzinot ar parastajiem \"baltajiem tirgiem\" fiat pasaulē.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtitle => 'Kas ir aprites ekonomika?';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtext => '<h6 id=\"remove-the-reliance-on-the-states-approval-and-id-system\">1. Noņemiet paļaušanos uz valsts apstiprinājumu un ID sistēmu</h6>\n<p>Vairums rietumu iedzīvotāju vai cilvēku, kuri ir dzīvojuši ar ID sistēmu stabilā valstī, var nepamanīt šo punktu, taču mūsu paļaušanās uz valsts izdotiem ID un apstiprinājumiem, lai veiktu uzņēmējdarbību, nopelnītu iztiku un iegādātos to, ko mēs nepieciešamība izdzīvot ļauj valstij viegli nogriezt tos, kurus tā uzskata par “neatbilstošiem”.</p>\n<p>Tie nav <em></em> tikai noziedznieki, un tie var būt politiski disidenti, reliģiskās minoritātes, rasu minoritātes utt. Šī kontrole ļauj valstij noteikt, kurš drīkst un kurš nedrīkst iesaistīties tirdzniecībā, ar ko katrs no mums var veikt darījumus. , un ko mēs varam pirkt/pārdot — būtībā izvēloties dzīvību vai nāvi katram pilsonim, pamatojoties uz atbilstību.</p>\n<p> Šīs atkarības likvidēšana, veidojot aprites ekonomiku, atņem valstu varu pār mūsu spēju iesaistīties ekonomikā, ļaujot mums izdzīvot un attīstīties neatkarīgi no tā, ko valsts par mums domā.</p>\n<h6 id=\"reduce-the-governments-control-of-monero-and-monero-users-via-fiat-onoff-ramps\">2. Samaziniet valdības kontroli pār Monero un Monero lietotājiem, izmantojot fiat ieslēgšanas/izslēgšanas rampas</h6>\n<p>Neticami spēcīgās Monero privātuma garantijas un decentralizācija padara to ārkārtīgi sarežģītu (vai pat neiespējamu) neļaut cilvēkiem to izmantot tā, kā viņi uzskata par piemērotu. Tā kā Monero varai kā brīvības instrumentam ir spēcīgā tehniskā bāze, valdības strauji apzinās, ka labākā iespēja kontrolēt Monero lietotājus vai samazināt tīkla efektivitāti ir kontrolēt, kas var piekļūt Monero, vienlaikus sastādot jauku un sakārtotu sarakstu Monero lietotāji, izmantojot apmaiņu Know-Your-Customer (KYC).</p>\n<p>Kad mēs veidojam aprites ekonomiku, mums nav tik bieži (vai pat vispār!) jāizmanto fiat ieslēgšanas/izslēgšanas rampas, un tādējādi mēs varam noņemt šo valdības kontroles punktu pār mūsu darbībām.</p>\n<p>To varam izdarīt arī, atsakoties izmantot centralizētas KYC apmaiņas un tirgoties vienādrangā šeit, vietnē LocalMonero.</p>';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtitle => 'Kāpēc mums ir jāveido aprites ekonomika?';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtext => '<p> Lai gan Monero izmanto dažus Bitcoin galvenos atribūtus, kas nodrošina aprites ekonomiku jaunā veidā (pret cenzūru izturīgi maksājumi, P2P darījumi utt.), tas sniedz absolūti unikālu iespēju tiem, kas vēlas veidot aprites ekonomiku un tajā iesaistīties. </p>\n<h6 id=\"monero-enables-global-p2p-transactions-without-fear-of-surveillance-or-censorship\">1. Monero nodrošina globālus p2p darījumus, nebaidoties no uzraudzības vai cenzūras</h6>\n<p>Monero lietotājiem nav jāuztraucas par masveida uzraudzību vai pat mērķtiecīgu savu darījumu cenzūru, nodrošinot unikālu sirdsmieru un novēršot jebkādu slogu tirdzniecībai. Jūs varat veikt darījumus ar jebkuru cilvēku pasaulē jebkurā laikā un bez uzraudzības, izmantojot jūsu izvēlēto Monero maku.</p>\n<h6 id=\"fungibility-removes-the-risk-of-tainted-coins-and-ensures-trust\">2. Aizvietojamība novērš monētu sabojāšanas risku un nodrošina uzticību</h6>\n<p>Tā kā Monero ir aizstājams (1 XMR ir vienāds ar 1 XMR, neatkarīgi no tā, kas notiek), aprites ekonomikas dalībniekiem nav jāuztraucas par līdzekļiem, ko viņi nosūta vai saņem. Jebkurš Monero, ko viņi sūta, nevar tikt izsekots līdz citiem viņu darījumiem, un tam nav vēstures, un tāpēc to nevar cenzēt, pamatojoties uz vēsturi, un saņemto Monero vienmēr varēs brīvi iztērēt par pilnu tirgus vērtību. Šī aizstājamība palielina dalībnieku sirdsmieru, nodrošina to, ka ķēdes analīzes uzņēmumi nevar piespiest savu ceļu uz aprites ekonomiku, un novērš uzticības sabrukumu Monero kā apmaiņas metodei.</p>\n<p>Pašreizējais uzticības sabrukums Bitcoin kā apmaiņas metodei noved pie tā, ka tā strauji zaudē vilci aprites ekonomikā, kur darbojas Monero. Cilvēki nevēlas pārbaudīt, vai līdzekļi nav bojāti, uztraukties par to, vai viņi tos varēs brīvi tērēt, un nejūt nepieciešamību izmantot jebkādus ķēdes analīzes rīkus, lai pasargātu sevi no juridiskām vai regulējošām problēmām.</p>\n<h6 id=\"moneros-low-fees-ensure-a-free-flow-of-commerce\">3. Monero zemās maksas nodrošina brīvu tirdzniecības plūsmu</h6>\n<p>Viens no vienkāršākajiem punktiem, kas jāsaprot par Monero darījumiem, ir tas, ka darījumu maksas ir neticami zemas un ilgtermiņā saglabāsies saprātīgas, pateicoties <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/monero-tail-emission\">astes emisijai</a> un <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/dynamic-block-size\">dinamiskajam bloka izmēram</a>. </p>\n<p>Šīs zemās maksas nodrošina, ka tirdzniecība var brīvi plūst neatkarīgi no blokķēdes pārslodzes, vēl vairāk samazinot dalībnieku garīgo slogu un stresu, cenšoties noteikt laiku saviem darījumiem vai gaidīt stundas/dienas, lai apstiprinātu zemas maksas darījumus. Tā kā šodien maksa ir aptuveni 1 c, jūs varat brīvi veikt darījumus ar jebkura lieluma darījumu, neuztraucoties par maksām.</p>';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtitle => 'Kā Monero unikāli nodrošina šīs aprites ekonomikas?';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtext => '<p> Galu galā Monero ir digitālā nauda, kā tam vajadzētu būt. Sirdsmiers, aizvietojamība un privātums, veicot skaidras naudas darījumus, taču visas digitālo, globālo un p2p darījumu priekšrocības ir atdalītas no valsts kontroles vai uzraudzības. Šī spēja darboties kā digitālajai skaidrai naudai mūsdienās unikāli nodrošina aprites ekonomiku un palīdz tai laika gaitā augt un plaukt tādā veidā, kā citas kriptovalūtas, piemēram, Bitcoin, vienkārši nespēj.</p>';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtitle => 'Secinājums';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtext => '<p>Ja jūs interesē un vēlaties labāk izprast aprites ekonomiku vai sākt tajā piedalīties jau šodien, skatiet tālāk esošās saites, lai atrastu lieliskas vietas, kur sākt darbu.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies\">“KYC- bezmaksas Bitcoin aprites ekonomika: atbrīvojiet tirgus, atbrīvojiet pasauli” - Anarkio</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular- ekonomika/\">“Ir pienācis laiks pievienoties Bitcoin aprites ekonomikai” - Ragnars Liftrasirs</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monerica.com/\">“Monerica.com — Monero aprites ekonomikas direktorijs”< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cryptwerk.com/pay-with/xmr/\">Monero tirgotāji — Cryptwerk</a> </li>';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtitle => 'Kā es varu uzzināt vairāk?';

  @override
  String get knowledge250Sbeconomy250Sbdescription => 'Šodien mēs apsveram, kā Monero spēja darboties kā digitālajai naudai unikāli veicina aprites ekonomikas attīstību.';

  @override
  String get knowledge250Sbeconomy250Sbtitle => 'Kā Monero unikāli nodrošina aprites ekonomiku';

  @override
  String get knowledge250Sbemission250Sb0250Sbtext => '<p>Kad lielākā daļa cilvēku domā par to, kas atšķir Monero, viņi domā par Monero privātuma tehnoloģiju. Patiešām, lielākā daļa uzskatītu, ka privātums un tā atbloķējamība ir Monero raksturīgā iezīme un galvenais ierocis, ko tas ienes ringā, salīdzinot ar citām monētām. Lielākā daļa cilvēku var nezināt, ka Monero satur citas protokolu atšķirības no Bitcoin un tā atvasinājumiem, par kurām daži varētu apgalvot, ka tās ir tikpat svarīgas kā Monero privātuma tehnoloģijas. Šajā rakstā mēs apskatīsim vienu no tiem: astes emisiju.</p>\n\n<p>Vispirms definēsim, ko nozīmē šis termins. Astes emisija ir nemitīga bloka atlīdzības subsīdija pat pēc “pēdējā” Monero izkalšanas. Citiem vārdiem sakot, Monero bloka atlīdzība nekad nesamazināsies līdz nullei, bet drīzāk samazināsies, līdz tā sasniegs 0,6 XMR blokā, un tad paliks tur uz visiem laikiem. Kalnračiem vienmēr tiks maksāts, lai viņi raktu Monero, un viņiem nekad nebūs jāpaļaujas tikai uz maksas tirgu.</p>\n\n<p>Taču spersim soli atpakaļ un aplūkosim ieguvi ļoti augstā līmenī. Monero kalnrači tiek mudināti nodrošināt tīklu, iegūstot jaucējvārdus. Stimuls ir iespēja izveidot Monero, ja viņi atrod jaunu bloku. Šis Monero tiek piešķirts divos veidos. Pirmkārt, kalnračs saņem katra lietotāja, kurš samaksājis par sava darījuma iekļaušanu blokā, samaksātās maksas. Šīs ir darījumu maksas, ko maksājat, nosūtot darījumu. Otrkārt, kalnracis saņem iepriekš noteiktu Monero daudzumu no paša protokola. Vairumā gadījumu šī “bloka atlīdzība” ir ievērojami augstāka par lietotāja transakciju maksu, un šajā vietā kalnrači pelna visvairāk. Šī bloka atlīdzība kalpo, lai ogļrači ieguldītu finansiāli ķēdes drošībā, kā arī lai laistu apgrozībā jaunas monētas.</p>\n\n<p>Lielākajā daļā kriptovalūtu protokolu šī bloka atlīdzība laika gaitā ir iestatīta uz samazināšanos. Lielākajai daļai Bitcoin atvasinājumu ir tā sauktā sadalīšana uz pusēm, iepriekš noteikti laika punkti, kuros bloka atlīdzība samazinās uz pusēm (piemēram, no 20 BTC līdz 10 BTC). Šie samazinājumi notiek ik pēc dažiem gadiem, un katru reizi, kad tas notiek, tīkla drošība samazinās. Kāpēc? Mēs mudinām lasītāju izlasīt mūsu <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">rakstu par ieguvi un RandomX</a>, un, to darot, viņi uzzinās, ka ieguve ir sacensības. Bloku balvas tiek piešķirtas tikai tiem, kas atrod bloku, un par to konkurē daudzas vienības. Kad atlīdzība ir lielāka, vairāk cilvēku ir ieinteresēti spēlēt šo spēli, turpretim, ja atlīdzība ir zema, mazāk cilvēku, pat tie, kuriem ir tam nepieciešamais aprīkojums, būs gatavi izmantot savu laiku un resursus, lai gūtu nelielu laimestu. balva.</p>\n\n<p> Mēs jau sākam saskrāpēt Monero astes emisijas iemeslu. Arī Monero bloka atlīdzība samazinās, lai gan atšķirībā no Bitcoin nav sadalīšanas uz pusēm. Tā vietā katra bloka atlīdzība ir par nelielu summu mazāka nekā iepriekšējā, tāpēc samazinājums ir daudz vienmērīgāks. Bet jautājums par visām kriptovalūtām ir šāds: \"Kas notiek, kad bloka atlīdzība sasniedz nulli?\" Šī ir dīvaina situācija, kurā mēs gan zinām, gan nezinām atbildi. Daļa, ko mēs zinām, ir tāda, ka vairs nebūs bloka atlīdzības subsīdijas, kas nozīmē, ka kalnračiem būs jāstimulē tikai lietotāju darījumu maksa. Mēs nezinām, vai šīs summas būs pietiekamas, lai kalnrači noturētu ķēdi.</p>\n\n<p>Kā jau minēts iepriekš, šobrīd bloka atlīdzība par ievērojamu summu pārsniedz darījumu maksas, tāpēc ir cerība, ka, jo vairāk lietotāju izmantos ķēdi, maksas palielināsies, un, palielinoties maksai, kalnrači to uzskatīs par vērtīgu. viņu laiks turpināt ieguvi. Tomēr šim scenārijam ir arī otra puse, lietotāju puse. Ja maksas palielināsies, darījumu veikšana ar kriptovalūtu ikvienam kļūs daudz dārgāka, iespējams, atdalīs to no tiem, kuriem nav pietiekami daudz naudas. Bet, no otras puses, ja maksas paliek zemas un bloka atlīdzība samazināsies līdz nullei, ļoti maz kalnraču nodrošinās tīklu, atstājot to neaizsargātu pret 51% uzbrukumiem un apgrieztiem darījumiem.</p>\n\n<p>Nevienam nav labas atbildes uz šo scenāriju, un neviena nozīmīga monēta vēl nav nonākusi šajā savas kriptovalūtas dzīves fāzē, tāpēc arī mums nav reālās pieredzes ar to. Tās visas ir spekulācijas. Azartspēle. Bitcoin liek likmi, ka maksas būs pietiekami, lai uzturētu kalnračus, pat ja tas nozīmē nabadzīgo izslēgšanu. Monero izdara citu likmi. Monero der, ka ar nodevām vien nepietiktu ķēdes drošībai, tāpēc protokolā ir iekļauta astes emisija.</p>\n\n<p>Atgādinām lasītājam, ka bloka atlīdzība nekad nesamazināsies zem 0,6 XMR blokā. Vai ar to pietiks, lai stimulētu kalnračus? Mēs nezinām, bet tas noteikti ir labāks par 0, kas ir gandrīz visu citu valūtu protokolā iekļautais rādītājs.</p>\n\n<p>Galvenā kritika pret šo pieeju ir tāda, ka tas nozīmē, ka Monero piedāvājums teorētiski ir bezgalīgs, laika gaitā izraisot inflāciju, savukārt monētām, kas ierobežo bloka atlīdzību, ir ierobežots piedāvājums, un to trūkums laika gaitā palielina vērtību. Mēs uzskatām, ka šis arguments ir nepietiekams vairāku iemeslu dēļ.</p>\n\n<p>Pirmkārt, kāds labums no trūcīgas, augstvērtīgas monētas, kurai zemās drošības dēļ ir viegli uzbrūk, kuru var cenzēt un sagraut? Ja kas, tad zemā drošība samazinātu vērtību, vairāk nekā kompensētu deficīta pieaugumu. Otrkārt, lai gan Monero piedāvājums teorētiski ir bezgalīgs, inflācija ir lineāra un ik gadu tuvojas nullei, atšķirībā no fiat, kas ir eksponenciāls.</p>\n\n<p>Monero inflācija ir precīzi zināma pirms laika, un to var precīzi prognozēt, atšķirībā no fiat, kas noteiktā gadā var palielināties par vairāk vai mazāk, pamatojoties uz esošo spēku kaprīzēm. Tas joprojām saglabā cypherpunk garu, novēršot cilvēku korupcijas iespējamību, izmantojot protokolu nodrošinātas tehnoloģijas. Ar papildu priekšrocībām, ko sniedz sirdsmiers, Monero blokķēdes drošība, izmantojot ieguvi, būs pieejama tik ilgi, kamēr pasaulei tas būs vajadzīgs.</p>\n\n<p>Pēdējais jautājums, kam vēlamies pieskarties, ir godīgums. Naudu izmanto vairākos veidos: kā vērtības glabātāju, kā apmaiņas līdzekli un kā norēķinu vienību. Sistēmā, kurā piedāvājums ir ierobežots, inflācija apstāsies, kas nozīmē, ka tie, kas to izmanto kā vērtības krātuvi, izmanto sistēmu bez maksas. Viņi gūst labumu no ogļraču nepārtrauktās drošības, par to neko nemaksājot, jo bez inflācijas viņu nauda laika gaitā lēnām nezaudē vērtību. Un otrādi, ikviens, kurš izmanto valūtu kā maiņas līdzekli, tiek sodīts (izmantojot potenciāli augstu darījumu maksu). Tas mudinās cilvēkus turēt, bet netērēt, un sagroza sistēmas godīgumu, dodot priekšroku turētājiem. Ja ir astes emisija, tas izlīdzina vienādojumu. Tagad īpašnieki maksā arī nelielu nodokli, izmantojot inflāciju, lai nodrošinātu sistēmas drošību. Astes emisija padara to godīgāku visiem.</p>';

  @override
  String get knowledge250Sbemission250Sbdescription => 'Monero privātuma tehnoloģija nav vienīgā atšķirība, kas to atšķir no BTC un tā atvasinājumiem. Šajā rakstā mēs aplūkosim citu - astes emisiju.';

  @override
  String get knowledge250Sbemission250Sbtitle => 'Kāpēc Monero ir astes emisija';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtext => 'Viens no bieži dziedātajiem blokķēdes mērķiem ir varas atgriešana cilvēku rokās. Kāda veida jauda un cik daudz atšķiras atkarībā no tā, kam jūs uzdodat, un pats blokķēdes dizains noteiks, kā šī pārdalīšana notiks. Ir daudzi rīki, kas palīdz novērst atšķirības, un mēs vēlamies apspriest vienu, kam ir liela ietekme uz projekta vadīšanu un faktisko enerģijas pārdales potenciālu: atvērtais avots.';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtitle => 'Spēku tautai';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtext => 'Bezmaksas atvērtā pirmkoda programmatūras (FOSS) projekts ir projekts, kurā kods ir licencēts tā, lai ikviens un ikviens to varētu skatīt, mainīt, pārbaudīt un kopēt. Turpretim patentētās programmatūras kods ir paslēpts un tiek glabāts kā biznesa noslēpums, kas netiek dalīts, baidoties no konkurences, kas kopē smago darbu, par ko maksā vai veicis radītājs. Publiski tiek izlaista tikai beigās izveidotā programma, nevis kods.\n<br/><br/>\nFOSS programmatūrai ir daudz priekšrocību salīdzinājumā ar tās patentētajiem līdziniekiem, piemēram, potenciāli mazāk kļūdu (jo ikviens var brīvi pārbaudīt kodu), jauninājumi (jo ieguldījumi var nākt no jebkuras vietas jebkurā laikā) un to cilvēku pilnvarošana, kuri, iespējams, nevar atļauties. vai citādi izmantot patentētos piedāvājumus.\n<br/><br/>\nTas attiecas uz standarta FOSS projektiem, un blokķēde nav izņēmums. Vieta ir pārņemta ar sarunām par atvērtā pirmkoda programmatūru, un patentētu maku piedāvājumi tiek uztverti ar aizdomām un kriptovalūtu veterānu kritiku. Neraugoties uz to, ka lielākā daļa lielāko blokķēžu atsauces variantu ir atvērtā koda versija, daži, piemēram, Monero, pārsniedz un atšķiras no pūļa.';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtitle => 'Atvērtā pirmkoda programmatūra';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtext => 'Lai gan ir taisnība, ka lielākajai daļai projektu ir atvērtā pirmkoda kods, tas būtu lāča pakalpojums koncepcijas garam, ja neiedziļinātos, lai noskaidrotu patiesos iemeslus, kāpēc atvērtais pirmkods ir tik spēcīgs. Realitāte ir tāda, ka atvērtā pirmkoda licencēšana veicina atklātu sadarbību starp cilvēkiem no dažādām jomām un dzīves posmiem, lai radītu cilvēcei nepieciešamos, noderīgos un izdevīgos rīkus.\n<br/><br/>\nDažas kriptovalūtas, kamēr kods beidzot tiek izlaists, ir izstrādātas slepeni, lai apsteigtu konkurējošos projektus. Lai gan šie projekti tiek kvalificēti kā “atvērtā pirmkoda projekti”, jo to kods galu galā tiek izlaists sabiedrībai, sākotnējo izstrādi joprojām veic daži atlasītie, kā rezultātā tiek zaudētas daudzas priekšrocības, kuras citādi varētu sniegt atvērtā pirmkoda izmantošana.\n<br/><br/>\nAtvērtā pirmkoda projekta gars ir atklāta sadarbība, lai gūtu labumu visiem, nevis tikai dažiem, un tādējādi Monero pārspēj lielāko daļu savu vienaudžu. Monero izstrāde notiek ne tikai atklātā veidā, ar biežām sanāksmēm, kurās ikviens var apmeklēt un uzstāties, bet arī tās izpēte un ieviešana. Patiešām, daudzi no Monero lielākajiem sasniegumiem ir nākuši no ārējiem avotiem, sadarbojoties vai no šķietami nejaušas personas, kas iesaistījusies pētniecības platformās ar jaunu ideju, piemēram, ložu necaurlaidību un privātuma optimizāciju.';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtitle => 'Blokķēdes savienojums';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtext => 'Novērtējot blokķēdes projektu, lietotājam ir ieteicams ne tikai skatīties, vai kods ir pieejams apskatei, bet arī vai citi projekta aspekti tiek veikti atklāti, pārskatāmi. Jo slēgtākas durvis ir sabiedrības iesaistīšanai, jo nemierīgākam vajadzētu justies. Tomēr šeit daudziem ir klupšanas akmens, jo daudzi no mums nāk no patentētās pasaules, kur caurspīdīgums nav izplatīts, un mums nav atskaites punkta tam, kas ir “pietiekami atvērts”, ne tikai kodā, bet projekta garu un citas jomas.\n<br/><br/>\nPatiešām, vairums projektu atklāj savu atvērtību sociālajos medijos, taču, aplūkojot to, cik cilvēku faktiski piedalās programmatūras izstrādē vai izpētē, izņemot tos, kuri par to ir nodarbināti vai saņēmuši citu atlīdzību, realitāte var būt pārsteidzoši atšķirīga no pašreizējās. apgalvoja. Pie varas esošie (formāli vai neoficiāli) var būt noraidoši vai tieši naidīgi, kad runa ir par citu cilvēku idejām.\n<br/><br/>\nMonero cenšas pilnībā apiet šo problēmu, jo tam nav formālu lomu projektā, un pat Monero galvenā komanda galvenokārt pārvalda infrastruktūru un tai ir maz sakara ar projekta faktisko attīstību vai izpēti. Tomēr neformālas varas struktūras veidojas visās sociālajās aprindās, un Monero nav izņēmums, tāpēc ar tām ir jārēķinās.';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtitle => 'Ārpus koda';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtext => 'Lai gan šīs atvērtā pirmkoda programmatūras sociālās daļas ir vērtīgas, lai izpētītu un apspriestu, un tā trūkums patiešām ir novedis pie daudzu projektu sabrukuma, saruna var kļūt diezgan sarežģīta un parasti neietilpst šī raksta darbības jomā. lai gan lasītājs tiek mudināts turpināt mācīties par šo kritisko FOSS pārvaldības daļu.\n<br/><br/>\nMonero projekts nepārtraukti cenšas atrast veidus, kā veicināt atvērto sadarbību, kas ir tik būtiska atvērtā pirmkoda garam. Ja daži cilvēki dod priekšroku vienai tērzēšanas platformai, nevis citai, tad, lai palielinātu saziņu, tiek izvietoti tilti ar esošajām platformām. Ja cilvēku grupai šķiet, ka viņiem nav rīku vai infrastruktūras, lai īstenotu savas idejas, lai uzlabotu Monero, sabiedrība redz, kādi (FOSS) rīki ir pieejami.\n<br/><br/>\nTas nozīmē, ka vairāk uzmanības tiek pievērsts ne tikai kodam, kas ir tikai viens projekta aspekts, bet arī dizainiem, pētījumiem, digitālajai infrastruktūrai un sarunām.\n<br/><br/>\nAtvērtā pirmkoda programmatūras būtība ir ne tikai atvērtā koda izmantošana, bet arī cilvēku pilnvarošana, balss izteikšana un pasaules maiņa, izmantojot globālu sadarbību. Lasītājs tiek mudināts redzēt, vai kāds viņu interesējošs projekts atbilst šīm pamatvērtībām vai tikai apstājas pie koda licencēšanas.\n<br/><br/>\nMēs arī aicinām viņus palaist to pašu rubriku Monero. Mēs zinām, ka jūs tikai atklāsit iemeslu, kāpēc Monero ir viena no drošākajām un uz sadarbību vērstākajām kopienām kriptovalūtu pasaulē.';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtitle => 'Līdzeklis vai mērķis?';

  @override
  String get knowledge250Sbfoss250Sbdescription => 'Uzziniet, kāpēc atvērtā pirmkoda un decentralizācijas dēļ Monero ir milzīgas priekšrocības salīdzinājumā ar konkurējošām kriptovalūtām.';

  @override
  String get knowledge250Sbfoss250Sbtitle => 'Kāpēc Monero ir atvērtā pirmkoda un decentralizēta';

  @override
  String get knowledge250Sbhistory250Sb0250Sbtext => '<p>Dažu kriptovalūtu projektu izcelsme ir noslēpumā tīta. Lielākajai daļai no tiem ir identificējams dibinātājs, un daudzi pirms to palaišanas izvērsa savus projektus, lai palielinātu peļņu no ICO. Šķita, ka Bitcoin ir viens pats par to, ka kriptogrāfijas kopienā no nekurienes tika izmests balts papīrs, un to dibinātājs Satoši Nakamoto pazuda.</p>\n\n<p>Līdz Monero.</p>\n\n<p>Bet, pirms mēs sākam runāt par Monero palaišanu 2014. gadā, mums ir jāatgriežas vēl tālāk.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtext => '<p> 2013. gada septembrī iepriekš nedzirdēta grupa Cryptonote izdeva balto grāmatu par jaunu protokolu ar tādu pašu nosaukumu. Šis protokols mēģināja izveidot Bitcoin līdzīgu kriptovalūtu, lai gan privātuma stiprināšanai tika izmantoti papildu zvana paraksti un slepenas adreses. Neilgi pēc tam, 2013. gada novembrī, sākotnējais kods tika nosūtīts uz GitHub jaunai monētai ar nosaukumu Bytecoin. Šī monēta ieviesa dokumentā aprakstīto protokolu pavisam jaunā kodu bāzē (t.i., tā nav atdalīta no Bitcoin, kā tolaik vairums citu monētu).</p>\n\n<p>Bytecoin komanda veltīja laiku, ievietojot atlikušo kodu savā krātuvē, taču šķita, ka tas tika paveikts līdz 2014. gada martam, kad projektu pēc tam \"atklāja\" nejauša persona BitcoinTalk forumos, lai gan tagad tiek plaši uzskatīts, ka tas bija augs, lai radītu interesi. Pēc tam, kad lellei izdevās iegūt acu ābolus, jaunie interesenti atklāja ko dīvainu: vairāk nekā 80% monētu jau bija iegūti.</p>\n\n<p>Tā bija astronomiska summa, un daudzi bija gatavi to norakstīt kā krāpniecību un turpināt darbu; tas ir līdz brīdim, kad parādījās Bytecoin komanda. Viņi apgalvoja, ka iemesls, kāpēc tik liela daļa monētas tika iegūta līdz šim brīdim, bija tāpēc, ka Bytecoin patiesībā nebija jauna monēta ar milzīgu premīnu, bet tā faktiski pastāvēja dziļajā tīmeklī divus gadus kopš 2012. gada.</p>\n\n<p>Īsāk sakot, šie apgalvojumi netika labi uztverti, jo neviens iepriekš nebija dzirdējis par Bytecoin, un nepagāja ilgs laiks, līdz cilvēki zaudēja interesi. Tomēr ne visi bija gatavi pilnībā padoties. Daži sāka aplūkot Cryptonote protokolu, uz kura balstījās Bytecoin, un secināja, ka pats protokols šķita stabils un novatorisks, pat ja tā nebija pirmā ieviešana. </p>\n\n<p>Tajā brīdī norisinājās sacensība, lai noskaidrotu, kurš varētu izveidot Bytecoin, iztīrīt kodu un kļūt par pirmo “ne-krāpniecisko” versiju tirgū, lai iegūtu pirmā virzītāja priekšrocības.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtitle => 'Bytecoin';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtext => '<p> 2014. gada 9. aprīlī BitcoinTalk forumos tika publicēta cita iepriekš nedzirdēta vienība ar nosaukumu thankful_for_today, paziņojot par pirmās Bytecoin dakšas ar nosaukumu Bitmonero izlaišanu. Tā kā tā bija pirmā dakša, Bitmonero ātri ieguva uzmanību, un, kad tas tika palaists 18. aprīlī, ap to izveidojās neliela kopiena, kas vēlējās turpināt tur, kur Bytecoin bija pārtraucis, taču nepagāja ilgs laiks, kad arī Bitmonero kaut kas smaržoja neticami. </p>\n\n<p>Izrādījās, ka ar dibinātāju, pateicīgs_for_today, ir grūti strādāt. Bieži vien pazūd vairākas dienas pēc kārtas (ļoti dīvaini pavisam jaunai monētai pirmajās izstrādes dienās) un bieži vien ir pretrunā ar sabiedrību, mēģinot apvienot Monero raktuves ar Bytecoin, pielāgot emisijas grafiku un kopumā atsakoties sadarboties ar konsekventā galvenā grupa, kas bija izveidojusi ap monētu, ejot tik tālu, ka tai bija sava vietne, BitcoinTalk ziņa un krātuves.</p>\n\n<p>Drīz kļuva skaidrs, ka galvenā grupa, kas bija izveidojusies ap Monero, ir daudz aktīvāka un kompetentāka nekā pateicīgs_par_šodien, un, neskatoties uz to, ka viņš vairākas reizes tika aicināts piedalīties, viņš galu galā pazuda un kļuva par zemsvītras piezīmi Monero vēsturē. Daudzus gadus vēlāk ir aizdomas, ka viņš arī slepeni bija daļa no Bytecoin komandas. Kāpēc? Tā visa laikā paši Bytecoin nebija sēdējuši dīkā.</p>';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtitle => 'Bitmonero';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtext => '<p>Bytecoin komanda nebija apmierināta. Viņu plāns kļūt bagātam, izmantojot melus no masveidā izgatavotās monētas, bija izgāzies. Viņi bija ieguldījuši visu darbu protokola izstrādē (ir pārliecinoši pierādījumi tam, ka CryptoNote izstrādātāji un Bytecoin izstrādātāji bija ļoti cieši saistīti), un viņiem nebija ko parādīt.</p>\n\n<p>Bet tie vēl nebija pabeigti. Viņi laida klajā jaunu monētu Bitmonero ar jaunu pseidonīmu, thankful_for_today. Patiesībā, kāpēc apstāties pie tā? Tā kā viņi bija vislabāk pazīstami ar kodu, viņi varēja laist klajā vairākas jaunas monētas ar nedaudz atšķirīgiem emisiju grafikiem un nosaukumiem, ar jauniem kontiem, un neviens nebūtu gudrāks, ka tas visu laiku bija viņi. Tā viņi darīja. Fantomcoin, Monte Verde, Dashcoin (nejaukt ar Dash) un citas dakšas parādījās neilgi pēc Bitmonero palaišanas un mēģināja iegūt daļu no tirgus daļas.</p>\n\n<p>Šie mēģinājumi galu galā cieta neveiksmi, jo Monero ātri pārspēja viņu konkurenci un neradīja šaubas par CryptoNote monētu ieguvēju.</p>\n\n<p> Tomēr krāpniecība ar to neapstājās. Bytecoin bija vēl viens pēdējais triks viņu piedurknē. Kad thankful_for_today izlaida Bitmonero, viņš līdzās tam atbrīvoja apzināti deoptimizētu kalnraču. Viņš saglabāja optimizēto versiju un cerēja uzkrāt sev lielu atlicinājumu, taču šīs deoptimizācijas ātri vien pamanīja galvenā komanda, kā arī citas neatkarīgas grupas, un pat tas tika ātri novērsts. Ar šo, viņu pēdējo krāpniecību, kas tika uzvarēta, Bytecoin atkāpās tumsā, tikai 2017. gada kriptovalūtu tirgus uzplaukuma pašā laikā iznāca viltus zīmolu maiņas un paziņojumi, lai mēģinātu izspiest jebkādu pēdējo peļņu no krāpniecības uz savas mazās naudas rēķina. , nenojaušot kopienu.</p>';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtitle => 'Izdegusi Zeme';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtext => '<p>Ne daudzas monētas var lepoties ar dibinātāju, kura vairs nav ar tām. Patiešām, Bitcoin un Monero, iespējams, ir divi lielākie piemēri. Lai gan salīdzinājums var parādīt Bitcoin labdarīgākā gaismā, ir jāgūst mācības arī no Monero viltus pirmsākumiem.</p>\n\n<p>Bitcoin parādīja, kas var notikt, ja viens cilvēks ir noguris no pašreizējās sistēmas un uzdrošinās ieviest jauninājumus, lai apstrīdētu status quo. Monero parāda tādas kopienas spēku, kura atsakās tikt barota ar meliem, pati atrod patiesību un atkal izmanto instrumentus, ar kuriem viņi var veidot savu brīvību. Iespējams, Monero sākās kā krāpniecība, taču tā patiešām ir kļuvusi par spēcīgu ieroci, lai atgūtu mūsu finansiālo privātumu.</p>';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtitle => 'Secinājums';

  @override
  String get knowledge250Sbhistory250Sbdescription => 'Šķita, ka Bitcoin ir viens pats, jo viņam ir baltā grāmata, kas tika izlaista no nekurienes un kuru dibinātājs pazuda. Līdz Monero.';

  @override
  String get knowledge250Sbhistory250Sbtitle => 'Īsa Monero vēsture';

  @override
  String get knowledge250Sbkeys250Sb0250Sbtext => '<p>Vai esat iepriekš dzirdējuši frāzi “nevis tavas atslēgas, nevis tavas monētas”?\nŠī ir kļuvusi par visuresošu frāzi kriptovalūtu sabiedrībā, bet\nneskatoties uz to, ka lielākā daļa cilvēku to ir dzirdējuši lielāko daļu kriptovalūtu\nlietotāji netur savas atslēgas.</p>\n<p>Kriptovalūtas priekšrocības, kas to patiesi atšķir no\ntradicionālā finanšu sistēma tiek realizēta tikai tad, kad esat pabeidzis\njūsu līdzekļu glabāšana — jūsu monētu privātās atslēgas.</p>\n<p>Šajā īsajā ziņojumā mēs apskatīsim, kāpēc jums vajadzētu turēt savas atslēgas\nun sniedziet dažus vienkāršus veidus, kā pats pārvaldīt savu Monero <em> jau šodien</em>.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtext => '<h6 id=\"it-preserves-the-privacy-that-monero-affords-users\">Tas saglabā\nkonfidencialitāte, ko Monero sniedz lietotājiem</h6>\n<p>Viens no visbiežāk pārprastajiem pašaizsardzības aspektiem\nMonero ir tas, ka, ja jūs neturat savas atslēgas, jūs iegūstat maz vai nē\ngūt labumu no Monero piedāvātajiem privātuma piedāvājumiem. Kā darījuma sūtītājs\nir pilnīga pārskatāmība par patiesajiem izdevumiem, summu un saņēmēja adresi,\nja neesat tas, kurš nosūta darījumu, un tā vietā atstājiet to\nbiržas vai turētājbankas, viņiem ir <em>pilna</em> redzamība\nveidi, kā jūs tērējat savu Monero.</p>\n<p>Par laimi, pēc līdzekļu nosūtīšanas Monero garantē privātumu\niedarboties un nodrošināt spēcīgu \"uz priekšu slepenību\", bet tas būs skaidrs\nbirža vai glabātājs, kur nosūtījāt līdzekļus un cik daudz nosūtījāt\nsākotnēji.</p>\n<h6 id=\"it-enables-the-incredible-censorship-resistance-of-monero\">Tā\nnodrošina Monero </h6> neticamo pretestību cenzūrai\n<p>Viens no Monero pamataspektiem ir iespējošana\ncenzūrai izturīgi darījumi – ļauj veikt darījumus\nko viņi var vai nevar apstiprināt, neatkarīgi no tā, ko viņi cenšas\ndarīt, lai jūs apturētu. Kaut arī vajadzība pēc cenzūras pretestības var būt nedaudz\nzaudēja tiem no mums, kas atrodas “brīvās” valstīs, strauji slīdot uz priekšu\nautoritārisms un politiskā pagrimums daudzās pasaules daļās ir\nar katru dienu padarot skaidrāku, ka mums ir nepieciešams veids, kā veikt darījumus\nvai bez valdības apstiprinājuma.</p>\n<p>Tomēr, ja jums nav savas atslēgas, valdība vai regulators\nvar viegli piespiest biržu vai turētājbanku iekļaut jūsu līdzekļus melnajā sarakstā, konfiscēt\nvai cenzēt darījumus uz konkrētām adresēm. Šis jau ir\nšodien notiek galvenokārt valsts līmeņa sankciju dēļ, un tā būs\npieaug tēma, jo valdības un regulatori to saprot\nun aizbildņi ir vieglākais ceļš uz kontroli pār Monero\nlietojums.</p>\n<p>Var pienākt arī diena, kad valdība aizliedz pašpārvaldību\nMonero, un, ja vēl neesat izņēmis savu Monero no apmaiņas\nvai aizbildnis, kuru, iespējams, nekad nevarēsit izdarīt.</p>\n<h6 id=\"it-prevents-simple-theft-or-confiscation-of-your-monero\">Tā\nnovērš vienkāršu Monero</h6> zādzību vai konfiskāciju\n<p>Hipotētisks, bet iespējams scenārijs varētu būt sliktākais gadījums\ntie, kas izvēlas neturēt savas atslēgas – viņu Monero saņemšana\nhakeris nozadzis vai valdība konfiscējusi ar <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://en.wikipedia.org/wiki/Executive_Order_6102\">6102 līdzīgu ierīci\npasūtījums</a>.</p>\n<p><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://blog.chainalysis.com/reports/2022-crypto-crime-report-introduction/\"> Gandrīz\nNo centralizētajām biržām tika nozagti kriptovalūta 500 miljoni USD </a>\n2021. gadā, un lietotājiem, kuri atteicās no aizbildnības, kopumā nozagti 3,2 miljardi dolāru\nlīdzekļus viena vai otra iemesla dēļ. Tas ir viens no lielākajiem riskiem\nkriptovalūtas lietotāju, un turpina pieaugt gan gadījumu skaita, gan\napjoms, jo kriptovalūta kļūst arvien populārāka. Ja biržā ir atslēgas\njūsu līdzekļiem, šos līdzekļus var nozagt hakeris (vai birža\npaši!) jebkurā laikā.</p>\n<p>Ja jums ir savas atslēgas, vienīgais reālais zādzības risks vai\nkonfiskācija ir izkrāpšana un fiziski uzbrukumi, kas ir daudz mazāk\niespējams, un parasti tas notiek tikai ar augsta līmeņa personām vai tiem\nnodarīts kaitējums “pazīsti savu klientu” (KYC) datu zādzības vai zaudēšanas dēļ\ncentralizētas apmaiņas, kas saista viņu ID un adresi ar\nkriptovalūtas īpašumtiesības.</p>\n<h6\nid=\"it-prevents-exchanges-leveraging-fractional-reserve-lending-and-trading\">Tā\nnovērš biržas, izmantojot daļēju rezervju aizdevumu un\ntirdzniecība</h6>\n<p>Cits svarīgs aspekts, kas saistīts ar atslēgu turēšanu, ir tas, kas ir mazāks\npersoniskāka un komunālāka. Kad lielākā daļa lietotāju Monero\nturēt savas atslēgas, apmaiņas mazāk spēj melot par summu\nMonero viņi glabā un tirgo \"papīru Monero\", jo lietotāji to neglabā\nviņu Monero apmaiņā.</p>\n<p>Lai gan šāda veida aktivitātes netiek bieži apstiprinātas publiski, tur\nsabiedrībā daudzi ir nobažījušies par tādiem apmaiņām kā Binance\ntirdzniecībai izmanto Monero, ko tā lietotāji tur biržā\npret Monero, uzpūšot Monero šortu daudzumu un izraisot cenu\nslāpēšana laika gaitā.</p>\n<p>Šī rīcība var izraisīt arī likviditātes krīzi, ja lietotāji, kuri\n<em>do</em>, kas vēlas turēt savas atslēgas, nevar izņemt no\napmaiņu, jo birža saviem lietotājiem ir solījusi vairāk Monero nekā tā\nfaktiski ir pieejams. Jo vairāk Monero lietotāju tur savas atslēgas un\nsaglabāt savu Monero off apmaiņu, veselīgāku un dabiskāku\ntirgus teorētiski būs ļaunprātīgs vai mantkārīgs, un jo mazāks risks\napmaiņa var radīt Monero cenas stabilitāti.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtitle => 'Kāpēc ir svarīgi turēt savas atslēgas?';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtext => '<p>Kad sākat turēt savas atslēgas, vissvarīgākais ir\natcerieties, ka ir <em>saglabāt un drošībā saglabāt savu sākotnējo frāzi</em>! Tas ir\n14 vai 25 nejaušu vārdu komplekts, ko jums dos jebkurš Monero maciņš\njūs izveidojat maku, un tas ir viss, kas jums būs nepieciešams, lai atgūtu savus līdzekļus, ja\njūs pazaudējat tālruni, galddatoru, klēpjdatoru vai aizmirstat a\nparoli.</p>\n<p>Izturieties pret šo iesākto frāzi tā, it kā tā būtu visa jūsu Monero vērta\nmaku, jo ikvienam, kurš to iegūs, būs pilnīga piekļuve esošajiem līdzekļiem\nsavu maku. Ideāli ir glabāt to drošā vai slepenā vietā,\nsaglabājiet vairākas kopijas ugunsgrēka vai dabas katastrofas gadījumā un nekad\nparādīt to ikvienam.</p>\n<p>Papildinformāciju par sākuma frāzēm skatiet sadaļā <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://web.getmonero.org/resources/moneropedia/mnemonicseed.html\">Mnemonic\nSēklas | Moneropēdija</a>.</p>\n<h6 id=\"using-free-and-open-source-wallets\">Bezmaksas un atvērtā pirmkoda izmantošana\nmaki</h6>\n<h5 id=\"for-desktop\">Datoriem</h4>\n<p>Ja galvenokārt izmantojat galddatoru un netērējat/saņemat Monero\nļoti bieži, atrodoties ceļā, ir dažas labas izvēles, kā rīkoties\natslēgas, nepaļaujoties uz trešajām pusēm.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://getmonero.org/downloads\">Oficiālais Monero\nmaku</a>\n<ul>\n<li>Šī ir oficiālā Monero maka programmatūra, un tā ir bijusi nemainīga\nuzlabojumi un papildinājumi. Tas ietver integrētu Monero dēmonu (ja\nvēlaties), ir ļoti lietotājam draudzīgs un drīzumā atbalstīs <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://localmonero.co/knowledge/p2pool-decentralizing-monero-mining\">ieguves rūpniecība\nizmantojot p2pool tieši no sava maka</a>.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://featherwallet.org/\">Spalvu maks</a>\n<ul>\n<li>Šis ir lielisks maks, kas atbilst <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://electrum.org/\">Electrum for Bitcoin</a>, un nodrošina abus\nvienkārša lietojamība un ārkārtīgi jaudīgas funkcijas vienā\nmaku.</li>\n</ul></li>\n</ul>\n<h5 id=\"for-mobile\">Mobilajam tālrunim</h4>\n<p>Tiem no mums, kam patīk izmantot Monero, atrodoties ceļā vai\ntērējiet bieži, izmantojot stabilu mobilo Monero maku, kas joprojām glabājas\nmūsu atslēgas mūsu pašu rokās ir ārkārtīgi svarīgas.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet</a>\n<ul>\n<li>Cake Wallet ir bezmaksas un atvērtā koda (FOSS) maciņš Android ierīcēm un\niOS, kas sākotnēji atbalsta Monero, Bitcoin un Litecoin.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo</a>\n<ul>\n<li>Monerujo ir FOSS maciņš operētājsistēmai Android, kam ir pievienotas dažas lieliskas iespējas\nfunkcijas un grafikas, vietējā Tor mezgla atbalsts un daudz kas cits.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtitle => 'Kā es varu turēt savas atslēgas ar Monero?';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtext => '<p>Cerams, ka šī ziņa ir palīdzējusi nostiprināt vajadzību turēt rokās\nsavas atslēgas, kā arī norādīja uz dažiem lieliskajiem makiem\natstarpe.</p>\n<p>Jo vairāk jūs ņemat Monero savās rokās un faktiski to izmantojat, jo vairāk\nvairāk priekšrocību, ko varat iegūt gan tagad, gan nākotnē. Monero nav tikai\nspekulatīvs aktīvs — tas ir spēcīgs brīvības un finanšu instruments\nprivātums, kas ir ļoti nepieciešams mūsdienu pasaulē un nākotnē\nno mums.</p>\n<p>Tagad ņemiet šīs monētas no biržas un iedziļinieties tajā, kas bija Monero\nparedzēts </p>';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtitle => 'Secinājums';

  @override
  String get knowledge250Sbkeys250Sbdescription => '\"Nevis jūsu atslēgas, ne jūsu monētas\" — tā ir visuresoša frāze, tomēr lielākajai daļai kriptovalūtu lietotāju joprojām nav savas atslēgas.';

  @override
  String get knowledge250Sbkeys250Sbtitle => 'Kāpēc (un kā!) jums vajadzētu turēt savas atslēgas';

  @override
  String get knowledge250Sbmining250Sb0250Sbtext => '2019. gada 30. novembrī Monero piedzīvoja pusgadu, un gaidītākās izmaiņas bija pāreja no vecā PoW algoritma cryptonight uz pilnīgi jauno, iekšēji izstrādāto RandomX. Monero kopiena uzskata, ka RandomX ir liels solis ceļā uz egalitāru ieguvi, taču padziļināsimies, lai noskaidrotu, vai tas tā ir.';

  @override
  String get knowledge250Sbmining250Sb1250Sbtext => 'Lai spriestu, vai RandomX ir uzlabojums, mums vispirms ir jāsaprot, kāds ir ieguves mērķis. Mining nodrošina blokķēdi no dubultiem tēriņiem, izmantojot Nakamoto Consensus. Šī raksta darbības joma nav precīza, taču to var uzzināt no daudziem dažādiem avotiem visā internetā. Svarīgi ir tas, ka drošību nodrošina datoru (kalnraču) ģenerētie jaucējfaili, konkurējot savā starpā, lai atrastu matemātisko risinājumu, kas nepieciešams cita bloka izveidošanai. To darot, viņi blokķēdē pievieno jaunus darījumus. Apmaiņā par darbu (jašiem) viņiem tiek kompensētas no jauna kaltas monētas.\n<br/><br/>\nAr šo iestatījumu var rasties vairākas problēmas, un, lai tās pareizi darbotos, ir nepieciešami atbilstoši stimuli, taču mēs pievērsīsimies vienai konkrētai problēmai, kas varētu rasties. Ja kalnrūpniecībai vajadzētu būt sacensībām, kas notiek, ja viens kalnracis iegūst priekšrocības?';

  @override
  String get knowledge250Sbmining250Sb1250Sbtitle => 'Mērķis';

  @override
  String get knowledge250Sbmining250Sb2250Sbtext => 'Kontekstam parunāsim mazliet par ieguves aparatūru. Kalnrači darba veikšanai izmanto datorus, taču mēs visi zinām, ka ne katrs dators ir izgatavots vienādi. Daži datori ir pietiekami jaudīgi, lai palaistu AI tīklus vai intensīvas spēles, savukārt citi cīnās ar pat vienkāršiem uzdevumiem. Šīs skaitļošanas jaudas atšķirības ietekmē arī ātruma jaukšanas ātrumu vai ātrumu, kādā viņi meklē bloku risinājumus. <br/><br/>\nTaču pat šīs atšķirības starp datoriem nobāl, salīdzinot ar specializētās aparatūras, ko citādi dēvē par lietojumprogrammām specifiskajām integrālajām shēmām (ASIC), jaucējkrājumu, kas par vairākām kārtām pārspēj parastos datorus.<br/><br/>\nVeltīsim kādu laiku, lai izpētītu, kas padara ASIC tik spēcīgus. Iedomājieties, ka visi datori atrodas kaut kur spektrā, kas svārstās no spējas izdarīt daudzas lietas, bet neko labi, līdz tikai vienas lietas veikšanai, bet ļoti labi. CPU un ASIC atrodas šī spektra pretējos galos.<br/><br/>\nCPU, kas ir visos standarta datoros, atrodas pirmajā galā. Viņi var veikt daudzas darbības, piemēram, pārlūkot tīmekli, spēlēt spēles vai renderēt video, taču nevienu no tiem nedara īpaši labi. Taču šī elastība nāk uz efektivitātes rēķina.<br/><br/>\nASIC ir otrā galā, kur tie var tikai vienu lietu, bet darīt to ar neticamu ātrumu. Viņi var veikt tikai vienu matemātisko funkciju, bet, tā kā viņi var ignorēt visu pārējo, veiktspējas pieaugums ir astronomisks. Tomēr šī efektivitāte maksā elastību, tāpēc, ja funkcija mainās pat nedaudz (piemēram, x + y = z mainās uz 2x + y = z), ASIC pārstās darboties. <br/><br/>\nNe visiem pieder ASIC, bet katram ir savs dators. Tas var radīt negodīgu priekšrocību.';

  @override
  String get knowledge250Sbmining250Sb2250Sbtitle => 'Fons';

  @override
  String get knowledge250Sbmining250Sb3250Sbtext => 'Ja tas joprojām mulsina, iespējams, palīdzēs tālāk sniegtā līdzība. Iedomājieties loteriju, kurā katru stundu tiek piešķirts tūkstotis dolāru, un šī loterija ļauj jums izdrukāt biļetes! Jūs sākat drukāt tik daudz biļešu, cik vien iespējams, izmantojot mājas printeri, kas var izdrukāt vienu biļeti sekundē. Atņemot elektrības un tintes izmaksas, jūs redzat, ka joprojām varat gūt peļņu, pat ja laimējat loterijā tikai reizi dažās nedēļās.<br/><br/>\nLaika gaitā jūs paplašināt savu darbību, līdz jums ir visa telpa, kas veltīta printeriem. 20 kopā. Viss ir kārtībā...līdz vienai liktenīgai dienai.<br/><br/>\nIr lielas ziņas. Kāds ir izgudrojis jauna veida printeri. Tas var izdrukāt tikai loterijas biļetes. Tas nevar drukāt attēlus vai biroja dokumentus vai veikt abpusējo drukāšanu. Tikai loterijas biļetes. Bet tas var tos izdrukāt ar ātrumu 1000 biļetes sekundē. Jūs skatāties savā mazajā printeru istabā. 20 printeri. Jums ir nepieciešami vēl 980 printeri, lai neatpaliktu no VIENA no šiem monsterprinteriem, un, ja kādam ir divi…?<br/><br/>\nJūs diemžēl izejat no loterijas, jo vairs nevarat attaisnot elektrības un tintes izmaksas.<br/><br/>\nBet pagaidi! Pēc pāris nedēļām ir vairāk ziņu! Biļetes dizains ir mainījies. Tagad cipari, kas agrāk bija augšā, tagad ir apakšā. Jaunie monstru printeri ir tik neelastīgi, ka to nevar izdarīt. Viņi varēja izgatavot tikai iepriekšējo dizainu. Nepagāja ilgs laiks, kad jūs atkal laimīgi drukājat. Vismaz līdz brīdim, kad kāds uztaisīs jaunu monstru printeri jaunajam dizainam.';

  @override
  String get knowledge250Sbmining250Sb3250Sbtitle => 'Jautra analoģija';

  @override
  String get knowledge250Sbmining250Sb4250Sbtext => 'Kur RandomX iekļaujas tajā visā? Tas cenšas izlīdzināt ASIC priekšrocības, padarot ASIC ļoti sarežģītu. Tas tiek darīts, pieprasot kalnračiem izveidot un izpildīt nejaušu kodu jaukšanas vietā, pamatojoties uz algoritmu.<br/><br/>\nVar būt mulsinoši, kā tas patiesībā kaut ko palīdz, tāpēc atgriezīsimies pie mūsu printera analoģijas. Atcerieties, kas notika, kad dizains mainījās? Vecie monstru printeri katru nakti noveco, un bija jāizstrādā jauni, ņemot vērā jauno dizainu. Kas notiktu, ja katrai jaunai loterijas balvas biļetei būtu jāatbilst jaunam dizaina standartam katram jaunam džekpotam? <br/><br/>\nIzveidot jaunu monstru printeri kļūtu neticami grūti. Jūs vairs nevarat plānot tikai vienu biļetes dizainu. Tā kā dizains ir nejaušs, monstru printeru ražotājiem būtu jāpievieno krāsu iespējas, veidi, kā drukāt dažādus burtus, apmales un formas un daudz ko citu. Īsāk sakot, mašīna, kuru viņi izgudroja, būtu standarta, parasts printeris. Tāpat kā visiem citiem.<br/><br/>\nVienkārši ieviešot šo nejaušību biļešu dizainā, mēs būtiski samazinājām lielo priekšrocību, ko guvām no specializētās aparatūras. RandomX dara to pašu, bet ar ieguvi.<br/><br/>\nTādā veidā tiek samazinātas priekšrocības, ko iegūst daži atlasīti pārtikuši cilvēki, jo, ja viņi iegulda “ASIC” izveidē RandomX ieguvei, viņi faktiski tikai izgudros spēcīgākus, labākus CPU, kas sniedz labumu visai pasaulei.<br/>[ X1455X]\nTas nozīmē, ka mazais puisis ar saviem 20 biļešu printeriem ir atgriezies spēlē. Viņam joprojām var būt grūtāk, jo šīs bagātās personas joprojām var iegādāties vairāk printeru nekā viņš, taču vismaz tagad viņš nav pārspēts par lieluma kārtām tikai no vienas iekārtas. Viņš ir konkurētspējīgs savā mazajā veidā.<br/><br/>\nZinot, ka pat mazais puisis var būt konkurētspējīgs Monero ieguvē, mēs aicinām ikvienu to izmēģināt vai nu Monero GUI makā, kas atbalsta solo ieguvi, vai arī lejupielādējot kopienas uzturētu programmatūru. Tas ir vienkāršs, konkurētspējīgs un pieejams visiem.';

  @override
  String get knowledge250Sbmining250Sb4250Sbtitle => 'RandomX';

  @override
  String get knowledge250Sbmining250Sbdescription => '2019. gada 30. novembrī Monero piedzīvoja pusgadu, un gaidītākās izmaiņas bija pāreja no vecā PoW algoritma cryptonight uz pilnīgi jauno, iekšēji izstrādāto RandomX. Monero kopiena uzskata, ka RandomX ir liels solis ceļā uz egalitāru ieguvi, taču padziļināsimies, lai noskaidrotu, vai tas tā ir.';

  @override
  String get knowledge250Sbmining250Sbtitle => 'Monero ieguve: kas padara RandomX tik īpašu';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtext => '<p>Neviena kriptovalūta nav bez trūkumiem, un Monero nav izņēmums. Faktiski kopiena ir <a class=\"next-link\" href=\"https://www.youtube.com/playlist?list=PLsSYUeVwrHBnAUre2G_LYDsdo-tD0ov-y\" target=\"_blank\">izveidojusi YouTube sēriju</a>, kas aptver Monero privātuma trūkumus no tehnoloģiskā viedokļa.</p>\n\n<p> Tomēr pret Monero ir izplatīta kritika, kas ir vai nu novecojusi, vai nepareiza, savukārt citi sniedz ļoti šauru skatījumu uz attiecīgo problēmu. Šajā rakstā mēs ceram noteikt šīs kritikas rekordu.</p>';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtitle => 'Ievads';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtext => '<p>Tā ir izplatīta kritika par Monero, kas liek daudziem tai piešķirt plašu piestātni, un tā ir tā, kur sabiedrības reakcija nav tik niecīga, kā tikai nepareiza pieņēmuma labošana. X217X]\n\n<p> Realitāte ir tāda, ka mēs kā kopiena vēl nezinām, kāda būs regulatīvā reakcija uz kaut ko līdzīgu Monero. Mēs zinām, ka kriptovalūtas kopumā ir daudzu valsts aģentūru radars, un mums ir pamats uzskatīt, ka Monero ir vairāk nekā citas iepriekš minēto iemeslu dēļ, taču līdz šim nevienas valdības ir veikušas tikai dažas darbības. valsts saistībā ar Monero tiešu aizliegšanu.</p>\n\n<p> Pat ja tā ir, Monero kopiena ir apņēmusies cīnīties par labu. Mēs uzskatām, ka finanšu privātums ir kaut kas būtisks brīvībai, un ikvienam ir jābūt iespējai veikt darījumus privāti bez valdībām, korporācijām vai kāda cita jūs izspiegojot.</p>\n\n<p> Tomēr mēs varam pārliecināties, ka vienā brīdī Bitcoin bija tieši tāda pati reputācija kā Monero tagad. Tika uzskatīts, ka tā ir noziedznieka monēta, un tā ir pilnīgi privāta un anonīma, taču lēnām, laika gaitā sabiedrība sāka pieņemt Bitcoin neatkarīgi no tā. </p>\n\n<p>Tagad varētu iebilst, ka Bitcoin reputācija mainījās, jo cilvēki saprata, ka tas tiešām nav privāts vai anonīms, taču tā nav taisnība, jo uzskats, ka Bitcoin ir pilnībā privāts un to nevar izsekot, joprojām ir izplatīts ne tikai plašākā sabiedrībā, bet starp tiem, kas regulē nozari. Šie cilvēki joprojām uzskata, ka tas ir privāts, tāpēc viņi būtībā uzskata, ka tas ir tas, kas patiesībā ir Monero, un tomēr mēs ātri virzāmies uz pasauli, kurā sabiedrība, uzņēmumi un pārvaldes iestādes to pieņem. Tas liecina, ka, ņemot vērā pietiekami daudz laika, Monero varētu redzēt to pašu pieņemšanu.</p>';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtitle => 'Monero saskarsies ar regulatīvo pārbaudi, kas ir daudz plašāka par citām kriptovalūtām, jo tā apņemas ievērot privātumu un anonimitāti savos darījumos.';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtext => '<p>Viena izplatīta sūdzība par lielāko daļu monētu, kas ir mazākas par Bitcoin, ir tas, ka teorētiski ir viegli tām uzbrukt 51%. Patiešām, vairākas mazas monētas, piemēram, Vertcoin, vairākas reizes tika veiksmīgi uzbruktas 51% apmērā.</p>\n\n<p>Lielākā daļa no šīm bažām rodas vietnē https://www.crypto51.app/, kurā norādīts, cik izmaksātu hasrata noma no NiceHash — platformas, kas iznomā ieguves aparatūru mākoņu ieguvei. Vienā brīdī šajā vietnē tika uzskaitīts uzbrukums Monero, kas maksāja aptuveni 6300 USD par vienu stundu. Lai gan šī cena daudziem no mums var likt uztraukties, turīgs uzņēmums vai privātpersona var veikt ilgstošu uzbrukumu tīklam.</p>\n\n<p>Par laimi, tā vairs nav. Dedzīgs lasītājs redzēs, ka vietne ir faktiski izņēmusi Monero no viņu lietojumprogrammas RandomX iekļaušanas dēļ. Lasītājs vēlreiz tiek mudināts izlasīt <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">mūsu rakstu par RandomX, lai iegūtu sīkāku informāciju</a>, taču tā kā algoritms ir draudzīgs centrālajam procesoram, uzņēmumi, piemēram, NiceHash, vairs nevar vienkārši iegādāties ASIC, lai Monero to iznomātu ikvienam. ir gatavs tos īrēt. Tagad tiem ir jākonkurē ar CPU, kas ir daudz izplatītāki un vieglāk iegūstami.</p>\n\n<p>Nav aprēķinātas precīzas aparatūras izmaksas līdz 51% uzbrukuma Monero tīklam, un tās nav tik viegli aprēķināt kā citas monētas ar ASIC periodu.</p>';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtitle => 'Vai Monero nav viegli 51% uzbrukts?';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtext => '<p>Divi ieguves telpas lielie cilvēki ir ASIC un robottīkli, un attālināšanās no viena noteikti nozīmē tuvināšanos citam. Ja Monero ieguvei ir nepieciešams centrālais procesors, hakeri teorētiski var pārņemt kontroli pār daudziem simtiem, ja ne tūkstošiem ievainojamu datoru un piespiest tos iegūt Monero savā vārdā, neko nemaksājot un izkonkurējot tos, kuru mājsaimniecībās ir tikai pāris datoru. </p>\n\n<p>Pirmais atspēkojums šim argumentam ir par pašiem robottīklu īpašniekiem. Lai gan mēs neatbalstām citu datoru uzlaušanu, šķēršļi piekļuvei robottīkla iegūšanai un darbībai ir daudz zemāki nekā ASIC. Nepieciešama programmatūra — bieži vien diezgan brīvi pieejama un atvērtā koda —, kā arī laiks un gudrība, lai izjauktu neaizsargātus datorus. Otram ir nepieciešams neticami liels kapitāls un piekļuve ražošanai. Vienu var izdarīt kazlēns pagrabā, bet otru tikai ārkārtīgi turīgie. Tas liek mums secināt, ka, ja piepildīsies ogļraču ļaunākās bailes, paši robottīkli būtu decentralizētāki nekā ASIC.</p>\n\n<p>Tomēr Monero kopiena ir pārliecināta, ka šī problēma ir pārspīlēta. RandomX inženieri apzināti izstrādāja protokolu tā, lai darbam būtu nepieciešama 2 GB RAM atmiņa. Citiem vārdiem sakot, daudziem maziem, ievainojamiem virtuālajiem privātajiem serveriem (VPS) vienkārši nebūs ietilpības, un, ja tā būtu, izmantoto resursu pieaugums būtu ļoti pamanāms sistēmas administratoram, kas novedīs pie tūlītējas izmeklēšanas. Citiem vārdiem sakot, tas nevar darboties klusi fonā, piemēram, kompromitēti datori, kas piedalās DDOS uzbrukumā, vai klusi smeļas paroles. Kad kalnracis ir ieslēgts, visi to zina.</p>\n\n<p>Tas samazina to datoru skaitu, kurus robottīkls varētu veiksmīgi kompromitēt, salīdzinot ar tiem, kas ir ļoti tehnoloģiski nespējīgi vai nekad netiek pārbaudīti, nevis pārpilnība neaizsargāto datoru, kurus šī argumenta atbalstītāji uzskata, ka tie ir apdraudēti. </p>';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtitle => 'CPU draudzīgs algoritms? Vai Monero ieguvi nepārņems robottīkli?';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtext => '<p>Šī kritika nāk no reālās pasaules. Personu grupa, kas sabiedrībai nav zināma, izveidoja Monero un izveidoja savu monētu: MoneroV. Tā kā tā bija ķēdes dakša, personas varēja pieprasīt līdzvērtīgu MoneroV summu, kāda tām bija Monero, t.i., ja jums bija 100 Monero, jūs varētu izmantot to pašu sēklu MoneroV makā, lai iegūtu 100 MoneroV.</p>\n\n<p>Tas izraisīja pārsteidzošas un negaidītas sekas: privātuma zaudēšanu. Lai to izskaidrotu, mēs sniegsim piemēru. Ja es izdomāju skaitli, kas tev ir jāuzmin, bet es tev dodu trīs skaitļus, no kuriem tikai viens ir pareizs, tu nezināsi, kura ir pareizā atbilde. Pieņemsim, ka es jums saku skaitļus 88, 25 un 19. Tomēr jūs esat gudrs un palūdziet man vēl vienu trīs skaitļu kopu, taču vienam no tiem joprojām ir jābūt pareizajam skaitlim. Es dodu jums 54, 88 un 92. Jūs redzat, ka skaitlis 88 parādās abās kopās, tāpēc tam ir jābūt pareizam skaitlim, un jums būtu taisnība.</p>\n\n<p>Uzbrukums Monero privātumam darbojas tāpat. Monero paļaujas uz zvana parakstiem, kas tiek apkopoti vietējā makā, lai aptumšotu darījumu rezultātus. Ja es iztērētu Monero ķēdes izvadi ar vienu saliktu gredzenu un to pašu izvadi MoneroV ķēdei, uz citu saliktu gredzenu, nepārliecinoties, ka gredzens sastāv no tiem pašiem mānekļiem, tad patiesā izlaide kļūst acīmredzams, līdzīgi kā skaitlis 88 kļuva skaidrs kā pareizais skaitlis.</p>\n\n<p>Tika piedāvāti vairāki risinājumi, tostarp rīku izveide, lai cilvēki varētu atbildīgi izmantot Monero, Blackball datubāze ar bojātiem rezultātiem un gredzena izmēra palielināšana, taču galu galā neviens no tiem nebija vajadzīgs. MoneroV nekad neieguva nekādu vilci, un to cilvēku skaits, kuri pieprasīja savas monētas un apdraudēja savu privātumu, bija ļoti maz.</p>\n\n<p>Jāatzīmē, ka šīs briesmas privātumam NAV no Monero koda dakšas, bet gan no ķēdes dakšas. Tas nozīmē, ka jebkura monēta, kas izmanto Monero kodu un sākas no nulles ar savu ģenēzes bloku, nepakļaus nevienai ķēdei briesmas. Tikai tad, ja monēta atdalītu faktisko blokķēdi no pašreizējās Monero blokķēdes domstarpību dēļ, kas ir līdzīga Bitcoin/Bitcoin Cash sabrukumam, ķēdes būtu apdraudētas. Tas nozīmētu, ka dakša cīnīsies pret iedibināto kopienu, un tie, kas izvēlēsies nepiedalīties un pieprasīt savas monētas no otras ķēdes, netiktu apdraudēti.</p>\n\n<p>Tomēr mēs uzskatām, ka ir naivi domāt, ka Monero nekad netiks uzbrukts šādā veidā, tāpēc tiek izstrādāti citi risinājumi, lai vai nu palielinātu gredzena izmēru, vai arī pārietu uz citu pierādīšanas shēmu. daudzi no tiem tika minēti sadaļā “augstas darījumu maksas”.</p>';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtitle => 'Monero dakšas kaitē ne tikai Monero ekonomiskajai dzīvotspējai, bet arī tās privātumam!';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtext => '<p>Monero vēsture ir interesanta, un daudzi var pārsteigt, uzzinot, ka tā patiešām sākās kā krāpniecība. Autors, pateicīgs_for_today, visticamāk, bija sadarbojies ar kriptovalūtu grupu, kas izveidoja CryptoNote protokolu, taču viņam bija viltīgi nodomi izkrāpt cilvēkiem naudu, izmantojot to.</p>\n\n<p>Viņu sākotnējie mēģinājumi ar monētām neizdevās, tāpēc viņi izveidoja Monero, lai mēģinātu vēlreiz. Tas atkal neizdevās, jo sabiedrība ātri saprata, ka kaut kas nav kārtībā, un satvēra monētu. Tomēr viltīgajiem radītājiem bija vēl viens pēdējais triks. Viņi izlaida sabiedrībai apzināti deoptimizētu ieguves programmatūru, paturot optimizēto versiju sev, lai pārspētu citus un nopelnītu daudz naudas no bloka atlīdzības.</p>\n\n<p>Tas kādu laiku izdevās, taču Monero kopiena to ātri noķēra, salaboja, un optimizētais kalnracis tika izlaists visiem. Sabiedrība, apzinoties notikušo, izvēlējās monētu neizlaist no jauna, jo bija grūti novērtēt gan to, cik daudz krāpnieki ir iztērējuši, gan to, cik daudz laika un pūļu prasīs, lai atjaunotu no nulles. Neskatoties uz grūtībām noskaidrot, cik monētu krāpnieki saņēma, ir zināms arī tas, ka šajā periodā daudzi labticīgi kalnrači paši neatkarīgi no jauna optimizēja kodu un pārdeva savu peļņu, nodrošinot godīgāku sadali, un ka krāpnieki nebija vienīgie, kas šajā laikā ieguva lielu skaitu monētu. <a class=\"next-link\" href=\"https://da-data.blogspot.com/2014/08/minting-money-with-monero-and-cpu.html\" target=\"_blank\">Viena šāda kontu var lasīt šeit</a>.\n\n<p>Paskatoties atpakaļ, daži varētu kritizēt lēmumu neizlaist monētu no jauna, un, ja ar šo krāpniecisko izcelsmi pietiek, lai atstumtu cilvēku no labā darba, ko paveicis Monero, tad nav nekādu argumentu, kas viņus ietekmētu. Neatkarīgi no sākotnējās neapmierinātības, ko izraisīja krāpnieku radītāji, Monero ir attīstījies un izmantojis savu kopienas intelektu un aizraušanos, lai izveidotu spēcīgu tehnoloģiju. Mūsu pašreizējā galvenā komanda, kā arī iepriekšējie dalībnieki netika bagātināti ar invalīdu raktuvēm, un, cik mums zināms, neviens, kas bija iesaistīts sākotnējā krāpniecībā, Monero kopienā ilga ilgāk par dažām monētas pastāvēšanas pirmajām nedēļām.</p >';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtitle => 'Vai Monero sākumā nebija kroplu kalnraču, kas tika izmantots, lai bagātinātu dibinātājus?';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtext => '<p> Uz šo jautājumu ir grūti atbildēt. Viena no visbiežāk sniegtajām atbildēm ir tāda, ka mēs varam saskaitīt monētu bāzes darījumus (kad jaunais Monero tiek apbalvots kalnračiem par bloka atrisināšanu). Šie darījumi ir caurspīdīgi, un, tos saskaitot, mums vajadzētu iegūt kopējo apgrozībā esošo Monero skaitu.</p>\n\n<p>Tomēr ir svarīgi atzīmēt, ka, ja notiktu neveiksmes, kas palielina Monero daudzumu, pārsniedzot to, ko mēs sagaidām no monētu bāzes darījumiem, tie notiktu nevis pašu monētu bāzes darījumos, bet gan parastā darījumā starp makiem. Tas notiktu tikai vienā no trim veidiem.</p>\n\n<p> Viens, ja kriptogrāfija, kas pierāda, ka darījumā nav izveidota vai iznīcināta Monero, ir fundamentāli kļūdaina. Otrkārt, ja cietās kriptogrāfijas ieviešana (kods) ir kļūdaina. Treškārt, ja neviena no tām nav kļūdaina, bet datori kļūst pietiekami jaudīgi, lai caurstrāvotu mūsu pašreizējās kriptogrāfijas shēmas un radītu viltus pierādījumus.</p>';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtitle => 'Ja Monero ir tik privāts, kā mēs varam pārbaudīt piegādi, lai nodrošinātu, ka neviens mums zem deguna nedrukā bezmaksas Monero?';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtext => '<p>Šo jautājumu ir visgrūtāk atbildēt, jo kalnrūpniecībā kopumā pastāv pastāvīgās svārstības. Faktiski var gadīties, ka pēc šī raksta publicēšanas tas vairs tā var nebūt, un nākamajā dienā tas var atkal kļūt par to. Par tehnoloģijām kopumā ir grūti precīzi rakstīt, jo nozare strauji attīstās, un tas jo īpaši attiecas uz ieguvi un hasratu.</p>\n\n<p>Mēs neizvairāmies no bažām, neuztraucieties. Atrisināsim to, aplūkojot atšķirību starp aparatūras centralizāciju un pūla centralizāciju.</p>\n\n<p>Fakts, ka Bitcoin ieguvi var veikt tikai ar ļoti specifisku aparatūru, kas nav viegli pieejama, nozīmē, ka labākā aparatūra ir centralizēta ap ražotājiem. Tā kā ieguves kopfonda izveide ir mazsvarīga, mēs sagaidām, ka šie ražotāji izvietos paši savus ieguves baseinus, kuros tiek iegūti viņu ASIC, un mēs patiešām redzam, ka tas tā ir ar lielākajiem ASIC ražošanas uzņēmumiem šodien.<p>\n\n<p>Šī problēma nav atrisināma. Centralizētajiem kalnrūpniecības baseiniem pieder aparatūra, baseins un jaucējfaili, un neviens nevar to darīt.</p>\n\n<p>Lai gan gala rezultāts ir līdzīgs, baseina centralizācijai ir ļoti atšķirīgi un daudz maināmāki pamati. Tā kā Monero ir egalitāra ieguve, katrs kalnracis var izvēlēties, kur norādīt jaucējvērtības. Cilvēki bieži izvēlas norādīt uz lielāku baseinu, jo tas nozīmē, ka viņi biežāk redzēs atrastus blokus nekā mazāku baseinu. </p>\n\n<p>Lai gan ir jāņem vērā, ka viņu individuālais atlīdzības apjoms būs mazāks, jo viņi to kopīgo ar daudz vairāk cilvēku. Mazākos baseinos blokus atrod retāk, taču katrs kalnracis saņem lielāku daļu no bloka atlīdzības, un gala rezultāts ir tāds, ka kalnrači faktiski nopelna līdzvērtīgu naudas summu neatkarīgi no tā, vai viņi atrodas mazākā vai lielākā baseinā, tāpēc mēs mudinām kalnračus norādīt to jaukšana uz mazākiem baseiniem, lai tālāk decentralizētu ieguvi.</p>\n\n<p>Taču mēs novirzāmies.</p>\n\n<p>Iepriekš sniegtajā decentralizācijas ieteikumā pamanīsit faktu, ka kalnračiem ir tiesības mainīt baseinus. Jebkurā brīdī, neatkarīgi no tā, vai tas ir labākas izglītības, decentralizācijas aicinājuma vai pieaugošas konkurences dēļ, jaucējkoda sadalījums var mainīties atkarībā no tā, vai atsevišķi kalnrači maina, kur viņi norāda savus jaucējus. To pašu nevar teikt par ieguvi, kas ir centralizēta aparatūras līmenī, jo ASIC ražotājiem nav motivācijas norādīt uz kādu citu pūlu, izņemot viņu pašu, un viņi to nedarīs.</p>\n\n<p>Tātad fakts, ka lielākā daļa Monero hasrata ir koncentrēta pāris baseinos, nav kaut kas tāds, ar ko mēs esam iestrēguši, un tas var būt saistīts ar izglītības trūkumu par kalnrūpniecību kopumā. To var novērst, jo problēma nav saknes līmenī, atšķirībā no Bitcoin aparatūras centralizācijas.</p>';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtitle => 'Lielākā daļa Monero pašreizējā hasrata nāk tikai no diviem baseiniem.';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtext => '<p>Monero patiešām ir mazāk maka iespēju nekā daudzām esošajām monētām. Tas ir tāpēc, ka Monero tika izstrādāts no paša sākuma. Tas atrodas pavisam citā kodu bāzē nekā Bitcoin. Tas nozīmē, ka Monero nevar vienkārši izmantot Bitcoin pamata maku vai citus Bitcoin makus, kā to dara lielākā daļa monētu, un izmantot esošās infrastruktūras priekšrocības. Kā arī tas nozīmē, ka Monero nav tik vienkārši pievienojams trešo pušu makiem, piemēram, Exodus.</p>\n\n<p> Un tomēr lēnām, bet noteikti Monero sāk parādīties visu veidu maki. Daudzus gadus bija mēms, ka Monero nebija GUI un mobilā maka atbalsta, taču tagad nekas nevar būt tālāk no patiesības. Ir maki, kas īpaši paredzēti Monero, piemēram, Monerujo operētājsistēmai Android un Cake Wallet gan iOS, gan Android, kā arī jauni maki, piemēram, Wookey, Exa Wallet un citi. Turklāt trešo pušu maki sāk pievienot Monero, lai gan lēnāk, tostarp Exodus un Guarda, un mēs sagaidām, ka šī tendence turpināsies, laikam ejot un Monero kodu bāzei nobriest.</p>';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtitle => 'Monero ir mazāk maka iespēju.';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtext => '<p>Šī kritika ir arī nedaudz sarežģīta. Jāatzīst, ka dažās jomās Monero patiešām ir grūtāk lietojams nekā Bitcoin. Piemēri tam ir garākā adresē, un sinhronizācija aizņem ilgu laiku, pat izmantojot vieglu maku, jo maks nevar vienkārši pārbaudīt blokķēdi, neskenējot katru izvadi, lai noskaidrotu, vai tā pieder attiecīgajam kontam. </p>\n\n<p>Tas nozīmē, ka Monero daudzos veidos balstās uz kriptovalūtas lietošanas pieredzi, ja ne tieši uzlabo to, jo īpaši attiecībā uz privātumu.</p>\n\n<p>Mēs aicinām lasītāju lasīt rakstus par darbībām, ko Bitcoiners iesaka privātuma saglabāšanai. Saraksts ir garš, mulsinošs, un to ir grūti iegūt perfekti, un bieži vien kļūdas sekas ir privātuma apdraudējums. Viens piemērs tam ir ieteikums izgāzt vai sajaukt savu Bitcoin, taču pēc sajaukšanas procesa, ja iegūtie rezultāti tiek apvienoti vai kā citādi pārvietoti vienā makā, sajaukšana varēja būt veltīga, jo izvadu izsekošana nodrošina augstu savienojamību. Vēl viens piemērs ir fakts, ka daudzi iesaka iegūt savu Bitcoin, ja vēlaties, lai tas paliktu pilnīgi neskaidrs par to, kā iegūti Bitcoin rezultāti, un tas ir smieklīgi pašreizējā kalnrūpniecības ekosistēmā.</p>\n\n<p>Izmantojot Monero, šis detalizētais detaļu saraksts ir pilnībā izzudis. Katrs Monero darījums katru reizi saglabā augstu privātuma līmeni, lietotājam neko nedarot vai neizmantojot ārēju programmatūru. Lai gan Bitcoin apgrūtina privātuma nodrošināšanu visiem, izņemot vispieredzējušāko lietotāju, Monero apgrūtina to nepareizu ikvienu visu laiku. Runājot par kompromisiem, mēs domājam, ka garākas adreses un sinhronizācijas laiks ir vairāk nekā tā vērts.</p>\n\n<p>Un pat pēc tam, kad tika apspriests viss iepriekš, fakts paliek fakts, ka lietotāja pieredze laika gaitā bieži kļūst labāka, un Monero nav izņēmums. Monētas UX pēc dažiem gadiem var ievērojami uzlaboties, taču tās pamatus ir daudz grūtāk mainīt.</p>';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtitle => 'Monero ir slikta lietotāja pieredze.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtext => '<p>Šī kritika visbiežāk tiek izteikta, ņemot vērā Bitcoin. Ko darīt, ja Bitcoin pieņems privātuma tehnoloģijas, kas nodrošina atbilstošu privātumu. Kāda būtu Monero izmantošana?</p>\n\n<p> Realitāte ir tāda, ka mēs neredzam, ka Bitcoin nekad pirmajā kārtā liktu privātumu. Labākajā gadījumā tas būtu otrajā kārtā vai caur noteiktiem makiem, piemēram, samuraju un vasabi. Tas nozīmē, ka privātums ir izvēlēts, un pētījumi liecina, ka tas vienmēr ir zemāks par privātumu, kas ir ieslēgts pēc noklusējuma. Pat ja šo tehnoloģiju pieņemtu pieklājīgs Bitcoin lietotāju procents (kas pats par sevi ir iztēles posms), privātums būtu zemāks.</p>\n\n<p>Lai gan izvēles privātuma nepietiekamības iemesli būtu pietiekami lieli, lai izveidotu savu rakstu, mēs šeit vēlamies sniegt rupju piemēru. No tehnoloģiskā viedokļa privātums ir slēpšanās pūlī. Jo lielāks un viendabīgāks pūlis, jo labāka ir indivīda privātums. Un otrādi, ja pulks ir mazs vai liels, bet katrs valkā atšķirīgu, unikālu apģērbu, būtu vieglāk identificēt personu.</p>\n\n<p>Tas nozīmē, ka, tā kā Bitcoin liek cilvēkiem veikt papildu pasākumus, lai būtu daļa no šī pūļa, daudzi to nedarīs, un tie, kas to dara, var to darīt slikti. Gala rezultāts ir neliels pūlis, un ir daudz vieglāk identificēt atsevišķus rezultātus. Bet kļūst sliktāk. Papildus tam, ka pūlis ir mazs, katrs indivīds ir vairāk vai mazāk unikāls viens no otra atkarībā no izvēlētā privātuma protokola. Daži varētu izvēlēties Samourai, kam ir viens sajaukšanas veids, savukārt citi var izvēlēties Wasabi, kuram ir cits, un saraksts turpināsies. Tas galu galā noved pie katra darījuma unikālajām īpašībām. Kopā ar mazo pūli privātums ir diezgan vājš.</p>\n\n<p>Mēs salīdzinām iepriekš minēto ar Monero, kas nodrošina privātumu protokola līmenī. Tas nozīmē, ka visi pēc noklusējuma ir daļa no pūļa un visi izmanto vienu un to pašu privātumu (to, ko nosaka protokols). Pūlis ir gan liels, gan viendabīgs, tādējādi nodrošinot daudz spēcīgāku privātumu.</p>\n\n<p> Bet spersim soli atpakaļ un sekosim hipotēzei, kur Bitcoin kaut kādā veidā patiešām piešķir privātumu pamata slānim. Tas ir stabils, ieslēgts pēc noklusējuma un obligāts. Kam būtu vajadzīgs Monero?</p>\n\n<p> Dažiem tāda nebūtu, un tas varētu būt pārsteidzoši dzirdēt, taču daudziem no mums, Monero cilvēkiem, tas būtu vienalga. Viss, ko mēs vēlamies, ir privātumu saglabājošs, aizstājams veids, kā indivīdiem visā pasaulē veikt darījumus savā starpā, un, ja Bitcoin brīnumainā kārtā dara to tādā veidā, kas faktiski aizsargā privātumu, izmantojot obligātu bāzes slāņa tehnoloģiju, tad daudzi no mums labprāt pārslēgtos. Veiksmi, lai tas notiktu.</p>\n\n<p> Tomēr Monero piedāvā daudzas funkcijas, kas pārsniedz privātumu, ko Bitcoin nepiedāvā. Dinamiskais bloka izmērs, ko nodrošina astes emisija, atšķirīga kodu bāze, zemu maksu politika, atšķirīga eliptiskā līkne un daudz kas cits. Jo īpaši šeit ir jāizceļ dinamiskais bloka lielums, jo tas nodrošina teorētiski neierobežotu transakciju caurlaidspēju, tikai krātuvei un joslas platumam esot aizrīšanās punktiem. Īsāk sakot, teorētiskais Bitcoin ar privātumu vienkārši nepiedāvā visu, ko dara Monero.</p>\n\n<p>Pēdējo reizi pārslēdzot pārnesumus šim jautājumam, retāk šis arguments attiecas uz tehnoloģijām, piemēram, viedo līgumu ethereum, izmantojot zk-SNARKS, kam galvenās ķēdes pamata slānī atkal nav noteikts obligāts privātums, tāpēc anonimitātes kopas būs diezgan mazas un ar apšaubāmu spēju adekvāti aizsargāt privātumu. Lai iegūtu citus salīdzinājumus, lūdzu, skatiet mūsu <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\"> rakstu, kurā Monero tiek salīdzināts ar citām galvenajām privātuma monētām</a>.</p>';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtitle => 'Monero kļūs novecojis, ja populārākā blokķēde izmantos spēcīgu privātuma tehnoloģiju.';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtext => '<p>Vairs ne! Pateicoties brīnišķīgajai ložu necaurlaidības tehnoloģijai, kas tika pievienota 2018. gada oktobrī, darījumu apmēri ir krasi samazināti (par vairāk nekā 80%), kas izraisa līdzīgu darījumu maksu samazināšanos. Faktiski, rakstīšanas laikā, Monero ir lētāks par vienu baitu nekā Bitcoin, un turpmāka tehnoloģijas optimizācija tos vēl vairāk samazina.</p>\n\n<p>Šīs optimizācijas ir dažādas un biežas. Viens piemērs ir gudra optimizācija pašās ložu necaurlaidīgajās sistēmās, samazinot gan aprēķiniem, gan verifikācijai nepieciešamo matemātiku, dažkārt pat par 25%.</p>\n\n<p>Turklāt tiek izstrādātas jaunas, aizraujošas gredzenu parakstu shēmas, piemēram, CLSAG, kas aizstās pašreizējo MLSAG shēmu un vēl vairāk samazinās visa darījuma apjomu par 25-35%. Papildus tam ir vēl jaunākas, progresīvākas tehnoloģijas ar pilnīgi atšķirīgām pierādīšanas sistēmām, kurām ir potenciāls saglabāt pašreizējos darījumu izmērus, bet kuru gredzenu izmērs pārsniedz simtu, piemēram, Triptihs, Arcturus un Lelantus, kas visi ir mazāki un efektīvākas par pašreizējām shēmām.</p>';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtitle => 'Vai Monero nav ļoti augstas darījumu maksas?';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtext => 'Atkal. Ložu necaurlaidība to krasi samazināja. Monero darījumi joprojām ir lielāki nekā Bitcoin darījumi, taču tagad tikai aptuveni astoņas reizes, nevis aptuveni piecdesmit reizes, nekā tas bija iepriekš. Bet ir arī cits veids, kā to aplūkot. Bitcoin ir daži līdzekļi privātuma sasniegšanai, parasti izmantojot maisītājus un specializētus makus, piemēram, Wasabi, Samourai un citas ar CoinJoin saistītas shēmas. Salīdzinot sajaukšanas izmaksas ar citiem Bitcoin izvadiem, adrešu lēcienu un pareiza izvades sadales uzturēšanu, kopējās izmaksas gan lieluma, gan maksas ziņā ir lielākas nekā tad, ja lietotājs vienkārši izmantotu Monero. Tātad, jā, neapbruņoti Bitcoin darījumi ir mazāki, taču, lai sasniegtu jebkāda veida privātumu (kas ir daudz vājāks nekā Monero), Bitcoin būtu nepieciešams vairāk vietas nekā Monero.';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtitle => 'Monero darījums ir daudzkārt lielāks nekā Bitcoin darījums.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtext => '<p>2017.–2018. gada laikmetā Monero kopiena apņēmās nepieļaut ASIC no tīkla. Tas tika darīts, nepārtraukti ik pēc sešiem mēnešiem pārejot uz jaunu darba pierādīšanas algoritmu, kas neļautu ASIC pārņemt tīklu. Printera analoģijā mūsu <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">rakstā par ieguvi Monero</a> ir izskaidrots, kā tas darbojas.</p>\n\n<p>Vairums cilvēku nezina, ka Monero cietās dakšas nesākās tāpēc, ka tika mainīts tā darba apliecinājums. Monero arī pirms tam ik pēc sešiem mēnešiem ir bijis grūti dakšas, atgriežoties līdz pat 2015. gadam. Kāpēc vispār tiek izmantotas šīs cietās dakšas? Pajautājiet jebkurai personai, kas strādā ar privātumu, un viņi jums pateiks, ka privātums ir bruņošanās sacensības. Viena puse nodrošina labu privātumu, otra izstrādā rīkus, kas var izjaukt minēto privātumu, liekot pirmajai pusei izstrādāt spēcīgāku tehnoloģiju, un cikls turpinās un turpinās.</p>\n\n<p>Svarīgs piemērs pirms-PoW maiņas cietajām dakšām ir RingCT iekļaušana 2017. gadā, neapšaubāmi lielākās Monero izmaiņas, kas jebkad ir palielinājušas Monero privātumu par daudzām kārtām. Mēs vienkārši domājam, ka ir pāragri pārkaulolēt protokolu, jo īpaši, ja tiek izstrādātas aizraujošas jaunas privātuma tehnoloģijas, piemēram, Triptych un Lelantus. Tomēr mēs smagi strādājam, lai nodrošinātu, ka mūsu attīstība, pētniecība un citas darbības ir pēc iespējas decentralizētas. Mums ir <a class=\"next-link\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" target=\"_blank\">raksts, kas aptver arī šo tēmu</a>, tāpēc noteikti pārbaudiet to.</p>\n\n<p>To visu sakot, decentralizētajai izstrādes komandai ir pārāk grūti un nogurdinoši, lai ievērotu šo grafiku, un tā vēlas pāriet uz cieto dakšu ik pēc deviņiem mēnešiem vai pat katru gadu. Tas ir tāpēc, ka sabiedrība uzskata, ka ar tādiem sasniegumiem kā Triptihs un Arcturus mēs tuvojamies tam, ko mēs ceram būt patiesi stabilai privātumam ar dažiem vājiem punktiem, kā rezultātā trūkst nepieciešamības pēc ilgstošas, protokolu mainošas attīstības. Un, lai pierādītu darbu, vairāki kopienas locekļi izveidoja RandomX kā pēdējo iespēju, lai ASIC nebūtu pieejams tīklā. Rakstīšanas laikā mēs joprojām esam šī eksperimenta vidū un vēl nav jāredz, vai tas būs veiksmīgs ilgtermiņā, taču ir sasniegts viens no vēlamajiem rezultātiem, cits iemesls ātrai dakšai ir noņemts, ļaujot lēnāks sazarošanas grafiks.</p>';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtitle => 'Monero diezgan bieži ir cietās dakšas. Vai tas nenozīmē, ka tas ir centralizēts?';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtext => '<p>Šī nav un nekad nav bijusi Rikardo “fluffypony” Spagni monēta. Viņam pat neizdevās. To sāka pseidonīms, kas pazīstams kā pateicīgs_par_šodien, un par to ir ļoti interesants stāsts citai reizei. Fluffypony ieguva bēdīgu slavu gan kā galvenā komandas loceklis/vadošais uzturētājs, jo viņš veltīja daudz laika un resursu, lai palīdzētu monētai augt, gan ceļojot un uzstājoties konferencēs. Apvienojot šīs divas lietas, viņš kļuva par sava veida neoficiālu Monero seju un parasti bija vārti, caur kuriem cilvēki mūs atrada. Sakarā ar šausmīgo izpilddirektora kultūru, kas bija plaši izplatīta kriptovalūtu jomā, viņi pieņēma, ka viņš ir Monero dibinātājs un vadītājs, un tie abi nav patiesi.</p>\n\n<p>Mūsdienās fluffypony joprojām ir galvenās komandas daļa, taču vairs nav galvenais kodu bāzes uzturētājs un ir atsācis strādāt pie saviem personīgajiem projektiem. Monero turpina labi.</p>';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtitle => 'Šī ir fluffypony personīgā monēta!';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtext => '<p>Tas ir neapstrīdams fakts, un par to nevar strīdēties. moneromooo ir labi zināms Monero kopienas loceklis. Tik daudz, ka kopiena piesaistīja līdzekļus, izmantojot mūsu kopfinansēšanas platformu — Kopienas kopfinansēšanas sistēmu (CCS), lai viņi varētu pilnu slodzi strādāt Monero. Jauni darba priekšlikumi tiek iesniegti katru ceturksni, tāpēc, ja sabiedrība kādreiz nav apmierināta ar paveikto darbu, tai vienkārši nav jāfinansē viņa nākamais priekšlikums. </p>\n\n<p>Kā var iedomāties, strādājot Monero pilnas slodzes, nevis brīvprātīgā darba rezultātā, tiks uzkrāts liels darba apjoms. Tā kā Monero nebija priekštelpas, ICO, un tas nesaņem dibinātāja atlīdzību, pretējā gadījumā mums nav pilnas slodzes inženieru, kas strādātu pie projekta, un cilvēki dod savu ieguldījumu, kad vien var, un vienkārši nav iespējams sagaidīt, ka šis ieguldījums atsver pilna laika strādnieku.</p>\n\n<p> Tomēr joprojām ir jāpieliek lielas pūles, lai nodrošinātu pārbaudes un līdzsvaru. Galvenās komandas loceklis joprojām apvieno kodu pēc pārskatīšanas, tāpēc tas nav gadījums, kad persona gan izveido, gan integrē kodu, tādējādi apejot jebkādu pārraudzību, kas nepieciešama, lai konstatētu rupju kļūdu vai ļaunprātīgu nolūku.</p>';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtitle => 'Lielāko daļu saistību kopš 2017. gada ir veikusi persona, kas pazīstama kā moneromooo-monero';

  @override
  String get knowledge250Sbmyths250Sbdescription => 'Daudzas pret Monero vērstas kritikas, kas ir vai nu novecojušas, vai nepareizas, savukārt citi sniedz ļoti šauru skatījumu uz attiecīgo problēmu. Šajā rakstā mēs ceram labot šo kritiku.';

  @override
  String get knowledge250Sbmyths250Sbtitle => '15 populārākie Monero mīti un bažas, kas atmaskotas';

  @override
  String get knowledge250SbnetworkEffect250Sb0250Sbtext => '<p>Blockchain ir neskaitāmas disciplīnas, kas visas ir saspiestas vienā. Tā savos drošības modeļos iekļauj tehnoloģiju, ekonomikas un spēļu teorijas elementus. Tas nozīmē, ka tā ir viena no līdz šim visvairāk iesaistītajām un sarežģītākajām tehnoloģijām, taču nozīmē arī to, ka dziļa un rūpīga izpratne nav iespējama, neapgūstot katras puzles daļas pamatus, kas to veido.</p>\n\n<p>Viena blokķēdes daļa, par kuru bieži netiek runāts, ir konkurence. Katra kriptovalūta bieži tiek novērtēta pēc tās būtības un pat attiecībā pret kriptovalūtām, kas tai visvairāk patīk, taču dažas tiek novērtētas, pamatojoties uz to, ko tā piedāvā tirgum kopumā un cik cilvēku to izmanto. Runājot tālāk, kriptovalūtai ir jāanalizē, cik daudzi to izmanto, zina par to vai kā citādi jebkādā veidā saskaras ar to. Šī koncepcija ir pazīstama kā tīkla efekts.</p>\n\n<p>Tīkla efekta piemērs, kas nav blokķēde, ir sociālie mediji. Ja visi jūsu draugi izmanto Facebook, tad, izvēloties, kurā sociālajā medijā vēlaties būt aktīvi iesaistīts, jūsu draugu izvēle arī ņem vērā šo lēmumu. Fakts, ka lielākā daļa no viņiem atrodas Facebook, var ietekmēt arī jūs pievienoties tam. Un, kad jūs izlemjat, vai vēlaties pamest platformu, tas, ka varat zaudēt kontaktus ar dažiem no šiem draugiem, arī ietekmēs šo lēmumu. Šis ir tīkla efekts darbībā. Kad adopcija sasniedz kritisko masu, turpmākā pieņemšana kļūst vienkāršāka, un to bieži veicina pašreizējie tīkla dalībnieki.</p>\n\n<p>Kad mēs to aplūkojam blokķēdes kontekstā un arī komercijā kopumā, tīkla efektu spēks ātri kļūst acīmredzams. Ja Bitcoin ir kriptovalūta, par kuru zina lielākā daļa cilvēku, un tas ir tas, ko lielākā daļa cilvēku pērk, tad vairāk tirgotāju to pieņems. Ja vairāk tirgotāju to pieņems, būs vairāk vietu, kur to izmantot, tāpēc vairāk cilvēku to iegādāsies un vairāk cilvēku par to uzzinās. Tas kļūst par lielu pozitīvu atgriezenisko saiti, kas rada sniega bumbiņas. Šajā brīdī tirgotājs var tikt uzrunāts par citas kriptovalūtas izmantošanu, taču viņš apšaubīs, kāpēc tas ir vajadzīgs, jo viņi jau pieņem Bitcoin, un to izmanto un pieņem visi. </p>\n\n<p>Lai gan nav šaubu, ka Bitcoin ir vislielākā kriptovalūta, ir arī citas, kas tiek uzskatītas par labāko savā nišā. Monero ir viena no šādām monētām, ko daudzi uzskata par pirmizrādes privātuma monētu, lai gan dažādiem cilvēkiem ir dažādi viedokļi par to, vai Monero pat konkurē tajā pašā vietā, kur Bitcoin. Tas ir tāpēc, ka Bitcoin ir ievietojis visas savas kartes savā caurspīdīgumā, lai pārbaudītu kopējo summu (lai gan tas ir iespējams arī Monero, lai gan daudz apļveida veidā).</p>\n\n<p>Kur Monero šobrīd atrodas šajā tīkla efektu spēlē? Kur mēs sākām? Kāda ir nākotne? Nu, sāksim ar sākumu.</p>\n\n<p>Interesanti atzīmēt, ka <a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">Monero pirmsākumos</a> tas bija viens no trim veidiem, kā nodrošināt privātumu. Coinjoin, CryptoNote un Dash masternode/coinjoin hibrīds. Iespējas bija ierobežotas, un tās noteikti nebija salīdzinošās pārskatīšanas, taču tas netraucēja cilvēkiem izvēlēties pusi. Šajā vecākajā laikmetā tā bija jebkura spēle, un daži nolēma apsēsties un ļaut krēmam pacelties uz augšu. Galu galā laiks izrādījās <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">Monero pusē</a>, jo citas privātuma kriptovalūtas nāca un aizgāja.</p>\n\n<p>Tas izveidoja Monero tīkla efektu kā monētu, kas paver ceļu citiem privātuma jomā. Pat tad, kad parādījās jaunākas tehnoloģijas, piemēram, Zcash\'s zk-SNARKs un MimbleWimble, liela daļa meklēja Monero vadību un saprātīgu diskusiju par šiem jaunajiem protokoliem.</p>\n\n<p>Pašlaik Monero ir viens no nedaudzajiem vispāratzītajiem projektiem kosmosā. Sākot no kriptovalūtas un beidzot ar Bitcoin maksimālistiem, viņi visi raugās uz Monero ar vismaz nežēlīgu cieņu, lai gan biežāk tas ir ar augstāku atzinību. Kad kosmosa veterāni runā par monētām, kurām ir vislielākā iespēja kaut ko mainīt pasaulē un kuras ilgs pārbaudījumos un bēdās, Monero nekad neizpaliek. </p>\n\n<p>Šīs pēdējās rindkopas ir ne tikai apsveikums ar sevi, bet arī godīgs skatījums uz to, kāda ir kriptogrāfijas ainava rakstīšanas laikā. Monero tīkla efekti katru dienu kļūst arvien pamanāmāki un parādās neparedzētās vietās.</p>\n\n<p>Cilvēki ir diezgan atšķirīgi, runājot par Monero nākotni, taču visi viedokļi liecina, ka Monero savu darbu veic labi. Lielākais piemērs tam ir regulatīvās bažas. Daži baidās, ka Monero ir pārāk privāts, kas izraisīs neizbēgamu sadursmi ar pasaules valdībām, savukārt citi ir satraukti par to, kā šī privātums atgriež brīvību parastajam cilvēkam. Abu šo uzskatu pamatā ir ideja, ka Monero pilnībā pilda savus solījumus attiecībā uz privātumu un aizstājamību, un bieži vien tā ir vienīgā monēta šādās sarunās, kā vairums citu “privātuma monētu” nav.</p>\n\n<p>Tā kā Monero kopiena ļoti cenšas būt <a target=\"_blank\" href=\"/knowledge/critical-thinking\" class=\"next-link\">racionāla un skeptiska</a>, tā nebaidās no jaunām tehnoloģijām. Citas monētas, kurām vairāk rūp konkurences puse, nepārtraukti runā par Monero “notriekšanu” un to, ka Monero jābaidās no viņu jaunās tehnoloģijas, kas pārņems privātuma pasauli. Citiem vārdiem sakot, viņi domā, ka viņu jaunā tehnoloģija pārvarēs Monero izveidotos tīkla efektus privātuma aprindās.</p>\n\n<p>Atšķirībā no Bitcoin, kas galvenokārt paļaujas uz tīkla efektiem, lai saglabātu savu aktualitāti bez īpašiem jauninājumiem, Monero ir nolēmis izmantot abus. Ir pievienota jauna, pārbaudīta tehnoloģija, lai padarītu Monero privātāku un drošāku, nodrošinot, ka Monero tīkla efekti nekad nav vienīgais tās statusa mērķis, bet gan inovāciju un smaga darba rezultāts.</p>\n\n<p>Šajā ziņā ir jābrīnās, cik ilgi tāda tehnoloģija kā Bitcoin var paļauties tikai uz tās esošajiem tīkla efektiem, lai saglabātu atbilstību. Patlaban situācija ir spēcīga, un neviena monēta ne tuvu neatbilst Bitcoin zīmola atpazīstamībai un kolektīvajai smadzeņu telpai, taču jāatceras, ka daudzi citi juggernauts citās nozarēs uzskatīja sevi par neaizskaramiem, lai tikai saskartos ar savu sabrukumu inovāciju trūkuma dēļ. X6322X]';

  @override
  String get knowledge250SbnetworkEffect250Sbdescription => 'Lai gan nav apstrīdams, ka Bitcoin ir līdz šim lielākā kriptovalūta, mēs jautājam, vai tā var paļauties tikai uz esošajiem tīkla efektiem, lai saglabātu savu nozīmi.';

  @override
  String get knowledge250SbnetworkEffect250Sbtitle => 'Kā Monero var pārvarēt Bitcoin tīkla efektus';

  @override
  String get knowledge250Sbnetworking250Sb0250Sbtext => '<p>Nevienam nevajadzētu būt par pārsteigumu, ka Monero un pat visa kriptovalūta darbojas internetā. Un tomēr, lai gan šis apgalvojums šķiet vienkāršs un acīmredzams, daudzi neņem vērā, ko tas nozīmē attiecībā uz viņu privātumu. Citiem vārdiem sakot, ir dažas lietas, no kurām Monero var un nevar aizsargāties, tikai pēc darbības veida internetā. Daži no šiem apsvērumiem ir tikai neērtības, savukārt citi ir daudz nopietnāki situācijā, kad ir nepieciešama absolūta privātuma aizsardzība. Atvēlēsim laiku, lai iepazītos ar to, kā Monero lietotāji mijiedarbojas viens ar otru tīklā un ko tas nozīmē viņu privātumam.</p>\n\n<p> Sākot ar lietu triviālo pusi, ja lietotājam nav piekļuves internetam, viņš nevar lejupielādēt jaunus blokus, izplatīt darījumus citu vārdā vai nosūtīt savus darījumus. Interesanti atzīmēt, ka lietotājs ar pilnu mezglu bez piekļuves internetam var izveidot darījumu bezsaistē, ko var nosūtīt vēlāk. Tas ir tāpēc, ka zvana parakstam ir nepieciešami tikai blokķēdes izvadi, ar kuriem paslēpties. Īss atgādinājums par <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">, kā darbojas zvana paraksti</a>, tas slēpj patieso izvadi, ko lietotājs sūta starp nesaistītu izvadu kolekciju, kas izvēlēta no pagātnes. Ja lietotājam ir piekļuve šīm izejām pilnībā lejupielādētas blokķēdes (pilna mezgla) veidā, viņš var izveidot zvana parakstu no iepriekšējiem izvadiem un, tiklīdz interneta savienojums tiek atjaunots, transakciju izplatīt tīklā.</p>\n\n<p>Lietotājs, kurš izmanto attālo mezglu, to nevar izdarīt, jo, veidojot savu zvana parakstu, viņš sazinās ar attālo pilno mezglu, lai izvadi iekļautu gredzena parakstā. Ja nav interneta, viņi nevar sasniegt šo mezglu, tāpēc viņiem nav bezsaistes darījumu izveides iespēju.</p>\n\n<p>Pirms mēs turpinām izskatīt dažus privātuma apsvērumus, īsi apskatīsim, kā internets darbojas kopumā. Viss internets ir nekas cits kā datori, kas savienojas ar citiem datoriem. Tieši tā. Emuārs, kuru tev patīk lasīt? Tikai daži faili, kas mitināti kāda cita datorā. Šī vietne, kurā lasāt šo rakstu (LocalMonero)? Faili un kods, kas kaut kur mitināts datorā. Pat lielas trakas vietnes darbojas šādā veidā. Ņemiet, piemēram, YouTube. Vienkārši video faili, kas tiek mitināti Google gigantiskajās datorsistēmās, un jūs izveidojat savienojumu ar tiem, lai lejupielādētu videoklipu savā datorā un varētu to skatīties.</p>\n\n<p>Šie datori var atšķirt viens otru, jo katram datoram, kas ir savienots ar internetu, tiek piešķirts unikāls identifikācijas numurs, ko sauc par IP adresi. Parasti tās ir četras skaitļu kopas, kas atdalītas ar punktiem, piemēram: 172.66.35.7. Ir svarīgi to paturēt prātā, apsverot, kā Monero informācija tiek pārvietota internetā. Monero ir peer-to-peer tīkls (P2P), kas nozīmē, ka datori savienojas tieši viens ar otru, nevis izmanto starpnieku. Tātad, kad lietotāja pilnais mezgls lejupielādē jaunatklāto bloku, viņš to lejupielādē nevis no centrālā servera, bet gan no saviem vienaudžiem. Negatīvā puse ir tāda, ka lietotāji savā starpā savieno tieši, tāpēc viņi zina viens otra IP adreses.</p>\n\n<p>Nu? Kas tas par lielu? Tas ir tikai cipars, vai ne? Ne gluži. Pašas IP adreses satur informāciju par lietotāju, piemēram, izcelsmes valsti un tīkla pakalpojumu sniedzēju, bet, vēl ļaunāk, interneta pakalpojumu sniedzēji (ISP) zina katras personas, kas izmanto viņu pakalpojumus, IP adresi. Tas nozīmē, ka šie interneta pakalpojumu sniedzēji un tie, ar kuriem viņi strādā, var vērot lietotāja interneta trafiku un, izmantojot kādu gudru taktiku, atklāt, ka viņi izmanto Monero. Tagad, pirms jūs baidāties, ievērojiet tur esošo formulējumu. Viss, ko šie snoopers var darīt, ir redzēt, ka persona izveido savienojumu ar citiem Monero tīkla mezgliem. Monero privātuma tehnoloģijas dēļ nekas cits par personu netiek nopludināts. Nevis par to, vai viņi palaiž mezglu vai ja/kad viņi nosūta transakcijas, un, ja darījums tiek nosūtīts, nav zināma nekāda informācija par to. Šie interneta pakalpojumu sniedzēji var redzēt tikai to, ka viens no viņu lietotājiem veido savienojumu ar Monero tīklu.</p>\n\n<p>Tagad dažiem cilvēkiem dažās vietās ar šo informāciju vien var pietikt, lai kaitētu reputācijai vai brīvībai. Vai varbūt doma par to, ka kāds jebkāda iemesla dēļ pārkāpj jūsu privātumu un to, ko jūs darāt internetā, jums nav pieņemams. Šīs personas tiek mudinātas izveidot savienojumu ar Monero tīklu, tikai izmantojot VPN, Tor vai I2P, kas visi ir pakalpojumi, kas slēpj lietotāja IP adresi no citiem, kā arī slēpj to, ko lietotājs dara no sava ISP. Atšķirības starp šiem pakalpojumiem ir ārpus šī raksta darbības jomas, taču par šo tēmu ir rakstīts daudz augstas kvalitātes rakstu, tāpēc norūpējušies lietotāji tiek aicināti izpētīt tālāk!</p>\n\n<p> Pārējiem no mums var šķist, ka tas, ka citi zina, ka esam pieslēgti Monero tīklam, nav tik liels darījums. Galu galā mūsu darījumu faktiskais saturs vai, ja mēs tos vispār sūtām, ir publiski paslēpts, un kāds ir kaitējums? Lai gan tā var būt taisnība, lietotāji tiek mudināti ņemt vērā faktu, ka galvenā kriptovalūtu piesaiste ir viņu pašu banka. Ja jums ir privātā atslēga un ar to kaut kas notiek, neviens nevar palīdzēt atgūt zaudētos līdzekļus.</p>\n\n<p> Būt pašam bankai nozīmē ņemt vērā ne tikai savu digitālo drošību, bet arī fizisko drošību. Ļoti iespējams, ka indivīda zināšanas, kas pieslēdzas Monero tīklam, var piesaistīt nevēlamu uzmanību ne vienmēr no liela mēroga dalībniekiem, piemēram, nacionālajām valstīm, bet gan no mazākiem, ar savtīgām interesēm, piemēram, hakeriem, kas vēlas viegli nopelnīt. Visā šifrēšanas telpā patiešām ir neskaitāmi stāsti par šādiem scenārijiem, kas faktiski notiek.</p>\n\n<p>Šis raksts nav paredzēts, lai radītu bailes vai iebiedētu, bet gan mudinātu lietotājus veikt kādu pētījumu par to, kādas tīmekļa sērfošanas aizsardzības metodes viņiem ir piemērotas. Labā ziņa ir tā, ka šīs prasmes tiks nodotas arī vispārējai interneta lietošanai, ne tikai Monero lietojumam, un tādējādi mūsu pasaulē, kurā arvien vairāk tiek savienots internets, gudrs lietotājs nevar kļūdīties, uzkrājot atbilstošas zināšanas un prasmes, lai saglabātu drošību. un patiesi būt viņu pašu bankai.</p>';

  @override
  String get knowledge250Sbnetworking250Sbdescription => 'Atvēlēsim laiku, lai iepazītos ar to, kā Monero lietotāji mijiedarbojas viens ar otru tīklā un ko tas nozīmē viņu privātumam.';

  @override
  String get knowledge250Sbnetworking250Sbtitle => 'Kas jāzina ikvienam Monero lietotājam, kad runa ir par tīklu veidošanu';

  @override
  String get knowledge250Sbnodes250Sb0250Sbtext => '<p>Viena no lielākajām Monero priekšrocībām salīdzinājumā ar citām kriptovalūtām ir tās privātums ķēdē, taču vai esat kādreiz domājis, kā Monero privātums saglabājas, izmantojot attālo mezglu? Kā būtu, ja izmantotu “viegla maka” serveri, piemēram, MyMonero?</p>\n<p>Šajā ziņojumā mēs iedziļināsimies dažās detaļās par to, kā Monero nodrošina izcilu ķēdes privātumu pat tad, ja tiek izmantots attālais mezgls, kā arī tam, kam jāpievērš uzmanība, izmantojot attālos mezglus.</p>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtext => '<p>Tiem, kas mazāk pārzina Monero darbību, Monero tīkla mezglus (vai serverus) var darbināt ikviens un ļaut mezgla īpašniekam vai citiem, ar kuriem viņi izvēlas to koplietot! – lai sinhronizētu blokķēdes kopiju un nodrošinātu šo kopiju citiem tīklā. Šie mezgli arī pārbauda visus tīklā notiekošos darījumus, kā arī visus publicētos blokus un nodrošina, ka tie visi atbilst vienprātīgi noteiktajiem noteikumiem.</p>\n<p>Otra funkcija, ko mezgli apkalpo Monero, ir veids, kā nodrošināt visus datus, kas jūsu iecienītākajam Monero makam ir nepieciešami, lai pareizi pārbaudītu jums piederošos darījumus un veiktu jaunus darījumus. Šos datus mezgli nodrošina divos veidos: </p>\n<ul>\n<li>Maks pieprasa datus no katra blokķēdes bloka, skenē jums piederošus darījumus un pēc tam izmet, tiklīdz seifs tos ir pārbaudījis.\n<ul>\n<li>Šī darbība drīzumā tiks ievērojami uzlabota, pateicoties <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/view-tags-reduce-monero-sync-time\">skatīšanas tagiem</a>.</li>\n</ul></li>\n<li>Sūtot transakcijas, jūsu izmantotais mezgls nodrošina iespējamo mānekļu (vai viltus ievades) sarakstu, ko izmantot darījuma veidošanā, nodrošinot, ka jums ir daudz cilvēku, kuros paslēpties katru reizi, kad iztērējat Monero.\n<ul>\n<li>Šie mānekļi ir daļa no <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/ring-signatures\">zvana parakstiem</a>, kas ir svarīgs Monero pieejas privātumam ķēdē.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtitle => 'Kādas funkcijas veic mezgli Monero?';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtext => '<p>Labākais, ko darīt, pat ar spēcīgo ķēdes privātumu, ko nodrošina Monero, izmantojot attālos mezglus, ir palaist savu Monero mezglu, lai nodrošinātu, ka jums ir pieejama neskarta Monero blokķēdes kopija un jūsu IP adrese. ir labi aizsargāts. Vēl viens ieguvums, darbinot savu mezglu, ir tas, ka varat pievienoties tīklam, ļaujot citiem mezgliem sinhronizēt no jūsu mezgla vai pat ļaujot citiem lietotājiem izveidot savienojumu ar jūsu mezglu, izmantojot savus makus.</p>\n<p>Tomēr Monero joprojām nodrošina izcilu privātumu, izmantojot attālo mezglu. Ja vēlaties palaist savu Monero mezglu, šeit ir viegli izpildāms ceļvedis, kā to izdarīt: </p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/guides/run-a-monero-node/\">Palaidiet Monero Node</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtitle => 'Kāds ir privātākais un drošākais Monero lietošanas veids?';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtext => '<p>Izmantojot attālo mezglu, ir dažas galvenās informācijas daļas, kas tiek pakļautas attālajam mezglam, un daži galvenie veidi, kā mezgls var jums uzbrukt, neļaut jums veikt darījumus un daudz ko citu.</p>\n<p>Pirmais, ko attālais mezgls var uzzināt par jums, ir jūsu publiskā IP adrese. Lai gan tas, cerams, tiks slēpts, izmantojot VPN vai Tor, attālais mezgls varētu saistīt jūsu publisko IP adresi ar darījumu, palīdzot viņiem sašaurināt, no kurienes veicat darījumus. Attālais mezgls var arī uzzināt pēdējo sinhronizēto maka bloku un izmantot to, lai mēģinātu izdarīt pamatotus minējumus par jums, piemēram, kad parasti lietojat Monero un kad pēdējo reizi iztērējāt Monero. Tas jo īpaši attiecas uz gadījumiem, kad vienmēr nākat no vienas IP adreses (piemēram, no mājām). Pēdējā galvenā lieta, ko attālais mezgls var uzzināt par jums, ir pamatinformācija par darījumiem, ko sūtāt, izmantojot to. Lai gan šie var būt visredzamākie dati, ko attālā mezgla operators iegūst par jums, ir svarīgi saprast, ka tos var izmantot, lai palīdzētu izsekot darījuma sūtītājam, apvienojot šo informāciju ar citiem ārpus ķēdes datiem. Tas var būt īpaši bīstami, ja attālo mezglu vada ļaunprātīga struktūra, blokķēdes analīzes uzņēmums vai nomācoša nacionālā valsts.</p>\n<p>Attālais mezgls var arī mēģināt radīt jums problēmas, slēpjot no jums blokus, liekot jūsu makam domāt, ka tas ir sinhronizēts, kad tā nebija. Tas var likt jums domāt, ka līdzekļi ir pazaudēti vai neļaut jums tērēt līdzekļus, līdz izveidojat savienojumu ar citu mezglu. Pēdējā galvenā lieta, ko attālais mezgls varētu darīt, ir nodrošināt jūsu maku ar manipulētu mānekļu sarakstu. Tas var izraisīt to, ka jūsu maciņam var neizdoties pilnībā izveidot darījumus (tā rezultātā jūs nevarēsit tērēt līdzekļus), vai arī attālais mezgls var mēģināt nodrošināt mānekļus, par kuriem tas zina, ka tiek iztērēti, lai samazinātu anonimitāti, ko saņemat katrā darījumā.</p>';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtitle => 'Ko attālais mezgls var uzzināt par mani?';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtext => '<p>Lai gan šis raksts jūs, iespējams, ir nedaudz nobiedējis, ir svarīgi saprast, ka Monero nodrošinātā konfidencialitāte ir lieliska pat tad, ja tiek izmantots attālais mezgls, un ievērojami pārspēj jebkuru citu kriptovalūtu, ja to lieto šādā veidā. Jūs joprojām iegūstat Monero nodrošināto spēcīgo privātumu ķēdē, jo attālais mezgls nekad nezina patieso ievadi (kādas monētas jūs tērējat), darījumā iztērēto Monero summu vai darījuma saņēmēja adresi. Arī ārējie novērotāji nevar redzēt patieso ievadīto informāciju, summu vai adreses (neatkarīgi no tā, kāda veida mezglu izvēlaties izmantot!), nodrošinot, ka ārpus attālā mezgla pat jūsu IP adresei, maka sinhronizācijas informācijai un darījumiem ir spēcīgas privātuma garantijas. </p>\n<p>Attālais mezgls arī nekad nevar piekļūt iepriekšējiem darījumiem, ko esat nosūtījis vai saņēmis, vai Monero summai, kas pašlaik atrodas jūsu makā, un zaudē visu jūsu darījumu redzamību brīdī, kad sākat izmantot citu mezglu. Attālajam mezglam nekad netiek nodrošinātas privātās atslēgas (ne tērēšanas, ne skatīšanas atslēgas), tāpēc jūsu maks paliek privāts, drošs un lietojams. Neatkarīgi no attālā mezgla jūs arī nekad neapdraudat Monero pazaudēšanu vai nozagšanu, jo mezgls nevar rediģēt adresāta adresi, nekad nevar piekļūt jūsu maka privātajām atslēgām un nekādā veidā nevar konfiscēt jūsu Monero.</p>';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtitle => 'Kādas privātuma garantijas joprojām pastāv, izmantojot attālo mezglu?';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtext => '<p>Lai gan tēma ir nedaudz ārpus šī raksta darbības jomas, es tomēr vēlējos pievērsties unikālam Monero maka veidam — viegliem makiem. Nosaukums viegls maciņš cēlies no tā, ka maciņam (tālrunī vai datorā) nav jāveic neviena blokķēdes sinhronizācija, padarot pieredzi ātrāku un plūstošāku.</p>\n<p>Tomēr šādi maki pašlaik ir saistīti ar nopietnu privātuma kompromisu — jūsu seifs nosūta privātā skata atslēgu uz jūsu izmantoto attālo serveri (piemēram, noklusējuma MyMonero), nodrošinot attālajam serverim pilnīgu redzamību par saņemtajiem līdzekļiem. kopš sava maka izveides (un līdz brīdim, kad pārtraucat lietot šo maku vai sēklu). Tas krasi samazina konfidencialitāti, ko saņemat no mezgla operatora, un tas ir jārīkojas piesardzīgi.</p>\n<p>Par laimi, Monero kopiena strādā, lai uzlabotu programmatūru, kuru varat izmantot sava vieglā maka servera (LWS) mitināšanai, kas ļaus jums veikt ātru sinhronizāciju, neuzticoties trešajai pusei ar savām privātajām skata atslēgām. darbosies programmatūra, kurā jūsu maciņš nosūta privātā skata atslēgas!</p>\n<p>Plašāku informāciju par pielāgoto vieglā maka serveri skatiet tālāk esošajā Github repozitorijā:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/vtnerd/monero-lws\">monero-lws</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtitle => 'Kā būtu ar \"viegliem makiem\", piemēram, MyMonero?';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtext => '<p>Ja jūs interesē un vēlaties labāk izprast Monero mezglus un izpētīt attālā mezgla izmantošanu vai savu darbību, skatiet tālāk esošās saites, lai atrastu lieliskas vietas, kur sākt darbu.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://moneroworld.com/#nodes\">Monero World — saraksts ar kopienas pārvaldītiem attāliem mezgliem, kas var izmantot</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/about/#high-performance-monero-nodes\">Monero mezgli, kurus vada Seth For Privacy, šī raksta autors</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monero.fail/\">monero.fail — attālo mezglu saraksts ar bieži pārbaudītu statusu< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/user-guides/remote_node_gui.html\">Kā izveidot savienojumu uz attālo mezglu GUI makā</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/moneropedia/remote-node.html\">Moneropedia — Remote Mezgls</a></li>';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtitle => 'Kā es varu uzzināt vairāk?';

  @override
  String get knowledge250Sbnodes250Sbdescription => 'Šodien mēs aplūkojam, kā Monero nodrošina ķēdes privātumu pat tad, ja tiek izmantots attālais mezgls, kā arī brīdinājumus.';

  @override
  String get knowledge250Sbnodes250Sbtitle => 'Kā attālie mezgli ietekmē Monero privātumu';

  @override
  String get knowledge250Sboutputs250Sb0250Sbtext => '<p>Monero, tāpat kā citas kriptovalūtas, izmanto izvadi kā līdzekļu uzskaites līdzekli. Iespējams, ka daudzi kriptogrāfiju gudri lietotāji jau ir dzirdējuši šo terminu, taču ne visi saprot, ko tas nozīmē un kā tas darbojas. Kā aprakstīts mūsu <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">zvana parakstu rakstā</a>, izvadi ir faktiskā vienība, ar kuru blokķēdē apmainās starp darījuma pusēm. Līdzīgi kā dolāra banknotei, taču summa nav fiksētā nominālvērtībā.</p>\n\n<p>Ja par darbu saņemat 16 ASV dolārus, iespējams, saņemsiet viena dolāra banknoti, piecu dolāru banknoti un desmit dolāru banknoti. Jums ir 16 \$, taču makā ir arī trīs dažādi rēķini. Ja vēlaties kādam samaksāt 6 dolārus, varat izmantot 5 un 1 rēķinu, bet, ja vēlaties kādam samaksāt 8 ASV dolārus, varat izmantot tikai 10 ASV dolārus un saņemt atpakaļ 2 ASV dolārus. Visbeidzot, ja vēlaties kādam samaksāt 14 ASV dolārus, jums būs jāizmanto visi trīs rēķini un 2 ASV dolāri saņemtu atpakaļ maiņā, taču uz brīdi, kad nododat visus trīs rēķinus, jūsu makā nav naudas, līdz nesaņemat mainīt atpakaļ.</p>\n\n<p>Monero darbojas līdzīgi. Pieņemsim, ka jūs vadāt veikalu un trīs reizes pārdodat trīs dažādas preces. Jūs varat saņemt 1,5 XMR, 2,25 XMR un 5,25 XMR kopā par 9 XMR, taču jūsu makā ir arī trīs dažādas iepriekš norādītās nominālvērtības. Tāpat kā ar dolāriem, iespējams, vēlēsities kādam maksāt 3 XMR. Varat izmantot tikai 5,25 XMR izvadi un saņemt atpakaļ 2,25 XMR izvadi, vai arī varat apvienot 1,5 un 2,25 XMR izvadi un iegūt atpakaļ 0,75 XMR izmaiņās.</p>\n\n<p>Taču, tiklīdz nosūtāt transakciju, jūsu izmantotās izvades tiek iestatītas \"bloķētā\" stāvoklī, kas nozīmē, ka tās nav pieejamas, kamēr nesaņemat atpakaļ izmaiņas. Protokols atbloķē līdzekļus (t.i., atdod jums izmaiņas) pēc 10 apstiprinājumiem jeb aptuveni 20 minūtēm. Tāpat kā pēc tam, kad izsniedzat dolāru banknotes no sava maka, jūs nevarat atkārtoti izmantot naudu, kamēr nesaņemat atpakaļ no kases, jūsu Monero nav pieejams, kamēr nesaņemat atpakaļ naudu.</p>\n\n<p>Atgriezīsimies pie 3 XMR nosūtīšanas piemēra, un jūs izmantojat 5,25 XMR izvadi. Tagad, kamēr jūs gaidāt 1,75 XMR izmaiņas, jūs nevarat to izmantot. Šis 1,75 XMR jums nav pieejams. Bet jūs joprojām varat izmantot 1,5 XMR un 2,25 XMR izejas, jo tās netika iztērētas. Atgriežoties pie dolāra piemēra, ja jūs kādam maksājāt 8 ASV dolārus, kā tas bija piemērā iepriekš, jūs nevarēsit izmantot 2 ASV dolārus, ko sagaidāt atpakaļ maiņā, līdz tie jums tiks piešķirti, taču šajā piemērā jums joprojām ir 10 \$ banknots, kas nav izmantots jūsu makā. To joprojām var izmantot, lai iegādātos visu, ko vēlaties, kamēr gaidāt izmaiņas. Tas pats ar Monero.</p>\n\n<p>Tas bieži rada neskaidrības jauniem Monero lietotājiem. Bieži vien lietotāja makā var būt tikai viena izvade, kas saņemta no biržas vai drauga. Pieņemsim, ka šī izeja ir 20 XMR. Viņiem nav citu izeju savā makā. Tagad viņi vēlas ziedot divām savām iecienītākajām labdarības organizācijām. Viņi nosūta 5 XMR pirmajai labdarības organizācijai un pēc tam ir apmulsuši, jo, lai gan viņiem vajadzētu atstāt 15 XMR, viņi nevar uzreiz nosūtīt nākamo ziedojumu otrajai labdarības organizācijai. Kā jūs varētu uzminēt, tas ir tāpēc, ka 15 XMR ir bloķēts. To nevar iztērēt, kamēr tas nav atgriezts kā maiņa (10 apstiprinājumi vai aptuveni 20 minūtes). Kad viņu līdzekļi tiks atbloķēti, viņi varēs nosūtīt savu otro ziedojumu.</p>\n\n<p>Lai vēlreiz atgādinātu, viņiem šīs problēmas nebūtu, ja tās vietā būtu bijušas vairākas izejas, piemēram, divas 10 XMR izejas vai līdzīgas. Viņi varētu nosūtīt abus ziedojumus vienu pēc otra, jo pirmajā ziedojumā tiktu izmantota viena no 10 XMR izvadēm (un gaidītu 10 apstiprinājumus, lai saņemtu atpakaļ 5 XMR), bet otrajā ziedojumā tiktu izmantoti pārējie 10 XMR. izvade.</p>\n\n<p>Dažiem kriptovalūtas makiem ir funkcija, ko sauc par “izejas pārvaldību”, kas vienkārši parāda lietotājam, kuras izejas viņam pašlaik ir (papildus kopējai summai), kā arī ļauj izvēlēties, kuras no tām izmantot, kad tērē. viņu kriptovalūta.</p>\n\n<p>Pašlaik Monero GUI izvades atlasi lietotājiem veic automātiski, jo lietotāji, izvēloties paši savus izvadus, bieži rada neskaidrības vai dažos gadījumos tiek apdraudēta privātuma. Tomēr tiek izstrādāti maki, piemēram, jaunais Feather maka projekts, kas ietvers šīs izvades pārvaldības funkcijas.</p>\n\n<p> Mēs esam daudz runājuši par nosūtīšanas daļu, taču saņemšanas pusē notiek kaut kas aizraujošs. Atgriežoties pie mūsu piemēra par 3 XMR nosūtīšanu kādam un jūsu 1,5 XMR un 2,25 XMR izvadu izmantošanu darījumā (gaidot 0,75 XMR izmaiņas), uztvērējs NESAŅEM divus 1,5 XMR un 2,25 XMR izvadus. Tā vietā tie saņem VIENU 3 XMR izvadi.</p>\n\n<p>Fonā protokols apvieno visas izvades, kas tiek izmantotas tēriņiem, un dod saņēmējam vienu izvadi no samaksātās summas un nosūta vienu izmaiņu izvadi atpakaļ sūtītājam. Tādējādi sūtītājs saņems arī vienu izvadi atpakaļ kā izmaiņas neatkarīgi no tā, vai darījuma nosūtīšanai izmantoja divus, trīs vai desmit izvadus.</p>\n\n<p>Mēs ceram, ka tas ir novērsis neskaidrības par izvadiem un to, kā darbojas protokola iekšējā uzskaite, kā arī parasto lietotāju apjukuma problēmu, saskaroties ar bloķētiem līdzekļiem. Citā rakstā mēs izpētīsim jūsu rezultātu pārvaldību, lai pēc iespējas samazinātu iespēju, ka pirms turpmāko darījumu nosūtīšanas būs jāgaida atbloķēti līdzekļi.</p>';

  @override
  String get knowledge250Sboutputs250Sbdescription => 'Daudzi kriptovalodu gudri lietotāji, iespējams, jau iepriekš ir dzirdējuši terminu \"izejas\", taču ne visi saprot, ko tas nozīmē un kā tie darbojas.';

  @override
  String get knowledge250Sboutputs250Sbtitle => 'Monero izvades skaidrojums';

  @override
  String get knowledge250Sbp2pool250Sb0250Sbtext => '<p>Viens no Monero projekta galvenajiem mērķiem ir nodrošināt godīgu, decentralizētu un drošu tīklu, izmantojot jaunas un novatoriskas pieejas pierādījuma (PoW) ieguvei, kas ir galvenais veids, kā mūsdienās tiek nodrošināti kriptovalūtu tīkli. X230X]\n\n<p>Lai gan unikāls ieguves algoritms <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/monero-mining-randomx\">, piemēram, RandomX</a>, ir ārkārtīgi svarīgs šī mērķa sasniegšanai, jo tas palīdz nodrošināt, ka ikviens, kam ir dators, var sniegt pienācīgu ieguldījumu tīkla drošībā, RandomX neatrisina problēmas. kas var rasties baseinu ieguves dēļ. Baseina ieguve mūsdienās ir visizplatītākais kriptovalūtu ieguves veids, tostarp Monero, taču, par laimi, p2pool ieguves parādīšanās to strauji maina.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtext => '<p>Pool ieguve ir veids, kā kalnrači var kopīgi mēģināt atrisināt bloku tīklā un pēc tam vienmērīgi sadalīt atlīdzību par visiem blokiem, ko kopums atrod. Lai gan tas ļoti palīdz izlīdzināt ogļraču darba samaksas biežumu salīdzinājumā ar Monero ieguvi, tas nav bez nopietnām centralizācijas problēmām.</p>\n\n<p>Tā kā katrs kalnraču ieguvējs iegulda darbu baseinā, viņi atsakās no kontroles pār jebkuru darbu, ko viņi dara, un bloķē atrasto pašu baseinu, paļaujoties, ka baseins godīgi un godīgi sadalīs atlīdzību starp visiem kalnračiem, pamatojoties uz darbu apjomu. katrs paveicis darbu. Ja viss norit labi, baseina operators savāc darbu no visiem kalnračiem, iesniedz to tīklam un vienādi sadala atlīdzību.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtitle => 'Kas ir baseinu ieguve?';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtext => '<p>Diemžēl tas pilnībā balstās uz uzticēšanos un ļauj baseina operatoram veikt nelāgas lietas ar kalnraču veikto darbu. Baseina operators varētu izmantot paveikto darbu, lai uzbruktu tīklam, mēģinātu divreiz tērēt līdzekļus (ja kopums ir pietiekami liels) vai vienkārši izmantot kalnraču paveikto darbu, lai samaksātu sev un nekad pienācīgi atalgotu kalnračus par viņu darbu. </p>\n\n<p>Lielākais risks tīklam ir tas, ka pūls (vai vairāki pūli, kas strādā kopā), kuru kontrolē ir vairāk nekā 51% tīklu, jo viņi to var izmantot, lai krāptos un iztērētu līdzekļus divreiz (dubults tēriņš). uzbrukums) vai mēģināt mainīt tīkla noteikumus.</p>';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtitle => 'Kāda ir problēma ar baseinu ieguvi?';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtext => '<p>p2pool ir jēdziens, kas sākotnēji tika izveidots Bitcoin ieguvei 2011. gadā, taču tas nekad netika plaši izmantots un paliek praktiski neizmantots Bitcoin. Par laimi, viens no galvenajiem RandomX izstrādātājiem, SCHernykh, pavadīja savu atvaļinājumu, izstrādājot risinājumus dažām problēmām, kas saistītas ar Bitcoin ieviešanu p2pool un pārrakstot visu programmatūru no nulles.</p>\n\n<p>p2pool Monero ļauj ogļračiem pilnīgi bez uzticības sadarboties, lai atrisinātu blokus un nodrošinātu Monero tīklu, izmantojot īpašu p2pool mezgla programmatūru, lai koplietotu darbu.</p>\n\n<p>Tas tiek darīts, izmantojot jaunu blokķēdi (“sānu ķēdi”), kas reģistrē katra kalnrača paveikto darbu, savu maka adresi un nopelnīto Monero, un pēc tam izmaksā atlīdzību trastā. - mazāk un decentralizēts veids. Tā kā šajā sānu ķēdē ir daudz mazāk kalnraču, tajā ir daudz vieglāk atrast un iesniegt blokus nekā galvenajā Monero tīklā, tādējādi kalnračiem ir vieglāk iegūt konsekventus maksājumus, salīdzinot ar tikai Monero ieguvi.</p>';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtitle => 'Kas ir p2pool?';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtext => '<p>Pakalpojumā p2pool nav centralizēta kopfonda, centralizēta kopfonda operatora vai vienas personas, kas glabā līdzekļus un sadala izmaksas. Visu darbu, ko kolektīvi veic tie ieguvēji, izmantojot p2pool, pārbauda p2pool blokķēde un citi mezglu operatori, lai pārliecinātos, ka tas ir likumīgs, un visiem kalnračiem tiek izmaksāta saskaņā ar darbu, ko viņi ir paveikuši nekavējoties, kad bloks tiek atrasts tieši no atlīdzības šajā atrastajā blokā.</p>\n\n<p>Kad kalnrači izvēlas izmantot p2pool, nevis centralizētu pūlu, viņi atņem visas pūles operatoru pilnvaras un uzticību un nodrošina, ka viņu darbs veicina tīkla labumu un viņu pašu atlīdzību, samazina tīkla uzbrukumu un ļaunprātīgas izmantošanas risku. par viņu darbu vai atlīdzības zādzību, kas viņiem pienākas.</p>\n\n<p>Tas ne tikai palīdz viņiem aizsargāt savas intereses, bet arī samazina risku, ko centralizētie pūli var radīt Monero tīklam kopumā. p2pool izmantošana arī palīdz ievērojami samazināt risku, ko nacionālās valstis vai regulatori var radīt tīkla veselībai, jo nav centralizētu baseinu operatoru, kas pakļautu spiedienam, nav baseinu ģeogrāfiskas koncentrācijas, uz kuriem balstīties, vai citu vieglu spiediena punktu. lai viņi varētu izmantot pret Monero.</p>';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtitle => 'Kā p2pool atrisina baseinu ieguves problēmas?';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtext => '<p>Par laimi p2pool Monero ir labi izstrādāts un labi uzbūvēts, un tas darbojas ļoti labi! Tomēr galvenais p2pool ieguves trūkums ir tas, ka katram kalnračim, kurš vēlas izmantot p2pool, ir jāvada savs Monero mezgls, tādējādi darba sākšanas process ir nedaudz vairāk iesaistīts. Tomēr šis mezgls pēc tam tiek izmantots, lai aprēķinātu visu informāciju, kas nepieciešama bloku veidošanai un pārbaudei, un nodrošina, ka kalnracis pilnībā kontrolē savu darbu. Mezgls var darboties arī kā attāls mezgls kalnraču maciņam, dot ieguldījumu tīklā un daudz ko citu.</p>\n\n<p>Otra galvenā atšķirība no centralizētās ieguves ir tā, ka mazajiem kalnračiem, kas izmanto p2pool, būs nedaudz lielāka &quot;variance&quot; jeb laiks starp izmaksām nekā lielam centralizētam kopumam, taču tas &#39; ir <em> ļoti</em> ir svarīgi atzīmēt, ka tas laika gaitā neradīs mazākus Monero ienākumus! p2pool laika gaitā būs tikpat izdevīgs pat maziem kalnračiem kā centralizētie baseini. Daļu no šīs novirzes kompensē arī tas, ka p2pool sākotnējā maksa ir 0%, jo nav centralizēta kopfonda operatora, kas maksātu par saviem pakalpojumiem!</p>';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtitle => 'Kādi ir trūkumi?';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtext => '<p>Par laimi, pateicoties lieliskajam Monero&#39; p2pool ieviešanas dizainam un daudzajiem cilvēkiem sabiedrībā, kuri ir veltījuši laiku, lai palīdzētu vienkāršot ieguves procesu, izmantojot p2pool, laika gaitā darba sākšana kļūst vienkāršāka. Ir vairāki veidi, kā sākt ieguvi, izmantojot p2pool, taču, tā kā tehniskā informācija ir ārpus šī raksta darbības jomas, varat atvērt tālāk norādīto saiti atkarībā no jūsu operētājsistēmas: </p>\n<ul>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://www.youtube.com/watch?v=yfbvTksF9ic\">Windows</a></li>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://sethforprivacy.com/guides/run-a-p2pool-node/\">Linux</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtitle => 'Kā es varu sākt?';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtext => '<p>Ja tas ir izraisījis jūsu interesi par p2pool ieguvi, tālāk skatiet dažas papildu saites un skaidrojumus par p2pool, kā tas darbojas un ko tas nozīmē Monero:</p>\n<ul>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool\">Oficiālais Github vietnei p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool#how-to-mine-on-p2pool\">Oficiālie dokumenti par p2pool izmantošanu</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.getmonero.org/2021/10/05/p2pool-released.html\">Monero P2Pool tagad ir tiešraidē</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://p2pool.observer/\">p2pool.observer, sava veida &quot;bloku pārlūks&quot; priekš p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/WeebDataHoarder/p2pool-compose\">Monero p2pool docker-compose</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.monerotalk.live/sergei-chernykh-on-his-development-of-p2pool-a-decentralized-xmr-mining-pool\"> Sergejs Černihs: par viņa izstrādāto P2Pool decentralizēto XMR ieguves baseinu</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtitle => 'Kā es varu uzzināt vairāk?';

  @override
  String get knowledge250Sbp2pool250Sbdescription => 'Baseina ieguve mūsdienās ir visizplatītākais Monero ieguves veids, taču, par laimi, p2pool ieguves parādīšanās to strauji maina.';

  @override
  String get knowledge250Sbp2pool250Sbtitle => 'P2Pool un tā loma Monero ieguves decentralizācijā';

  @override
  String get knowledge250Sbpractices250Sb0250Sbtext => '<p>Daudzi lietotāji varētu būt šokēti, uzzinot, ka eksperti uzskata, ka kriptovalūtu ir iespējams izmantot nepareizi. Atkarībā no tā, pret ko lietotājs aizsargājas, ir jāveic noteiktas darbības un piesardzības pasākumi, lai saglabātu privātumu, izvairītos no krāpniecības un nodrošinātu pareizu un savlaicīgu darījumu piegādi. Par laimi, Monero izstrādātāji ir darījuši visu iespējamo, lai šajās jomās iestatītu saprātīgus noklusējuma iestatījumus, tāpēc lietotāji, kuri izmanto seifa programmatūru tādu, kāda tā ir, lielāko daļu laika būs drošībā. Tomēr mēs vēlētos veltīt laiku, lai izskatītu dažus gadījumus, kad varētu būt noderīgi tērēt nedaudz pārdomātāk.</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtext => '<p>Pirmais un lielākais veids, kā aizsargāt savu kriptovalūtu, ir pierakstīt Monero mnemonisko sēklu, kas ir īss vārdu saraksts, kas tiek parādīts, kad pirmo reizi izveidojat savu maku. Ja jums ir šī sēkla, bet jūsu dators/tālrunis nomirst, varat atgūt savu Monero. Ja jums nav šīs sēklas un jūs pazaudējat savu maku, jūsu Monero ir pazaudēts un neviens nevar jums palīdzēt to atgūt. Tādā pašā veidā nedalieties ar šo sēklu nevienam. Ja viņiem ir šis vārdu saraksts, viņiem ir pilna piekļuve un tiesības tērēt jūsu Monero. Daudzi ir bijuši neuzmanīgi ar savu sēklu nodrošināšanu un nonāk pie biedējošās zaudētās naudas realitātes, jo kāds tos ir paņēmis. Mēs iesakām to pierakstīt. Fiziski. Neglabāt to digitāli un nodrošinot, ka jums ir vairākas kopijas dažādās vietās. Šī ir pirmā lieta, ko varat darīt, lai aizsargātu savu Monero. UZRAKSTIET SAVU SĒKU!</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtitle => 'UZRAKSTI SAVU SĒKU!';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtext => '<p>Dažās krāpniecībās jūsu datorā tiek izmantota ļaunprātīga programmatūra, kas maina kopēšanas/ielīmēšanas funkcionalitāti, lai paredzētā adresāta vietā ievietotu ļaunprātīgas programmatūras veidotāja adresi. Tā kā Monero adreses ir garas un smagnējas, var būt vilinoši pārbaudīt pirmos dažus ciparus un burtus un nosaukt to par labu vai varbūt nepārbaudīt adresi vispār. Lai gan, iespējams, nav nepieciešams pārbaudīt visu adresi, vairumam gadījumu pietiks ar adreses pirmo un pēdējo desmitu rakstzīmju pārbaudi. Adresēm, uz kurām sūtāt bieži, daudziem makiem ir adrešu grāmatas funkcija, kas automātiski ievadīs izvēlēto saglabāto adresi. Tomēr vislabāk ir veikt ātru pārbaudi.</p>';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtitle => 'Vēlreiz pārbaudiet savas adreses';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtext => '<p>Karstie un aukstie maki ir izplatīta terminoloģija kriptovalūtu jomā, un koncepcija patiešām ir diezgan vienkārša. Karstais maks ir tāds, ko bieži izņemat un lietojat. Tas ir \"karsts\" no atrašanās jūsu aizmugurējā kabatā. Aukstie maki ir tādi, kurus neaiztiek ļoti bieži, līdzīgi kā nauda bankā. Tāpat kā nav ieteicams nēsāt simtiem dolāru savā fiziskajā makā, bet parasti ir pieņemami to darīt bankas kontā, lietotājiem ir jāapsver, cik daudz Monero ir saprātīgi nēsāt savā mobilajā makā un cik daudz labāk atstāt. mājās otrā, aukstā. Tādā veidā tālruņa pazaudēšana, zādzība vai citi negadījumi neradīs pilnīgu līdzekļu zudumu.</p>';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtitle => 'Uzziniet atšķirību starp karstajiem un aukstajiem makiem';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtext => '<p>Ja doma aizsargāt savu digitālo vidi no vīrusiem un ļaunprātīgas programmatūras, lai aizsargātu Monero, jums ir biedējoša, varat apsvērt aparatūras maku. Pamatā aparatūras maciņš saglabā jūsu privātās atslēgas ierīcē, prom no datora. Tātad, pat ja jūsu dators tiek apdraudēts, hakeriem nebūs piekļuves jūsu sākumam. Līdzekļus varēsiet iztērēt tikai tad, ja aparatūras maciņš būs savienots ar datoru un parakstīs darījumu. Tādējādi atslēgu drošība tiek pārvietota no datora, kas tiek izmantots daudzām lietām un kuram ir liela uzbrukuma virsma, uz aparatūras maku, kas tiek izmantots tikai vienai lietai un kuram ir daudz mazāka uzbrukuma virsma. Vienkāršam cilvēkam, kurš nepārzina datoru drošības smalkumus, tā ir reāla iespēja nodrošināt savu līdzekļu drošību.</p>';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtitle => 'Vai aparatūras maki ir piemēroti jums?';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtext => '<p>Privātuma jomā bieži vien ir pārāk viegli nejauši nopludināt vai atklāt datus par sevi, ko var izmantot, lai jūs identificētu. Vecs piemērs, kas vairs neattiecas uz Monero, ir pielāgoti gredzenu izmēri. Ja noklusējuma vērtība ir 11 un visi izmanto 11, bet jūs pastāvīgi lietojat 54, jā, šis skaitlis ir lielāks, tāpēc jūsu anonimitāte ir augstāka, taču tagad jūs atšķiraties no pūļa un jūsu darījumus ir vieglāk identificēt. Kopš tā laika Monero ir veicis atjauninājumu, lai noteiktu gredzena izmēru 11, tāpēc tagad visi izskatās vienādi.</p>\n\n<p>Ir vairākas lietas, ko var darīt, lai nejauši kaitētu viņu privātumam citās kriptovalūtās, piemēram, Bitcoin. Cienījama miksera izvēle, monētu, kas nav KYC/AML, iegūšana, adrešu atkārtota neizmantošana un pareiza monētu izvades pārvaldība ir viss, kas indivīdam ir jāņem vērā, cenšoties samazināt metadatu noplūdi. Monero apiet daudzas no šīm problēmām, padarot privātuma funkcijas obligātas un iestatot labus noklusējuma iestatījumus vidusmēra lietotājam. Iepriekš minētais fiksēta gredzena lieluma izmantošanas piemērs nozīmē, ka galalietotājiem nav jāizdomā, kā šajā sakarā panākt vislabāko iespējamo privātumu. Maks to dara viņu vietā automātiski.</p>\n\n<p>Var šķist, ka par to runāt ir dīvaini. Lielākajai daļai lietotāju var piedot, ka viņi domā, ka visa programmatūra automātiski darbojas viņu labā, nevis pret viņiem. Diemžēl nekas nevar būt tālāk no patiesības, un, runājot par privātumu, gandrīz visām kriptovalūtām ļoti trūkst. Piepūle, kas jāpieliek, lai sasniegtu jebkādu privātuma līmeni, vidusmēra lietotājam parasti ir pārāk liela un pārāk sarežģīta. Tas bieži notiek pat ar citām kriptovalūtām, kas koncentrējas uz privātumu! Monero rūpējas par to, lai konfidencialitāte notiktu automātiski, lietotājiem nedomājot, protokola līmenī, kad iespējams, un ar saprātīgiem noklusējuma iestatījumiem makiem, kad tas tā nav. Ja rodas šaubas, vienkārši izmantojiet maka noklusējuma iestatījumus un nebaidieties uzdot jautājumus.</p>';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtitle => 'Ja rodas šaubas, izmantojiet noklusējuma iestatījumus (ar Monero)';

  @override
  String get knowledge250Sbpractices250Sbdescription => 'Apskatīsim darbības un piesardzības pasākumus, kas jāveic, lai saglabātu privātumu, izvairītos no krāpniecības un nodrošinātu pareizu darījumu piegādi Monero lietošanas laikā.';

  @override
  String get knowledge250Sbpractices250Sbtitle => 'Monero labākā prakse iesācējiem';

  @override
  String get knowledge250Sbringct250Sb0250Sbtext => '<p>Monero privātums nav atkarīgs no viena atsevišķa mehānisma, kas, ja tas tiek sabojāts, atklātu visu darījumu kopumu, bet gan trīs dažādas tehnoloģijas, kas darbojas kopā, lai nodrošinātu holistisku privātumu, vienlaikus kompensējot citu daļu vājās vietas. Šī trīs daļu pieeja sastāv no <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">zvana parakstiem</a>, RingCT un <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">slēptajām adresēm</a>. Šīs trīs tehnoloģijas attiecīgi slēpj reālo izvadi (sūtītāju), apjomu un saņēmēju. Šodien mēs runāsim par RingCT.</p>\n\n<p>RingCT ir neapšaubāmi vistehniskākais no trim, un to var būt grūti saprast, tāpēc mēs neapspriedīsim, kā tas precīzi darbojas, bet gan parādīsim, kā ir iespējams nezināt summu un tomēr apstiprināt lietas par to. . Un neuztraucieties, mēs kā vienmēr izmantosim daudz piemēru.</p>\n\n<p>Vispirms izpētīsim, kāpēc ir svarīgi kaut ko pārbaudīt par summām. Kāpēc mēs nevaram tos turēt pilnībā noslēpumā? Atbilde ir tāda, ka ir gudri veidi, kā cilvēki var radīt naudu no gaisa, ja viņiem tiek dota iespēja. Kā kaut kas līdzīgs varētu darboties? Apskatīsim piemēru.</p>\n\n<p>Ja vēlaties iegādāties preci no sava drauga un viņš par to vēlas desmit dolārus, tad jūs sāciet ar desmit dolāriem, bet viņš sākas ar nulli. Pēc tam, kad tu viņam iedosi desmit dolārus, viņam būs desmit dolāri, bet tev nulle. Jūs sākāt ar desmit, un tagad viņam ir desmit. Šajā darījumā nauda netika izveidota vai iznīcināta.</p>\n\n<p>Izmantojot kriptovalūtas, gudrs indivīds var atdot desmit dolārus par preci, un tā vietā, lai saņemtu nulles dolāru maiņās, viņi var saņemt divus dolārus atpakaļ. 0 un 10 vietā, kas rada 10 un 0 (vai 10=10), tagad 0 un 10 noved pie 10 un 2 (vai 10=12). Divi Monero tikko tika izveidoti no zila gaisa. Varat iedomāties, ka, ja indivīds to darītu ar sevi vairākas reizes, viņš īsā laikā varētu uzkrāt milzīgu bagātību.</p>\n\n<p> Izmantojot Bitcoin un citus, to būtu viegli redzēt. Apskatāt darījumos ievadītos datus un izejošos rezultātus un pārliecinieties, ka nosūtītais ir vienāds ar saņemto. Ja šīs summas ir šifrētas un nav redzamas, lietotājs nevar pārbaudīt, vai nosūtītais un saņemtais ir vienāds.</p>\n\n<p>Mēģinot palielināt Bitcoin privātumu, Gregorijs Maksvels izveidoja konfidenciālus darījumus (CT), jaunu tehnoloģiju, kas ļautu šifrēt summas, vienlaikus pierādot, ka šajā procesā nekas netika izveidots vai iznīcināts. Tāpat kā lielākā daļa privātuma tehnoloģiju, tā neiekļuva Bitcoin, bet Monero ļoti vēlējās to pieņemt. Bija tikai viena problēma. Jau ieviestā gredzenu parakstu tehnoloģija nebija savienojama ar piedāvāto ideju. Tātad viens no toreizējiem MRL pētniekiem Shen Noether pārveidoja CT par RingCT — CT versiju, kas bija saderīga ar zvana parakstiem.</p>\n\n<p> Vēlreiz jāatzīmē, ka tas darbojas diezgan tehniski, un to būtu grūti izskaidrot ievadrakstā. Kriptogrāfijas entuziastam, kuram tas vienkārši ir jāzina, internetā ir daudz padziļinātu rakstu par CT iekšējo darbību. Mums pārējiem šis raksts parādīs, kā varētu slēpt summas, bet tomēr pierādīt, ka nekas netika izveidots vai iznīcināts.</p>\n\n<p>Pieņemsim, ka Alise gribēja nosūtīt Bobam naudu. Alise nosūtīs 10 XMR Bobam, kurš saņems 10 XMR. 10=10 tātad nekas nav kārtībā. Bet Alise nevēlas, lai kāds zinātu, cik daudz viņa sūta. Tāpēc viņa un Bobs izveido kopīgu noslēpumu. Būtībā skaitlis, ko zina tikai viņi abi. Pieņemsim, ka šis skaitlis ir 22. Tagad Alise reizina 10 (to, ko viņa patiešām sūta) ar 22, lai iegūtu 220. Šis ir skaitlis, ko viņa kopīgo ar tīklu.</p>\n\n<p>Paši kalnrači nezina slepeno numuru. Ja viņi to darītu, viņi varētu dalīt parādīto numuru ar slepeno numuru un saņemt reālo nosūtīto summu. Bet, tā kā viņi to nedara, viņi nevar. Viņi tomēr redz, ka Bobs saņems 220. 220 nosūtīti. 220 saņemti. 220 = 220. Tādā veidā tīkls var pārbaudīt, vai Monero nav izveidots vai iznīcināts, nezinot patieso summu, ko Alise nosūtīja Bobam.</p>\n\n<p>Tā kā Bobs zina koplietoto slepeno numuru, kad viņš saņem naudu, viņš vienkārši dala ar 22, lai iegūtu patieso summu, ko Alise nosūtīja, — 10. Alise un Bobs zina, cik daudz tika nosūtīts un cik saņemts. visiem pārējiem tiek piešķirts nepatiess numurs.</p>\n\n<p> Vēlreiz atkārtoju, ka tas nav īstais veids, kā CT darbojas, taču tas sniedz priekšstatu par to, kā kaut kas līdzīgs varētu būt iespējams. Patiesais veids ietver tādas lietas kā Pedersena saistības, divas nosūtītās summas (viena šifrēta summa saņēmējam un viena saistību summa tīklam) un… jā, jau tagad ir viegli saprast, kā tajā visā var pazust.</p>\n\n<p>Tomēr viena lieta, kas jāņem vērā, ir tāda, ka, lai gan RingCT slēpj summu, ko darījumā veic divas puses, tas neslēpj divas citas skaitļu kopas.</p>\n\n<p>Pirmais ir monētu bāzes darījumi. Ja šis termins jums nav pazīstams, tas būtībā nozīmē atlīdzību, ko kalnrači saņem par nākamā bloka atrašanu. Šis numurs nav slēpts. Ikviens var redzēt, cik daudz protokols ir piešķīris kalnraču par viņu pakalpojumu. Tādā veidā pašreizējo Monero daudzumu var uzzināt, saskaitot visus monētu bāzes darījumus. To summa būs vienāda ar pašreizējo Monero apgrozībā.</p>\n\n<p>Otrais skaitlis, kas nav slēpts, ir maksa, ko maksā kalnračiem, kad lietotājs nosūta darījumu. Maksai ir jābūt skaidrai, lai kalnrači varētu zināt, kam piešķirt prioritāti. Tomēr tas ir veids, kā lietotāji var kaitēt viņu privātumam, jo, ja kāds izmanto unikālu kalnraču maksu katru reizi, kad nosūta darījumu (piemēram, 0,12345), viņu darījumus var saistīt.</p>\n\n<p>Izņemot šos gadījumus, RingCT ir slēpis Monero summas kopš 2017. gada, un mūsu kolektīvā privātuma aizsardzība ir vēl spēcīgāka.</p>';

  @override
  String get knowledge250Sbringct250Sbdescription => 'RingCT ir slēpis Monero summas kopš 2017. gada, un mūsu kolektīvā privātuma aizsardzība ir vēl spēcīgāka. Bet kā tas tiek panākts?';

  @override
  String get knowledge250Sbringct250Sbtitle => 'Kā RingCT slēpj Monero darījumu summas';

  @override
  String get knowledge250Sbrings250Sb0250Sbtext => '<p>Monero ir plaši pazīstams visā kriptovalūtā kā privātuma monētu karalis. Lai gan visi zina, ka Monero piedāvā labu privātumu, ne tik daudzi saprot, kā privātums darbojas.</p>\n\n<p>Daudzās citās privātuma monētās tiek publicētas salīdzināšanas diagrammas infografikas, kurās ir norādīti katras monētas konfidencialitātes tehnoloģijas nosaukumi, un vairumā gadījumu Monero tehnoloģija tiek apzīmēta kā RingCT, taču tā ir tikai daļēji taisnība. Monero faktiski ir trīs veidu pieeja privātumam. Viena tehnoloģija, lai paslēptu darījuma saņēmēju, viena, lai paslēptu nosūtīto summu, un viena, lai paslēptu izmantoto izvadi. Tās ir attiecīgi slepenas adreses, RingCT un zvana paraksti.</p>\n\n<p>Šī trīsvirzienu pieeja nozīmē, ka, ja viena no tehnoloģijām tiek sabojāta, pārējām ne vienmēr ir tāds pats liktenis. Zvana paraksti ir vājākais posms privātuma shēmā; vārds vājš šeit nozīmē visjutīgāko pret heiristiskiem uzbrukumiem. Atvēlēsim kādu laiku, lai tos izpētītu, vai ne?</p>\n\n<p>Kā minēts iepriekš, zvana parakstu mērķis ir aizēnot darījumā izmantoto izvadi. Ja kriptovalūtas “ievades/izvades” terminoloģija jūs mulsina, neuztraucieties. Patiesībā tas nav tik sarežģīti. Kad dzirdat vārdu \"izeja\", vienkārši padomājiet par pārbaudi. Viena no tām lietām, kas vairs nav tik izplatīta un ar ko cilvēki mēdz norēķināties. Tāpat kā čeku, to var apzīmēt jebkurā summā — USD 10, USD 32,50 utt., un to var apmainīt starp darījuma pusēm. Kriptovalūtām izejas kalpo šīm funkcijām.</p>\n\n<p>Kad kāds jums maksā 10 Monero, jūs saņemat 10 XMR izvadi. Šai izvadei ir vērtība (10), un tā tiek ņemta no sūtītāja maka, tāpat, kad maksājat par pakalpojumu, rēķins atstāj jūsu fizisko maku un tiek nodots personai, no kuras iepērkaties.</p >\n\n<p>Izvade tiek paslēpta, izveidojot mānekļu izvadu gredzenu (tātad arī nosaukumu). Taču šie mānekļi nav “viltus” izvadi. Tie ir reāli pagātnes blokķēdes izvadi, kuriem nav nekāda sakara ar pašreizējo darījumu, taču ārējam novērotājam katra no šīm izvadēm var izskatīties tikpat ticama kā reālā. Mānekļu izvadu komplekta lielums, pieskaitot īsto, tiek saukts par gredzena izmēru, un pašlaik Monero ir vienpadsmit. Tātad ir desmit mānekļu izvadi un viens īsts.</p>\n\n<p>Kāpēc mēs vienkārši nepalielinām šo skaitu līdz 100 vai pat 1000? Jo vairāk, jo labāk, vai ne? No privātuma viedokļa jā, taču ir jāņem vērā arī citas lietas. Atgriezīsimies pie fiziska piemēra, lai redzētu, ko es domāju. Ja vēlaties paslēpt vienu no savām dolāra banknotēm starp desmit mānekļiem, jums makā vajadzētu nēsāt apmēram vienpadsmit dolārus par katru dolāru, ko vēlaties tērēt. Viens īsts dolārs un desmit viltoti. Tas jau kļūst diezgan apgrūtinoši, ja vēlaties iztērēt pat dažus dolārus. Tagad iedomājieties, ka mēs palielinājām mānekļa summu līdz 1000. Par katru vienu dolāru, kuru vēlaties tērēt, jums līdzi jāņem aptuveni 1001 dolārs. Lai iegādātos vienu konfekšu batoniņu, jums būs jānēsā līdzi portfelis! Ir svarīgi atzīmēt, ka gredzenu paraksti nedarbojas gluži šādā veidā, piemēram, paši mānekļi nav paraksta sastāvdaļa, ir tikai atsauces uz tiem, taču mēs ceram, ka šī līdzība var nedaudz noderēt, lai attēlotu pamatjēdzienus.< /p>\n\n<p>Mānekļi blokķēdē darbojas līdzīgi. Katrs pievienotais māneklis palielina darījuma laiku un verifikācijas izmaksas. Katram mezglam ir jālejupielādē viss gredzena paraksts katram darījumam, un katrs gredzena paraksts satur reālo izvadi, kā arī mānekļus. Ne tikai tas, bet arī matemātiski jāpārbauda, vai vismaz viens no šiem rezultātiem ir reāls, un arī matemātiskās pārbaudes laiks palielinās ar katru mānekli. Tas nozīmē, ka mums ir jāatrod laimīgs vidusceļš, kur gredzena izmērs ir pietiekami liels, lai pietiekami aizēnotu reālo rezultātu, pat pret daudziem heiristiskiem uzbrukumiem, bet pietiekami mazs, lai neizraisītu masveida blokķēdes palielināšanos. Nepietiek ar patvaļīga skaitļa izvēli vai vienkārši palielināt gredzena izmēru, kad parakstu samazina (piemēram, izmantojot CLSAG). Monero kopiena vēlas konkrētus, matemātiskus pierādījumus par to, kurš gredzena izmērs piedāvā vislabākos kompromisus. Skaitlis ir pārāk mazs, un privātums nebūs pietiekami spēcīgs pret heiristiskiem uzbrukumiem. Pārāk liels, un mēs, iespējams, gūstam tikai nelielu labumu no privātuma puses un nevajadzīgi ciešam saistībā ar mērogošanu.</p>\n\n<p>Pēdējais, kas jāpiemin. Dažā Monero literatūrā ir vienkāršots un teikts, ka zvana paraksti slēpj sūtītāju, taču tā nav pilnīgi taisnība, un atšķirība nav tikai pedantiska. Atšķirība starp sūtītāju (cilvēku) un izvadi (rēķinu) ir liela, ja runa ir par privātuma saglabāšanu. Lai gan izvade var būt saistīta ar sūtītāju, pati izvade nav vienāda ar sūtītāju. Tāpēc pat tad, ja gredzena paraksts tika salauzts, tas ne vienmēr ir saistīts ar personas identitāti, un gan summa, gan saņēmējs joprojām tiek slēpti, tādējādi samazinot visu pušu privātumam nodarīto kaitējumu.</p>\n\n<p>Tas nenozīmē, ka bojāts gredzena paraksts ir nenozīmīgs. Jebkuri nopludinātie metadati ir slikti, un tie var atklāt vairāk informācijas, nekā mēs domājam, it īpaši, ja tos izmanto kopā ar citiem metadatiem. Tāpēc mēs darām visu iespējamo, lai nodrošinātu, ka izvēlētais gredzena lielums ir akadēmiski stingrs, pieņemot lēmumu, līdz minimumam tiek samazināta citu metadatu noplūde un lietotāja pieredzes noklusējuma darbības tiek veiktas pēc iespējas labāk.</p>\n\n<p>Bet, ja jūs joprojām uztraucat salauzta paraksta iespējamība, tad pie apvāršņa ir dažas neticamas ziņas. Nākamās paaudzes privātuma protokoliem, pie kuriem tiek strādāts, piemēram, Triptych, Arcturus un Lelantus, ir patiešām glītas iespējas. Šajos protokolos, palielinoties gredzena izmēram, izmērs mainās logaritmiski, nevis lineāri. Tas nozīmē, ka mēs varam ievietot 100 mānekļus, bet izmantotā vieta ir tuvāk 10 gredzena izmēram vecajā tehnoloģijā. Tā ir liela atšķirība, un tā ievērojami uzlabos privātumu visapkārt.</p>\n\n<p>Kaķa un peles spēlē, kas ir privātums, Monero nepārtraukti ievieš jauninājumus, lai paliktu priekšā un nodrošinātu vislabāko praktisko privātumu visiem.<p>';

  @override
  String get knowledge250Sbrings250Sbdescription => 'Zvana paraksti ir vājākais posms privātuma shēmā; vārds vājš šeit nozīmē visjutīgāko pret heiristiskiem uzbrukumiem. Izpētīsim tos, vai ne?';

  @override
  String get knowledge250Sbrings250Sbtitle => 'Kā zvana paraksti aizsedz Monero izvadi';

  @override
  String get knowledge250Sbscams250Sb0250Sbtext => '<p>Kamēr ir bijusi nauda, ir bijušas krāpniecības, lai panāktu, ka cilvēki no tās šķiras, un kriptovalūtas telpa neatšķiras. Faktiski kriptovalūtas darījumu galīgums kopā ar to, ka nav nevienas centrālās organizācijas, kas palīdzētu tos atgūt, ir radījis jaunus un novatoriskus veidus, kā krāpnieki var nozagt nenojaušus lietotājus un ar saviem līdzekļiem pazust digitālajā tukšumā. Šajā rakstā mēs veltīsim laiku, lai informētu jaunos lietotājus par dažām no izplatītākajām krāpniecībām šajā telpā, taču šis saraksts nekādā ziņā nav visaptverošs, un lietotāji tiek mudināti gan būt informētiem par jaunākajām krāpniecības tendencēm, gan pastāvīgi sekot līdzi. apzinās un skeptiski uztver savu digitālo vidi.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtext => '<p>Viena no vecākajām krāpniecībām grāmatā, un tā var notikt jebkurā diskusiju platformā. Šajā krāpniecībā krāpnieks uzdosies par uzticamu kopienas personu vai augsta ranga amatpersonu saistītā uzņēmumā. Kad upura uzticība ir nopelnīta ar šo iedibināto reputāciju, krāpnieks var nosūtīt lietotāju uz ļaunprātīgu vietni, likt viņam lejupielādēt programmu, kas izstrādāta, lai nozagtu viņu līdzekļus, vai pat vienkārši likt lietotājam tieši nosūtīt viņiem līdzekļus. Vienmēr trīs reizes pārbaudiet, vai persona, ar kuru runājat, patiešām ir īstā persona. Uzņēmumiem būs e-pasta adreses, ar kurām sazināties, lai pārbaudītu identitāti (t.i., \"Vai jūsu uzņēmuma izpilddirektors tikko sazinājās ar mani telegrammā?\"), un ar citiem kopienas vadītājiem parasti varēs sazināties, izmantojot citus līdzekļus. Pirms jebkādu darbību veikšanas pārbaudiet. ĪPAŠI, ja viņi uzsāka sarunu ar jums, nevis jūs ar viņiem.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtitle => 'Krāpnieku viltība';

  @override
  String get knowledge250Sbscams250Sb2250Sbtext => '<p>Līdzīgi kā krāpnieku krāpniecība, šeit krāpnieki mēģinās izveidot vietni vai lietotni, kas pēc izskata ir identiska esošajiem un uzticamiem uzņēmumiem, bet ar kodu un infrastruktūru, kas ir paredzēta jūsu Monero nozagšanai. Bieži vien ļaunprātīgai vietnei ir gandrīz identisks domēna nosaukums kā oriģinālajai vietnei, un ir pat zināms, ka tā, iegādājoties reklāmas laukumu, iegūs labākos vietnes meklēšanas rezultātus internetā. Ja uzticamas vietnes piemērs ir themonerowallet.com, krāpnieku vietne varētu būt the-monero-wallet.com vai, vēl ļaunāk, themonerȯwallet.com. Vai jūs sapratāt problēmu ar pēdējo? O virs tā ir punkts. Apskatiet: ȯ. Taču no pirmā acu uzmetiena tas var nebūt redzams, un, ja domēna nosaukums izskatās pareizs un vietne šķiet identiska tai, kādu to varētu gaidīt, ir pārāk viegli iekrist slazdā un atdot savu Monero sēklu, lai atrodiet savu Monero pazudušo, pirms zināt, kas jūs piemeklē.</p>\n\n<p>Taču, kā teikts šīs sadaļas sākumā, tas attiecas ne tikai uz vietnēm. Ir bijuši gadījumi, kad krāpnieki Google Play veikalā vai App Store var iezagt ļaunprātīgu lietotni, kas izskatās identiska esošajiem makiem, kur tā netiek atklāta, līdz tiek ziņots (kas var aizņemt diezgan ilgu laiku). Šajā laikā lietotāji domā, ka lejupielādē pareizo lietotni, taču patiešām zaudē savus līdzekļus krāpniekiem.</p>\n\n<p> Šāda veida krāpniecības risinājums ir modrība. Pirms jebkuras vietnes vai lietotnes pakalpojumu izmantošanas vienmēr pārbaudiet vēlreiz. Kad vien iespējams, ievadiet zināmas vietnes nosaukumu tieši URL joslā, nevis izmantojiet meklētājprogrammas, un esiet īpaši rūpīgi, kad kaut kas tiks lejupielādēts vai jūsu sēkla tiks jebkādā veidā izmantota.</p>';

  @override
  String get knowledge250Sbscams250Sb2250Sbtitle => 'Biznesa izskata līdzīgi krāpniecība';

  @override
  String get knowledge250Sbscams250Sb3250Sbtext => '<p>Dažreiz krāpnieki pat nemēģina būt smalki. Viņi izsaka milzīgas, grandiozas prasības un zina, ka vienmēr būs muļķi, kas viņiem noticēs izmisuma, alkatības vai neziņas dēļ. Šai krāpniecībai ir dažādi veidi, sākot no monētu projektiem, kas sola smieklīgu atdevi no ieguldījumiem, kad jūs vispirms iedodat naudu (piemēram, Bitconnect), līdz īpašām, slepenām grupām, kas sola jums iepriekš pastāstīt par visām tirgus kustībām, lai jūs varētu pelnīt naudu. .par maksu. Atcerieties. Ja kaut kas izklausās pārāk labi, lai būtu patiesība, iespējams, tā arī ir. Šis padoms ir īpaši aktuāls kriptovalūtas jomā, jo mūsdienās monētas vai viedā līguma izvietošana ir mazsvarīga, un savu šaubīgo prasību publicēšana tiešsaistē ir bez maksas. Atcerieties, ja kāds patiešām atrada veidu, kā noteikt tirgus laiku vai atklāt veidu, kā nopelnīt bezgalīgas naudas tonnas, tad kāpēc viņš jums to teiktu? Viņi paši to vienkārši izmantotu, lai kļūtu bagāti. Kāpēc viņi ar to dalītos? Esi gudrs. Izmanto savas smadzenes. Neuzticieties nevienam.</p>';

  @override
  String get knowledge250Sbscams250Sb3250Sbtitle => 'Tiešā krāpniecība';

  @override
  String get knowledge250Sbscams250Sb4250Sbtext => '<p>Jūsu Monero sēkla IR jūsu Monero. Jums tas ir jāpieraksta, kad pirmo reizi veidojat maku, jo, ja pazaudējat savu sēklu, esat pazaudējis savu Monero un neviens jums nevar palīdzēt. BET ARĪ jums ir jāsargā šī sēkla no citiem. Ja kāds nozog jūsu sēklu, viņš var izsūtīt Monero no maka it kā jūs, un atkal neviens nevarēs atgūt šo naudu jūsu vietā. Tā vairs nav.</p>\n\n<p> Pārāk bieži kāda persona ir glabājusi aukstu Monero maku, interesējusies par saviem līdzekļiem un vēlējusies to pārbaudīt. Taču tā vietā, lai veiktu problēmas vai atkārtoti instalētu visu maka lietojumprogrammu, viņi vienkārši nolemj izmantot tīmekļa maku, lai ātri atjaunotu sēklu un apskatītu savu naudu. Ja viņi kļūst par upuriem krāpniecībai Business Look Alike, tad pati savu sēklu ievadīšana dod to krāpniekiem, kuri pēc tam var pārvietot naudu uz citu seifu, kuru viņi kontrolē sev ērtā laikā.</p>\n\n<p>JEBKURĀ KAD vietnei, lietojumprogrammai vai makam ir opcija “Atjaunot ar sēklu”, esiet ļoti uzmanīgs, lai jūsu izmantotā lietojumprogramma būtu likumīga. Pārbaudiet programmas jaucējus (Monero tīmekļa vietnē ir norādījumi par to, kā to izdarīt), lai pārliecinātos, ka programmu nav iejaukuši ārēji spēki, un pastāvīgi apzinieties, kur un kā jūs atklājat savu sēklu. Divkāršā pārbaude var būt kaitinoša, taču līdzekļu zaudēšana neuzmanības dēļ būtu vēl lielāka.</p>';

  @override
  String get knowledge250Sbscams250Sb4250Sbtitle => 'Jūsu Monero sēklas loma krāpniecībā';

  @override
  String get knowledge250Sbscams250Sbdescription => 'Tik ilgi, kamēr ir bijusi nauda, ir bijušas krāpniecības, lai panāktu, ka cilvēki no tās šķiras — atvēlēsim laiku, lai apskatītu dažas no izplatītākajām krāpniecībām šajā telpā.';

  @override
  String get knowledge250Sbscams250Sbtitle => 'Krāpniecība, kam jāpievērš uzmanība, lietojot Monero';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtext => '<p>Šajā ziņojumā ir aprakstīts <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/Seraphis\">Seraphis</a> — darījumu protokolu struktūru un abstrakciju kopums, ko Monero ekosistēmai izstrādājis pseidonīms pētniecības līdzstrādnieks <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB\"><code>koe</code></a>, un ar nepārtrauktu drošības analīzi. pseidonīms līdzautors <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/coinstudent2048\"><code>coinstudent2048</code></a>.<br/>\nMēs veicam dažus vienkāršojumus un izlaižam noteiktas tehniskas detaļas skaidrības labad; šī iemesla dēļ un tāpēc, ka Seraphis dizains joprojām tiek izstrādāts, ieinteresētajiem lasītājiem ir jāmeklē Seraphis dokumentācija, lai iegūtu jaunāko informāciju.</p>';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtitle => 'Seraphis: moduļu dizaina jauninājums Monero darījumiem';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtext => '<p>Protokoli, piemēram, Bitcoin un Monero un citi, balstās uz tā saukto darbības \"izejas modeli\", kur <em>izvade</em> ir vērtības, ko var pārsūtīt, attēlojums.<br/>\nDarījumos tiek patērēts viens vai vairāki izvadi, kurus kontrolē sūtītājs, un tiek ģenerēti jauni izvadi, kas vērsti uz adresātiem (vai atpakaļ sūtītājam kā izmaiņas); darījumam ir jābūt līdzsvarotam ar to, ka patērētajiem izvadiem ir jāietver kopējā vērtība, kas ir tieši vienāda ar jauno izvadu vērtību (plus tīkla noteiktā maksa).<br/>\nDaudzos protokolos, piemēram, Bitcoin, izvadā esošā vērtība ir rakstīta skaidri, tāpat kā adresāts.<br/>\nTurklāt, aplūkojot blokķēdi, ir triviāli redzēt, vai un kad izvade ir iztērēta (tas ir, vai tā ir iztērēta vēlākā darījumā un kurā darījumā to iztērēja).</p>\n<p>Turpretim protokoli, piemēram, Monero, ievieš atšķirīgu dizainu:</p>\n\n<ul>\n<li>Izvades vērtības ir paslēptas un nav redzamas blokķēdē</li>\n<li>Adresātu adreses tiek paslēptas, izmantojot vienreizēju adresācijas protokolu</li>\n<li> Neatkarīgi no tā, vai izvade ir iztērēta, tiek aizēnota neskaidru parakstu izmantošana</li>\n</ul>\n\n<p>Rezultāts ir tāds, ka, ja nav ārējas informācijas, ir grūti noteikt, vai dotā produkcija ir iztērēta, kāda ir tās vērtība un kas ir tās saņēmējs.</p>\n\n<p>Pašreizējais Monero transakciju protokols tiek saukts par <em>RingCT</em>, un, lai sasniegtu šos dizaina mērķus, tiek izmantoti vairāki kriptogrāfijas bloki.</p>\n\n<ul>\n<li><em>Saistības</em> slēpj summas matemātiski noderīgā veidā</li>\n<li><em>Diapazona pierādījumi</em> novērš pārplūdi, kas varētu palielināt padevi</li>\n<li><em>Saistāmie zvana paraksti</em> nodrošina parakstītāju neskaidrību un novērš dubultas tērēšanas mēģinājumus</li>\n<li><em>Saistību kompensācijas</em> apliecina, ka darījumu atlikums</li>\n</ul>\n\n<p>Šie bloki ir rūpīgi savstarpēji saistīti, lai izveidotu RingCT protokolu.</p>\n\n<p>Noderīga RingCT protokola īpašība ir tāda, ka dažus blokus var mainīt vai uzlabot tā, lai kopējais dizains un īpašības tiktu saglabātas neskartas, taču tas var nodrošināt efektivitātes vai drošības uzlabojumus.\nFaktiski šāda veida jauninājumi ir notikuši (vai tiek plānoti) vairākas reizes Monero vēsturē.\nDiapazona pierādījumi sākotnējā RingCT protokolā bija apjomīgi un lēni; vēlāk tie tika atjaunināti uz konstrukciju ar nosaukumu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2017/1066\">Bulletproofs</a>, kas padarīja darījumus mazākus un ātrākus ar labāku drošības analīzi, un ir plānots tos atjaunināt uz jaunāku konstrukciju ar nosaukumu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/735\">Bulletproofs+</a>, lai nodrošinātu vēl lielākus efektivitātes ieguvumus. </p>\n\n<p>Līdzīgs process tika veikts ar savienojamā gredzena paraksta veidošanas bloku.\nSākotnējā protokolā tika izmantota konstrukcija ar nosaukumu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ledger.pitt.edu/ojs/ledger/article/view/34\">MLSAG</a>.\nVēlāk tas tika atjaunināts uz jaunāku konstrukciju ar nosaukumu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/654\">CLSAG</a>, kas ir ātrāka, nodrošina mazākus darījumus un labāku drošības analīzi.\nTika ierosināta vēl jaunāka savienojama gredzena paraksta konstrukcija, kuras pamatā ir <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/018\">Triptych</a>, taču tā netika izvēlēta izvietošanai, jo tā ietekmēja vairāku parakstu darbības.</p>';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtitle => 'Darījumi Monero';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtext => '<p>Seraphis paver šo ideju soli tālāk.<br/>\nTā vietā, lai atjauninātu atsevišķus esošā RingCT transakciju protokola blokus, tiek ieviests cits protokols, kas var izmantot dažādu elementu priekšrocības un piedāvāt uzlabotu funkcionalitāti.</p>';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtitle => 'Serafiss';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtext => '<p>Seraphis izmanto citu kriptogrāfijas bloku komplektu, lai sasniegtu savus dizaina mērķus.</p>\n\n<ul>\n<li><em>Saistības</em> joprojām slēpj summas</li>\n<li><em>Diapazona pierādījumi</em> joprojām novērš pārplūdi un padeves palielināšanos</li>\n<li><em>Dalības pierādījumi</em> nodrošina parakstītāju neskaidrību</li>\n<li><em>Saistību kompensācijas</em> joprojām apstiprina līdzsvaru</li>\n<li><em>Pierādījumu autorizācija</em> novērš dubultas tērēšanas mēģinājumus</li>\n</ul>\n\n<p>Ņemiet vērā izmaiņas šeit: saistāmie gredzenu paraksti tiek aizstāti ar dalības apliecinājumu un pilnvarojošo pierādījumu kombināciju.\nAptuveni runājot, dalības pierādījumi liecina, ka patērētā produkcija ir daļa no lielākas kopas, līdzīgi kā tas notiek RingCT.\nBet atšķirībā no RingCT dalības pierādījumos vispār nav ietverts saistīšanas tags!\nAutorizācijas pierādījumi liecina, ka saistīšanas tags ir derīgs un tiek izmantots galīgā darījuma parakstīšanai.</p>\n\n<p>Tā kā RingCT pievieno saistīšanas tagu neskaidrā parakstā, parakstīšanas (un vairāku parakstu) darbības ir daudz skaitļošanas ziņā ietilpīgākas, un kļūst grūtāk izveidot citu ar tagu saistītu funkcionalitāti.\nTaču Seraphis dalības apliecinājumu izveidi var droši deleģēt no ļoti uzticamām ierīcēm (kurām var būt ierobežota skaitļošanas jauda, piemēram, aparatūras maciņam) uz mazāk uzticamu ierīci, un parakstīšanas (un vairāku parakstu) darbības ir daudz vienkāršākas, izmantojot daudz vienkāršāku autorizācijas pierādījumu. </p>\n\n<p>Par laimi, daži Seraphis nepieciešamie elementi jau pastāv citur, un tie nav jāprojektē no nulles.\nGan Bulletproofs, gan Bulletproofs+ konstrukcijas var izmantot kā attāluma necaurlaidības.\nPierādījumu autorizācijai var izmantot modifikācijas Schnorr tipa pierādīšanas sistēmās.\nUn efektīvu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2015/643\">pierādīšanas sistēmu</a>, kas jau tika izmantota kā pamats Triptych, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/373\">Lelantus</a> un <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2021/1173\">Spark</a><sup>*</sup>, var modificēt dalības pierādījumiem. X2127X]\n\n<p><sup>*</sup> Cypher Stack saņem finansējumu Spark izstrādei.</p>';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtitle => 'Celtniecības klucīši';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtext => '<p>Diemžēl pašlaik izmantotās Monero adreses nav saderīgas ar Seraphis.\nJa Seraphis tiktu ieviests, lietotājiem būs jāģenerē jaunas adreses no sava maka atslēgām, lai saņemtu Monero.\nTomēr šīs ekosistēmas izmaksas ir saistītas ar daudzām priekšrocībām.</p>\n\n<p> Papildus iepriekš apspriestajām strukturālajām priekšrocībām Seraphis dizains ir piemērots daudzām dažādām adreses konstruēšanas iespējām, no kurām katra ir saistīta ar kompromisiem.\nLai gan Seraphis izmantojamā galīgā adreses konstrukcija <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/92\"> vēl tiek izlemta</a> (vienu shēmu, kurai tiek pievērsta liela uzmanība, sauc par <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://gist.github.com/tevador/50160d160d24cfc6c52ae02eb3d17024\">JAMTIS</a>), mēs varam aprakstīt dažas kopīgas un noderīgas funkcijas.</p> ]\n\n<p>Iespējams, jūs zināt, ka Monero adreses piedāvā <em>skata taustiņa</em> funkcionalitāti, kur ierīcei vai trešajai pusei varat nodrošināt skata taustiņu un ļaut tai jūsu vārdā skatīties ienākošos izvadus, taču neatsakoties no tēriņiem. iestāde.\nTas ir noderīgi makiem, kas var tikt atjaunināti, vienlaikus saglabājot tēriņu atslēgu droši aizslēgtu.\nTas ir noderīgi arī gadījumos, kad vēlaties piekļūt ārējiem skatiem, piemēram, publiskai labdarības organizācijai, kas piedāvā caurspīdīgumu, vai uzņēmumam ar grāmatvedības nodaļu.</p>\n\n<p>Monero skata taustiņu negatīvie aspekti ir tādi, ka tie nenodrošina pilnīgu vai smalku piekļuvi skatam.\nNav iespējams droši noteikt, kad maciņš tērē līdzekļus, tāpēc ir grūti pareizi aprēķināt maka atlikumu, ja nav pieejama tēriņu atslēga.\nPašlaik nav arī iespējams noteikt ienākošos izvadus, neapgūstot arī šajos izvados ietvertās vērtības (tas nozīmē, ka jebkura trešā puse, kas ir atbildīga par ienākošo izvadu atrašanu, uzzinās, cik daudz Monero jūs iegūstat).</p>\n\n<p>Seraphis adresācijas konstrukcijas var to atrisināt.\nIzmantojot Seraphis, jūsu adrese ir aprīkota ar dažādiem taustiņiem, ar kuriem var veikt dažādas darbības: </p>\n\n<ul>\n<li>Sekojiet ienākošajiem izvadiem, bet paslēpiet to vērtību</li>\n<li> Skatieties ienākošos izvadus, bet parādiet to vērtību</li>\n<li>Skatieties izejošos izvadus</li>\n<li>Palīdzēs ģenerēt darījumus, bet neparakstīt tos</li>\n<li>Jaunu adrešu ģenerēšana (noder mazumtirgotājiem vai apmaiņai ar daudziem klientiem)</li>\n</ul>\n\n<p>Kā adreses īpašnieks jūs varat izlemt, cik pilnvaras deleģējat citām ierīcēm vai trešajām pusēm.</p>';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtitle => 'Uzrunāšana';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtext => '<p>Seraphis ir būtiskas izmaiņas Monero ekosistēmā.\nLai gan tas ietver adrešu un darījumu veidošanas bloku modifikācijas, tā dizains piedāvā elastību un noderīgu funkcionalitāti, kas nav iespējama ar mūsdienu RingCT protokolu.\nLai gan liela daļa dizaina ir pabeigta un tiek izstrādāta <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/monero/tree/seraphis_lib\">ieviešanā</a>, adreses izstrāde un drošības analīze turpinās.\nSeraphis piedāvā lielisku iespēju virzīt Monero ekosistēmu uz priekšu!</p>';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtitle => 'Lielais attēls';

  @override
  String get knowledge250Sbseraphis250Sbdescription => 'Šodien mēs runājam par Seraphis — gaidāmo darījumu protokolu struktūru un abstrakciju kopumu Monero ekosistēmai.';

  @override
  String get knowledge250Sbseraphis250Sbtitle => 'Serafiss: ko tas darīs Monero';

  @override
  String get knowledge250Sbsov250Sb0250Sbtext => '<p>Tā ir izplatīta runa (un mēs pilnībā ticam), ka Monero ir labāks apmaiņas līdzeklis nekā caurspīdīgās monētas, tostarp Bitcoin. Tas ir tāpēc, ka Monero raksturīgā privātuma dēļ nav iespējams izsekot, izvairoties no daudzām briesmām, kas rodas, ja jūsu naudas plūsma ir pieejama visām ieinteresētajām pusēm. Turklāt privātums atbloķē aizstājamību, lai lietotāji varētu justies pārliecināti, ka katrs Monero, kas apmainīts pret preci vai pakalpojumu, ir līdzvērtīgs jebkuram citam, jo nav saistītas pagātnes.</p>\n\n<p>Lai arī cik izplatīts ir šis sarunu punkts, ir arī cits, kas parasti tiek parādīts blakus tam; ka, lai gan Monero var būt labāks apmaiņas līdzeklis, Bitcoin ir labāks vērtības glabātājs. Tas nav nekas neparasts dzirdēt pat Monero kopienā. Izmantojiet Monero kā izdevumu kontu un izmantojiet Bitcoin kā krājkontu. Kad tiek spiesti argumentēt, šie lietotāji pat nedomā, ka tas noteikti ir tāpēc, ka Bitcoin cena pieaug ātrāk nekā Monero, bet gan tāpēc, ka Bitcoin ir “īpašības”, kas padara to par digitālo zeltu.</p>\n\n<p>Mēs pilnībā nepiekrītam šai idejai un šajā rakstā vēlamies paskaidrot, kāpēc. Bitcoin radikālā caurspīdīgums vairāk mazina tā īpašības kā vērtības krātuvei, nekā cilvēki saprot. Pirmais un visredzamākais piemērs tam ir iztēloties citu vispārpieņemtu vērtību krātuvi, zeltu, ar Bitcoin caurspīdīgumu.</p>\n\n<p>Kas notiktu ar uzticību zeltam, ja būtu iespējams (triviāli daudzas reizes) saistīt zelta daudzumu ar personu vai grupu? Vai tas joprojām tiktu izmantots tā, kā tas ir, ja katru reizi, kad tiek pārsūtīts zelts, ir zināms, ka ir notikusi pārsūtīšana, kas bija sūtītājs un saņēmējs un kāds zelta daudzums tika pārsūtīts? Mēs domājam, ka nē.</p>\n\n<p>Viena no zelta īpašībām, kas ir raksturīga tam, ka tas ir reālās pasaules objekts, ir tas, ka tas ir dabiski privāts. Tam var mākslīgi piešķirt vēsturi, iepriekšējos īpašniekus apzīmējot ar zelta stieni, taču tos var viegli noņemt, izkausējot stieni un pārtaisot to, kas nav pieejama Bitcoin.</p>\n\n<p>Šī kustības caurspīdība, lai arī pati par sevi ir pietiekami destruktīva, nav vienīgais zelta trūkums, ja visa informācija par tās kustību būtu pieejama ikvienam. Zinot zelta plūsmu, mēs varētu noteikt, kurām reālās pasaules vienībām ir lieli zelta krājumi. Dažas no tām var nebūt iestādes, bet personas bez liela mēroga drošības sistēmām. Nav nekas neparasts, ka parasts cilvēks iegādājas zeltu, lai aizsargātu pret katastrofām, un tagad mēs zinām, ka Džo Šmēm uz ielas ir 10 000 dolāru, kas ir vērti sēdēt kaut kur savā mājā. Tā nav informācija, ko Džo, iespējams, vēlas, lai pasaule zinātu.</p>\n\n<p> Laba vērtības glabāšana nenozīmē tikai to, ka cena ir stabila vai, iespējams, pieaugs, tas nozīmē, ka īpašnieks jūtas ērti un pārliecināts par drošību, kur viņš ir izvēlējies likt savu naudu. Tādējādi ar radikālu caurspīdīgumu zelts kļūst neērts kustībā un potenciāli bīstams miera stāvoklī. Ir labi zināt, ka tas bija tikai domu eksperiments un zeltam nav šo īpašību. Zelta investori var atviegloti nopūsties.</p>\n\n<p>Bet to pašu nevar teikt par Bitcoin.</p>\n\n<p>Monero privātums patiešām nodrošina daudz labāku drošību gan kustībā, gan miera stāvoklī ikvienam, kas vēlas to izmantot kā norēķinu kontu vai krājkontu.</p>\n\n<p>Bitcoin atbalstītāji tomēr iebildīs, ka Bitcoin ir drošāks kā vērtības glabātājs, jo aiz tā ir lielāks hasrats, tāpēc ir daudz mazāka iespēja, ka ķēde tiks pārrakstīta (t.i., jūsu krātuvē esošās monētas var tikt paņemtas). , un, lai gan pašlaik tā ir taisnība, tā ir sociāla problēma, ko var mainīt ar laiku, nevis pamata tehnoloģiska problēma, kuru, visticamāk, nekad neizdosies novērst.</p>\n\n<p>Otrs arguments Bitcoin ir tas, ka tam ir fiksēta piegāde, savukārt Monero ir astes emisija. Tas tiek ekstrapolēts, lai nozīmētu, ka Monero ir bezgalīgs piedāvājums, tāpēc tas ir tikpat nederīgs kā fiat vērtības krātuve. Skatoties virspusē, šis noteikti ir pārliecinošākais arguments no abiem, tāpēc mēs vēlētos pievērsties šim argumentam sīkāk.</p>\n\n<p> Lai gan Monero ir astes emisija, tas ir paredzēts, lai nodrošinātu Monero ilgtermiņa drošību. Kad būs izkalts pēdējais Bitcoin, bloka atlīdzības vairs nebūs, atstājot tikai maksu tirgu, lai stimulētu kalnračus nostiprināt ķēdi. Jau ir provizoriski pētījumi, kas liecina, ka ar to nepietiks, un ķēdes drošība krasi samazināsies, atstājot ķēdi neaizsargātu pret 51% uzbrukumiem.</p>\n\n<p>Galu galā tas nozīmē, ka esat uzkrājis vērtību, ko nekad nevarat pārvietot, baidoties no uzbrukuma. Atgriežoties pie zelta, vai zelts vispār būtu noderīgs kā vērtības glabātājs, ja nav iespējams vai pārmērīgi bīstami pārvietoties, pārdot vai apmainīt? Kas labs ir nepieejama vērtība? Kāds gan labums no miljoniem dolāru uzkrātās vērtības, ja tā var uz visiem laikiem atrasties bedrē bez dibena?</p>\n\n<p> Pievērsīsimies otrai šīs kritikas daļai, nevis atmetīsim Monero problēmas daļu. Astes emisija. Lai gan tā ir taisnība, tam ir mērķis, daži varētu uzskatīt, ka astes emisijas esamība vien ir pierādījums tam, ka Monero nevar būt maz un darbojas tāpat kā fiat. Tā arī nav taisnība. Fiat inflācijas modelis ir balstīts uz procentiem, un pat tas nav cirsts akmenī, bet gan ir pakļauts necaurredzamam samaitātu cilvēku ķermenim. Tas ir pretstatā Monero, kas uzpūš lineāri, kas nozīmē, ka laika gaitā inflācija virzās uz nulli. Tas arī nozīmē, ka atšķirībā no fiat inflāciju var viegli aprēķināt un droši plānot.</p>';

  @override
  String get knowledge250Sbsov250Sbdescription => 'XMR ir labāks apmaiņas līdzeklis, bet BTC ir labāks vērtības glabātājs? Mēs nepiekrītam. BTC caurspīdīgums vairāk mazina tās īpašības kā vērtības krātuvi, nekā cilvēki saprot.';

  @override
  String get knowledge250Sbsov250Sbtitle => 'Kāpēc Monero ir labāks vērtības veikals nekā Bitcoin';

  @override
  String get knowledge250Sbstealth250Sb0250Sbtext => '<p>Monero ir ieviesis trīs veidu pieeju privātumam. Šīs tehnoloģijas ir <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">zvana paraksti</a>, kas slēpj patieso izvadi (sūtītāju), RingCT, kas slēpj summas, un slepenās adreses, kas slēpj uztvērēju. Šodien mēs apspriedīsim pēdējo no minētajām tehnoloģijām: slepenās adreses.</p>\n\n<p>Ir daudz iemeslu, kāpēc persona varētu vēlēties slēpt, kam viņi sūta. Mēs nekad nedrīkstam ļaut nevienam mēģināt mūs pārliecināt, ka visi piemēri ir nepatīkama uzvedība. Tādas lietas kā sūtīšana nepopulārai politiskai partijai, ziedošana labdarības organizācijām vai tādu, ko kultūra uzskata par “atceltām”, ir piemēri, kur var vēlēties slēpt savu tēriņu uzvedību, baidoties no sekām, taču tās pēc būtības ir pilnīgi likumīgas.[X840X ]\n\n<p> Caurspīdīgā blokķēdē adreses, uz kurām tiek nosūtīti darījumi, ir redzamas visiem. Ir svarīgi ņemt vērā, ka, ja kalnrači paši nepiekrīt, kur nauda nonāk, viņi var izvēlēties to neiegūt blokā, efektīvi cenzējot šo darījumu uz šķietami cenzūras izturīgas platformas. Vienīgais veids, kā šo, protams, maz ticamo cenzūru padarīt neiespējamu, ir tad, ja kalnrači nevar atšķirt darījumus, jo visi ķēdes metadati tiek aizēnoti ar dažādiem līdzekļiem. Kaut kas ar ko Monero ir pazīstams.</p>\n\n<p>Monero atrisina šo caurspīdīgo adrešu problēmu, ieviešot slepenās adreses — tehnoloģiju, kuru Bitcoin Talk foruma lietotājs ByteCoin 2011. gadā sākotnēji izveidoja Bitcoin (saistība ar Bytecoin, kas vēlāk integrētu slepenās adreses, nav zināma). Tomēr pašreizējai slepeno adrešu formai ir vairāki uzlabojumi salīdzinājumā ar sākotnējo ideju. Bet vispirms, lai redzētu, kā tie darbojas, parunāsim par taustiņiem.</p>\n\n<p>Ir grūti atrasties kriptovalūtas telpā un nedzirdēt par atslēgām. Frāzes, piemēram, “dublēt savu privāto atslēgu”, ir izplatītas, taču vidusmēra Džo dzird vārdus “publiskā atslēga” un “privātā atslēga”, viņš nobīstas un domā, ka tas būs pārāk tehniski un mulsinoši, lai tos saprastu. Bet neuztraucieties. Mēs to darīsim lēni un izmantosim daudz piemēru.</p>\n\n<p>Kriptovalūtās izmantotās divu veidu atslēgas, kā tikko minēts, ir publiskās un privātās. Šīs divas atslēgas parasti ir pārī, kas nozīmē, ka noteikta publiskā un privātā atslēga ir savstarpēji saistītas. Faktiski parasti publiskā atslēga tiek atvasināta no privātās atslēgas, kas nozīmē, ka, ja zināt privāto atslēgu, jūsu maciņš var veikt gudrus aprēķinus un katru reizi izdomāt pareizo publisko atslēgu.</p>\n\n<p>Tagad, kā norāda nosaukumi, publiskā atslēga var būt publiska bez sekām. Parasti tā ir daļa no adreses, kuru kopīgojat, lai saņemtu naudu savā kriptovalūtas makā. Arī pēc vārda vārda privātā atslēga ir tāda, kuru nevajadzētu kopīgot. Tā ir lieta, kas ļauj parakstīt un iztērēt darījumu, tādēļ, ja tas tiek nozagts vai tiek koplietots, nekaunīgā trešā puse var tērēt jūsu naudu, parasti sev.</p>\n\n<p> Vienkārša līdzība tam būtu piekaramā atslēga un atslēga, kas nepieciešama tās atbloķēšanai. Atvērto piekaramo atslēgu var brīvi koplietot, un ar šo piekaramo atslēgu var aizslēgt jebko, taču tikai tas, kuram ir atslēga, var atvērt jebko, kam piekaramā atslēga ir aizvērta. Piekaramo atslēgu var kopēt un koplietot, atslēga nedrīkst būt.</p>\n\n<p>Šīs atslēgas parasti tiek abstrahētas no lietotāja, tāpēc jūs tās nekad neredzat. Monero tie nemaz neparādās kā biedējoša burtu un ciparu virkne. Monero parastais lietotājs privāto atslēgu zina kā savu sēklu. Sēkla (kas jums vajadzētu pierakstīt, ja neesat to izdarījis) patiesībā ir tikai cilvēka lasāma privātā atslēga. </p>\n\n<p>Redzi? Galu galā nav tik biedējoši. Atpakaļ uz slepenajām adresēm.</p>\n\n<p>Kā minēts iepriekš, slepenās adreses sākotnēji netika izveidotas Monero, bet gan Bitcoin. Tomēr, tāpat kā lielākajā daļā jauno ideju, arī šajā pirmajā atkārtojumā bija problēmas. Nākamais mēģinājums notika, kad Nikolass van Saberhāgans CryptoNote izveidoja Bytecoin, Monero priekštecim (<a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">skatiet mūsu Monero un Bytecoin vēsturi šeit</a>), un, lai gan tas bija nepārprotams uzlabojums salīdzinājumā ar oriģinālu, pat tas bija. daži smalki trūkumi.</p>\n\n<p> Galu galā, izstrādātājs izveidoja vienu pēdējo iterāciju citai, privātuma kriptovalūtai, kura vairs nav pieejama, un ar šo ideju tika novērstas neatrisinātās privātuma un drošības problēmas. Tas galu galā nokļuva Monero, un tas tiek izmantots mūsdienās.</p>\n\n<p>Lai gan šīs privātuma un drošības problēmas tika atrisinātas, pašas slepenās adreses pievienoja blokķēdes tehnoloģijām atšķirīgu dīvainību, kas iepriekš nepastāvēja. Nepieciešamība skenēt. Tā kā saņemšanas adreses blokķēdē netiek publiski parādītas, saņēmējs nekad nezina, vai kāds konkrētais darījums pieder viņam, tāpēc viņam ir jāskenē visi ienākošie darījumi ar savu privāto atslēgu, lai noskaidrotu, vai tā ir viņa.</p>\n\n<p>Izmantojot caurspīdīgās monētas, viņiem atliek tikai pārbaudīt, vai uz jūsu adresi tiek nosūtīts darījums. Vienkāršs jā vai nē jautājums. Taču, izmantojot slepenas adreses, katrs darījums var būt tāds, kas jums tiek nosūtīts, tāpēc jums ir jāmēģina katru atbloķēt ar savu privāto atslēgu, lai redzētu, vai tā tiek atvērta.</p>\n\n<p>Šis ir papildu solis, kas nav Bitcoin un tā atvasinājumi, un veic sākotnējo maka iestatīšanu, kā arī sinhronizē maku, ja neesat to atvēris kādu laiku, daudz ilgāk nekā Bitcoin. Tomēr kompromiss ir nepieciešams, lai atbloķētu tai sniegtās privātuma garantijas. Jāatzīmē, ka atšķirībā no privātuma trifecta vājākā punkta, zvana paraksti, slepenās adreses nav pakļautas heiristikai. Tā balstās uz pārbaudītu un patiesu eliptiskās līknes kriptogrāfiju, uz kuru paļaujas viss internets, tāpēc tās pārkāpšana nozīmētu datoru drošības izbeigšanu kopumā, ne tikai Monero.</p> ';

  @override
  String get knowledge250Sbstealth250Sbdescription => 'Caurspīdīgā blokķēdē adreses, uz kurām tiek sūtīti darījumi, ir redzamas visiem. Monero atrisina šo problēmu, ieviešot slepenas adreses.';

  @override
  String get knowledge250Sbstealth250Sbtitle => 'Kā Monero Stealth adreses aizsargā jūsu identitāti';

  @override
  String get knowledge250Sbsubaddresses250Sb0250Sbtext => '<p>Monero vienmēr ir atradis novatoriskus veidus, kā atrisināt sarežģītas privātuma problēmas. Bieži vien šīs inovācijas noved pie citiem jauninājumiem, un dažreiz šīs radītās tehnoloģijas var izmantot pat gadījumos, kas iepriekš nav izskatīti. Nekur tas nav vairāk parādīts kā Monero apakšadreses tehnoloģijas gadījumā.</p>\n\n<p>Apsveriet hipotētisku privātuma problēmu, kurā vienas adreses izmantošana vairākās platformās no šķietami nesaistītām tautām var izraisīt minēto tautu sasaisti un deanonimizāciju. Vienkārši sakot, ja jūs būtu persona vārdā Billijs Džo Bobs un pārdevāt ābolus par Bitcoin, jūs varētu publicēt savu Bitcoin adresi publiskā vietā, lai klienti varētu jums samaksāt. Pieņemsim, ka adrese sākas ar burtu un ciparu virkni 7XybV3... Bet, atmetot malā acīmredzamo privātuma risku, ka ikviens varēs pārbaudīt jūsu Bitcoin bilanci un redzēt, cik daudz esat pārdevis, ir otrs, par kuru netiek bieži runāts par privātuma risku. Pieņemsim, ka jūs arī bijāt pagrīdes hakeris ar vārdu l33tz0r. Jūs veicat trauksmes celšanas darbu, stāstot nenojaušai sabiedrībai par valdības korupciju, un jums ir obligāti jāglabā sava identitāte noslēpumā. Jūs pieņemat Bitcoin ziedojumus par savu darbu un ievietojat adresi publiskā forumā. Tā ir tā pati adrese, kurā jūs pieņemat naudu no saviem Apple klientiem. 7XybV3... viens.</p>\n\n<p> Vienkāršs, bet postošs deanonimizācijas uzbrukums būtu izmantot interneta meklētājprogrammu, lai meklētu savu Bitcoin adresi. Ievietojot dzinējā adresi 7XybV3..., tiek parādīti divi dažādi rezultāti. Ābolu bizness un l33tz0r. Tas ir pietiekami, lai saistītu abas identitātes un deanonimizētu l33tz0r, kas var radīt biedējošas sekas no esošajām spējām.</p>\n\n<p>Ir svarīgi atzīmēt, ka šis uzbrukums ir iespējams ARĪ ar Monero. Lai gan Monero slēpj lielāko daļu ķēdes datu, šis uzbrukums neizmanto nevienu. Tas izmanto tikai adresi, kas ir jākopīgo, lai saņemtu maksājumu. Publiski anonīmu ziedojumu gadījumā. Šis ir viens no iespējamiem veidiem, kā Monero lietotāji var netīši aizskart savu privātumu, un tas ir arī piemērs tam, ka, lai gan Monero ir visaugstākā līmeņa privātuma saglabāšanas ziņā, tas nav ložu necaurlaidīgs.</p>\n\n<p>Parastais veids, kā apiet šo problēmu, bija vairāki maki. Ja katrai identitātei (vai lietošanas gadījumam) ir publicētas dažādas adreses, tās nevar saistīt. Taču šī konfidencialitāte ir spēkā tikai tad, ja lietotājs tos nekad nesajauc. Nejauši ievietojot nepareizu adresi, būtu tādas pašas saites sekas. Tāpat arī katras adreses sēkla ir jāglabā drošībā, palielinot infosec darbu, kas nepieciešams ar katru jaunu maciņu.</p>\n\n<p>Monero risinājums bija apakšadreses. Iespēja zem galvenās adreses izveidot absolūti milzīgu skaitu adrešu, izmantojot to kā sava veida sēklu. Katra ģenerētā apakšadrese var pieņemt Monero, un tā visa nonāk vienā makā. Izmantojot šo metodi, vienā adresē darbināmo identitāšu skaits ir milzīgs, vienlaikus samazinot infosec darbu līdz minimumam. Šīs adreses arī nav matemātiski savienojamas, tāpēc, ja vien lietotājs neizkliedz savu saistību ar pasauli, ārējam novērotājam būs lielas grūtības tās saistīt.</p>\n\n<p>Bet no apakšadresēm parādījās vēl viens interesants lietojums; kā universāli nīsto maksājumu ID aizstājēju.</p>\n\n<p>Maksājumu ID bija veids, kā tirgotāji varēja noteikt, kurš klients kādu maksājumu nosūtījis. Tā kā Monero informācija ķēdē ir aizklāta, darījuma saņēmējs nevar redzēt, kura adrese to nosūtīja. Tas nozīmē, ka, ja ir līdzīgas cenas preces un vairāki pasūtījumi, var kļūt neiespējami noteikt, kurš ko nosūtījis. Maksājumu ID ir unikāla, nejauša virkne, ko ģenerē tirgotājs un piešķir klientam. Klients to pievieno kā atsevišķu lauku, nosūtot darījumu. Šī nejaušā virkne tiek ievietota blokķēdē kā daļa no darījuma, un šādā veidā tirgotājs var identificēt un kārtot ienākošos darījumus.</p>\n\n<p>Šī metode bija kļūdaina vairākos veidos. Pirmkārt, tas mazina ķēdē esošo datu vienveidību. Papildu, unikāli metadati var padarīt dažus darījumus atšķirīgus no pūļa, tādējādi ļaujot veikt heiristisko analīzi. Tas jo īpaši attiecas uz gadījumiem, kad šie metadati nav ieviesti kā obligāti visiem. Tomēr, ja tas būtu obligāts visiem, blokķēdei tiktu pievienota nevajadzīga vieta, un tas netika īstenots. Tāpat, ja maksājuma ID kādreiz tiktu izmantots atkārtoti kāda iemesla dēļ, būtu triviāli saistīt divus darījumus kā savienotus. Tas parasti notika ar maiņas noguldījumiem, un ikviens varēja viegli saistīt darījumus gan kā depozītu biržā, gan no vienas konkrētas personas.</p>\n\n<p> Otrkārt, no UX perspektīvas maksājumu ID veido otru soli, pie kura kriptovalūtas lietotāji, kas nāk no citām monētām, nav pieraduši, un, ja tie tiek aizmirsti, tas rada lielas galvassāpes tirgotājam, kuram šie darījumi ir jāidentificē ar citiem līdzekļiem. . Parasti tas tika darīts, tieši sarunājoties ar katru klientu, kurš aizmirsa ievadīt maksājuma ID, un apstiprinot citu identificējošu informāciju, ko varēja zināt tikai viņi, piemēram, summas, nosūtīšanas datuma un darījuma ID kombināciju.</p>\n\n<p>Šo papildu darbību daudzi palaida garām, un tas nonāca tiktāl, ka dažas biržas sāka iekasēt naudu no klientiem, ja viņu nauda bija manuāli jāizgūst, jo tika aizmirsts maksājuma ID. Citi sakoda zobus un ēda papildu atbalsta izmaksas, bet neviens par to nebija priecīgs.</p>\n\n<p>Tam bija viens risinājums, integrētas adreses, kas apvienoja adresi un maksājuma ID vienā virknē, tāpēc to nevarēja aizmirst, taču adopcija bija diezgan vāja, neskatoties uz ieguvumiem, ko tirgotāji būtu guvuši no tā iekļaušanas. </p>\n\n<p>Interesantā notikumu pavērsienā tika izmantotas apakšadreses, lai glābtu situāciju. Iespēja ģenerēt lielu daudzumu apakšadreses katrai galvenajai adresei un noteikt, kuri darījumi kādās apakšadresēs tika veikti, ļāva tirgotājiem elegantā veidā atbrīvoties no maksājumu ID, vienlaikus pieņemot nākamās paaudzes Monero tehnoloģiju. Kopš tā laika lielākā daļa biržu un tirgotāju rīku ir pārgājuši uz apakšadresēm kā primāro darījumu identifikācijas veidu.</p>\n\n<p>Tas, kas sākās kā privātuma problēmas risinājums, kļuva par kaut ko daudz vairāk, kas atrisināja būtisku UX problēmu gan tirgotājiem, gan klientiem. Inovācijas rada vairāk jauninājumu, kas bieži vien var radīt negaidītas uzvaras ikvienam. Monero to ir redzējis atkal un atkal un pieliek lielas pūles, lai ieviestu jauninājumus, kas ir iespējams blokķēdē. Kurš zina, kādas citas lietas mēs varam atbloķēt kopā?</p>';

  @override
  String get knowledge250Sbsubaddresses250Sbdescription => 'Monero vienmēr ir atradis novatoriskus veidus, kā atrisināt sarežģītas privātuma problēmas. Nekur tas nav vairāk parādīts kā Monero apakšadreses tehnoloģijas gadījumā.';

  @override
  String get knowledge250Sbsubaddresses250Sbtitle => 'Kā Monero apakšadreses novērš identitātes saistīšanu';

  @override
  String get knowledge250Sbtitle => 'Zināšanas';

  @override
  String get knowledge250Sbtrust250Sb0250Sbtext => '<p>Tas idejas kriptovalūtas telpā saņem tikpat lielu uzmanību un diskusiju kā uzticības jēdziens, un ne bez pamata. Galu galā viss blokķēdes mērķis ir novērst uzticēšanos trešajām pusēm.</p>\n\n<p>Tiem, kas pilnībā nesaprot ideju, šeit ir viegls gruntējums. Tradicionālajā finanšu sistēmā dažādu uzdevumu veikšanai parasti tiek izmantotas trešās puses. Bankas tiek izmantotas, lai jūsu vārdā nodrošinātu naudu no zādzībām, šķīrējtiesnešiem. Darījumus izmanto, lai biznesa darījumi varētu notikt starp divām pusēm, kuras neuzticas viena otrai. Kredītkaršu kompānijas izmaksā naudu par precēm un pakalpojumiem jūsu vārdā, uzņemoties risku, ka jūs varētu tos neatmaksāt.</p>\n\n<p>Katram no šiem gadījumiem ir nepieciešama uzticēšanās. Attiecībā uz bankām un darījuma aģentiem jūs uzticaties, ka viņi paši neiztērēs jūsu naudu, un kredītkaršu uzņēmumiem jūs uzticaties, ka viņi neizmaksās naudu uz jūsu vārda bez jūsu piekrišanas, un tas viss ir ļoti iespējams. Mēs darām visu iespējamo, lai šādas lietas nenotiktu. Mēs sadarbojamies tikai ar uzticamiem uzņēmumiem un privātpersonām, un mēs izstrādājam tiesību aktus, lai padarītu iepriekš minētos scenārijus par nelikumīgiem un cenšamies nodrošināt sekas likumpārkāpējiem, taču tas ne vienmēr liedz tām notikt.</p>\n\n<p>Turklāt šie pakalpojumi nav pieejami bez maksas. Darījuma aģenti un bankas var iekasēt maksu par saviem pakalpojumiem, un kredītkartes iekasē procentus par aizdoto naudu.</p>\n\n<p>Blockchain tika izveidots, lai likvidētu šos vidējos cilvēkus, kā arī uzticību un ar tiem saistītās maksas. Izmantojot vienprātības spēku, lietotāji var paši ieviest virsgrāmatas stāvokli, neuzticoties nevienam, kas pateiks viņiem, cik daudz naudas viņiem ir, un bez uzticamām trešajām pusēm, kas varētu izmantot jūsu līdzekļus.</p>\n\n<p>Tik liels uzsvars tiek likts uz šo neuzticību, ka jebkuras izmaiņas vai tehnoloģisks papildinājums, kas pievieno uzticības elementu atpakaļ blokķēdē, tiek uztverts ar lielu skepsi un kritiku, un daži projekti pilnībā noraida visus šādus priekšstatus. Interesanti, ka privātums netiek ņemts vērā.</p>\n\n<p>Atkal mēs skatāmies uz pārējo pasauli un redzam, ka pārāk bieži mūsu privātums ir “uzticamu” trešo pušu žēlastībā. Kad mēs norādām savas fiziskās adreses precei, kuru vēlamies mums nosūtīt, mēs ticam, ka attiecīgais veikals neizmantos šo informāciju nelietīgiem mērķiem un nepārdos to citiem. Tas pats attiecas uz mūsu personīgajām domām vai fotoattēliem, ko ievietojam sociālajos medijos. Tas attiecas pat uz mūsu finansēm, jo vairāki uzlauzumi grāmatvedības nozarē vai finanšu lietotnes, kas iekšējai publiskai padomei paziņo par to, kam cilvēki tērē naudu (t.i., Venmo).</p>\n\n<p>Monero saskata šo apņemšanos nodrošināt neuzticību blokķēdē un piemēro līdzīgu standartu mūsu pieejai privātumam. Mūsu privātumam nevajadzētu būt atkarīgam no trešās puses, kas sola to nodrošināt drošībā, kā arī no mūsu finansēm, kas mums sola, ka viņi ar viņiem neaizbēgs. Šim nolūkam Monero nodrošina, ka visas ieviestās privātuma tehnoloģijas ir neuzticamas.</p>\n\n<p>Pastāv citas privātuma tehnoloģijas. Uzticamie, un, jāatzīst, tie nav bez stiprajām pusēm. Zcash izmanto noteikta veida pierādīšanas sistēmas kā pamatelementus savā konfidenciālajā transakciju protokolā, kam ir ļoti stingras privātuma garantijas, lielas anonimitātes kopas un, ja to izmanto pareizi, tas varētu būt spēcīgs veids, kā nodrošināt jūsu privātumu. Tomēr šīs pieejas trūkums ir tas, ka šīs tehnoloģijas sākotnējās iestatīšanas ietvaros ir jābūt parametru kopai, kas jāizvēlas un pēc tam jāaizmirst. Ja kāds paturēs šo parametru, viņam būs iespēja izveidot viltus SNARK pierādījumus, efektīvi izdrukājot naudu, nevienam neliekoties gudrākam, jo tā ir paslēpta. Bet vai tas ietekmē privātumu? Daži teorētiski apgalvo, ka jā, bet citi nē, un galu galā ir jāveic vairāk pētījumu, lai iegūtu galīgu atbildi.</p>\n\n<p> Tomēr šis uzticības samazināšanas process izklausās tāpat kā scenāriji, par kuriem mēs runājām šī raksta sākumā. Tradicionālā pasaule. Tas, no kura mēs cenšamies attālināties. Blockchain pati par sevi nesamazina uzticību trešajām personām, bet gan novērš to. Monero kopiena uzskata, ka tas pats likvidēšanas, nevis samazināšanas standarts būtu jāpiemēro arī mūsu privātuma tehnoloģijām. Tas, ka nav galīgi pierādīts, ka uzticami iestatījumi var vai nevar apdraudēt privātumu, nenozīmē, ka šajā ziņā mums vajadzētu būt vaļīgiem attiecībā uz uzticības atgriešanu sistēmā.</p>\n\n<p>Protams, jebkura privātuma telpas attīstība ir uzlabojums, un uzticama privātums bieži vien ir tikai atspēriena punkts uz neuzticamu privātumu, un šādos gadījumos mēs priecājamies, ka šī telpa virzās uz priekšu. Un tomēr tajā pašā laikā Monero kopiena vienkārši nevar pēc labākās sirdsapziņas mūsu blokķēdē izvietot privātuma tehnoloģiju, kas vājinātu mūsu revolūcijas mērķi.</p>\n\n<p>Mums bieži tiek uzdots jautājums par to, kad Monero gatavojas ieviest šo vai citu jauno privātuma tehnoloģiju. Šos jautājumus bieži uzdod neinformēti cilvēki, kuri nesaprot kompromisus un tikai atspēko jaunos mūsdienu privātuma modes vārdus. Atbilde uz šiem jautājumiem ir vienkārša. Monero nepārtraukti meklē, pārskata un pēta jaunus privātuma protokolus, kas stiprinātu Monero ķēdes privātuma garantijas, taču mēs nevēlamies iedziļināties uzticamas privātuma pasaulē, lai sasniegtu šo mērķi, pat ja garantijas teorētiski ir spēcīgākas. X5461X]\n\n<p>Daži saka, ka šī pieeja izrādīsies novecojusi, taču mēs domājam, ka šādi cilvēki ir pazaudējuši stāstu par to, kāpēc mēs esam šeit, sākot ar.</p>';

  @override
  String get knowledge250Sbtrust250Sbdescription => 'Uzticības jēdziens ir viens no visvairāk apspriestajiem kriptovalūtas telpā. Galu galā viss blokķēdes mērķis ir novērst uzticēšanos trešajām personām.';

  @override
  String get knowledge250Sbtrust250Sbtitle => 'Kāpēc Monero atšķirībā no Zcash izmanto neuzticamu iestatījumu';

  @override
  String get knowledge250Sbupgrades250Sb0250Sbtext => '<p>Viena no visbiežāk pārprastajām daļām Monero pieejā decentralizētas, privātumu saglabājošas un drošas kriptovalūtas izveidei ir loma, ko spēlē hard forks (vai tīkla jauninājumi).</p>\n<p>Šajā ziņojumā mēs apskatīsim, kas ir cietās dakšas, kāpēc tās ir svarīgas Monero un kādu lomu jūs tajās varat spēlēt nākotnē.</p>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtext => '<p> Monero kopiena ir apņēmusies atkārtot un uzlabot projektu laika gaitā, un šķiet, ka apņemšanās ir saistīta ar diviem galvenajiem kopienas ētikas aspektiem: </p>\n<ol type=\"1\">\n<li><p> Monero projekts galu galā ir programmatūra — kods —, ko rakstījuši cilvēki. Tas var novest pie nepieciešamības labot kļūdas, pievienot laika gaitā atklātus vai izgudrotus uzlabojumus, ieviest protokola modernizāciju vai vienkārši uzturēt projektu. Tas daudzējādā ziņā ir līdzīgs citām jūsu izmantotajām programmatūras daļām (piemēram, pārlūkprogrammai, kurā to lasāt!), kas ir pastāvīgi jāatjaunina, lai pievienotu jaunas funkcijas un labotu kļūdas.</p></li>\n<li><p>Monero projekts ir privātuma rīks, un privātums ir arvien progresējoša bruņošanās sacensība. Cilvēki un grupas, kas nevēlas neko vairāk kā atņemt privātuma pasauli (gan finansiālu, gan personisku), pastāvīgi uzlabo, attīstās un izgudro jaunus veidus, kā uzbrukt modernām pieejām privātuma saglabāšanai, piemēram, Monero izmantotajām pieejām. Tā kā privātuma ienaidnieki atrod šīs jaunās pieejas, Monero tīklam ir jāspēj pielāgoties un uzlabot, lai cīnītos pret un aizstāvētu mūsu tiesības uz finansiālo privātumu.</p></li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtitle => 'Kāpēc Monero ir jāturpina tīkla jaunināšana?';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtext => '<p>Monero jaunināšanas sarežģītība stājas spēkā, kad saprotat, cik atšķirīga ir kriptovalūtas jaunināšana salīdzinājumā ar vienkāršu programmatūras atjauninājuma nosūtīšanu, piemēram, pārlūkprogrammai.</p>\n<p>Kriptovalūtās tīkla noteikumiem (piemēram, kā transakcijām vajadzētu izskatīties, kā notiek ieguve un kā pārbaudīt katru bloku) ir jāvienojas tīklam, ko sauc par “vienprātību”. Ja kāds no šiem noteikumiem ir jāmaina vai jāuzlabo, tīklam ir jāvienojas par jaunajiem noteikumiem, izraisot “hard-fork” – situāciju, kad tīkls faktiski sadalās divās bloku ķēdēs – vienā pēc vecajiem noteikumiem, un viens par jaunajiem noteikumiem.</p>\n<p>Kad visi kopienas locekļi piekrīt noteikumu izmaiņām, to sauc par “nestrīdīgu cieto dakšu”, un ķēde, kurai joprojām ir spēkā vecie noteikumi, nomirst un netiek mīnēta pēc “hard-fork”. Tas ir noticis gandrīz ar katru Monero cieto dakšu, un vienīgais veco noteikumu turpinājums bija projekti, kas mēģināja gūt peļņu no hard-fork.</p>\n<p>Lai gan bezstrīdus hard-forks ir vienīgais veids, kā pareizi jaunināt svarīgus Monero tīkla aspektus, tiem ir arī kaitinoša blakusparādība — vecā programmatūra, kas tika izdota pirms hard-fork plānošanas, nevar saprast jauno. tīkla noteikumiem un tāpēc nedarbojas pēc hard-fork! Tas var novest pie tā, ka lietotāji domā, ka līdzekļi ir pazaudēti, Monero blokķēde ir apstājusies un nevar pārvietot līdzekļus, kamēr nav uzlabojis savu maku.</p>';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtitle => 'Kas ir cietā dakša?';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtext => '<p>Tā kā Monero nav centrālās iestādes, izpilddirektora vai prezidenta, darbs pie lēmuma pieņemšanas, kad jaunināt tīklu, ko iekļaut un kā to darīt, ir <em> mums</em>, tiem cilvēkiem Monero kopiena, kas izvēlas iesaistīties un mijiedarboties! Šī ir gan ārkārtīgi svarīga decentralizēta projekta daļa, jo projekta plānošana un lēmumu pieņemšana galu galā ir decentralizēta, un to nodrošina kopiena.</p>\n<p>Katrā Monero tīkla jauninājumā iekļauto laiku un funkciju plānošana notiek divās galvenajās vietās:</p>\n<ol type=\"1\">\n<li><p>IRC un Matrix, Monero kopienas visbiežāk izmantotās tērzēšanas platformas (kas ir savienotas kopā). Šīs platformas nodrošina lielu grupu tērzēšanu, un tajās notiek visas ieplānotās Monero kopienas sanāksmes, izstrādātāju sanāksmes un pētniecības laboratorijas sanāksmes. Šīs sanāksmes ir labākais veids, kā klausīties (vai dot ieguldījumu!) plānošanā un diskusijās par tīkla jauninājumiem Monero.</p></li>\n<li><p>Github — galvenajā saziņas platformā ilgstošām Monero diskusijām, plānošanai un organizēšanai. Monero kopiena izmanto Github, lai organizētu sanāksmes, apspriestu jaunas funkcijas un idejas un koordinētu tīkla jauninājumu plānošanu papildus Monero projekta koda saglabāšanai.</p></li>\n</ol>\n<p>Ja jums ir svarīga ideja par tīkla jaunināšanu, jums nepatīk kāda pieeja vai ja jums ir bažas par jaunināšanas laiku, ir svarīgi, lai jūs izteiktos un skaidri izklāstītu savu situāciju sabiedrībai![X1521X ]';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtitle => 'Kurš izlemj, kad Monero tīkls tiks jaunināts un kas ir iekļauts?';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtext => '<p>Tā kā Monero tīkla jauninājumiem ir nepieciešama kopienas koordinācija un apstiprināšana, kā arī programmatūras atjauninājumi, ir ārkārtīgi svarīgi, lai tīkla jauninājumu plānošanā, testēšanā un saziņas procesā iesaistītos pēc iespējas vairāk cilvēku.</p>\n<p>Šeit ir daži vienkārši veidi, kā palīdzēt atrisināt problēmas saistībā ar tīkla jaunināšanu:</p>\n<ol type=\"1\">\n<li>Pievienojieties plānošanas sapulcēm <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">, kas izliktas vietnē Github</a>, klausieties un sniedziet ieguldījumu, ja jums ir kas aktuāls.</li>\n<li>Sazinieties ar informāciju par tīkla jaunināšanas laiku (kad tas ir izlemts!) ar savu iecienītāko biržu, maku vai ieguves fondu. Var būt sarežģīti pareizi informēt visus Monero lietotājus par jaunināšanu, tāpēc ir svarīgi, lai mēs visi palīdzētu, kur varam darīt zināmu informāciju.</li>\n<li>Pārbaudiet programmatūru pirms tīkla jaunināšanas. Pirms tīkla jaunināšanas tiks aicināts testētājiem gan testnet, gan stagenet, lai nodrošinātu, ka visi jaunināšanas aspekti ir pareizi plānoti un ieviesti programmatūrā. Jo vairāk cilvēku iesaistīsies un rūpīgi izmēģinās jaunās versijas, jo lielāka iespēja, ka tīkla jaunināšana noritēs raiti!</li>\n<li>Kad ir publicēti laidieni, kas ir saderīgi ar tīkla jaunināšanu, noteikti veiciet jaunināšanu nekavējoties! Jo vairāk cilvēku ir jaunināti un gatavi tīkla jaunināšanai, jo raitāk tīkls ar to tiks galā un lietotājiem būs mazāk galvassāpju.</li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtitle => 'Kā es varu palīdzēt ar tīkla jauninājumiem?';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtext => '<p>Lai gan datums vēl nav iekalts, drīzumā tiks veikts tīkla jauninājums, lai ieviestu dažus svarīgus Monero jauninājumus un funkcijas:</p>\n<ol type=\"1\">\n<li>Gredzena izmēra palielināšana no 11 uz 16, palielinot pamata anonimitātes kopu (lasiet: ticamu noliedzamību vai pamata konfidencialitāti) katram tīklam</li>\n<li><a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/view-tags-reduce-monero-sync-time\">Skatīt atzīmes — lielisks veids, kā samazināt maka sinhronizācijas laiku par 30–40%</a></li>\n<li>Maksas izmaiņas, uzlabojot tīkla drošību un noturību pret straujām izmaiņām maksas tirgū vai ļaunprātīgu subjektu uzbrukumiem</li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/2020/12/24/Bulletproofs+-in-Monero.html\">Bulletproofs+ — turpmāks Monero darījumu efektivitātes uzlabojums</a></li>\n</ol>\n<p>Šīs izmaiņas ievērojami uzlabos tīkla privātumu, efektivitāti un drošību, vienlaikus paverot ceļu <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/seraphis-for-monero\">Seraphis</a>, nākamās paaudzes darījumu protokolam Monero.</p>';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtitle => 'Ko es varu sagaidīt nākamajā Monero tīkla jauninājumā?';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtext => '<p>Tēma par sarežģītām dakšām un tīkla jauninājumiem ir plaša, un Monero tiem ir gara un vēsturiska vēsture, tāpēc noteikti iedziļinieties dažās no tālāk norādītajām saitēm, ja vēlaties uzzināt vairāk par vēsture, process vai plānošana, kas notiek gaidāmajai tīkla jaunināšanai!</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">Monero v15 cietās dakšas plānošana</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero#scheduled-software-upgrades\">Plānotie programmatūras jauninājumi (Monero valodā)</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://web.getmonero.org/2020/09/01/note-scheduled-upgrades.html\">Piezīme par plānotajiem protokola jauninājumiem</a></li>\n</ul>';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtitle => 'Kā es varu uzzināt vairāk?';

  @override
  String get knowledge250Sbupgrades250Sbdescription => 'XMR cieto dakšu loma bieži tiek pārprasta — šodien mēs apskatīsim, kas tie ir un kāpēc tie ir svarīgi.';

  @override
  String get knowledge250Sbupgrades250Sbtitle => 'Kā Monero izmanto hard-forks tīkla jaunināšanai';

  @override
  String get knowledge250SbviewTags250Sb0250Sbtext => '<p>Viena no visbiežāk sastopamajām sūdzībām par Monero lietošanu ikdienā ir laiks, kas var būt nepieciešams, lai sinhronizētu maku, pirms var nosūtīt Monero. Par laimi, Monero kopienas izstrādātāji un pētnieki ir atraduši lielisku veidu, kā par 40%+ samazināt laiku, kas nepieciešams, lai sinhronizētu savu maku bez papildu blokķēdes uzpūšanās, maksām utt.</p>\n\n<p>Ievadiet “view tags”, kas ir viena baita papildinājums katra darījuma datiem — nākamajā tīkla jauninājumā tas būs pieejams Monero!</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtext => '<p>Viens no pirmajiem jautājumiem, uz kuru mums ir jāatbild, lai labāk izprastu vajadzību pēc tāda risinājuma kā skata tagi, ir iemesls, kāpēc Monero maka sinhronizācija ir lēnāka nekā kriptovalūtas, piemēram, Bitcoin.</p>\n<p>Tā kā Bitcoin visi darījumi nav privāti un atklāj iztērētās monētas, summas un ķēdē iesaistītās adreses, Bitcoin maki var vienkārši meklēt visus neiztērētos darījumu rezultātus (UTXO) vai izmantotās adreses konkrētajam makam. , ātri skenējot blokķēdi, meklējot tikai UTXO, kas pieder šīm adresēm, lai noskaidrotu, kuras monētas pieder jūsu makam un kuras var iztērēt.</p>\n<p>Tomēr Monero visi darījumi saglabā lietotāja privātumu, slēpjot sūtītāju, saņēmēju un katrā darījumā iesaistītās summas. Šis privātums, lai gan ir ļoti svarīgs tīkla lietotāju aizsardzībai, arī ievieš lēnāku maka sinhronizāciju. Monero jūsu makam ir jāsalīdzina katra tīklā esošā transakciju izvade (TXO) ar jūsu maka privātajām atslēgām.</p>\n<p>Šis salīdzinājums ietver daudzas sarežģītas matemātikas un kriptogrāfijas, lai apstiprinātu, ka izvade patiešām ir jūsu, jo visas summas, adreses un zināmie iztērētie izvadi (vai monētas) ir paslēpti Monero ķēdē.</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtitle => 'Kāpēc Monero maka sinhronizācija ir lēnāka nekā Bitcoin?';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtext => '<p>Lai palīdzētu samazināt Monero maku sinhronizācijas laiku, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">pētnieks UkoeHB nāca klajā ar jaunu pieeju</a> — pievienojiet 1 baita “birku” katram darījumam, izmantojot tikai zināmu kopīgo noslēpumu. šī darījuma sūtītājam un saņēmējam.</p>\n<p>Šo kopīgoto noslēpumu ģenerē sūtītājs, izmantojot adresi, ko viņam norādījis adresāts, un tai nav nepieciešama aktīva sūtītāja un saņēmēja sadarbība. Pēc tam šī koplietotā noslēpuma pirmais baits (vai rakstzīme) tiek pievienots darījuma datiem, publicējot to Monero tīklā.</p>\n<p>Kad kāds no šī darījuma dalībniekiem pēc tam vēlas sinhronizēt savu maku ar Monero blokķēdi, tā vietā, lai veiktu visu sarežģīto matemātiku un kriptogrāfiju katram tīkla TXO, maciņš tagad var vienkārši pārbaudīt, vai nav šo 1 baita lauku katrā transakcijā un tikai pēc tam veiciet laikietilpīgo verifikāciju darījumiem, kuriem ir šis tags — 1/256 TXO tīklā, precīzāk!</p>\n<p>Šis tags ārējiem skatītājiem neatklāj nekādu informāciju par darījumu, tikai pievieno 1 baitu (niecīga summa) darījumu lielumam, tomēr ļauj mums samazināt sinhronizācijas laiku par 40%+, samazinot sarežģītās pārbaudes. nepieciešams!</p>';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtitle => 'Kas ir skata tagi?';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtext => '<p>Iedomājieties, ka jums istabā ir 4096 kastes, no kurām tikai 5 kastes pieder jums. Visas kastes ir pilnīgi neatšķiramas no ārpuses, un vienīgais veids, kā noteikt, vai kaste ir paredzēta jums, ir to atvērt un atrisināt iekšā ierakstītu laikietilpīgu matemātikas uzdevumu, lai pārliecinātos, ka tā pieder jums.</p>\n<p>Tagad iedomājieties, ka nolemjat likt personai, kas jums nosūtīja šīs 5 kastes, ģenerēt īpašu kodu, izmantojot jūsu adresi, un pēc tam katras jums nosūtītās kastes ārpusē ievietot tikai šī ģenerētā koda pirmo rakstzīmi. Visi pārējie dara to pašu ar savām kastēm (lai nodrošinātu, ka visas kastes joprojām nav atšķiramas), taču tagad varat vienkārši apskatīt vienas rakstzīmes kodu kastes ārpusē un atvērt tikai tās kastes, kurās ir šī rakstzīme. X753X]\n<p>Lai gan citi lodziņi atbildīs jūsu kodam, pat daži, kas jums nepieder, to lodziņu skaits, kas jums ir jāatver un jāatrisina matemātikas uzdevums, tagad ir tikai 16 (1/256 lodziņi!) visu 4096 vietā. </p>\n<p>Tagad jūs atverat šos 16 lodziņus, atrisiniet matemātikas uzdevumus un paturiet 5 kastes, kas faktiski pieder jums no šīs grupas!</p>';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtitle => 'Skatīt tagus: vienkāršots piemērs';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtext => '<p>Skatīšanas atzīmes ir viena no funkcijām, ko pašlaik plānots iekļaut <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">gaidāmajā tīkla jauninājumā</a>, un tos vajadzētu izlaist kādu laiku šajā pavasarī. Kopiena <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bounties.monero.social/posts/28/implement-view-tags-to-decrease-wallet-sync-times-in-monero\"> izvirzīja 23.3XMR</a> (rakstīšanas laikā), lai stimulētu skatu tagu izstrādi un ieviešanu, un rezultātā lielākā daļa darba, lai iekļautu skata tagus Monero koda bāzē, jau ir paveikts. pabeidza j-berman sadarbībā ar recenzentiem un pētniekiem.</p>\n<p>Kad tīkls ir ieviesis skata atzīmes, visas transakcijas, kas nosūtītas pēc tīkla jaunināšanas, gūs labumu no krasi uzlabotā maka sinhronizācijas laika. Jums nav jādara nekas īpašs, lai sāktu lietot skata tagus, jūsu iecienītākais Monero maciņš vienkārši sāks tos lietot pēc tīkla jaunināšanas!</p>';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtitle => 'Kad skata atzīmes būs pieejamas Monero?';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtext => '<p>Ja tas ir izraisījis jūsu interesi par skatīšanas tagiem, tālāk skatiet dažas papildu saites, kas sniedz padziļinātu tēmu:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">Samaziniet skenēšanas laiku, izmantojot 1 baitu uz izvadi “skata tagu”</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/pull/8061\">Pievienojiet skata atzīmes izvadēm, lai samazinātu maka skenēšanas laiku</a></li>\n</ul>';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtitle => 'Kā es varu uzzināt vairāk?';

  @override
  String get knowledge250SbviewTags250Sbdescription => 'Viena no visbiežāk sastopamajām sūdzībām par Monero ir maka sinhronizācijas laiki — šodien mēs runājam par izcilu veidu, kā izstrādātāji to ir atraduši, lai to samazinātu.';

  @override
  String get knowledge250SbviewTags250Sbtitle => 'Skatīt tagus: kā viens baits samazinās Monero maka sinhronizācijas laiku par 40%+';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbdecentralized250Sbtext => 'Pats Bitcoin ir decentralizēts, taču lielākā daļa sajaukšanas pakalpojumu ir centralizēti. Tas nozīmē, ka jums viņiem ir jāuzticas. Tomēr daži jaunāki, piemēram, Wasabi seifi, nav.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbfungibility250Sbtext => '<p>\n                          Ne visi Bitcoin ir vienādi un tiem ir vienāda vērtība. Dažus Bitcoinus ir iekļāvušas melnajā sarakstā un bloķējušas vairākas vienības, padarot šīs monētas mazāk vērtīgas nekā pārējās. Ja saņemat Bitcoins, kas agrāk tika izmantoti nelikumīgiem mērķiem, tad jūsu Bitcoins var tikt iekļauts melnajā sarakstā, lai gan jums nebija nekāda sakara ar nelegālo darbību. Vai, piemēram, valdība, darba devējs vai kāda cita iestāde nolemj nākotnē iekļaut jūsu Bitcoins melnajā sarakstā, līdzīgi kā tas notiek ar līdzekļu iesaldēšanu vai konfiskāciju. Jūs neko nevarētu darīt. Tā kā mikseris tikai apgrūtina jūsu Bitcoin izsekošanu, šī kategorija ir atzīmēta kā &quot;nav aizstājama.&quot;\n                        </p>\n\n                        <ul class=\"disks\">\n                          <li>\n                            Andreass Antonopuls, bijušais Bitcoin Core izstrādātājs, kurš ir labi cienīts Bitcoin un citās kriptovalūtu kopienās, atzīst Bitcoin aizstājamības problēmu rakstā <a href=\"https://www.youtube.com/watch?v=ak1iojpiHpM&feature=youtu .be&t=33m9s\"> YouTube videoklips</a>.\n                          </li>\n                          <li>\n                            Diskusija par Bitcoin aizstājamības problēmu vietnē <a href=\"https://bitcointalk.org/index.php?topic=1190707.0\"> Bitcointalk.org\n                            </a>\n                          </li>\n                        </ul>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbprivate250Sbtext => '<p>\n                          Visi Bitcoin darījumi ir redzami blokķēdē, un ir <a href=\"http://www.bitcoinrichlist.com/top100\"> Bitcoin bagāto saraksts</a>, tāpēc Bitcoin nav privāts. Bitcoin ir <a href=\"https://bitcoin.org/en/you-need-to-know\"> pseidonīms</a>, nevis anonīms.\n                        </p>\n\n                        <p>\n                          Attiecībā uz <b>Bitcoin mikseriem</b> jums ir jāuzticas, ka tie var glabāt savus datus drošībā un ka tie nepieder valdībai, hakeriem vai citām struktūrām vai nesadarbojas ar tām.\n                        </p>\n\n                        <p>\n                          2017. gada jūlijā lielākā Bitcoin sajaukšanas pakalpojuma BITMIXER.IO dibinātājs paziņoja, ka tas tiek slēgts, un kā iemeslu minēja šo:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              &hellip; Tagad es sapratu, ka Bitcoin ir caurspīdīga, neanonīma sistēma <b> pēc dizaina </b>. Blockchain ir lieliska atvērta grāmata&hellip;\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, paziņojumā par vietnes <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg20357093#msg20357093\"> Bitcointalk.org </a> slēgšanu (uzsvars oriģinālā).\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Dažas nedēļas vēlāk, apsverot dažādas uz privātumu orientētas monētas, viņš teica:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Pēc dziļas izmeklēšanas es apstiprinu, ka MONERO ir labākā privātuma valūta. Tāpēc es ļoti iesaku MONERO visiem cilvēkiem, kuriem nepieciešama papildu privātums.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg21113378#msg21113378\"> papildu ziņojumā</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbuntraceable250Sbtext => ' <p>\n                          Tā kā visi Bitcoin darījumi ir redzami blokķēdē, VISUS Bitcoin darījumus var izsekot. Bitcoin mikseris var ļoti aptumšot darījumus, padarot kādam daudz grūtāk izsekot Bitcoins, taču ne neiespējami. Tā kā tehnoloģija attīstās un uzņēmumi, kas specializējas Bitcoin darījumu izsekošanā, kļūst arvien izplatītāki, tiklīdz ļoti neskaidri darījumi kļūs salīdzinoši viegli izsekojami:\n                        </p>\n\n                        <ul class=\"disc\">\n                          <li>\n                            <a href=\"https://news.bitcoin.com/law-enforcement-continues-invest-bitcoin-tracking-services/\"> Tiesībaizsardzības iestādes turpina ieguldīt Bitcoin izsekošanas pakalpojumos\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"http://time.com/3689359/bitcoins-track-anonymous/\"> Time.com: Bitcoins ir vieglāk izsekot, nekā jūs domājat\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"https://www.elliptic.co/\">\n                              Eliptisks: uzņēmums, kas specializējas Bitcoin izsekošanā tiesībaizsardzības vajadzībām\n                            </a>\n                          </li>\n                        </ul>\n\n                        <p>\n                          Google meklēšana atklās desmitiem tādu rakstu kā iepriekš minētie. Un atcerieties, ka jebkurš darījums, kas noticis jebkurā laikā pagātnē, atrodas blokķēdē, un to var izsekot, pat ja tika izmantots sajaukšanas pakalpojums. Faktiski sajaukšanas pakalpojuma izmantošana, visticamāk, pievērsīs uzmanību šiem darījumiem.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbdecentralized250Sbtext => 'Ne visi DASH mezgli ir vienādi. Ir mezglu virsklase, ko sauc par <i>Masternodes</i>, kuru īpašniekiem ir lielāka ietekme uz sistēmu nekā parastajiem mezglu operatoriem. Tas padara DASH daļēji centralizētu, nevis ideālo 100% decentralizēto sistēmu.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbfungible250Sbtext => 'Tā kā darījumi nav privāti, uzņēmumam ir iespēja bloķēt vai melnajā sarakstā iekļaut noteiktas monētas, padarot tās mazāk vērtīgas nekā pārējās. Skatiet piezīmi par Bitcoin aizstājamības trūkumu zemāk, jo tas pats princips attiecas uz DASH.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate => 'DASH ir <a href=\"https://bitinfocharts.com/top-100-richest-darkcoin-addresses.html\"> bagātināts saraksts</a>, tāpēc šī nav privāta monēta. Monētu adrešu finanšu informācija ir redzama ikvienam, kas pārbauda blokķēdi.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbanother8722Sbquote => ' <b> Pīters Tods</b>, cits Bitcoin Core izstrādātājs un kriptogrāfs, ir izteicis <a href=\"https://twitter.com/petertoddbtc/status/622022840330682368\"> līdzīgu paziņojumu</a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              DASH vispār nav kriptogrāfiski privāts. Patiesībā man bija slaids klājā, kas bija kā \"DASH, LOL\" un kā nekas cits... tā ir snakeoil, un es personīgi par to vienkārši nedomāju.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Gregorijs Maksvels</b>, Bitcoin Core izstrādātājs un kriptogrāfs, <a href=\"https://archive.21mil.com/blockstream-cto-greg-maxwell-discusses-monero-zcash-privacy-focused-altcoins/\"> prezentācijā Coinbase\n                             </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbuntraceable250Sbtext => 'Darījumi tiek maršrutēti caur virkni <a href=\"https://www.dash.org/masternodes/\"> Masternode </a>, lai padarītu tos neizsekojamus. Šī prakse varētu darboties, ja visiem masternode operatoriem būtu tikai tīri motīvi. Tomēr, ja valdība, hakeru grupa, cita organizācija vai pat fiziska persona iegādājās daudzus galveno mezglus (nevarētu zināt, vai tas notika) un ja darījums tika veikts maršrutā, kurā visi masternodi piederēja šai organizācijai. , tad šī vienība varētu izsekot darījumu. Ņemot vērā salīdzinoši zemās masternode izmaksas un valdību un dažu organizāciju milzīgo budžetu, iespēja, ka monētas var izsekot, ir reāla.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdisclaimer => 'Šo vietni izveidoja Monero lietotāji. Bija laiks, kad mēs nebijām Monero lietotāji, bet bijām noraizējušies par finanšu privātumu. Mēs izpētījām monētas, kas apgalvoja, ka tās ir privātas, un šī lapa ir mūsu pētījuma rezultāts. Tāpēc mēs izvēlējāmies Monero, nevis pārējo. Tātad, ja šķiet, ka esam neobjektīvi, mēs tādi esam, taču uzskatām, ka neobjektivitāte ir balstīta uz faktiem, kurus varat izlasīt tālāk un pārbaudīt pats.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbdecentralized250Sbtext => 'Grinam nav priekšrocību, dibinātāja atlīdzības, masternodes vai kases. Viņiem nebija ICO, un tie tiek vadīti decentralizētai kopienai piemērotā veidā. Grin ir decentralizēts.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbfungiblity250Sbtext => 'Tā kā visi darījumi ir apšaubāmi privāti un potenciāli izsekojami, pastāv iespēja izveidot darījumu grafiku, no kura var iegūt vērtīgu informāciju, ko var izmantot pret indivīdu attiecībā uz viņu tērēšanas paradumiem. Pēc tam rezultātus var saistīt ar identitātēm, un, pat ja summas nav redzamas, fakts, ka izlaidi var saistīt ar identitāti, nozīmē, ka izlaide var tikt sabojāta, tieši pretēji tam, kurš to ir turējis. Mēs domājam, ka tas nozīmē, ka Grin nav aizstājams, jo daži rezultāti var būt bojāti, bet citi nebūs.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbprivate250Sbtext => 'Grinam nav bagātīga saraksta, kas norādītu uz kādu privātuma veidu. Patiešām, pasīvie uzbrucēji, kas skenē ķēdi, nevar redzēt, kurā adresē ir daudz naudas, daļēji tāpēc, ka summas tiek aizsegtas, izmantojot konfidenciālus darījumus, daļēji tāpēc, ka adrešu dati netiek glabāti ķēdē, un daļēji tāpēc, ka Mimblewimble ir caurlaidīga tehnoloģija, kurā tiek veikti starpposma darījumi. var noņemt no ķēdes, atstājot maz metadatu no iepriekšējiem darījumiem.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbuntraceablity250Sbtext => 'Grins neaizsargājas pret aktīvu uzbrucēju, kas veido darījumu grafiku. Gan kalnračiem, gan nedaudz modificētam mezglam ir iespējams vērot katru darījumu, saglabāt to, pirms tiek iedarbināta jaunākā tehnoloģija, un no šejienes izveidot pilnīgu darījumu grafiku, kā arī saglabāt visus “izgrieztos” datus. Viņi nevarētu saskatīt nekādu informāciju pirms to sākuma, taču viss pēc to sākuma būs vērtīgi metadati, ar kuriem viņi varētu saistīt darījumus.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbintro => 'Šeit ir analīze par labi zināmām kriptovalūtām, kuru galvenā atšķirība ir anonimitāte un/vai neizsekojamība. Pats Bitcoin neietilpst šīs analīzes ietvaros, jo tas nekad nav apgalvots, ka tas ir anonīms.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb0 => 'Monero jau kopš pirmsākumiem ir bijis 100% atvērts avots, kas nozīmē, ka ikviens var skatīt programmatūras <a href=\"https://github.com/monero-project/bitmonero\"> pirmkodu </a>, lai pārbaudītu, vai nepastāv aizmugures durvis un vai programmatūra ir droša.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb1 => 'Monero ir arī <a href=\"https://lab.getmonero.org/\"> recenzēti pētniecības darbi </a>, kas matemātiski un sistemātiski pārbauda visas iepriekš minētās īpašības.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbdecentralized => 'Visi Monero mezgli ir vienādi. Nav tādu mezglu virsklases, kam būtu lielāka ietekme vai kontrole pār darījumiem nekā citiem mezgliem. Neviena persona vai vienība nevar izsekot darījumiem, ja viņiem pieder vairāki mezgli. Turklāt nav uzticamas iestatīšanas. Tas nozīmē, ka nepieciešamība uzticēties personai vai organizācijai nav faktors. Vienīgās lietas, kurām jāuzticas, ir pirmkods (ko var pārbaudīt ikviens) un matemātika.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbfungible => 'Visas monētas ir vienādas un tām ir vienāda vērtība. Lietotājs, pārdevējs vai jebkura cita persona nevar bloķēt vai iekļaut melnajā sarakstā noteiktas Monero monētas, jo Monero monētu darījumu vēsture ir neskaidra.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbprivate => 'Monero izmanto kriptogrāfiski drošu sistēmu, kas ļauj sūtīt un saņemt līdzekļus, lai jūsu darījumi nebūtu publiski redzami blokķēdē (izplatītajā darījumu virsgrāmatā). Tas nodrošina, ka jūsu pirkumi, kvītis un citi pārskaitījumi paliek <b>privāti pēc noklusējuma</b>. Sūtītājs, saņēmējs un darījuma summa ir privāti. Dažām monētām ir \"bagātīgs saraksts\", kas ļauj ikvienam redzēt, kurā kontā ir visvairāk monētu. Tā kā Monero ir privāts, <a href=\"http://moneroblocks.info/richlist\"> Monero bagātinātais saraksts </a> nevar pastāvēt.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbsecure => 'Izmantojot izplatītu peer-to-peer konsensa tīklu, katrs darījums ir kriptogrāfiski aizsargāts. Individuālajos kontos izveidošanas laikā tiek parādīta 25 vārdu mnemoniskā sēkla, ko var pierakstīt, lai izveidotu konta dublējumkopiju. Parole ir obligāta, veidojot maku, un konta faili tiek šifrēti ar ieejas frāzi, lai nodrošinātu, ka tie ir nevērtīgi, ja tie tiek nozagti.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbuntraceable => 'Izmantojot zvana parakstus (noteiktu kriptogrāfijas veidu īpašu īpašību), Monero nodrošina neizsekojamus darījumus. Tas nozīmē, ka nav skaidrs, kuri līdzekļi ir iztērēti, un tāpēc ir ļoti maz ticams, ka darījums varētu būt saistīts ar konkrētu lietotāju.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbsubtitle => 'Atlasiet logotipu, lai pārietu uz šīs monētas analīzi.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbno => 'Nē';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbnot8722Sbcompletely => 'Ne pilnībā';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbsometimes => 'Dažkārt';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbunsure => 'Neskaidrs';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbyes => 'Jā';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtitle => 'Pārskats';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtitle => 'Monētu analīze';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtxs8722Sbare8722Sbsecure => 'Darījumi ir kriptogrāfiski droši.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbdecentralized250Sbtext => '<p>\n                          Zcash ir uzņēmums, un pašlaik tas <a href=\"https://z.cash/blog/funding.html\"> ņem 20% no visa iegūtā ZEC kā dibinātāja atlīdzību</a>.\n                        </p>\n\n                        <p>\n                          Zcash bija nepieciešama <b>Uzticama iestatīšana</b>. Tas nozīmē, ka jums ir jāuzticas, ka sistēma ir izveidota godīgi. Ja tas nebūtu iestatīts godīgi, <a href=\"https://blog.okturtles.com/2016/03/the-zcash-catch/\"> varētu izveidot neierobežotu daudzumu ZEC, nevienam nezinot </a>. Tas padarītu hakeru bagātu un devalvētu ZEC. Nav iespējams uzzināt, vai uzticamā iestatīšana tika veikta godīgi. Mums ir jāpieņem viņu vārds. Tas sistēmā ievieš cilvēka kļūmes punktu, kas ir pretrunā gandrīz visām citām kriptovalūtām. Jums vajadzētu uzticēties tikai matemātikai un pārbaudāmam avota kodam kriptovalūtās, nevis cilvēkiem. Kā mēs esam redzējuši praktiski visos lielajos programmatūras uzņēmumos, piemēram, <a href=\"https://www.gnu.org/proprietary/proprietary-back-doors.en.html\"> Microsoft</a>, <a href=\"http://www.digitaltrends.com/computing/apple-vs-fbi-backdoor-to-data-already-exists/\"> Apple</a> un pat valdībās, tiem nevajadzētu uzticēties.\n                        </p>\n\n                        <p>\n                          Pīters Tods, Bitcoin Core izstrādātājs, kurš <a href=\"https://github.com/zcash/mpc/blob/master/README.md\"> piedalījās </a> Zcash Trusted Setup, to ir nosaucis par &quot; <a href=\"https://twitter.com/petertoddbtc/status/793584540891643906\"> aizmugures durvīm </a> &quot;.\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Zcash nav bez nosacījumiem drošs, to nevar izmantot ar pašreizējām tehnoloģijām... nepieciešama uzticama iestatīšana&hellip;, būs jāatkārto procedūra [Trusted Setup], lai laika gaitā atjauninātu kriptovalūtu, tāpēc tā ir ievainojamība.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              Gregorijs Maksvels, Bitcoin Core izstrādātājs un kriptogrāfs, <a href=\"https://youtu.be/LHPYNZ8i1cU#t=29m30s\"> prezentācijā Coinbase</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbfungible => 'Tā kā visi darījumi nav privāti, organizācijai ir iespēja bloķēt vai melnajā sarakstā iekļaut noteiktas monētas, padarot tās mazāk vērtīgas nekā pārējās. Skatiet piezīmi par Bitcoin aizstājamības trūkumu zemāk, jo tas pats princips attiecas uz Zcash.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Un, starp citu, es domāju, ka mēs varam veiksmīgi padarīt Zcash pārāk izsekojamu tādiem noziedzniekiem kā WannaCry, bet tomēr pilnībā privātu &amp; aizstājamu.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Zooko Wilcox</b>, Zcash izpilddirektors, <a href=\"https://twitter.com/zooko/status/863202798883577856\"> tvītā\n                              </a>\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Ja Zcash var būt \"pārāk izsekojams\", tad tas nevar būt pilnīgi privāts vai aizstājams.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbtext => 'Zcash darījumi ir redzami viņu blokķēdē. Tie nodrošina slēptos darījumus, taču <a href=\"http://stat.bloxy.info/superset/dashboard/zcash/\"> mazāk nekā 1% darījumu ir pilnībā aizsargāti </a>. Tā kā slēptās transakcijas nav obligātas un nav noklusējuma (nemaz nerunājot par to, ka tiek izmantotas reti), slēptās transakcijas <a href=\"http://weuse.cash/2016/06/09/btc-xmr-zcash/\"> izceļas savā blokķēdē</a>, pievēršot sev uzmanību.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbuntraceable250Sbtext => 'Regulāri darījumi ir caurspīdīgi. Slēptos darījumos tiek izmantots zk-SNARKS, kam noteikti ir noteiktas stabilas privātuma garantijas. Jautājums ir par to, vai šie nosacījumi ir izpildīti, un, redzot nelielo cilvēku skaitu, kas izmanto aizsargātās iespējas, tas paliek apšaubāms.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbdecentralized250Sbtext => 'Zcoin ir ieviesis Znodes, kas darbojas līdzīgi Dash masternodes, un tiem ir lielāka jauda nekā citiem tīkla mezgliem. Tā kā visi mezgli nav izveidoti vienādi un atšķirības faktors starp tiem ir naudas summa, kas ir indivīdam (Znodes maksā 1000 XZC), tīkls ir daļēji centralizēts.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbfungiblity250Sbtext => 'Pēc Lelantus pēdējā posma sākšanas 2021. gadā tiek pieņemts, ka Zcoin būs aizstājams obligātās privātuma izpildes dēļ. Šajā ziņā tas būs īsts Monero konkurents. Tomēr...';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbnote => '<p><strong>Piezīme:</strong> Zcoin pāriet no pašreizējās Sigma shēmas uz jaunu protokolu, kas balstās uz tā jauno darbu Lelantus. Lelantus tiks ieviests pa posmiem, un šajā rakstā tiks pieņemts, ka visi posmi ir pabeigti un ieviesti, lai veiktu pareizus salīdzinājumus un paredzētos ieviešanas laikus.</p>\n<p>Iemesls, kādēļ Zcoin tika dota šī greznība, lai viņu vērtētu pēc tā nākotnes protokola, nevis Zcash, ir tāpēc, ka uzņēmumam Zcoin ir ceļvedis ar vispārīgiem aktivizēšanas laikiem, savukārt Zcash “privātuma pēc noklusējuma” plāni ir un joprojām ir neskaidri. X563X]';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbprivate250Sbtext => '<p>Zcoin (XZC) nebūs bagātināta saraksta, tāpēc tas būs privāts. Paredzams, ka pēc noklusējuma obligātā konfidencialitāte tiks ieviesta 2021. gadā. Pēc ieviešanas nebūs iespējams izveidot bagātīgu sarakstu (lai gan pašlaik <a href=\"https://www.coinexplorer.net/XZC/richlist\">viņiem tāds ir</a>).</p> ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbuntraceablity250Sbtext => 'Līdz ar Lelantus pēdējo posmu, kas tika ieviests 2021. gadā, Zcoin nevajadzētu būt izsekojamam, lai gan teorētiskie uzbrukumi vēl nav izpētīti, jo tas vēl nav izlaists vai nav bijis savvaļā. Pašlaik Zcoin ir izsekojams, ja blokķēdes pārlūkā ievieto <a href=\"https://explorer.zcoin.io/\">Zcoin adresi</a> un varat redzēt tā atlikumu un saistītos darījumus.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentraized250Sbtext => 'Visi tīkla mezgli (mezgls ir monētas blokķēdes darbības gadījums) ir vienādi. Nav tādu mezglu virsklases, kuriem būtu lielāka ietekme vai kontrole pār darījumiem vai sistēmu nekā citiem mezgliem.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentralized250Sbtitle => 'Decentralizēts';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdescription => 'Kāpēc Monero ir labākā privātuma monēta? Ne visas uz privātumu orientētās monētas var nodrošināt 100% privātumu, neizsekojamību, drošību un aizstājamību. Uzziniet, kā Monero atrisina visas šīs problēmas salīdzinājumā ar citām \"privātuma\" monētām.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro8722Sb0 => 'Ne visas uz privātumu orientētās monētas var nodrošināt 100% privātumu, neizsekojamību, drošību un aizstājamību 100% decentralizētā monētā ar neuzticamu iestatījumu. Lūk, kādi ir šie atribūti un kāpēc tie ir svarīgi.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtext => 'Visas monētas ir vienādas un tām ir vienāda vērtība.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtitle => 'Aizvietojams';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtext => 'Jūsu finanses nav redzamas sabiedrībai. Persona, kas aplūko monētas blokķēdi, nevarēs redzēt, cik daudz naudas jums ir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtitle => 'Privāts';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtext => 'Visi darījumi ir šifrēti, un seifs, kurā ir jūsu līdzekļi, ir šifrēts.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtitle => 'Droši';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceability250Sbtext => 'Monētas nevar izsekot, izmantojot blokķēdes analīzi vai blokķēdes uzraudzību.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceable250Sbtitle => 'Neizsekojami';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbsummary => '<h2>Kopsavilkums</h2>\n <p> Mūsuprāt, Monero ir skaidra izvēle, ja meklējat privātu, drošu, neizsekojamu, aizstājamu, decentralizētu kriptovalūtu, kurai nav nepieciešama uzticama iestatīšana. Jebkas cits apdraud jūsu privātumu un drošību. Bet neņemiet tikai mūsu viedokli. Veiciet savu izpēti un pārbaudiet pats. Apsveriet, ka Monero atbalsta un izmanto subjekti, kas ir atkarīgi no privātuma un neizsekojamības, piemēram:\n                  </p>\n\n                  <ul class=\"disc\">\n                    <li>\n                      <a href=\"https://www.reddit.com/r/Monero/comments/4xqrzd/sigaint_launches_tor_monero_node_as_its_operators/\"> SIGAINT </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://puri.sm/posts/purism-collaborates-with-cryptocurrency-monero-to-enable-mobile-payments/\"> Purism </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://shop.wikileaks.org/donate#db9\"> Wikileaks </a>\n                    </li>\n\n                    <li>\n                      AlphaBay Market (AB) tika slēgts 2017. gada jūlijā. <a href=\"https://assets.documentcloud.org/documents/3898109/AlphaBay-Cazes-Forfeiture-Complaint.pdf\"> federālā sūdzība par konfiskāciju </a> pret AB liecina, ka:\n                      <ul class=\"disc\">\n                        <li>\n                          <b> Monero ir vienīgā privātā un neizsekojamā kriptovalūta:\n                          </b>\n                          <br />\n                          &quot;Kopumā no CAZES makiem un datoru aģenti pārņēma kontroli pār aptuveni USD 8 800 000 Bitcoin, Ethereum, Moreno [sic] un Zcash, kas sadalīti šādi: 1 605 050 3851 Bitcoin, 8 309 271 639 Ethere, 8 309 271 639 Ethere, 8 X, 1, 6, 1, 8, 1, 6, 1, 8, 1, 8, 1, 6, 6, 1, 8, 6, 6, 6 un 10. nezināms Monero daudzums.</em>&quot; (20. lpp. apakšā un 21. lpp. augšā, izcēlums pievienots) </li>\n                        <li>\n                          <b>\n                            Bitcoin darījumi nav privāti, un tos var izsekot:\n                          </b>\n                          <br />\n                          &quot;Federālie aģenti ieguva orderus pēc tam, kad bija izsekojuši vairākus Bitcoin darījumus, kuru izcelsme bija AlphaBay, līdz digitālo valūtu kontiem un galu galā bankas kontiem un citiem materiāliem aktīviem, kas pieder CAZES un viņa sievai.&quot; (17. lpp., 24. rindiņa- 26)\n                        </li>\n                      </ul>\n                    </li>\n                  </ul>\n\n                  <div class=\"notice info\">\n                    <p>\n                      LocalMonero neatbalsta un nemudina nekādas nelikumīgas darbības.\n                    </p>\n                  </div>  ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbtitle => 'Kāpēc Monero ir labāks par Dash, Zcash, Zcoin (pat ar Lelantus), Grin un Bitcoin mikseriem, piemēram, Wasabi (atjaunināts 2020. gada maijā)';

  @override
  String get knowledge250Sbwired250Sb0250Sbtext => '<p>Gan privātuma, gan kriptovalūtas jomā bieži tiek izplatīta dezinformācija. Mums ir <a target=\"_blank\" href=\"/knowledge/monero-myths-debunked\" class=\"next-link\">raksts, kurā izklāstīti piecpadsmit izplatīti nepareizi vai novecojuši pieņēmumi par Monero</a>, taču mēs vēlamies veltīt laiku vienam konkrētam rakstam, ko bieži citē un izplata Monero skeptiķi.</p>\n\n<p>Izdevums Wired 2018. gada 27. martā publicēja <a target=\"_blank\" href=\"https://www.wired.com/story/monero-privacy/\" class=\"next-link\">rakstu</a>, kas pats tika uzrakstīts, reaģējot uz citu nesen publicētu dažādu akadēmisko aprindu aprindu rakstu ar nosaukumu “Empīriskā analīze par izsekojamību Monero blokķēdē”.</p>\n\n<p>Lai gan rakstu līdzautorēja personas, kurām ir skaidrs interešu konflikts (lasi: viņi ir Zcash padomdevēji un ir līdzdalība tajā), Monero kopiena šo rakstu uztvēra vidēji atzinīgi, jo tas apstiprina lietas, ko kopiena jau ir zinājusi. un par tiem ir rakstīts viņu pašu Monero Research Lab dokumentos (<a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0001.pdf\" class=\"next-link\">MRL-0001</a> un <a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0004.pdf\" class=\"next-link\">MRL-0004</a>), no kuriem agrākais tika publicēts pirms četriem gadiem. Tomēr ar to bija arī vairākas neapmierinātības, galvenokārt interešu konflikts, fakts, ka jautājumi jau bija zināmi, apspriesti un dažos gadījumos arī novērsti, un Monero privātuma garantiju rupja nepareiza raksturošana tajā laikā. Sabiedrība komentēja darba priekšdruku, un daudzi no ieteikumiem tika sagatavoti galīgajā dokumentā.</p>\n\n<p>Bet kas tieši tika nepareizi raksturots? Fakts, ka Monero vairāk nekā gadu nebija pieļāvuši avīzē apspriestos trūkumus. Darījumi, kas veikti pirms 2017. gada, patiešām bija neaizsargāti pret privātuma noplūdi, taču publicēšanas laikā Monero bija risinājusi lielāko daļu problēmu. Lai būtu godīgi pret autoriem, viņi nelielā mērā apspriež Monero līdzekļus, taču ne pietiekami, lai ietekmētu to ietekmi uz kriptovalūtas mediju ciklu tajā laikā. Līdz ar to Wired raksts.</p>\n\n<p>Lai gan mēs varam aplūkot attiecīgo Wired rakstu kā periodu un to, cik patiess vai nepatiess tas tajā laikā bija, fakts, ka tas joprojām tiek izplatīts šodien, lai pamatotu, kāpēc Monero privātuma garantijas ir vājas, patiesībā liek analizēt. par to, kā gabals turas tagadnē. Mēs ar prieku pieņemam šo ielūgumu.</p>\n\n<p> Ātri izlasot rakstu, redzamas vairākas sensacionālas rindiņas, piemēram, “[Atklājumiem] nevajadzētu tikai uztraukties ikvienam, kurš šodien mēģina zagšus tērēt Monero”, un viss raksta tonis, kurā pētījums tiek postulēts kā “jauns”. lielā mērā balstās uz publikāciju. Pašā akadēmiskajā darbā ir ieteikumi, piemēram, brīdinājums Monero lietotājiem par iespējamu viņu anonimitātes kompromisu, neskatoties uz to, ka šīs diskusijas ne tikai notika kopš 2014. gada, bet arī sabiedrības aicinājums bija, lai cilvēki neiegādātos Monero un ka bija ļoti eksperimentāls.</p>\n\n<p>Bet kā ar pašu kritiku? Realitāte ir tāda, ka daudzas problēmas ar Monero kā privātuma monētu vai nu vairs neattiecas uz Monero, vai arī ir kopīgas bažas par privātuma monētām kā uz blokķēdes balstītu kriptovalūtu kategoriju. Sāksim risināt šos jautājumus.</p>\n\n<p>Viena no visbiežāk citētajām Monero kritikām ir tāda, ka blokķēdes pastāvības un nemainīguma dēļ, ja nākotnes tehnoloģija varētu pārkāpt privātumu, visi Monero iepriekšējie darījumi tiktu atklāti. Citiem vārdiem sakot, jūsu privātumam ir tikšķīgs pulkstenis.</p>\n\n<p>Mēs nevaram to pietiekami uzsvērt. Burtiski katrai privātuma monētai, kurā tiek izmantotas ķēdes metodes neskaidrības un privātuma nodrošināšanai, ir šis trūkums, un tomēr tā bieži tiek izmantota pret Monero (ironiskā kārtā daudzas reizes konkurē privātuma monētas ar tādu pašu problēmu), un tā tiek izmantota arī šajā rakstā. Reakcija uz šo kritiku dažiem varētu būt pārsteidzoša, taču Monero patiesībā var būt mazāk ievainojams nekā citas privātuma monētas, jo tam ir daudzpusīga pieeja privātumam.</p>\n\n<p> Monero slēpj izvades (sūtītājus), summas un uztvērējus, izmantojot attiecīgi trīs dažādas tehnoloģijas, zvana parakstus, RingCT un slepenās adreses. No tiem zvana paraksti ir vājākie un visvairāk pakļauti gan mūsdienu heiristikai, gan teorētiskām nākotnes tehnoloģijām, kas pārkāpj privātumu. Monero kopiena to zina jau gadiem ilgi, un tiek veikti aktīvi pētījumi, lai pilnībā uzlabotu vai aizstātu zvana parakstu shēmu.</p>\n\n<p>Tomēr, pat ja zvana signāls būtu pilnībā bojāts, tiktu atklāta tikai patiesā izvade. NEVIS sūtītājs (kā individuāli), bet izvade. Izvades savienošana ar identitāti nav neiespējama, taču tam būtu nepieciešams vairāk metadatu un resursu. Kopā ar faktu, ka RingCT un slepenā adrese NETIKS atklāta, ietekme vēl vairāk samazinās.</p>\n\n<p>Jāatzīmē, ka Wired raksta daļā, kurā viņi sazinājās ar Rikardo \'fluffypony\' Spagni, lai saņemtu komentāru, ir viegli apskatīta iepriekš minētā informācija, taču tam atvēlētais laiks ir īss, un šķiet, ka tas aiziet ar roku. šo svarīgo informāciju. Izpratnes trūkums ir īpaši acīmredzams, mēģinot apspriest šīs lietas ar cilvēkiem, kuri mūsdienās, negribot, dalās ar šo rakstu.</p>\n\n<p>Vēl viena kritika, ko ir daudz grūtāk risināt, ir par to, kā ārpasaule uztver Monero un kā tas ir saistīts ar to, kā Monero apkārtējā sabiedrība uztver monētu. Lai iegūtu piemēru, lasītājiem nav jāmeklē tālāk par paša raksta nosaukumu: “Tumšā tīmekļa iecienītākā valūta ir mazāk neizsekojama, nekā šķiet”.</p>\n\n<p>Ikviena persona, kas pavada ievērojamu laiku Monero kopienā, var apliecināt, ka Monero kopiena dara visu iespējamo, lai parādītu, cik grūti ir panākt īstu privātumu, pat kaitējot mārketinga vai adopcijas centieniem. Ja kopiena nodrošina pietiekami daudz resursu, lai precīzi apspriestu monētu un tās trūkumus, kādā brīdī nezināšana kļūst par lietotāja vainu, kurš uzskata, ka monēta ir viss, kas viņam nepieciešams, lai būtu 100% privāts.</p>\n\n<p>Šobrīd ir skaidrs, ka Monero kopiena nopietni uztver gan savu privātumu, gan godīgumu attiecībā uz tās trūkumiem un turpmākajiem uzlabojumiem. Rakstiem, tāpat kā attiecīgajam rakstam, pilnīgi trūkst šī Monero inovācijas gara. Tas salīdzina Monero ar citu kriptovalūtu bariem, kas izvirza grandiozas prasības, domājot tikai par peļņu un neizglītotiem investoriem-gribētājiem.</p>\n\n<p> Realitāte nevar būt savādāka. Monero ļoti labi apzinās savas vājās puses, cenšas turpināt celtniecību, lai tās uzlabotu, savilktu vaļīgās locītavas un sasniegtu ļoti reālo, bet ļoti grūto mērķi – dot pasaulei privātu, aizstājamu kriptovalūtu, ko var izmantot visi, un dariet to visu godīgā, decentralizētā un sabiedrības virzītā veidā. Varbūt ir pienācis laiks atmest sensacionalizāciju un rakstu kopīgošanu kā līdzekli, lai samazinātu somas un reklamētu konkurentus. Varbūt ir pienācis laiks pastāstīt citu stāstu.</p>';

  @override
  String get knowledge250Sbwired250Sbdescription => 'Gan privātuma, gan kriptovalūtas jomā bieži tiek izplatīta dezinformācija. Šeit mēs aplūkojam Wired rakstu, kuru bieži citē un izplata Monero skeptiķi.';

  @override
  String get knowledge250Sbwired250Sbtitle => 'Žurnāls Wired ir nepareizi par Monero, lūk, kāpēc';

  @override
  String get left8722Sbdrawer250Sbabout => 'Par';

  @override
  String get left8722Sbdrawer250Sbbuy8722Sbmonero => 'Pērciet Monero';

  @override
  String get left8722Sbdrawer250Sbdashboard => 'Mērinstrumentu panelis';

  @override
  String get left8722Sbdrawer250Sbfaq => 'FAQ';

  @override
  String get left8722Sbdrawer250Sbforums => 'Forumi';

  @override
  String get left8722Sbdrawer250Sbgetting8722Sbstarted => 'Darba sākšana';

  @override
  String get left8722Sbdrawer250Sbpost8722Sbnew8722Sbad => 'Ievietojiet sludinājumu';

  @override
  String get left8722Sbdrawer250Sbrevuo250Sblabel => 'Monero standarts: Monero ziņas';

  @override
  String get left8722Sbdrawer250Sbsell8722Sbmonero => 'Pārdodu Monero';

  @override
  String get left8722Sbdrawer250Sbsupport => 'Atbalsts';

  @override
  String get login250Sberror8722Sb0 => 'Nepareizs lietotājvārds/parole/vienreizēja parole!';

  @override
  String get login250Sberror8722Sb1 => 'Lietotājvārdā un parolē ir aizliegtas rakstzīmes vai nederīgs garums';

  @override
  String get login250Sberror8722Sb10 => 'Pieteikšanās kļūda';

  @override
  String get login250Sberror8722Sb2 => 'Lietotājvārdā ir neatļautas rakstzīmes vai nederīgs garums';

  @override
  String get login250Sberror8722Sb3 => 'Parolē ir neatļautas rakstzīmes vai tās garums ir nederīgs';

  @override
  String get login250Sberror8722Sb4 => 'Laukus nevar atstāt tukšus';

  @override
  String get login250Sberror8722Sb5 => 'Vienreizējai parolei ir jābūt 6 ciparus garai';

  @override
  String get login250Sberror8722Sb8 => 'Neatļautas vērtības';

  @override
  String get login250Sberror8722Sb98722Sbtext => 'Pārāk daudz pieteikšanās mēģinājumu! Lūdzu, uzgaidiet kādu laiku.';

  @override
  String get login250Sberror8722Sb98722Sbtitle => 'Pieteikšanās mēģinājumi pārsniegti';

  @override
  String get login250Sberror8722Sbgeneric => 'Kļūda!';

  @override
  String get login250Sbremember8722Sbme => 'Atceries mani';

  @override
  String login250Sbreset(Object link) {
    return 'Aizmirsi savu paroli? $link';
  }

  @override
  String get login250Sbreset8722Sblink => 'Atiestatiet to šeit.';

  @override
  String login250Sbsame8722Sbcredentials8722Sbtip(Object front_type_url) {
    return 'Lai pieteiktos, varat izmantot savus $front_type_url akreditācijas datus.';
  }

  @override
  String login250Sbsignup(Object link) {
    return 'Vai jums vēl nav konta? $link';
  }

  @override
  String get login250Sbsignup8722Sblink => 'Pierakstīties';

  @override
  String get login250Sbtitle => 'Pieslēgties';

  @override
  String get login250Sbusername => 'Lietotājvārds';

  @override
  String get login250Sbusername8722Sbtip => '3-16 rakstzīmes. Atļautās rakstzīmes: a-z, A-Z, 0-9, -, _';

  @override
  String get method250Sbalipay => 'Alipay';

  @override
  String get method250Sball8722Sbonline8722Sboffers => 'Visi tiešsaistes piedāvājumi';

  @override
  String get method250Sbcash => 'Skaidra nauda (uz vietas)';

  @override
  String get method250Sbcash8722Sbat8722Sbatm => 'Skaidra nauda bankomātā';

  @override
  String get method250Sbcash8722Sbby8722Sbmail => 'Skaidrā naudā pa pastu';

  @override
  String get method250Sbcash8722Sbdeposit => 'Skaidras naudas iemaksa';

  @override
  String get method250Sbcash8722Sbon8722Sbdelivery => 'Ar pēcmaksu';

  @override
  String get method250Sbcashiers8722Sbcheck => 'Kases čeks';

  @override
  String get method250Sbcreditcard => 'Kredītkarte';

  @override
  String get method250Sbcryptocurrency => 'Kriptovalūta';

  @override
  String get method250Sbgift8722Sbcard => 'Dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbamazon => 'Amazon dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbapple => 'Apple Store dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbebay => 'Ebay dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbglobal => 'Dāvanu kartes kods (vispārējais)';

  @override
  String get method250Sbgift8722Sbcard8722Sbitunes => 'iTunes dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbstarbucks => 'Starbucks dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbsteam => 'Steam dāvanu kartes kods';

  @override
  String get method250Sbgift8722Sbcard8722Sbwalmart => 'Walmart dāvanu kartes kods';

  @override
  String get method250Sbinternational8722Sbwire8722Sbswift => 'Starptautiskais pārvedums (SWIFT)';

  @override
  String get method250Sbmobile8722Sbtop8722Sbup => 'Mobilā tālruņa papildināšana';

  @override
  String get method250Sbnational8722Sbbank => 'Nacionālais bankas pārvedums';

  @override
  String get method250Sbother => 'Cits tiešsaistes maksājums';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet => 'Cits tiešsaistes maks';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet8722Sbglobal => 'Cits tiešsaistes maks (globāls)';

  @override
  String get method250Sbother8722Sbpre8722Sbpaid8722Sbdebit => 'Cita priekšapmaksas debetkarte';

  @override
  String get method250Sbsepa => 'SEPA (ES) bankas pārskaitījums';

  @override
  String get method250Sbspecific8722Sbbank => 'Pārskaitījumi ar konkrētu banku';

  @override
  String get method250Sbwechat => 'Wechat';

  @override
  String get method250Sbyandex => 'Yandex nauda';

  @override
  String get method250Sbyoomoney => 'YooMoney';

  @override
  String get morph250Sbcheckbox250Sbfaq8722Sblink => 'Kā tas darbojas?';

  @override
  String get morph250Sbdeposit250Sbaddress8722Sbinput250Sbhelper => 'Šī adrese tiks izmantota naudas atmaksai, ja ChangeNow tirdzniecības laikā kaut kas noiet greizi';

  @override
  String morph250Sbdeposit250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'Atmaksas $cryptocurrencyName adrese';
  }

  @override
  String morph250Sbdeposit250Sbbutton(Object cryptocurencyName) {
    return 'Parādiet man depozīta $cryptocurencyName adresi!';
  }

  @override
  String get morph250Sberror250Sbtitle => 'Veidojot ChangeNow darījumu, radās kļūda!';

  @override
  String get morph250Sbservice8722Sbdown => 'ChangeNow XMR pakalpojums īslaicīgi nav pieejams. Pamēģini vēlreiz vēlāk.';

  @override
  String morph250Sbwithdrawal250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'Notiek $cryptocurrencyName adreses saņemšana';
  }

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmax => 'Maksimums';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmin => 'Minimums';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbtitle => 'Ierobežojumi šai ChangeNow tirdzniecībai:';

  @override
  String new8722Sbad250Sbdisabled8722Sbtype8722Sbselector250Sbnotice(Object amount_required) {
    return 'Nepietiekams līdzsvars. Nepieciešams: $amount_required.';
  }

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sblabel => 'Tikai lietotājiem ar verificētu e-pastu';

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sbtip => 'Noderīgi, ja rodas problēmas ar \"coinlockers\"';

  @override
  String new8722Sbad250Sboptions250Sbad8722Sbcreation8722Sbmode250Sbcoins(Object assetName) {
    return 'Tirdzniecība $assetName';
  }

  @override
  String get new8722Sbad250Sbreview250Sbemail8722Sbverified => 'Tikai lietotājiem ar verificētu e-pastu';

  @override
  String get nojs250Sbdashboard250Sbsave8722Sbvacations8722Sbbtn => 'Ietaupiet brīvdienas';

  @override
  String get nojs250Sberror250Sblogin250Sbunauthorized => 'Nepareizs lietotājvārds/parole/vienreizēja parole!';

  @override
  String get nojs250Sberror250Sbserver => 'Ar pieprasījumu radās problēma. Lūdzu, atsvaidziniet lapu un mēģiniet vēlreiz. Ja problēma joprojām pastāv, lūdzu, sazinieties ar mūsu atbalsta dienestu.';

  @override
  String nojs250Sberror250Sbvalidation250Sbaddress(Object assetName) {
    return 'Lūdzu, norādiet derīgu $assetName adresi.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbamount => 'Lūdzu, ievadiet derīgu summu.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbcaptcha => 'Captcha neizdevās. Lūdzu mēģiniet vēlreiz';

  @override
  String get nojs250Sberror250Sbvalidation250Sbconfirm8722Sbpassword => 'Ievadītās paroles nesakrita.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbemail => 'Lūdzu, ievadiet derīgu e-pasta adresi.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackMsg => 'Atsauksmes ziņojumam jābūt ne vairāk kā 256 rakstzīmēm.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackType => 'Lūdzu, atlasiet vienu no atļautajiem atsauksmju veidiem: “uzticamība”, “pozitīva”, “neitrāla”, “negatīva” vai “bloķēta”.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbgeneric8722Sbstring => 'Lūdzu, mainiet tekstu tā, lai tas būtu noteiktajās robežās.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbhomepage => 'Jābūt pilnam derīgam URL (t.i., iekļaujot “https://” utt.)';

  @override
  String get nojs250Sberror250Sbvalidation250Sbintroduction => 'Jābūt virknei, kas nav garāka par 65536 rakstzīmēm.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbotp => 'OTP ir jābūt 6 ciparu vērtībai';

  @override
  String get nojs250Sberror250Sbvalidation250Sbpassword => 'Parolei jābūt 8–72 rakstzīmēm garai';

  @override
  String get nojs250Sberror250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform8722Sbusername => 'Lietotājvārdam ir jābūt 1–30 rakstzīmju garai.';

  @override
  String nojs250Sberror250Sbvalidation250Sbtos(Object appName) {
    return 'Lai izmantotu mūsu vietni, lūdzu, izlasiet $appName pakalpojumu sniegšanas noteikumus un piekrītiet tiem.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbusername => 'Lietotājvārdam ir jābūt 3–16 rakstzīmes garam. Atļautās rakstzīmes: a-z, A-Z, 0-9, -, _';

  @override
  String get nojs250Sbfilter250Sblocal8722Sblabel => 'VIETĒJS';

  @override
  String get nojs250Sbfilter250Sbonline8722Sblabel => 'ONLINE';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbfunctions => 'Varat izmantot šādas funkcijas (var būt ligzdotas): <strong>min(), max(), floor(), griesti(), avg()</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sboperators => 'Varat izmantot šādus operatorus: <strong>+ - * /</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbpunctuation => 'Varat izmantot šādus pieturzīmju simbolus: <strong>( ) . ,</strong>';

  @override
  String get nojs250Sbformula250Sbtickers250Sblabel => 'Visi pieejamie tirgus rādītāji';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbbtn => 'Pārbaudiet formulu';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbinstruction => 'Izmantojiet šo rīku, lai pārbaudītu cenas formulu. <br /> PIEZĪME. Kad esat apstiprinājis, ka formula darbojas, kā paredzēts, jums tā ir jāpārkopē faktiskajā iepriekš minētajā veidlapā. Šis rīks ir paredzēts tikai formulas derīguma pārbaudei.';

  @override
  String get nojs250Sbformula250Sbvalidator250Sblabel => 'Formulas apstiprināšanas rīks';

  @override
  String nojs250Sbmorph8722Sbwithdrawal(Object cryptocurrencyName) {
    return 'Es vēlos izņemt šķīrējtiesas ķīlu uz $cryptocurrencyName maku';
  }

  @override
  String get nojs250Sbmorph8722Sbwithdrawal250Sbbutton8722Sblabel => 'Sāciet';

  @override
  String nojs250Sbmorph8722Sbwithdrawal250Sbnotice(Object assetSymbol, Object cryptocurrencyName) {
    return 'Šķīrējtiesas obligācijas $assetSymbol atsaukšana uz $cryptocurrencyName maku';
  }

  @override
  String nojs250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Varat izmantot $value pakalpojumu, lai iegūtu savas atrašanās vietas koordinātas';
  }

  @override
  String get nojs250Sbsettings250Sbsave8722Sbtelegram8722Sbid250Sbbutton8722Sblabel => 'Saglabājiet telegrammas ID';

  @override
  String get nojs250Sbtrade250Sbchat250Sbrefresh => 'atjaunot';

  @override
  String note250Sbbutton(Object username) {
    return 'Pievienojiet piezīmi par $username';
  }

  @override
  String note250Sbcreated(Object at) {
    return 'Izveidots $at';
  }

  @override
  String get note250Sbinput250Sbplaceholder => 'Šī ir privāta piezīme jūsu atsaucei, tā nebūs redzama šim lietotājam vai citiem lietotājiem.';

  @override
  String note250Sbtitle(Object username) {
    return 'Jūsu piezīme par $username (redzat tikai jūs)';
  }

  @override
  String note250Sbupdated(Object at) {
    return 'rediģēts $at';
  }

  @override
  String notice250Sbnon8722Sbcustodial(Object appName) {
    return 'Pilnībā ar aizbildnību nesaistīti tirdzniecības norēķini tagad ir aktīvi! <a href=\"https://t.me/$appName\" target=\"_blank\" class=\"next-link\">Ja jums ir kādi jautājumi vai rodas problēmas, informējiet mūs</a>. Ja esat to palaidis garām, <a href=\"/blog/announcements/fully-non-custodial-trade-settlements\" target=\"_blank\" class=\"next-link\"> par atjauninājumu varat izlasīt šeit.</a>';
  }

  @override
  String get notification250Sbmarked8722Sball8722Sbread => 'Atzīmējiet visus paziņojumus kā izlasītus';

  @override
  String notification250Sbmessage(Object tradeId, Object username) {
    return 'Jums ir jauns ziņojums tirdzniecībā $tradeId no $username';
  }

  @override
  String get notification250Sbno8722Sbnotifications => 'Jums vēl nav neviena paziņojuma';

  @override
  String get notification250Sbread => 'Lasīt paziņojumus';

  @override
  String notification250Sbtrade8722Sbcancelled(Object tradeId, Object username) {
    return 'Darījumu $tradeId ir atcēlis $username';
  }

  @override
  String notification250Sbtrade8722Sbcomplete(Object tradeId, Object username) {
    return 'Jūsu tirdzniecība $tradeId ar $username ir pabeigta';
  }

  @override
  String notification250Sbtrade8722Sbdisputed(Object tradeId, Object username) {
    return 'Tirdzniecību $tradeId ir apstrīdējis $username';
  }

  @override
  String notification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete(Object username, Object tradeId) {
    return '$username ir pabeidzis maksājumu tirdzniecībā $tradeId';
  }

  @override
  String notification250Sbtrade8722Sbrequest(Object tradeId, Object username) {
    return 'Jums ir jauns piedāvājums $tradeId no lietotāja $username';
  }

  @override
  String get notification250Sbunread => 'Nelasīti paziņojumi';

  @override
  String get otp8722Sbtip8722Sb08722Sb0 => 'Ja esat iespējojis divu faktoru autentifikāciju, ievadiet šeit savu 6 ciparu vienreizējo paroli.';

  @override
  String get otp8722Sbtip8722Sb08722Sb1 => 'Kur es varu atrast savu vienreizējo paroli?';

  @override
  String get otp8722Sbtip8722Sb1 => 'Šeit ievadiet savu 6 ciparu vienreizējo paroli no 2FA mobilās lietotnes.';

  @override
  String get otp8722Sbtitle8722Sb0 => 'Vienreizēja parole (ja iespējota)';

  @override
  String get otp8722Sbtitle8722Sb1 => 'Vienreizēja parole';

  @override
  String get password => 'Parole';

  @override
  String get password8722Sbreset250Sbbtn => 'Mainiet paroli';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword => 'Apstipriniet jauno paroli';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword8722Sbtip => 'Lūdzu, apstipriniet savu jauno paroli';

  @override
  String get password8722Sbreset250Sberror => 'Ar jūsu pieprasījumu radās kļūda';

  @override
  String get password8722Sbreset250Sbnew8722Sbpassword => 'Jauna parole';

  @override
  String get password8722Sbreset250Sbsubtitle => 'Pēc paroles nomaiņas jums būs jāpiesakās vēlreiz, izmantojot jauno paroli';

  @override
  String get password8722Sbreset250Sbsuccess => 'Veiksmi!';

  @override
  String get password8722Sbreset250Sbsuccess8722Sbtip => 'Tagad jūs tiksit novirzīts uz pieteikšanās lapu.';

  @override
  String get password8722Sbreset250Sbtitle => 'Mainiet paroli';

  @override
  String get password8722Sbtip => '8-72 rakstzīmes.';

  @override
  String get post8722Sbad250Sbamount8722Sbtitle => 'Summa';

  @override
  String get post8722Sbad250Sbcountry250Sbtitle => 'Valsts';

  @override
  String get post8722Sbad250Sbcurrency250Sbtitle => 'Valūta';

  @override
  String get post8722Sbad250Sbdetails => 'Sīkāka informācija';

  @override
  String get post8722Sbad250Sberror250Sbcorrect8722Sberrors => 'Lūdzu, izlabojiet izceltās kļūdas';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbback8722Sbbtn => 'Atpakaļ';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbbtn => 'Atpakaļ';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle => 'Veidlapas kļūda';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle8722Sbtoo8722Sbmany8722Sbads => 'Pārāk daudz reklāmu';

  @override
  String post8722Sbad250Sberror250Sbfirst8722Sbtime8722Sblimit8722Sbnot8722Sbvalid(Object assetSymbol, Object min_asset_amount, Object max_asset_amount) {
    return 'Lūdzu, ievadiet derīgu pirmo reizi $assetSymbol robežvērtību. Ir atļauti tikai skaitļi no $min_asset_amount līdz $max_asset_amount.';
  }

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbamounts8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu summu vērtības ierobežojumu. Ir atļauti tikai veseli skaitļi no 1 līdz 1000000000000.';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbcontent => 'Jūs mēģināt izveidot pārāk daudz reklāmu';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbtitle => 'Pārāk daudz pieprasījumu';

  @override
  String get post8722Sbad250Sberror250Sbmargin8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu maržas vērtību. Ir atļauti tikai skaitļi no -100 līdz 1000.';

  @override
  String get post8722Sbad250Sberror250Sbmax8722Sbamount8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu maksimālās summas vērtību. Ir atļauti tikai skaitļi no 0,000000000001 līdz 10000000000000.';

  @override
  String post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance(Object appName) {
    return 'Minimālā darījuma summa nevar būt mazāka par jūsu pašreizējo bilanci. Mēģiniet samazināt minimālo summu vai iemaksāt līdzekļus savā $appName makā.';
  }

  @override
  String get post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu minimālās summas vērtību. Ir atļauti tikai skaitļi no 0,000000000001 līdz 10000000000000.';

  @override
  String get post8722Sbad250Sberror250Sbnetwork => 'Tīkla kļūda';

  @override
  String get post8722Sbad250Sberror250Sbpayment8722Sbwindow8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu maksājuma loga vērtību. Ir atļauti tikai veseli skaitļi no 15 līdz 90.';

  @override
  String get post8722Sbad250Sberror250Sbprice8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu cenas vērtību. Ir atļauti tikai skaitļi no 0,000000000001 līdz 10000000000000.';

  @override
  String get post8722Sbad250Sberror250Sbrequire8722Sbfeedback8722Sbnot8722Sbvalid => 'Lūdzu, ievadiet derīgu ierobežojumu, lai pieprasītu atsauksmes rezultāta vērtību. Ir atļauti tikai veseli skaitļi no 0 līdz 100.';

  @override
  String get post8722Sbad250Sberror250Sbwallet8722Sbbalance => 'Maka atlikums ir mazāks par šim reklāmas veidam nepieciešamo minimumu';

  @override
  String post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit(Object assetSymbol) {
    return 'Pirmais laika ierobežojums ($assetSymbol)';
  }

  @override
  String get post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit8722Sbtip => 'Neobligāti. Ierobežojiet maksimālo darījuma summu lietotājiem, ar kuriem jums nav iepriekšējo darījumu. Vismaz 0.';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sbdescription => 'Padara šo reklāmu pieejamu tikai tiem lietotājiem, kurus esat atzīmējis kā uzticamus';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sblabel => 'Tikai uzticamiem lietotājiem';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts => 'Limit summas līdz';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts8722Sbtip => 'Neobligāti. Ierobežojiet tirdzniecības apjomus līdz konkrētiem ar komatiem atdalītiem veseliem skaitļiem, piemēram, 20,50,100. Fiat valūtā (USD/EUR/uc). Ērts kuponiem, dāvanu kartēm utt.';

  @override
  String get post8722Sbad250Sblocation250Sbtitle => 'Atrašanās vieta';

  @override
  String post8722Sbad250Sblogged8722Sbout8722Sbnotice(Object logIn, Object signUp) {
    return 'Lai ievietotu jaunu sludinājumu, lūdzu $logIn vai $signUp';
  }

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sblog8722Sbin => 'Pieslēgties';

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sbsign8722Sbup => 'Pierakstīties';

  @override
  String get post8722Sbad250Sbmax8722Sbamount => 'Maksimālā summa';

  @override
  String get post8722Sbad250Sbmax8722Sbamount8722Sbtip => 'Neobligāti. Maksimālais darījumu limits vienā darījumā.';

  @override
  String get post8722Sbad250Sbmin8722Sbamount => 'Minimālā summa';

  @override
  String get post8722Sbad250Sbmin8722Sbamount8722Sbtip => 'Neobligāti. Minimālais darījuma limits vienā darījumā';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore => 'Minimālais atsauksmju rezultāts';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore8722Sbtip => 'Neobligāti. Minimālais lietotāju atsauksmju rezultāts, kas nepieciešams, lai pieprasītu darījumu no 0 līdz 100.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail => 'Sīkāka informācija par maksājuma veidu';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail8722Sbtip => 'Neobligāti. Norādiet kādu īsu informāciju par maksājuma veidu, kas tiks rādīts sludinājumu sarakstā, piemēram, bankas nosaukumu, ja maksājuma veids ir bankas pārskaitījums. Ne vairāk kā 64 rakstzīmes.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo => 'Informācija par maksājuma veidu';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo8722Sbtip8722Sb0 => 'Norādiet maksājuma veida informāciju, kas jāparāda tirdzniecības laikā. Ne vairāk kā 4096 rakstzīmes. Varat izmantot atzīmes, lai pielāgotu maksājuma veida informāciju (attēli nav atļauti).';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod250Sbtitle => 'Apmaksas veids';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow => 'Maksājumu periods (minūtes)';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow8722Sbtip => 'Maksājumu perioda laiks minūtēs. Minimums 15. Maksimums 90. Ja neviens nav norādīts, noklusējuma vērtība tiek iestatīta uz 90.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed => 'Fiksētā cena';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbin(Object currency) {
    return 'Fiksēta cena $currency';
  }

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip(Object assetSymbol, Object currency) {
    return 'Cena par 1 $assetSymbol in $currency. Šī cena nemainīsies, ja vien to nemainīsit manuāli.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip250Sbnojs => 'Cena par 1 monētu izvēlētajā sludinājuma valūtā. Šī cena nemainīsies, ja vien to nemainīsit manuāli.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating => 'Peldoša cena';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip(Object assetName) {
    return 'Lieciet valūtas kursam peldēt ar tirgu, kamēr tirdzniecība ir atvērta. Tirdzniecības cena tiek noteikta noslēgšanas brīdī. Ņemiet vērā, ka $assetName summai, kas rezervēta šķīrējtiesas obligācijā, tiek pievienota papildu 15% rezerve. Pārsniegtā summa tiks atgriezta pēc darījuma pabeigšanas.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip250Sbnojs => 'Lieciet valūtas kursam peldēt ar tirgu, kamēr tirdzniecība ir atvērta. Tirdzniecības cena tiek noteikta darījuma noslēgšanas brīdī. Ņemiet vērā, ka izvēlētajai kriptovalūtas aktīva summai, kas rezervēta šķīrējtiesas obligācijai, tiek pievienota papildu 15% rezerve. Pārsniegtā summa tiks atgriezta pēc darījuma pabeigšanas.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin => 'peļņa %';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin250Sbtip => 'Marža ir starpība starp jūsu cenu un tirgus cenu. 0% ir tirgus cena. Izmantojiet pozitīvo vērtību, lai pārsniegtu tirgus cenu, un negatīvo vērtību, lai pazeminātu zem tirgus cenas.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmarket => 'Tirgus cena';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbradio250Sbformula => 'Cenas formula (papildu)';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtip => 'Tirgus cena nozīmē, ka cena jūsu reklāmā mainīsies, mainoties tirgus cenai. Fiksētā cena nozīmē, ka, neskatoties uz tirgus svārstībām, jūsu cena paliks nemainīga, līdz to manuāli mainīsit. Izmantojiet cenu formulu (papildu), lai izveidotu sarežģītākus cenu noteikšanas mehānismus.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtitle => 'Cenas ievades veids';

  @override
  String get post8722Sbad250Sbprice250Sbtitle => 'Cena';

  @override
  String get post8722Sbad250Sbpublish8722Sbbtn => 'Publicēt sludinājumu';

  @override
  String get post8722Sbad250Sbrestrictions => 'Ierobežojumi';

  @override
  String get post8722Sbad250Sbreview => 'Pārskatiet savu sludinājumu';

  @override
  String get post8722Sbad250Sbreview250Sbad8722Sbtype => 'Reklāmas veids';

  @override
  String get post8722Sbad250Sbreview250Sbmargin => 'Marža';

  @override
  String get post8722Sbad250Sbreview250Sbminutes => 'minūtes';

  @override
  String get post8722Sbad250Sbreview250Sbno => 'Nē';

  @override
  String get post8722Sbad250Sbreview250Sbyes => 'Jā';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb0(Object termsOfservice, Object guides) {
    return 'Pirms reklāmas izveides, lūdzu, izlasiet mūsu $termsOfservice un $guides';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbguides => 'ceļveži';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'Pakalpojuma noteikumi';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb0 => 'Katrs noslēgtais darījums maksā reklāmdevējiem 1% no kopējās darījuma summas (šķīrējtiesas aizsardzības maksa).';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Lai publicētā $assetSymbol pārdošanas reklāma būtu redzama, jūsu $appName šķīrējtiesas obligāciju makā ir jābūt vismaz $minimumXmrAmount $assetSymbol.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1250Sbagoradesk8722Sbnojs(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Jūsu $appName makā ir jābūt vismaz $minimumXmrAmount $assetSymbol, lai publicētu $assetSymbol pārdošanas vai $assetSymbol zvanu pārdošanas vai $assetSymbol ievietošanas pirkšanas sludinājumu būtu redzams.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb2(Object maximumNumberOfAds) {
    return 'Katrs lietotājs var izveidot līdz $maximumNumberOfAds reklāmām.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb3 => 'Tiklīdz darījums ir atvērts, cena ir galīga, izņemot gadījumus, kad izcenojumā ir skaidra kļūda.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4(Object assetName) {
    return 'Jums nav atļauts pirkt vai pārdot $assetName kādas citas personas vārdā (starpniecība).';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4250Sbnojs => 'Jums nav atļauts pirkt vai pārdot kriptovalūtu kāda cita vārdā (starpniecība).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb5 => 'Jūs varat izmantot tikai tos maksājumu kontus, kas ir reģistrēti uz jūsu vārda (bez trešo pušu maksājumiem!).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb6 => 'Sludinājumā vai tirdzniecības tērzēšanā jums ir jānorāda sava maksājuma informācija.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb7(Object appName) {
    return 'Visai saziņai ir jānotiek $appName.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtitle => 'Reklāmas noteikumi un prasības';

  @override
  String post8722Sbad250Sbsettlement8722Sbaddress250Sbtip(Object appName) {
    return 'Obligāti. Jūsu adrese, uz kuru tiks nosūtītas monētas. Nevar būt iekšējā $appName adrese.';
  }

  @override
  String post8722Sbad250Sbstep8722Sb1(Object step_number) {
    return 'Solis $step_number';
  }

  @override
  String get post8722Sbad250Sbstep8722Sb2 => '2. darbība';

  @override
  String get post8722Sbad250Sbstep8722Sb3 => '3. darbība';

  @override
  String get post8722Sbad250Sbstep8722Sb4 => '4. darbība';

  @override
  String get post8722Sbad250Sbstep8722Sb5 => '5. darbība';

  @override
  String get post8722Sbad250Sbstep8722Sb6 => '6. darbība';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbfull => 'Rādīt pilnu formu';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbstep => 'Rādīt soļu skatu';

  @override
  String get post8722Sbad250Sbterms => 'Tirdzniecības noteikumi';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb0 => 'Sludinājuma tirdzniecības noteikumi, maksimums 4096 rakstzīmes. Varat izmantot atzīmes, lai pielāgotu reklāmas vārdu stilu (attēli nav atļauti).';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb1 => 'Kā lietot uzcenojumu?';

  @override
  String get post8722Sbad250Sbtitle => 'Izveidojiet sludinājumu';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity => 'Izsekojiet maksimālo likviditātes summu';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity8722Sbtip => 'Šī opcija ierobežo šīs reklāmas likviditāti līdz maks. darījumu limits. Pircēji nevar atvērt un pabeigt darījumus, kas pārsniedz šo summu. Piemērs: ar ieslēgtu trases likviditāti un maks. darījuma limits ir iestatīts uz 100 USD, kad pircējs atver darījumu par 20 USD, maksimālais. darījumu limits tiek automātiski samazināts līdz 80 USD. Tas atgriežas pie 100 USD, ja pircējs atceļ darījumu, un paliek 80 USD, ja darījums ir pabeigts.';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbbuy(Object assetName) {
    return 'Pērciet $assetName par skaidru naudu (lokāli)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbsell(Object assetName) {
    return 'Pārdod $assetName par skaidru naudu (uz vietas)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbbuy(Object assetName) {
    return 'Pērciet $assetName tiešsaistē';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbsell(Object assetName) {
    return 'Pārdod $assetName tiešsaistē';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbsubtitle => 'ES gribu...';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip(Object assetName, Object appName) {
    return 'Kādu tirdzniecības sludinājumu vēlaties izveidot? Ja vēlaties pārdot $assetName, pārliecinieties, ka jūsu $appName šķīrējtiesas obligāciju makā ir $assetName.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs(Object appName) {
    return 'Kādu tirdzniecības sludinājumu vēlaties izveidot? Ja vēlaties pārdot Monero, pārliecinieties, vai jūsu $appName šķīrējtiesas obligāciju makā ir Monero.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs57Sbagoradesk(Object appName) {
    return 'Kādu tirdzniecības sludinājumu vēlaties izveidot? Ja vēlaties pārdot kriptovalūtu, pārliecinieties, ka jūsu $appName arbitrāžas obligāciju makā ir attiecīgā kriptovalūta.';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbtitle => 'Tirdzniecības veids';

  @override
  String price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs(Object asset) {
    return '$asset pāri';
  }

  @override
  String get price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs250Sbother8722Sbasset => 'Cits';

  @override
  String get read8722Sbmore => 'Lasīt vairāk';

  @override
  String get recaptcha250Sbno8722Sbgoogle8722Sbmessage => 'Esam ievērojuši, ka jūsu pārlūkprogrammā ir bloķēti Google pakalpojumi. Tā kā dažām vietnes darbībām mēs izmantojam Google reCAPTCHA, jums būs jāatrod veids, kā sasniegt Google pakalpojumus (piemēram, VPN, starpniekserveri vai Tor pārlūkprogrammas izmantošanu).';

  @override
  String get receipt250Sbchat8722Sbmessages => 'Ziņapmaiņa';

  @override
  String get receipt250Sbchat8722Sbmessages8722Sbnone => 'Nav ziņojumu';

  @override
  String get receipt250Sbdetails250Sbopened => 'Atvērts';

  @override
  String get receipt250Sbno8722SbaccountInfo => 'Nav norādīta informācija par maksājuma veidu';

  @override
  String receipt250Sbtitle(Object appName, Object id) {
    return '$appName — darījuma ID: $id';
  }

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtip => 'Varat mēģināt vēlreiz ar citu lietotājvārdu';

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtitle => 'Noliegts';

  @override
  String get reputation8722Sbimport250Sbinitial250Sbtitle => 'Nav sākts';

  @override
  String get reputation8722Sbimport250Sbpending250Sbtitle => 'Gaida';

  @override
  String get reputation8722Sbimport250Sbstats250Sbfeedback => 'atsauksmes';

  @override
  String get reputation8722Sbimport250Sbstats250Sbregistered => 'reģistrēts';

  @override
  String reputation8722Sbimport250Sbstats250Sbtitle(Object platform) {
    return '$platform reputācija';
  }

  @override
  String get reputation8722Sbimport250Sbstats250Sbtrades => 'tirgojas';

  @override
  String get reputation8722Sbimport250Sbstats250Sbvolume => 'apjoms';

  @override
  String reputation8722Sbimport250Sbstep250Sbcode250Sbmessage(Object platform) {
    return 'Pievienojiet šo kodu kaut kur savā publiskajā $platform profilā. Kad esam verificējuši kodu, varēsiet to noņemt.';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbmessage250Sblbc => 'Pievienojiet šo kodu savam LocalBitcoins profilam kā savai personīgajai tīmekļa lapai, beigās pievienojot \".com\". Kad esam verificējuši kodu, varēsiet to noņemt.';

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbtitle => 'Pievienojiet kodu';

  @override
  String get reputation8722Sbimport250Sbstep250Sbfinal250Sbtitle => 'Gaidiet verifikāciju';

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbinput250Sblabel(Object platform) {
    return 'Jūsu $platform lietotājvārds';
  }

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbmessage(Object platform) {
    return 'Kāds ir jūsu lietotājvārds $platform?';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbusername250Sbtitle => 'Izvēlieties lietotājvārdu';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbmessage => 'Pagaidiet mazliet, līdz mēs verificēsim jūsu profilu.';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbtitle => 'Gandrīz klāt!';

  @override
  String get reputation8722Sbimport250Sbunconfirmed250Sbtitle => 'Neapstiprināts';

  @override
  String get reputation8722Sbimport250Sbverified250Sbtitle => 'Pārbaudīts';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbedit => 'Rediģēt importēšanas informāciju';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbinitial => 'Saistiet kontu';

  @override
  String get request8722Sbpassword8722Sbreset250Sbbtn => 'Nosūtiet atiestatīšanas vēstuli';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail => 'Tavs e-pasts';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail8722Sbtip => 'Ievadiet verificētu e-pastu, kas ir saistīts ar jūsu kontu. Mēs nosūtīsim vēstuli ar paroles atiestatīšanas instrukcijām';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb1 => 'Mums nav ar šo e-pastu saistīta konta.';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb2 => 'Šis e-pasts nav verificēts';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb3 => 'Kļūda';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtext => 'Lūdzu, uzgaidiet, pirms atkārtoti atiestatāt paroli';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtitle => 'Pārāk daudz pieprasījumu';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb6 => 'Paroles atiestatīšanas kļūda';

  @override
  String get request8722Sbpassword8722Sbreset250Sbletter8722Sbsent => 'Ja šī e-pasta adrese ir verificēta ar kontu, jūs saņemsit vēstuli.';

  @override
  String get request8722Sbpassword8722Sbreset250Sbtitle => 'Atiestatīt paroli';

  @override
  String get right8722Sbdrawer250Sbaffiliate => 'Saistītā programma';

  @override
  String get right8722Sbdrawer250Sbcancelled => 'Anulēti darījumi';

  @override
  String get right8722Sbdrawer250Sbcompleted => 'Pabeigti darījumi';

  @override
  String get right8722Sbdrawer250Sbdashboard => 'Atvērtie darījumi un reklāmas';

  @override
  String get right8722Sbdrawer250Sblogout => 'Izlogoties';

  @override
  String get right8722Sbdrawer250Sbprofile => 'Profils';

  @override
  String get right8722Sbdrawer250Sbsettings => 'Iestatījumi';

  @override
  String get right8722Sbdrawer250Sbwallet => 'Maks';

  @override
  String get sanction250Sbaction8722Sbnotice => 'Jums ir aizliegts veikt šo darbību šāda jūsu konta ierobežojuma dēļ:';

  @override
  String get sanction250Sbban250Sblabel => 'Aizliegts';

  @override
  String get sanction250Sbexpires => 'Beidzas';

  @override
  String get sanction250Sblabel250Sbtrading8722Sbsuspension => 'Tirdzniecība apturēta';

  @override
  String get sanction250Sbreason => 'Iemesls';

  @override
  String get sanction250Sbsanctioned8722Sbat => 'Kopš';

  @override
  String get sanction250Sbuser => 'Lietotājs';

  @override
  String get sanction250Sbwallet8722Sbfreeze250Sblabel => 'Maks iesaldēts, tirdzniecība apturēta';

  @override
  String search250Sball8722Sbmethods(Object code) {
    return 'Visas $code metodes';
  }

  @override
  String get search250Sbamount => 'Summa';

  @override
  String get search250Sbbtn => 'Meklēt';

  @override
  String get search250Sbbuy8722Sbtab => 'Pirkt';

  @override
  String get search250Sbcoordinates250Sblat => 'Platums';

  @override
  String get search250Sbcoordinates250Sblon => 'Garums';

  @override
  String search250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location) {
    return 'Pārdod $assetName par skaidru naudu {country}';
  }

  @override
  String search250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location) {
    return 'Pērciet $assetName ar skaidru naudu {country}';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object country, Object usingMethod) {
    return 'Pārdod $assetName tiešsaistē $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbsell(Object assetName, Object country, Object usingMethod) {
    return 'Iegādājieties $assetName tiešsaistē $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbusing8722Sbmethod(Object method) {
    return 'izmantojot $method';
  }

  @override
  String get search250Sblocation8722Sbplaceholder => 'Ievadiet savu atrašanās vietu...';

  @override
  String search250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Esam ievērojuši, ka jūsu pārlūkprogrammā ir bloķēti Google pakalpojumi. Tas ir labi, taču mēs tos izmantojam, lai atrastu vietējos piedāvājumus jūsu tuvumā. Tas nozīmē, ka jums būs manuāli jāievada koordinātas. Lai to izdarītu, varat izmantot tādus pakalpojumus kā $value.';
  }

  @override
  String get search250Sbno8722Sbgoogle8722Sbtext8722Sbhere => 'šis';

  @override
  String search250Sbno8722Sbresults(Object country) {
    return 'Vēl nav rezultātu $country ar atlasītajiem kritērijiem... vēl. ';
  }

  @override
  String get search250Sbno8722Sbresults8722Sb1 => 'Mēģiniet izmantot citu maksājuma veidu, citu summu vai bez tās. ';

  @override
  String search250Sbno8722Sbresults8722Sb2(Object postAnad) {
    return 'Alternatīvi, esiet pirmais $postAnad šeit!';
  }

  @override
  String get search250Sbno8722Sbresults8722Sbpost8722Sban8722Sbad => 'ievietot sludinājumu';

  @override
  String search250Sbpopular8722Sbmethods(Object code) {
    return '🔥 Populāras $code metodes';
  }

  @override
  String get search250Sbsell8722Sbtab => 'Pārdod';

  @override
  String get seo250Sbheadline8722Sb1 => 'Aizsargājiet savas tiesības uz privātumu — iegādājieties Monero.';

  @override
  String get seo250Sbheadline8722Sb157Sbagoradesk => 'Labākā kriptovalūtas birža, lai tiešsaistē pirktu un pārdotu Bitcoin bez ID verifikācijas.';

  @override
  String get seo250Sbheadline8722Sb2 => 'Pārdodiet Monero cilvēkiem visā pasaulē vai vietējā līmenī - atbalstiet kopienu un pelniet naudu ar kriptovalūtu.';

  @override
  String get seo250Sbheadline8722Sb257Sbagoradesk => 'Īsta LocalBitcoins un Paxful alternatīva.';

  @override
  String get seo250Sbtext8722Sb1 => 'Ja esat noraizējies par privātuma aizskaršanu - labākā kriptovalūta, kurā ieguldīt, ir XMR. Monero ir neizsekojama monēta, kas izstrādāta, domājot par privātumu.\n<br/>\nKur nopirkt Monero? LocalMonero ir lielākā, uzticamākā un labi izveidotā P2P Monero birža XMR kopienā. Mums nav KYC čeku — jūs varat vienkārši anonīmi iegādāties Monero bez ID verifikācijas, izmantojot PayPal, kredītkarti, dāvanu karti, skaidru naudu pa pastu vai konvertēt bitcoin uz Monero — mūsu platforma atbalsta jebkuru maksājuma veidu.';

  @override
  String get seo250Sbtext8722Sb157Sbagoradesk => 'Vai domājat, kā ieguldīt Bitcoin? Vietnē AgoraDesk bitkoinu iegāde nekad nav bijusi tik vienkārša – uzreiz iegādājieties BTC no personas, izmantojot savu iecienītāko tiešsaistes maksājuma veidu: PayPal, kredītkarti/debetkarti vai bankas pārskaitījumu, dāvanu kartes, Venmo vai jebkuru citu.\n<br/>\nJa vēlaties iegādāties bitkoinus pie jums ar skaidru naudu, varat atrast kādu, kas vēlas pārdot bitkoinus uz vietas - tirdzniecības platforma atbalsta BTC pirkšanu un pārdošanu ar skaidru naudu. Jūs pat varat iegādāties bitkoīnus, izmantojot skaidru naudu pa pastu.';

  @override
  String get seo250Sbtext8722Sb2 => 'LocalMonero ir labākā vieta, kur pārdot XMR — neatkarīgi no tā, vai tas ir jūsu ieguves ieguvums,\nMonero cenu arbitrāža, vai arī jūs vienkārši redzat vērtību kopienas apkalpošanā. Šķīrējtiesas obligāciju aizsardzības sistēma un mūsu drošais Monero šķīrējtiesas obligāciju maciņš sniedz jums spēcīgu XMR tirdzniecības pieredzi, lai jūs varētu mierīgi konvertēt XMR uz USD, EUR, AUD, GBP vai jebkuru citu vietējo valūtu.';

  @override
  String get seo250Sbtext8722Sb257Sbagoradesk => 'Vai esat bitcoin tirgotājs, kurš vēlas pelnīt naudu ar kriptovalūtu arbitrāžu? Kalnracis, kurš vēlas izņemt BTC naudu USD vai citā vietējā valūtā?\n<br/>\nAgoraDesk ir <a href=\"/localbitcoins-alternative\" style=\"color: #0b4f6c\"> LocalBitcoins alternatīva </a>, kas respektē jūsu privātumu un drošību, vienlaikus nodrošinot vienmērīgu un ātru bitkoinu iekasēšanas pieredzi.';

  @override
  String get settings250Sb2fa250Sbbackup8722Sbcode => 'Jūsu rezerves kods ir:';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbbtn => 'Atspējot 2FA';

  @override
  String get settings250Sb2fa250Sbdisable8722Sberror => 'Nepareiza parole vai vienreizēja parole.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsubtitle => 'Lai atspējotu 2FA, ievadiet savu paroli un vienreizējo paroli.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsuccess => 'Veiksmi! 2FA ir atspējota.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbtitle => 'Atspējot divu faktoru autentifikāciju';

  @override
  String get settings250Sb2fa250Sbenable => 'Iespējot divu faktoru autentifikāciju';

  @override
  String get settings250Sb2fa250Sbenable8722Sbbtn => 'Iespējot 2FA';

  @override
  String get settings250Sb2fa250Sbenable8722Sbenter8722Sbpass => 'Lai iespējotu 2FA, ievadiet savu paroli.';

  @override
  String get settings250Sb2fa250Sbnetwork8722Sberror => 'Ar pieprasījumu radās problēma. Mēģiniet atsvaidzināt lapu un atkārtojiet pieprasījumu.';

  @override
  String get settings250Sb2fa250Sbnot8722Sbenabled8722Sbyet => 'Jūsu 2FA vēl nav iespējots! Lai to aktivizētu, jāievada vienreizējā parole.';

  @override
  String get settings250Sb2fa250Sbrtfm => 'Izlasiet divu faktoru autentifikācijas aktivizēšanas rokasgrāmatu';

  @override
  String get settings250Sb2fa250Sbstatus => 'Jūsu 2FA statuss:';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbdisabled => 'ATSPĒJĪTS';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbenabled => 'IESPĒJOTS';

  @override
  String get settings250Sb2fa250Sbstep8722Sbfour => '<strong> Ievadiet kodu</strong>, ko sniedz jūsu 2FA mobilā lietotne lodziņā zem QR koda un <strong> nospiediet pogu Verify 2FA </strong>.';

  @override
  String settings250Sb2fa250Sbstep8722Sbone(Object downloadA2faapp, Object andotp, Object anyOther2faapp, Object totp) {
    return '$downloadA2faapp, piemēram, $andotp vai $anyOther2faapp, kas atbalsta $totp jūsu ierīcei.';
  }

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbany8722Sbother8722Sb2fa8722Sbapp => 'jebkura cita 2FA lietotne';

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbdownload8722Sba8722Sb2fa8722Sbapp => 'Lejupielādējiet 2FA lietotni';

  @override
  String get settings250Sb2fa250Sbstep8722Sbthree => 'Palaidiet 2FA lietotni savā mobilajā ierīcē. Atrodiet lietotnē svītrkoda skenēšanas funkciju un <strong> skenējiet šajā lapā redzamo QR kodu </strong>.';

  @override
  String settings250Sb2fa250Sbstep8722Sbtwo(Object appName) {
    return '<strong> Pierakstiet rezerves kodu </strong> (augšpusē zaļā krāsā) uz papīra un glabājiet to drošā vietā. Tas būs nepieciešams, ja pazaudēsit tālruni vai tiks bloķēta piekļuve kontam. $appName nevarēs jums palīdzēt, ja pazaudēsit šo kodu.';
  }

  @override
  String get settings250Sb2fa250Sbsubtitle => 'Ja ir aktīva divu faktoru autentifikācija, jums jāievada vienreizējs kods katru reizi, kad piesakāties vai izņemat līdzekļus.';

  @override
  String get settings250Sb2fa250Sbsuccess => 'Veiksmi!';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbtext => 'Jūsu kontā ir iestatīta divu faktoru autentifikācija.';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbwarn => 'Šī ir pēdējā iespēja pierakstīt rezerves kodu!';

  @override
  String get settings250Sb2fa250Sbtitle => 'Divu faktoru autentifikācija (2FA)';

  @override
  String get settings250Sb2fa250Sbverify8722Sbbtn => 'Pārbaudiet 2FA';

  @override
  String get settings250Sb2fa250Sbwarning => 'Mēs ļoti iesakām savā kontā iespējot 2FA, lai uzlabotu drošību.';

  @override
  String get settings250Sb2fa250Sbwarning250Sbenable => 'Iespējot';

  @override
  String get settings250Sb2fa250Sbwrong8722Sbotp => 'Nepareiza vienreizēja parole.';

  @override
  String get settings250Sbapi8722Sbkey250Sbcopy8722Sbtooltip => 'Kopēt starpliktuvē';

  @override
  String get settings250Sbapi8722Sbkey250Sbdelete8722Sbtooltip => 'Dzēsiet aktīvo atslēgu un beidziet tās derīguma termiņu';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbbutton => 'Ģenerēt';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbcaption => 'Ģenerējot atslēgu, arī iepriekš ģenerētā API atslēga kļūs nederīga';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbtitle => 'Ģenerējiet jaunu API atslēgu';

  @override
  String get settings250Sbapi8722Sbkey250Sblabel => 'API atslēga';

  @override
  String settings250Sbapi8722Sbkey250Sblabel250Sbcaption(Object apiDocs) {
    return 'Lai varētu izmantot privātos API galapunktus, jums ir jāiestata API atslēga kā galvene “Autorizācija”. Atslēga beidzas pēc 5 gadiem. Plašāku informāciju skatiet $apiDocs.';
  }

  @override
  String get settings250Sbapi8722Sbkey250Sblabel250Sbcaption250Sbapi8722Sbdocs8722Sblink => 'API dokumenti';

  @override
  String get settings250Sbbasic8722Sbinfo8722Sbtitle => 'Pamatinformācija par lietotāju';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtip => 'Neviens, kurš vēlas jums pārdot monētas, neredzēs jūsu reklāmas vai neatvērs darījumus ar tām';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtitle => 'Pērkot atvaļinājumu';

  @override
  String get settings250Sbchange8722Sbemail250Sbbtn => 'Mainīt e-pastu';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew => 'Jauns epasts';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew8722Sbtip => 'Jūsu e-pasta apstiprināšanai tiks nosūtīta verifikācijas vēstule';

  @override
  String get settings250Sbchange8722Sbemail250Sbnone => 'E-pasts nav norādīts';

  @override
  String settings250Sbchange8722Sbemail250Sbsubtitle(Object email) {
    return 'Pašreizējais e-pasts: $email';
  }

  @override
  String get settings250Sbchange8722Sbemail250Sbtitle => 'Mainīt/pārbaudīt e-pastu';

  @override
  String get settings250Sbchange8722Sbemail250Sbunverified => 'Nepārbaudīts';

  @override
  String get settings250Sbchange8722Sbemail250Sbverified => 'Pārbaudīts';

  @override
  String get settings250Sbchange8722Sbpassword8722Sbwrong => 'Nepareiza pašreizējā parole';

  @override
  String get settings250Sbchange8722Sbpassword250Sbbtn => 'Mainiet paroli';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm => 'Apstipriniet jauno paroli';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm8722Sbtip => 'Lūdzu, apstipriniet savu jauno paroli';

  @override
  String get settings250Sbchange8722Sbpassword250Sbnew => 'Jauna parole';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold => 'Vecā parole';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold8722Sbtip => 'Lūdzu, ievadiet savu pašreizējo paroli, lai turpinātu';

  @override
  String get settings250Sbchange8722Sbpassword250Sbsubtitle => 'Pēc paroles nomaiņas jums būs jāpiesakās vēlreiz, izmantojot jauno paroli';

  @override
  String get settings250Sbchange8722Sbpassword250Sbtitle => 'Mainiet paroli';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbbutton => 'Dzēst kontu';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdescription => 'Tādējādi tiks dzēsti un anonimizēti visi jūsu konta dati. Jūsu konts tiks pilnībā dzēsts — šo darbību nevar atsaukt.';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdialog250Sbwarning => 'Jūsu konts tiks pilnībā dzēsts — vai tiešām vēlaties turpināt? To nevar atsaukt.';

  @override
  String get settings250Sbemail8722Sbalready8722Sblinked => 'Šis e-pasts ir saistīts ar citu lietotāju';

  @override
  String get settings250Sberror250Sbemail8722Sbchange8722Sbtitle => 'E-pasta maiņas kļūda';

  @override
  String get settings250Sbgeneric8722Sberror => 'Kaut kas nogāja greizi! Lūdzu mēģiniet vēlreiz.';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail => 'Ja savā e-pasta iesūtnē neredzat mūsu vēstuli';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail8722Sbbtn => 'Noklikšķiniet šeit, lai nosūtītu verifikācijas vēstuli';

  @override
  String get settings250Sbhomepage => 'Mājas lapa';

  @override
  String settings250Sbhomepage8722Sbtip(Object example_url) {
    return 'Parādīts jūsu publiskajā profilā. Tiek pieņemts tikai derīgs URL (piem., https://$example_url)';
  }

  @override
  String settings250Sbno8722Sbemail8722Sbwarn(Object appName) {
    return 'Jūsu kontā nav iestatīta verificēta e-pasta adrese. Ja pazaudēsit savu paroli, $appName nevarēs palīdzēt to atiestatīt.';
  }

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sblong => 'Sūtīt e-pasta paziņojumus, kad tiek saņemts jauns tirdzniecības ziņojums (reizi stundā)';

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sbshort => 'Jauns tirdzniecības ziņojums (reizi stundā)';

  @override
  String get settings250Sbnotifications250Sbemail250Sbtitle => 'E-pasta paziņojumi';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sblong => 'Nosūtiet e-pasta paziņojumus, kad darījums ir pabeigts';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbshort => 'Tirdzniecība pabeigta';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbtip => 'Nosūtiet e-pasta paziņojumus, kad darījums ir pabeigts';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sblong => 'Nosūtiet e-pasta paziņojumus par jauniem tirdzniecības kontaktiem';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbshort => 'Jauni tirdzniecības kontakti';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbtip => 'Sūtiet e-pasta paziņojumus par jauniem kontaktu pieprasījumiem';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sblong => 'Sūtiet e-pasta paziņojumus par jauniem tiešsaistes maksājumiem';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbshort => 'Jauni tiešsaistes maksājumi';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbtip => 'Sūtiet e-pasta paziņojumus par jauniem tiešsaistes maksājumiem jūsu darījumos';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sblong => 'Atspējojiet sensitīvu informāciju no e-pasta paziņojumiem';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbshort => 'Atspējot sensitīvu informāciju';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbtip => 'E-pastā tiks tikai lūgts pieteikties vietnē, kur būs faktiskie paziņojumi';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdialog8722Sbtitle => 'Mobilās telegrammas paziņojumi';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbbtn => 'Atspējot Telegram paziņojumus';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbtext => 'Tas atspējos paziņojumus telegrammā. Varat atkal iespējot Telegram paziņojumus, ievadot savu Telegram paziņojuma ID.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbgeneric => 'Kaut kas nogāja greizi. Lūdzu, mēģiniet atsvaidzināt lapu un atkārtojiet pieprasījumu.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbid8722Sbalready8722Sblinked => 'Šis Telegram ID ir saistīts ar citu lietotāju';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sblong => 'Nosūtiet Telegram paziņojumus, kad darījums ir pabeigts';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sbshort => 'Tirdzniecība pabeigta';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbhow8722Sbto(Object appName) {
    return 'Kā ieslēgt $appName Telegram paziņojumus mobilajām ierīcēm?';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbid => 'Telegrammas paziņojumu ID';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbid8722Sbtip(Object appName) {
    return 'Telegrammas paziņojumu ID, ko jums piešķīris $appName paziņojumu robots';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sblong => 'Nosūtiet Telegram paziņojumus par jauniem tērzēšanas ziņojumiem darījumos';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sbshort => 'Tērzēšanas ziņas tirdzniecībā';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sblong => 'Sūtiet Telegram paziņojumus par jauniem tiešsaistes maksājumiem';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbshort => 'Jauni tiešsaistes maksājumi';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbtip => 'Nosūtiet Telegram paziņojumus par jauniem tiešsaistes maksājumiem savos darījumos';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtitle => 'Telegrammas paziņojumi';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sblong => 'Nosūtiet Telegram paziņojumus par jauniem tirdzniecības pieprasījumiem';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sbshort => 'Jauni tirdzniecības pieprasījumi';

  @override
  String get settings250Sbnotifications250Sbtitle => 'Paziņojumi';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications => 'Iespējot tīmekļa paziņojumus';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications8722Sbtip => 'Ārpus pārlūkprogrammas loga jūs saņemsit ārējos paziņojumus';

  @override
  String get settings250Sbpersonal8722Sbinfo => 'Personīga iepazīstināšana';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtip => 'Parādīts jūsu publiskajā profilā. Ne vairāk kā 65536 rakstzīmes. Var izmantot atzīmes veidošanai.';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtitle => 'Personīgā informācija';

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbimported8722Sbby8722Sbother8722Sbuser => 'Cits lietotājs jau ir importējis šī konta reputāciju. Varbūt esat pieļāvis drukas kļūdu lietotājvārdā vai varbūt izvēlējāties nepareizu platformu?';

  @override
  String settings250Sbreputation8722Sbimport250Sberror250Sblbc8722Sbinvalid8722Sbusername(Object link) {
    return 'Jūsu LocalBitcoins profils nav publiski pieejams, varat to pārbaudīt pats, mēģinot atvērt savu LocalBitcoins profilu, kamēr esat izrakstījies: $link. Mēs nevaram importēt profilus, kas nav publiski pieejami. Mēģiniet sazināties ar LocalBitcoins atbalsta dienestu, lai to atrisinātu, taču pirms tā veikšanas noņemiet kodu no LocalBitcoins ievada.';
  }

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbplatform8722Sberror => 'Kaut kas nogāja greizi. Pārbaudiet, vai lietotājvārds ir pareizs un vai esat izvēlējies pareizo platformu. Ja tie ir pareizi, mēģiniet vēlreiz pēc 5 minūtēm. Ja tas joprojām nepalīdz, atveriet atbalsta biļeti.';

  @override
  String get settings250Sbresend8722Sbletter8722Sbdialog250Sbtitle => 'Lūdzu, aizpildiet CAPTCHA';

  @override
  String get settings250Sbresend8722Sbletter250Sbsent => 'Vēstule nosūtīta!';

  @override
  String get settings250Sbsaved => 'Saglabāts!';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtip => 'Neviens, kurš vēlas iegādāties jūsu monētas, neredzēs jūsu reklāmas vai neatvērs darījumus ar tām';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtitle => 'Pārdodu atvaļinājumu';

  @override
  String get settings250Sbtab250Sb2fa8722Sblong => '2FA';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sblong => 'Mainīt e-pastu';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sbshort => 'E-pasts';

  @override
  String get settings250Sbtab250Sbchange8722Sbpassword8722Sblong => 'Parole';

  @override
  String get settings250Sbtab250Sbimport8722Sbreputation => 'Importa reputācija';

  @override
  String settings250Sbtab250Sbimport8722Sbreputation250Sbdescription(Object appName) {
    return 'Varat importēt savu reputāciju no citas P2P platformas uz $appName. Jums būs jāievieto kods kaut kur savā profilā citā platformā, ko mēs pēc tam pārbaudīsim. Katrai platformai varat saistīt vienu kontu.';
  }

  @override
  String get settings250Sbtab250Sbnotifications250Sblong => 'Paziņojumi';

  @override
  String get settings250Sbtab250Sbuser8722Sbsettings8722Sblong => 'Personīga';

  @override
  String get settings250Sbtitle => 'Konta iestatījumi';

  @override
  String get settings250Sbvacation8722Sbtitle => 'Atvaļinājums';

  @override
  String get settings250Sbwrong8722Sbpassword => 'Nepareiza parole';

  @override
  String get settlement8722Sbaddress => 'Norēķinu maka adrese';

  @override
  String get signup8722Sbsuccess250Sbletter8722Sbsent => 'Uz jūsu e-pastu ir nosūtīta verifikācijas vēstule.';

  @override
  String get signup8722Sbsuccess250Sblogin => 'Tagad jūs tiksit novirzīts uz sākumlapu.';

  @override
  String get signup8722Sbsuccess250Sbtitle => 'Reģistrācija izdevusies!';

  @override
  String signup250Sbagree8722Sbto8722Sbtos(Object terms) {
    return 'Esmu izlasījis un piekrītu $terms';
  }

  @override
  String signup250Sbagree8722Sbto8722Sbtos8722Sbterms(Object appName) {
    return '$appName pakalpojumu sniegšanas noteikumi';
  }

  @override
  String get signup250Sbbtn => 'Reģistrēties';

  @override
  String get signup250Sbconfirm8722Sbpass => 'Apstipriniet paroli';

  @override
  String get signup250Sbemail => 'E-pasts (neobligāti)';

  @override
  String get signup250Sbemail8722Sbtip => 'Lai tirgotu Monero, jums nav jāievada savs e-pasts, taču bez tā mēs nevarēsim atgūt jūsu paroli vai nosūtīt jums e-pasta paziņojumus. Jūsu e-pasts tiks pārbaudīts, salīdzinot ar trešās puses vienreizējās lietošanas e-pasta pakalpojumu sniedzēju datu bāzi.';

  @override
  String get signup250Sbemail8722Sbtip57Sbagoradesk => 'Lai tirgotu kriptovalūtas, jums nav jāievada savs e-pasts, taču bez tā mēs nevarēsim atgūt jūsu paroli vai nosūtīt jums e-pasta paziņojumus. Jūsu e-pasts tiks pārbaudīts, salīdzinot ar trešās puses vienreizējās lietošanas e-pasta pakalpojumu sniedzēju datu bāzi.';

  @override
  String get signup250Sberror8722Sb28722Sbdialog8722Sbtitle => 'Reģistrācijas kļūda';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtext => 'Lūdzu, ievadiet derīgu informāciju.';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtitle => 'Veidlapas kļūda';

  @override
  String signup250Sblogin(Object link) {
    return 'Jau ir konts? $link';
  }

  @override
  String get signup250Sblogin8722Sblink => 'Pieslēgties.';

  @override
  String get signup250Sbtitle => 'Pierakstīties';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext(Object terms) {
    return 'Lai reģistrētos, lūdzu, izlasiet un piekrītiet $terms';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbagree => 'Piekrītu';

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbdisagree => 'nepiekrītu';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext8722Sbterms(Object appName) {
    return '$appName pakalpojumu sniegšanas noteikumi';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtitle => 'Pakalpojuma noteikumi';

  @override
  String get sso250Sblogout8722Sbportal => 'Jūs tiekat izrakstīts...';

  @override
  String sso250Sbunverified8722Sbemail8722Sbtext(Object settingsPage) {
    return 'Lai turpinātu, jums ir jāverificē savs e-pasts. To var izdarīt ar $settingsPage.';
  }

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtext8722Sbsettings8722Sbpage => 'iestatījumu lapa';

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtitle => 'Nepārbaudīts e-pasts';

  @override
  String get start250Sb2fa => 'Divu faktoru autentifikācija';

  @override
  String start250Sbbuy8722Sbonline(Object assetName) {
    return 'Kā tiešsaistē iegādāties $assetName';
  }

  @override
  String get start250Sbbuy8722Sbonline57Sbagoradesk => 'Kā iegādāties kriptovalūtu tiešsaistē';

  @override
  String get start250Sblearn8722Sbmore => 'Uzzināt vairāk';

  @override
  String start250Sblocal(Object assetName) {
    return 'Kā pirkt vai pārdot $assetName par skaidru naudu';
  }

  @override
  String get start250Sblocal57Sbagoradesk => 'Kā pirkt vai pārdot kriptovalūtas par skaidru naudu';

  @override
  String start250Sbsettings(Object appName) {
    return '$appName iestatījumi';
  }

  @override
  String start250Sbtitle(Object appName) {
    return '$appName rokasgrāmatas: kā pirkt vai pārdot Monero';
  }

  @override
  String start250Sbtrade(Object assetName) {
    return 'Ievads par tirdzniecību $assetName';
  }

  @override
  String get start250Sbtrade57Sbagoradesk => 'Ievads par kriptovalūtu tirdzniecību';

  @override
  String get statistics250Sbno8722Sbdata => 'Nav datu';

  @override
  String get statistics250Sbticker8722Sb12hr => '12 stundas:';

  @override
  String get statistics250Sbticker8722Sb1hr => '1 stunda:';

  @override
  String get statistics250Sbticker8722Sb24hr => '24 stundas:';

  @override
  String get statistics250Sbticker8722Sb6hr => '6 stundas:';

  @override
  String statistics250Sbticker8722Sbapi8722Sbtitle(Object appName) {
    return '$appName Average Price Ticker API';
  }

  @override
  String get statistics250Sbticker8722Sbsubtitle => 'Tiek rādītas tikai valūtas ar pieejamiem datiem';

  @override
  String statistics250Sbticker8722Sbtitle(Object assetSymbol) {
    return 'Vidējā cena/$assetSymbol, pamatojoties uz pabeigtajiem darījumiem';
  }

  @override
  String get statistics250Sbtitle => 'Statistika';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbconvert(Object currencyCode) {
    return 'Konvertējiet uz $currencyCode no USD';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbnone => 'Rādīt ziņojumu “Nav datu”.';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbtitle(Object currencyCode) {
    return 'Ja nav datu par $currencyCode...';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbusd => 'Rādīt cenu USD';

  @override
  String get stepper250Sbback8722Sbbtn => 'Atpakaļ';

  @override
  String get stepper250Sbnext8722Sbbtn => 'Nākamais';

  @override
  String get support250Sbdescription => 'Jūs varat saņemt atbalstu, atverot biļeti, nosūtot e-pastu vai sazinoties ar telegrammu.';

  @override
  String get support250Sbemail250Sbbutton => 'Nosūti e-pastu';

  @override
  String support250Sbemail250Sbdescription(Object email) {
    return 'Varat nosūtīt e-pastu uz $email';
  }

  @override
  String get support250Sbemail250Sbtitle => 'E-pasts';

  @override
  String get support250Sbmatrix250Sbbutton => 'Ziņa Matrix';

  @override
  String get support250Sbmatrix250Sbdescription => 'Jūs varat nosūtīt mums ziņojumu Matrix';

  @override
  String get support250Sbsubtitle => 'Sazinieties ar mums — mums patīk palīdzēt saviem lietotājiem! Mūsu atbildes laiks parasti ir ātrs, jūs varat saņemt atbalstu, izmantojot šādas metodes:    ';

  @override
  String get support250Sbtelegram250Sbbutton => 'Ziņojums telegrammā';

  @override
  String get support250Sbtelegram250Sbdescription => 'Jūs varat nosūtīt mums ziņojumu telegrammā';

  @override
  String get support250Sbticket250Sbbutton => 'Atveriet biļeti';

  @override
  String get support250Sbticket250Sbdescription => 'Jūs varat palielināt biļeti mūsu atbalsta portālā';

  @override
  String get support250Sbticket250Sbtitle => 'Biļete';

  @override
  String get support250Sbtitle => 'Saņemiet atbalstu';

  @override
  String get trade8722Sbnoun => 'Tirdzniecība';

  @override
  String get trade250Sbamount8722Sbminus8722Sbfee250Sblabel => 'Summa mīnus maksa:';

  @override
  String get trade250Sbamount8722Sbplus8722Sbfee250Sblabel => 'Summa plus maksa:';

  @override
  String trade250Sbamount8722Sbto8722Sbpay(Object amount) {
    return 'Summa, kas jums jāmaksā: $amount.';
  }

  @override
  String trade250Sbamount8722Sbto8722Sbreceive(Object amount) {
    return 'Summa, kas pircējam jāmaksā: $amount.';
  }

  @override
  String trade250Sbbuyer8722Sbhasnt8722Sbcompleted8722Sbpayment8722Sbtext(Object minutes) {
    return 'Pircējs vēl nav atzīmējis maksājumu par pabeigtu, un viņam ir $minutes minūtes, lai veiktu maksājumu, pirms varat atcelt darījumu. Kad saņemat maksājumu, pabeidziet darījumu.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb0 => 'Šobrīd pārdevējs var atcelt darījumu, ja vien jūs <strong> neapstiprināt maksājumu </strong>, nospiežot pogu “Esmu samaksājis”.';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb1(Object minutes) {
    return 'Pārdevējs nevarēs atcelt darījumu $minutes minūtes, kuru laikā ir droši maksāt.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Pēc apmaksas jums ir jāatzīmē <strong> maksājums pabeigts </strong>, nospiežot pogu \'Esmu samaksājis\', pretējā gadījumā pārdevējs varēs atcelt darījumu, tiklīdz būs beidzies maksājuma perioda laiks.';

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb3 => 'Gaida, kamēr pārdevējs apstiprinās jūsu maksājumu';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb4(Object time) {
    return 'Jūs esat atzīmējis maksājumu par pabeigtu uz $time.';
  }

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb5(Object username, Object assetSymbol) {
    return 'Kad $username apstiprinās maksājumu, $assetSymbol tiks nosūtīts uz jūsu norēķinu maku.';
  }

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning => 'Ja, atverot darījumu, norādītā adrese ir nepareiza, darījums ir jāatver ar pareizo adresi, pretējā gadījumā monētas var tikt neatgriezeniski pazaudētas.';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle => 'Parādiet adresi';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle8722Sbsettlement => 'Rādīt galamērķa adresi';

  @override
  String get trade250Sbcancel8722Sbtrade8722Sbbtn => 'Atcelt tirdzniecību';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtext => 'Lūdzu, apstipriniet, ka vēlaties sākt strīdu.';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtitle => 'Apstiprināt strīdu';

  @override
  String trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtext(Object username) {
    return 'Jūs, $username, paziņojat, ka esat pabeidzis maksājumu';
  }

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtitle => 'Apstipriniet maksājumu';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbbtn => 'Apstiprināt';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtext => 'Lūdzu, apstipriniet, ka vēlaties atcelt darījumu';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtitle => 'Apstipriniet atcelšanu';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtext => 'Lūdzu, apstipriniet, ka vēlaties iespējot šķīrējtiesas obligāciju aizsardzību';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtitle => 'Apstipriniet šķīrējtiesas obligāciju aizsardzības iespējošanu';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbnot8722Sbpaid8722Sbtext => 'Pircējs vēl nav atzīmējis maksājumu kā pabeigtu! Vai tiešām vēlaties pabeigt darījumu tagad?';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext => 'Lūdzu, apstipriniet, ka esat saņēmis maksājumu un vēlaties pabeigt darījumu';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext8722Sbwarning => 'Esi uzmanīgs! Pabeidziet darījumu tikai tad, kad esat pārliecināts, ka esat saņēmis maksājumu. Ir bijuši krāpnieki, kuri mēģina apmānīt pārdevējus, lai tie priekšlaicīgi noslēgtu darījumu.';

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbtitle(Object amount, Object username) {
    return 'Darījuma $amount pabeigšana ar $username';
  }

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease250Sboffset8722Sbnotice(Object appName) {
    return 'Šī parole tiek izmantota kā kompensācija, lai ģenerētu ar brīvības atņemšanu nesaistītu norēķinu maku un parakstītu darījumu. $appName nevarēs atgūt maku, ja pazaudēsit šo paroli.';
  }

  @override
  String trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtext(Object appName) {
    return 'Lūdzu, apstipriniet, ka vēlaties finansēt darījumu no sava $appName maka';
  }

  @override
  String get trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtitle => 'Apstipriniet finansējumu';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtext => 'Nepietiekams atlikums, lai finansētu darījumu';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtitle => 'Finansējuma kļūda!';

  @override
  String get trade250Sbdispute8722Sbbtn => 'Sāciet strīdu';

  @override
  String trade250Sbdispute8722Sbtext(Object appName) {
    return 'Ja rodas domstarpības par tirdzniecību, varat sākt strīdu. Pēc tam $appName atbalsta dienests ar jums sazināsies, izmantojot šī darījuma tērzēšanu.';
  }

  @override
  String get trade250Sbenable8722Sbescrow8722Sbbtn => 'Iespējot šķīrējtiesas obligāciju';

  @override
  String get trade250Sberror250Sb247 => 'Jūsu konta izņemšana ir aizliegta sankciju dēļ';

  @override
  String get trade250Sberror250Sb248 => 'Darījuma summa nav pietiekama, lai segtu ar norēķiniem saistītās maksas. Lūdzu, vēlāk mēģiniet vēlreiz, kad maksa būs zemāka, vai atveriet darījumu par lielāku summu un atceliet šo darījumu.';

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0(Object appName) {
    return '$appName var piedāvāt aizsardzību tikai tad, ja ir iespējota šķīrējtiesas obligāciju aizsardzība tirdzniecībai';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1(Object appName) {
    return 'Ja tas ir iespējots, tikai pircējs un $appName darbinieki var atcelt darījumu';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName šķīrējtiesas obligāciju aizsardzības noteikumi un informācija';
  }

  @override
  String get trade250Sbfeedback250Sbblock => 'Bloķēt lietotāju';

  @override
  String trade250Sbfeedback250Sbleave8722Sbfeedback8722Sbon(Object username) {
    return 'Sniedziet atsauksmes par $username';
  }

  @override
  String get trade250Sbfeedback250Sbnegative => 'Negatīvs';

  @override
  String get trade250Sbfeedback250Sbneutral => 'Neitrāls';

  @override
  String get trade250Sbfeedback250Sbpositive => 'Pozitīvi';

  @override
  String get trade250Sbfeedback250Sbtip => 'Atsauksmes būs redzamas tikai tad, ja kopējais tirdzniecības apjoms starp jums un jūsu tirdzniecības partneri pārsniedz 100 USD ekvivalentu.';

  @override
  String get trade250Sbfeedback250Sbtrust => 'Uzticams';

  @override
  String trade250Sbfeedback250Sbupdate8722Sbfeedback8722Sbon(Object username) {
    return 'Atjaunināt atsauksmes par $username';
  }

  @override
  String trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtip(Object username) {
    return 'Neobligāti. Atstājiet ziņojumu par $username, lai tas tiktu parādīts kopā ar atsauksmēm uztvērēja profila lapā. Ne vairāk kā 256 rakstzīmes.';
  }

  @override
  String get trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtitle => 'Jūsu atsauksmes ziņojums';

  @override
  String trade250Sbfloating8722Sbprice8722Sbtext(Object assetName, Object floating) {
    return 'Summa $assetName ir $floating ar tirgus cenu.';
  }

  @override
  String get trade250Sbfloating8722Sbprice8722Sbtext8722Sbfloating => 'peldošs';

  @override
  String get trade250Sbfund8722Sbtrade8722Sbbtn => 'Finansējiet šo tirdzniecību';

  @override
  String get trade250Sbi8722Sbhave8722Sbpaid8722Sbbtn => 'Esmu samaksājis';

  @override
  String trade250Sbinfo250Sbfee250Sblabel(Object appName) {
    return '1% $appName maksa:';
  }

  @override
  String trade250Sbinfo250Sbtrade8722Sbad(Object ad_type) {
    return 'Tirdzniecības reklāma ($ad_type)';
  }

  @override
  String get trade250Sbleave8722Sbfeedback8722Sbbtn => 'Atstāj atsauksmi';

  @override
  String get trade250Sblocal250Sbbuyer250Sbescrowed => 'Pārdevējs ir iespējojis šķīrējtiesas obligāciju aizsardzību šim darījumam, kas nozīmē, ka pārdevējs nevar atcelt šo darījumu.';

  @override
  String get trade250Sblocal250Sbbuyer250Sbnot8722Sbescrowed => 'Pārdevējs šim darījumam nav iespējojis šķīrējtiesas obligāciju aizsardzību, kas nozīmē, ka pārdevējs var atcelt darījumu jebkurā brīdī. Jūs varat pieprasīt šķīrējtiesas obligāciju aizsardzību, izmantojot tērzēšanu.';

  @override
  String trade250Sblocal250Sbbuyer250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode ir jūsu verifikācijas kods. Pārdevējs to uzzinās tikai pēc tam, kad būs pabeidzis darījumu. Varat to pierakstīt un izmantot, lai pārbaudītu, vai pārdevējs patiešām ir nosūtījis monētas pēc maksājuma saņemšanas, kad tiekat, bez nepieciešamības izmantot ierīci.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbtitle => 'Gaida, kad pārdevējs finansēs tirdzniecību';

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbwait8722Sbfor8722Sbfunding(Object appName) {
    return 'Pagaidiet, līdz pārdevējs savā $appName makā iemaksā vairāk monētu, lai segtu šīs darījuma summu.';
  }

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbfund8722Sbthe8722Sbtrade(Object amount, Object appName) {
    return 'Lai finansētu šo darījumu, jūsu $appName makā ir jābūt vismaz $amount.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbpress8722Sbfund8722Sbbtn => 'Pēc nepieciešamās summas noguldīšanas nospiediet pogu, lai finansētu darījumu.';

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbtitle => 'Finansējiet tirdzniecību';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbbuyer250Sbtitle => 'Sarunājiet tikšanos un veiciet maksājumu';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbrelease8722Sbafter8722Sbpayment => 'Pēc maksājuma saņemšanas pabeidziet darījumu. Pirms tās pieņemšanas un darījuma pabeigšanas noteikti pārbaudiet skaidras naudas autentiskumu. Pabeidziet tikai pēc tam, kad esat pārliecinājies, ka maksājums ir stingri jūsu rokās.';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbtitle => 'Sarunājiet tikšanos un saņemiet samaksu';

  @override
  String get trade250Sblocal250Sbstep8722Sb2250Sbbuyer250Sbcompleted => 'Tirdzniecība tagad ir pabeigta, monētas ir jūsu makā!';

  @override
  String trade250Sblocal250Sbstep8722Sb2250Sbseller250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode ir verifikācijas kods. Varat to pastāstīt pircējam, lai pircējs varētu pārbaudīt, vai esat pabeidzis darījumu, neizmantojot ierīci.';
  }

  @override
  String get trade250Sbmark8722Sbpaid => 'Kad esat samaksājis, nospiediet pogu \"Esmu samaksājis\". Tas neļaus pārdevējam atcelt darījumu. Nespiediet šo pogu, ja vien neesat faktiski samaksājis.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbdetails => 'Nav norādīta maksājuma informācija. Apspriediet tos tērzēšanā.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbpaying8722Sbparty => 'Pajautājiet savam tirdzniecības partnerim par viņa maksājuma informāciju tērzēšanā un veiciet maksājumu. <strong>Ja esat veicis tirdzniecību iepriekš, nesūtiet maksājumu uz kontu, kuru pārdevējs jums piešķīra iepriekšējā darījumā, iepriekš neapstiprinot ar pārdevēju šajā tirdzniecības tērzēšanā.</strong>';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbreceiving8722Sbparty => 'Pastāstiet savam tirdzniecības partnerim par savu maksājumu informāciju tērzēšanā.';

  @override
  String get trade250Sbpay => 'Maksājiet saskaņā ar zemāk norādīto maksājuma informāciju. Ja jums ir kādi jautājumi, jautājiet pārdevējam tērzēšanā.';

  @override
  String get trade250Sbpayment8722Sbdetails => 'Maksājumu informācija';

  @override
  String trade250Sbprice(Object price, Object currency, Object assetSymbol) {
    return 'Cena: $price $currency / $assetSymbol';
  }

  @override
  String get trade250Sbreceipt250Sbbtn => 'Skatīt kvīti';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbchat => 'Iekļaut tērzēšanas ziņas';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbinfo => 'Iekļaujiet informāciju par maksājuma veidu';

  @override
  String get trade250Sbreceipt250Sbtitle => 'Skatīt izdrukājamu kvīti';

  @override
  String get trade250Sbrelease8722Sbmonero8722Sbbtn => 'Pabeigt';

  @override
  String get trade250Sbseller8722Sbcan8722Sbcancel => 'Tagad jūs varat <strong> atcelt darījumu</strong>, jo pircējs nav pabeidzis maksājumu maksājuma logā.';

  @override
  String get trade250Sbsettlement8722Sbfees8722Sbnotice => 'Tīkla darījumu maksas, kas saistītas ar darījuma nokārtošanu, tiks atskaitītas no darījuma summas, kas nozīmē, ka jūs saņemsiet nedaudz mazāku summu par norādīto.';

  @override
  String trade250Sbstatus250Sbcancelled8722Sbtext(Object linebreak, Object time) {
    return 'Šis darījums ir atcelts $linebreak  plkst. $time.';
  }

  @override
  String get trade250Sbstatus250Sbcancelled8722Sbtitle => 'Atcelts';

  @override
  String trade250Sbstatus250Sbclosed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Šo darījumu ir slēdzis administrators $linebreak  vietnē $time.';
  }

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtext8722Sb1 => 'Darījums netika ne pabeigts, ne atcelts.';

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtitle => 'Slēgts';

  @override
  String trade250Sbstatus250Sbcompleted8722Sbtext(Object linebreak, Object time) {
    return 'Šis darījums ir pabeigts $linebreak  pie $time.';
  }

  @override
  String get trade250Sbstatus250Sbcompleted8722Sbtitle => 'Pabeigts';

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Šis darījums ir apstrīdēts $linebreak  pie $time.';
  }

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb1(Object appName) {
    return 'Lūdzu, uzgaidiet, līdz $appName administrators pievienosies tērzēšanai un izlems darījuma iznākumu.';
  }

  @override
  String get trade250Sbstatus250Sbdisputed8722Sbtitle => 'Apstrīdēts';

  @override
  String get trade250Sbstatus250Sbescrowed => 'Aizsargāts ar šķīrējtiesas obligāciju';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb0 => 'Šķīrējtiesas obligāciju aizsardzība ir iespējota.';

  @override
  String trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb1(Object appName) {
    return 'Tikai pircējs un $appName darbinieki var atcelt darījumu.';
  }

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb2 => 'Pārdevējs var atcelt darījumu, tiklīdz ir beidzies maksājuma perioda laiks';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtitle => 'Finansēts, aizsargāts ar šķīrējtiesas obligāciju';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbnot8722Sbescrowed8722Sbtitle => 'Finansēts, nav aizsargāts ar šķīrējtiesas obligāciju';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaccordion8722Sbsummary => 'Darījuma informācija';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaddress => 'Adrese';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbarbitrated => 'Šķīrējtiesā administrators';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbbuyer8722Sbtx250Sbtitle => 'Pārskaitījums uz pircēja norēķinu maku';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbcheck8722Sbyour8722Sbwallet => 'Pārbaudiet savu saņemšanas maku, un jūs redzēsiet darījumu!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbguide8722Sblink => 'Kā es varu atjaunot savu maku no sēklām?';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbseed => 'Jūsu ar brīvības atņemšanu nesaistītā maka mnemoniskā sēkla';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing => 'Apstrāde';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbdescription => 'Izlīgums tiek apstrādāts. <br /> Lūdzu, uzgaidiet, jums nekas nav jādara.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbtime8722Sbestimation => 'Tas var ilgt 10–60 minūtes.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbbuyer => 'Gaida pārskaitījumu pircēja norēķinu makā...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbseller => 'Gaida pārskaitījumu pārdevēja makā, kas nav saistīts ar brīvības atņemšanu...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbconfirming8722Sbto8722Sbseller => 'Notiek pārsūtīšanas apstiprināšana uz pārdevēja maku, kas nav saistīts ar brīvības atņemšanu...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbbuyer => 'Gatavs! Pārbaudiet savu saņemšanas maku, un jūs redzēsiet darījumu!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbseller => 'Gatavs! Pircējam tagad vajadzētu redzēt darījumu saņēmēja makā.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbeta8722Sbminutes => 'min';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbexplorer8722Sbbtn => 'Atveriet pētnieku';

  @override
  String trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbtotal8722Sbeta(Object eta) {
    return 'Paredzamais atlikušais laiks: ≈ $eta min';
  }

  @override
  String get trade250Sbstatus250Sbsettlement250Sbproof => 'Norēķinu pierādījums';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbseller8722Sbtx250Sbtitle => 'Pārskaitījums uz pārdevēja maku, kas nav saistīts ar brīvības atņemšanu';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbshow8722Sbproof => 'Parādiet maksājuma apliecinājumu';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbtx8722Sbkey => 'Darījuma atslēga';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbescrowed => 'Nefinansēts, aizsargāts ar šķīrējtiesas obligāciju';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbnot8722Sbescrowed => 'Nefinansēts, nav aizsargāts ar šķīrējtiesas obligāciju';

  @override
  String get trade250Sbstep250Sbprocessing8722Sbsettlement => 'Norēķins tiek apstrādāts, monētas tiek ieskaitītas jūsu makā. Lūdzu, uzgaidiet, jums nekas nav jādara.';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy(Object username, Object ad, Object time) {
    return '$username ir atbildējis uz jūsu $ad uz $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbad => 'vietējā pirkuma sludinājums';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbseller(Object username, Object ad, Object time) {
    return 'Jūs esat atbildējis uz $username $ad vietnē $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbsell8722Sbbuyer => 'vietējais pārdošanas sludinājums';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbbuy8722Sbadvertisement => 'tiešsaistes pirkuma sludinājums';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbsell8722Sbadvertisement => 'tiešsaistes pārdošanas sludinājums';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0 => 'Pircējam ierīce nemaz nav nepieciešama – apstipriniet veiksmīgu darījumu ar verifikācijas kodu';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1 => 'Pārdevējs var pabeigt darījumu, izmantojot viedtālruni vai klēpjdatoru';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb2 => 'Pabeigtais darījums ir neatgriezenisks';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb5 => 'Lūdzu, neizmantojiet tiešsaistes maksājumu metodes! Šim nolūkam izmantojiet tiešsaistes darījumus';

  @override
  String trade250Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName vietējo skaidras naudas darījumu noteikumi un informācija';
  }

  @override
  String trade250Sbterms8722Sbtitle(Object username) {
    return 'Tirdzniecības noteikumi ar $username';
  }

  @override
  String trade250Sbtitle8722Sbid(Object id) {
    return 'Tirdzniecības ID: $id';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Pērkot $amountXmr $assetSymbol par $amountFiat $currency ar skaidru naudu';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Pārdodu $amountXmr $assetSymbol par $amountFiat $currency par skaidru naudu';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return 'Iegādājoties $amountXmr $assetSymbol par $amountFiat $currency, izmantojot $method';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return 'Pārdodu $amountXmr $assetSymbol priekš $amountFiat $currency, izmantojot $method';
  }

  @override
  String get trade250Sbtitle250Sbbuying => 'Pirkšana';

  @override
  String get trade250Sbtitle250Sbexpiry => 'Līguma ilgums:';

  @override
  String get trade250Sbtitle250Sbselling => 'Pārdodu';

  @override
  String get trade250Sbupdate8722Sbfeedback8722Sbbtn => 'Atjauniniet atsauksmes';

  @override
  String trade250Sbwarning250Sbimpersonation(Object appName) {
    return 'Uzmanieties no krāpniekiem, kas mēģina uzdoties par darbiniekiem! <br /> $appName administratori nekad neteiks jums pabeigt darījumu. <br /> Darbinieku ziņojumiem ir sarkans fons.';
  }

  @override
  String get trades8722Sbtable250Sbstatus250Sbnot8722Sbpaid => 'Nav samaksāts';

  @override
  String get trades8722Sbtable250Sbstatus250Sbpaid => 'Apmaksāts';

  @override
  String get try8722Sbagain => 'Mēģini vēlreiz';

  @override
  String get user250Sbaccount8722Sbcreated => 'Izveidots konts:';

  @override
  String user250Sbads250Sblocal8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'Pārdod $assetName par skaidru naudu uz $user';
  }

  @override
  String user250Sbads250Sblocal8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Pērciet $assetName ar skaidru naudu no $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'Pārdod $assetName tiešsaistē uz $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Iegādājieties $assetName tiešsaistē no $user';
  }

  @override
  String user250Sbblock8722Sbbtn(Object username) {
    return 'Bloķēt $username';
  }

  @override
  String user250Sbblock8722Sbstatus(Object username) {
    return 'Jūs bloķējat $username';
  }

  @override
  String get user250Sbblock8722Sbstatus8722Sbdescription => 'Viņi nevarēs atbildēt uz jūsu reklāmām. Viņu reklāmas ir paslēptas jūsu meklēšanas rezultātos.';

  @override
  String get user250Sbblock250Sbwill8722Sbhide8722Sbads => 'Bloķējot lietotāju, viņa reklāmas tiks paslēptas jūsu meklēšanas rezultātos';

  @override
  String get user250Sbcache8722Sbdisclaimer => 'Atjaunina reizi stundā';

  @override
  String user250Sbfeedback8722Sbmore(Object user) {
    return 'Skatīt vairāk atsauksmju par $user';
  }

  @override
  String get user250Sbfeedback8722Sbscore => 'Atsauksmju rezultāts:';

  @override
  String get user250Sbfeedback8722Sbtitle => 'Atsauksmes';

  @override
  String get user250Sbhave8722Sbtraded => 'Jūs esat veicis darījumus ar šo lietotāju';

  @override
  String get user250Sbhavent8722Sbtraded => 'Jūs vēl neesat veicis darījumus ar šo lietotāju';

  @override
  String get user250Sbinformation => 'Informācija';

  @override
  String get user250Sblast8722Sbseen => 'Redzēts';

  @override
  String get user250Sblast8722Sbseen250Sbjust8722Sbnow => 'tikko';

  @override
  String get user250Sbmedian8722Sbdays => 'dienas';

  @override
  String get user250Sbmedian8722Sbhours => 'stundas';

  @override
  String get user250Sbmedian8722Sbminutes => 'minūtes';

  @override
  String get user250Sbmedian8722Sbnot8722Sbknown => 'Nezinams';

  @override
  String get user250Sbmedian8722Sbseconds => 'sekundes';

  @override
  String get user250Sbmedian8722Sbtitle => 'Tipisks tirdzniecības pabeigšanas laiks:';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb1 => 'Atsauksmes atspoguļošana aizņem līdz pat stundu.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb2 => 'Atsauksmes tiek rādītas tikai tad, ja jūsu starpā tirgoto monētu kopējā <strong>tirgus vērtība</strong> (kas aprēķināta pēc CoinGecko cenas, nevis piedāvājumā noteiktās cenas) pārsniedz 100 USD ekvivalentu.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sbtitle => 'Kur ir manas atsauksmes?';

  @override
  String get user250Sbnumber8722Sbof8722Sbpartners => 'Tirdzniecības partneri:';

  @override
  String get user250Sbnumber8722Sbof8722Sbtrades => 'Darījumi:';

  @override
  String get user250Sbthis8722Sbis8722Sbyou => 'Tas esi tu';

  @override
  String user250Sbtrust8722Sbbtn(Object username) {
    return 'Uzticēties $username';
  }

  @override
  String user250Sbtrust8722Sbstatus(Object username) {
    return 'Jūs uzticaties $username';
  }

  @override
  String get user250Sbtrust8722Sbstatus8722Sbdescription => 'Viņi varēs atbildēt uz reklāmām, kuras esat izveidojis tikai uzticamiem lietotājiem';

  @override
  String user250Sbunblock8722Sbbtn(Object username) {
    return 'Atbloķēt $username';
  }

  @override
  String user250Sbuntrust8722Sbbtn(Object username) {
    return 'Neuzticība $username';
  }

  @override
  String user250Sbupdate8722Sbfeedback8722Sbtitle(Object username) {
    return 'Atjaunināt atsauksmes par $username';
  }

  @override
  String get validation250Sberror250Sbad8722Sbid => 'Nederīgs ID!';

  @override
  String get validation250Sberror250Sbattachment8722Sbid => 'Nederīgs pielikuma ID';

  @override
  String get validation250Sberror250Sbcountry8722Sbcode => 'Nederīgs valsts kods!';

  @override
  String get validation250Sberror250Sbiso86018722Sbtimestamp => 'Jābūt derīgam UTC datumam ISO 8601 formātā: https://en.wikipedia.org/wiki/ISO_8601';

  @override
  String get validation250Sberror250Sbnotification8722Sbid => 'Nederīgs paziņojuma ID';

  @override
  String get validation250Sberror250Sbpage => 'Lapai ir jābūt skaitlim';

  @override
  String get validation250Sberror250Sbtrade8722Sbid => 'Nederīgs tirdzniecības ID';

  @override
  String get verify8722Sbemail250Sberror => 'Ar e-pasta verifikāciju radās kļūda';

  @override
  String get verify8722Sbemail250Sbsuccess => 'E-pasts veiksmīgi pārbaudīts!';

  @override
  String get wallet250Sbclipboard8722Sbvirus8722Sbwarning => '<strong> Pārliecinieties, vai ielīmētā adrese ir tāda pati kā nokopētā adrese! </strong> Dažiem lietotājiem ir nozagta ļaunprogrammatūra <a style=\"text-decoration:underline;font-size:inherit;color:inherit\" href=\"https://reddit.com/r/Monero/comments/mcvuxc/beware_crypto_stealing_malware/\" target=\"_blank\">, starpliktuvē iekopēto adresi aizstājot ar uzbrucēja adresi</a>.';

  @override
  String get wallet250Sbdownload8722Sbcsv8722Sbbtn => 'Lejupielādēt CSV';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh => 'Augsts';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh250Sblabel => 'Augsta maksa, tiek lēsts, ka tiks apstiprināts dažu kvartālu laikā';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow => 'Zems';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow250Sblabel => 'Zema maksa, tiek lēsts, ka tiks apstiprināts nedēļas laikā';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium => 'Vidēja';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium250Sblabel => 'Vidēja maksa, tiek lēsts, ka tiks apstiprināts vienas dienas laikā';

  @override
  String get wallet250Sbfee250Sbbtc250Sbradio8722Sbtitle => 'Izvēlieties maksas līmeni';

  @override
  String get wallet250Sbfee250Sbxmr250Sblow => 'Zems';

  @override
  String get wallet250Sbfee250Sbxmr250Sbstandard => 'Standarta';

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbblock(Object blockHeight) {
    return 'Līdzekļi tiks atbloķēti blokā $blockHeight';
  }

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbtime(Object time) {
    return 'Līdzekļi tiks atbloķēti $time';
  }

  @override
  String get wallet250Sbfunds8722Sbunlocked => 'Atbloķēts';

  @override
  String get wallet250Sbinternal8722Sbtransfer => 'Iekšējā pārsūtīšana';

  @override
  String get wallet250Sbnojs250Sbsend250Sbsend8722Sbbalance8722Sbbtn => 'Nosūtiet visu atlikumu';

  @override
  String get wallet250Sbpassword8722Sbtip => 'Lūdzu, ievadiet savu pašreizējo paroli, lai turpinātu. 8-72 rakstzīmes.';

  @override
  String wallet250Sbpriority250Sbfee(Object amount, Object asset) {
    return 'maksa: $amount $asset';
  }

  @override
  String get wallet250Sbpriority250Sblow => 'Zems';

  @override
  String get wallet250Sbpriority250Sbstandard => 'Standarta';

  @override
  String wallet250Sbreceive250Sbaddress(Object assetName) {
    return 'Jūsu depozīta $assetName adrese:';
  }

  @override
  String get wallet250Sbreceive250Sbcopied => 'Kopēts starpliktuvē!';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbamount => 'Summa';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbconfirmations => 'Apstiprinājumi:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbdate => 'Datums:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbid => 'Darījuma ID:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus => 'Bloķēts statuss:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus8722Sbunlocked => 'Atbloķēts';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbnote => 'Piezīme:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus => 'Statuss:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus8722Sbpending => 'Gaida';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbtitle => 'Depozīta informācija';

  @override
  String wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbamount(Object assetSymbol) {
    return 'Summa $assetSymbol';
  }

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sblong => 'Apstiprinājumi';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sbshort => 'Konf.';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdate => 'Datums';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdetails8722Sbbtn => 'Sīkāka informācija';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbstatus => 'Statuss';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtitle => 'Ienākošie noguldījumi';

  @override
  String get wallet250Sbreceive250Sbno8722Sbincoming => 'Šeit tiks parādīti jūsu neapstiprinātie depozīti';

  @override
  String wallet250Sbreceive250Sbqr(Object appName, Object assetSymbol) {
    return 'Jūsu $appName $assetSymbol adreses QR attēlojums';
  }

  @override
  String wallet250Sbreceive250Sbtitle(Object assetName) {
    return 'Saņemt $assetName';
  }

  @override
  String get wallet250Sbselect8722Sball8722Sbbalance => 'Viss pieejamais atlikums';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived(Object assetName) {
    return 'Saņemt summu $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip(Object assetName) {
    return 'Šī ir $assetName summa, kas jāsaņem uz saņemšanas $assetName adresi.';
  }

  @override
  String get wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip250Sbfee8722Sbon8722Sbtop => 'Šai summai tiks pievienota tīkla transakcijas maksa.';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn(Object assetName) {
    return 'Summa, kas jāatskaita $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip(Object assetSymbol, Object appName, Object assetName) {
    return 'Šī ir aptuvenā summa $assetSymbol, kas tiks atskaitīta no jūsu $appName $assetName maka, ieskaitot $assetName darījuma tīkla maksu.';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip250Sbonly8722Sbfor8722Sbexternal(Object assetName, Object appName) {
    return 'Attiecas tikai uz darījumiem, kas nosūtīti uz ārējo $assetName maku. Iekšējie darījumi starp $appName makiem ir pilnīgi bez maksas.';
  }

  @override
  String wallet250Sbsend250Sbavailable8722Sbbalance(Object amount, Object assetSymbol) {
    return 'Varat nosūtīt līdz $amount $assetSymbol';
  }

  @override
  String get wallet250Sbsend250Sbcontinue8722Sbbtn => 'Turpināt';

  @override
  String get wallet250Sbsend250Sbdialog250Sbconfirm8722Sbtitle => 'Apstipriniet šķīrējtiesas obligācijas atsaukšanu';

  @override
  String wallet250Sbsend250Sblocal8722Sbwallet(Object appName) {
    return '$appName maka adrese';
  }

  @override
  String get wallet250Sbsend250Sbpriority250Sbfaq8722Sblink => 'Kas tas?';

  @override
  String get wallet250Sbsend250Sbpriority250Sbtitle => 'Izvēlieties darījuma prioritāti';

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress(Object assetName) {
    return 'Notiek {cryptocurrencyName} adreses saņemšana';
  }

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress8722Sbtip(Object assetName) {
    return 'Tiek pieņemtas tikai derīgas $assetName adreses';
  }

  @override
  String wallet250Sbsend250Sbsend8722Sbbtn(Object assetName) {
    return 'Sūtīt $assetName';
  }

  @override
  String get wallet250Sbsend250Sbsuccess => 'Veiksmi!';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb0 => 'Monero darījumu nosūtīšana parasti aizņem apmēram 30 līdz 60 minūtes, dažkārt var paiet dažas stundas, ja tīkls ir lēns.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb057Sbagoradesk => 'Kriptovalūtas darījumu nosūtīšana parasti aizņem apmēram 30 līdz 60 minūtes, dažkārt var paiet dažas stundas, ja tīkls ir lēns.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb1 => 'Skatiet, kāpēc dažreiz tas prasa ilgāku laiku';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle => 'Cik ilgi notiek Monero darījums?';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle57Sbagoradesk => 'Cik ilgi aizņem kriptovalūtas darījums?';

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext(Object appName) {
    return '$appName maks ir tīmekļa maks — izejošās Monero adreses nav savienotas ar jūsu kontu. Ja pieprasāt atmaksu no tirgotāja, lūdziet viņam nosūtīt atmaksu uz jūsu saņēmēja adresi.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return '$appName maks ir tīmekļa maks — izejošās kriptovalūtas adreses nav savienotas ar jūsu kontu. Ja pieprasāt atmaksu no tirgotāja, lūdziet viņam nosūtīt atmaksu uz jūsu saņēmēja adresi.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle => 'Monero atmaksas un izmaksas';

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle57Sbagoradesk => 'Kriptovalūtas atmaksa un izmaksas';

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext(Object appName) {
    return 'Sūtot no $appName maka, tiek rezervēta Monero tīkla maksa, kas tiek ieturēta no jūsu atlikuma. Darījumi ar citu $appName lietotāju makiem ir bezmaksas.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee(Object assetName) {
    return 'Pašreizējās izejošo $assetName tīkla maksas';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee8722Sbrates(Object assetName) {
    return 'Pašreizējie izejošo $assetName tīkla maksu tarifi';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Sūtot no $appName maka, tīkla maksa tiek rezervēta un tiek ieturēta no jūsu atlikuma. Darījumi ar citu $appName lietotāju makiem ir bezmaksas.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle => 'Izejošās Monero maksas';

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle57Sbagoradesk => 'Izejošās kriptovalūtas maksas';

  @override
  String wallet250Sbsend250Sbtitle(Object assetName) {
    return 'Sūtīt $assetName';
  }

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbdeposit => 'Es vēlos noguldīt citu valūtu';

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbwithdraw => 'Vēlos saņemt citu valūtu';

  @override
  String wallet250Sbswap250Sbconfirmation250Sbtitle(Object partner) {
    return 'Jūsu $partner tirdzniecība';
  }

  @override
  String wallet250Sbswap250Sbconnection8722Sberror(Object partner) {
    return 'Veidojot savienojumu ar $partner, radās problēma. Lūdzu, vēlāk mēģiniet vēlreiz.';
  }

  @override
  String wallet250Sbswap250Sbcontinue8722Sbon(Object partner) {
    return 'Turpināt uz $partner';
  }

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbdeposit => 'Es gribu nosūtīt...';

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbwithdrawal => 'Vēlos saņemt...';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress => 'uz šo adresi:';

  @override
  String wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbhelper(Object partner, Object asset, Object appName) {
    return 'Pēc darījuma saņemšanas $partner nosūtīs $asset uz jūsu $appName maku';
  }

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbsend => 'Sūtīt';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbto8722Sbthis => ' uz šo adresi:';

  @override
  String wallet250Sbswap250Sbdeposits250Sbhelper(Object asset) {
    return 'Darījums tiks parādīts saņēmēja makā pēc tam, kad to būs apstiprinājis $asset tīkls (apmēram 10–60 min).';
  }

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbmaxAmount => 'Maksimālā depozīta summa';

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbminAmount => 'Minimālā depozīta summa';

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbnojs8722Sbdescription(Object asset, Object currencyCode) {
    return 'Izvēlieties, vai vēlaties aprēķināt apmaiņu, pamatojoties uz to, cik $asset vēlaties nosūtīt vai cik $currencyCode vēlaties saņemt. Mēs to izmantosim, lai atrastu jums labākos piedāvājumus.';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbreceive(Object currencyCode) {
    return 'Saņemt {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbsend(Object asset) {
    return 'Sūtīt {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbreceive(Object currencyCode) {
    return 'Summa $currencyCode, kuru vēlaties saņemt';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbsend(Object asset) {
    return '$asset apjoms, ko vēlaties nosūtīt';
  }

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbinvalid8722Sbamount => 'Nederīga summa';

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbno8722Sboffers => 'Mēs nevarējām atrast nevienu piemērotu piedāvājumu... mēģiniet pielāgot summu.';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbtitle => 'Izvēlieties piedāvājumu';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbview8722Sbad8722Sbbutton => 'Skatīt sludinājumu';

  @override
  String get wallet250Sbswap250Sbnative250Sbtrade8722Sbbutton => 'Tirdzniecība';

  @override
  String wallet250Sbswap250Sbpowered8722Sbby(Object partner) {
    return 'darbina $partner';
  }

  @override
  String wallet250Sbswap250Sbprovide8722Sbemail(Object partner) {
    return 'Sniedziet $partner manu saziņas e-pasta adresi';
  }

  @override
  String get wallet250Sbswap250Sbsave8722Sblink => 'Noteikti saglabājiet šo saiti, jo tas ir jūsu vienīgais veids, kā izsekot tirdzniecībai!';

  @override
  String get wallet250Sbswap250Sbsend8722Sbbtn => 'Nosūtiet monētas!';

  @override
  String get wallet250Sbswap250Sbstatus250Sbavailable => 'Statuss: pieejams';

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal(Object asset) {
    return 'Aptuvenais nosūtīšanas laiks $asset';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal250Sbhelper(Object asset, Object appName, Object assetName, Object currency) {
    return 'Aptuvenā summa $asset, kas tiks atskaitīta no jūsu $appName $assetName maka, lai saņemtu iepriekš minēto $currency summu, ieskaitot $assetName darījuma tīkla maksu. Var nedaudz mainīties tīkla maksas svārstību dēļ.';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbdeposit(Object currency) {
    return 'Cik daudz $currency vēlaties nosūtīt?';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal(Object currency) {
    return 'Aptuvenais saņemtais $currency';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal250Sbhelper(Object currency, Object partner) {
    return 'Aptuvenā summa $currency, ko jūs saņemsiet. Izmantojiet tālāk norādīto ievadi, lai to mainītu. Var nedaudz mainīties $partner valūtas kursa svārstību dēļ.';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbhelper(Object time, Object partner, Object currency) {
    return 'Vienkārši atpūtieties, pagaidiet $time minūtes, un $partner nosūtīs jums $currency';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle(Object asset, Object partner) {
    return ' Mēs esam nosūtījuši $asset uz $partner';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle250Sball8722Sbset(Object partner) {
    return 'Viss sagatavots $partner tirdzniecībai!';
  }

  @override
  String wallet250Sbtab250Sbreceive8722Sblong(Object assetName) {
    return 'Saņemt $assetName';
  }

  @override
  String get wallet250Sbtab250Sbreceive8722Sbshort => 'Saņemt';

  @override
  String wallet250Sbtab250Sbsend8722Sblong(Object assetName) {
    return 'Sūtīt $assetName';
  }

  @override
  String get wallet250Sbtab250Sbsend8722Sbshort => 'Sūtīt';

  @override
  String get wallet250Sbtab250Sbtx8722Sblong => 'Darījumi';

  @override
  String get wallet250Sbtab250Sbtx8722Sbshort => 'Txs';

  @override
  String get wallet250Sbtitle => 'Maks';

  @override
  String get wallet250Sbtx250Sbaffiliate => 'Saistītās programmas komisijas izmaksa';

  @override
  String wallet250Sbtx250Sbfee(Object assetName) {
    return '$assetName tīkla transakcijas maksa.';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbtrade(Object id) {
    return 'Saņemts no tirdzniecības $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbuser(Object username) {
    return 'Saņemts no lietotāja $username';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbtrade(Object id) {
    return 'Nosūtīts tirdzniecībai $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbuser(Object username) {
    return 'Nosūtīts lietotājam $username';
  }

  @override
  String get wallet250Sbtx250Sbpending8722Sbsend => 'Gaida nosūtīšanu uz';

  @override
  String wallet250Sbtx250Sbrebate(Object code) {
    return 'Maksas atlaide. Kupona kods: $code.';
  }

  @override
  String wallet250Sbtx250Sbreceive(Object assetName) {
    return 'Saņemts. $assetName tīkla darījuma ID:';
  }

  @override
  String wallet250Sbtx250Sbreserve(Object assetName, Object id) {
    return '$assetName rezerve tirdzniecībai $id';
  }

  @override
  String wallet250Sbtx250Sbreserve8722Sbreturn(Object assetName, Object id) {
    return '$assetName rezerves atgriešana no tirdzniecības $id';
  }

  @override
  String get wallet250Sbtx250Sbsend => 'Nosūtīts uz';

  @override
  String wallet250Sbtx250Sbsend8722Sbid(Object assetName) {
    return '$assetName tīkla darījuma ID:';
  }

  @override
  String get wallet250Sbtxs250Sbdetails8722Sbdialog250Sbtitle => 'Darījuma informācija';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails => 'Sīkāka informācija';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails250Sbplaceholder => 'Tx ID, adrese, tirdzniecības ID, lietotājvārds utt.';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbfrom => 'No';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtitle => 'Filtrēt darījumus';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbto => 'Uz';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype => 'Tips';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbaffiliate => 'Filiāles komisija';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sball => 'Visi veidi';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbcoupon => 'Kupona atlaide';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbfee => 'Maksa par tīklu';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbreceive => 'Iekšējā saņemšana';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbsend => 'Iekšējā sūtīšana';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbpending => 'Gaida nosūtīšanu';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreceive => 'Saņemt';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve => 'Tirdzniecības rezerve';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve8722Sbreturn => 'Tirdzniecības rezerves atdeve';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbsend => 'Sūtīt';

  @override
  String wallet250Sbtxs250Sbtable250Sbamount(Object assetSymbol) {
    return 'Summa $assetSymbol';
  }

  @override
  String get wallet250Sbtxs250Sbtable250Sbdate => 'Datums';

  @override
  String get wallet250Sbtxs250Sbtable250Sbdescription => 'Apraksts';

  @override
  String wallet250Sbtxs250Sbtable250Sbreceived(Object assetSymbol) {
    return 'Saņemts $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtable250Sbsent(Object assetSymbol) {
    return 'Nosūtīts $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtip8722Sbtext(Object latestVersion, Object assetName) {
    return 'Ja aprakstā varat redzēt darījuma ID ar saiti uz blokķēdes pārlūku, tas nozīmē, ka jūsu darījums ir veiksmīgi pārraidīts. Lūdzu, pārliecinieties, vai jūsu maks ir pilnībā sinhronizēts un vai izmantojat maka $assetName $latestVersion.';
  }

  @override
  String get wallet250Sbtxs250Sbtip8722Sbtext8722Sblatest8722Sbversion => 'jaunākā versija';

  @override
  String wallet250Sbtxs250Sbtip8722Sbtitle(Object appName) {
    return 'Padoms: izņēmāt līdzekļus no $appName un neredzat tos savā makā?';
  }

  @override
  String get wallet250Sbtxs250Sbtitle => 'Maka darījumi';

  @override
  String wallet250Sbupdate8722Sbsoft8722Sbwarn(Object update) {
    return 'Ir iznākusi jauna Monero programmatūras versija! Neaizmirstiet $update sava maka programmatūru, pretējā gadījumā nevarēsit nosūtīt un saņemt darījumus.';
  }

  @override
  String get wallet250Sbupdate8722Sbsoft8722Sbwarn8722Sbupdate => 'Atjaunināt';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sband8722Sbfee8722Sbnext => 'Nākamajā solī jūs atlasīsiet summu un maksas līmeni';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbnext => 'Summu atlasīsiet nākamajā darbībā';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sblabel => 'Saņemt';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sbsecondary8722Sblabel => 'Ievadiet saņemamo summu (bez maksas)';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sblabel => 'Sūtīt';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sbsecondary8722Sblabel => 'Ievadiet atskaitāmo summu (ar maksu)';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sblabel => 'Bezmaksas jauninājums';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sbtooltip => 'Tā kā mēs veicam izņemšanu pa partijām, faktiski ir lētāk nosūtīt izņemšanu ar augstāku maksas likmi. Izbaudi!';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees => 'Tīkla maksas';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbhigh => 'Ātri';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sblow => 'Lēns';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbmedium => 'Vidēja';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbsend8722Sbmax => 'Sūtīt maks';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbamount => 'Summa';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbrecipient => 'Saņēmējs';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbsummary => 'Kopsavilkums';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation250Sbwallet8722Sbowner => 'Apstiprinot naudas izņemšanu, jūs arī apstiprināt, ka maks, no kura izņemat naudu, pieder jums.';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbnew8722Sbfee => 'Jauna izņemšanas maksa';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbold8722Sbfee => 'Vecā izņemšanas maksa';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbreceive8722Sbamount => 'Saņemt summu';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbsend8722Sbamount => 'Summa, kas jāatskaita';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbdecreased => 'Izņemšanas maksa ir samazinājusies';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbincreased => 'Izņemšanas maksa ir palielinājusies';

  @override
  String get wallet250Sbwithdraw250Sbnojs250Sbchange8722Sbaddress8722Sbbtn => 'Mainīt adresi';

  @override
  String wallet250Sbwithdrawal250Sbamount8722Sbinput250Sblabel(Object asset) {
    return 'Summa ($asset)';
  }

  @override
  String wallet250Sbwithdrawal250Sbconfirmation250Sbfee(Object fee, Object currency) {
    return '+ tīkla maksa (≈ $fee $currency)';
  }

  @override
  String get wallet250Sbwithdrawal250Sberror250Sbtoo8722Sbsmall => 'Summa, kas ir pieprasīta izņemšanai, ir mazāka par minimālo iespējamo summu';

  @override
  String get wallet250Sbwithdrawal250Sbnetwork8722Sbfee => 'Maksa par tīklu';

  @override
  String get warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb0 => '<strong>PIEZĪME.</strong> Šis maksājuma veids ir <strong>augsta riska</strong>, jo tas ir <strong>atgriezenisks</strong> un šī iemesla dēļ to bieži izmanto krāpnieki.';

  @override
  String warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb1(Object method, Object linebreak) {
    return 'Pat ja jūs veicat pienācīgu rūpību un tirgojaties tikai ar cienījamiem lietotājiem, nav garantijas, ka nenokļūsiet $method strīda situācijā. Lai palielinātu savas iespējas, varat rīkoties šādi: $linebreak  1. Pieprasiet 2 lietotāja identifikācijas dokumentu ar fotoattēlu (t.i., pases un autovadītāja apliecības skenēšanu), pārbaudiet, vai $method konta nosaukums atbilst ID. $linebreak  2. Pastāstiet lietotājam, lai viņš nosūta jums e-pasta ziņojumu no $method e-pasta konta (varbūt pat pasakiet viņam e-pastā ievietot darījuma ID un kaut ko par tirdzniecību).$linebreak  3. Iekasēt ļoti augstu maksu par $method tirgojas. Piemēram, 25% un vairāk. Tādā veidā jūs saņemat segumu, ja 1 no 5 jūsu $method darījumiem ir krāpniecība (ņemot vērā vienādas darījumu summas). $linebreak  4. Esiet piesardzīgs no lielām tirdzniecības summām. Vispirms mēģiniet veikt dažus mazākas summas darījumus ar tirgotāju. $linebreak ';
  }

  @override
  String get warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb0 => 'Šī reklāma ir paslēpta, jo jūsu norādītā minimālā summa ir mazāka par maksimālo pieejamo summu';

  @override
  String warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb1(Object assetName) {
    return 'Šis tirgotājs ir atvaļinājumā vai nav pieejams $assetName. Lūdzu, pārbaudiet vēlāk vai meklējiet citus piedāvājumus.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance(Object asset, Object minRequiredbalance, Object amountXmr, Object localmoneroWallet) {
    return 'Visas jūsu pārdošanas $asset reklāmas ir paslēptas no publiskās meklēšanas, jo jūsu šķīrējtiesas obligācijas maka atlikums ir mazāks par $minRequiredbalance. Lai jūsu pārdošanas reklāmas būtu redzamas, lūdzu, iemaksājiet vismaz $amountXmr savā šķīrējtiesas obligācijā $localmoneroWallet.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName maku';
  }

  @override
  String get web8722Sbnotification250Sbmessage => 'Jums ir jauna ziņa.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcancelled => 'Tirdzniecība ir atcelta.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcomplete => 'Tika pabeigta tirdzniecība.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbdisputed => 'Viens no jūsu darījumiem ir apstrīdēts.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete => 'Maksājums atzīmēts kā pabeigts.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbrequest => 'Jums ir jauns tirdzniecības piedāvājums.';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbattach8722Sbcode8722Sbcheckbox => 'Pievienojiet logrīkam manu filiāles novirzīšanas kodu';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sblogged8722Sbout => 'Piesakieties, lai logrīkam pievienotu saistītā uzņēmuma novirzīšanas kodu';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbnot8722Sbenabled => 'Iespējot saistīto programmu, lai logrīkam pievienotu novirzīšanas kodu';

  @override
  String widget8722Sbinstructions250Sbinstructions(Object assetName) {
    return 'Lai savai vietnei iegūtu $assetName ielas cenas logrīku, tālāk atlasiet vajadzīgo valūtu un vienkārši ielīmējiet šo kodu savā tīmekļa lapā:';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbaffiliate(Object assetName) {
    return '$assetName Ielas cenu logrīks (ar jūsu partnera kodu)';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbno8722Sbaffiliate(Object assetName) {
    return '$assetName Ielas cenu logrīks';
  }

  @override
  String get ads => 'Sludinājumi';

  @override
  String get unknown_error => 'Nezināma kļūda';

  @override
  String get ads_choose_ad_type => 'Izvēlieties sludinājuma veidu';

  @override
  String get ads_ad_type => 'Sludinājuma veids';

  @override
  String get ads_choose_ad_cryptocurrency => 'Izvēlieties kriptovalūtu';

  @override
  String get ads_choose_price_type => 'Izvēlieties cenas veidu';

  @override
  String get ads_which_type_to_choose => 'Kuru veidu izvēlēties?';

  @override
  String get enter_margin => 'Ievadiet robežu';

  @override
  String get what_is_margin => 'Kas ir robeža?';

  @override
  String get price_formula_examples => 'Cenu formulas piemēri';

  @override
  String get see_examples => 'Skatīt piemērus';

  @override
  String get see_example => 'Skatīt piemēru';

  @override
  String get final_price_in => 'Galējā cena';

  @override
  String get show_formula_controls => 'Rādīt formulas rīkus';

  @override
  String get market_rates => 'Tirgus kursi';

  @override
  String get set_trade_limits => 'Iestatīt darījuma limitus (pēc izvēles):';

  @override
  String get restrict_limit_amounts_to => 'Ierobežot limitu summas līdz';

  @override
  String get restrict_limit_amounts => 'Ierobežot limitu summas';

  @override
  String get what_does_it_mean => 'Ko tas nozīmē?';

  @override
  String ads_enter_amount(Object currency) {
    return 'Ievadiet summu $currency';
  }

  @override
  String ads_enter_comma_sep_amounts(Object currency) {
    return 'Ievadiet ar komatu atdalītas summas $currency';
  }

  @override
  String ads_first_trade_max_limit(Object currency) {
    return 'Pirmā darījuma maksimālais limits $currency';
  }

  @override
  String get ads_specify_trade_details => 'Norādiet darījuma detaļas (neobligāti):';

  @override
  String get ads_payment_method_details => 'Maksājuma veida detaļas';

  @override
  String get ads_payment_method_details_64 => 'Parādīts sludinājumu sarakstā. Ne vairāk kā 64 rakstzīmes.';

  @override
  String get ads_maximum_64 => 'Ne vairāk kā 64 rakstzīmes';

  @override
  String get ads_payment_method_info_trade => 'Informācija par maksājuma veidu';

  @override
  String get ads_payment_method_info_trade_4096 => 'Parādīts darījuma laikā. Ne vairāk kā 4096 rakstzīmes.';

  @override
  String get ads_specify_restrictions => 'Norādiet ierobežojumus (pēc izvēles):';

  @override
  String get maximum_4096 => 'Ne vairāk kā 4096 rakstzīmes';

  @override
  String get enter_number_0_100 => 'Ievadiet skaitli no 0 līdz 100';

  @override
  String get enter_number_15_90 => 'Ievadiet skaitli no 15 līdz 90';

  @override
  String get enter_amount_min_0 => 'Ievadiet summu (min 0)';

  @override
  String get currency => 'Valūta:';

  @override
  String get payment_method => 'Apmaksas veids:';

  @override
  String get restrict_amounts_to => 'Ierobežot summas līdz:';

  @override
  String get payment_method_details => 'Maksājuma veida detaļas:';

  @override
  String get review => 'Pārskats';

  @override
  String get publish => 'Publicēt';

  @override
  String get enter_your_settlement_wallet_address => 'Ievadiet norēķinu maka adresi:';

  @override
  String ads_enter_verify_address(Object appName) {
    return 'Ievadiet un pārbaudiet savu adresi, uz kuru tiks nosūtītas monētas. Nevar būt iekšējā $appName adrese.';
  }

  @override
  String get what_is_settlement_fee_level => 'Kas ir norēķinu maksas līmenis?';

  @override
  String get settlement_fee_level_selector_explanation => 'Šis atlasītājs ļauj izvēlēties, kuru tīkla maksas līmeni izmantot, nosūtot darījumu uz savu maku. Ja neesat pārliecināts, kādu maksas līmeni vēlaties, atlasiet vidējo maksu.';

  @override
  String get ads_payment_window => 'Maksājuma periods (minūtes)';

  @override
  String get ads_payment_window_short => 'Maksājumu logs';

  @override
  String get ads_havent_posted => 'Jūs vēl neesat ievietojis nevienu sludinājumu.';

  @override
  String get no_trades => 'Jums vēl nav darījumu.';

  @override
  String get no_feedbacks => 'Nav atsauksmju.';

  @override
  String get ad_settings => 'Sludinājumu iestatījumi';

  @override
  String get settings_saved => 'Iestatījumi saglabāti';

  @override
  String get preferences => 'Iestatījumi';

  @override
  String get about_this_ad => 'Par šo sludinājumu';

  @override
  String get price => 'Cena';

  @override
  String get activity => 'Aktivitāte';

  @override
  String get chat => 'Sarakste';

  @override
  String get market => 'Tirgus';

  @override
  String get help => 'Palīdzība';

  @override
  String sell_asset(Object asset) {
    return 'Pārdot $asset';
  }

  @override
  String buy_asset(Object asset) {
    return 'Pirkt $asset';
  }

  @override
  String get trader_profile => 'Tirgotāja profils';

  @override
  String get trader_info => 'Tirgotāja informācija';

  @override
  String get trading_tips => 'Tirdzniecības padomi';

  @override
  String get clear_all => 'Nodzēst visu';

  @override
  String get apply => 'Pieteikties';

  @override
  String get enter_amount => 'Ievadīt summu';

  @override
  String get any_payment_method => 'Jebkurš Maksājuma Veids';

  @override
  String get see_more_feedback => 'Skatīt vairāk atsauksmju';

  @override
  String get see_more_ads => 'Skatīt vairāk sludinājumu';

  @override
  String feedback_title(Object user) {
    return 'Atsauksmes par $user';
  }

  @override
  String get active_ads => 'Aktīvie sludinājumi';

  @override
  String get you_sell => 'Jūs pārdodat';

  @override
  String get you_buy => 'Jūs pērkat';

  @override
  String get you_receive => 'Jūs saņemat';

  @override
  String get you_pay => 'Jūs maksājat';

  @override
  String get export_csv => 'Eksportēt CSV';

  @override
  String get copy => 'Kopēt';

  @override
  String sell_via(Object asset, Object provider) {
    return 'Pārdod $asset, izmantojot $provider';
  }

  @override
  String buy_via(Object asset, Object provider) {
    return 'Pirkt $asset, izmantojot $provider';
  }

  @override
  String sell_to(Object user) {
    return 'Pārdot $user';
  }

  @override
  String buy_from(Object user) {
    return 'Pirkt no $user';
  }

  @override
  String must_be_at_least(Object num, Object currency) {
    return 'Jābūt vismaz $num $currency';
  }

  @override
  String must_be_less(Object num, Object currency) {
    return 'Jābūt mazāk $num $currency';
  }

  @override
  String send_all(Object asset) {
    return 'Nosūtīt visu $asset';
  }

  @override
  String about_transactions(Object asset) {
    return 'Par $asset darījumiem';
  }

  @override
  String get trade_id => 'Darījuma ID';

  @override
  String get view_trade => 'Skatīt darījumu';

  @override
  String get receiving => 'Saņemšana';

  @override
  String get paying => 'Apmaksa';

  @override
  String get rate => 'Kurss';

  @override
  String get enter_your_password => 'Ievadiet savu paroli';

  @override
  String get good_seller => 'Labs pārdevējs';

  @override
  String get cancel => 'Atcelt';

  @override
  String get delete => 'Dzēst';

  @override
  String get important => 'Svarīgs';

  @override
  String get feedback_updated_successfully => 'Atsauksmes veiksmīgi atjauninātas.';

  @override
  String get pay => 'Maksāt';

  @override
  String get send_trade_request => 'Nosūtīt darījuma pieprasījumu';

  @override
  String get start_trading => 'Sākt tirdzniecību';

  @override
  String get api_error_13 => 'Pieprasījumā radās problēma. Visticamāk, tā ir apstiprināšanas problēma. Pārbaudiet pieprasījuma parametrus un, ja tas joprojām nešķiet pareizi, lūdzu, sazinieties ar mūsu atbalsta dienestu.';

  @override
  String get api_error_49 => 'Paroles maiņas pieprasījumā norādītā vecā parole neatbilst pašreizējai parolei';

  @override
  String get api_error_60 => 'E-pasta maiņai norādītā parole nav pareiza';

  @override
  String get api_error_61 => 'Šis e-pasts jau ir saistīts ar citu kontu';

  @override
  String get api_error_73 => 'Izņemšanas pieprasījuma laikā norādītā parole ir nepareiza';

  @override
  String get api_error_74 => 'Nepietiek līdzekļu, lai veiktu pieprasītās summas izņemšanu';

  @override
  String get api_error_75 => 'Mēģina izņemt līdzekļus uz iekšējo adresi, kas neeksistē';

  @override
  String get api_error_76 => 'Mēģina izņemt līdzekļus uz to pašu kontu, no kura tiek pieprasīta izņemšana';

  @override
  String get api_error_77 => 'Nepietiek līdzekļu, lai veiktu iekšējo pārskaitījumu par pieprasīto summu';

  @override
  String get api_error_103 => 'Tiek pieprasīts darījums no sludinājuma, kura plakāts atrodas pārdošanas atvaļinājumā';

  @override
  String get api_error_105 => 'Sludinājumam, kuram tiek pieprasīts darījums, nav pietiekami daudz bilances, lai finansētu starpniecību';

  @override
  String get api_error_107 => 'Mēģina izsekot likviditātei, iestatot maxAmount';

  @override
  String get api_error_137 => 'Mēģinājums reģistrēt 2FA, norādot nepareizu paroli';

  @override
  String get api_error_138 => 'Mēģinājums apstiprināt 2FA, norādot nepareizu OTP';

  @override
  String get api_error_139 => 'Mēģinot atspējot 2FA, parole vai OTP nav pareiza';

  @override
  String get api_error_140 => 'OTP kļūda, mēģinot izņemt monētas no maka';

  @override
  String get api_error_146 => 'Mēģinājums iespējot affiliate programmu kontam, kurā tā jau ir iespējota';

  @override
  String get api_error_170 => 'Izņemšanai pieprasītā summa ir mazāka par minimālo iespējamo summu konkrētajai kriptovalūtai';

  @override
  String get api_error_171 => 'Pieprasot izņemšanu, norādīta nederīga adrese';

  @override
  String get api_error_173 => 'Mēģinājums vienlaikus atvērt pārāk daudz darījumu jaunam kontam';

  @override
  String get api_error_178 => 'Mēģinājums izmantot kuponu lietotājam, kurš neeksistē';

  @override
  String get api_error_179 => 'Mēģinājums izmantot kuponu, kas neeksistē';

  @override
  String get api_error_180 => 'Mēģinājums izmantot kuponu, kuram beidzies derīguma termiņš';

  @override
  String get api_error_181 => 'Mēģinājums izmantot kuponu, kuru atļauts izmantot tikai reģistrācijas laikā';

  @override
  String get api_error_182 => 'Mēģinājums izmantot kuponu, ko šis lietotājs jau ir izmantojis';

  @override
  String get api_error_183 => 'Mēģinājums izmantot kuponu, kas nav pieejams';

  @override
  String get api_error_184 => 'Mēģinājums izmantot kuponu, kamēr ir jau aktīvs kupons';

  @override
  String get api_error_204 => 'Mēģinājums pieprasīt neesoša konta reputācijas importēšanas kodu';

  @override
  String get api_error_205 => 'Mēģinājums ģenerēt verifikācijas kodu reputācijas importēšanai platformai, kurai jau ir ģenerēts verifikācijas kods';

  @override
  String get api_error_206 => 'Mēģinājums ģenerēt verifikācijas kodu reputācijas importēšanai platformai, no kuras reputācija jau ir importēta';

  @override
  String get api_error_207 => 'Mēģinājums apstiprināt reputācijas importēšanas verifikācijas kodu lietotājam, kurš neeksistē';

  @override
  String get api_error_208 => 'Mēģinājums apstiprināt reputācijas importēšanas verifikācijas kodu lietotājam, kurš nav reputācijas importēšanas plūsmas 1. līmenī';

  @override
  String get api_error_209 => 'LocalBitcoins kļūda, mēģinot apstiprināt reputācijas importēšanas verifikācijas kodu. Iespējams, lietotājvārds ir nepareizs vai profils nav redzams';

  @override
  String get api_error_210 => 'Paxful kļūda, mēģinot apstiprināt reputāciju importēšanas verifikācijas kodu Varbūt lietotājvārds ir nepareizs vai profils nav redzams';

  @override
  String get api_error_225 => 'LocalBitcoins API atgriež kļūdu “Nederīgs lietotājs”, mēģinot apstiprināt reputācijas kodu';

  @override
  String get api_error_226 => 'Nepareiza parole, mēģinot dzēst kontu';

  @override
  String get api_error_238 => 'Maksas līmenis nav noteikts ārējai Bitcoin izņemšanai';

  @override
  String get api_error_239 => 'Nepareiza parole, mēģinot publicēt darījumu';

  @override
  String get api_error_243 => 'Iekšējo AgoraDesk adresi nevar izmantot tirgus darījumiem. Lai turpinātu, lūdzam ievadīt ārēju, nevis AgoraDesk XMR adresi.';

  @override
  String get api_error_254 => 'Mēģinājums pēdējo 10 minūšu laikā nosūtīt naudas izņemšanu uz identisku adresi un summu';

  @override
  String get api_error_260 => 'Mēģinājums ievietot piezīmi par lietotāju, kurš neeksistē';

  @override
  String get api_error_261 => 'Mēģinājums ievietot piezīmi paša kontā';

  @override
  String get api_error_262 => 'Mēģinājums iegūt piezīmi par lietotāju, kurš neeksistē';

  @override
  String get api_error_263 => 'Mēģinājums iegūt piezīmi par paša kontu';

  @override
  String get api_error_264 => 'Mēģinājums dzēst piezīmi par lietotāju, kurš neeksistē';

  @override
  String get api_error_265 => 'Mēģinājums dzēst piezīmi par paša kontu';

  @override
  String get api_error_267 => 'Mēģinājums dzēst lietotāja piezīmi, kas neeksistē';

  @override
  String get api_error_403 => 'Jums nav tiesību veikt šo darbību';

  @override
  String get api_error_4000 => 'Nav interneta savienojuma.';

  @override
  String get api_error_4001 => 'Savienojuma noilgums. Lūdzu, pārbaudiet interneta savienojumu.';

  @override
  String get api_error_45 => 'Pieprasījumā nevar būt gan \'first_time_limit_asset\', gan \'first_time_limit_TICKER\'. Noņemiet vienu no tiem (tie ir savstarpēji aizvietojami).';

  @override
  String get api_error_46 => 'Pieprasījumā ir jābūt VAI lietojumprogrammas/json pieprasījuma pamattekstam ar parametru “msg”, VAI vairāku daļu/formas datu pieprasījuma pamattekstam ar attēla failu, kas norādīts zem parametra “document”';

  @override
  String get api_error_47 => 'Lietotājs ar šādu lietotājvārdu jau pastāv';

  @override
  String get api_error_48 => 'Lietotājs ar šo e-pasta adresi jau pastāv';

  @override
  String get api_error_50 => 'Mēģinājums nosūtīt e-pastu lietotājam bez iestatīta e-pasta';

  @override
  String get api_error_51 => 'E-pasta apstiprināšanai norādītais kods ir piešķirts lietotājam, kurš neeksistē';

  @override
  String get api_error_52 => 'E-pasta apstiprināšanai norādītais kods nav derīgs';

  @override
  String get api_error_53 => 'E-pasts kodā neatbilst pašreizējam e-pastam datu bāzē';

  @override
  String get api_error_54 => 'Paroles atiestatīšanai paredzētais kods ir piešķirts e-pastam, kas neeksistē datu bāzē';

  @override
  String get api_error_55 => 'Paroles atiestatīšanai norādītais kods nav derīgs';

  @override
  String get api_error_56 => 'Mēģinājums nosūtīt paroles atiestatīšanas ziņojumu uz e-pastu, kas nav datu bāzē';

  @override
  String get api_error_57 => 'Paroles atiestatīšanai norādītais kods nav atiestatīšanas kods';

  @override
  String get api_error_58 => 'Mēģinājums nosūtīt paroles atiestatīšanas ziņojumu lietotājam ar neapstiprinātu e-pastu';

  @override
  String get api_error_59 => 'Mēģinājums atiestatīt paroli lietotājam ar neapstiprinātu e-pasta adresi';

  @override
  String get api_error_62 => 'Nav konta ar lietotājvārdu, kas norādīts konta publisko datu pieprasījumam';

  @override
  String get api_error_63 => 'Mēģinājums augšuplādēt aizliegta veida failu';

  @override
  String get api_error_64 => 'Mēģinājums atzīmēt neesošu paziņojumu kā izlasītu';

  @override
  String get api_error_65 => 'Mēģinājums atzīmēt jau izlasītu paziņojumu kā izlasītu';

  @override
  String get api_error_66 => 'Mēģinājums augšupielādēt sarakstes pielikumu darījumam, kas neeksistē';

  @override
  String get api_error_67 => 'Mēģinājums nosūtīt sarakstes ziņojumu darījumam, kas neeksistē';

  @override
  String get api_error_68 => 'Mēģinājums iegūt sarakstes ziņojumu sarakstu darījumam, kas neeksistē';

  @override
  String get api_error_69 => 'Mēģinājums iegūt sarakstes ziņojumu, kas neeksistē';

  @override
  String get api_error_70 => 'Mēģinājums iegūt neesoša konta maka adresi';

  @override
  String get api_error_71 => 'Mēģinājums iegūt darījumus kontam, kas neeksistē';

  @override
  String get api_error_72 => 'Mēģinājums izņemt līdzekļus no neesoša konta';

  @override
  String get api_error_78 => 'Mēģinājums iegūt sludinājumus ar neatļautu parametru kombināciju';

  @override
  String get api_error_79 => 'Pieprasītais sludinājuma ID nepastāv';

  @override
  String get api_error_80 => 'Sludinājuma atjaunināšanas/izveides pieprasījumā netika iestatīts gan lat, gan lon';

  @override
  String get api_error_81 => 'Ievietojot sludinājumu, netika iestatīta cenas formula';

  @override
  String get api_error_82 => 'Mēģinājums iestatīt lat un lon tiešsaistes sludinājumam';

  @override
  String get api_error_83 => 'Mēģinājums iestatīt ONLINE_SELL/CALL_SELL/PUT_BUY specifiskus parametrus cita veida sludinājumam';

  @override
  String get api_error_84 => 'Mēģinājums iestatīt ONLINE_BUY/CALL_BUY/PUT_SELL specifiskus parametrus cita veida sludinājumam';

  @override
  String get api_error_85 => 'Mēģinājums iestatīt LOCAL_SELL specifiskus parametrus cita veida sludinājumam';

  @override
  String get api_error_86 => 'Veidojot/atjauninot sludinājumu, tiek mēģināts iestatīt valsti, maksājuma veidu vai valūtu, kas nav derīga';

  @override
  String get api_error_87 => 'Veidojot/atjauninot sludinājumu, tiek mēģināts iestatīt maksājuma veidu, kas nav derīgs šai valstij';

  @override
  String get api_error_88 => 'Veidojot/atjauninot sludinājumu, tiek mēģināts iestatīt valūtu, kas nav derīga šim maksājuma veidam';

  @override
  String get api_error_89 => 'Mēģinājums izveidot LOCAL_* sludinājumu, neiestatot lon/lat';

  @override
  String get api_error_90 => 'Mēģinājums piekļūt neeksistējoša lietotāja darījumiem.';

  @override
  String get api_error_91 => 'Mēģinājums piekļūt konta publiskajiem datiem, izmantojot neeksistējoša lietotāja pilnvaru';

  @override
  String get api_error_92 => 'Mēģinājums saņemt paziņojumus lietotājam, kurš neeksistē';

  @override
  String get api_error_93 => 'Mēģinājums iegūt neapstiprinātus depozītus lietotājam, kurš neeksistē';

  @override
  String get api_error_94 => 'Mēģinājums iegūt atsauksmju reitingu par lietotāju, kurš neeksistē';

  @override
  String get api_error_95 => 'Mēģinājums iegūt sludinājumus lietotājam, kurš neeksistē';

  @override
  String get api_error_96 => 'Neesošs lietotājs mēģina izveidot darījumu';

  @override
  String get api_error_97 => 'Mēģinājums izveidot darījumu sludinājumam, kas neeksistē';

  @override
  String get api_error_98 => 'Mēģinājums izveidot darījumu sludinājumam, kura plakāts neeksistē';

  @override
  String get api_error_99 => 'Veidojot pirmo darījumu, tiek mēģināts pieprasīt lielāku summu, nekā pieļauj first_time_limit_asset';

  @override
  String get api_error_100 => 'Darījuma izveidei nevar pieprasīt mazāk par 0,0000000001 XMR';

  @override
  String get api_error_101 => 'Veidojot darījumu, pieprasītā summa ir mazāka par sludinājuma min_amount';

  @override
  String get api_error_102 => 'Veidojot darījumu, pieprasītā summa ir lielāka par sludinājuma max_amount_available';

  @override
  String get api_error_104 => 'Tiek pieprasīts darījums sludinājumam, kura plakāts ir atvaļinājumā';

  @override
  String get api_error_106 => 'Darījuma pieprasītājam nepietiek bilances, lai finansētu darījuma pieprasījumu';

  @override
  String get api_error_108 => 'minAmount nevar būt vienāds ar maxAmount vai lielāks par to';

  @override
  String get api_error_109 => 'Veidojot darījumu, pieprasītā summa ir lielāka par sludinājuma maksimālo summu';

  @override
  String get api_error_110 => 'Darījuma pieprasītājam ir zemāks atsauksmju reitings nekā pieprasīts plakātā';

  @override
  String get api_error_111 => 'Pieprasītā summa nav viena no pieņemtajām summām, skatiet limit_to_fiat_amounts';

  @override
  String get api_error_112 => 'Nevar pieprasīt darījumu sludinājumam, ko ievietojāt pats';

  @override
  String get api_error_113 => 'Atjauninot sludinājumu, nevar iestatīt paymentWindowMinutes uz <15 vai >90';

  @override
  String get api_error_114 => 'Veidojot sludinājumu, nevar iestatīt paymentWindowMinutes uz <15 vai >90';

  @override
  String get api_error_115 => 'Darījums ar pieprasīto ID nepastāv';

  @override
  String get api_error_116 => 'Lietotājs, kurš pieprasa darījumu, nepastāv';

  @override
  String get api_error_117 => 'Valūta, kurai tiek pieprasīts maiņas kurss, nepastāv';

  @override
  String get api_error_118 => 'Lietotājs, kurš pieprasa darījuma finansējumu, nepastāv';

  @override
  String get api_error_119 => 'Mēģinājums finansēt darījumu, kas neeksistē';

  @override
  String get api_error_120 => 'Lietotājs, kurš pieprasa darījuma starpniecību, nepastāv';

  @override
  String get api_error_121 => 'Mēģinājums nodrošināt starpniecību darījumam, kas neeksistē';

  @override
  String get api_error_122 => 'Nepietiek līdzekļu, lai finansētu peldošu LOCAL_SELL darījumu';

  @override
  String get api_error_123 => 'Nepietiek līdzekļu, lai finansētu nepeldošu LOCAL_SELL darījumu';

  @override
  String get api_error_124 => 'Kļūda, finansējot LOCAL_SELL';

  @override
  String get api_error_125 => 'Lietotājs, kurš pieprasa darījuma atcelšanu, neeksistē';

  @override
  String get api_error_126 => 'Mēģinājums atcelt darījumu, kas neeksistē';

  @override
  String get api_error_127 => 'Lietotājs, kurš pieprasa samaksu par darījumu, nepastāv';

  @override
  String get api_error_128 => 'Mēģinājums atzīmēt darījumu, kas neeksistē kā apmaksāts';

  @override
  String get api_error_129 => 'Lietotājs, kurš pieprasa darījuma izlaišanu, neeksistē';

  @override
  String get api_error_130 => 'Mēģinājums izlaist darījumu, kas neeksistē';

  @override
  String get api_error_131 => 'Lietotājs, kurš pieprasa darījuma strīdu, neeksistē';

  @override
  String get api_error_132 => 'Mēģinājums apstrīdēt darījumu, kas neeksistē';

  @override
  String get api_error_133 => 'Mēģinājums iegūt atsauksmes par lietotāju, kurš neeksistē';

  @override
  String get api_error_134 => 'Mēģinājums izveidot sludinājumu, kad lietotājam jau ir maksimālais atļautais sludinājumu skaits';

  @override
  String get api_error_135 => 'Kaut kā vērtība maxAmount ir iestatīta uz nulli, kamēr trackingMaxAmount ir iestatīta uz patiesu';

  @override
  String get api_error_136 => 'Mēģinājums ievietot sludinājumu, kura atlikums ir mazāks par minimālo nepieciešamo atlikumu.';

  @override
  String get api_error_141 => 'Mēģinājums izveidot darījumu par summu, kas ir mazāka par minimālo atļauto summu';

  @override
  String get api_error_142 => 'Veidojot sludinājumu, mēģināts iestatīt fiat limitu, kas ir mazāks par minAmount';

  @override
  String get api_error_143 => 'Veidojot sludināumu, tiek mēģināts iestatīt fiat limitu, kas ir lielāks par maxAmount';

  @override
  String get api_error_144 => 'Atjauninot sludinājumu, tiek mēģināts iestatīt fiat limitu, kas ir mazāks par minAmount';

  @override
  String get api_error_145 => 'Atjauninot sludinājumu, tiek mēģināts iestatīt fiat limitu, kas ir lielāks par maxAmount';

  @override
  String get api_error_147 => 'Mēģinājums iegūt saistītos datus lietotājam, kuram nav iespējota saistītā programma';

  @override
  String get api_error_148 => 'Mēģinājums iestatīt telegram ID, kas jau ir iestatīts';

  @override
  String get api_error_149 => 'Ārējai izņemšanai prioritāte nav norādīta';

  @override
  String get api_error_150 => 'Mēģinājums sākt darījumu ar sludinājumu, kurā pieprasošo lietotāju bloķē sludinājuma plakāts';

  @override
  String get api_error_151 => 'Mēģinājums uzsākt darījumu ar sludinājumu, kura autors neuzticas pieprasītājam';

  @override
  String get api_error_152 => 'Mēģinājums atcelt darījumu, kas jau ir slēgts';

  @override
  String get api_error_153 => 'Mēģinājums izlaist darījumu, kas jau ir slēgts';

  @override
  String get api_error_154 => 'Mēģinājums pieprasīt darījumus kontam, kas neeksistē';

  @override
  String get api_error_155 => 'Mēģinājums iegūt neeksistējoša lietotāja uzticamo lietotāju sarakstu';

  @override
  String get api_error_156 => 'Mēģinājums iegūt bloķēto lietotāju sarakstu lietotājam, kurš neeksistē';

  @override
  String get api_error_157 => 'Mēģinājums iestatīt opciju specifiskus parametrus bezopciju sludinājumam';

  @override
  String get api_error_158 => 'Mēģinājums izveidot opciju sludinājumu, neiestatot opciju specifiskus parametrus';

  @override
  String get api_error_159 => 'Lietotājs, kurš pieprasa atzīmēt darījuma prēmijas maksājumu, neeksistē';

  @override
  String get api_error_160 => 'Mēģinājums atzīmēt prēmiju, kas samaksāta par neeksistējošu darījumu';

  @override
  String get api_error_161 => 'Lietotājs, kurš pieprasa izmantot opciju, nepastāv';

  @override
  String get api_error_162 => 'Mēģinājums izmantot opciju darījumam, kas neeksistē';

  @override
  String get api_error_163 => 'Lietotājs, kurš pieprasa apstiprināt darījuma prēmijas maksājumu, neeksistē';

  @override
  String get api_error_164 => 'Mēģinājums apstiprināt prēmiju, kas samaksāta par neeksistējošu darījumu';

  @override
  String get api_error_165 => 'Lietotājs, kurš vēlas veikt darījumu ar neto norēķinu, neeksistē';

  @override
  String get api_error_166 => 'Mēģinājums ar neto norēķinu veikt darījumu, kas neeksistē';

  @override
  String get api_error_167 => 'Pašreizējā tirgus cena ir mazāka par izpildes cenu vai vienāda ar to, veidojot CALL darījumu. Darījums pēc tirgus standartiem ir bez naudas un nevar tikt izveidots. Ja nepieciešams, izmantojiet parasto norēķinu.';

  @override
  String get api_error_168 => 'Lietotājs, kurš pieprasa apstiprināt darījuma seguma maksājumu, neeksistē';

  @override
  String get api_error_169 => 'Mēģinājums apstiprināt segumu, kas samaksāts par neeksistējošu darījumu';

  @override
  String get api_error_172 => 'Mēģinājums izvietot sludinājumu, kurā aktīvs ir tāds pats kā sludinājuma valūta';

  @override
  String get api_error_174 => 'Mēģinājums izpildīt beznaudas PUT darījumu';

  @override
  String get api_error_175 => 'Mēģinājums izlietot kuponu, kas reģistrācijas laikā neeksistē';

  @override
  String get api_error_176 => 'Reģistrācijas laikā mēģināts izlietot kuponu, kuram beidzies derīguma termiņš';

  @override
  String get api_error_177 => 'Mēģinājums izlietot kuponu, kas reģistrācijas laikā nav pieejams';

  @override
  String get api_error_185 => 'Mēģinājums iegūt kuponus lietotājam, kurš neeksistē';

  @override
  String get api_error_186 => 'Mēģinājums iegūt vairāk nekā 50 sludinājumus, pieprasot sludinājumus pēc ID';

  @override
  String get api_error_187 => 'Mēģinājums norādīt tukšu ID sarakstu, pieprasot sludinājumus pēc ID';

  @override
  String get api_error_188 => 'Pieprasot sludinājumus pēc ID, neviens no norādītajiem nav derīgs ID';

  @override
  String get api_error_189 => 'Pieprasot sludinājumus pēc ID, neviens no pieprasītajiem sludinājumiem neeksistē';

  @override
  String get api_error_190 => 'Mēģinājums norādīt tukšu ID sarakstu, pieprasot darījumus pēc ID';

  @override
  String get api_error_191 => 'Mēģinājums iegūt vairāk nekā 50 sludinājumus, pieprasot darījumus pēc ID';

  @override
  String get api_error_192 => 'Pieprasot darījumus pēc ID, neviens no norādītajiem nav derīgs darījuma ID';

  @override
  String get api_error_193 => 'Pieprasot darījumus pēc ID, neviens no pieprasītajiem darījumiem neeksistē';

  @override
  String get api_error_194 => 'Mēģinājums ģenerēt publisku API pilnvaru lietotājam, kurš neeksistē';

  @override
  String get api_error_195 => 'Nepareiza parole, mēģinot iegūt publisku API pilnvaru';

  @override
  String get api_error_196 => 'Mēģinājums iegūt jaunākos ziņojumus lietotājam, kurš neeksistē';

  @override
  String get api_error_197 => 'Mēģinājums iegūt darījuma sarakstes ziņojumus ar laika atzīmi “pēc”, kas ir ārpus atļautā perioda';

  @override
  String get api_error_198 => 'Mēģinājums iegūt konta jaunākos sarakstes ziņojumus ar laika atzīmi “pēc”, kas ir ārpus atļautā perioda';

  @override
  String get api_error_199 => 'Mēģinājums iegūt publisku API pilnvaru lietotājam, kurš neeksistē';

  @override
  String get api_error_200 => 'Mēģinājums beigt un dzēst publisko API pilnvaru lietotājam bez publiskas API pilnvaras';

  @override
  String get api_error_201 => 'Mēģinājums atjaunināt cenas formulu sludinājumam, kas neeksistē';

  @override
  String get api_error_202 => 'Mēģinājums iegūt konta darījumus ar laika atzīmi “pēc”, kas ir ārpus atļautā perioda';

  @override
  String get api_error_203 => 'Mēģinājums iegūt reputācijas importēšanas datus kontam, kas neeksistē';

  @override
  String get api_error_211 => 'Mēģinājums apstiprināt neesoša lietotāja reputācijas importēšanu';

  @override
  String get api_error_212 => 'Mēģinājums apstiprināt reputācijas importēšanu lietotājam, kurš nav reputācijas importēšanas plūsmas 2. līmenī';

  @override
  String get api_error_213 => 'Mēģinājums liegt reputācijas importēšanu lietotājam, kurš neeksistē';

  @override
  String get api_error_214 => 'Mēģinājums liegt reputācijas importēšanu lietotājam, kurš nav reputācijas importēšanas plūsmas 2. līmenī';

  @override
  String get api_error_215 => 'Pieprasot populārākos maksājuma veidus, tiek mēģināts norādīt gan country_code, gan currency_code';

  @override
  String get api_error_216 => 'Mēģinājums pieprasīt populārākos maksājuma veidus country_code, kas neeksistē';

  @override
  String get api_error_217 => 'Mēģinājums pieprasīt populārākās maksājuma metodes currency_code, kas neeksistē';

  @override
  String get api_error_218 => 'Mēģinājums atvērt darījumu ar sludinājumu, kuram ir nepieciešams apstiprināts e-pasts, kā lietotājam bez apstiprināta e-pasta';

  @override
  String get api_error_219 => 'Mēģinājums reģistrēties, izmantojot e-pastu no vienreizējās lietošanas e-pasta pakalpojumu sniedzēja';

  @override
  String get api_error_220 => 'Mēģinājums mainīt konta e-pastu uz e-pastu no vienreizējās lietošanas e-pasta pakalpojumu sniedzēja';

  @override
  String get api_error_221 => 'Mēģinājums atzīmēt visus paziņojumus par izlasītiem lietotājam, kurš neeksistē';

  @override
  String get api_error_222 => 'Mēģinājums pieprasīt reputācijas kodu ārpusplatformas kontam, kas jau ir importēts';

  @override
  String get api_error_223 => 'Mēģinājums atjaunināt sludinājumu, norādot verificationRequired kā patiesu, kamēr verificationMsg ir tukšs';

  @override
  String get api_error_224 => 'Mēģinājums atjaunināt sludinājumu, norādot verificationMsg, bet sludinājumam, kuram nav nepieciešama pārbaude, un sludinājuma atjaunināšanas pieprasījumam arī nav aktīvs verificationRequired';

  @override
  String get api_error_227 => 'Mēģinājums sankcionēt lietotāju, kurš neeksistē';

  @override
  String get api_error_228 => 'Mēģinājums sankcionēt lietotāju, kura administratora konts neeksistē';

  @override
  String get api_error_229 => 'Mēģinājums noņemt sankciju lietotājam, kas neeksistē';

  @override
  String get api_error_230 => 'Mēģinājums noņemt sankciju lietotājam ar neesošu administratora kontu';

  @override
  String get api_error_231 => 'Mēģinājums noņemt sankciju lietotājam, kuram nav noteiktas nekādas sankcijas';

  @override
  String get api_error_232 => 'Mēģinājums veikt darījumu ar lietotāju, kuram pašlaik ir aizliegts tirgoties sankcijas dēļ';

  @override
  String get api_error_233 => 'Mēģinājums noņemt atsauksmes ar ID, kas neeksistē';

  @override
  String get api_error_234 => 'Mēģinājums noņemt atsauksmes, kas jau ir noņemtas';

  @override
  String get api_error_235 => 'Mēģinājums noņemt strīda statusu darījumam, kas neeksistē';

  @override
  String get api_error_236 => 'Mēģinājums noņemt strīda statusu darījumam, kas nav apstrīdēts';

  @override
  String get api_error_237 => 'Mēģinājums atvērt darījumu kā lietotājam, kurš neeksistē, izsaucot darījuma atvēršanas galapunktu kā administratoram un norādot parametru openAsUsername';

  @override
  String get api_error_240 => 'Pircējs norāda nederīgu adresi, atbildot uz SELL-type sludinājumu';

  @override
  String get api_error_241 => 'Pircējs mēģina norādīt iekšējo adresi, atbildot uz SELL-type sludinājumu (iekšējās adreses nav atļautas darījumu norēķiniem)';

  @override
  String get api_error_242 => 'Pircējs norāda nederīgu adresi, veidojot BUY-type sludinājumu';

  @override
  String get api_error_244 => 'Pircējs norāda nederīgu adresi, atjauninot BUY-type sludinājumu';

  @override
  String get api_error_245 => 'Pircējs mēģina norādīt iekšējo adresi, atjauninot BUY-type sludinājumu (iekšējās adreses nav atļautas darījumu norēķiniem)';

  @override
  String get api_error_246 => 'Mēģinājums sākt darījumu no BUY-type sludinājuma, kurā nav norādīta pircēja norēķinu adrese';

  @override
  String get api_error_247 => 'Mēģinājums izlaist darījumu no konta, kuram aizliegts izņemt sankciju dēļ';

  @override
  String get api_error_248 => 'Mēģinājums veikt darījumu, kad darījuma summa nav pietiekama, lai segtu ar norēķiniem saistītās maksas';

  @override
  String get api_error_249 => 'Mēģinājums atjaunināt BUY-type sludinājumu, kuram nav iestatīta buyerSettlementAddress, neiestatot parametru buyerSettlementAddress atjaunināšanas pieprasījumā';

  @override
  String get api_error_250 => 'Pieprasot BTC izņemšanas maksu, norādīta nederīga adrese';

  @override
  String get api_error_251 => 'Maksas līmenis nav norādīts, atverot darījumu, atbildot uz BTC SELL-type sludinājumu';

  @override
  String get api_error_252 => 'Maksas līmenis nav norādīts, veidojot BTC BUY-type sludinājumu';

  @override
  String get api_error_253 => 'Maksas līmenis nav norādīts, atjauninot BTC BUY-type sludinājumu, kuram nav iestatīts maksas līmenis';

  @override
  String get api_error_255 => 'Mēģinājums saņemt paziņojumus ar laika atzīmi “pēc”, kas ir ārpus atļautā perioda';

  @override
  String get api_error_256 => 'Mēģinājums reģistrēt jau esošu paziņojuma pilnvaru';

  @override
  String get api_error_257 => 'Mēģinājums reģistrēt nederīgu paziņojuma pilnvaru';

  @override
  String get api_error_258 => 'Mēģinājums reģistrēt paziņojuma pilnvaru kontam, kuram jau ir 500 ierīču pilnvaras. Pirms atkārtota mēģinājuma izdzēsiet vienu no esošajām pilnvarām';

  @override
  String get api_error_259 => 'Mēģinājums dzēst pilnvaru, kas neeksistē vai nepieder šim lietotājam';

  @override
  String get account => 'Konts';

  @override
  String get login => 'Pieslēgties';

  @override
  String get skip => 'Izlaist';

  @override
  String get pin_setup => 'Iestatīt PIN';

  @override
  String get pin_enter_continue => 'Lai turpinātu, ievadiet PIN';

  @override
  String get pin_enter => 'Ievadiet PIN';

  @override
  String get pin_enter_to_confirm_transaction => 'Ievadiet PIN, lai apstiprinātu darījumu';

  @override
  String get pin_you_can_use => 'Varat izmantot šo PIN, lai atbloķētu lietotni.';

  @override
  String get pin_confirm => 'Apstipriniet PIN';

  @override
  String get pin_current => 'Pašreizējais PIN';

  @override
  String get pin_set => 'Iestatīt PIN kodu';

  @override
  String get pin_do_not_match => 'PIN kodi nesakrīt';

  @override
  String get pin_second_as_first => 'PIN, ko ievadījāt otrreiz, neatbilst pirmajam.';

  @override
  String get pin_wrong_current => 'Nepareizs pašreizējais PIN';

  @override
  String get pin_please_input_correct => 'Lūdzu, ievadiet pareizu pašreizējo PIN.';

  @override
  String get enter_email => 'Ievadiet e-pastu';

  @override
  String get convert => 'Konvertēt';

  @override
  String get recent_transactions => 'Nesenie darījumi';

  @override
  String get transactions_30_days => 'Darījumi pēdējo 30 dienu laikā';

  @override
  String get forgot_password => 'Aizmirsāt paroli?';

  @override
  String get password_have_changed => 'Parole ir nomainīta.';

  @override
  String get i_want_to_buy => 'Es gribu nopirkt';

  @override
  String get error_password_reset_token_invalid => 'Paroles atiestatīšanai norādītā pilnvara nav derīga';

  @override
  String get error_password_reset_unverified_email => 'Mēģinājums atiestatīt paroli lietotājam ar neapstiprinātu e-pasta adresi';

  @override
  String get i_want_to_buy_new => 'Es gribu nopirkt';

  @override
  String get new_password => 'Jaunā parole (8–72 rakstzīmes)';

  @override
  String get i_want_to_sell => 'Es gribu pārdot';

  @override
  String get log_in_to_start_trading => 'Pieslēdzieties, lai sāktu tirdzniecību';

  @override
  String get why_do_you_need_my_email => 'Kāpēc jums ir nepieciešams mans e-pasts?';

  @override
  String get view_all_transactions => 'Skatīt visus darījumus';

  @override
  String get email_is_used_to => 'E-pasts tiek izmantots, lai atgūtu paroli vai nosūtītu jums e-pasta paziņojumus. Jūsu e-pasts tiks pārbaudīts, salīdzinot ar trešās puses vienreizējās lietošanas e-pasta pakalpojumu sniedzēju datu bāzi.';

  @override
  String get email_verified => 'E-pasts ir apstiprināts.';

  @override
  String get email_verification_error => 'E-pasta apstiprināšanas kļūda.';

  @override
  String get email_token_error => 'Kods vai e-pasts ir nepareizs. E-pasts netika apstiprināts.';

  @override
  String get welcome_screen_about => 'Droša un ērti lietojama platforma, lai mainītu vietējo valūtu pret Bitcoin un Monero.';

  @override
  String get view_in_block_explorer => 'Skatīt bloku pārlūkā';

  @override
  String get welcome_pick_a_payment_method => 'Izvēlieties maksājuma veidu vai izvēlieties kādu no visiem pieejamajiem piedāvājumiem.';

  @override
  String get welcome_buy_press_buy => 'Nospiediet BUY, lai sāktu tirdzniecību.';

  @override
  String get welcome_buy_follow_the_sellers => 'Sekojiet pārdevēja norādījumiem darījuma sarakstē!';

  @override
  String get welcome_sell_go_to_wallet => 'Dodieties uz savu maku un iemaksājiet savas monētas.';

  @override
  String get welcome_sell_press_sell => 'Nospiediet SELL, lai sāktu tirdzniecību.';

  @override
  String get welcome_sell_follow_the_buyer => 'Sekojiet pircēja norādījumiem darījuma sarakstē!';

  @override
  String get get_started => 'Sākt';

  @override
  String get send_to => 'Nosūtīt uz';

  @override
  String get error_only_numbers_are_possible => 'Iespējami tikai skaitļi.';

  @override
  String get error_entered_greater_than_balance => 'Ievadītā vērtība ir lielāka par bilanci.';

  @override
  String get amount_to_receive => 'Saņemamā summa';

  @override
  String get amount_to_send => 'Nosūtāmā summa';

  @override
  String your_deposit_address(Object asset) {
    return 'Jūsu $asset depozīta adrese';
  }

  @override
  String pending(Object num1, Object num2) {
    return 'Gaida ($num1/$num2)';
  }

  @override
  String get preview => 'Priekšskats';

  @override
  String get close => 'Aizvērt';

  @override
  String get deposit => 'Iemaksāt';

  @override
  String get share => 'Dalīties';

  @override
  String get edit => 'Rediģēt';

  @override
  String get confirm_transaction => 'Apstiprināt darījumu';

  @override
  String get transaction_fee => 'Darījuma maksa';

  @override
  String get show_qr_code => 'Rādīt QR kodu';

  @override
  String get security => 'Drošība';

  @override
  String get no_pending_deposits => 'Nav neapstiprinātu iemaksu';

  @override
  String get create_pin => 'Izveidot PIN';

  @override
  String get change_pin => 'Mainīt PIN';

  @override
  String get remove_pin => 'Noņemt PIN';

  @override
  String get remove_pin_message_success => 'PIN noņemts';

  @override
  String get you_will_receive => 'Jūs saņemsiet';

  @override
  String get total_amount_to_send => 'Kopējā nosūtāmā summa';

  @override
  String get enter_amount_to_receive_without_fee => 'Ievadiet saņemamo summu (bez maksas)';

  @override
  String get enter_amount_to_receive_with_fee => 'Ievadiet atskaitāmo summu (ar maksu)';

  @override
  String get return_reserve_from_trade => 'Atgriešanas rezerve no darījuma';

  @override
  String get user_profile => 'Lietotāja profils';

  @override
  String get personal_introduction => 'Personīgais ievads';

  @override
  String get trading_reputation_on_other_platforms => 'Tirdzniecības reputācija citās platformās';

  @override
  String get how_to_link_my_account => 'Kā sasaistīt manu kontu?';

  @override
  String link_account(Object platform) {
    return 'Sasaistīt $platform kontu';
  }

  @override
  String what_is_your_username(Object platform) {
    return 'Kāds ir jūsu lietotājvārds $platform?';
  }

  @override
  String get enter_username => 'Ievadiet lietotājvārdu';

  @override
  String get edit_personal_introduction => 'Rediģēt personīgo ievadu';

  @override
  String get your_info => 'Jūsu informācija';

  @override
  String get website => 'Mājaslapa';

  @override
  String get are_you_sure => 'Vai esat pārliecināts?';

  @override
  String get no_trusted_users_yet => 'Vēl nav uzticamu lietotāju.';

  @override
  String get no_blocked_users_yet => 'Vēl nav neviena bloķēta lietotāja.';

  @override
  String get no_transactions_yet => 'Darījumu vēl nav.';

  @override
  String get web_links => 'Interneta adreses';

  @override
  String get tor_links => 'Tor adreses';

  @override
  String get i2p_links => 'I2P adreses';

  @override
  String get active_coupons => 'Aktīvie kuponi';

  @override
  String get expired_coupons => 'Kuponi, kuriem beidzies derīguma termiņš';

  @override
  String get hide_expired_coupons => 'Paslēpt kuponus, kuriem beidzies derīguma termiņš';

  @override
  String get show_expired_coupons => 'Rādīt kuponus, kuriem beidzies derīguma termiņš';

  @override
  String get terms_and_conditions => 'Noteikumi un nosacījumi';

  @override
  String get current_email => 'Pašreizējais e-pasts';

  @override
  String get remove_email => 'Noņemt e-pastu';

  @override
  String get email_not_received_content => 'Ja neesat saņēmis apstiprinājuma e-pastu, lūdzu, pārbaudiet mapi “Surogātpasts” vai';

  @override
  String get email_not_received_link => 'noklikšķiniet šeit, lai atkārtoti nosūtītu e-pastu.';

  @override
  String get email_confirm_delete => 'Apstiprināt e-pasta dzēšanu';

  @override
  String get email_deleted => 'E-pasts izdzēsts.';

  @override
  String email_confirmation_we_ve_sent_an_email(Object email) {
    return 'Mēs nosūtījām e-pastu uz $email. Noklikšķiniet uz saites e-pastā, lai apstiprinātu savu e-pasta adresi.';
  }

  @override
  String app_staff(Object appName) {
    return '$appName darbinieki';
  }

  @override
  String get current_password => 'Pašreizējā parole';

  @override
  String get save_your_backup_code => 'Saglabājiet rezerves kodu';

  @override
  String get your_backup_code => 'Jūsu rezerves kods';

  @override
  String get set_up_2fa => 'Iestatīt 2FA';

  @override
  String get download_2fa => 'Lejupielādējiet 2FA lietotni. Nokopējiet zemāk norādīto kodu un ielīmējiet to savā 2FA lietotnē.';

  @override
  String get paste_code => 'Ielīmēt kodu';

  @override
  String get code_valid => 'Kods derīgs';

  @override
  String get verifying_the_code => 'Notiek koda pārbaude...';

  @override
  String get language => 'Valoda';

  @override
  String get my_profile => 'Mans profils';

  @override
  String get choose_ad_default_region => 'Izvēlieties sludinājuma noklusējuma reģionu';

  @override
  String get knowledge_base => 'Zināšanu bāze';

  @override
  String get report_this_ad => 'Ziņot par šo sludinājumu';

  @override
  String get cash_only => 'Tikai skaidrā naudā';

  @override
  String get dispute_started => 'Strīds uzsākts';

  @override
  String get payment_info => 'Maksājuma informācija';

  @override
  String get trade_ad => 'Darījuma sludinājums';

  @override
  String get ask_delete_ad => 'Vai tiešām vēlaties dzēst šo sludinājumu?';

  @override
  String get general => 'Vispārīgi';

  @override
  String get final_price => 'Galējā cena';

  @override
  String get use_price_formula_to_calculate => 'Lai aprēķinātu, izmantojiet cenu formulu';

  @override
  String get enter_price_formula => 'Ievadiet cenas formulu';

  @override
  String get trade_limits => 'Darījuma ierobežojumi (neobligāti)';

  @override
  String get trade_details => 'Informācija par darījumu (neobligāti)';

  @override
  String get reply => 'Atbildēt';

  @override
  String get trade_loading_failed => 'Darījuma ielāde neizdevās. Lūdzu, pārbaudiet savienojumu.';

  @override
  String get dark_theme => 'Tumšais dizains';

  @override
  String search__no_results(Object country) {
    return 'Nav rezultātu $country ar atlasītajiem kritērijiem... pagaidām. ';
  }

  @override
  String get affiliate__explain_is_reg => 'Piederība tiek reģistrēta, kad kāds lietotājs reģistrējas pēc nokļūšanas vietnē no saites ar jūsu saistīto kodu.';

  @override
  String get affiliate__ref_code_title => 'Jūsu saistītais kods';

  @override
  String affiliate__users__text(Object number) {
    return 'Jūs pašlaik esat reģistrēts kā $number lietotāju saistītais un nopelnīsiet komisijas naudu no visiem viņu veiktajiem darījumiem.';
  }

  @override
  String affiliate__terms__text___agoradesk(Object appName) {
    return '• Varat izveidot saiti uz jebkuru atsevišķu lapu, piemēram, valstu sarakstu vai maksājuma veidu sarakstu, vai jebko citu $appName.\n• Jūs nopelnīsiet kriptovalūtu no lietotājiem, kuri ierodas vietnē no jūsu saites un veic darījumus.\n• Izmaksas tiks veiktas katru dienu jūsu $appName makā attiecīgajās kriptovalūtās.\n• Komisija tiks maksāta vienu gadu no lietotāja reģistrācijas. Komisija ir balstīta uz ienākumiem, ko jaunais lietotājs ienes $appName (darījumu maksas).\n• Jebkura netīra darbība, piemēram, maldinoša reklāma, ir aizliegta.\n• Surogātpasta sūtīšana ir aizliegta. Surogātpasta sūtīšana ietver neabonētu privātu vai publisku ziņojumu sūtīšanu forumos/reddit, neabonētu masu pastu utt.\n• Slēptu iframe pievienošana vietnei, lai tvertu saistītos, ir aizliegta. Ir atļauti tikai saistītā iframe vai tiešas saites uz mājaslapu.\n• $appName ir tiesības jebkurā laikā atspējot jebkuru saistīto lietotāju. Ja pārkāpsiet noteikumus, jūsu saistītā programma tiks pārtraukta.';
  }

  @override
  String affiliate__example__text(Object assetName, Object appName, Object assetSymbol) {
    return 'Jūs iegūstat divus lietotājus — $assetName pircēju un pārdevēju, kas reģistrēti $appName, un viņi veic vienu darījumu, kura vērtība ir 100 $assetSymbol. Jūs nopelnāt 20% komisijas maksu par $appName darījumu maksām no abiem dalībniekiem, kopā 40% no $appName maksas.\n\nJūsu nopelnītā summa ir 0,4 $assetSymbol. Vērā tiek ņemti tikai pabeigti darījumi, kas notiek mūsu darījumu procesā. Izmaksas tiek veiktas katru dienu.\n\n$appName atbalsts priecāsies jums palīdzēt ar visiem jautājumiem.';
  }

  @override
  String get affiliate__enable_btn => 'Iespējot saistīto programmu';

  @override
  String affiliate__enabled(Object ref_code, Object appName) {
    return 'Jūsu saistītā programma ir iespējota un jūs varat pelnīt komisiju, pievienojot savu kodu $ref_code jebkuram $appName URL.';
  }

  @override
  String reputation_import__step__username__input__label(Object platform) {
    return 'Jūsu $platform lietotājvārds';
  }

  @override
  String reputation_import__step__code__message(Object platform) {
    return 'Pievienojiet šo kodu kaut kur savā publiskajā $platform profilā. Kad būsim apstiprinājuši kodu, varēsiet to noņemt.';
  }

  @override
  String settings__homepage_tip(Object example_url) {
    return 'Parādīts jūsu publiskajā profilā. Tiek pieņemts tikai derīgs URL (piem., https://$example_url)';
  }

  @override
  String get settings__personal_info_tip => 'Parādīts jūsu publiskajā profilā. Ne vairāk kā 65536 rakstzīmes. Stilam iespējams izmantot markdown.';

  @override
  String get settings__personal_info_tip_1 => 'Parādīts jūsu publiskajā profilā. Ne vairāk kā 65536 rakstzīmes.';

  @override
  String get coupons__coupon__type_here => 'Ievadiet savu kuponu šeit';

  @override
  String get trade__mark_pay_according => ' Maksājiet saskaņā ar zemāk norādīto maksājuma informāciju. Ja jums ir kādi jautājumi, jautājiet pārdevējam sarakstē.';

  @override
  String get dashboard__trade__status__open => 'Atvērt';

  @override
  String get wallet__available_balance => 'Pieejamā bilance';

  @override
  String get trade__dialog__confirm_release_monero_text_password => 'Šī parole tiek izmantota kā nobīde, lai ģenerētu neatkarīgu norēķinu maku un parakstītu darījumu. LocalMonero nevarēs atgūt maku, ja pazaudēsit šo paroli.';

  @override
  String get dont_have_an_account_yet => 'Vai jums vēl nav konta?';

  @override
  String get app_trades => 'Darījumi';

  @override
  String get app_unlimited => 'Neierobežots';

  @override
  String get app_guides => 'Instrukcijas';

  @override
  String get app_edit_this_ad => 'Rediģēt šo sludinājumu';

  @override
  String get app_you_can_use_markdown => 'Varat izmantot markdown, lai stilizētu sludinājuma nosacījumus (attēli nav atļauti).';

  @override
  String get app_no_trades_to_export => 'Nav darījumu, ko eksportēt.';

  @override
  String app_settings_2fa_step_two(Object appName) {
    return 'Pierakstiet rezerves kodu (augšā zaļā krāsā) uz papīra un glabājiet to drošā vietā. Tas būs nepieciešams, ja pazaudēsiet tālruni vai tiks bloķēta piekļuve kontam. $appName nevarēs jums palīdzēt, ja pazaudēsiet šo kodu.';
  }

  @override
  String get ad_post_ad_rules_text_0 => 'Pirms sludinājuma izveides, lūdzu, izlasiet mūsu ';

  @override
  String app_trade_warning_impersonation(Object appName) {
    return 'Uzmanieties no krāpniekiem, kas mēģina uzdoties par darbiniekiem!\n${appName} administratori nekad neprasīs jums pabeigt darījumu.\nDarbinieku ziņojumiem ir sarkans fons.';
  }

  @override
  String app_buy_sell(Object val) {
    return 'Cik daudz vēlaties $val?';
  }

  @override
  String app_buyer_marked_as_paid(Object val) {
    return '$val ir atzīmējis darījumu kā apmaksātu';
  }

  @override
  String app_buy_crypto_from(Object val) {
    return 'Pirkt kriptovalūtu no $val';
  }

  @override
  String app_sell_crypto_to(Object val) {
    return 'Pārdot kriptovalūtu $val';
  }

  @override
  String app_trades_with(Object val) {
    return 'Skatīt darījumus ar $val';
  }

  @override
  String app_able_to_cancel(Object val1, Object val2) {
    return '($val1 varēs atcelt pēc $val2 min, ja vien neatzīmēsiet kā apmaksātu)';
  }

  @override
  String app_able_to_cancel_now(Object val) {
    return '($val tagad var atcelt, ja vien neatzīmējat kā apmaksātu)';
  }

  @override
  String app_buying_from(Object asset, Object amount, Object username) {
    return 'Pērk $asset $amount no $username';
  }

  @override
  String app_selling_to(Object asset, Object amount, Object username) {
    return 'Pārdod $asset $amount $username';
  }

  @override
  String app_for_sum(Object val) {
    return 'uz $val';
  }

  @override
  String get app_buy_crypto => 'Pirkt kriptovalūtu no';

  @override
  String get app_sell_crypto => 'Pārdot kriptovalūtu';

  @override
  String get app_intall_trade_title => 'Lūdzu, instalējiet AgoraDesk, lai skatītu šo darījumu';

  @override
  String get app_intall_ad_title => 'Lai skatītu šo sludinājumu, lūdzu, instalējiet AgoraDesk';

  @override
  String get app_intall_trade_body => 'Šis ir uz Bitcoin balstīts darījums, un tā skatīšanai ir nepieciešama mūsu lietotne AgoraDesk.';

  @override
  String get app_intall_ad_body => 'Šis ir uz Bitcoin balstīts sludinājums, un tā skatīšanai nepieciešama mūsu lietotne AgoraDesk.';

  @override
  String get app_trade_option_payment_receiver_cancel_notice => 'Nekad nepabeidziet darījumu, kamēr neesat 100% pārliecināts, ka esat saņēmis naudu. Krāpnieki mēģinās jūs pierunāt pabeigt pāragri.';

  @override
  String get app_cancel_trade_message => 'Esat kļūdījies vai vēlaties izmēģināt citu tirgotāju? Ja esat jau pārskaitījis līdzekļus un vēlaties atcelt tūlīt, jums pašam ar darījuma partneri ir jāvienojas par maksājuma atgriešanu. Nekad neatceliet, ja vien neesat pārliecināts, ka esat saņēmis naudu atpakaļ.';

  @override
  String get app_all_feedback => 'Visas atsauksmes';

  @override
  String get app_camera => 'Kamera';

  @override
  String get app_clear => 'Skaidrs';

  @override
  String get app_ad_deleted => 'Sludinājums izdzēsts';

  @override
  String get app_verifiacetion_code_to_seller => 'Šis ir jūsu apstiprinājuma kods. Varat to nodot pircējam, lai pircējs varētu apstiprināt, ka esat pabeidzis darījumu, neizmantojot ierīci.';

  @override
  String get app_verification_code => 'Apstiprinājuma kods';

  @override
  String get app_ad => 'Sludinājums';

  @override
  String get app_with => 'ar';

  @override
  String get app_edited => 'Rediģēts';

  @override
  String get app_permanent => 'Pastāvīgs';

  @override
  String get app_error_saving => 'Kļūda saglabāšanas laikā. Izmaiņas netika saglabātas.';

  @override
  String get app_manage_ads => 'Pārvaldīt sludinājumus';

  @override
  String get app_vacation_enabled => 'Atvaļinājums iespējots';

  @override
  String get app_trade_created => 'Darījums izveidots';

  @override
  String get app_session_expired => 'Sesija ir beigusies';

  @override
  String get app_anonymous_crash_diagnostics => 'Anonīma kļūdu diagnostika';

  @override
  String get app_restart_now => 'Restartēt tagad';

  @override
  String get app_postpone => 'Atlikt';

  @override
  String get app_biometric_authentication => 'Biometriskā autentifikācija';

  @override
  String get app_biometric_authentication_message => 'Lūdzu, iestatiet PIN kodu, lai iespējotu biometrisko autentifikāciju.';

  @override
  String get app_anonymous_crash_diagnostics_restart => 'Anonīmā kļūdu diagnostika ir atspējota un pēc lietotnes restartēšanas vairs netiks sūtīta.';

  @override
  String get app_trading_partners => 'Darījumu partneri';

  @override
  String get app_trade_status_settlement_processing_description => 'Darījums tiek apstrādāts. Lūdzu, uzgaidiet, jums nekas nav jādara.';

  @override
  String get app_buyer_settlement_fee_level_description => 'Izvēlieties maksas līmeni, ko izmantot darījuma norēķinu laikā. Šeit redzamās vērtības ir pašreizējās likmes aplēses, un tās var atšķirties no tām, kas tika piemērotas darījuma laikā. Ja darījuma summa būs pārāk zema, lai norēķinātos par darījumu ar izvēlēto maksas līmeni, norēķinu laikā automātiski tiks izvēlēts zemāks komisijas maksas līmenis.';

  @override
  String get app_change_vacation_settings => 'Mainiet atvaļinājuma iestatījumus.';

  @override
  String get app_gallery => 'Galerija';

  @override
  String get app_via => 'caur';

  @override
  String get app_one_percent => '1% maksa';

  @override
  String get app_final_amount => 'Galējā summa';

  @override
  String app_note_label(Object val) {
    return 'Jūsu piezīme par $val (redzams tikai jums)';
  }

  @override
  String app_note_add(Object val) {
    return 'Pievienot piezīmi par $val';
  }

  @override
  String app_update_new_version_available(Object val) {
    return 'Ir pieejama jauna versija $val.';
  }

  @override
  String get app_update_now => 'Atjaunināt tagad';

  @override
  String get app_update_ingnor_until_next => 'Ignorēt līdz nākamajam atjauninājumam';

  @override
  String get app_update_ignore_always => 'Vienmēr ignorēt';

  @override
  String get app_tooltip_visibility => 'Pieskarieties, lai pārslēgtu redzamību';

  @override
  String get app_tooltip_long_press_ad => 'Turiet nospiestu sludinājumu, lai iespējotu grupas rediģēšanu';

  @override
  String get app_join_telegram => 'Pievienoties Telegram grupai';

  @override
  String get app_join_matrix => 'Pievienoties Matrix grupai';

  @override
  String get app_display_password => 'Parādīt paroli';

  @override
  String get app_hide_password => 'Slēpt paroli';

  @override
  String get app_trade_has_been_cancelled => 'Darījums ir atcelts.';

  @override
  String app_last_seen(Object val) {
    return 'Pēdējoreiz redzēts $val';
  }

  @override
  String get app_open_additional_filters => 'Atvērt papildu filtrus';

  @override
  String get app_select_asset => 'Izvēlieties aktīvu';

  @override
  String get app_select_trade_type => 'Izvēlieties darījuma veidu';

  @override
  String get app_paste => 'Ielīmēt';

  @override
  String get app_scan_qr_code => 'Skenēt QR kodu';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sbagoradesk => 'Pērciet vai pārdodiet Bitcoin anonīmi, bez ID pārbaudes. Skaidrā naudā vai tiešsaistē. Droši, ātri, viegli.\n\nVai domājat, kā ieguldīt Bitcoin? Vietnē AgoraDesk Bitcoin iegāde nekad nav bijusi tik vienkārša – uzreiz iegādājieties BTC no personas, izmantojot savu iecienītāko tiešsaistes maksājuma veidu: PayPal, kredītkarti/debetkarti vai bankas pārskaitījumu, dāvanu kartes, Venmo vai jebkuru citu. Ja vēlaties iegādāties Bitcoin savā apvidū ar skaidru naudu, varat atrast kādu, kas vēlas pārdot Bitcoin uz vietas - tirdzniecības platforma atbalsta BTC pirkšanu un pārdošanu ar skaidru naudu. Jūs pat varat iegādāties Bitcoin, izmantojot skaidru naudu pa pastu.\n\n- Droša un vienmērīga tirdzniecība\nTāpat kā LocalBitcoins, mēs atbalstām jebkuru maksājuma veidu, jebkuru valūtu un jebkurā vietā. Mēs nenoņemam maksājuma veidus un, atšķirībā no LocalBitcoins, mēs pilnībā atbalstām tiešus skaidras naudas darījumus. Visi mūsu darījumi ir aizsargāti ar šķīrējtiesas obligācijām. Tā kā mēs pieprasām, lai līdzekļi tiktu turēti šķīrējtiesas obligācijās pirms darījuma uzsākšanas, pircējam nodrošinām gludu un drošu procesu. Tas ir būtiski platformas popularitātei un nodrošina pārdevējiem regulārus klientus.\n\n- Nav KYC/AML vai ID verifikācijas\nAgoraDesk ir apņēmies saglabāt vienkāršību un tiešumu, kas padarīja sākotnējo LocalBitcoins tik populāru. Mēs neizmantojam KYC/AML un nekad neplānojam to darīt.\n\n- Kopiena uzticas\nMūsu platforma ir darbojusies vairāk nekā četrus gadus, pārdzīvojusi 2018. gada lielo kriptovalūtu tirgus sabrukumu un, pateicoties uz sabiedrību orientētai rūpīgai apkalpošanai, kļuva par vienu no uzticamākajiem zīmoliem izteikti skeptiskajā kriptovalūtu telpā.\n\n- Drošs, atvērtā pirmkoda, uz privātumu orientēts, izturīgs pret cenzūru\nMūsu lietotne ir bezmaksas un atvērtā koda, kas nodrošina, ka daudzas acis skatās uz lietotnes kodu, lai pārliecinātos, ka nav drošības caurumu vai privātuma noplūdes. Mūsu lietotnes atvērtā koda izmantošana arī ļauj ikvienam piekļūt mūsu lietotnei, pat ja noteikta lietotņu krātuve cenzē lietotni. Mūsu lietotne darbojas pat tālruņos, kuros Google ir pilnībā bloķēts. Mēs ļoti augstu vērtējam jūsu privātumu. Mēs pat neprasām reģistrējoties norādīt e-pastu.\n\nPirmkods: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblēmu izsekotājs: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Spēcīgs atbalsts\nMūsu atbalsta komanda ir ātra, atsaucīga un vienmēr vēlas iepriecināt. Mums nekad nav bijis atbalsta ziņas, uz kuru nebūtu atbildēts 24 stundu laikā. Mēs vienmēr esam viegli sasniedzami sociālajos tīklos, uzmanīgi uzklausām jūsu kritiku un vienmēr rekordīsā laikā īstenojam labus lietotāju ieteikumus.\n\nJūs varat sazināties ar mūsu atbalstu vietnē https://agoradesk.com/support\n\n- Godīgas maksas\nMēs neiekasējam pārmērīgas maksas, kad noguldāt vai izņemat Bitcoin mūsu šķīrējtiesas obligāciju makā/no tā. Nav depozīta maksas, un maksa par izņemšanu ir ļoti tuva tai, ko jūs maksātu par parastu pārskaitījumu.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: pērc BTC anonīmi';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: pērc XMR ērti';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sblocalmonero => 'Pērciet vai pārdodiet Monero bez ID pārbaudes. Skaidrā naudā vai tiešsaistē. Droši, ātri, viegli.\n\nLocalMonero ir lielākā, uzticamākā un vislabāk izveidotā P2P tirdzniecības platforma XMR telpā. Mums nav KYC pārbaužu — jūs varat vienkārši anonīmi iegādāties Monero bez ID verifikācijas, izmantojot PayPal, kredītkarti, dāvanu karti, skaidru naudu pa pastu vai konvertēt Bitcoin, Ether, USDT vai jebkuru citu kriptovalūtu uz Monero — mūsu platforma atbalsta jebkuru maksājuma veidu.\n\n- Droša un vienmērīga tirdzniecība\nMēs atbalstām jebkuru maksājuma veidu, jebkuru valūtu un jebkurā vietā. Mēs nenoņemam maksājuma veidus un pilnībā atbalstām tiešus skaidras naudas darījumus. Visi mūsu darījumi ir aizsargāti ar šķīrējtiesas obligāciju. Tā kā mēs pieprasām, lai līdzekļi tiktu turēti šķīrējtiesas obligācijās pirms darījuma uzsākšanas, mēs pircējam nodrošinām gludu un drošu procesu. Tas ir būtiski platformas popularitātei un nodrošina pārdevējiem regulārus klientus.\n\n- Nav KYC/AML vai ID verifikācijas\nLocalMonero ir apņēmies saglabāt jūsu tirdzniecības pieredzes vienkāršību un tiešumu. Mēs neizmantojam KYC/AML un nekad neplānojam to darīt.\n\n- Kopiena uzticas\nMūsu platforma ir darbojusies vairāk nekā četrus gadus, pārdzīvojusi 2018. gada Lielo kriptovalūtu tirgus sabrukumu un, pateicoties uz sabiedrību orientētai rūpīgai apkalpošanai, kļuva par vienu no uzticamākajiem zīmoliem izteikti skeptiskajā Monero telpā.\n\n- Drošs, atvērtā pirmkoda, uz privātumu orientēts, izturīgs pret cenzūru\nMūsu lietotne ir bezmaksas un atvērtā koda, kas nodrošina, ka daudzas acis skatās uz lietotnes kodu, lai pārliecinātos, ka nav drošības caurumu vai privātuma noplūdes. Mūsu lietotnes atvērtā koda izmantošana arī ļauj ikvienam piekļūt mūsu lietotnei, pat ja noteikta lietotņu krātuve cenzē lietotni. Mūsu lietotne darbojas pat tālruņos, kuros Google ir pilnībā bloķēts. Mēs ļoti augstu vērtējam jūsu privātumu. Mēs pat neprasām reģistrējoties norādīt e-pastu.\nPērciet vai pārdodiet Monero bez ID pārbaudes. BRĪDINĀJUMS: ŠĪ LIETOTNE PAŠREIZ IR ATVĒRTĀ BETA VERSIJĀ!\n\nPirmkods: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblēmu izsekotājs: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Spēcīgs atbalsts\nMūsu atbalsta komanda ir ātra, atsaucīga un vienmēr vēlas iepriecināt. Mums nekad nav bijis atbalsta ziņas, uz kuru nebūtu atbildēts 24 stundu laikā. Mēs vienmēr esam viegli sasniedzami sociālajos tīklos, uzmanīgi uzklausām jūsu kritiku un vienmēr rekordīsā laikā īstenojam labus lietotāju ieteikumus.\n\nJūs varat sazināties ar mūsu atbalstu vietnē https://localmonero.co/support\n\n- Godīgas maksas\nMēs neiekasējam pārmērīgas maksas, kad noguldāt vai izņemat Monero mūsu šķīrējtiesas obligāciju makā/no tā. Nav depozīta maksas, un maksa par izņemšanu ir ļoti tuva tai, ko jūs maksātu par parastu pārskaitījumu.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: pērc XMR anonīmi';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sblocalmonero => 'Pērciet vai pārdodiet Monero bez ID pārbaudes. Skaidrā naudā vai tiešsaistē. Droši, ātri, viegli.\n\nLocalMonero ir lielākā, uzticamākā un vislabāk izveidotā P2P tirdzniecības platforma XMR telpā. Mums nav KYC pārbaužu — jūs varat vienkārši anonīmi iegādāties Monero bez ID verifikācijas, izmantojot PayPal, kredītkarti, dāvanu karti, skaidru naudu pa pastu vai konvertēt Bitcoin, Ether, USDT vai jebkuru citu kriptovalūtu uz Monero — mūsu platforma atbalsta jebkuru maksājuma veidu.\n\n- Droša un vienmērīga tirdzniecība\nMēs atbalstām jebkuru maksājuma veidu, jebkuru valūtu un jebkurā vietā. Mēs nenoņemam maksājuma veidus un pilnībā atbalstām tiešus skaidras naudas darījumus. Visi mūsu darījumi ir aizsargāti ar šķīrējtiesas obligāciju. Tā kā mēs pieprasām, lai līdzekļi tiktu turēti šķīrējtiesas obligācijās pirms darījuma uzsākšanas, mēs pircējam nodrošinām gludu un drošu procesu. Tas ir būtiski platformas popularitātei un nodrošina pārdevējiem regulārus klientus.\n\n- Nav KYC/AML vai ID verifikācijas\nLocalMonero ir apņēmies saglabāt jūsu tirdzniecības pieredzes vienkāršību un tiešumu. Mēs neizmantojam KYC/AML un nekad neplānojam to darīt.\n\n- Kopiena uzticas\nMūsu platforma ir darbojusies vairāk nekā četrus gadus, pārdzīvojusi 2018. gada Lielo kriptovalūtu tirgus sabrukumu un, pateicoties uz sabiedrību orientētai rūpīgai apkalpošanai, kļuva par vienu no uzticamākajiem zīmoliem izteikti skeptiskajā Monero telpā.\n\n- Drošs, atvērtā pirmkoda, uz privātumu orientēts, izturīgs pret cenzūru\nMūsu lietotne ir bezmaksas un atvērtā koda, kas nodrošina, ka daudzas acis skatās uz lietotnes kodu, lai pārliecinātos, ka nav drošības caurumu vai privātuma noplūdes. Mūsu lietotnes atvērtā koda izmantošana arī ļauj ikvienam piekļūt mūsu lietotnei, pat ja noteikta lietotņu krātuve cenzē lietotni. Mūsu lietotne darbojas pat tālruņos, kuros Google ir pilnībā bloķēts. Mēs ļoti augstu vērtējam jūsu privātumu. Mēs pat neprasām reģistrējoties norādīt e-pastu.\n\nPirmkods: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblēmu izsekotājs: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Spēcīgs atbalsts\nMūsu atbalsta komanda ir ātra, atsaucīga un vienmēr vēlas iepriecināt. Mums nekad nav bijis atbalsta ziņas, uz kuru nebūtu atbildēts 24 stundu laikā. Mēs vienmēr esam viegli sasniedzami sociālajos tīklos, uzmanīgi uzklausām jūsu kritiku un vienmēr rekordīsā laikā īstenojam labus lietotāju ieteikumus.\n\nJūs varat sazināties ar mūsu atbalstu vietnē https://localmonero.co/support\n\n- Godīgas maksas\nMēs neiekasējam pārmērīgas maksas, kad noguldāt vai izņemat Monero mūsu šķīrējtiesas obligāciju makā/no tā. Nav depozīta maksas, un maksa par izņemšanu ir ļoti tuva tai, ko jūs maksātu par parastu pārskaitījumu.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: pērc BTC anonīmi';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sbagoradesk => 'Pērciet vai pārdodiet Bitcoin bez ID pārbaudes. Skaidrā naudā vai tiešsaistē.\n\nVai domājat, kā ieguldīt Bitcoin? Vietnē AgoraDesk Bitcoin iegāde nekad nav bijusi tik vienkārša – uzreiz iegādājieties BTC no personas, izmantojot savu iecienītāko tiešsaistes maksājuma veidu: PayPal, kredītkarti/debetkarti vai bankas pārskaitījumu, dāvanu kartes, Venmo vai jebkuru citu. Ja vēlaties iegādāties Bitcoin savā apvidū ar skaidru naudu, varat atrast kādu, kas vēlas pārdot Bitcoin uz vietas - tirdzniecības platforma atbalsta BTC pirkšanu un pārdošanu ar skaidru naudu. Jūs pat varat iegādāties Bitcoin, izmantojot skaidru naudu pa pastu.\n\n- Droša un vienmērīga tirdzniecība\nTāpat kā LocalBitcoins, mēs atbalstām jebkuru maksājuma veidu, jebkuru valūtu un jebkurā vietā. Mēs nenoņemam maksājuma veidus un, atšķirībā no LocalBitcoins, mēs pilnībā atbalstām tiešus skaidras naudas darījumus. Visi mūsu darījumi ir aizsargāti ar šķīrējtiesas obligāciju.Tā kā mēs pieprasām, lai līdzekļi tiktu turēti šķīrējtiesas obligācijās pirms tirdzniecības uzsākšanas, mēs pircējam nodrošinām gludu un drošu procesu. Tas ir būtiski platformas popularitātei un nodrošina pārdevējiem regulārus klientus.\n\n- Nav KYC/AML vai ID verifikācijas\nAgoraDesk ir apņēmies saglabāt vienkāršību un tiešumu, kas padarīja sākotnējo LocalBitcoins tik populāru. Mēs neizmantojam KYC/AML un nekad neplānojam to darīt.\n\n- Kopiena uzticas\nMūsu platforma ir darbojusies vairāk nekā četrus gadus, pārdzīvojusi 2018. gada lielo kriptovalūtu tirgus sabrukumu un, pateicoties uz sabiedrību orientētai rūpīgai apkalpošanai, kļuva par vienu no uzticamākajiem nosaukumiem izteikti skeptiskajā kriptovalūtu telpā.\n\n- Drošs, atvērtā pirmkoda, uz privātumu orientēts, izturīgs pret cenzūru\nMūsu lietotne ir bezmaksas un atvērtā koda, kas nodrošina, ka daudzas acis skatās uz lietotnes kodu, lai pārliecinātos, ka nav drošības caurumu vai privātuma noplūdes. Mūsu lietotnes atvērtā koda izmantošana arī ļauj ikvienam piekļūt mūsu lietotnei, pat ja noteikta lietotņu krātuve cenzē lietotni. Mūsu lietotne darbojas pat tālruņos, kuros Google ir pilnībā bloķēts. Mēs ļoti augstu vērtējam jūsu privātumu. Mēs pat neprasām reģistrējoties norādīt e-pastu.\n\nPirmkods: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProblēmu izsekotājs: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Spēcīgs atbalsts\nMūsu atbalsta komanda ir ātra, atsaucīga un vienmēr vēlas iepriecināt. Mums nekad nav bijis atbalsta ziņas, uz kuru nebūtu atbildēts 24 stundu laikā. Mēs vienmēr esam viegli sasniedzami sociālajos tīklos, uzmanīgi uzklausām jūsu kritiku un vienmēr rekordīsā laikā īstenojam labus lietotāju ieteikumus.\n\nJūs varat sazināties ar mūsu atbalstu vietnē https://agoradesk.com/support\n\n- Godīgas maksas\nMēs neiekasējam pārmērīgas maksas, kad noguldāt vai izņemat Bitcoin mūsu šķīrējtiesas obligāciju makā/no tā. Nav depozīta maksas, un maksa par izņemšanu ir ļoti tuva tai, ko jūs maksātu par parastu pārskaitījumu.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sblocalmonero => 'kriptovalūta,anonīms,privāts,monero,xmr,p2p';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sbagoradesk => 'kriptovalūta,bitcoin,monero,BTC,XMR,anonīms,privāts';

  @override
  String get app_report_this_user => 'Ziņot par šo lietotāju';

  @override
  String get app_open_dropdown => 'Atvērt izvēlni';

  @override
  String get error250Sbsignup250Sb175 => 'Tiek mēģināts izpirkt kuponu, kas reģistrācijas laikā nepastāv';

  @override
  String get error250Sbsignup250Sb176 => 'Reģistrācijas laikā mēģināts izpirkt kuponu, kuram beidzies derīguma termiņš';

  @override
  String get error250Sbsignup250Sb177 => 'Mēģina izpirkt kuponu, kas reģistrācijas laikā nav pieejams';

  @override
  String get nojs250Sbpassword8722Sbreset250Sbsuccess => 'Paroles atiestatīšanas vēstule nosūtīta! Pārbaudiet iesūtni.';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbcontinue => 'Piekrītiet noteikumiem un turpiniet';

  @override
  String get logout250Sbtitle => 'Izlogoties';

  @override
  String get coupons250Sbcode8722Sbapply => 'Izmantojiet kupona kodu';

  @override
  String post8722Sbad250Sbtrade8722Stype250Sbonline8722Sbuy(Object assetName) {
    return 'Pērciet $assetName tiešsaistē';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_buy => 'pirkšanas iespēja pirkt';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_sell => 'pirkšanas iespēju pārdot';

  @override
  String get app_accessibility_edit_box_password => 'Edit box password, double tap to edit';

  @override
  String get app_ad_created => 'Ad created';

  @override
  String app_503_title(Object val) {
    return '$val App Maintenance';
  }

  @override
  String app_503_body(Object val) {
    return '$val will be back soon!\nSorry for the inconvenience but we\'re performing some scheduled maintenance at the moment.\nWe\'ll probably be back online soon. Stay updated in our community groups:';
  }
}
